#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9725
#define LARGE_STATE_COUNT 2578
#define SYMBOL_COUNT 522
#define ALIAS_COUNT 5
#define TOKEN_COUNT 213
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 214

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_class = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_COLON = 96,
  anon_sym_if = 97,
  anon_sym_else = 98,
  anon_sym_switch = 99,
  anon_sym_case = 100,
  anon_sym_default = 101,
  anon_sym_while = 102,
  anon_sym_do = 103,
  anon_sym_for = 104,
  anon_sym_return = 105,
  anon_sym_break = 106,
  anon_sym_continue = 107,
  anon_sym_goto = 108,
  anon_sym___try = 109,
  anon_sym___except = 110,
  anon_sym___finally = 111,
  anon_sym___leave = 112,
  anon_sym_QMARK = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_and_eq = 124,
  anon_sym_or_eq = 125,
  anon_sym_xor_eq = 126,
  anon_sym_not = 127,
  anon_sym_compl = 128,
  anon_sym_LT_EQ_GT = 129,
  anon_sym_or = 130,
  anon_sym_and = 131,
  anon_sym_bitor = 132,
  anon_sym_xor = 133,
  anon_sym_bitand = 134,
  anon_sym_not_eq = 135,
  anon_sym_DASH_DASH = 136,
  anon_sym_PLUS_PLUS = 137,
  anon_sym_sizeof = 138,
  anon_sym___alignof__ = 139,
  anon_sym___alignof = 140,
  anon_sym__alignof = 141,
  anon_sym_alignof = 142,
  anon_sym__Alignof = 143,
  anon_sym_offsetof = 144,
  anon_sym__Generic = 145,
  anon_sym_asm = 146,
  anon_sym___asm__ = 147,
  anon_sym_DOT = 148,
  anon_sym_DOT_STAR = 149,
  anon_sym_DASH_GT = 150,
  sym_number_literal = 151,
  anon_sym_L_SQUOTE = 152,
  anon_sym_u_SQUOTE = 153,
  anon_sym_U_SQUOTE = 154,
  anon_sym_u8_SQUOTE = 155,
  anon_sym_SQUOTE = 156,
  aux_sym_char_literal_token1 = 157,
  anon_sym_L_DQUOTE = 158,
  anon_sym_u_DQUOTE = 159,
  anon_sym_U_DQUOTE = 160,
  anon_sym_u8_DQUOTE = 161,
  anon_sym_DQUOTE = 162,
  aux_sym_string_literal_token1 = 163,
  sym_escape_sequence = 164,
  sym_system_lib_string = 165,
  sym_true = 166,
  sym_false = 167,
  anon_sym_NULL = 168,
  anon_sym_nullptr = 169,
  sym_comment = 170,
  sym_auto = 171,
  anon_sym_decltype = 172,
  anon_sym_final = 173,
  anon_sym_override = 174,
  anon_sym_virtual = 175,
  anon_sym_alignas = 176,
  anon_sym_explicit = 177,
  anon_sym_typename = 178,
  anon_sym_template = 179,
  anon_sym_GT2 = 180,
  anon_sym_operator = 181,
  anon_sym_try = 182,
  anon_sym_delete = 183,
  anon_sym_friend = 184,
  anon_sym_public = 185,
  anon_sym_private = 186,
  anon_sym_protected = 187,
  anon_sym_noexcept = 188,
  anon_sym_throw = 189,
  anon_sym_namespace = 190,
  anon_sym_using = 191,
  anon_sym_static_assert = 192,
  anon_sym_concept = 193,
  anon_sym_co_return = 194,
  anon_sym_co_yield = 195,
  anon_sym_catch = 196,
  anon_sym_R_DQUOTE = 197,
  anon_sym_LR_DQUOTE = 198,
  anon_sym_uR_DQUOTE = 199,
  anon_sym_UR_DQUOTE = 200,
  anon_sym_u8R_DQUOTE = 201,
  anon_sym_co_await = 202,
  anon_sym_new = 203,
  anon_sym_requires = 204,
  anon_sym_DASH_GT_STAR = 205,
  anon_sym_LPAREN_RPAREN = 206,
  anon_sym_LBRACK_RBRACK = 207,
  anon_sym_DQUOTE_DQUOTE = 208,
  sym_this = 209,
  sym_literal_suffix = 210,
  sym_raw_string_delimiter = 211,
  sym_raw_string_content = 212,
  sym_translation_unit = 213,
  sym_preproc_include = 214,
  sym_preproc_def = 215,
  sym_preproc_function_def = 216,
  sym_preproc_params = 217,
  sym_preproc_call = 218,
  sym_preproc_if = 219,
  sym_preproc_ifdef = 220,
  sym_preproc_else = 221,
  sym_preproc_elif = 222,
  sym_preproc_elifdef = 223,
  sym_preproc_if_in_field_declaration_list = 224,
  sym_preproc_ifdef_in_field_declaration_list = 225,
  sym_preproc_else_in_field_declaration_list = 226,
  sym_preproc_elif_in_field_declaration_list = 227,
  sym_preproc_elifdef_in_field_declaration_list = 228,
  sym_preproc_if_in_enumerator_list = 229,
  sym_preproc_ifdef_in_enumerator_list = 230,
  sym_preproc_else_in_enumerator_list = 231,
  sym_preproc_elif_in_enumerator_list = 232,
  sym_preproc_elifdef_in_enumerator_list = 233,
  sym_preproc_if_in_enumerator_list_no_comma = 234,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 235,
  sym_preproc_else_in_enumerator_list_no_comma = 236,
  sym_preproc_elif_in_enumerator_list_no_comma = 237,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 238,
  sym__preproc_expression = 239,
  sym_preproc_parenthesized_expression = 240,
  sym_preproc_defined = 241,
  sym_preproc_unary_expression = 242,
  sym_preproc_call_expression = 243,
  sym_preproc_argument_list = 244,
  sym_preproc_binary_expression = 245,
  sym_function_definition = 246,
  sym_declaration = 247,
  sym_type_definition = 248,
  sym__type_definition_type = 249,
  sym__type_definition_declarators = 250,
  sym__declaration_modifiers = 251,
  sym__declaration_specifiers = 252,
  sym_linkage_specification = 253,
  sym_attribute_specifier = 254,
  sym_attribute = 255,
  sym_attribute_declaration = 256,
  sym_ms_declspec_modifier = 257,
  sym_ms_based_modifier = 258,
  sym_ms_call_modifier = 259,
  sym_ms_unaligned_ptr_modifier = 260,
  sym_ms_pointer_modifier = 261,
  sym_declaration_list = 262,
  sym__declarator = 263,
  sym__field_declarator = 264,
  sym__type_declarator = 265,
  sym__abstract_declarator = 266,
  sym_parenthesized_declarator = 267,
  sym_parenthesized_field_declarator = 268,
  sym_parenthesized_type_declarator = 269,
  sym_abstract_parenthesized_declarator = 270,
  sym_attributed_declarator = 271,
  sym_attributed_field_declarator = 272,
  sym_attributed_type_declarator = 273,
  sym_pointer_declarator = 274,
  sym_pointer_field_declarator = 275,
  sym_pointer_type_declarator = 276,
  sym_abstract_pointer_declarator = 277,
  sym_function_declarator = 278,
  sym_function_field_declarator = 279,
  sym_function_type_declarator = 280,
  sym_abstract_function_declarator = 281,
  sym_array_declarator = 282,
  sym_array_field_declarator = 283,
  sym_array_type_declarator = 284,
  sym_abstract_array_declarator = 285,
  sym_init_declarator = 286,
  sym_compound_statement = 287,
  sym_storage_class_specifier = 288,
  sym_type_qualifier = 289,
  sym__type_specifier = 290,
  sym_sized_type_specifier = 291,
  sym_enum_specifier = 292,
  sym_enumerator_list = 293,
  sym_struct_specifier = 294,
  sym_union_specifier = 295,
  sym_field_declaration_list = 296,
  sym__field_declaration_list_item = 297,
  sym_field_declaration = 298,
  sym_bitfield_clause = 299,
  sym_enumerator = 300,
  sym_parameter_list = 301,
  sym_parameter_declaration = 302,
  sym_attributed_statement = 303,
  sym_labeled_statement = 304,
  sym__top_level_expression_statement = 305,
  sym_expression_statement = 306,
  sym_if_statement = 307,
  sym_else_clause = 308,
  sym_switch_statement = 309,
  sym_case_statement = 310,
  sym_while_statement = 311,
  sym_do_statement = 312,
  sym_for_statement = 313,
  sym__for_statement_body = 314,
  sym_return_statement = 315,
  sym_break_statement = 316,
  sym_continue_statement = 317,
  sym_goto_statement = 318,
  sym_seh_try_statement = 319,
  sym_seh_except_clause = 320,
  sym_seh_finally_clause = 321,
  sym_seh_leave_statement = 322,
  sym__expression = 323,
  sym__expression_not_binary = 324,
  sym__string = 325,
  sym_comma_expression = 326,
  sym_conditional_expression = 327,
  sym_assignment_expression = 328,
  sym_pointer_expression = 329,
  sym_unary_expression = 330,
  sym_binary_expression = 331,
  sym_update_expression = 332,
  sym_cast_expression = 333,
  sym_type_descriptor = 334,
  sym_sizeof_expression = 335,
  sym_alignof_expression = 336,
  sym_offsetof_expression = 337,
  sym_generic_expression = 338,
  sym_subscript_expression = 339,
  sym_call_expression = 340,
  sym_gnu_asm_expression = 341,
  sym_gnu_asm_qualifier = 342,
  sym_gnu_asm_output_operand_list = 343,
  sym_gnu_asm_output_operand = 344,
  sym_gnu_asm_input_operand_list = 345,
  sym_gnu_asm_input_operand = 346,
  sym_gnu_asm_clobber_list = 347,
  sym_gnu_asm_goto_list = 348,
  sym_argument_list = 349,
  sym_field_expression = 350,
  sym_compound_literal_expression = 351,
  sym_parenthesized_expression = 352,
  sym_initializer_list = 353,
  sym_initializer_pair = 354,
  sym_subscript_designator = 355,
  sym_subscript_range_designator = 356,
  sym_field_designator = 357,
  sym_char_literal = 358,
  sym_concatenated_string = 359,
  sym_string_literal = 360,
  sym_null = 361,
  sym__empty_declaration = 362,
  sym_placeholder_type_specifier = 363,
  sym_decltype_auto = 364,
  sym_decltype = 365,
  sym__class_declaration = 366,
  sym__class_declaration_item = 367,
  sym_class_specifier = 368,
  sym__class_name = 369,
  sym_virtual_specifier = 370,
  sym_virtual = 371,
  sym_alignas_specifier = 372,
  sym_explicit_function_specifier = 373,
  sym_base_class_clause = 374,
  sym__enum_base_clause = 375,
  sym_dependent_type = 376,
  sym_template_declaration = 377,
  sym_template_instantiation = 378,
  sym_template_parameter_list = 379,
  sym_type_parameter_declaration = 380,
  sym_variadic_type_parameter_declaration = 381,
  sym_optional_type_parameter_declaration = 382,
  sym_template_template_parameter_declaration = 383,
  sym_optional_parameter_declaration = 384,
  sym_variadic_parameter_declaration = 385,
  sym_variadic_declarator = 386,
  sym_variadic_reference_declarator = 387,
  sym_operator_cast = 388,
  sym_field_initializer_list = 389,
  sym_field_initializer = 390,
  sym_inline_method_definition = 391,
  sym__constructor_specifiers = 392,
  sym_operator_cast_definition = 393,
  sym_operator_cast_declaration = 394,
  sym_constructor_try_statement = 395,
  sym_constructor_or_destructor_definition = 396,
  sym_constructor_or_destructor_declaration = 397,
  sym_default_method_clause = 398,
  sym_delete_method_clause = 399,
  sym_friend_declaration = 400,
  sym_access_specifier = 401,
  sym_reference_declarator = 402,
  sym_reference_field_declarator = 403,
  sym_abstract_reference_declarator = 404,
  sym_structured_binding_declarator = 405,
  sym_ref_qualifier = 406,
  sym__function_declarator_seq = 407,
  sym__function_attributes_start = 408,
  sym__function_exception_specification = 409,
  sym__function_attributes_end = 410,
  sym__function_postfix = 411,
  sym_trailing_return_type = 412,
  sym_noexcept = 413,
  sym_throw_specifier = 414,
  sym_template_type = 415,
  sym_template_method = 416,
  sym_template_function = 417,
  sym_template_argument_list = 418,
  sym_namespace_definition = 419,
  sym_namespace_alias_definition = 420,
  sym__namespace_specifier = 421,
  sym_nested_namespace_specifier = 422,
  sym_using_declaration = 423,
  sym_alias_declaration = 424,
  sym_static_assert_declaration = 425,
  sym_concept_definition = 426,
  sym_for_range_loop = 427,
  sym__for_range_loop_body = 428,
  sym_init_statement = 429,
  sym_condition_clause = 430,
  sym_condition_declaration = 431,
  sym_co_return_statement = 432,
  sym_co_yield_statement = 433,
  sym_throw_statement = 434,
  sym_try_statement = 435,
  sym_catch_clause = 436,
  sym_raw_string_literal = 437,
  sym_subscript_argument_list = 438,
  sym_co_await_expression = 439,
  sym_new_expression = 440,
  sym_new_declarator = 441,
  sym_delete_expression = 442,
  sym_type_requirement = 443,
  sym_compound_requirement = 444,
  sym__requirement = 445,
  sym_requirement_seq = 446,
  sym_constraint_conjunction = 447,
  sym_constraint_disjunction = 448,
  sym__requirement_clause_constraint = 449,
  sym_requires_clause = 450,
  sym_requires_parameter_list = 451,
  sym_requires_expression = 452,
  sym_lambda_expression = 453,
  sym_lambda_capture_specifier = 454,
  sym_lambda_default_capture = 455,
  sym__fold_operator = 456,
  sym__binary_fold_operator = 457,
  sym__unary_left_fold = 458,
  sym__unary_right_fold = 459,
  sym__binary_fold = 460,
  sym_fold_expression = 461,
  sym_parameter_pack_expansion = 462,
  sym_type_parameter_pack_expansion = 463,
  sym_destructor_name = 464,
  sym_dependent_identifier = 465,
  sym_dependent_field_identifier = 466,
  sym_dependent_type_identifier = 467,
  sym__scope_resolution = 468,
  sym_qualified_field_identifier = 469,
  sym_qualified_identifier = 470,
  sym_qualified_type_identifier = 471,
  sym_qualified_operator_cast_identifier = 472,
  sym__assignment_expression_lhs = 473,
  sym_operator_name = 474,
  sym_user_defined_literal = 475,
  aux_sym_translation_unit_repeat1 = 476,
  aux_sym_preproc_params_repeat1 = 477,
  aux_sym_preproc_if_repeat1 = 478,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 479,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 480,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 481,
  aux_sym_preproc_argument_list_repeat1 = 482,
  aux_sym_declaration_repeat1 = 483,
  aux_sym_type_definition_repeat1 = 484,
  aux_sym__type_definition_type_repeat1 = 485,
  aux_sym__type_definition_declarators_repeat1 = 486,
  aux_sym__declaration_specifiers_repeat1 = 487,
  aux_sym_attribute_declaration_repeat1 = 488,
  aux_sym_attributed_declarator_repeat1 = 489,
  aux_sym_pointer_declarator_repeat1 = 490,
  aux_sym_sized_type_specifier_repeat1 = 491,
  aux_sym_enumerator_list_repeat1 = 492,
  aux_sym_field_declaration_repeat1 = 493,
  aux_sym_parameter_list_repeat1 = 494,
  aux_sym_case_statement_repeat1 = 495,
  aux_sym_generic_expression_repeat1 = 496,
  aux_sym_gnu_asm_expression_repeat1 = 497,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 498,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 499,
  aux_sym_gnu_asm_clobber_list_repeat1 = 500,
  aux_sym_gnu_asm_goto_list_repeat1 = 501,
  aux_sym_argument_list_repeat1 = 502,
  aux_sym_initializer_list_repeat1 = 503,
  aux_sym_initializer_pair_repeat1 = 504,
  aux_sym_char_literal_repeat1 = 505,
  aux_sym_concatenated_string_repeat1 = 506,
  aux_sym_string_literal_repeat1 = 507,
  aux_sym__class_declaration_repeat1 = 508,
  aux_sym_base_class_clause_repeat1 = 509,
  aux_sym_template_parameter_list_repeat1 = 510,
  aux_sym_field_initializer_list_repeat1 = 511,
  aux_sym_operator_cast_definition_repeat1 = 512,
  aux_sym_constructor_try_statement_repeat1 = 513,
  aux_sym_structured_binding_declarator_repeat1 = 514,
  aux_sym__function_postfix_repeat1 = 515,
  aux_sym_throw_specifier_repeat1 = 516,
  aux_sym_template_argument_list_repeat1 = 517,
  aux_sym_subscript_argument_list_repeat1 = 518,
  aux_sym_requirement_seq_repeat1 = 519,
  aux_sym_requires_parameter_list_repeat1 = 520,
  aux_sym_lambda_capture_specifier_repeat1 = 521,
  alias_sym_field_identifier = 522,
  alias_sym_namespace_identifier = 523,
  alias_sym_simple_requirement = 524,
  alias_sym_statement_identifier = 525,
  alias_sym_type_identifier = 526,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 136, .length = 2},
  [95] = {.index = 138, .length = 2},
  [96] = {.index = 140, .length = 1},
  [97] = {.index = 140, .length = 1},
  [98] = {.index = 141, .length = 3},
  [100] = {.index = 144, .length = 2},
  [101] = {.index = 146, .length = 2},
  [102] = {.index = 148, .length = 2},
  [103] = {.index = 150, .length = 3},
  [104] = {.index = 153, .length = 1},
  [105] = {.index = 154, .length = 1},
  [107] = {.index = 155, .length = 3},
  [108] = {.index = 158, .length = 3},
  [109] = {.index = 161, .length = 3},
  [110] = {.index = 164, .length = 3},
  [111] = {.index = 167, .length = 2},
  [112] = {.index = 169, .length = 3},
  [113] = {.index = 172, .length = 3},
  [114] = {.index = 175, .length = 2},
  [115] = {.index = 177, .length = 3},
  [116] = {.index = 180, .length = 2},
  [117] = {.index = 19, .length = 2},
  [118] = {.index = 39, .length = 2},
  [119] = {.index = 182, .length = 2},
  [120] = {.index = 184, .length = 2},
  [121] = {.index = 186, .length = 1},
  [122] = {.index = 187, .length = 4},
  [123] = {.index = 191, .length = 4},
  [124] = {.index = 195, .length = 2},
  [125] = {.index = 197, .length = 3},
  [126] = {.index = 200, .length = 2},
  [127] = {.index = 202, .length = 2},
  [128] = {.index = 204, .length = 1},
  [129] = {.index = 205, .length = 2},
  [130] = {.index = 207, .length = 2},
  [131] = {.index = 209, .length = 3},
  [132] = {.index = 212, .length = 3},
  [133] = {.index = 215, .length = 3},
  [134] = {.index = 218, .length = 2},
  [135] = {.index = 218, .length = 2},
  [136] = {.index = 220, .length = 2},
  [137] = {.index = 222, .length = 3},
  [138] = {.index = 225, .length = 2},
  [139] = {.index = 227, .length = 2},
  [140] = {.index = 229, .length = 3},
  [141] = {.index = 232, .length = 2},
  [142] = {.index = 234, .length = 3},
  [143] = {.index = 237, .length = 2},
  [144] = {.index = 239, .length = 1},
  [145] = {.index = 240, .length = 2},
  [146] = {.index = 242, .length = 2},
  [147] = {.index = 244, .length = 4},
  [148] = {.index = 248, .length = 5},
  [149] = {.index = 253, .length = 1},
  [150] = {.index = 254, .length = 1},
  [151] = {.index = 255, .length = 2},
  [152] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 1},
  [155] = {.index = 259, .length = 2},
  [156] = {.index = 261, .length = 2},
  [157] = {.index = 11, .length = 1},
  [158] = {.index = 11, .length = 1},
  [159] = {.index = 263, .length = 2},
  [160] = {.index = 265, .length = 1},
  [161] = {.index = 266, .length = 1},
  [162] = {.index = 267, .length = 4},
  [163] = {.index = 271, .length = 2},
  [164] = {.index = 273, .length = 4},
  [165] = {.index = 277, .length = 1},
  [166] = {.index = 278, .length = 3},
  [167] = {.index = 281, .length = 2},
  [168] = {.index = 283, .length = 3},
  [169] = {.index = 286, .length = 1},
  [170] = {.index = 287, .length = 5},
  [171] = {.index = 292, .length = 2},
  [172] = {.index = 294, .length = 2},
  [173] = {.index = 296, .length = 4},
  [174] = {.index = 300, .length = 2},
  [175] = {.index = 302, .length = 3},
  [176] = {.index = 305, .length = 4},
  [177] = {.index = 309, .length = 4},
  [178] = {.index = 313, .length = 3},
  [179] = {.index = 316, .length = 2},
  [180] = {.index = 318, .length = 3},
  [181] = {.index = 321, .length = 3},
  [182] = {.index = 324, .length = 2},
  [183] = {.index = 326, .length = 2},
  [184] = {.index = 328, .length = 2},
  [185] = {.index = 330, .length = 2},
  [186] = {.index = 332, .length = 3},
  [187] = {.index = 335, .length = 2},
  [188] = {.index = 337, .length = 2},
  [189] = {.index = 339, .length = 3},
  [190] = {.index = 342, .length = 2},
  [191] = {.index = 344, .length = 2},
  [192] = {.index = 346, .length = 2},
  [193] = {.index = 348, .length = 4},
  [194] = {.index = 352, .length = 5},
  [195] = {.index = 357, .length = 3},
  [196] = {.index = 360, .length = 4},
  [197] = {.index = 364, .length = 2},
  [198] = {.index = 366, .length = 1},
  [199] = {.index = 367, .length = 4},
  [200] = {.index = 371, .length = 3},
  [201] = {.index = 374, .length = 2},
  [202] = {.index = 376, .length = 1},
  [203] = {.index = 377, .length = 5},
  [204] = {.index = 382, .length = 2},
  [205] = {.index = 384, .length = 2},
  [206] = {.index = 65, .length = 1},
  [207] = {.index = 386, .length = 5},
  [208] = {.index = 391, .length = 4},
  [209] = {.index = 395, .length = 2},
  [210] = {.index = 397, .length = 2},
  [211] = {.index = 399, .length = 5},
  [212] = {.index = 404, .length = 2},
  [213] = {.index = 406, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [140] =
    {field_base, 1},
  [141] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [144] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [146] =
    {field_body, 2},
    {field_name, 0},
  [148] =
    {field_condition, 2},
    {field_consequence, 3},
  [150] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [153] =
    {field_initializer, 0},
  [154] =
    {field_assembly_code, 2},
  [155] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [158] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [161] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [164] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [167] =
    {field_declarator, 0},
    {field_value, 2},
  [169] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [172] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [175] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [177] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [180] =
    {field_declarator, 0},
    {field_size, 2},
  [182] =
    {field_alternative, 3},
    {field_condition, 0},
  [184] =
    {field_declarator, 0},
    {field_default_value, 2},
  [186] =
    {field_size, 1},
  [187] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [191] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [195] =
    {field_body, 3},
    {field_declarator, 1},
  [197] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [200] =
    {field_alternative, 3},
    {field_condition, 1},
  [202] =
    {field_alternative, 3},
    {field_name, 1},
  [204] =
    {field_operator, 0},
  [205] =
    {field_declarator, 3},
    {field_type, 1},
  [207] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [209] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [212] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [215] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [218] =
    {field_designator, 0},
    {field_value, 2},
  [220] =
    {field_name, 0},
    {field_value, 2},
  [222] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [225] =
    {field_body, 3},
    {field_name, 0},
  [227] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [229] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [232] =
    {field_initializer, 1},
    {field_value, 2},
  [234] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [237] =
    {field_body, 1},
    {field_condition, 3},
  [239] =
    {field_update, 2},
  [240] =
    {field_initializer, 0},
    {field_update, 2},
  [242] =
    {field_condition, 1},
    {field_initializer, 0},
  [244] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [248] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [253] =
    {field_value, 3},
  [254] =
    {field_operand, 1},
  [255] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [257] =
    {field_assembly_code, 3},
  [258] =
    {field_default_type, 2},
  [259] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [261] =
    {field_body, 2},
    {field_parameters, 1},
  [263] =
    {field_name, 1},
    {field_type, 3},
  [265] =
    {field_condition, 2},
  [266] =
    {field_length, 1},
  [267] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [271] =
    {field_declarator, 1},
    {field_declarator, 2},
  [273] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [277] =
    {field_declarator, 4},
  [278] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [281] =
    {field_declarator, 0},
    {field_size, 3},
  [283] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [286] =
    {field_size, 2},
  [287] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [292] =
    {field_declarator, 1},
    {field_default_value, 3},
  [294] =
    {field_alternative, 4},
    {field_condition, 1},
  [296] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [300] =
    {field_body, 2},
    {field_filter, 1},
  [302] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [305] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [309] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [313] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [316] =
    {field_condition, 1},
    {field_update, 3},
  [318] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [321] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [324] =
    {field_initializer, 0},
    {field_update, 3},
  [326] =
    {field_condition, 2},
    {field_initializer, 0},
  [328] =
    {field_member, 4},
    {field_type, 2},
  [330] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [332] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [335] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [337] =
    {field_default_type, 3},
    {field_name, 1},
  [339] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [342] =
    {field_name, 1},
    {field_type, 4},
  [344] =
    {field_end, 3},
    {field_start, 1},
  [346] =
    {field_declarator, 1},
    {field_default_value, 2},
  [348] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [352] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [357] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [360] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [364] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [366] =
    {field_register, 1},
  [367] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [371] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [374] =
    {field_condition, 2},
    {field_message, 4},
  [376] =
    {field_delimiter, 1},
  [377] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [382] =
    {field_constraint, 0},
    {field_value, 2},
  [384] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [386] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [391] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [395] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [397] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [399] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [404] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [406] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [94] = {
    [1] = alias_sym_field_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [99] = {
    [0] = alias_sym_field_identifier,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [0] = alias_sym_field_identifier,
  },
  [118] = {
    [1] = alias_sym_field_identifier,
  },
  [134] = {
    [0] = alias_sym_field_identifier,
  },
  [153] = {
    [2] = alias_sym_type_identifier,
  },
  [157] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [158] = {
    [1] = alias_sym_namespace_identifier,
  },
  [159] = {
    [1] = alias_sym_type_identifier,
  },
  [184] = {
    [4] = alias_sym_field_identifier,
  },
  [188] = {
    [1] = alias_sym_type_identifier,
  },
  [190] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 17,
  [18] = 17,
  [19] = 17,
  [20] = 17,
  [21] = 16,
  [22] = 16,
  [23] = 17,
  [24] = 16,
  [25] = 16,
  [26] = 26,
  [27] = 26,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 30,
  [32] = 32,
  [33] = 33,
  [34] = 30,
  [35] = 26,
  [36] = 30,
  [37] = 26,
  [38] = 38,
  [39] = 30,
  [40] = 26,
  [41] = 38,
  [42] = 42,
  [43] = 43,
  [44] = 43,
  [45] = 43,
  [46] = 42,
  [47] = 47,
  [48] = 42,
  [49] = 43,
  [50] = 43,
  [51] = 47,
  [52] = 42,
  [53] = 43,
  [54] = 54,
  [55] = 43,
  [56] = 42,
  [57] = 43,
  [58] = 42,
  [59] = 43,
  [60] = 43,
  [61] = 42,
  [62] = 42,
  [63] = 42,
  [64] = 42,
  [65] = 54,
  [66] = 43,
  [67] = 47,
  [68] = 43,
  [69] = 43,
  [70] = 38,
  [71] = 42,
  [72] = 42,
  [73] = 38,
  [74] = 42,
  [75] = 42,
  [76] = 43,
  [77] = 42,
  [78] = 54,
  [79] = 42,
  [80] = 43,
  [81] = 42,
  [82] = 43,
  [83] = 43,
  [84] = 43,
  [85] = 85,
  [86] = 43,
  [87] = 42,
  [88] = 47,
  [89] = 42,
  [90] = 42,
  [91] = 43,
  [92] = 43,
  [93] = 54,
  [94] = 94,
  [95] = 47,
  [96] = 54,
  [97] = 42,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 103,
  [106] = 104,
  [107] = 100,
  [108] = 102,
  [109] = 101,
  [110] = 101,
  [111] = 101,
  [112] = 102,
  [113] = 104,
  [114] = 102,
  [115] = 100,
  [116] = 103,
  [117] = 104,
  [118] = 103,
  [119] = 101,
  [120] = 102,
  [121] = 100,
  [122] = 104,
  [123] = 100,
  [124] = 103,
  [125] = 102,
  [126] = 104,
  [127] = 100,
  [128] = 101,
  [129] = 103,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 138,
  [141] = 138,
  [142] = 138,
  [143] = 138,
  [144] = 138,
  [145] = 138,
  [146] = 146,
  [147] = 147,
  [148] = 147,
  [149] = 147,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 151,
  [154] = 154,
  [155] = 151,
  [156] = 156,
  [157] = 151,
  [158] = 151,
  [159] = 159,
  [160] = 160,
  [161] = 159,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 165,
  [167] = 163,
  [168] = 160,
  [169] = 160,
  [170] = 170,
  [171] = 159,
  [172] = 170,
  [173] = 163,
  [174] = 162,
  [175] = 175,
  [176] = 175,
  [177] = 160,
  [178] = 164,
  [179] = 179,
  [180] = 170,
  [181] = 181,
  [182] = 170,
  [183] = 160,
  [184] = 163,
  [185] = 151,
  [186] = 162,
  [187] = 175,
  [188] = 151,
  [189] = 159,
  [190] = 181,
  [191] = 175,
  [192] = 181,
  [193] = 179,
  [194] = 165,
  [195] = 164,
  [196] = 164,
  [197] = 165,
  [198] = 159,
  [199] = 179,
  [200] = 181,
  [201] = 160,
  [202] = 170,
  [203] = 163,
  [204] = 162,
  [205] = 175,
  [206] = 179,
  [207] = 165,
  [208] = 170,
  [209] = 164,
  [210] = 159,
  [211] = 179,
  [212] = 181,
  [213] = 175,
  [214] = 165,
  [215] = 179,
  [216] = 165,
  [217] = 162,
  [218] = 164,
  [219] = 164,
  [220] = 163,
  [221] = 160,
  [222] = 181,
  [223] = 159,
  [224] = 163,
  [225] = 179,
  [226] = 181,
  [227] = 162,
  [228] = 175,
  [229] = 162,
  [230] = 230,
  [231] = 151,
  [232] = 232,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 233,
  [237] = 237,
  [238] = 237,
  [239] = 233,
  [240] = 233,
  [241] = 237,
  [242] = 237,
  [243] = 233,
  [244] = 244,
  [245] = 233,
  [246] = 237,
  [247] = 237,
  [248] = 237,
  [249] = 237,
  [250] = 233,
  [251] = 237,
  [252] = 237,
  [253] = 253,
  [254] = 233,
  [255] = 237,
  [256] = 237,
  [257] = 233,
  [258] = 233,
  [259] = 233,
  [260] = 237,
  [261] = 233,
  [262] = 237,
  [263] = 237,
  [264] = 233,
  [265] = 154,
  [266] = 266,
  [267] = 152,
  [268] = 230,
  [269] = 232,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 253,
  [283] = 283,
  [284] = 244,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 266,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 230,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 271,
  [376] = 376,
  [377] = 232,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 354,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 360,
  [390] = 360,
  [391] = 354,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 354,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 270,
  [405] = 232,
  [406] = 406,
  [407] = 407,
  [408] = 230,
  [409] = 230,
  [410] = 410,
  [411] = 154,
  [412] = 152,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 360,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 232,
  [438] = 335,
  [439] = 302,
  [440] = 334,
  [441] = 441,
  [442] = 320,
  [443] = 322,
  [444] = 323,
  [445] = 331,
  [446] = 330,
  [447] = 329,
  [448] = 328,
  [449] = 327,
  [450] = 326,
  [451] = 325,
  [452] = 283,
  [453] = 324,
  [454] = 321,
  [455] = 285,
  [456] = 319,
  [457] = 338,
  [458] = 318,
  [459] = 441,
  [460] = 340,
  [461] = 313,
  [462] = 312,
  [463] = 333,
  [464] = 311,
  [465] = 253,
  [466] = 244,
  [467] = 310,
  [468] = 309,
  [469] = 253,
  [470] = 308,
  [471] = 305,
  [472] = 307,
  [473] = 342,
  [474] = 337,
  [475] = 304,
  [476] = 299,
  [477] = 441,
  [478] = 303,
  [479] = 275,
  [480] = 341,
  [481] = 343,
  [482] = 298,
  [483] = 344,
  [484] = 277,
  [485] = 279,
  [486] = 280,
  [487] = 441,
  [488] = 297,
  [489] = 441,
  [490] = 441,
  [491] = 296,
  [492] = 244,
  [493] = 339,
  [494] = 295,
  [495] = 317,
  [496] = 291,
  [497] = 336,
  [498] = 290,
  [499] = 289,
  [500] = 332,
  [501] = 316,
  [502] = 278,
  [503] = 315,
  [504] = 286,
  [505] = 273,
  [506] = 314,
  [507] = 306,
  [508] = 274,
  [509] = 441,
  [510] = 272,
  [511] = 281,
  [512] = 288,
  [513] = 345,
  [514] = 292,
  [515] = 301,
  [516] = 276,
  [517] = 346,
  [518] = 347,
  [519] = 294,
  [520] = 441,
  [521] = 441,
  [522] = 293,
  [523] = 348,
  [524] = 350,
  [525] = 349,
  [526] = 441,
  [527] = 441,
  [528] = 441,
  [529] = 441,
  [530] = 441,
  [531] = 300,
  [532] = 441,
  [533] = 441,
  [534] = 441,
  [535] = 441,
  [536] = 287,
  [537] = 441,
  [538] = 436,
  [539] = 416,
  [540] = 355,
  [541] = 379,
  [542] = 394,
  [543] = 418,
  [544] = 393,
  [545] = 357,
  [546] = 380,
  [547] = 385,
  [548] = 378,
  [549] = 266,
  [550] = 376,
  [551] = 374,
  [552] = 384,
  [553] = 373,
  [554] = 366,
  [555] = 270,
  [556] = 387,
  [557] = 406,
  [558] = 388,
  [559] = 435,
  [560] = 434,
  [561] = 410,
  [562] = 365,
  [563] = 352,
  [564] = 403,
  [565] = 402,
  [566] = 401,
  [567] = 400,
  [568] = 407,
  [569] = 415,
  [570] = 417,
  [571] = 419,
  [572] = 422,
  [573] = 270,
  [574] = 425,
  [575] = 152,
  [576] = 399,
  [577] = 392,
  [578] = 414,
  [579] = 423,
  [580] = 426,
  [581] = 427,
  [582] = 154,
  [583] = 429,
  [584] = 430,
  [585] = 431,
  [586] = 266,
  [587] = 266,
  [588] = 362,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 152,
  [593] = 270,
  [594] = 154,
  [595] = 433,
  [596] = 271,
  [597] = 397,
  [598] = 421,
  [599] = 386,
  [600] = 364,
  [601] = 396,
  [602] = 398,
  [603] = 363,
  [604] = 271,
  [605] = 356,
  [606] = 358,
  [607] = 359,
  [608] = 353,
  [609] = 361,
  [610] = 432,
  [611] = 413,
  [612] = 590,
  [613] = 420,
  [614] = 271,
  [615] = 368,
  [616] = 369,
  [617] = 370,
  [618] = 371,
  [619] = 372,
  [620] = 317,
  [621] = 298,
  [622] = 340,
  [623] = 274,
  [624] = 273,
  [625] = 286,
  [626] = 278,
  [627] = 332,
  [628] = 289,
  [629] = 290,
  [630] = 291,
  [631] = 295,
  [632] = 296,
  [633] = 297,
  [634] = 302,
  [635] = 301,
  [636] = 303,
  [637] = 304,
  [638] = 305,
  [639] = 308,
  [640] = 309,
  [641] = 310,
  [642] = 311,
  [643] = 312,
  [644] = 313,
  [645] = 318,
  [646] = 319,
  [647] = 321,
  [648] = 324,
  [649] = 325,
  [650] = 326,
  [651] = 327,
  [652] = 294,
  [653] = 293,
  [654] = 328,
  [655] = 329,
  [656] = 330,
  [657] = 331,
  [658] = 334,
  [659] = 336,
  [660] = 306,
  [661] = 342,
  [662] = 349,
  [663] = 350,
  [664] = 348,
  [665] = 347,
  [666] = 346,
  [667] = 281,
  [668] = 345,
  [669] = 344,
  [670] = 343,
  [671] = 276,
  [672] = 283,
  [673] = 275,
  [674] = 307,
  [675] = 292,
  [676] = 340,
  [677] = 275,
  [678] = 276,
  [679] = 338,
  [680] = 285,
  [681] = 681,
  [682] = 288,
  [683] = 683,
  [684] = 283,
  [685] = 283,
  [686] = 335,
  [687] = 337,
  [688] = 275,
  [689] = 689,
  [690] = 341,
  [691] = 323,
  [692] = 322,
  [693] = 320,
  [694] = 337,
  [695] = 335,
  [696] = 288,
  [697] = 292,
  [698] = 272,
  [699] = 699,
  [700] = 700,
  [701] = 276,
  [702] = 314,
  [703] = 281,
  [704] = 272,
  [705] = 274,
  [706] = 273,
  [707] = 281,
  [708] = 315,
  [709] = 286,
  [710] = 278,
  [711] = 332,
  [712] = 289,
  [713] = 290,
  [714] = 291,
  [715] = 295,
  [716] = 296,
  [717] = 272,
  [718] = 297,
  [719] = 302,
  [720] = 303,
  [721] = 304,
  [722] = 681,
  [723] = 305,
  [724] = 308,
  [725] = 689,
  [726] = 274,
  [727] = 273,
  [728] = 309,
  [729] = 310,
  [730] = 311,
  [731] = 312,
  [732] = 313,
  [733] = 318,
  [734] = 286,
  [735] = 278,
  [736] = 319,
  [737] = 332,
  [738] = 321,
  [739] = 289,
  [740] = 316,
  [741] = 290,
  [742] = 324,
  [743] = 325,
  [744] = 326,
  [745] = 291,
  [746] = 327,
  [747] = 317,
  [748] = 328,
  [749] = 295,
  [750] = 296,
  [751] = 329,
  [752] = 330,
  [753] = 331,
  [754] = 754,
  [755] = 334,
  [756] = 336,
  [757] = 342,
  [758] = 349,
  [759] = 297,
  [760] = 350,
  [761] = 348,
  [762] = 347,
  [763] = 346,
  [764] = 302,
  [765] = 303,
  [766] = 304,
  [767] = 305,
  [768] = 308,
  [769] = 345,
  [770] = 309,
  [771] = 310,
  [772] = 311,
  [773] = 312,
  [774] = 313,
  [775] = 318,
  [776] = 323,
  [777] = 344,
  [778] = 343,
  [779] = 319,
  [780] = 322,
  [781] = 285,
  [782] = 321,
  [783] = 320,
  [784] = 324,
  [785] = 325,
  [786] = 341,
  [787] = 326,
  [788] = 327,
  [789] = 337,
  [790] = 335,
  [791] = 328,
  [792] = 329,
  [793] = 330,
  [794] = 331,
  [795] = 334,
  [796] = 336,
  [797] = 342,
  [798] = 349,
  [799] = 350,
  [800] = 348,
  [801] = 347,
  [802] = 346,
  [803] = 345,
  [804] = 344,
  [805] = 343,
  [806] = 681,
  [807] = 323,
  [808] = 322,
  [809] = 689,
  [810] = 341,
  [811] = 287,
  [812] = 320,
  [813] = 300,
  [814] = 285,
  [815] = 293,
  [816] = 294,
  [817] = 280,
  [818] = 279,
  [819] = 277,
  [820] = 301,
  [821] = 298,
  [822] = 299,
  [823] = 306,
  [824] = 314,
  [825] = 315,
  [826] = 316,
  [827] = 317,
  [828] = 339,
  [829] = 280,
  [830] = 287,
  [831] = 333,
  [832] = 279,
  [833] = 333,
  [834] = 333,
  [835] = 299,
  [836] = 277,
  [837] = 298,
  [838] = 277,
  [839] = 279,
  [840] = 287,
  [841] = 841,
  [842] = 280,
  [843] = 339,
  [844] = 338,
  [845] = 339,
  [846] = 338,
  [847] = 689,
  [848] = 300,
  [849] = 681,
  [850] = 340,
  [851] = 316,
  [852] = 307,
  [853] = 315,
  [854] = 307,
  [855] = 314,
  [856] = 306,
  [857] = 301,
  [858] = 294,
  [859] = 293,
  [860] = 292,
  [861] = 288,
  [862] = 299,
  [863] = 300,
  [864] = 402,
  [865] = 413,
  [866] = 426,
  [867] = 423,
  [868] = 426,
  [869] = 414,
  [870] = 423,
  [871] = 425,
  [872] = 358,
  [873] = 340,
  [874] = 429,
  [875] = 430,
  [876] = 356,
  [877] = 431,
  [878] = 387,
  [879] = 416,
  [880] = 429,
  [881] = 414,
  [882] = 352,
  [883] = 430,
  [884] = 435,
  [885] = 356,
  [886] = 431,
  [887] = 410,
  [888] = 403,
  [889] = 384,
  [890] = 372,
  [891] = 371,
  [892] = 435,
  [893] = 394,
  [894] = 355,
  [895] = 436,
  [896] = 370,
  [897] = 402,
  [898] = 401,
  [899] = 400,
  [900] = 399,
  [901] = 357,
  [902] = 352,
  [903] = 392,
  [904] = 379,
  [905] = 380,
  [906] = 398,
  [907] = 406,
  [908] = 388,
  [909] = 369,
  [910] = 368,
  [911] = 396,
  [912] = 434,
  [913] = 427,
  [914] = 244,
  [915] = 407,
  [916] = 415,
  [917] = 417,
  [918] = 419,
  [919] = 422,
  [920] = 425,
  [921] = 433,
  [922] = 421,
  [923] = 362,
  [924] = 413,
  [925] = 422,
  [926] = 421,
  [927] = 420,
  [928] = 427,
  [929] = 420,
  [930] = 364,
  [931] = 361,
  [932] = 419,
  [933] = 436,
  [934] = 432,
  [935] = 363,
  [936] = 365,
  [937] = 368,
  [938] = 418,
  [939] = 369,
  [940] = 370,
  [941] = 432,
  [942] = 417,
  [943] = 371,
  [944] = 372,
  [945] = 373,
  [946] = 366,
  [947] = 394,
  [948] = 353,
  [949] = 374,
  [950] = 415,
  [951] = 363,
  [952] = 365,
  [953] = 433,
  [954] = 397,
  [955] = 364,
  [956] = 366,
  [957] = 355,
  [958] = 386,
  [959] = 359,
  [960] = 373,
  [961] = 374,
  [962] = 393,
  [963] = 387,
  [964] = 359,
  [965] = 385,
  [966] = 353,
  [967] = 376,
  [968] = 361,
  [969] = 384,
  [970] = 379,
  [971] = 380,
  [972] = 362,
  [973] = 378,
  [974] = 385,
  [975] = 386,
  [976] = 406,
  [977] = 388,
  [978] = 393,
  [979] = 253,
  [980] = 416,
  [981] = 378,
  [982] = 418,
  [983] = 410,
  [984] = 397,
  [985] = 434,
  [986] = 151,
  [987] = 392,
  [988] = 358,
  [989] = 357,
  [990] = 376,
  [991] = 399,
  [992] = 400,
  [993] = 401,
  [994] = 396,
  [995] = 407,
  [996] = 398,
  [997] = 403,
  [998] = 394,
  [999] = 434,
  [1000] = 841,
  [1001] = 151,
  [1002] = 151,
  [1003] = 1003,
  [1004] = 430,
  [1005] = 365,
  [1006] = 366,
  [1007] = 417,
  [1008] = 1003,
  [1009] = 415,
  [1010] = 1010,
  [1011] = 363,
  [1012] = 368,
  [1013] = 392,
  [1014] = 1003,
  [1015] = 353,
  [1016] = 151,
  [1017] = 364,
  [1018] = 1003,
  [1019] = 1010,
  [1020] = 352,
  [1021] = 359,
  [1022] = 419,
  [1023] = 393,
  [1024] = 355,
  [1025] = 387,
  [1026] = 369,
  [1027] = 397,
  [1028] = 418,
  [1029] = 385,
  [1030] = 1003,
  [1031] = 416,
  [1032] = 1003,
  [1033] = 399,
  [1034] = 384,
  [1035] = 403,
  [1036] = 1010,
  [1037] = 370,
  [1038] = 1010,
  [1039] = 413,
  [1040] = 420,
  [1041] = 407,
  [1042] = 421,
  [1043] = 1003,
  [1044] = 433,
  [1045] = 1003,
  [1046] = 422,
  [1047] = 1010,
  [1048] = 425,
  [1049] = 362,
  [1050] = 841,
  [1051] = 356,
  [1052] = 1010,
  [1053] = 388,
  [1054] = 410,
  [1055] = 358,
  [1056] = 379,
  [1057] = 380,
  [1058] = 1010,
  [1059] = 1059,
  [1060] = 1003,
  [1061] = 1003,
  [1062] = 841,
  [1063] = 357,
  [1064] = 436,
  [1065] = 1065,
  [1066] = 1010,
  [1067] = 406,
  [1068] = 378,
  [1069] = 376,
  [1070] = 386,
  [1071] = 1010,
  [1072] = 432,
  [1073] = 400,
  [1074] = 1010,
  [1075] = 414,
  [1076] = 398,
  [1077] = 396,
  [1078] = 371,
  [1079] = 435,
  [1080] = 372,
  [1081] = 431,
  [1082] = 361,
  [1083] = 374,
  [1084] = 373,
  [1085] = 1085,
  [1086] = 1003,
  [1087] = 401,
  [1088] = 402,
  [1089] = 429,
  [1090] = 427,
  [1091] = 426,
  [1092] = 1010,
  [1093] = 423,
  [1094] = 1010,
  [1095] = 1003,
  [1096] = 151,
  [1097] = 151,
  [1098] = 151,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1100,
  [1102] = 1102,
  [1103] = 1102,
  [1104] = 1102,
  [1105] = 1102,
  [1106] = 1102,
  [1107] = 1102,
  [1108] = 1102,
  [1109] = 1102,
  [1110] = 1102,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1113,
  [1115] = 1113,
  [1116] = 1113,
  [1117] = 1113,
  [1118] = 1113,
  [1119] = 1113,
  [1120] = 1113,
  [1121] = 1113,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 232,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1129,
  [1131] = 230,
  [1132] = 1132,
  [1133] = 1124,
  [1134] = 1124,
  [1135] = 1135,
  [1136] = 1125,
  [1137] = 1129,
  [1138] = 1138,
  [1139] = 1132,
  [1140] = 1124,
  [1141] = 1132,
  [1142] = 1124,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1128,
  [1147] = 1147,
  [1148] = 1132,
  [1149] = 1132,
  [1150] = 1145,
  [1151] = 1147,
  [1152] = 1129,
  [1153] = 1129,
  [1154] = 1154,
  [1155] = 1154,
  [1156] = 270,
  [1157] = 271,
  [1158] = 266,
  [1159] = 152,
  [1160] = 154,
  [1161] = 321,
  [1162] = 281,
  [1163] = 320,
  [1164] = 293,
  [1165] = 322,
  [1166] = 294,
  [1167] = 323,
  [1168] = 300,
  [1169] = 1112,
  [1170] = 283,
  [1171] = 287,
  [1172] = 301,
  [1173] = 288,
  [1174] = 306,
  [1175] = 314,
  [1176] = 292,
  [1177] = 315,
  [1178] = 316,
  [1179] = 317,
  [1180] = 339,
  [1181] = 333,
  [1182] = 299,
  [1183] = 285,
  [1184] = 1184,
  [1185] = 298,
  [1186] = 341,
  [1187] = 343,
  [1188] = 344,
  [1189] = 345,
  [1190] = 277,
  [1191] = 346,
  [1192] = 347,
  [1193] = 279,
  [1194] = 348,
  [1195] = 350,
  [1196] = 349,
  [1197] = 342,
  [1198] = 336,
  [1199] = 334,
  [1200] = 307,
  [1201] = 331,
  [1202] = 1123,
  [1203] = 330,
  [1204] = 329,
  [1205] = 328,
  [1206] = 327,
  [1207] = 326,
  [1208] = 325,
  [1209] = 324,
  [1210] = 335,
  [1211] = 319,
  [1212] = 318,
  [1213] = 313,
  [1214] = 312,
  [1215] = 311,
  [1216] = 310,
  [1217] = 309,
  [1218] = 308,
  [1219] = 305,
  [1220] = 304,
  [1221] = 303,
  [1222] = 302,
  [1223] = 297,
  [1224] = 1111,
  [1225] = 275,
  [1226] = 337,
  [1227] = 296,
  [1228] = 338,
  [1229] = 295,
  [1230] = 276,
  [1231] = 291,
  [1232] = 290,
  [1233] = 289,
  [1234] = 332,
  [1235] = 278,
  [1236] = 286,
  [1237] = 280,
  [1238] = 273,
  [1239] = 274,
  [1240] = 272,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1241,
  [1244] = 1244,
  [1245] = 1241,
  [1246] = 1244,
  [1247] = 1244,
  [1248] = 1241,
  [1249] = 1241,
  [1250] = 1250,
  [1251] = 1250,
  [1252] = 1244,
  [1253] = 1253,
  [1254] = 1244,
  [1255] = 1244,
  [1256] = 1241,
  [1257] = 1250,
  [1258] = 1244,
  [1259] = 1250,
  [1260] = 1241,
  [1261] = 1244,
  [1262] = 1250,
  [1263] = 1244,
  [1264] = 1244,
  [1265] = 1250,
  [1266] = 1250,
  [1267] = 1250,
  [1268] = 1250,
  [1269] = 1244,
  [1270] = 1250,
  [1271] = 1241,
  [1272] = 1250,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1275,
  [1277] = 1275,
  [1278] = 1273,
  [1279] = 1273,
  [1280] = 1275,
  [1281] = 1273,
  [1282] = 1282,
  [1283] = 1273,
  [1284] = 1275,
  [1285] = 1282,
  [1286] = 1282,
  [1287] = 1282,
  [1288] = 1274,
  [1289] = 1282,
  [1290] = 1273,
  [1291] = 1282,
  [1292] = 1275,
  [1293] = 1273,
  [1294] = 1273,
  [1295] = 1275,
  [1296] = 1275,
  [1297] = 1274,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1299,
  [1301] = 1299,
  [1302] = 1299,
  [1303] = 1299,
  [1304] = 1299,
  [1305] = 1299,
  [1306] = 1299,
  [1307] = 1299,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1309,
  [1311] = 1308,
  [1312] = 1308,
  [1313] = 1309,
  [1314] = 1309,
  [1315] = 1309,
  [1316] = 1309,
  [1317] = 1308,
  [1318] = 1309,
  [1319] = 1309,
  [1320] = 1308,
  [1321] = 1321,
  [1322] = 1309,
  [1323] = 1309,
  [1324] = 1309,
  [1325] = 1308,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1327,
  [1330] = 1328,
  [1331] = 1328,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1328,
  [1336] = 1327,
  [1337] = 1327,
  [1338] = 1333,
  [1339] = 1339,
  [1340] = 1333,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1328,
  [1344] = 1333,
  [1345] = 1333,
  [1346] = 1332,
  [1347] = 1327,
  [1348] = 1328,
  [1349] = 1333,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1333,
  [1353] = 1353,
  [1354] = 1332,
  [1355] = 1333,
  [1356] = 1333,
  [1357] = 1357,
  [1358] = 1328,
  [1359] = 1327,
  [1360] = 1332,
  [1361] = 1361,
  [1362] = 1327,
  [1363] = 1363,
  [1364] = 1332,
  [1365] = 1326,
  [1366] = 1366,
  [1367] = 1333,
  [1368] = 1368,
  [1369] = 1332,
  [1370] = 1370,
  [1371] = 1327,
  [1372] = 1372,
  [1373] = 1332,
  [1374] = 1326,
  [1375] = 1339,
  [1376] = 1328,
  [1377] = 1327,
  [1378] = 1333,
  [1379] = 1332,
  [1380] = 1332,
  [1381] = 1328,
  [1382] = 1332,
  [1383] = 1333,
  [1384] = 1327,
  [1385] = 1332,
  [1386] = 1328,
  [1387] = 1387,
  [1388] = 1339,
  [1389] = 1327,
  [1390] = 1390,
  [1391] = 1327,
  [1392] = 1333,
  [1393] = 1327,
  [1394] = 1332,
  [1395] = 1328,
  [1396] = 1328,
  [1397] = 1328,
  [1398] = 1332,
  [1399] = 1339,
  [1400] = 1332,
  [1401] = 1327,
  [1402] = 1328,
  [1403] = 1327,
  [1404] = 1333,
  [1405] = 1333,
  [1406] = 1326,
  [1407] = 1332,
  [1408] = 1328,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1413,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1413,
  [1419] = 1412,
  [1420] = 1413,
  [1421] = 1413,
  [1422] = 1422,
  [1423] = 1413,
  [1424] = 1410,
  [1425] = 1425,
  [1426] = 1413,
  [1427] = 1412,
  [1428] = 1428,
  [1429] = 1413,
  [1430] = 1410,
  [1431] = 1431,
  [1432] = 1413,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1412,
  [1436] = 1412,
  [1437] = 1412,
  [1438] = 1438,
  [1439] = 1412,
  [1440] = 1440,
  [1441] = 1413,
  [1442] = 1412,
  [1443] = 1443,
  [1444] = 1412,
  [1445] = 1412,
  [1446] = 1410,
  [1447] = 1412,
  [1448] = 1412,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1413,
  [1452] = 1412,
  [1453] = 1410,
  [1454] = 1454,
  [1455] = 1410,
  [1456] = 1413,
  [1457] = 1413,
  [1458] = 1412,
  [1459] = 1413,
  [1460] = 1413,
  [1461] = 1412,
  [1462] = 1410,
  [1463] = 1410,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1472,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1473,
  [1491] = 1491,
  [1492] = 1470,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1487,
  [1497] = 1489,
  [1498] = 1465,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1499,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1487,
  [1508] = 1508,
  [1509] = 1471,
  [1510] = 1499,
  [1511] = 1487,
  [1512] = 1506,
  [1513] = 1513,
  [1514] = 1475,
  [1515] = 1487,
  [1516] = 1508,
  [1517] = 1488,
  [1518] = 1506,
  [1519] = 1487,
  [1520] = 1489,
  [1521] = 1465,
  [1522] = 1499,
  [1523] = 1499,
  [1524] = 1487,
  [1525] = 1505,
  [1526] = 1504,
  [1527] = 1506,
  [1528] = 1513,
  [1529] = 1502,
  [1530] = 1501,
  [1531] = 1500,
  [1532] = 1508,
  [1533] = 1487,
  [1534] = 1466,
  [1535] = 1495,
  [1536] = 1475,
  [1537] = 1489,
  [1538] = 1487,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1465,
  [1542] = 1487,
  [1543] = 1506,
  [1544] = 1491,
  [1545] = 1508,
  [1546] = 1486,
  [1547] = 1468,
  [1548] = 1467,
  [1549] = 1493,
  [1550] = 1483,
  [1551] = 1551,
  [1552] = 1482,
  [1553] = 1481,
  [1554] = 1499,
  [1555] = 1487,
  [1556] = 1499,
  [1557] = 1480,
  [1558] = 1479,
  [1559] = 1478,
  [1560] = 1485,
  [1561] = 1499,
  [1562] = 1484,
  [1563] = 1477,
  [1564] = 1476,
  [1565] = 1499,
  [1566] = 1566,
  [1567] = 1508,
  [1568] = 1499,
  [1569] = 1499,
  [1570] = 1499,
  [1571] = 1487,
  [1572] = 1487,
  [1573] = 1475,
  [1574] = 1475,
  [1575] = 1489,
  [1576] = 1487,
  [1577] = 1508,
  [1578] = 1506,
  [1579] = 1487,
  [1580] = 1469,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1582,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1587,
  [1595] = 1592,
  [1596] = 1592,
  [1597] = 1592,
  [1598] = 1591,
  [1599] = 1599,
  [1600] = 1592,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1592,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1587,
  [1607] = 1592,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1608,
  [1612] = 1590,
  [1613] = 1585,
  [1614] = 1583,
  [1615] = 1593,
  [1616] = 1616,
  [1617] = 1586,
  [1618] = 1591,
  [1619] = 1593,
  [1620] = 1589,
  [1621] = 1583,
  [1622] = 1604,
  [1623] = 1587,
  [1624] = 1584,
  [1625] = 1625,
  [1626] = 1604,
  [1627] = 1589,
  [1628] = 1601,
  [1629] = 1581,
  [1630] = 1584,
  [1631] = 1608,
  [1632] = 1590,
  [1633] = 1589,
  [1634] = 1605,
  [1635] = 1583,
  [1636] = 1593,
  [1637] = 1585,
  [1638] = 1581,
  [1639] = 1639,
  [1640] = 1586,
  [1641] = 1625,
  [1642] = 1642,
  [1643] = 1604,
  [1644] = 1581,
  [1645] = 1645,
  [1646] = 1642,
  [1647] = 1647,
  [1648] = 1587,
  [1649] = 1645,
  [1650] = 1650,
  [1651] = 1604,
  [1652] = 1601,
  [1653] = 1653,
  [1654] = 1584,
  [1655] = 1589,
  [1656] = 1650,
  [1657] = 1604,
  [1658] = 1593,
  [1659] = 1583,
  [1660] = 1604,
  [1661] = 1587,
  [1662] = 1584,
  [1663] = 1589,
  [1664] = 1664,
  [1665] = 1653,
  [1666] = 1642,
  [1667] = 1587,
  [1668] = 1587,
  [1669] = 1593,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1609,
  [1674] = 1604,
  [1675] = 1605,
  [1676] = 1653,
  [1677] = 1664,
  [1678] = 1602,
  [1679] = 1610,
  [1680] = 1589,
  [1681] = 1584,
  [1682] = 1604,
  [1683] = 1586,
  [1684] = 1650,
  [1685] = 1582,
  [1686] = 1625,
  [1687] = 1670,
  [1688] = 1583,
  [1689] = 1583,
  [1690] = 1593,
  [1691] = 1601,
  [1692] = 1671,
  [1693] = 1608,
  [1694] = 1590,
  [1695] = 1585,
  [1696] = 1645,
  [1697] = 1697,
  [1698] = 1581,
  [1699] = 1650,
  [1700] = 1670,
  [1701] = 1642,
  [1702] = 1645,
  [1703] = 1664,
  [1704] = 1604,
  [1705] = 1645,
  [1706] = 1591,
  [1707] = 1650,
  [1708] = 1664,
  [1709] = 1653,
  [1710] = 1642,
  [1711] = 1697,
  [1712] = 1582,
  [1713] = 1604,
  [1714] = 1584,
  [1715] = 1587,
  [1716] = 1716,
  [1717] = 1716,
  [1718] = 1716,
  [1719] = 1719,
  [1720] = 1716,
  [1721] = 1721,
  [1722] = 1716,
  [1723] = 1716,
  [1724] = 1716,
  [1725] = 1664,
  [1726] = 1581,
  [1727] = 1585,
  [1728] = 1592,
  [1729] = 1590,
  [1730] = 1608,
  [1731] = 1601,
  [1732] = 1670,
  [1733] = 1586,
  [1734] = 1583,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1593,
  [1738] = 1583,
  [1739] = 1591,
  [1740] = 1591,
  [1741] = 1599,
  [1742] = 1742,
  [1743] = 1591,
  [1744] = 1593,
  [1745] = 1716,
  [1746] = 1586,
  [1747] = 1589,
  [1748] = 1671,
  [1749] = 1586,
  [1750] = 1601,
  [1751] = 1589,
  [1752] = 1608,
  [1753] = 1590,
  [1754] = 1585,
  [1755] = 1581,
  [1756] = 1642,
  [1757] = 1645,
  [1758] = 1650,
  [1759] = 1584,
  [1760] = 1664,
  [1761] = 1653,
  [1762] = 1583,
  [1763] = 1672,
  [1764] = 1764,
  [1765] = 1591,
  [1766] = 1584,
  [1767] = 1697,
  [1768] = 1768,
  [1769] = 1586,
  [1770] = 1586,
  [1771] = 1591,
  [1772] = 1697,
  [1773] = 1609,
  [1774] = 1587,
  [1775] = 1775,
  [1776] = 1616,
  [1777] = 1697,
  [1778] = 1583,
  [1779] = 1586,
  [1780] = 1602,
  [1781] = 1609,
  [1782] = 1586,
  [1783] = 1593,
  [1784] = 1672,
  [1785] = 1785,
  [1786] = 1671,
  [1787] = 1697,
  [1788] = 1587,
  [1789] = 1591,
  [1790] = 1790,
  [1791] = 1601,
  [1792] = 1591,
  [1793] = 1586,
  [1794] = 1599,
  [1795] = 1591,
  [1796] = 1586,
  [1797] = 1582,
  [1798] = 1609,
  [1799] = 1602,
  [1800] = 1605,
  [1801] = 1608,
  [1802] = 1609,
  [1803] = 1672,
  [1804] = 1671,
  [1805] = 1582,
  [1806] = 1590,
  [1807] = 1585,
  [1808] = 1587,
  [1809] = 1602,
  [1810] = 1645,
  [1811] = 1581,
  [1812] = 1642,
  [1813] = 1605,
  [1814] = 1645,
  [1815] = 1609,
  [1816] = 1672,
  [1817] = 1601,
  [1818] = 1671,
  [1819] = 1584,
  [1820] = 1653,
  [1821] = 1664,
  [1822] = 1650,
  [1823] = 1645,
  [1824] = 1642,
  [1825] = 1581,
  [1826] = 1585,
  [1827] = 1590,
  [1828] = 1608,
  [1829] = 1601,
  [1830] = 1589,
  [1831] = 1831,
  [1832] = 1602,
  [1833] = 1608,
  [1834] = 1586,
  [1835] = 1590,
  [1836] = 1584,
  [1837] = 1591,
  [1838] = 1605,
  [1839] = 1672,
  [1840] = 1625,
  [1841] = 1602,
  [1842] = 1842,
  [1843] = 1604,
  [1844] = 1604,
  [1845] = 1672,
  [1846] = 1650,
  [1847] = 1605,
  [1848] = 1664,
  [1849] = 1583,
  [1850] = 1653,
  [1851] = 1593,
  [1852] = 1589,
  [1853] = 1593,
  [1854] = 1581,
  [1855] = 1653,
  [1856] = 1593,
  [1857] = 1583,
  [1858] = 1582,
  [1859] = 1591,
  [1860] = 1584,
  [1861] = 1609,
  [1862] = 1601,
  [1863] = 1593,
  [1864] = 1583,
  [1865] = 1608,
  [1866] = 1672,
  [1867] = 1671,
  [1868] = 1584,
  [1869] = 1590,
  [1870] = 1670,
  [1871] = 1604,
  [1872] = 1625,
  [1873] = 1653,
  [1874] = 1587,
  [1875] = 1664,
  [1876] = 1584,
  [1877] = 1650,
  [1878] = 1671,
  [1879] = 1642,
  [1880] = 1583,
  [1881] = 1593,
  [1882] = 1582,
  [1883] = 1645,
  [1884] = 1642,
  [1885] = 1585,
  [1886] = 1585,
  [1887] = 1589,
  [1888] = 1590,
  [1889] = 1581,
  [1890] = 1608,
  [1891] = 1589,
  [1892] = 1601,
  [1893] = 1608,
  [1894] = 1590,
  [1895] = 1601,
  [1896] = 1585,
  [1897] = 1642,
  [1898] = 1587,
  [1899] = 1645,
  [1900] = 1589,
  [1901] = 1901,
  [1902] = 1581,
  [1903] = 1642,
  [1904] = 1650,
  [1905] = 1645,
  [1906] = 1602,
  [1907] = 1697,
  [1908] = 1650,
  [1909] = 1664,
  [1910] = 1653,
  [1911] = 1653,
  [1912] = 1625,
  [1913] = 1768,
  [1914] = 1587,
  [1915] = 1664,
  [1916] = 1764,
  [1917] = 1670,
  [1918] = 1605,
  [1919] = 1653,
  [1920] = 1609,
  [1921] = 1602,
  [1922] = 1922,
  [1923] = 1645,
  [1924] = 1650,
  [1925] = 1586,
  [1926] = 1591,
  [1927] = 1601,
  [1928] = 1584,
  [1929] = 1608,
  [1930] = 1672,
  [1931] = 1716,
  [1932] = 1664,
  [1933] = 1604,
  [1934] = 1653,
  [1935] = 1653,
  [1936] = 1664,
  [1937] = 1650,
  [1938] = 1785,
  [1939] = 1653,
  [1940] = 1664,
  [1941] = 1664,
  [1942] = 1650,
  [1943] = 1585,
  [1944] = 1590,
  [1945] = 1645,
  [1946] = 1642,
  [1947] = 1642,
  [1948] = 1610,
  [1949] = 1581,
  [1950] = 1585,
  [1951] = 1585,
  [1952] = 1581,
  [1953] = 1585,
  [1954] = 1590,
  [1955] = 1581,
  [1956] = 1956,
  [1957] = 1608,
  [1958] = 1642,
  [1959] = 1601,
  [1960] = 1590,
  [1961] = 1608,
  [1962] = 1601,
  [1963] = 1589,
  [1964] = 1671,
  [1965] = 1650,
  [1966] = 1645,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1976,
  [1978] = 1978,
  [1979] = 1978,
  [1980] = 1978,
  [1981] = 1978,
  [1982] = 1978,
  [1983] = 1983,
  [1984] = 433,
  [1985] = 421,
  [1986] = 1967,
  [1987] = 1967,
  [1988] = 1971,
  [1989] = 1970,
  [1990] = 1968,
  [1991] = 1975,
  [1992] = 1992,
  [1993] = 1967,
  [1994] = 1969,
  [1995] = 1973,
  [1996] = 1975,
  [1997] = 1972,
  [1998] = 1974,
  [1999] = 1973,
  [2000] = 1972,
  [2001] = 1974,
  [2002] = 1969,
  [2003] = 1975,
  [2004] = 1968,
  [2005] = 1970,
  [2006] = 1274,
  [2007] = 1971,
  [2008] = 1274,
  [2009] = 1974,
  [2010] = 1969,
  [2011] = 1971,
  [2012] = 1975,
  [2013] = 1970,
  [2014] = 1972,
  [2015] = 1968,
  [2016] = 1973,
  [2017] = 1975,
  [2018] = 2018,
  [2019] = 2018,
  [2020] = 2018,
  [2021] = 2018,
  [2022] = 2018,
  [2023] = 2023,
  [2024] = 2023,
  [2025] = 2023,
  [2026] = 2026,
  [2027] = 2023,
  [2028] = 2023,
  [2029] = 2023,
  [2030] = 2023,
  [2031] = 2023,
  [2032] = 2023,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2045,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 1975,
  [2056] = 1975,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 1969,
  [2061] = 2059,
  [2062] = 2059,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 1972,
  [2066] = 1971,
  [2067] = 1973,
  [2068] = 2068,
  [2069] = 1968,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 1974,
  [2073] = 2059,
  [2074] = 2059,
  [2075] = 1970,
  [2076] = 1974,
  [2077] = 230,
  [2078] = 1968,
  [2079] = 2063,
  [2080] = 253,
  [2081] = 244,
  [2082] = 232,
  [2083] = 1970,
  [2084] = 1969,
  [2085] = 2085,
  [2086] = 1972,
  [2087] = 2033,
  [2088] = 2088,
  [2089] = 1971,
  [2090] = 2090,
  [2091] = 1973,
  [2092] = 2092,
  [2093] = 2092,
  [2094] = 2094,
  [2095] = 2092,
  [2096] = 2092,
  [2097] = 2094,
  [2098] = 2092,
  [2099] = 2094,
  [2100] = 2092,
  [2101] = 340,
  [2102] = 2094,
  [2103] = 1967,
  [2104] = 2094,
  [2105] = 2105,
  [2106] = 2092,
  [2107] = 1975,
  [2108] = 2092,
  [2109] = 340,
  [2110] = 2092,
  [2111] = 253,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 271,
  [2115] = 1967,
  [2116] = 2116,
  [2117] = 232,
  [2118] = 152,
  [2119] = 2119,
  [2120] = 154,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 230,
  [2124] = 244,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2033,
  [2128] = 2033,
  [2129] = 2129,
  [2130] = 378,
  [2131] = 1968,
  [2132] = 2048,
  [2133] = 421,
  [2134] = 364,
  [2135] = 2135,
  [2136] = 1967,
  [2137] = 2137,
  [2138] = 2051,
  [2139] = 337,
  [2140] = 335,
  [2141] = 1972,
  [2142] = 2037,
  [2143] = 283,
  [2144] = 1971,
  [2145] = 340,
  [2146] = 396,
  [2147] = 398,
  [2148] = 2148,
  [2149] = 1973,
  [2150] = 423,
  [2151] = 1975,
  [2152] = 427,
  [2153] = 307,
  [2154] = 2154,
  [2155] = 356,
  [2156] = 432,
  [2157] = 358,
  [2158] = 2158,
  [2159] = 2129,
  [2160] = 2160,
  [2161] = 413,
  [2162] = 288,
  [2163] = 2033,
  [2164] = 2129,
  [2165] = 2160,
  [2166] = 2166,
  [2167] = 1970,
  [2168] = 1969,
  [2169] = 1968,
  [2170] = 1974,
  [2171] = 415,
  [2172] = 394,
  [2173] = 2026,
  [2174] = 387,
  [2175] = 429,
  [2176] = 1971,
  [2177] = 2158,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 431,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 384,
  [2190] = 2121,
  [2191] = 417,
  [2192] = 2122,
  [2193] = 2193,
  [2194] = 1973,
  [2195] = 402,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 376,
  [2200] = 2200,
  [2201] = 414,
  [2202] = 374,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 410,
  [2206] = 2206,
  [2207] = 373,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 372,
  [2211] = 371,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 403,
  [2219] = 275,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 370,
  [2224] = 2224,
  [2225] = 320,
  [2226] = 352,
  [2227] = 1972,
  [2228] = 426,
  [2229] = 2229,
  [2230] = 433,
  [2231] = 322,
  [2232] = 369,
  [2233] = 355,
  [2234] = 2182,
  [2235] = 2178,
  [2236] = 368,
  [2237] = 379,
  [2238] = 380,
  [2239] = 386,
  [2240] = 406,
  [2241] = 292,
  [2242] = 388,
  [2243] = 2179,
  [2244] = 430,
  [2245] = 1970,
  [2246] = 1969,
  [2247] = 1974,
  [2248] = 323,
  [2249] = 2249,
  [2250] = 420,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 340,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 434,
  [2260] = 419,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 232,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 232,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 230,
  [2271] = 230,
  [2272] = 2272,
  [2273] = 2051,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 253,
  [2277] = 2277,
  [2278] = 2026,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2229,
  [2288] = 2033,
  [2289] = 271,
  [2290] = 2229,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2229,
  [2295] = 2295,
  [2296] = 244,
  [2297] = 2033,
  [2298] = 2122,
  [2299] = 2299,
  [2300] = 2121,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2229,
  [2304] = 2037,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2261,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 154,
  [2312] = 152,
  [2313] = 2313,
  [2314] = 2261,
  [2315] = 1975,
  [2316] = 2316,
  [2317] = 2261,
  [2318] = 2261,
  [2319] = 2261,
  [2320] = 2261,
  [2321] = 2261,
  [2322] = 2037,
  [2323] = 2051,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2048,
  [2328] = 2033,
  [2329] = 2329,
  [2330] = 2261,
  [2331] = 2033,
  [2332] = 2272,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 244,
  [2336] = 2229,
  [2337] = 2229,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2048,
  [2341] = 253,
  [2342] = 2264,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2206,
  [2351] = 340,
  [2352] = 387,
  [2353] = 2208,
  [2354] = 2064,
  [2355] = 307,
  [2356] = 2209,
  [2357] = 2212,
  [2358] = 2213,
  [2359] = 2214,
  [2360] = 2215,
  [2361] = 372,
  [2362] = 371,
  [2363] = 2216,
  [2364] = 2217,
  [2365] = 2220,
  [2366] = 2221,
  [2367] = 2222,
  [2368] = 2258,
  [2369] = 2257,
  [2370] = 2256,
  [2371] = 2255,
  [2372] = 430,
  [2373] = 2253,
  [2374] = 2252,
  [2375] = 2251,
  [2376] = 2033,
  [2377] = 434,
  [2378] = 369,
  [2379] = 2379,
  [2380] = 368,
  [2381] = 398,
  [2382] = 431,
  [2383] = 2071,
  [2384] = 396,
  [2385] = 2385,
  [2386] = 420,
  [2387] = 419,
  [2388] = 2249,
  [2389] = 2037,
  [2390] = 2048,
  [2391] = 335,
  [2392] = 384,
  [2393] = 417,
  [2394] = 415,
  [2395] = 2268,
  [2396] = 2396,
  [2397] = 413,
  [2398] = 2398,
  [2399] = 337,
  [2400] = 402,
  [2401] = 426,
  [2402] = 364,
  [2403] = 432,
  [2404] = 2204,
  [2405] = 2405,
  [2406] = 2203,
  [2407] = 2200,
  [2408] = 2137,
  [2409] = 352,
  [2410] = 414,
  [2411] = 2411,
  [2412] = 2166,
  [2413] = 2135,
  [2414] = 421,
  [2415] = 2033,
  [2416] = 376,
  [2417] = 2417,
  [2418] = 2313,
  [2419] = 433,
  [2420] = 2068,
  [2421] = 423,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 394,
  [2425] = 2198,
  [2426] = 2396,
  [2427] = 283,
  [2428] = 2428,
  [2429] = 355,
  [2430] = 2197,
  [2431] = 2326,
  [2432] = 340,
  [2433] = 2196,
  [2434] = 370,
  [2435] = 2033,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2051,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 275,
  [2442] = 2193,
  [2443] = 356,
  [2444] = 2275,
  [2445] = 2306,
  [2446] = 2446,
  [2447] = 410,
  [2448] = 358,
  [2449] = 403,
  [2450] = 379,
  [2451] = 2451,
  [2452] = 2396,
  [2453] = 2453,
  [2454] = 323,
  [2455] = 380,
  [2456] = 340,
  [2457] = 429,
  [2458] = 386,
  [2459] = 427,
  [2460] = 292,
  [2461] = 378,
  [2462] = 322,
  [2463] = 320,
  [2464] = 374,
  [2465] = 288,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2326,
  [2469] = 406,
  [2470] = 388,
  [2471] = 2428,
  [2472] = 2313,
  [2473] = 2188,
  [2474] = 2187,
  [2475] = 2186,
  [2476] = 2185,
  [2477] = 2184,
  [2478] = 2183,
  [2479] = 373,
  [2480] = 2181,
  [2481] = 2070,
  [2482] = 340,
  [2483] = 2154,
  [2484] = 2033,
  [2485] = 2396,
  [2486] = 2333,
  [2487] = 2339,
  [2488] = 2306,
  [2489] = 2489,
  [2490] = 2325,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2063,
  [2496] = 2324,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2491,
  [2501] = 2295,
  [2502] = 154,
  [2503] = 152,
  [2504] = 2071,
  [2505] = 2422,
  [2506] = 2291,
  [2507] = 2064,
  [2508] = 2343,
  [2509] = 2509,
  [2510] = 2119,
  [2511] = 2511,
  [2512] = 2348,
  [2513] = 2285,
  [2514] = 154,
  [2515] = 2283,
  [2516] = 2281,
  [2517] = 2068,
  [2518] = 2282,
  [2519] = 2519,
  [2520] = 2493,
  [2521] = 2063,
  [2522] = 2497,
  [2523] = 152,
  [2524] = 1967,
  [2525] = 2122,
  [2526] = 2266,
  [2527] = 2308,
  [2528] = 2269,
  [2529] = 2121,
  [2530] = 2299,
  [2531] = 2302,
  [2532] = 2344,
  [2533] = 2279,
  [2534] = 2334,
  [2535] = 2280,
  [2536] = 2536,
  [2537] = 2346,
  [2538] = 2090,
  [2539] = 2338,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2309,
  [2544] = 2349,
  [2545] = 2262,
  [2546] = 2310,
  [2547] = 2121,
  [2548] = 2125,
  [2549] = 2549,
  [2550] = 2122,
  [2551] = 2549,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2284,
  [2555] = 2277,
  [2556] = 2494,
  [2557] = 2286,
  [2558] = 2347,
  [2559] = 2559,
  [2560] = 271,
  [2561] = 2274,
  [2562] = 2499,
  [2563] = 2293,
  [2564] = 2564,
  [2565] = 2265,
  [2566] = 2566,
  [2567] = 271,
  [2568] = 2345,
  [2569] = 2070,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2498,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2301,
  [2576] = 2292,
  [2577] = 2268,
  [2578] = 356,
  [2579] = 420,
  [2580] = 2580,
  [2581] = 410,
  [2582] = 403,
  [2583] = 2222,
  [2584] = 2221,
  [2585] = 2220,
  [2586] = 2051,
  [2587] = 2493,
  [2588] = 2494,
  [2589] = 2491,
  [2590] = 352,
  [2591] = 2217,
  [2592] = 307,
  [2593] = 2037,
  [2594] = 394,
  [2595] = 402,
  [2596] = 2216,
  [2597] = 378,
  [2598] = 355,
  [2599] = 376,
  [2600] = 374,
  [2601] = 2135,
  [2602] = 414,
  [2603] = 1975,
  [2604] = 423,
  [2605] = 356,
  [2606] = 373,
  [2607] = 426,
  [2608] = 427,
  [2609] = 335,
  [2610] = 337,
  [2611] = 429,
  [2612] = 430,
  [2613] = 431,
  [2614] = 2215,
  [2615] = 2214,
  [2616] = 307,
  [2617] = 2213,
  [2618] = 2497,
  [2619] = 2498,
  [2620] = 2212,
  [2621] = 379,
  [2622] = 2258,
  [2623] = 380,
  [2624] = 2257,
  [2625] = 283,
  [2626] = 2137,
  [2627] = 2137,
  [2628] = 2256,
  [2629] = 1111,
  [2630] = 2255,
  [2631] = 2209,
  [2632] = 419,
  [2633] = 386,
  [2634] = 417,
  [2635] = 2635,
  [2636] = 358,
  [2637] = 415,
  [2638] = 2638,
  [2639] = 364,
  [2640] = 2499,
  [2641] = 2048,
  [2642] = 2135,
  [2643] = 323,
  [2644] = 322,
  [2645] = 320,
  [2646] = 387,
  [2647] = 384,
  [2648] = 2648,
  [2649] = 2253,
  [2650] = 2252,
  [2651] = 372,
  [2652] = 371,
  [2653] = 421,
  [2654] = 2251,
  [2655] = 2549,
  [2656] = 2656,
  [2657] = 406,
  [2658] = 388,
  [2659] = 370,
  [2660] = 275,
  [2661] = 369,
  [2662] = 368,
  [2663] = 433,
  [2664] = 2492,
  [2665] = 335,
  [2666] = 2121,
  [2667] = 2122,
  [2668] = 288,
  [2669] = 2068,
  [2670] = 337,
  [2671] = 2064,
  [2672] = 2672,
  [2673] = 292,
  [2674] = 2071,
  [2675] = 2070,
  [2676] = 292,
  [2677] = 288,
  [2678] = 2181,
  [2679] = 2206,
  [2680] = 2204,
  [2681] = 2203,
  [2682] = 2183,
  [2683] = 2184,
  [2684] = 2185,
  [2685] = 2186,
  [2686] = 2208,
  [2687] = 2198,
  [2688] = 2187,
  [2689] = 2197,
  [2690] = 2188,
  [2691] = 1112,
  [2692] = 421,
  [2693] = 420,
  [2694] = 432,
  [2695] = 2070,
  [2696] = 364,
  [2697] = 320,
  [2698] = 322,
  [2699] = 2196,
  [2700] = 2068,
  [2701] = 323,
  [2702] = 2193,
  [2703] = 283,
  [2704] = 413,
  [2705] = 413,
  [2706] = 275,
  [2707] = 415,
  [2708] = 417,
  [2709] = 434,
  [2710] = 419,
  [2711] = 2251,
  [2712] = 2252,
  [2713] = 2253,
  [2714] = 2255,
  [2715] = 2256,
  [2716] = 2200,
  [2717] = 2090,
  [2718] = 396,
  [2719] = 2188,
  [2720] = 2257,
  [2721] = 2258,
  [2722] = 2187,
  [2723] = 2064,
  [2724] = 2186,
  [2725] = 396,
  [2726] = 2071,
  [2727] = 433,
  [2728] = 398,
  [2729] = 2185,
  [2730] = 2184,
  [2731] = 2183,
  [2732] = 368,
  [2733] = 398,
  [2734] = 2222,
  [2735] = 2492,
  [2736] = 2221,
  [2737] = 2220,
  [2738] = 2217,
  [2739] = 2216,
  [2740] = 2215,
  [2741] = 2063,
  [2742] = 2181,
  [2743] = 434,
  [2744] = 2214,
  [2745] = 2213,
  [2746] = 2212,
  [2747] = 2209,
  [2748] = 369,
  [2749] = 370,
  [2750] = 432,
  [2751] = 2208,
  [2752] = 2206,
  [2753] = 2204,
  [2754] = 2203,
  [2755] = 2200,
  [2756] = 388,
  [2757] = 406,
  [2758] = 386,
  [2759] = 2198,
  [2760] = 380,
  [2761] = 379,
  [2762] = 2197,
  [2763] = 371,
  [2764] = 372,
  [2765] = 355,
  [2766] = 394,
  [2767] = 2767,
  [2768] = 2196,
  [2769] = 352,
  [2770] = 402,
  [2771] = 403,
  [2772] = 2193,
  [2773] = 373,
  [2774] = 2326,
  [2775] = 374,
  [2776] = 410,
  [2777] = 376,
  [2778] = 2428,
  [2779] = 378,
  [2780] = 414,
  [2781] = 384,
  [2782] = 387,
  [2783] = 358,
  [2784] = 2313,
  [2785] = 423,
  [2786] = 426,
  [2787] = 427,
  [2788] = 429,
  [2789] = 431,
  [2790] = 2790,
  [2791] = 430,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2326,
  [2796] = 2796,
  [2797] = 2063,
  [2798] = 152,
  [2799] = 2306,
  [2800] = 2497,
  [2801] = 2801,
  [2802] = 1111,
  [2803] = 2498,
  [2804] = 2804,
  [2805] = 2499,
  [2806] = 2806,
  [2807] = 2494,
  [2808] = 2549,
  [2809] = 2493,
  [2810] = 154,
  [2811] = 2811,
  [2812] = 2063,
  [2813] = 2071,
  [2814] = 1112,
  [2815] = 2178,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2064,
  [2820] = 2491,
  [2821] = 2821,
  [2822] = 2071,
  [2823] = 2068,
  [2824] = 2182,
  [2825] = 2825,
  [2826] = 2264,
  [2827] = 2264,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2179,
  [2833] = 2833,
  [2834] = 2068,
  [2835] = 2178,
  [2836] = 2326,
  [2837] = 2070,
  [2838] = 2182,
  [2839] = 2158,
  [2840] = 2840,
  [2841] = 2313,
  [2842] = 2125,
  [2843] = 2090,
  [2844] = 2313,
  [2845] = 2119,
  [2846] = 2846,
  [2847] = 2847,
  [2848] = 2179,
  [2849] = 2070,
  [2850] = 2070,
  [2851] = 1970,
  [2852] = 2071,
  [2853] = 2064,
  [2854] = 1972,
  [2855] = 1971,
  [2856] = 1974,
  [2857] = 1969,
  [2858] = 1973,
  [2859] = 2859,
  [2860] = 2068,
  [2861] = 2064,
  [2862] = 1968,
  [2863] = 2063,
  [2864] = 2158,
  [2865] = 2865,
  [2866] = 2866,
  [2867] = 2867,
  [2868] = 2638,
  [2869] = 2052,
  [2870] = 2053,
  [2871] = 2040,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2648,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2886,
  [2887] = 1972,
  [2888] = 1971,
  [2889] = 2049,
  [2890] = 2050,
  [2891] = 2070,
  [2892] = 2638,
  [2893] = 2893,
  [2894] = 2326,
  [2895] = 2329,
  [2896] = 2896,
  [2897] = 2428,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2179,
  [2901] = 2313,
  [2902] = 2902,
  [2903] = 2182,
  [2904] = 1973,
  [2905] = 1968,
  [2906] = 2178,
  [2907] = 2068,
  [2908] = 1970,
  [2909] = 2909,
  [2910] = 1969,
  [2911] = 2635,
  [2912] = 1974,
  [2913] = 2913,
  [2914] = 2158,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2090,
  [2920] = 2920,
  [2921] = 2039,
  [2922] = 2859,
  [2923] = 2042,
  [2924] = 2038,
  [2925] = 154,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2648,
  [2932] = 2932,
  [2933] = 2034,
  [2934] = 2035,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2046,
  [2939] = 2825,
  [2940] = 2656,
  [2941] = 2941,
  [2942] = 2305,
  [2943] = 2071,
  [2944] = 2041,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2064,
  [2948] = 2948,
  [2949] = 2063,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2492,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 152,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2044,
  [2959] = 2036,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2026,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2656,
  [2966] = 2966,
  [2967] = 2967,
  [2968] = 2306,
  [2969] = 2969,
  [2970] = 2043,
  [2971] = 2971,
  [2972] = 2122,
  [2973] = 2635,
  [2974] = 2121,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2090,
  [2978] = 2466,
  [2979] = 2491,
  [2980] = 2656,
  [2981] = 2648,
  [2982] = 2439,
  [2983] = 2983,
  [2984] = 2491,
  [2985] = 2453,
  [2986] = 2051,
  [2987] = 2113,
  [2988] = 2116,
  [2989] = 2437,
  [2990] = 2493,
  [2991] = 2493,
  [2992] = 2494,
  [2993] = 2440,
  [2994] = 2428,
  [2995] = 2119,
  [2996] = 2417,
  [2997] = 2494,
  [2998] = 2998,
  [2999] = 2398,
  [3000] = 2125,
  [3001] = 2126,
  [3002] = 3002,
  [3003] = 2405,
  [3004] = 2451,
  [3005] = 2037,
  [3006] = 2071,
  [3007] = 2048,
  [3008] = 2064,
  [3009] = 2264,
  [3010] = 2112,
  [3011] = 2436,
  [3012] = 2467,
  [3013] = 2068,
  [3014] = 2497,
  [3015] = 2070,
  [3016] = 2549,
  [3017] = 2498,
  [3018] = 2549,
  [3019] = 2499,
  [3020] = 2446,
  [3021] = 2499,
  [3022] = 2497,
  [3023] = 2498,
  [3024] = 2070,
  [3025] = 3025,
  [3026] = 2119,
  [3027] = 2178,
  [3028] = 2182,
  [3029] = 2064,
  [3030] = 2179,
  [3031] = 2071,
  [3032] = 2492,
  [3033] = 2492,
  [3034] = 2026,
  [3035] = 2090,
  [3036] = 2063,
  [3037] = 2158,
  [3038] = 2166,
  [3039] = 2154,
  [3040] = 2638,
  [3041] = 2306,
  [3042] = 2491,
  [3043] = 2306,
  [3044] = 2305,
  [3045] = 2635,
  [3046] = 2549,
  [3047] = 3047,
  [3048] = 2125,
  [3049] = 2068,
  [3050] = 3050,
  [3051] = 2499,
  [3052] = 2329,
  [3053] = 2493,
  [3054] = 2494,
  [3055] = 2498,
  [3056] = 2313,
  [3057] = 2497,
  [3058] = 2249,
  [3059] = 2326,
  [3060] = 2090,
  [3061] = 2125,
  [3062] = 2324,
  [3063] = 2326,
  [3064] = 2308,
  [3065] = 2398,
  [3066] = 2277,
  [3067] = 2281,
  [3068] = 2279,
  [3069] = 2269,
  [3070] = 2266,
  [3071] = 2309,
  [3072] = 2299,
  [3073] = 2283,
  [3074] = 2282,
  [3075] = 2405,
  [3076] = 2334,
  [3077] = 2285,
  [3078] = 2333,
  [3079] = 2451,
  [3080] = 2345,
  [3081] = 2116,
  [3082] = 2466,
  [3083] = 2301,
  [3084] = 2492,
  [3085] = 2178,
  [3086] = 2182,
  [3087] = 2467,
  [3088] = 2113,
  [3089] = 2313,
  [3090] = 2291,
  [3091] = 2295,
  [3092] = 2274,
  [3093] = 2179,
  [3094] = 2280,
  [3095] = 2119,
  [3096] = 2436,
  [3097] = 2437,
  [3098] = 2417,
  [3099] = 2292,
  [3100] = 2265,
  [3101] = 2284,
  [3102] = 2325,
  [3103] = 2286,
  [3104] = 2293,
  [3105] = 2302,
  [3106] = 2638,
  [3107] = 2262,
  [3108] = 2635,
  [3109] = 2348,
  [3110] = 2343,
  [3111] = 2439,
  [3112] = 2347,
  [3113] = 2453,
  [3114] = 2440,
  [3115] = 2428,
  [3116] = 2339,
  [3117] = 2158,
  [3118] = 2264,
  [3119] = 2349,
  [3120] = 2346,
  [3121] = 2026,
  [3122] = 2310,
  [3123] = 3123,
  [3124] = 2344,
  [3125] = 2446,
  [3126] = 2112,
  [3127] = 2338,
  [3128] = 2126,
  [3129] = 2026,
  [3130] = 2064,
  [3131] = 2262,
  [3132] = 3132,
  [3133] = 1970,
  [3134] = 3134,
  [3135] = 2119,
  [3136] = 2423,
  [3137] = 1968,
  [3138] = 2280,
  [3139] = 1973,
  [3140] = 3140,
  [3141] = 1971,
  [3142] = 3142,
  [3143] = 2385,
  [3144] = 3144,
  [3145] = 2063,
  [3146] = 2491,
  [3147] = 2491,
  [3148] = 3148,
  [3149] = 2493,
  [3150] = 2249,
  [3151] = 3151,
  [3152] = 2493,
  [3153] = 2264,
  [3154] = 3154,
  [3155] = 1974,
  [3156] = 2494,
  [3157] = 2494,
  [3158] = 3158,
  [3159] = 2411,
  [3160] = 2329,
  [3161] = 3161,
  [3162] = 2158,
  [3163] = 3163,
  [3164] = 2499,
  [3165] = 1969,
  [3166] = 3166,
  [3167] = 1972,
  [3168] = 2068,
  [3169] = 3169,
  [3170] = 2112,
  [3171] = 2497,
  [3172] = 2497,
  [3173] = 2310,
  [3174] = 2305,
  [3175] = 2071,
  [3176] = 2498,
  [3177] = 2498,
  [3178] = 2154,
  [3179] = 2305,
  [3180] = 3180,
  [3181] = 2302,
  [3182] = 2166,
  [3183] = 2113,
  [3184] = 2499,
  [3185] = 2125,
  [3186] = 2285,
  [3187] = 2126,
  [3188] = 3188,
  [3189] = 2549,
  [3190] = 2549,
  [3191] = 2178,
  [3192] = 2379,
  [3193] = 2182,
  [3194] = 2179,
  [3195] = 3195,
  [3196] = 2293,
  [3197] = 2070,
  [3198] = 2026,
  [3199] = 2329,
  [3200] = 2116,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 1974,
  [3204] = 2301,
  [3205] = 2274,
  [3206] = 2277,
  [3207] = 2509,
  [3208] = 2281,
  [3209] = 3209,
  [3210] = 2440,
  [3211] = 2439,
  [3212] = 2283,
  [3213] = 2291,
  [3214] = 3202,
  [3215] = 2295,
  [3216] = 2417,
  [3217] = 2930,
  [3218] = 2026,
  [3219] = 1975,
  [3220] = 2866,
  [3221] = 2918,
  [3222] = 2917,
  [3223] = 2179,
  [3224] = 2467,
  [3225] = 2308,
  [3226] = 2309,
  [3227] = 2920,
  [3228] = 2466,
  [3229] = 2182,
  [3230] = 2178,
  [3231] = 2451,
  [3232] = 2268,
  [3233] = 2405,
  [3234] = 3234,
  [3235] = 2867,
  [3236] = 2158,
  [3237] = 2398,
  [3238] = 2265,
  [3239] = 2635,
  [3240] = 2440,
  [3241] = 2975,
  [3242] = 2292,
  [3243] = 2439,
  [3244] = 3234,
  [3245] = 2893,
  [3246] = 2264,
  [3247] = 2178,
  [3248] = 2182,
  [3249] = 3202,
  [3250] = 2179,
  [3251] = 2638,
  [3252] = 2329,
  [3253] = 3253,
  [3254] = 3202,
  [3255] = 2282,
  [3256] = 1974,
  [3257] = 1969,
  [3258] = 1970,
  [3259] = 2436,
  [3260] = 2437,
  [3261] = 2299,
  [3262] = 2902,
  [3263] = 2266,
  [3264] = 3234,
  [3265] = 2422,
  [3266] = 2269,
  [3267] = 2279,
  [3268] = 2284,
  [3269] = 2467,
  [3270] = 2417,
  [3271] = 2305,
  [3272] = 3272,
  [3273] = 2286,
  [3274] = 2398,
  [3275] = 3202,
  [3276] = 3234,
  [3277] = 2345,
  [3278] = 2158,
  [3279] = 2492,
  [3280] = 1968,
  [3281] = 1973,
  [3282] = 1971,
  [3283] = 2339,
  [3284] = 2338,
  [3285] = 2264,
  [3286] = 2334,
  [3287] = 2333,
  [3288] = 2349,
  [3289] = 3289,
  [3290] = 2519,
  [3291] = 2492,
  [3292] = 2540,
  [3293] = 2325,
  [3294] = 2324,
  [3295] = 3234,
  [3296] = 3296,
  [3297] = 2574,
  [3298] = 2346,
  [3299] = 3234,
  [3300] = 2511,
  [3301] = 3301,
  [3302] = 2453,
  [3303] = 2344,
  [3304] = 1972,
  [3305] = 2489,
  [3306] = 1967,
  [3307] = 2268,
  [3308] = 338,
  [3309] = 2453,
  [3310] = 2446,
  [3311] = 2347,
  [3312] = 2343,
  [3313] = 2348,
  [3314] = 1974,
  [3315] = 3234,
  [3316] = 2971,
  [3317] = 3234,
  [3318] = 1969,
  [3319] = 1970,
  [3320] = 1968,
  [3321] = 2446,
  [3322] = 2405,
  [3323] = 1973,
  [3324] = 1971,
  [3325] = 2451,
  [3326] = 2436,
  [3327] = 3234,
  [3328] = 285,
  [3329] = 2437,
  [3330] = 2960,
  [3331] = 1972,
  [3332] = 2466,
  [3333] = 3333,
  [3334] = 1972,
  [3335] = 3335,
  [3336] = 1971,
  [3337] = 1973,
  [3338] = 1968,
  [3339] = 1970,
  [3340] = 1969,
  [3341] = 2398,
  [3342] = 2262,
  [3343] = 3158,
  [3344] = 3161,
  [3345] = 3163,
  [3346] = 3140,
  [3347] = 3289,
  [3348] = 3166,
  [3349] = 3134,
  [3350] = 2423,
  [3351] = 3351,
  [3352] = 2280,
  [3353] = 2280,
  [3354] = 3154,
  [3355] = 3151,
  [3356] = 2310,
  [3357] = 2302,
  [3358] = 3296,
  [3359] = 3169,
  [3360] = 3144,
  [3361] = 3142,
  [3362] = 2285,
  [3363] = 2379,
  [3364] = 2249,
  [3365] = 2249,
  [3366] = 3201,
  [3367] = 3132,
  [3368] = 2285,
  [3369] = 2293,
  [3370] = 2437,
  [3371] = 2436,
  [3372] = 2166,
  [3373] = 3188,
  [3374] = 3333,
  [3375] = 1967,
  [3376] = 2264,
  [3377] = 3377,
  [3378] = 3144,
  [3379] = 2310,
  [3380] = 2417,
  [3381] = 3188,
  [3382] = 3195,
  [3383] = 1975,
  [3384] = 2302,
  [3385] = 2439,
  [3386] = 2440,
  [3387] = 3134,
  [3388] = 3351,
  [3389] = 2411,
  [3390] = 3180,
  [3391] = 3140,
  [3392] = 2467,
  [3393] = 2466,
  [3394] = 2451,
  [3395] = 2405,
  [3396] = 2293,
  [3397] = 2767,
  [3398] = 2446,
  [3399] = 2580,
  [3400] = 3142,
  [3401] = 2453,
  [3402] = 3169,
  [3403] = 2821,
  [3404] = 2817,
  [3405] = 3154,
  [3406] = 2818,
  [3407] = 3148,
  [3408] = 2829,
  [3409] = 3132,
  [3410] = 1967,
  [3411] = 2262,
  [3412] = 2126,
  [3413] = 2166,
  [3414] = 2154,
  [3415] = 2112,
  [3416] = 2026,
  [3417] = 2828,
  [3418] = 3418,
  [3419] = 2804,
  [3420] = 3151,
  [3421] = 3421,
  [3422] = 3148,
  [3423] = 2385,
  [3424] = 2116,
  [3425] = 3195,
  [3426] = 3426,
  [3427] = 3166,
  [3428] = 3180,
  [3429] = 3201,
  [3430] = 2806,
  [3431] = 3431,
  [3432] = 3158,
  [3433] = 3351,
  [3434] = 3351,
  [3435] = 3161,
  [3436] = 2790,
  [3437] = 2113,
  [3438] = 2154,
  [3439] = 3163,
  [3440] = 3440,
  [3441] = 2339,
  [3442] = 2274,
  [3443] = 1968,
  [3444] = 2349,
  [3445] = 2346,
  [3446] = 1973,
  [3447] = 2325,
  [3448] = 1971,
  [3449] = 2249,
  [3450] = 2344,
  [3451] = 2282,
  [3452] = 2347,
  [3453] = 2299,
  [3454] = 2266,
  [3455] = 2269,
  [3456] = 2279,
  [3457] = 3457,
  [3458] = 2541,
  [3459] = 2536,
  [3460] = 2542,
  [3461] = 2553,
  [3462] = 2343,
  [3463] = 2291,
  [3464] = 2301,
  [3465] = 3289,
  [3466] = 2489,
  [3467] = 2309,
  [3468] = 2308,
  [3469] = 2830,
  [3470] = 2284,
  [3471] = 2295,
  [3472] = 2291,
  [3473] = 2292,
  [3474] = 2348,
  [3475] = 2283,
  [3476] = 1967,
  [3477] = 2281,
  [3478] = 2329,
  [3479] = 2277,
  [3480] = 3440,
  [3481] = 2274,
  [3482] = 2286,
  [3483] = 3440,
  [3484] = 2265,
  [3485] = 3440,
  [3486] = 1111,
  [3487] = 2519,
  [3488] = 2422,
  [3489] = 2509,
  [3490] = 2574,
  [3491] = 1970,
  [3492] = 3457,
  [3493] = 2299,
  [3494] = 2345,
  [3495] = 2154,
  [3496] = 3333,
  [3497] = 2266,
  [3498] = 2269,
  [3499] = 2348,
  [3500] = 1975,
  [3501] = 2343,
  [3502] = 2268,
  [3503] = 2166,
  [3504] = 2792,
  [3505] = 3296,
  [3506] = 2347,
  [3507] = 3457,
  [3508] = 2570,
  [3509] = 2422,
  [3510] = 2339,
  [3511] = 1972,
  [3512] = 2283,
  [3513] = 2338,
  [3514] = 3457,
  [3515] = 2265,
  [3516] = 2345,
  [3517] = 2324,
  [3518] = 2295,
  [3519] = 3440,
  [3520] = 2573,
  [3521] = 2423,
  [3522] = 2344,
  [3523] = 2566,
  [3524] = 2564,
  [3525] = 2846,
  [3526] = 2293,
  [3527] = 2540,
  [3528] = 2281,
  [3529] = 2309,
  [3530] = 2831,
  [3531] = 2385,
  [3532] = 3457,
  [3533] = 2280,
  [3534] = 2334,
  [3535] = 2333,
  [3536] = 2333,
  [3537] = 2279,
  [3538] = 2847,
  [3539] = 2308,
  [3540] = 2305,
  [3541] = 2292,
  [3542] = 1974,
  [3543] = 3440,
  [3544] = 2301,
  [3545] = 2282,
  [3546] = 2329,
  [3547] = 2310,
  [3548] = 2302,
  [3549] = 2285,
  [3550] = 3440,
  [3551] = 3457,
  [3552] = 2286,
  [3553] = 2325,
  [3554] = 2334,
  [3555] = 2571,
  [3556] = 2559,
  [3557] = 3457,
  [3558] = 2262,
  [3559] = 2379,
  [3560] = 3440,
  [3561] = 2324,
  [3562] = 2811,
  [3563] = 2338,
  [3564] = 2284,
  [3565] = 2349,
  [3566] = 2552,
  [3567] = 2411,
  [3568] = 2268,
  [3569] = 2122,
  [3570] = 2121,
  [3571] = 1112,
  [3572] = 2511,
  [3573] = 1969,
  [3574] = 3440,
  [3575] = 2305,
  [3576] = 2346,
  [3577] = 2277,
  [3578] = 2672,
  [3579] = 2291,
  [3580] = 2796,
  [3581] = 2050,
  [3582] = 2957,
  [3583] = 2467,
  [3584] = 2874,
  [3585] = 2833,
  [3586] = 2909,
  [3587] = 2574,
  [3588] = 2935,
  [3589] = 2540,
  [3590] = 2466,
  [3591] = 3180,
  [3592] = 3592,
  [3593] = 2840,
  [3594] = 2792,
  [3595] = 3134,
  [3596] = 2451,
  [3597] = 2039,
  [3598] = 2405,
  [3599] = 1975,
  [3600] = 3140,
  [3601] = 2051,
  [3602] = 2511,
  [3603] = 3132,
  [3604] = 2847,
  [3605] = 2489,
  [3606] = 2041,
  [3607] = 2878,
  [3608] = 3421,
  [3609] = 3195,
  [3610] = 2825,
  [3611] = 2976,
  [3612] = 2804,
  [3613] = 2049,
  [3614] = 2859,
  [3615] = 2875,
  [3616] = 2873,
  [3617] = 3377,
  [3618] = 2422,
  [3619] = 2945,
  [3620] = 2872,
  [3621] = 2928,
  [3622] = 2821,
  [3623] = 2767,
  [3624] = 2893,
  [3625] = 3142,
  [3626] = 2913,
  [3627] = 2301,
  [3628] = 3628,
  [3629] = 2915,
  [3630] = 2948,
  [3631] = 2292,
  [3632] = 2885,
  [3633] = 2519,
  [3634] = 2929,
  [3635] = 2348,
  [3636] = 2343,
  [3637] = 2806,
  [3638] = 2347,
  [3639] = 3134,
  [3640] = 3148,
  [3641] = 2793,
  [3642] = 2876,
  [3643] = 2344,
  [3644] = 3195,
  [3645] = 2035,
  [3646] = 3144,
  [3647] = 2346,
  [3648] = 2951,
  [3649] = 2881,
  [3650] = 2349,
  [3651] = 2428,
  [3652] = 3151,
  [3653] = 3140,
  [3654] = 2042,
  [3655] = 2969,
  [3656] = 3163,
  [3657] = 2932,
  [3658] = 2038,
  [3659] = 2898,
  [3660] = 3169,
  [3661] = 2052,
  [3662] = 2053,
  [3663] = 2040,
  [3664] = 3201,
  [3665] = 3161,
  [3666] = 2899,
  [3667] = 2398,
  [3668] = 3158,
  [3669] = 3166,
  [3670] = 2446,
  [3671] = 2902,
  [3672] = 3201,
  [3673] = 2265,
  [3674] = 2880,
  [3675] = 2453,
  [3676] = 2274,
  [3677] = 1967,
  [3678] = 2277,
  [3679] = 3166,
  [3680] = 2345,
  [3681] = 2281,
  [3682] = 2283,
  [3683] = 2967,
  [3684] = 3154,
  [3685] = 3158,
  [3686] = 2964,
  [3687] = 2295,
  [3688] = 2417,
  [3689] = 3151,
  [3690] = 3144,
  [3691] = 2794,
  [3692] = 3161,
  [3693] = 2308,
  [3694] = 2309,
  [3695] = 2886,
  [3696] = 2828,
  [3697] = 3154,
  [3698] = 2884,
  [3699] = 2122,
  [3700] = 3142,
  [3701] = 2801,
  [3702] = 2121,
  [3703] = 3163,
  [3704] = 3704,
  [3705] = 2439,
  [3706] = 2792,
  [3707] = 2440,
  [3708] = 2961,
  [3709] = 3188,
  [3710] = 3377,
  [3711] = 2975,
  [3712] = 2966,
  [3713] = 2580,
  [3714] = 2436,
  [3715] = 2936,
  [3716] = 2044,
  [3717] = 154,
  [3718] = 2509,
  [3719] = 2268,
  [3720] = 2896,
  [3721] = 2324,
  [3722] = 152,
  [3723] = 2282,
  [3724] = 2299,
  [3725] = 2437,
  [3726] = 2816,
  [3727] = 3132,
  [3728] = 2036,
  [3729] = 2963,
  [3730] = 2325,
  [3731] = 3431,
  [3732] = 2847,
  [3733] = 2266,
  [3734] = 2269,
  [3735] = 3169,
  [3736] = 2279,
  [3737] = 2946,
  [3738] = 2037,
  [3739] = 3421,
  [3740] = 2950,
  [3741] = 2960,
  [3742] = 2953,
  [3743] = 2954,
  [3744] = 2284,
  [3745] = 2286,
  [3746] = 2422,
  [3747] = 2847,
  [3748] = 2847,
  [3749] = 2937,
  [3750] = 2043,
  [3751] = 2971,
  [3752] = 2333,
  [3753] = 2877,
  [3754] = 2306,
  [3755] = 2956,
  [3756] = 3180,
  [3757] = 2865,
  [3758] = 3148,
  [3759] = 2927,
  [3760] = 2926,
  [3761] = 2829,
  [3762] = 2339,
  [3763] = 2867,
  [3764] = 2338,
  [3765] = 2920,
  [3766] = 2817,
  [3767] = 2818,
  [3768] = 2883,
  [3769] = 2034,
  [3770] = 2334,
  [3771] = 3188,
  [3772] = 2917,
  [3773] = 2918,
  [3774] = 2866,
  [3775] = 2046,
  [3776] = 2790,
  [3777] = 2930,
  [3778] = 2882,
  [3779] = 2048,
  [3780] = 2262,
  [3781] = 3161,
  [3782] = 1112,
  [3783] = 3163,
  [3784] = 2847,
  [3785] = 3140,
  [3786] = 2037,
  [3787] = 3134,
  [3788] = 3333,
  [3789] = 3789,
  [3790] = 2672,
  [3791] = 3421,
  [3792] = 3789,
  [3793] = 2831,
  [3794] = 2811,
  [3795] = 2830,
  [3796] = 2896,
  [3797] = 3789,
  [3798] = 2154,
  [3799] = 2573,
  [3800] = 2821,
  [3801] = 3151,
  [3802] = 3377,
  [3803] = 2867,
  [3804] = 3789,
  [3805] = 2446,
  [3806] = 3201,
  [3807] = 3333,
  [3808] = 1975,
  [3809] = 3180,
  [3810] = 2818,
  [3811] = 3811,
  [3812] = 3158,
  [3813] = 3166,
  [3814] = 2847,
  [3815] = 2453,
  [3816] = 3789,
  [3817] = 3148,
  [3818] = 3154,
  [3819] = 2866,
  [3820] = 2553,
  [3821] = 2817,
  [3822] = 2818,
  [3823] = 2806,
  [3824] = 2792,
  [3825] = 3789,
  [3826] = 2846,
  [3827] = 3169,
  [3828] = 2877,
  [3829] = 2398,
  [3830] = 3148,
  [3831] = 3188,
  [3832] = 2466,
  [3833] = 2829,
  [3834] = 3188,
  [3835] = 3835,
  [3836] = 3789,
  [3837] = 2467,
  [3838] = 3142,
  [3839] = 2121,
  [3840] = 2417,
  [3841] = 2790,
  [3842] = 2552,
  [3843] = 1111,
  [3844] = 2559,
  [3845] = 3144,
  [3846] = 2571,
  [3847] = 2280,
  [3848] = 2828,
  [3849] = 2847,
  [3850] = 2264,
  [3851] = 2804,
  [3852] = 3431,
  [3853] = 2122,
  [3854] = 2313,
  [3855] = 3789,
  [3856] = 1975,
  [3857] = 2310,
  [3858] = 2293,
  [3859] = 2806,
  [3860] = 2829,
  [3861] = 2439,
  [3862] = 2440,
  [3863] = 2051,
  [3864] = 3132,
  [3865] = 2436,
  [3866] = 2566,
  [3867] = 2437,
  [3868] = 2564,
  [3869] = 2865,
  [3870] = 3870,
  [3871] = 2125,
  [3872] = 3195,
  [3873] = 2817,
  [3874] = 3789,
  [3875] = 3789,
  [3876] = 2541,
  [3877] = 2536,
  [3878] = 3870,
  [3879] = 3195,
  [3880] = 3296,
  [3881] = 2580,
  [3882] = 3296,
  [3883] = 2865,
  [3884] = 2249,
  [3885] = 2119,
  [3886] = 3169,
  [3887] = 3180,
  [3888] = 3289,
  [3889] = 2847,
  [3890] = 2090,
  [3891] = 3789,
  [3892] = 2326,
  [3893] = 2542,
  [3894] = 3201,
  [3895] = 2821,
  [3896] = 2930,
  [3897] = 2166,
  [3898] = 3289,
  [3899] = 2451,
  [3900] = 2767,
  [3901] = 3901,
  [3902] = 2048,
  [3903] = 2877,
  [3904] = 2405,
  [3905] = 2306,
  [3906] = 2804,
  [3907] = 3132,
  [3908] = 3142,
  [3909] = 2828,
  [3910] = 2285,
  [3911] = 3144,
  [3912] = 2896,
  [3913] = 3151,
  [3914] = 3154,
  [3915] = 2918,
  [3916] = 3166,
  [3917] = 3158,
  [3918] = 3901,
  [3919] = 3161,
  [3920] = 3870,
  [3921] = 2917,
  [3922] = 3163,
  [3923] = 3140,
  [3924] = 2570,
  [3925] = 3134,
  [3926] = 2975,
  [3927] = 2920,
  [3928] = 2302,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 2638,
  [3932] = 2927,
  [3933] = 2552,
  [3934] = 3930,
  [3935] = 2043,
  [3936] = 3936,
  [3937] = 2877,
  [3938] = 2428,
  [3939] = 2326,
  [3940] = 154,
  [3941] = 3941,
  [3942] = 2348,
  [3943] = 2343,
  [3944] = 2428,
  [3945] = 2902,
  [3946] = 2936,
  [3947] = 2347,
  [3948] = 2937,
  [3949] = 3949,
  [3950] = 2847,
  [3951] = 3930,
  [3952] = 2953,
  [3953] = 2044,
  [3954] = 2963,
  [3955] = 2966,
  [3956] = 2344,
  [3957] = 2346,
  [3958] = 2847,
  [3959] = 2349,
  [3960] = 2068,
  [3961] = 2489,
  [3962] = 152,
  [3963] = 2050,
  [3964] = 2049,
  [3965] = 3965,
  [3966] = 3965,
  [3967] = 3936,
  [3968] = 2042,
  [3969] = 2926,
  [3970] = 3941,
  [3971] = 2039,
  [3972] = 2811,
  [3973] = 2635,
  [3974] = 2071,
  [3975] = 2313,
  [3976] = 3941,
  [3977] = 2036,
  [3978] = 3965,
  [3979] = 2559,
  [3980] = 2846,
  [3981] = 2042,
  [3982] = 3929,
  [3983] = 2571,
  [3984] = 2859,
  [3985] = 2039,
  [3986] = 3949,
  [3987] = 2044,
  [3988] = 2960,
  [3989] = 2275,
  [3990] = 3930,
  [3991] = 2950,
  [3992] = 2881,
  [3993] = 2036,
  [3994] = 2876,
  [3995] = 3930,
  [3996] = 2796,
  [3997] = 3930,
  [3998] = 3929,
  [3999] = 2794,
  [4000] = 2801,
  [4001] = 2793,
  [4002] = 2961,
  [4003] = 2046,
  [4004] = 2816,
  [4005] = 2875,
  [4006] = 2041,
  [4007] = 2034,
  [4008] = 3431,
  [4009] = 3949,
  [4010] = 3936,
  [4011] = 2874,
  [4012] = 2932,
  [4013] = 2929,
  [4014] = 2873,
  [4015] = 2050,
  [4016] = 2064,
  [4017] = 2840,
  [4018] = 2511,
  [4019] = 3930,
  [4020] = 4020,
  [4021] = 2049,
  [4022] = 2883,
  [4023] = 2882,
  [4024] = 2885,
  [4025] = 2872,
  [4026] = 2913,
  [4027] = 2265,
  [4028] = 2831,
  [4029] = 3965,
  [4030] = 2037,
  [4031] = 2896,
  [4032] = 2969,
  [4033] = 3941,
  [4034] = 2975,
  [4035] = 3628,
  [4036] = 2564,
  [4037] = 3930,
  [4038] = 2880,
  [4039] = 2566,
  [4040] = 2573,
  [4041] = 2928,
  [4042] = 2274,
  [4043] = 2553,
  [4044] = 2277,
  [4045] = 2542,
  [4046] = 2281,
  [4047] = 3123,
  [4048] = 2536,
  [4049] = 2541,
  [4050] = 2283,
  [4051] = 2570,
  [4052] = 2038,
  [4053] = 2957,
  [4054] = 2428,
  [4055] = 2292,
  [4056] = 3949,
  [4057] = 2967,
  [4058] = 2884,
  [4059] = 2291,
  [4060] = 2324,
  [4061] = 2672,
  [4062] = 2040,
  [4063] = 2053,
  [4064] = 4064,
  [4065] = 2325,
  [4066] = 3936,
  [4067] = 2070,
  [4068] = 3431,
  [4069] = 2301,
  [4070] = 2295,
  [4071] = 2052,
  [4072] = 2833,
  [4073] = 2898,
  [4074] = 2043,
  [4075] = 2306,
  [4076] = 2035,
  [4077] = 2308,
  [4078] = 2422,
  [4079] = 2309,
  [4080] = 2792,
  [4081] = 154,
  [4082] = 2899,
  [4083] = 2574,
  [4084] = 2038,
  [4085] = 2333,
  [4086] = 2334,
  [4087] = 2338,
  [4088] = 1112,
  [4089] = 2339,
  [4090] = 3333,
  [4091] = 2847,
  [4092] = 2422,
  [4093] = 2878,
  [4094] = 2976,
  [4095] = 4095,
  [4096] = 2956,
  [4097] = 3941,
  [4098] = 3296,
  [4099] = 1111,
  [4100] = 3965,
  [4101] = 2886,
  [4102] = 3941,
  [4103] = 2945,
  [4104] = 2048,
  [4105] = 3289,
  [4106] = 2946,
  [4107] = 2540,
  [4108] = 3929,
  [4109] = 3949,
  [4110] = 3965,
  [4111] = 2034,
  [4112] = 4112,
  [4113] = 2051,
  [4114] = 2041,
  [4115] = 2825,
  [4116] = 2046,
  [4117] = 2268,
  [4118] = 4064,
  [4119] = 2935,
  [4120] = 2964,
  [4121] = 2345,
  [4122] = 2930,
  [4123] = 2909,
  [4124] = 3949,
  [4125] = 3930,
  [4126] = 2866,
  [4127] = 2279,
  [4128] = 2918,
  [4129] = 2282,
  [4130] = 2299,
  [4131] = 3929,
  [4132] = 2266,
  [4133] = 2269,
  [4134] = 2284,
  [4135] = 2971,
  [4136] = 2917,
  [4137] = 2920,
  [4138] = 2830,
  [4139] = 2951,
  [4140] = 2893,
  [4141] = 2867,
  [4142] = 2915,
  [4143] = 2286,
  [4144] = 2035,
  [4145] = 2052,
  [4146] = 2865,
  [4147] = 2053,
  [4148] = 2040,
  [4149] = 2948,
  [4150] = 3936,
  [4151] = 2954,
  [4152] = 3929,
  [4153] = 152,
  [4154] = 3431,
  [4155] = 3195,
  [4156] = 2875,
  [4157] = 2872,
  [4158] = 4020,
  [4159] = 2948,
  [4160] = 2961,
  [4161] = 2122,
  [4162] = 2071,
  [4163] = 2121,
  [4164] = 2064,
  [4165] = 2951,
  [4166] = 2090,
  [4167] = 2964,
  [4168] = 2043,
  [4169] = 2549,
  [4170] = 2041,
  [4171] = 4064,
  [4172] = 2884,
  [4173] = 2935,
  [4174] = 3132,
  [4175] = 4175,
  [4176] = 2829,
  [4177] = 2840,
  [4178] = 2909,
  [4179] = 2119,
  [4180] = 2499,
  [4181] = 2816,
  [4182] = 3148,
  [4183] = 2035,
  [4184] = 2928,
  [4185] = 2039,
  [4186] = 2038,
  [4187] = 2950,
  [4188] = 2818,
  [4189] = 2930,
  [4190] = 3142,
  [4191] = 2828,
  [4192] = 2866,
  [4193] = 3144,
  [4194] = 3151,
  [4195] = 2913,
  [4196] = 3154,
  [4197] = 3166,
  [4198] = 3158,
  [4199] = 3161,
  [4200] = 3163,
  [4201] = 3140,
  [4202] = 3134,
  [4203] = 3025,
  [4204] = 2918,
  [4205] = 2917,
  [4206] = 3426,
  [4207] = 3431,
  [4208] = 2817,
  [4209] = 2920,
  [4210] = 2867,
  [4211] = 2976,
  [4212] = 2052,
  [4213] = 2804,
  [4214] = 2053,
  [4215] = 2040,
  [4216] = 2877,
  [4217] = 2801,
  [4218] = 2068,
  [4219] = 2794,
  [4220] = 2821,
  [4221] = 2070,
  [4222] = 2796,
  [4223] = 2885,
  [4224] = 1975,
  [4225] = 2859,
  [4226] = 2498,
  [4227] = 2497,
  [4228] = 2825,
  [4229] = 2493,
  [4230] = 2833,
  [4231] = 2865,
  [4232] = 2880,
  [4233] = 2902,
  [4234] = 2882,
  [4235] = 2883,
  [4236] = 154,
  [4237] = 2049,
  [4238] = 2050,
  [4239] = 1112,
  [4240] = 2491,
  [4241] = 2125,
  [4242] = 3201,
  [4243] = 2893,
  [4244] = 3431,
  [4245] = 2493,
  [4246] = 3188,
  [4247] = 2494,
  [4248] = 2042,
  [4249] = 2926,
  [4250] = 2876,
  [4251] = 2874,
  [4252] = 2790,
  [4253] = 2927,
  [4254] = 2873,
  [4255] = 152,
  [4256] = 2898,
  [4257] = 2899,
  [4258] = 2119,
  [4259] = 2937,
  [4260] = 2945,
  [4261] = 2946,
  [4262] = 2063,
  [4263] = 2971,
  [4264] = 2954,
  [4265] = 2793,
  [4266] = 2953,
  [4267] = 2497,
  [4268] = 2498,
  [4269] = 2967,
  [4270] = 2957,
  [4271] = 2963,
  [4272] = 2499,
  [4273] = 2494,
  [4274] = 3180,
  [4275] = 2306,
  [4276] = 2966,
  [4277] = 2881,
  [4278] = 3169,
  [4279] = 2969,
  [4280] = 4280,
  [4281] = 2975,
  [4282] = 2044,
  [4283] = 2956,
  [4284] = 2036,
  [4285] = 2491,
  [4286] = 2046,
  [4287] = 2492,
  [4288] = 2960,
  [4289] = 2034,
  [4290] = 2936,
  [4291] = 2932,
  [4292] = 3418,
  [4293] = 3592,
  [4294] = 4064,
  [4295] = 1111,
  [4296] = 2886,
  [4297] = 2125,
  [4298] = 2878,
  [4299] = 2929,
  [4300] = 2549,
  [4301] = 2090,
  [4302] = 2896,
  [4303] = 4303,
  [4304] = 2915,
  [4305] = 2638,
  [4306] = 2313,
  [4307] = 4064,
  [4308] = 1972,
  [4309] = 2830,
  [4310] = 4064,
  [4311] = 1969,
  [4312] = 1971,
  [4313] = 2122,
  [4314] = 2121,
  [4315] = 1973,
  [4316] = 3296,
  [4317] = 4064,
  [4318] = 1975,
  [4319] = 1968,
  [4320] = 1970,
  [4321] = 1974,
  [4322] = 2071,
  [4323] = 4064,
  [4324] = 2064,
  [4325] = 4064,
  [4326] = 3333,
  [4327] = 2790,
  [4328] = 2182,
  [4329] = 2178,
  [4330] = 2125,
  [4331] = 4064,
  [4332] = 2638,
  [4333] = 4064,
  [4334] = 2635,
  [4335] = 2070,
  [4336] = 2068,
  [4337] = 2063,
  [4338] = 3289,
  [4339] = 2158,
  [4340] = 2635,
  [4341] = 2492,
  [4342] = 2179,
  [4343] = 4064,
  [4344] = 2326,
  [4345] = 2119,
  [4346] = 2428,
  [4347] = 4347,
  [4348] = 2927,
  [4349] = 2119,
  [4350] = 2873,
  [4351] = 2953,
  [4352] = 2125,
  [4353] = 2945,
  [4354] = 2928,
  [4355] = 2946,
  [4356] = 2963,
  [4357] = 2948,
  [4358] = 2064,
  [4359] = 2070,
  [4360] = 2976,
  [4361] = 2898,
  [4362] = 2068,
  [4363] = 154,
  [4364] = 2549,
  [4365] = 2125,
  [4366] = 2885,
  [4367] = 2039,
  [4368] = 2859,
  [4369] = 2872,
  [4370] = 2828,
  [4371] = 2951,
  [4372] = 2960,
  [4373] = 2126,
  [4374] = 2899,
  [4375] = 2964,
  [4376] = 2038,
  [4377] = 4064,
  [4378] = 2071,
  [4379] = 2880,
  [4380] = 2041,
  [4381] = 2971,
  [4382] = 2882,
  [4383] = 2883,
  [4384] = 2875,
  [4385] = 2499,
  [4386] = 1967,
  [4387] = 2825,
  [4388] = 2498,
  [4389] = 2966,
  [4390] = 2935,
  [4391] = 2497,
  [4392] = 2909,
  [4393] = 2035,
  [4394] = 4064,
  [4395] = 2902,
  [4396] = 2119,
  [4397] = 2049,
  [4398] = 2050,
  [4399] = 2064,
  [4400] = 2052,
  [4401] = 2053,
  [4402] = 2040,
  [4403] = 152,
  [4404] = 2893,
  [4405] = 4064,
  [4406] = 2885,
  [4407] = 2874,
  [4408] = 2821,
  [4409] = 2830,
  [4410] = 2876,
  [4411] = 2044,
  [4412] = 2264,
  [4413] = 2953,
  [4414] = 2951,
  [4415] = 2829,
  [4416] = 2036,
  [4417] = 2116,
  [4418] = 2936,
  [4419] = 2913,
  [4420] = 2818,
  [4421] = 2068,
  [4422] = 2113,
  [4423] = 2428,
  [4424] = 2070,
  [4425] = 2491,
  [4426] = 2068,
  [4427] = 2804,
  [4428] = 2937,
  [4429] = 2880,
  [4430] = 2493,
  [4431] = 2494,
  [4432] = 4064,
  [4433] = 2046,
  [4434] = 2950,
  [4435] = 2043,
  [4436] = 2957,
  [4437] = 2967,
  [4438] = 2926,
  [4439] = 2070,
  [4440] = 2817,
  [4441] = 2929,
  [4442] = 2063,
  [4443] = 2884,
  [4444] = 2042,
  [4445] = 2932,
  [4446] = 2034,
  [4447] = 2112,
  [4448] = 2071,
  [4449] = 2071,
  [4450] = 2026,
  [4451] = 2946,
  [4452] = 2872,
  [4453] = 2638,
  [4454] = 2945,
  [4455] = 2064,
  [4456] = 2967,
  [4457] = 2935,
  [4458] = 3592,
  [4459] = 1972,
  [4460] = 2913,
  [4461] = 2976,
  [4462] = 1971,
  [4463] = 1973,
  [4464] = 2876,
  [4465] = 2966,
  [4466] = 2898,
  [4467] = 1968,
  [4468] = 1970,
  [4469] = 2305,
  [4470] = 2179,
  [4471] = 2635,
  [4472] = 2305,
  [4473] = 1969,
  [4474] = 2329,
  [4475] = 2635,
  [4476] = 2926,
  [4477] = 4064,
  [4478] = 1974,
  [4479] = 2932,
  [4480] = 2927,
  [4481] = 2963,
  [4482] = 2884,
  [4483] = 2950,
  [4484] = 2178,
  [4485] = 4485,
  [4486] = 2068,
  [4487] = 2875,
  [4488] = 2182,
  [4489] = 4064,
  [4490] = 2638,
  [4491] = 2929,
  [4492] = 2937,
  [4493] = 2070,
  [4494] = 2936,
  [4495] = 2928,
  [4496] = 2492,
  [4497] = 2899,
  [4498] = 2158,
  [4499] = 2874,
  [4500] = 2873,
  [4501] = 2957,
  [4502] = 2306,
  [4503] = 2964,
  [4504] = 2882,
  [4505] = 2948,
  [4506] = 2329,
  [4507] = 2909,
  [4508] = 2883,
  [4509] = 2540,
  [4510] = 2574,
  [4511] = 1975,
  [4512] = 2446,
  [4513] = 2453,
  [4514] = 2451,
  [4515] = 2405,
  [4516] = 2440,
  [4517] = 2439,
  [4518] = 2446,
  [4519] = 2453,
  [4520] = 2116,
  [4521] = 2264,
  [4522] = 2112,
  [4523] = 4523,
  [4524] = 4523,
  [4525] = 4525,
  [4526] = 2417,
  [4527] = 2428,
  [4528] = 2116,
  [4529] = 2405,
  [4530] = 2451,
  [4531] = 4525,
  [4532] = 2466,
  [4533] = 2398,
  [4534] = 2466,
  [4535] = 2437,
  [4536] = 2467,
  [4537] = 2417,
  [4538] = 4095,
  [4539] = 2126,
  [4540] = 2511,
  [4541] = 2467,
  [4542] = 2439,
  [4543] = 2440,
  [4544] = 2398,
  [4545] = 2436,
  [4546] = 2112,
  [4547] = 4525,
  [4548] = 4548,
  [4549] = 2126,
  [4550] = 2489,
  [4551] = 2437,
  [4552] = 2113,
  [4553] = 4523,
  [4554] = 4112,
  [4555] = 2436,
  [4556] = 2113,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4562,
  [4563] = 2305,
  [4564] = 4561,
  [4565] = 4560,
  [4566] = 4566,
  [4567] = 4560,
  [4568] = 4568,
  [4569] = 4558,
  [4570] = 4570,
  [4571] = 4558,
  [4572] = 2119,
  [4573] = 4557,
  [4574] = 2249,
  [4575] = 4568,
  [4576] = 4559,
  [4577] = 4566,
  [4578] = 4566,
  [4579] = 4558,
  [4580] = 4560,
  [4581] = 4568,
  [4582] = 2329,
  [4583] = 4064,
  [4584] = 2262,
  [4585] = 4562,
  [4586] = 4562,
  [4587] = 4561,
  [4588] = 4557,
  [4589] = 4566,
  [4590] = 4561,
  [4591] = 4562,
  [4592] = 4561,
  [4593] = 4560,
  [4594] = 4557,
  [4595] = 4568,
  [4596] = 4568,
  [4597] = 4566,
  [4598] = 4568,
  [4599] = 2310,
  [4600] = 4560,
  [4601] = 4560,
  [4602] = 2280,
  [4603] = 4568,
  [4604] = 4064,
  [4605] = 4558,
  [4606] = 2302,
  [4607] = 4559,
  [4608] = 4608,
  [4609] = 4523,
  [4610] = 4559,
  [4611] = 1967,
  [4612] = 2285,
  [4613] = 4560,
  [4614] = 2293,
  [4615] = 4558,
  [4616] = 2166,
  [4617] = 4561,
  [4618] = 4562,
  [4619] = 4568,
  [4620] = 4557,
  [4621] = 4560,
  [4622] = 4558,
  [4623] = 4064,
  [4624] = 4558,
  [4625] = 4557,
  [4626] = 4566,
  [4627] = 4559,
  [4628] = 4566,
  [4629] = 4568,
  [4630] = 4562,
  [4631] = 4559,
  [4632] = 4559,
  [4633] = 4562,
  [4634] = 4559,
  [4635] = 4559,
  [4636] = 4568,
  [4637] = 4559,
  [4638] = 4558,
  [4639] = 2154,
  [4640] = 4562,
  [4641] = 4561,
  [4642] = 4560,
  [4643] = 4566,
  [4644] = 4559,
  [4645] = 4560,
  [4646] = 4559,
  [4647] = 2125,
  [4648] = 4557,
  [4649] = 4561,
  [4650] = 4557,
  [4651] = 4568,
  [4652] = 4558,
  [4653] = 4557,
  [4654] = 4525,
  [4655] = 3592,
  [4656] = 4064,
  [4657] = 4557,
  [4658] = 4557,
  [4659] = 4558,
  [4660] = 2277,
  [4661] = 2440,
  [4662] = 4523,
  [4663] = 2635,
  [4664] = 4664,
  [4665] = 2345,
  [4666] = 2638,
  [4667] = 2116,
  [4668] = 4664,
  [4669] = 4525,
  [4670] = 2453,
  [4671] = 2349,
  [4672] = 2346,
  [4673] = 2344,
  [4674] = 2446,
  [4675] = 2347,
  [4676] = 2343,
  [4677] = 2348,
  [4678] = 4664,
  [4679] = 4679,
  [4680] = 2286,
  [4681] = 2284,
  [4682] = 2279,
  [4683] = 2269,
  [4684] = 4684,
  [4685] = 2266,
  [4686] = 4664,
  [4687] = 2299,
  [4688] = 2282,
  [4689] = 4689,
  [4690] = 4664,
  [4691] = 4664,
  [4692] = 4664,
  [4693] = 2324,
  [4694] = 2405,
  [4695] = 4664,
  [4696] = 2325,
  [4697] = 2451,
  [4698] = 4664,
  [4699] = 2466,
  [4700] = 2467,
  [4701] = 1975,
  [4702] = 2638,
  [4703] = 2112,
  [4704] = 2292,
  [4705] = 4664,
  [4706] = 2301,
  [4707] = 2439,
  [4708] = 2126,
  [4709] = 2417,
  [4710] = 2398,
  [4711] = 4664,
  [4712] = 2090,
  [4713] = 2339,
  [4714] = 2338,
  [4715] = 4525,
  [4716] = 2635,
  [4717] = 2334,
  [4718] = 2333,
  [4719] = 2309,
  [4720] = 2308,
  [4721] = 4664,
  [4722] = 4664,
  [4723] = 2295,
  [4724] = 2265,
  [4725] = 2291,
  [4726] = 2436,
  [4727] = 2437,
  [4728] = 4664,
  [4729] = 4523,
  [4730] = 2283,
  [4731] = 2113,
  [4732] = 4732,
  [4733] = 2281,
  [4734] = 2274,
  [4735] = 4735,
  [4736] = 2285,
  [4737] = 2916,
  [4738] = 4735,
  [4739] = 2113,
  [4740] = 3134,
  [4741] = 4741,
  [4742] = 4735,
  [4743] = 4743,
  [4744] = 3144,
  [4745] = 2126,
  [4746] = 3151,
  [4747] = 4747,
  [4748] = 3154,
  [4749] = 2893,
  [4750] = 3166,
  [4751] = 2971,
  [4752] = 2960,
  [4753] = 4523,
  [4754] = 2166,
  [4755] = 2902,
  [4756] = 3169,
  [4757] = 3158,
  [4758] = 2302,
  [4759] = 3161,
  [4760] = 2941,
  [4761] = 4741,
  [4762] = 4747,
  [4763] = 4763,
  [4764] = 4741,
  [4765] = 4747,
  [4766] = 3132,
  [4767] = 2249,
  [4768] = 3148,
  [4769] = 3163,
  [4770] = 4741,
  [4771] = 4747,
  [4772] = 3188,
  [4773] = 4747,
  [4774] = 4774,
  [4775] = 3201,
  [4776] = 3195,
  [4777] = 4525,
  [4778] = 2112,
  [4779] = 4735,
  [4780] = 4485,
  [4781] = 4735,
  [4782] = 2154,
  [4783] = 2262,
  [4784] = 4741,
  [4785] = 4743,
  [4786] = 2116,
  [4787] = 2293,
  [4788] = 4747,
  [4789] = 2310,
  [4790] = 3140,
  [4791] = 3142,
  [4792] = 4741,
  [4793] = 2280,
  [4794] = 4735,
  [4795] = 3180,
  [4796] = 2540,
  [4797] = 2266,
  [4798] = 4525,
  [4799] = 2279,
  [4800] = 2299,
  [4801] = 2282,
  [4802] = 2269,
  [4803] = 2301,
  [4804] = 2284,
  [4805] = 2286,
  [4806] = 2511,
  [4807] = 2265,
  [4808] = 2574,
  [4809] = 4523,
  [4810] = 2511,
  [4811] = 2349,
  [4812] = 2274,
  [4813] = 2346,
  [4814] = 2277,
  [4815] = 2344,
  [4816] = 2281,
  [4817] = 2283,
  [4818] = 2347,
  [4819] = 3289,
  [4820] = 2343,
  [4821] = 2348,
  [4822] = 2291,
  [4823] = 3930,
  [4824] = 2489,
  [4825] = 2295,
  [4826] = 3296,
  [4827] = 2345,
  [4828] = 2489,
  [4829] = 1967,
  [4830] = 3930,
  [4831] = 2324,
  [4832] = 2308,
  [4833] = 2422,
  [4834] = 2309,
  [4835] = 2339,
  [4836] = 2338,
  [4837] = 2334,
  [4838] = 2333,
  [4839] = 2540,
  [4840] = 3333,
  [4841] = 2574,
  [4842] = 2268,
  [4843] = 2292,
  [4844] = 2325,
  [4845] = 4845,
  [4846] = 3180,
  [4847] = 2825,
  [4848] = 3154,
  [4849] = 3142,
  [4850] = 3166,
  [4851] = 3201,
  [4852] = 2825,
  [4853] = 3151,
  [4854] = 3132,
  [4855] = 3144,
  [4856] = 4856,
  [4857] = 4774,
  [4858] = 1983,
  [4859] = 433,
  [4860] = 4523,
  [4861] = 4856,
  [4862] = 335,
  [4863] = 337,
  [4864] = 2804,
  [4865] = 4865,
  [4866] = 3188,
  [4867] = 3140,
  [4868] = 307,
  [4869] = 275,
  [4870] = 4865,
  [4871] = 3333,
  [4872] = 3134,
  [4873] = 3296,
  [4874] = 3289,
  [4875] = 4865,
  [4876] = 4845,
  [4877] = 421,
  [4878] = 2859,
  [4879] = 2859,
  [4880] = 2638,
  [4881] = 3158,
  [4882] = 4865,
  [4883] = 2635,
  [4884] = 2821,
  [4885] = 4525,
  [4886] = 3161,
  [4887] = 3163,
  [4888] = 3148,
  [4889] = 2829,
  [4890] = 2790,
  [4891] = 4891,
  [4892] = 1975,
  [4893] = 2828,
  [4894] = 3169,
  [4895] = 4856,
  [4896] = 2817,
  [4897] = 3195,
  [4898] = 2818,
  [4899] = 4845,
  [4900] = 3050,
  [4901] = 4523,
  [4902] = 2830,
  [4903] = 3025,
  [4904] = 3047,
  [4905] = 3333,
  [4906] = 3134,
  [4907] = 2428,
  [4908] = 3142,
  [4909] = 3180,
  [4910] = 4856,
  [4911] = 4679,
  [4912] = 3132,
  [4913] = 3144,
  [4914] = 2119,
  [4915] = 1967,
  [4916] = 3140,
  [4917] = 2428,
  [4918] = 3151,
  [4919] = 3154,
  [4920] = 4845,
  [4921] = 3166,
  [4922] = 4922,
  [4923] = 3201,
  [4924] = 3158,
  [4925] = 3169,
  [4926] = 2125,
  [4927] = 3148,
  [4928] = 4525,
  [4929] = 3188,
  [4930] = 3195,
  [4931] = 3161,
  [4932] = 4932,
  [4933] = 3289,
  [4934] = 3163,
  [4935] = 3296,
  [4936] = 4689,
  [4937] = 2306,
  [4938] = 4845,
  [4939] = 2902,
  [4940] = 2053,
  [4941] = 2040,
  [4942] = 2041,
  [4943] = 2043,
  [4944] = 2971,
  [4945] = 4945,
  [4946] = 4946,
  [4947] = 4891,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 2035,
  [4951] = 4891,
  [4952] = 4952,
  [4953] = 4945,
  [4954] = 4954,
  [4955] = 2052,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4856,
  [4959] = 4959,
  [4960] = 4949,
  [4961] = 2960,
  [4962] = 4949,
  [4963] = 4949,
  [4964] = 152,
  [4965] = 4949,
  [4966] = 154,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4949,
  [4970] = 4949,
  [4971] = 4949,
  [4972] = 4949,
  [4973] = 4973,
  [4974] = 4949,
  [4975] = 4948,
  [4976] = 4954,
  [4977] = 4946,
  [4978] = 2893,
  [4979] = 4945,
  [4980] = 2313,
  [4981] = 4949,
  [4982] = 4949,
  [4983] = 2326,
  [4984] = 2913,
  [4985] = 2041,
  [4986] = 2825,
  [4987] = 2876,
  [4988] = 2874,
  [4989] = 2873,
  [4990] = 2035,
  [4991] = 2898,
  [4992] = 2899,
  [4993] = 2945,
  [4994] = 2946,
  [4995] = 4954,
  [4996] = 2928,
  [4997] = 4967,
  [4998] = 4956,
  [4999] = 3148,
  [5000] = 2052,
  [5001] = 2053,
  [5002] = 2040,
  [5003] = 4948,
  [5004] = 4957,
  [5005] = 2967,
  [5006] = 2957,
  [5007] = 5007,
  [5008] = 4952,
  [5009] = 2976,
  [5010] = 4967,
  [5011] = 4948,
  [5012] = 4956,
  [5013] = 2039,
  [5014] = 4948,
  [5015] = 4954,
  [5016] = 4949,
  [5017] = 4954,
  [5018] = 2936,
  [5019] = 4949,
  [5020] = 5020,
  [5021] = 4967,
  [5022] = 2489,
  [5023] = 2872,
  [5024] = 2540,
  [5025] = 2935,
  [5026] = 2859,
  [5027] = 2909,
  [5028] = 4523,
  [5029] = 2034,
  [5030] = 2034,
  [5031] = 2046,
  [5032] = 4945,
  [5033] = 2046,
  [5034] = 2063,
  [5035] = 4523,
  [5036] = 4949,
  [5037] = 4525,
  [5038] = 5038,
  [5039] = 4954,
  [5040] = 4967,
  [5041] = 4948,
  [5042] = 4967,
  [5043] = 3195,
  [5044] = 4956,
  [5045] = 5045,
  [5046] = 4954,
  [5047] = 2036,
  [5048] = 2044,
  [5049] = 2885,
  [5050] = 4949,
  [5051] = 5051,
  [5052] = 2875,
  [5053] = 5053,
  [5054] = 152,
  [5055] = 2049,
  [5056] = 2050,
  [5057] = 3132,
  [5058] = 2929,
  [5059] = 2948,
  [5060] = 2951,
  [5061] = 4949,
  [5062] = 2964,
  [5063] = 4949,
  [5064] = 4956,
  [5065] = 3188,
  [5066] = 4954,
  [5067] = 2884,
  [5068] = 4967,
  [5069] = 2036,
  [5070] = 2042,
  [5071] = 2038,
  [5072] = 2511,
  [5073] = 5073,
  [5074] = 2044,
  [5075] = 2932,
  [5076] = 4948,
  [5077] = 4856,
  [5078] = 5078,
  [5079] = 2950,
  [5080] = 4956,
  [5081] = 4967,
  [5082] = 2038,
  [5083] = 2042,
  [5084] = 2039,
  [5085] = 4956,
  [5086] = 5086,
  [5087] = 2880,
  [5088] = 2882,
  [5089] = 2050,
  [5090] = 2049,
  [5091] = 2883,
  [5092] = 3169,
  [5093] = 5093,
  [5094] = 3180,
  [5095] = 4845,
  [5096] = 5096,
  [5097] = 4967,
  [5098] = 4956,
  [5099] = 4949,
  [5100] = 4954,
  [5101] = 5007,
  [5102] = 2926,
  [5103] = 2927,
  [5104] = 2043,
  [5105] = 3201,
  [5106] = 3144,
  [5107] = 5107,
  [5108] = 3151,
  [5109] = 3154,
  [5110] = 2574,
  [5111] = 3166,
  [5112] = 4525,
  [5113] = 3158,
  [5114] = 2937,
  [5115] = 3161,
  [5116] = 3163,
  [5117] = 154,
  [5118] = 3140,
  [5119] = 4948,
  [5120] = 3134,
  [5121] = 2953,
  [5122] = 3142,
  [5123] = 2963,
  [5124] = 2966,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 3296,
  [5130] = 5130,
  [5131] = 1975,
  [5132] = 3289,
  [5133] = 5133,
  [5134] = 4856,
  [5135] = 3188,
  [5136] = 5136,
  [5137] = 5136,
  [5138] = 4523,
  [5139] = 5130,
  [5140] = 5133,
  [5141] = 5133,
  [5142] = 3169,
  [5143] = 5133,
  [5144] = 2804,
  [5145] = 5125,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 2804,
  [5149] = 5128,
  [5150] = 3180,
  [5151] = 3201,
  [5152] = 5152,
  [5153] = 5133,
  [5154] = 3201,
  [5155] = 5146,
  [5156] = 5156,
  [5157] = 5133,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 5146,
  [5161] = 5146,
  [5162] = 5152,
  [5163] = 5152,
  [5164] = 5156,
  [5165] = 5165,
  [5166] = 3134,
  [5167] = 3140,
  [5168] = 3163,
  [5169] = 3161,
  [5170] = 3158,
  [5171] = 3166,
  [5172] = 5165,
  [5173] = 3154,
  [5174] = 3180,
  [5175] = 5175,
  [5176] = 3151,
  [5177] = 3144,
  [5178] = 5152,
  [5179] = 2828,
  [5180] = 3142,
  [5181] = 5147,
  [5182] = 5182,
  [5183] = 5146,
  [5184] = 5073,
  [5185] = 5133,
  [5186] = 3169,
  [5187] = 5156,
  [5188] = 5156,
  [5189] = 5156,
  [5190] = 5152,
  [5191] = 4525,
  [5192] = 5165,
  [5193] = 5193,
  [5194] = 2829,
  [5195] = 5158,
  [5196] = 2818,
  [5197] = 5197,
  [5198] = 5133,
  [5199] = 2817,
  [5200] = 3132,
  [5201] = 5152,
  [5202] = 5202,
  [5203] = 2821,
  [5204] = 2828,
  [5205] = 5156,
  [5206] = 5206,
  [5207] = 5158,
  [5208] = 5165,
  [5209] = 4845,
  [5210] = 5133,
  [5211] = 5211,
  [5212] = 5182,
  [5213] = 5146,
  [5214] = 3148,
  [5215] = 3134,
  [5216] = 4523,
  [5217] = 5146,
  [5218] = 4525,
  [5219] = 3195,
  [5220] = 3132,
  [5221] = 5136,
  [5222] = 5146,
  [5223] = 5152,
  [5224] = 5182,
  [5225] = 2790,
  [5226] = 5226,
  [5227] = 5133,
  [5228] = 3195,
  [5229] = 3188,
  [5230] = 5230,
  [5231] = 5202,
  [5232] = 5232,
  [5233] = 5182,
  [5234] = 3142,
  [5235] = 5130,
  [5236] = 4891,
  [5237] = 3140,
  [5238] = 5238,
  [5239] = 3144,
  [5240] = 5165,
  [5241] = 5241,
  [5242] = 5133,
  [5243] = 5128,
  [5244] = 3151,
  [5245] = 5147,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5158,
  [5249] = 5165,
  [5250] = 5125,
  [5251] = 5152,
  [5252] = 3154,
  [5253] = 2306,
  [5254] = 5230,
  [5255] = 3166,
  [5256] = 3158,
  [5257] = 3161,
  [5258] = 3163,
  [5259] = 3140,
  [5260] = 3134,
  [5261] = 3195,
  [5262] = 3132,
  [5263] = 5263,
  [5264] = 5156,
  [5265] = 3201,
  [5266] = 3180,
  [5267] = 3169,
  [5268] = 3188,
  [5269] = 5269,
  [5270] = 5133,
  [5271] = 5156,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 3148,
  [5275] = 3901,
  [5276] = 5125,
  [5277] = 5125,
  [5278] = 5278,
  [5279] = 5133,
  [5280] = 5182,
  [5281] = 2829,
  [5282] = 5282,
  [5283] = 5158,
  [5284] = 2821,
  [5285] = 5182,
  [5286] = 3148,
  [5287] = 5182,
  [5288] = 5126,
  [5289] = 5133,
  [5290] = 5165,
  [5291] = 5165,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 3142,
  [5295] = 5158,
  [5296] = 3144,
  [5297] = 5125,
  [5298] = 3163,
  [5299] = 5182,
  [5300] = 3161,
  [5301] = 3333,
  [5302] = 5125,
  [5303] = 3158,
  [5304] = 3151,
  [5305] = 3154,
  [5306] = 1975,
  [5307] = 5182,
  [5308] = 5133,
  [5309] = 3166,
  [5310] = 4932,
  [5311] = 2817,
  [5312] = 4774,
  [5313] = 2818,
  [5314] = 5314,
  [5315] = 3296,
  [5316] = 2498,
  [5317] = 2148,
  [5318] = 5318,
  [5319] = 2499,
  [5320] = 2549,
  [5321] = 5321,
  [5322] = 5322,
  [5323] = 2492,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5324,
  [5328] = 5328,
  [5329] = 5321,
  [5330] = 5330,
  [5331] = 5328,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5326,
  [5335] = 5335,
  [5336] = 5332,
  [5337] = 5314,
  [5338] = 4856,
  [5339] = 5330,
  [5340] = 2494,
  [5341] = 5341,
  [5342] = 2493,
  [5343] = 5343,
  [5344] = 5322,
  [5345] = 5330,
  [5346] = 5346,
  [5347] = 5341,
  [5348] = 5314,
  [5349] = 5326,
  [5350] = 5332,
  [5351] = 3333,
  [5352] = 5322,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5343,
  [5356] = 5356,
  [5357] = 5335,
  [5358] = 5343,
  [5359] = 5356,
  [5360] = 5324,
  [5361] = 2491,
  [5362] = 5362,
  [5363] = 5321,
  [5364] = 5364,
  [5365] = 5147,
  [5366] = 5335,
  [5367] = 5367,
  [5368] = 5322,
  [5369] = 5356,
  [5370] = 5343,
  [5371] = 5326,
  [5372] = 5372,
  [5373] = 5330,
  [5374] = 2635,
  [5375] = 5353,
  [5376] = 4845,
  [5377] = 5335,
  [5378] = 5378,
  [5379] = 3289,
  [5380] = 2638,
  [5381] = 5335,
  [5382] = 2125,
  [5383] = 5326,
  [5384] = 5326,
  [5385] = 2063,
  [5386] = 5356,
  [5387] = 5343,
  [5388] = 5321,
  [5389] = 2497,
  [5390] = 2119,
  [5391] = 5321,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5341,
  [5395] = 5346,
  [5396] = 2428,
  [5397] = 5341,
  [5398] = 5330,
  [5399] = 5330,
  [5400] = 5314,
  [5401] = 5322,
  [5402] = 5343,
  [5403] = 5128,
  [5404] = 5324,
  [5405] = 5130,
  [5406] = 5324,
  [5407] = 5353,
  [5408] = 5332,
  [5409] = 5322,
  [5410] = 2313,
  [5411] = 5314,
  [5412] = 5356,
  [5413] = 5354,
  [5414] = 5341,
  [5415] = 5330,
  [5416] = 2830,
  [5417] = 5328,
  [5418] = 5418,
  [5419] = 5335,
  [5420] = 5420,
  [5421] = 5353,
  [5422] = 5422,
  [5423] = 5330,
  [5424] = 5326,
  [5425] = 5425,
  [5426] = 5330,
  [5427] = 5427,
  [5428] = 5428,
  [5429] = 5322,
  [5430] = 5430,
  [5431] = 5326,
  [5432] = 5330,
  [5433] = 5322,
  [5434] = 5328,
  [5435] = 5343,
  [5436] = 5343,
  [5437] = 5356,
  [5438] = 5335,
  [5439] = 5324,
  [5440] = 5356,
  [5441] = 5441,
  [5442] = 5136,
  [5443] = 5330,
  [5444] = 5372,
  [5445] = 5322,
  [5446] = 5418,
  [5447] = 5343,
  [5448] = 5356,
  [5449] = 5335,
  [5450] = 5324,
  [5451] = 5451,
  [5452] = 5353,
  [5453] = 5321,
  [5454] = 5454,
  [5455] = 5427,
  [5456] = 5324,
  [5457] = 5457,
  [5458] = 5341,
  [5459] = 5314,
  [5460] = 5332,
  [5461] = 5332,
  [5462] = 5335,
  [5463] = 5328,
  [5464] = 5324,
  [5465] = 2326,
  [5466] = 5466,
  [5467] = 5466,
  [5468] = 2902,
  [5469] = 2885,
  [5470] = 2950,
  [5471] = 5130,
  [5472] = 2948,
  [5473] = 5147,
  [5474] = 2880,
  [5475] = 5130,
  [5476] = 5147,
  [5477] = 5477,
  [5478] = 5478,
  [5479] = 2882,
  [5480] = 2090,
  [5481] = 2960,
  [5482] = 2951,
  [5483] = 5128,
  [5484] = 2932,
  [5485] = 2883,
  [5486] = 2884,
  [5487] = 2964,
  [5488] = 2967,
  [5489] = 5466,
  [5490] = 5490,
  [5491] = 2957,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 2971,
  [5495] = 5466,
  [5496] = 2859,
  [5497] = 5490,
  [5498] = 4523,
  [5499] = 2926,
  [5500] = 2929,
  [5501] = 5466,
  [5502] = 5466,
  [5503] = 2927,
  [5504] = 5136,
  [5505] = 2946,
  [5506] = 2945,
  [5507] = 2966,
  [5508] = 2899,
  [5509] = 2898,
  [5510] = 5128,
  [5511] = 2913,
  [5512] = 2873,
  [5513] = 2874,
  [5514] = 4845,
  [5515] = 2893,
  [5516] = 2875,
  [5517] = 2928,
  [5518] = 4525,
  [5519] = 2909,
  [5520] = 2876,
  [5521] = 2935,
  [5522] = 2953,
  [5523] = 5523,
  [5524] = 5466,
  [5525] = 2825,
  [5526] = 5466,
  [5527] = 2937,
  [5528] = 5136,
  [5529] = 2306,
  [5530] = 2976,
  [5531] = 2936,
  [5532] = 4856,
  [5533] = 5466,
  [5534] = 2872,
  [5535] = 2963,
  [5536] = 2635,
  [5537] = 2498,
  [5538] = 1974,
  [5539] = 4856,
  [5540] = 5136,
  [5541] = 4845,
  [5542] = 5490,
  [5543] = 2148,
  [5544] = 2090,
  [5545] = 2494,
  [5546] = 5128,
  [5547] = 5130,
  [5548] = 2493,
  [5549] = 2491,
  [5550] = 2026,
  [5551] = 2846,
  [5552] = 2268,
  [5553] = 2428,
  [5554] = 2306,
  [5555] = 2638,
  [5556] = 2811,
  [5557] = 1971,
  [5558] = 1973,
  [5559] = 1968,
  [5560] = 2158,
  [5561] = 1970,
  [5562] = 1969,
  [5563] = 2275,
  [5564] = 2831,
  [5565] = 2499,
  [5566] = 5147,
  [5567] = 2549,
  [5568] = 2179,
  [5569] = 2178,
  [5570] = 1972,
  [5571] = 5571,
  [5572] = 5490,
  [5573] = 2497,
  [5574] = 2182,
  [5575] = 2492,
  [5576] = 5130,
  [5577] = 2125,
  [5578] = 4856,
  [5579] = 5490,
  [5580] = 5580,
  [5581] = 2635,
  [5582] = 5490,
  [5583] = 5490,
  [5584] = 2305,
  [5585] = 2119,
  [5586] = 5490,
  [5587] = 5490,
  [5588] = 2119,
  [5589] = 5136,
  [5590] = 5490,
  [5591] = 2329,
  [5592] = 5490,
  [5593] = 2125,
  [5594] = 2264,
  [5595] = 5147,
  [5596] = 5478,
  [5597] = 2638,
  [5598] = 5490,
  [5599] = 5128,
  [5600] = 5493,
  [5601] = 4845,
  [5602] = 5492,
  [5603] = 4845,
  [5604] = 2467,
  [5605] = 2453,
  [5606] = 5606,
  [5607] = 4856,
  [5608] = 2446,
  [5609] = 4856,
  [5610] = 2437,
  [5611] = 5136,
  [5612] = 2436,
  [5613] = 5490,
  [5614] = 2417,
  [5615] = 2398,
  [5616] = 5606,
  [5617] = 5617,
  [5618] = 2428,
  [5619] = 5490,
  [5620] = 5128,
  [5621] = 2466,
  [5622] = 5622,
  [5623] = 5130,
  [5624] = 2451,
  [5625] = 2439,
  [5626] = 5147,
  [5627] = 2440,
  [5628] = 5490,
  [5629] = 5490,
  [5630] = 4845,
  [5631] = 2166,
  [5632] = 2275,
  [5633] = 2405,
  [5634] = 5622,
  [5635] = 2346,
  [5636] = 2280,
  [5637] = 2339,
  [5638] = 2338,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 2274,
  [5642] = 5639,
  [5643] = 2277,
  [5644] = 2284,
  [5645] = 2265,
  [5646] = 2282,
  [5647] = 2299,
  [5648] = 5640,
  [5649] = 5640,
  [5650] = 2334,
  [5651] = 2281,
  [5652] = 5639,
  [5653] = 2305,
  [5654] = 2283,
  [5655] = 2285,
  [5656] = 5640,
  [5657] = 5657,
  [5658] = 2266,
  [5659] = 2291,
  [5660] = 2295,
  [5661] = 2302,
  [5662] = 2269,
  [5663] = 2333,
  [5664] = 5606,
  [5665] = 5639,
  [5666] = 2308,
  [5667] = 5639,
  [5668] = 2309,
  [5669] = 5639,
  [5670] = 2310,
  [5671] = 2279,
  [5672] = 5640,
  [5673] = 2329,
  [5674] = 5639,
  [5675] = 5622,
  [5676] = 2262,
  [5677] = 5640,
  [5678] = 2349,
  [5679] = 5640,
  [5680] = 2344,
  [5681] = 5640,
  [5682] = 2347,
  [5683] = 2343,
  [5684] = 2348,
  [5685] = 2286,
  [5686] = 2428,
  [5687] = 5606,
  [5688] = 5640,
  [5689] = 2293,
  [5690] = 5128,
  [5691] = 5639,
  [5692] = 2148,
  [5693] = 5640,
  [5694] = 5640,
  [5695] = 2324,
  [5696] = 2345,
  [5697] = 5490,
  [5698] = 2292,
  [5699] = 2301,
  [5700] = 5622,
  [5701] = 5639,
  [5702] = 5490,
  [5703] = 2090,
  [5704] = 5639,
  [5705] = 5130,
  [5706] = 5639,
  [5707] = 2325,
  [5708] = 5136,
  [5709] = 5147,
  [5710] = 5147,
  [5711] = 5606,
  [5712] = 5606,
  [5713] = 2125,
  [5714] = 5622,
  [5715] = 5136,
  [5716] = 5130,
  [5717] = 5128,
  [5718] = 2453,
  [5719] = 2446,
  [5720] = 5606,
  [5721] = 2405,
  [5722] = 2451,
  [5723] = 2466,
  [5724] = 5724,
  [5725] = 2467,
  [5726] = 5606,
  [5727] = 5622,
  [5728] = 4856,
  [5729] = 2440,
  [5730] = 2439,
  [5731] = 5731,
  [5732] = 2417,
  [5733] = 2398,
  [5734] = 5734,
  [5735] = 2436,
  [5736] = 2437,
  [5737] = 5147,
  [5738] = 4845,
  [5739] = 2638,
  [5740] = 2638,
  [5741] = 2635,
  [5742] = 5622,
  [5743] = 5622,
  [5744] = 5734,
  [5745] = 2635,
  [5746] = 5606,
  [5747] = 5606,
  [5748] = 5622,
  [5749] = 5130,
  [5750] = 5731,
  [5751] = 5606,
  [5752] = 5606,
  [5753] = 5622,
  [5754] = 2119,
  [5755] = 5622,
  [5756] = 5724,
  [5757] = 5622,
  [5758] = 5758,
  [5759] = 5759,
  [5760] = 5136,
  [5761] = 5490,
  [5762] = 2148,
  [5763] = 5763,
  [5764] = 5764,
  [5765] = 5764,
  [5766] = 5622,
  [5767] = 2310,
  [5768] = 5764,
  [5769] = 2262,
  [5770] = 5490,
  [5771] = 5759,
  [5772] = 5490,
  [5773] = 5764,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5764,
  [5777] = 2285,
  [5778] = 5764,
  [5779] = 2302,
  [5780] = 5128,
  [5781] = 5764,
  [5782] = 5759,
  [5783] = 5763,
  [5784] = 5784,
  [5785] = 5759,
  [5786] = 5136,
  [5787] = 5774,
  [5788] = 5784,
  [5789] = 5763,
  [5790] = 5606,
  [5791] = 5606,
  [5792] = 3123,
  [5793] = 5764,
  [5794] = 5763,
  [5795] = 5775,
  [5796] = 5784,
  [5797] = 5774,
  [5798] = 5798,
  [5799] = 5763,
  [5800] = 5784,
  [5801] = 5759,
  [5802] = 2280,
  [5803] = 5775,
  [5804] = 2293,
  [5805] = 2166,
  [5806] = 5763,
  [5807] = 5764,
  [5808] = 5764,
  [5809] = 2249,
  [5810] = 5775,
  [5811] = 5784,
  [5812] = 2154,
  [5813] = 5490,
  [5814] = 5147,
  [5815] = 5763,
  [5816] = 5764,
  [5817] = 5622,
  [5818] = 5759,
  [5819] = 5764,
  [5820] = 5798,
  [5821] = 5130,
  [5822] = 5147,
  [5823] = 5764,
  [5824] = 5606,
  [5825] = 5784,
  [5826] = 5622,
  [5827] = 5774,
  [5828] = 5759,
  [5829] = 5774,
  [5830] = 5775,
  [5831] = 5774,
  [5832] = 5763,
  [5833] = 5759,
  [5834] = 2148,
  [5835] = 5763,
  [5836] = 5130,
  [5837] = 5837,
  [5838] = 5798,
  [5839] = 5774,
  [5840] = 5606,
  [5841] = 5764,
  [5842] = 5764,
  [5843] = 5798,
  [5844] = 5844,
  [5845] = 5775,
  [5846] = 5622,
  [5847] = 5764,
  [5848] = 5759,
  [5849] = 5764,
  [5850] = 5784,
  [5851] = 5774,
  [5852] = 5775,
  [5853] = 5764,
  [5854] = 5798,
  [5855] = 5855,
  [5856] = 5759,
  [5857] = 5764,
  [5858] = 5763,
  [5859] = 5775,
  [5860] = 5763,
  [5861] = 5128,
  [5862] = 5798,
  [5863] = 5759,
  [5864] = 5764,
  [5865] = 5764,
  [5866] = 5784,
  [5867] = 5867,
  [5868] = 5868,
  [5869] = 2324,
  [5870] = 2301,
  [5871] = 5871,
  [5872] = 5872,
  [5873] = 5873,
  [5874] = 5874,
  [5875] = 5875,
  [5876] = 5875,
  [5877] = 5868,
  [5878] = 5878,
  [5879] = 5879,
  [5880] = 5878,
  [5881] = 5881,
  [5882] = 5882,
  [5883] = 5871,
  [5884] = 5872,
  [5885] = 5873,
  [5886] = 5874,
  [5887] = 2306,
  [5888] = 5879,
  [5889] = 5868,
  [5890] = 5882,
  [5891] = 5875,
  [5892] = 5868,
  [5893] = 5882,
  [5894] = 5882,
  [5895] = 5881,
  [5896] = 5878,
  [5897] = 5882,
  [5898] = 5879,
  [5899] = 5868,
  [5900] = 5871,
  [5901] = 5871,
  [5902] = 5872,
  [5903] = 5873,
  [5904] = 5904,
  [5905] = 5874,
  [5906] = 5878,
  [5907] = 5879,
  [5908] = 5874,
  [5909] = 5882,
  [5910] = 2344,
  [5911] = 5875,
  [5912] = 5868,
  [5913] = 5878,
  [5914] = 2635,
  [5915] = 5873,
  [5916] = 5871,
  [5917] = 5872,
  [5918] = 2292,
  [5919] = 5873,
  [5920] = 5874,
  [5921] = 5875,
  [5922] = 5882,
  [5923] = 5872,
  [5924] = 5871,
  [5925] = 5872,
  [5926] = 5873,
  [5927] = 5874,
  [5928] = 5868,
  [5929] = 5882,
  [5930] = 5871,
  [5931] = 5871,
  [5932] = 5872,
  [5933] = 5873,
  [5934] = 5874,
  [5935] = 5878,
  [5936] = 5875,
  [5937] = 5875,
  [5938] = 5878,
  [5939] = 2348,
  [5940] = 5882,
  [5941] = 5881,
  [5942] = 5879,
  [5943] = 5868,
  [5944] = 5881,
  [5945] = 5879,
  [5946] = 2343,
  [5947] = 5878,
  [5948] = 5878,
  [5949] = 5875,
  [5950] = 5868,
  [5951] = 5951,
  [5952] = 5881,
  [5953] = 5875,
  [5954] = 5875,
  [5955] = 2347,
  [5956] = 5868,
  [5957] = 5878,
  [5958] = 5606,
  [5959] = 5622,
  [5960] = 5874,
  [5961] = 5871,
  [5962] = 2422,
  [5963] = 2346,
  [5964] = 2349,
  [5965] = 2638,
  [5966] = 5875,
  [5967] = 5868,
  [5968] = 5878,
  [5969] = 5873,
  [5970] = 2265,
  [5971] = 5872,
  [5972] = 2638,
  [5973] = 5878,
  [5974] = 5868,
  [5975] = 2325,
  [5976] = 2635,
  [5977] = 5875,
  [5978] = 5878,
  [5979] = 5979,
  [5980] = 5868,
  [5981] = 5875,
  [5982] = 2333,
  [5983] = 2334,
  [5984] = 2338,
  [5985] = 2339,
  [5986] = 5872,
  [5987] = 2345,
  [5988] = 2274,
  [5989] = 5878,
  [5990] = 5875,
  [5991] = 2277,
  [5992] = 2286,
  [5993] = 2284,
  [5994] = 5868,
  [5995] = 5878,
  [5996] = 4485,
  [5997] = 5868,
  [5998] = 5875,
  [5999] = 2281,
  [6000] = 5606,
  [6001] = 5622,
  [6002] = 2279,
  [6003] = 5875,
  [6004] = 5868,
  [6005] = 2283,
  [6006] = 2269,
  [6007] = 2266,
  [6008] = 5878,
  [6009] = 5868,
  [6010] = 5878,
  [6011] = 5875,
  [6012] = 5878,
  [6013] = 2299,
  [6014] = 2282,
  [6015] = 5868,
  [6016] = 5868,
  [6017] = 5875,
  [6018] = 5875,
  [6019] = 2268,
  [6020] = 5878,
  [6021] = 2309,
  [6022] = 5873,
  [6023] = 5878,
  [6024] = 2308,
  [6025] = 5868,
  [6026] = 2291,
  [6027] = 5875,
  [6028] = 5874,
  [6029] = 2295,
  [6030] = 6030,
  [6031] = 6031,
  [6032] = 6030,
  [6033] = 6030,
  [6034] = 6030,
  [6035] = 6035,
  [6036] = 5130,
  [6037] = 5136,
  [6038] = 6030,
  [6039] = 6039,
  [6040] = 6030,
  [6041] = 6030,
  [6042] = 6030,
  [6043] = 6030,
  [6044] = 6030,
  [6045] = 6039,
  [6046] = 6031,
  [6047] = 3123,
  [6048] = 6030,
  [6049] = 6035,
  [6050] = 6030,
  [6051] = 6030,
  [6052] = 5147,
  [6053] = 6030,
  [6054] = 6030,
  [6055] = 6030,
  [6056] = 5128,
  [6057] = 6030,
  [6058] = 2509,
  [6059] = 6030,
  [6060] = 6030,
  [6061] = 6030,
  [6062] = 2329,
  [6063] = 2305,
  [6064] = 6031,
  [6065] = 2428,
  [6066] = 6035,
  [6067] = 6039,
  [6068] = 6039,
  [6069] = 6035,
  [6070] = 6031,
  [6071] = 5622,
  [6072] = 5606,
  [6073] = 5622,
  [6074] = 5606,
  [6075] = 5622,
  [6076] = 5622,
  [6077] = 5606,
  [6078] = 5606,
  [6079] = 6079,
  [6080] = 4689,
  [6081] = 2491,
  [6082] = 2497,
  [6083] = 6083,
  [6084] = 6039,
  [6085] = 2493,
  [6086] = 2498,
  [6087] = 6039,
  [6088] = 6031,
  [6089] = 6031,
  [6090] = 6035,
  [6091] = 6031,
  [6092] = 6035,
  [6093] = 6031,
  [6094] = 6039,
  [6095] = 6035,
  [6096] = 6039,
  [6097] = 2499,
  [6098] = 6031,
  [6099] = 6039,
  [6100] = 6035,
  [6101] = 6031,
  [6102] = 2549,
  [6103] = 6039,
  [6104] = 6035,
  [6105] = 2494,
  [6106] = 6035,
  [6107] = 6035,
  [6108] = 6039,
  [6109] = 6039,
  [6110] = 6031,
  [6111] = 2313,
  [6112] = 6031,
  [6113] = 6035,
  [6114] = 2326,
  [6115] = 4679,
  [6116] = 2405,
  [6117] = 6035,
  [6118] = 4095,
  [6119] = 6119,
  [6120] = 6119,
  [6121] = 6039,
  [6122] = 6119,
  [6123] = 6035,
  [6124] = 6031,
  [6125] = 6119,
  [6126] = 6031,
  [6127] = 2417,
  [6128] = 6035,
  [6129] = 6031,
  [6130] = 6119,
  [6131] = 6119,
  [6132] = 6119,
  [6133] = 6119,
  [6134] = 6039,
  [6135] = 2437,
  [6136] = 2436,
  [6137] = 6031,
  [6138] = 6119,
  [6139] = 6035,
  [6140] = 2453,
  [6141] = 2446,
  [6142] = 6039,
  [6143] = 2451,
  [6144] = 2466,
  [6145] = 2440,
  [6146] = 2467,
  [6147] = 2439,
  [6148] = 2398,
  [6149] = 6039,
  [6150] = 2492,
  [6151] = 6039,
  [6152] = 6152,
  [6153] = 6031,
  [6154] = 6039,
  [6155] = 6035,
  [6156] = 6152,
  [6157] = 4112,
  [6158] = 6031,
  [6159] = 6159,
  [6160] = 6152,
  [6161] = 6035,
  [6162] = 6152,
  [6163] = 6163,
  [6164] = 6163,
  [6165] = 6163,
  [6166] = 2148,
  [6167] = 6167,
  [6168] = 6163,
  [6169] = 6169,
  [6170] = 6163,
  [6171] = 6171,
  [6172] = 6171,
  [6173] = 6173,
  [6174] = 6031,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6039,
  [6178] = 6173,
  [6179] = 6176,
  [6180] = 6180,
  [6181] = 6035,
  [6182] = 6031,
  [6183] = 6152,
  [6184] = 6039,
  [6185] = 6171,
  [6186] = 6171,
  [6187] = 6039,
  [6188] = 6176,
  [6189] = 6180,
  [6190] = 6180,
  [6191] = 6171,
  [6192] = 6180,
  [6193] = 6152,
  [6194] = 6180,
  [6195] = 6180,
  [6196] = 6171,
  [6197] = 6180,
  [6198] = 6171,
  [6199] = 6031,
  [6200] = 6171,
  [6201] = 6180,
  [6202] = 6171,
  [6203] = 6180,
  [6204] = 6171,
  [6205] = 6205,
  [6206] = 6176,
  [6207] = 6176,
  [6208] = 6035,
  [6209] = 6205,
  [6210] = 6031,
  [6211] = 6039,
  [6212] = 6180,
  [6213] = 6180,
  [6214] = 6173,
  [6215] = 6176,
  [6216] = 6171,
  [6217] = 6171,
  [6218] = 6180,
  [6219] = 6176,
  [6220] = 6220,
  [6221] = 6180,
  [6222] = 6180,
  [6223] = 6171,
  [6224] = 6173,
  [6225] = 6176,
  [6226] = 6180,
  [6227] = 6180,
  [6228] = 6180,
  [6229] = 6171,
  [6230] = 6176,
  [6231] = 6205,
  [6232] = 6171,
  [6233] = 6171,
  [6234] = 6234,
  [6235] = 6171,
  [6236] = 6180,
  [6237] = 6171,
  [6238] = 6035,
  [6239] = 6035,
  [6240] = 6240,
  [6241] = 6241,
  [6242] = 6241,
  [6243] = 6243,
  [6244] = 6244,
  [6245] = 6241,
  [6246] = 6243,
  [6247] = 6244,
  [6248] = 6243,
  [6249] = 6152,
  [6250] = 6243,
  [6251] = 6241,
  [6252] = 6244,
  [6253] = 6243,
  [6254] = 6254,
  [6255] = 6243,
  [6256] = 6241,
  [6257] = 6243,
  [6258] = 6244,
  [6259] = 6240,
  [6260] = 6254,
  [6261] = 6241,
  [6262] = 6241,
  [6263] = 6240,
  [6264] = 6254,
  [6265] = 6244,
  [6266] = 6240,
  [6267] = 6254,
  [6268] = 6244,
  [6269] = 6244,
  [6270] = 6254,
  [6271] = 6244,
  [6272] = 6241,
  [6273] = 6244,
  [6274] = 6241,
  [6275] = 6254,
  [6276] = 6240,
  [6277] = 6240,
  [6278] = 6244,
  [6279] = 6243,
  [6280] = 2275,
  [6281] = 6240,
  [6282] = 6254,
  [6283] = 6254,
  [6284] = 6241,
  [6285] = 6240,
  [6286] = 6244,
  [6287] = 6287,
  [6288] = 6288,
  [6289] = 6243,
  [6290] = 6244,
  [6291] = 6254,
  [6292] = 6243,
  [6293] = 6241,
  [6294] = 6244,
  [6295] = 6175,
  [6296] = 6240,
  [6297] = 6254,
  [6298] = 6254,
  [6299] = 6243,
  [6300] = 6240,
  [6301] = 6240,
  [6302] = 6244,
  [6303] = 6241,
  [6304] = 6254,
  [6305] = 6254,
  [6306] = 6287,
  [6307] = 6240,
  [6308] = 6243,
  [6309] = 6240,
  [6310] = 6240,
  [6311] = 6240,
  [6312] = 6254,
  [6313] = 6254,
  [6314] = 6241,
  [6315] = 6240,
  [6316] = 6288,
  [6317] = 6244,
  [6318] = 6241,
  [6319] = 6244,
  [6320] = 6243,
  [6321] = 6244,
  [6322] = 6322,
  [6323] = 6241,
  [6324] = 6243,
  [6325] = 6240,
  [6326] = 6241,
  [6327] = 6243,
  [6328] = 6241,
  [6329] = 6244,
  [6330] = 6243,
  [6331] = 6243,
  [6332] = 6243,
  [6333] = 6254,
  [6334] = 6241,
  [6335] = 6240,
  [6336] = 6254,
  [6337] = 6241,
  [6338] = 6244,
  [6339] = 6243,
  [6340] = 6254,
  [6341] = 6288,
  [6342] = 6287,
  [6343] = 6244,
  [6344] = 6254,
  [6345] = 6254,
  [6346] = 6240,
  [6347] = 6241,
  [6348] = 6348,
  [6349] = 6240,
  [6350] = 6243,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6352,
  [6361] = 6352,
  [6362] = 6352,
  [6363] = 6363,
  [6364] = 6364,
  [6365] = 6353,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 6368,
  [6369] = 6369,
  [6370] = 6357,
  [6371] = 6352,
  [6372] = 6372,
  [6373] = 6353,
  [6374] = 6359,
  [6375] = 6353,
  [6376] = 6234,
  [6377] = 6377,
  [6378] = 6378,
  [6379] = 6352,
  [6380] = 6380,
  [6381] = 6352,
  [6382] = 6382,
  [6383] = 6383,
  [6384] = 6220,
  [6385] = 6352,
  [6386] = 6152,
  [6387] = 6387,
  [6388] = 6356,
  [6389] = 6389,
  [6390] = 6358,
  [6391] = 6358,
  [6392] = 6352,
  [6393] = 6393,
  [6394] = 6394,
  [6395] = 6358,
  [6396] = 6396,
  [6397] = 6357,
  [6398] = 6353,
  [6399] = 6364,
  [6400] = 6355,
  [6401] = 6401,
  [6402] = 6402,
  [6403] = 6403,
  [6404] = 6354,
  [6405] = 6405,
  [6406] = 6353,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6353,
  [6410] = 6410,
  [6411] = 6357,
  [6412] = 6353,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6359,
  [6416] = 6359,
  [6417] = 6353,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6420,
  [6421] = 6357,
  [6422] = 6352,
  [6423] = 6352,
  [6424] = 6352,
  [6425] = 6352,
  [6426] = 6426,
  [6427] = 6377,
  [6428] = 6352,
  [6429] = 6426,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6405,
  [6433] = 6433,
  [6434] = 6378,
  [6435] = 6382,
  [6436] = 3333,
  [6437] = 6437,
  [6438] = 6383,
  [6439] = 6351,
  [6440] = 6440,
  [6441] = 6413,
  [6442] = 6403,
  [6443] = 2036,
  [6444] = 6444,
  [6445] = 6414,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 2039,
  [6451] = 2050,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 6440,
  [6456] = 6456,
  [6457] = 152,
  [6458] = 6458,
  [6459] = 2825,
  [6460] = 2049,
  [6461] = 154,
  [6462] = 6462,
  [6463] = 6446,
  [6464] = 6464,
  [6465] = 6464,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6369,
  [6470] = 6449,
  [6471] = 6447,
  [6472] = 6430,
  [6473] = 6473,
  [6474] = 6474,
  [6475] = 6468,
  [6476] = 6476,
  [6477] = 6454,
  [6478] = 6462,
  [6479] = 2859,
  [6480] = 2042,
  [6481] = 6420,
  [6482] = 6453,
  [6483] = 2038,
  [6484] = 6484,
  [6485] = 6389,
  [6486] = 6486,
  [6487] = 6473,
  [6488] = 6446,
  [6489] = 6449,
  [6490] = 6456,
  [6491] = 6446,
  [6492] = 6473,
  [6493] = 6493,
  [6494] = 6453,
  [6495] = 6433,
  [6496] = 6410,
  [6497] = 6454,
  [6498] = 6152,
  [6499] = 6474,
  [6500] = 6458,
  [6501] = 6464,
  [6502] = 6466,
  [6503] = 6454,
  [6504] = 2825,
  [6505] = 6468,
  [6506] = 6368,
  [6507] = 6453,
  [6508] = 6508,
  [6509] = 2044,
  [6510] = 6446,
  [6511] = 6511,
  [6512] = 6408,
  [6513] = 6456,
  [6514] = 6446,
  [6515] = 6449,
  [6516] = 6453,
  [6517] = 6454,
  [6518] = 6518,
  [6519] = 2043,
  [6520] = 6520,
  [6521] = 6418,
  [6522] = 6449,
  [6523] = 6466,
  [6524] = 6453,
  [6525] = 6473,
  [6526] = 6396,
  [6527] = 6462,
  [6528] = 6454,
  [6529] = 6474,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6468,
  [6534] = 6464,
  [6535] = 6431,
  [6536] = 6536,
  [6537] = 6402,
  [6538] = 6538,
  [6539] = 6449,
  [6540] = 6464,
  [6541] = 2041,
  [6542] = 6473,
  [6543] = 6543,
  [6544] = 6474,
  [6545] = 6464,
  [6546] = 6393,
  [6547] = 2046,
  [6548] = 6548,
  [6549] = 3333,
  [6550] = 6447,
  [6551] = 2035,
  [6552] = 6552,
  [6553] = 2052,
  [6554] = 2053,
  [6555] = 2040,
  [6556] = 6401,
  [6557] = 6456,
  [6558] = 6558,
  [6559] = 6407,
  [6560] = 6462,
  [6561] = 6466,
  [6562] = 2034,
  [6563] = 6563,
  [6564] = 6447,
  [6565] = 2859,
  [6566] = 6446,
  [6567] = 6532,
  [6568] = 2509,
  [6569] = 6446,
  [6570] = 6454,
  [6571] = 6453,
  [6572] = 6453,
  [6573] = 6449,
  [6574] = 6538,
  [6575] = 6520,
  [6576] = 6454,
  [6577] = 6152,
  [6578] = 6578,
  [6579] = 6449,
  [6580] = 6454,
  [6581] = 6446,
  [6582] = 2037,
  [6583] = 2048,
  [6584] = 6584,
  [6585] = 2125,
  [6586] = 6586,
  [6587] = 6453,
  [6588] = 6586,
  [6589] = 6586,
  [6590] = 6449,
  [6591] = 2119,
  [6592] = 6592,
  [6593] = 6593,
  [6594] = 6594,
  [6595] = 6595,
  [6596] = 6596,
  [6597] = 6586,
  [6598] = 6586,
  [6599] = 6595,
  [6600] = 6595,
  [6601] = 6601,
  [6602] = 6584,
  [6603] = 6603,
  [6604] = 6601,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6592,
  [6608] = 6595,
  [6609] = 6592,
  [6610] = 6584,
  [6611] = 6601,
  [6612] = 6612,
  [6613] = 6601,
  [6614] = 2051,
  [6615] = 6595,
  [6616] = 6586,
  [6617] = 6617,
  [6618] = 6595,
  [6619] = 6584,
  [6620] = 6601,
  [6621] = 6621,
  [6622] = 6622,
  [6623] = 6623,
  [6624] = 6586,
  [6625] = 6595,
  [6626] = 6626,
  [6627] = 6586,
  [6628] = 6628,
  [6629] = 6629,
  [6630] = 6584,
  [6631] = 6584,
  [6632] = 6632,
  [6633] = 6601,
  [6634] = 6601,
  [6635] = 6635,
  [6636] = 6636,
  [6637] = 6453,
  [6638] = 6584,
  [6639] = 6586,
  [6640] = 6584,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6592,
  [6644] = 6449,
  [6645] = 6586,
  [6646] = 6646,
  [6647] = 6601,
  [6648] = 6584,
  [6649] = 6586,
  [6650] = 6595,
  [6651] = 6601,
  [6652] = 6584,
  [6653] = 6601,
  [6654] = 6446,
  [6655] = 6655,
  [6656] = 6152,
  [6657] = 6657,
  [6658] = 6454,
  [6659] = 6659,
  [6660] = 6595,
  [6661] = 6453,
  [6662] = 6595,
  [6663] = 6584,
  [6664] = 6595,
  [6665] = 6152,
  [6666] = 6454,
  [6667] = 6449,
  [6668] = 6603,
  [6669] = 6446,
  [6670] = 6670,
  [6671] = 6601,
  [6672] = 6672,
  [6673] = 6595,
  [6674] = 6592,
  [6675] = 6586,
  [6676] = 6676,
  [6677] = 6453,
  [6678] = 6592,
  [6679] = 6449,
  [6680] = 6446,
  [6681] = 6454,
  [6682] = 6446,
  [6683] = 2052,
  [6684] = 2044,
  [6685] = 6685,
  [6686] = 2036,
  [6687] = 6687,
  [6688] = 6687,
  [6689] = 6687,
  [6690] = 2038,
  [6691] = 152,
  [6692] = 6692,
  [6693] = 6687,
  [6694] = 6687,
  [6695] = 2039,
  [6696] = 6454,
  [6697] = 6687,
  [6698] = 6698,
  [6699] = 6446,
  [6700] = 6456,
  [6701] = 2041,
  [6702] = 6453,
  [6703] = 6474,
  [6704] = 2825,
  [6705] = 2859,
  [6706] = 6447,
  [6707] = 6687,
  [6708] = 2046,
  [6709] = 6474,
  [6710] = 6710,
  [6711] = 6711,
  [6712] = 6687,
  [6713] = 6152,
  [6714] = 6687,
  [6715] = 6687,
  [6716] = 6687,
  [6717] = 6687,
  [6718] = 2042,
  [6719] = 6687,
  [6720] = 154,
  [6721] = 6466,
  [6722] = 6687,
  [6723] = 6687,
  [6724] = 6468,
  [6725] = 6452,
  [6726] = 6687,
  [6727] = 1111,
  [6728] = 6728,
  [6729] = 6449,
  [6730] = 6558,
  [6731] = 6687,
  [6732] = 2053,
  [6733] = 2040,
  [6734] = 1112,
  [6735] = 6728,
  [6736] = 6453,
  [6737] = 6466,
  [6738] = 2049,
  [6739] = 2050,
  [6740] = 6468,
  [6741] = 6687,
  [6742] = 6687,
  [6743] = 6728,
  [6744] = 2034,
  [6745] = 6447,
  [6746] = 2043,
  [6747] = 2035,
  [6748] = 6456,
  [6749] = 2792,
  [6750] = 6449,
  [6751] = 6152,
  [6752] = 6687,
  [6753] = 6454,
  [6754] = 6728,
  [6755] = 6728,
  [6756] = 6756,
  [6757] = 6757,
  [6758] = 6758,
  [6759] = 6759,
  [6760] = 6758,
  [6761] = 2379,
  [6762] = 6758,
  [6763] = 6446,
  [6764] = 6764,
  [6765] = 6756,
  [6766] = 6766,
  [6767] = 6766,
  [6768] = 6758,
  [6769] = 2385,
  [6770] = 6453,
  [6771] = 6766,
  [6772] = 2896,
  [6773] = 6773,
  [6774] = 6756,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6759,
  [6779] = 6454,
  [6780] = 6780,
  [6781] = 2423,
  [6782] = 6758,
  [6783] = 2509,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6766,
  [6787] = 6773,
  [6788] = 6756,
  [6789] = 6789,
  [6790] = 6775,
  [6791] = 6758,
  [6792] = 6756,
  [6793] = 6757,
  [6794] = 6776,
  [6795] = 6758,
  [6796] = 6780,
  [6797] = 6766,
  [6798] = 6784,
  [6799] = 6785,
  [6800] = 6766,
  [6801] = 6756,
  [6802] = 6777,
  [6803] = 6766,
  [6804] = 2847,
  [6805] = 6758,
  [6806] = 6785,
  [6807] = 6784,
  [6808] = 6780,
  [6809] = 6449,
  [6810] = 6777,
  [6811] = 6776,
  [6812] = 6757,
  [6813] = 6775,
  [6814] = 6758,
  [6815] = 2411,
  [6816] = 6773,
  [6817] = 6446,
  [6818] = 6454,
  [6819] = 6756,
  [6820] = 6449,
  [6821] = 6758,
  [6822] = 6759,
  [6823] = 2877,
  [6824] = 6766,
  [6825] = 6766,
  [6826] = 6756,
  [6827] = 6827,
  [6828] = 6828,
  [6829] = 6759,
  [6830] = 6830,
  [6831] = 6759,
  [6832] = 6758,
  [6833] = 6453,
  [6834] = 6758,
  [6835] = 6756,
  [6836] = 6468,
  [6837] = 6837,
  [6838] = 6468,
  [6839] = 6594,
  [6840] = 6840,
  [6841] = 6776,
  [6842] = 6840,
  [6843] = 6612,
  [6844] = 6446,
  [6845] = 6449,
  [6846] = 6840,
  [6847] = 6840,
  [6848] = 6848,
  [6849] = 6621,
  [6850] = 6850,
  [6851] = 6777,
  [6852] = 6852,
  [6853] = 2859,
  [6854] = 6468,
  [6855] = 6655,
  [6856] = 6453,
  [6857] = 6474,
  [6858] = 6773,
  [6859] = 6840,
  [6860] = 6466,
  [6861] = 6632,
  [6862] = 6454,
  [6863] = 6848,
  [6864] = 6657,
  [6865] = 6474,
  [6866] = 6866,
  [6867] = 6152,
  [6868] = 6672,
  [6869] = 6606,
  [6870] = 6840,
  [6871] = 6780,
  [6872] = 6837,
  [6873] = 6840,
  [6874] = 6784,
  [6875] = 6456,
  [6876] = 6876,
  [6877] = 6447,
  [6878] = 6840,
  [6879] = 6785,
  [6880] = 6837,
  [6881] = 2519,
  [6882] = 6447,
  [6883] = 6659,
  [6884] = 2859,
  [6885] = 2068,
  [6886] = 6670,
  [6887] = 6605,
  [6888] = 6474,
  [6889] = 6456,
  [6890] = 1975,
  [6891] = 6641,
  [6892] = 2064,
  [6893] = 2825,
  [6894] = 6474,
  [6895] = 6629,
  [6896] = 6837,
  [6897] = 6840,
  [6898] = 6840,
  [6899] = 6593,
  [6900] = 6837,
  [6901] = 6456,
  [6902] = 6775,
  [6903] = 6837,
  [6904] = 6454,
  [6905] = 2071,
  [6906] = 6840,
  [6907] = 6840,
  [6908] = 6622,
  [6909] = 2070,
  [6910] = 6910,
  [6911] = 6837,
  [6912] = 6912,
  [6913] = 6840,
  [6914] = 6453,
  [6915] = 6466,
  [6916] = 6840,
  [6917] = 6449,
  [6918] = 6447,
  [6919] = 6919,
  [6920] = 6866,
  [6921] = 6921,
  [6922] = 6840,
  [6923] = 6646,
  [6924] = 6447,
  [6925] = 6837,
  [6926] = 6628,
  [6927] = 6840,
  [6928] = 6623,
  [6929] = 6837,
  [6930] = 6446,
  [6931] = 6840,
  [6932] = 6466,
  [6933] = 6921,
  [6934] = 6456,
  [6935] = 6840,
  [6936] = 6466,
  [6937] = 6840,
  [6938] = 6840,
  [6939] = 6939,
  [6940] = 2825,
  [6941] = 6642,
  [6942] = 6840,
  [6943] = 6943,
  [6944] = 6943,
  [6945] = 6617,
  [6946] = 6635,
  [6947] = 6468,
  [6948] = 6850,
  [6949] = 6757,
  [6950] = 6950,
  [6951] = 2571,
  [6952] = 2975,
  [6953] = 6454,
  [6954] = 6785,
  [6955] = 6950,
  [6956] = 6453,
  [6957] = 6957,
  [6958] = 6449,
  [6959] = 6950,
  [6960] = 6446,
  [6961] = 6961,
  [6962] = 6785,
  [6963] = 6963,
  [6964] = 6449,
  [6965] = 6453,
  [6966] = 6454,
  [6967] = 6967,
  [6968] = 6968,
  [6969] = 6957,
  [6970] = 6970,
  [6971] = 6971,
  [6972] = 6972,
  [6973] = 6970,
  [6974] = 6974,
  [6975] = 6950,
  [6976] = 6950,
  [6977] = 6977,
  [6978] = 6950,
  [6979] = 6979,
  [6980] = 6972,
  [6981] = 6981,
  [6982] = 6957,
  [6983] = 2570,
  [6984] = 6970,
  [6985] = 6957,
  [6986] = 6950,
  [6987] = 6977,
  [6988] = 6988,
  [6989] = 6989,
  [6990] = 6990,
  [6991] = 6981,
  [6992] = 6775,
  [6993] = 6446,
  [6994] = 6757,
  [6995] = 6977,
  [6996] = 6996,
  [6997] = 6970,
  [6998] = 6972,
  [6999] = 2385,
  [7000] = 6981,
  [7001] = 2423,
  [7002] = 2559,
  [7003] = 6773,
  [7004] = 7004,
  [7005] = 7005,
  [7006] = 2379,
  [7007] = 6972,
  [7008] = 6957,
  [7009] = 2553,
  [7010] = 6957,
  [7011] = 6777,
  [7012] = 6970,
  [7013] = 2920,
  [7014] = 6981,
  [7015] = 6981,
  [7016] = 6957,
  [7017] = 2573,
  [7018] = 6780,
  [7019] = 6970,
  [7020] = 6957,
  [7021] = 6970,
  [7022] = 2542,
  [7023] = 6977,
  [7024] = 2536,
  [7025] = 2564,
  [7026] = 6970,
  [7027] = 6773,
  [7028] = 2411,
  [7029] = 2552,
  [7030] = 6776,
  [7031] = 2930,
  [7032] = 6775,
  [7033] = 6757,
  [7034] = 6970,
  [7035] = 6950,
  [7036] = 6950,
  [7037] = 6981,
  [7038] = 6972,
  [7039] = 6981,
  [7040] = 6972,
  [7041] = 6981,
  [7042] = 6776,
  [7043] = 6777,
  [7044] = 2866,
  [7045] = 6996,
  [7046] = 6977,
  [7047] = 6981,
  [7048] = 6780,
  [7049] = 6970,
  [7050] = 6784,
  [7051] = 6981,
  [7052] = 2865,
  [7053] = 6972,
  [7054] = 6977,
  [7055] = 6784,
  [7056] = 7056,
  [7057] = 6970,
  [7058] = 2867,
  [7059] = 6981,
  [7060] = 6972,
  [7061] = 2918,
  [7062] = 6981,
  [7063] = 6970,
  [7064] = 6972,
  [7065] = 2917,
  [7066] = 2566,
  [7067] = 2541,
  [7068] = 6957,
  [7069] = 7069,
  [7070] = 7070,
  [7071] = 7070,
  [7072] = 6757,
  [7073] = 7070,
  [7074] = 7074,
  [7075] = 2379,
  [7076] = 6776,
  [7077] = 7077,
  [7078] = 7077,
  [7079] = 7079,
  [7080] = 7070,
  [7081] = 2385,
  [7082] = 7070,
  [7083] = 7070,
  [7084] = 7079,
  [7085] = 7079,
  [7086] = 6850,
  [7087] = 6468,
  [7088] = 6454,
  [7089] = 7070,
  [7090] = 6474,
  [7091] = 6468,
  [7092] = 2423,
  [7093] = 6474,
  [7094] = 6848,
  [7095] = 7070,
  [7096] = 6456,
  [7097] = 7097,
  [7098] = 4732,
  [7099] = 7099,
  [7100] = 7079,
  [7101] = 6456,
  [7102] = 6777,
  [7103] = 6466,
  [7104] = 7104,
  [7105] = 7070,
  [7106] = 6780,
  [7107] = 6453,
  [7108] = 6466,
  [7109] = 6784,
  [7110] = 6785,
  [7111] = 6447,
  [7112] = 7070,
  [7113] = 6449,
  [7114] = 6447,
  [7115] = 7070,
  [7116] = 2519,
  [7117] = 7070,
  [7118] = 6454,
  [7119] = 7077,
  [7120] = 6453,
  [7121] = 7070,
  [7122] = 7070,
  [7123] = 2411,
  [7124] = 7124,
  [7125] = 6919,
  [7126] = 2825,
  [7127] = 7070,
  [7128] = 7070,
  [7129] = 6446,
  [7130] = 6449,
  [7131] = 6446,
  [7132] = 7070,
  [7133] = 7070,
  [7134] = 7079,
  [7135] = 6921,
  [7136] = 6773,
  [7137] = 7137,
  [7138] = 7077,
  [7139] = 2859,
  [7140] = 6775,
  [7141] = 6866,
  [7142] = 7070,
  [7143] = 7070,
  [7144] = 7077,
  [7145] = 7070,
  [7146] = 7146,
  [7147] = 6943,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 6468,
  [7151] = 2859,
  [7152] = 6468,
  [7153] = 7148,
  [7154] = 6785,
  [7155] = 7148,
  [7156] = 6474,
  [7157] = 6777,
  [7158] = 7158,
  [7159] = 6456,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7149,
  [7163] = 6474,
  [7164] = 7164,
  [7165] = 7148,
  [7166] = 7166,
  [7167] = 7167,
  [7168] = 6757,
  [7169] = 7148,
  [7170] = 7170,
  [7171] = 7166,
  [7172] = 7166,
  [7173] = 2519,
  [7174] = 7166,
  [7175] = 6775,
  [7176] = 7164,
  [7177] = 7149,
  [7178] = 6466,
  [7179] = 7179,
  [7180] = 7164,
  [7181] = 7148,
  [7182] = 7182,
  [7183] = 2793,
  [7184] = 6943,
  [7185] = 7185,
  [7186] = 7186,
  [7187] = 7149,
  [7188] = 7188,
  [7189] = 6456,
  [7190] = 7166,
  [7191] = 6866,
  [7192] = 7148,
  [7193] = 6785,
  [7194] = 7149,
  [7195] = 7166,
  [7196] = 7149,
  [7197] = 7164,
  [7198] = 6850,
  [7199] = 7166,
  [7200] = 6848,
  [7201] = 6921,
  [7202] = 6780,
  [7203] = 6780,
  [7204] = 7204,
  [7205] = 7164,
  [7206] = 6773,
  [7207] = 6784,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7164,
  [7211] = 6447,
  [7212] = 6776,
  [7213] = 7164,
  [7214] = 7214,
  [7215] = 7166,
  [7216] = 7216,
  [7217] = 6466,
  [7218] = 7148,
  [7219] = 7149,
  [7220] = 7164,
  [7221] = 7164,
  [7222] = 6775,
  [7223] = 6447,
  [7224] = 7148,
  [7225] = 2825,
  [7226] = 7226,
  [7227] = 7149,
  [7228] = 6757,
  [7229] = 7149,
  [7230] = 7166,
  [7231] = 6785,
  [7232] = 1968,
  [7233] = 7233,
  [7234] = 7234,
  [7235] = 7235,
  [7236] = 6784,
  [7237] = 7235,
  [7238] = 7238,
  [7239] = 1972,
  [7240] = 7240,
  [7241] = 7235,
  [7242] = 7242,
  [7243] = 7238,
  [7244] = 7235,
  [7245] = 7235,
  [7246] = 7246,
  [7247] = 6780,
  [7248] = 7235,
  [7249] = 7235,
  [7250] = 7235,
  [7251] = 7235,
  [7252] = 7235,
  [7253] = 7253,
  [7254] = 6777,
  [7255] = 7255,
  [7256] = 1970,
  [7257] = 7257,
  [7258] = 6776,
  [7259] = 6757,
  [7260] = 6775,
  [7261] = 6773,
  [7262] = 7235,
  [7263] = 7263,
  [7264] = 7235,
  [7265] = 7235,
  [7266] = 1969,
  [7267] = 1971,
  [7268] = 1974,
  [7269] = 7235,
  [7270] = 1973,
  [7271] = 7235,
  [7272] = 7272,
  [7273] = 7272,
  [7274] = 7274,
  [7275] = 6775,
  [7276] = 7272,
  [7277] = 7277,
  [7278] = 7274,
  [7279] = 7272,
  [7280] = 2859,
  [7281] = 7272,
  [7282] = 7282,
  [7283] = 7272,
  [7284] = 7274,
  [7285] = 7272,
  [7286] = 7286,
  [7287] = 7286,
  [7288] = 7272,
  [7289] = 7272,
  [7290] = 6757,
  [7291] = 7272,
  [7292] = 7272,
  [7293] = 7272,
  [7294] = 7286,
  [7295] = 7286,
  [7296] = 6776,
  [7297] = 6698,
  [7298] = 7286,
  [7299] = 6777,
  [7300] = 7272,
  [7301] = 2825,
  [7302] = 7272,
  [7303] = 6773,
  [7304] = 7272,
  [7305] = 7286,
  [7306] = 7272,
  [7307] = 7272,
  [7308] = 7272,
  [7309] = 7274,
  [7310] = 7286,
  [7311] = 7274,
  [7312] = 6785,
  [7313] = 7286,
  [7314] = 7272,
  [7315] = 6710,
  [7316] = 7272,
  [7317] = 7286,
  [7318] = 7272,
  [7319] = 7272,
  [7320] = 7272,
  [7321] = 6784,
  [7322] = 6780,
  [7323] = 6848,
  [7324] = 6939,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 6866,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 6910,
  [7333] = 6710,
  [7334] = 6773,
  [7335] = 7335,
  [7336] = 6850,
  [7337] = 6943,
  [7338] = 6921,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7331,
  [7342] = 7342,
  [7343] = 6698,
  [7344] = 7330,
  [7345] = 2847,
  [7346] = 6775,
  [7347] = 6757,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 6776,
  [7351] = 6777,
  [7352] = 7331,
  [7353] = 7330,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7331,
  [7358] = 7348,
  [7359] = 6912,
  [7360] = 7330,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 6876,
  [7364] = 7331,
  [7365] = 7365,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7368,
  [7369] = 7369,
  [7370] = 7370,
  [7371] = 7348,
  [7372] = 7372,
  [7373] = 7373,
  [7374] = 7331,
  [7375] = 7331,
  [7376] = 6780,
  [7377] = 7331,
  [7378] = 7330,
  [7379] = 6784,
  [7380] = 7348,
  [7381] = 7331,
  [7382] = 7382,
  [7383] = 7348,
  [7384] = 6852,
  [7385] = 7385,
  [7386] = 6785,
  [7387] = 7387,
  [7388] = 6757,
  [7389] = 7389,
  [7390] = 7389,
  [7391] = 7391,
  [7392] = 6775,
  [7393] = 7391,
  [7394] = 6776,
  [7395] = 6777,
  [7396] = 7389,
  [7397] = 2998,
  [7398] = 7398,
  [7399] = 7399,
  [7400] = 2847,
  [7401] = 7401,
  [7402] = 7391,
  [7403] = 7389,
  [7404] = 7404,
  [7405] = 7405,
  [7406] = 2983,
  [7407] = 7398,
  [7408] = 2423,
  [7409] = 7391,
  [7410] = 6780,
  [7411] = 7399,
  [7412] = 6784,
  [7413] = 2411,
  [7414] = 7399,
  [7415] = 7399,
  [7416] = 7398,
  [7417] = 6776,
  [7418] = 7418,
  [7419] = 7419,
  [7420] = 6784,
  [7421] = 6773,
  [7422] = 7422,
  [7423] = 7391,
  [7424] = 7424,
  [7425] = 6775,
  [7426] = 7399,
  [7427] = 6757,
  [7428] = 7389,
  [7429] = 6777,
  [7430] = 6785,
  [7431] = 6785,
  [7432] = 7398,
  [7433] = 3002,
  [7434] = 2379,
  [7435] = 6780,
  [7436] = 7436,
  [7437] = 2385,
  [7438] = 7438,
  [7439] = 6773,
  [7440] = 7398,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7441,
  [7444] = 7444,
  [7445] = 7445,
  [7446] = 7442,
  [7447] = 7447,
  [7448] = 7448,
  [7449] = 7442,
  [7450] = 7450,
  [7451] = 7441,
  [7452] = 7452,
  [7453] = 2847,
  [7454] = 7442,
  [7455] = 7445,
  [7456] = 7444,
  [7457] = 7445,
  [7458] = 7458,
  [7459] = 7444,
  [7460] = 7445,
  [7461] = 7444,
  [7462] = 7442,
  [7463] = 7366,
  [7464] = 7354,
  [7465] = 7465,
  [7466] = 7441,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 7469,
  [7470] = 7470,
  [7471] = 7441,
  [7472] = 7097,
  [7473] = 2847,
  [7474] = 7442,
  [7475] = 7475,
  [7476] = 7441,
  [7477] = 7477,
  [7478] = 7069,
  [7479] = 7444,
  [7480] = 7444,
  [7481] = 7445,
  [7482] = 7445,
  [7483] = 7483,
  [7484] = 2519,
  [7485] = 7445,
  [7486] = 7486,
  [7487] = 7444,
  [7488] = 7385,
  [7489] = 7442,
  [7490] = 7490,
  [7491] = 7099,
  [7492] = 7492,
  [7493] = 7444,
  [7494] = 7441,
  [7495] = 7445,
  [7496] = 7496,
  [7497] = 7442,
  [7498] = 7442,
  [7499] = 7445,
  [7500] = 7492,
  [7501] = 7444,
  [7502] = 7467,
  [7503] = 7441,
  [7504] = 7441,
  [7505] = 6777,
  [7506] = 7506,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7509,
  [7510] = 2847,
  [7511] = 2580,
  [7512] = 7512,
  [7513] = 7513,
  [7514] = 7514,
  [7515] = 7515,
  [7516] = 7516,
  [7517] = 7517,
  [7518] = 7507,
  [7519] = 7418,
  [7520] = 7509,
  [7521] = 7521,
  [7522] = 7506,
  [7523] = 7506,
  [7524] = 7521,
  [7525] = 7525,
  [7526] = 7515,
  [7527] = 7527,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7517,
  [7531] = 7515,
  [7532] = 7532,
  [7533] = 7508,
  [7534] = 7521,
  [7535] = 7508,
  [7536] = 7536,
  [7537] = 6775,
  [7538] = 6757,
  [7539] = 7527,
  [7540] = 7506,
  [7541] = 7541,
  [7542] = 7512,
  [7543] = 6776,
  [7544] = 7516,
  [7545] = 7521,
  [7546] = 7546,
  [7547] = 2847,
  [7548] = 7525,
  [7549] = 7549,
  [7550] = 7521,
  [7551] = 7516,
  [7552] = 7525,
  [7553] = 7516,
  [7554] = 7541,
  [7555] = 7525,
  [7556] = 7514,
  [7557] = 7527,
  [7558] = 7527,
  [7559] = 7549,
  [7560] = 7560,
  [7561] = 7506,
  [7562] = 6785,
  [7563] = 7512,
  [7564] = 7564,
  [7565] = 7515,
  [7566] = 6780,
  [7567] = 7567,
  [7568] = 7512,
  [7569] = 6773,
  [7570] = 7508,
  [7571] = 7521,
  [7572] = 6784,
  [7573] = 7549,
  [7574] = 7514,
  [7575] = 7549,
  [7576] = 7514,
  [7577] = 7577,
  [7578] = 7578,
  [7579] = 7579,
  [7580] = 7580,
  [7581] = 7581,
  [7582] = 7582,
  [7583] = 7583,
  [7584] = 7584,
  [7585] = 7585,
  [7586] = 7586,
  [7587] = 7578,
  [7588] = 7585,
  [7589] = 7578,
  [7590] = 7590,
  [7591] = 7591,
  [7592] = 7584,
  [7593] = 7585,
  [7594] = 7594,
  [7595] = 7595,
  [7596] = 7595,
  [7597] = 7578,
  [7598] = 7598,
  [7599] = 7599,
  [7600] = 7600,
  [7601] = 7601,
  [7602] = 7584,
  [7603] = 7600,
  [7604] = 7591,
  [7605] = 7585,
  [7606] = 7606,
  [7607] = 7598,
  [7608] = 7608,
  [7609] = 7578,
  [7610] = 7601,
  [7611] = 7611,
  [7612] = 7584,
  [7613] = 7458,
  [7614] = 7585,
  [7615] = 7615,
  [7616] = 7585,
  [7617] = 7617,
  [7618] = 7618,
  [7619] = 7584,
  [7620] = 7578,
  [7621] = 7606,
  [7622] = 7600,
  [7623] = 7584,
  [7624] = 7578,
  [7625] = 7625,
  [7626] = 7585,
  [7627] = 7627,
  [7628] = 7608,
  [7629] = 7606,
  [7630] = 7625,
  [7631] = 7631,
  [7632] = 7595,
  [7633] = 7586,
  [7634] = 7634,
  [7635] = 7578,
  [7636] = 7634,
  [7637] = 7637,
  [7638] = 7615,
  [7639] = 7627,
  [7640] = 7584,
  [7641] = 7583,
  [7642] = 7642,
  [7643] = 7585,
  [7644] = 7578,
  [7645] = 7608,
  [7646] = 7584,
  [7647] = 7586,
  [7648] = 7585,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7634,
  [7652] = 7652,
  [7653] = 7617,
  [7654] = 7585,
  [7655] = 7585,
  [7656] = 7617,
  [7657] = 7577,
  [7658] = 7578,
  [7659] = 7584,
  [7660] = 7591,
  [7661] = 7661,
  [7662] = 7578,
  [7663] = 7601,
  [7664] = 7591,
  [7665] = 7577,
  [7666] = 7579,
  [7667] = 7580,
  [7668] = 7584,
  [7669] = 7591,
  [7670] = 7583,
  [7671] = 7580,
  [7672] = 7579,
  [7673] = 7582,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7625,
  [7677] = 7677,
  [7678] = 7615,
  [7679] = 7617,
  [7680] = 7585,
  [7681] = 7617,
  [7682] = 7580,
  [7683] = 7578,
  [7684] = 7631,
  [7685] = 7627,
  [7686] = 7577,
  [7687] = 7687,
  [7688] = 7582,
  [7689] = 7582,
  [7690] = 7578,
  [7691] = 7595,
  [7692] = 7627,
  [7693] = 7582,
  [7694] = 7625,
  [7695] = 7578,
  [7696] = 7580,
  [7697] = 7601,
  [7698] = 7584,
  [7699] = 7585,
  [7700] = 7584,
  [7701] = 7601,
  [7702] = 7582,
  [7703] = 7703,
  [7704] = 7704,
  [7705] = 7586,
  [7706] = 7591,
  [7707] = 7591,
  [7708] = 7584,
  [7709] = 7585,
  [7710] = 7617,
  [7711] = 7634,
  [7712] = 7580,
  [7713] = 7615,
  [7714] = 7601,
  [7715] = 7580,
  [7716] = 7634,
  [7717] = 7615,
  [7718] = 7577,
  [7719] = 7608,
  [7720] = 7720,
  [7721] = 7595,
  [7722] = 7586,
  [7723] = 7578,
  [7724] = 7582,
  [7725] = 7606,
  [7726] = 7608,
  [7727] = 7585,
  [7728] = 7598,
  [7729] = 7583,
  [7730] = 7585,
  [7731] = 7617,
  [7732] = 7617,
  [7733] = 7606,
  [7734] = 7627,
  [7735] = 7631,
  [7736] = 7736,
  [7737] = 7595,
  [7738] = 7675,
  [7739] = 7579,
  [7740] = 7577,
  [7741] = 7600,
  [7742] = 7742,
  [7743] = 7608,
  [7744] = 7606,
  [7745] = 7634,
  [7746] = 7627,
  [7747] = 7747,
  [7748] = 7634,
  [7749] = 7595,
  [7750] = 7578,
  [7751] = 7577,
  [7752] = 7752,
  [7753] = 7579,
  [7754] = 7583,
  [7755] = 7617,
  [7756] = 7631,
  [7757] = 7580,
  [7758] = 7631,
  [7759] = 7584,
  [7760] = 7631,
  [7761] = 7617,
  [7762] = 7585,
  [7763] = 7582,
  [7764] = 7627,
  [7765] = 7582,
  [7766] = 7583,
  [7767] = 7577,
  [7768] = 7598,
  [7769] = 7578,
  [7770] = 7615,
  [7771] = 7625,
  [7772] = 7600,
  [7773] = 7600,
  [7774] = 7675,
  [7775] = 7615,
  [7776] = 7591,
  [7777] = 7600,
  [7778] = 7631,
  [7779] = 7583,
  [7780] = 7601,
  [7781] = 7634,
  [7782] = 7578,
  [7783] = 7579,
  [7784] = 7784,
  [7785] = 7586,
  [7786] = 7627,
  [7787] = 7787,
  [7788] = 7606,
  [7789] = 7601,
  [7790] = 7585,
  [7791] = 7608,
  [7792] = 7617,
  [7793] = 7793,
  [7794] = 7634,
  [7795] = 7591,
  [7796] = 7580,
  [7797] = 7797,
  [7798] = 7578,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7582,
  [7802] = 7634,
  [7803] = 7598,
  [7804] = 7631,
  [7805] = 7634,
  [7806] = 7578,
  [7807] = 7600,
  [7808] = 7625,
  [7809] = 7617,
  [7810] = 7615,
  [7811] = 7585,
  [7812] = 7675,
  [7813] = 7583,
  [7814] = 7584,
  [7815] = 7815,
  [7816] = 7579,
  [7817] = 7675,
  [7818] = 7627,
  [7819] = 7584,
  [7820] = 7608,
  [7821] = 7634,
  [7822] = 7606,
  [7823] = 7617,
  [7824] = 7585,
  [7825] = 7625,
  [7826] = 7595,
  [7827] = 7827,
  [7828] = 7580,
  [7829] = 7601,
  [7830] = 7615,
  [7831] = 7586,
  [7832] = 7579,
  [7833] = 7601,
  [7834] = 7577,
  [7835] = 7615,
  [7836] = 7584,
  [7837] = 7582,
  [7838] = 7634,
  [7839] = 7591,
  [7840] = 7591,
  [7841] = 7625,
  [7842] = 7842,
  [7843] = 7579,
  [7844] = 7591,
  [7845] = 7601,
  [7846] = 7625,
  [7847] = 7625,
  [7848] = 7585,
  [7849] = 7577,
  [7850] = 7617,
  [7851] = 7851,
  [7852] = 7634,
  [7853] = 7675,
  [7854] = 7595,
  [7855] = 7855,
  [7856] = 7631,
  [7857] = 7582,
  [7858] = 7595,
  [7859] = 7606,
  [7860] = 7582,
  [7861] = 7625,
  [7862] = 7580,
  [7863] = 7606,
  [7864] = 7608,
  [7865] = 7675,
  [7866] = 7584,
  [7867] = 7608,
  [7868] = 7615,
  [7869] = 7869,
  [7870] = 7870,
  [7871] = 7586,
  [7872] = 7606,
  [7873] = 7584,
  [7874] = 7577,
  [7875] = 7595,
  [7876] = 7579,
  [7877] = 6710,
  [7878] = 7578,
  [7879] = 7577,
  [7880] = 7608,
  [7881] = 7586,
  [7882] = 7582,
  [7883] = 7595,
  [7884] = 7600,
  [7885] = 7579,
  [7886] = 7886,
  [7887] = 7887,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 7893,
  [7894] = 7894,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 7899,
  [7900] = 7900,
  [7901] = 7901,
  [7902] = 7902,
  [7903] = 7903,
  [7904] = 7904,
  [7905] = 7905,
  [7906] = 7906,
  [7907] = 7907,
  [7908] = 7908,
  [7909] = 7888,
  [7910] = 7910,
  [7911] = 7910,
  [7912] = 7889,
  [7913] = 7890,
  [7914] = 7891,
  [7915] = 7891,
  [7916] = 7890,
  [7917] = 7889,
  [7918] = 7888,
  [7919] = 7908,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 7905,
  [7923] = 7894,
  [7924] = 7924,
  [7925] = 7895,
  [7926] = 7920,
  [7927] = 7927,
  [7928] = 7928,
  [7929] = 7929,
  [7930] = 7902,
  [7931] = 7931,
  [7932] = 7932,
  [7933] = 7901,
  [7934] = 7900,
  [7935] = 7935,
  [7936] = 7886,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 7907,
  [7941] = 7892,
  [7942] = 7910,
  [7943] = 7892,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7928,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7929,
  [7950] = 7950,
  [7951] = 7908,
  [7952] = 7889,
  [7953] = 7895,
  [7954] = 7954,
  [7955] = 7898,
  [7956] = 7890,
  [7957] = 7957,
  [7958] = 7904,
  [7959] = 7927,
  [7960] = 7960,
  [7961] = 7904,
  [7962] = 7962,
  [7963] = 7927,
  [7964] = 7964,
  [7965] = 7965,
  [7966] = 7966,
  [7967] = 7931,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 7970,
  [7971] = 7950,
  [7972] = 7905,
  [7973] = 7888,
  [7974] = 7905,
  [7975] = 7968,
  [7976] = 7894,
  [7977] = 7908,
  [7978] = 7965,
  [7979] = 7932,
  [7980] = 7968,
  [7981] = 7964,
  [7982] = 7982,
  [7983] = 7894,
  [7984] = 7928,
  [7985] = 7902,
  [7986] = 7986,
  [7987] = 7901,
  [7988] = 7900,
  [7989] = 7950,
  [7990] = 7929,
  [7991] = 7920,
  [7992] = 7893,
  [7993] = 7970,
  [7994] = 7994,
  [7995] = 7895,
  [7996] = 7920,
  [7997] = 7900,
  [7998] = 7901,
  [7999] = 7902,
  [8000] = 8000,
  [8001] = 7908,
  [8002] = 8002,
  [8003] = 7965,
  [8004] = 7893,
  [8005] = 7893,
  [8006] = 7928,
  [8007] = 7929,
  [8008] = 7889,
  [8009] = 7892,
  [8010] = 7889,
  [8011] = 7888,
  [8012] = 7908,
  [8013] = 7944,
  [8014] = 8014,
  [8015] = 7945,
  [8016] = 7894,
  [8017] = 7928,
  [8018] = 7929,
  [8019] = 8019,
  [8020] = 7931,
  [8021] = 7965,
  [8022] = 7928,
  [8023] = 7954,
  [8024] = 8024,
  [8025] = 7957,
  [8026] = 7932,
  [8027] = 7902,
  [8028] = 7920,
  [8029] = 7901,
  [8030] = 7904,
  [8031] = 7927,
  [8032] = 7890,
  [8033] = 7893,
  [8034] = 7886,
  [8035] = 7891,
  [8036] = 7886,
  [8037] = 7899,
  [8038] = 7899,
  [8039] = 8039,
  [8040] = 7891,
  [8041] = 7945,
  [8042] = 8042,
  [8043] = 7905,
  [8044] = 7900,
  [8045] = 7970,
  [8046] = 8046,
  [8047] = 266,
  [8048] = 7968,
  [8049] = 8049,
  [8050] = 8050,
  [8051] = 7907,
  [8052] = 7910,
  [8053] = 8053,
  [8054] = 7931,
  [8055] = 7950,
  [8056] = 8056,
  [8057] = 7932,
  [8058] = 8058,
  [8059] = 8024,
  [8060] = 8053,
  [8061] = 7927,
  [8062] = 7904,
  [8063] = 7968,
  [8064] = 8064,
  [8065] = 7888,
  [8066] = 7920,
  [8067] = 7931,
  [8068] = 8068,
  [8069] = 7905,
  [8070] = 7932,
  [8071] = 7899,
  [8072] = 7965,
  [8073] = 8024,
  [8074] = 8039,
  [8075] = 7964,
  [8076] = 7932,
  [8077] = 7931,
  [8078] = 7950,
  [8079] = 7893,
  [8080] = 7891,
  [8081] = 7929,
  [8082] = 7928,
  [8083] = 7886,
  [8084] = 7899,
  [8085] = 7944,
  [8086] = 7920,
  [8087] = 7895,
  [8088] = 7902,
  [8089] = 7894,
  [8090] = 7895,
  [8091] = 7969,
  [8092] = 7945,
  [8093] = 8024,
  [8094] = 7889,
  [8095] = 7888,
  [8096] = 7908,
  [8097] = 8024,
  [8098] = 8098,
  [8099] = 7908,
  [8100] = 7888,
  [8101] = 7945,
  [8102] = 7889,
  [8103] = 8103,
  [8104] = 7890,
  [8105] = 7891,
  [8106] = 8106,
  [8107] = 8024,
  [8108] = 7901,
  [8109] = 7900,
  [8110] = 7907,
  [8111] = 7960,
  [8112] = 7898,
  [8113] = 7964,
  [8114] = 7907,
  [8115] = 7965,
  [8116] = 8116,
  [8117] = 8117,
  [8118] = 7910,
  [8119] = 7965,
  [8120] = 8120,
  [8121] = 8121,
  [8122] = 8039,
  [8123] = 2847,
  [8124] = 8124,
  [8125] = 7905,
  [8126] = 8103,
  [8127] = 8127,
  [8128] = 7893,
  [8129] = 7902,
  [8130] = 7968,
  [8131] = 7901,
  [8132] = 7900,
  [8133] = 7886,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 7944,
  [8137] = 8137,
  [8138] = 7968,
  [8139] = 7910,
  [8140] = 8039,
  [8141] = 7902,
  [8142] = 7968,
  [8143] = 7944,
  [8144] = 7899,
  [8145] = 7886,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 7954,
  [8149] = 7901,
  [8150] = 8150,
  [8151] = 7945,
  [8152] = 7893,
  [8153] = 7893,
  [8154] = 7892,
  [8155] = 7950,
  [8156] = 7899,
  [8157] = 7970,
  [8158] = 7957,
  [8159] = 7932,
  [8160] = 7945,
  [8161] = 7927,
  [8162] = 7931,
  [8163] = 7889,
  [8164] = 7888,
  [8165] = 7908,
  [8166] = 7944,
  [8167] = 7904,
  [8168] = 7950,
  [8169] = 7929,
  [8170] = 7928,
  [8171] = 7954,
  [8172] = 7900,
  [8173] = 8173,
  [8174] = 8039,
  [8175] = 7920,
  [8176] = 8176,
  [8177] = 8177,
  [8178] = 7954,
  [8179] = 7929,
  [8180] = 7904,
  [8181] = 7954,
  [8182] = 8182,
  [8183] = 7968,
  [8184] = 7927,
  [8185] = 7945,
  [8186] = 7957,
  [8187] = 7968,
  [8188] = 7893,
  [8189] = 7889,
  [8190] = 7888,
  [8191] = 7908,
  [8192] = 8192,
  [8193] = 7892,
  [8194] = 7950,
  [8195] = 8195,
  [8196] = 7968,
  [8197] = 270,
  [8198] = 8198,
  [8199] = 7945,
  [8200] = 7907,
  [8201] = 7954,
  [8202] = 7968,
  [8203] = 7895,
  [8204] = 7965,
  [8205] = 7893,
  [8206] = 7960,
  [8207] = 7968,
  [8208] = 7957,
  [8209] = 7920,
  [8210] = 7898,
  [8211] = 8024,
  [8212] = 7893,
  [8213] = 7889,
  [8214] = 7888,
  [8215] = 7908,
  [8216] = 8216,
  [8217] = 7894,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 7960,
  [8221] = 7910,
  [8222] = 7890,
  [8223] = 7385,
  [8224] = 7908,
  [8225] = 8225,
  [8226] = 7888,
  [8227] = 8024,
  [8228] = 8228,
  [8229] = 7968,
  [8230] = 7889,
  [8231] = 8231,
  [8232] = 7900,
  [8233] = 7893,
  [8234] = 7889,
  [8235] = 7888,
  [8236] = 7908,
  [8237] = 7901,
  [8238] = 7902,
  [8239] = 7904,
  [8240] = 8240,
  [8241] = 7889,
  [8242] = 7890,
  [8243] = 7891,
  [8244] = 7905,
  [8245] = 7927,
  [8246] = 8246,
  [8247] = 7895,
  [8248] = 8248,
  [8249] = 7910,
  [8250] = 7968,
  [8251] = 8251,
  [8252] = 8252,
  [8253] = 7907,
  [8254] = 7893,
  [8255] = 7889,
  [8256] = 7888,
  [8257] = 7908,
  [8258] = 7891,
  [8259] = 7890,
  [8260] = 7968,
  [8261] = 8261,
  [8262] = 7894,
  [8263] = 7950,
  [8264] = 7927,
  [8265] = 7892,
  [8266] = 7907,
  [8267] = 8024,
  [8268] = 7904,
  [8269] = 7889,
  [8270] = 7888,
  [8271] = 7968,
  [8272] = 8272,
  [8273] = 7908,
  [8274] = 7893,
  [8275] = 7889,
  [8276] = 7888,
  [8277] = 7908,
  [8278] = 7932,
  [8279] = 7931,
  [8280] = 8280,
  [8281] = 7910,
  [8282] = 7945,
  [8283] = 7886,
  [8284] = 7888,
  [8285] = 7894,
  [8286] = 8286,
  [8287] = 7965,
  [8288] = 7969,
  [8289] = 7945,
  [8290] = 7893,
  [8291] = 7968,
  [8292] = 7894,
  [8293] = 7960,
  [8294] = 7893,
  [8295] = 7889,
  [8296] = 7888,
  [8297] = 7908,
  [8298] = 7908,
  [8299] = 7895,
  [8300] = 8300,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8303,
  [8304] = 7950,
  [8305] = 7945,
  [8306] = 7945,
  [8307] = 8307,
  [8308] = 7905,
  [8309] = 7899,
  [8310] = 7964,
  [8311] = 7968,
  [8312] = 7886,
  [8313] = 7893,
  [8314] = 7889,
  [8315] = 7888,
  [8316] = 7908,
  [8317] = 7892,
  [8318] = 7902,
  [8319] = 7901,
  [8320] = 8320,
  [8321] = 7968,
  [8322] = 7932,
  [8323] = 7900,
  [8324] = 7931,
  [8325] = 7968,
  [8326] = 8326,
  [8327] = 7893,
  [8328] = 7929,
  [8329] = 7892,
  [8330] = 7965,
  [8331] = 7945,
  [8332] = 7928,
  [8333] = 8333,
  [8334] = 7954,
  [8335] = 8335,
  [8336] = 7944,
  [8337] = 8337,
  [8338] = 8338,
  [8339] = 8339,
  [8340] = 8340,
  [8341] = 8341,
  [8342] = 8338,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 8347,
  [8348] = 8348,
  [8349] = 8349,
  [8350] = 8349,
  [8351] = 8349,
  [8352] = 8349,
  [8353] = 8349,
  [8354] = 8354,
  [8355] = 8349,
  [8356] = 8349,
  [8357] = 8349,
  [8358] = 8349,
  [8359] = 8349,
  [8360] = 8349,
  [8361] = 8344,
  [8362] = 8362,
  [8363] = 8349,
  [8364] = 8364,
  [8365] = 8365,
  [8366] = 8349,
  [8367] = 8367,
  [8368] = 8368,
  [8369] = 8347,
  [8370] = 8370,
  [8371] = 8371,
  [8372] = 8349,
  [8373] = 8349,
  [8374] = 8337,
  [8375] = 8375,
  [8376] = 8376,
  [8377] = 8349,
  [8378] = 8347,
  [8379] = 8362,
  [8380] = 8380,
  [8381] = 8367,
  [8382] = 8382,
  [8383] = 8383,
  [8384] = 8347,
  [8385] = 8339,
  [8386] = 8349,
  [8387] = 8387,
  [8388] = 8388,
  [8389] = 8347,
  [8390] = 8346,
  [8391] = 8364,
  [8392] = 8348,
  [8393] = 8393,
  [8394] = 8368,
  [8395] = 8354,
  [8396] = 8383,
  [8397] = 8397,
  [8398] = 8364,
  [8399] = 8349,
  [8400] = 2957,
  [8401] = 8401,
  [8402] = 8397,
  [8403] = 8338,
  [8404] = 2967,
  [8405] = 8405,
  [8406] = 8380,
  [8407] = 8368,
  [8408] = 8368,
  [8409] = 8376,
  [8410] = 8380,
  [8411] = 8362,
  [8412] = 8412,
  [8413] = 8347,
  [8414] = 8414,
  [8415] = 8370,
  [8416] = 2936,
  [8417] = 8370,
  [8418] = 8418,
  [8419] = 8419,
  [8420] = 8364,
  [8421] = 8349,
  [8422] = 8414,
  [8423] = 8345,
  [8424] = 8424,
  [8425] = 8425,
  [8426] = 8348,
  [8427] = 8412,
  [8428] = 8419,
  [8429] = 8341,
  [8430] = 8368,
  [8431] = 8397,
  [8432] = 8432,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 8435,
  [8436] = 8397,
  [8437] = 8401,
  [8438] = 8438,
  [8439] = 8439,
  [8440] = 8341,
  [8441] = 8441,
  [8442] = 8348,
  [8443] = 8340,
  [8444] = 8419,
  [8445] = 8364,
  [8446] = 8370,
  [8447] = 8367,
  [8448] = 8365,
  [8449] = 8340,
  [8450] = 8380,
  [8451] = 8362,
  [8452] = 8338,
  [8453] = 8453,
  [8454] = 8344,
  [8455] = 8376,
  [8456] = 8368,
  [8457] = 8345,
  [8458] = 8380,
  [8459] = 8347,
  [8460] = 8338,
  [8461] = 8370,
  [8462] = 8362,
  [8463] = 8370,
  [8464] = 8347,
  [8465] = 8337,
  [8466] = 8364,
  [8467] = 8405,
  [8468] = 8376,
  [8469] = 8362,
  [8470] = 8380,
  [8471] = 8397,
  [8472] = 8388,
  [8473] = 8439,
  [8474] = 8393,
  [8475] = 8412,
  [8476] = 8368,
  [8477] = 8401,
  [8478] = 8397,
  [8479] = 8397,
  [8480] = 8368,
  [8481] = 8412,
  [8482] = 8414,
  [8483] = 8418,
  [8484] = 8424,
  [8485] = 2946,
  [8486] = 2945,
  [8487] = 8418,
  [8488] = 8341,
  [8489] = 8380,
  [8490] = 8362,
  [8491] = 8347,
  [8492] = 8419,
  [8493] = 8376,
  [8494] = 8364,
  [8495] = 8495,
  [8496] = 8370,
  [8497] = 8347,
  [8498] = 8375,
  [8499] = 8338,
  [8500] = 8365,
  [8501] = 2899,
  [8502] = 8370,
  [8503] = 8393,
  [8504] = 2898,
  [8505] = 8364,
  [8506] = 8340,
  [8507] = 8338,
  [8508] = 8508,
  [8509] = 8509,
  [8510] = 8344,
  [8511] = 8364,
  [8512] = 2873,
  [8513] = 2874,
  [8514] = 8371,
  [8515] = 8345,
  [8516] = 8347,
  [8517] = 8371,
  [8518] = 8376,
  [8519] = 8438,
  [8520] = 8362,
  [8521] = 8371,
  [8522] = 8380,
  [8523] = 8354,
  [8524] = 8412,
  [8525] = 8368,
  [8526] = 8526,
  [8527] = 8388,
  [8528] = 8453,
  [8529] = 8529,
  [8530] = 8393,
  [8531] = 8393,
  [8532] = 8438,
  [8533] = 8424,
  [8534] = 8401,
  [8535] = 8383,
  [8536] = 8397,
  [8537] = 8371,
  [8538] = 8368,
  [8539] = 8354,
  [8540] = 8412,
  [8541] = 8339,
  [8542] = 8380,
  [8543] = 8543,
  [8544] = 8362,
  [8545] = 8453,
  [8546] = 8376,
  [8547] = 8418,
  [8548] = 8548,
  [8549] = 8347,
  [8550] = 8345,
  [8551] = 8551,
  [8552] = 8344,
  [8553] = 8338,
  [8554] = 8438,
  [8555] = 8370,
  [8556] = 8424,
  [8557] = 8383,
  [8558] = 8414,
  [8559] = 8371,
  [8560] = 8560,
  [8561] = 8354,
  [8562] = 8339,
  [8563] = 8364,
  [8564] = 8439,
  [8565] = 8453,
  [8566] = 2876,
  [8567] = 8341,
  [8568] = 8453,
  [8569] = 8569,
  [8570] = 8570,
  [8571] = 8388,
  [8572] = 8341,
  [8573] = 8438,
  [8574] = 8371,
  [8575] = 8419,
  [8576] = 8383,
  [8577] = 8364,
  [8578] = 8371,
  [8579] = 8354,
  [8580] = 8339,
  [8581] = 8370,
  [8582] = 8412,
  [8583] = 8365,
  [8584] = 8368,
  [8585] = 8439,
  [8586] = 8453,
  [8587] = 8397,
  [8588] = 8375,
  [8589] = 8393,
  [8590] = 8438,
  [8591] = 8340,
  [8592] = 8432,
  [8593] = 8338,
  [8594] = 8594,
  [8595] = 8344,
  [8596] = 8383,
  [8597] = 8345,
  [8598] = 8347,
  [8599] = 8380,
  [8600] = 8362,
  [8601] = 8337,
  [8602] = 8337,
  [8603] = 8375,
  [8604] = 8371,
  [8605] = 8376,
  [8606] = 8376,
  [8607] = 8380,
  [8608] = 8354,
  [8609] = 8609,
  [8610] = 8347,
  [8611] = 8345,
  [8612] = 8346,
  [8613] = 8339,
  [8614] = 8344,
  [8615] = 8338,
  [8616] = 8364,
  [8617] = 8388,
  [8618] = 8370,
  [8619] = 8439,
  [8620] = 8393,
  [8621] = 8347,
  [8622] = 8453,
  [8623] = 8388,
  [8624] = 8401,
  [8625] = 8376,
  [8626] = 8397,
  [8627] = 8438,
  [8628] = 8432,
  [8629] = 8368,
  [8630] = 8630,
  [8631] = 8364,
  [8632] = 8362,
  [8633] = 8419,
  [8634] = 8634,
  [8635] = 8383,
  [8636] = 8636,
  [8637] = 8341,
  [8638] = 8412,
  [8639] = 8414,
  [8640] = 8418,
  [8641] = 8367,
  [8642] = 8375,
  [8643] = 8371,
  [8644] = 8424,
  [8645] = 8354,
  [8646] = 8348,
  [8647] = 8424,
  [8648] = 8346,
  [8649] = 8649,
  [8650] = 8650,
  [8651] = 8651,
  [8652] = 8438,
  [8653] = 8653,
  [8654] = 8339,
  [8655] = 8341,
  [8656] = 8412,
  [8657] = 8419,
  [8658] = 8368,
  [8659] = 8364,
  [8660] = 8439,
  [8661] = 8397,
  [8662] = 8401,
  [8663] = 8663,
  [8664] = 8453,
  [8665] = 8393,
  [8666] = 8370,
  [8667] = 8667,
  [8668] = 8365,
  [8669] = 8438,
  [8670] = 8432,
  [8671] = 8671,
  [8672] = 8672,
  [8673] = 8370,
  [8674] = 8339,
  [8675] = 8675,
  [8676] = 8383,
  [8677] = 8346,
  [8678] = 8678,
  [8679] = 8348,
  [8680] = 8344,
  [8681] = 8681,
  [8682] = 8682,
  [8683] = 8367,
  [8684] = 8354,
  [8685] = 8345,
  [8686] = 8380,
  [8687] = 8362,
  [8688] = 8367,
  [8689] = 8375,
  [8690] = 8376,
  [8691] = 8364,
  [8692] = 8371,
  [8693] = 8347,
  [8694] = 8364,
  [8695] = 8376,
  [8696] = 8365,
  [8697] = 8371,
  [8698] = 8375,
  [8699] = 8367,
  [8700] = 8347,
  [8701] = 8345,
  [8702] = 8362,
  [8703] = 8344,
  [8704] = 8380,
  [8705] = 8338,
  [8706] = 8354,
  [8707] = 8348,
  [8708] = 8362,
  [8709] = 8346,
  [8710] = 8383,
  [8711] = 8370,
  [8712] = 8339,
  [8713] = 8380,
  [8714] = 8714,
  [8715] = 8347,
  [8716] = 8364,
  [8717] = 8393,
  [8718] = 8401,
  [8719] = 8397,
  [8720] = 8368,
  [8721] = 8721,
  [8722] = 8432,
  [8723] = 8412,
  [8724] = 8364,
  [8725] = 8438,
  [8726] = 8419,
  [8727] = 8727,
  [8728] = 8728,
  [8729] = 8341,
  [8730] = 8453,
  [8731] = 8432,
  [8732] = 8439,
  [8733] = 8733,
  [8734] = 8734,
  [8735] = 8424,
  [8736] = 8736,
  [8737] = 8737,
  [8738] = 8738,
  [8739] = 8739,
  [8740] = 8740,
  [8741] = 8741,
  [8742] = 8742,
  [8743] = 8743,
  [8744] = 8744,
  [8745] = 8736,
  [8746] = 8746,
  [8747] = 8747,
  [8748] = 8748,
  [8749] = 8749,
  [8750] = 8750,
  [8751] = 8751,
  [8752] = 8752,
  [8753] = 8753,
  [8754] = 8754,
  [8755] = 8755,
  [8756] = 8756,
  [8757] = 8757,
  [8758] = 8758,
  [8759] = 8759,
  [8760] = 8760,
  [8761] = 8759,
  [8762] = 8762,
  [8763] = 8763,
  [8764] = 8742,
  [8765] = 8765,
  [8766] = 8766,
  [8767] = 8767,
  [8768] = 8768,
  [8769] = 8740,
  [8770] = 8770,
  [8771] = 8771,
  [8772] = 8772,
  [8773] = 8773,
  [8774] = 8774,
  [8775] = 8757,
  [8776] = 8776,
  [8777] = 8777,
  [8778] = 8753,
  [8779] = 8779,
  [8780] = 8780,
  [8781] = 8781,
  [8782] = 8782,
  [8783] = 8783,
  [8784] = 8784,
  [8785] = 8785,
  [8786] = 8786,
  [8787] = 8787,
  [8788] = 8788,
  [8789] = 8789,
  [8790] = 8790,
  [8791] = 8791,
  [8792] = 8792,
  [8793] = 8793,
  [8794] = 8794,
  [8795] = 8795,
  [8796] = 8766,
  [8797] = 8758,
  [8798] = 8743,
  [8799] = 8799,
  [8800] = 8800,
  [8801] = 8801,
  [8802] = 8802,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8807,
  [8808] = 8808,
  [8809] = 8806,
  [8810] = 8810,
  [8811] = 8811,
  [8812] = 8812,
  [8813] = 8803,
  [8814] = 8736,
  [8815] = 8804,
  [8816] = 8743,
  [8817] = 8805,
  [8818] = 8758,
  [8819] = 8739,
  [8820] = 8792,
  [8821] = 8821,
  [8822] = 8822,
  [8823] = 8791,
  [8824] = 8793,
  [8825] = 8825,
  [8826] = 8826,
  [8827] = 8801,
  [8828] = 8828,
  [8829] = 8774,
  [8830] = 8800,
  [8831] = 8784,
  [8832] = 8788,
  [8833] = 8740,
  [8834] = 8742,
  [8835] = 8739,
  [8836] = 8794,
  [8837] = 8787,
  [8838] = 8786,
  [8839] = 8839,
  [8840] = 8785,
  [8841] = 8841,
  [8842] = 8744,
  [8843] = 8780,
  [8844] = 8844,
  [8845] = 8845,
  [8846] = 8792,
  [8847] = 8779,
  [8848] = 8790,
  [8849] = 8849,
  [8850] = 8776,
  [8851] = 8851,
  [8852] = 8852,
  [8853] = 8789,
  [8854] = 8754,
  [8855] = 8749,
  [8856] = 8782,
  [8857] = 8857,
  [8858] = 8781,
  [8859] = 8859,
  [8860] = 8757,
  [8861] = 8777,
  [8862] = 8759,
  [8863] = 8772,
  [8864] = 8771,
  [8865] = 8756,
  [8866] = 8770,
  [8867] = 8867,
  [8868] = 8868,
  [8869] = 8869,
  [8870] = 8870,
  [8871] = 8786,
  [8872] = 8787,
  [8873] = 8873,
  [8874] = 8767,
  [8875] = 8765,
  [8876] = 8807,
  [8877] = 8762,
  [8878] = 8746,
  [8879] = 8736,
  [8880] = 8880,
  [8881] = 8766,
  [8882] = 8746,
  [8883] = 8748,
  [8884] = 8754,
  [8885] = 8752,
  [8886] = 8886,
  [8887] = 8887,
  [8888] = 8804,
  [8889] = 8753,
  [8890] = 8754,
  [8891] = 8791,
  [8892] = 8753,
  [8893] = 8893,
  [8894] = 8752,
  [8895] = 8748,
  [8896] = 8746,
  [8897] = 8736,
  [8898] = 8762,
  [8899] = 8807,
  [8900] = 8765,
  [8901] = 8901,
  [8902] = 7528,
  [8903] = 8774,
  [8904] = 6418,
  [8905] = 8767,
  [8906] = 8793,
  [8907] = 8907,
  [8908] = 8803,
  [8909] = 8768,
  [8910] = 8756,
  [8911] = 8744,
  [8912] = 8772,
  [8913] = 8808,
  [8914] = 8740,
  [8915] = 8742,
  [8916] = 8739,
  [8917] = 8770,
  [8918] = 8781,
  [8919] = 8771,
  [8920] = 8782,
  [8921] = 8921,
  [8922] = 8922,
  [8923] = 8744,
  [8924] = 8924,
  [8925] = 8776,
  [8926] = 8926,
  [8927] = 8927,
  [8928] = 8779,
  [8929] = 8929,
  [8930] = 8780,
  [8931] = 8931,
  [8932] = 8785,
  [8933] = 8749,
  [8934] = 8788,
  [8935] = 8935,
  [8936] = 8757,
  [8937] = 8791,
  [8938] = 8759,
  [8939] = 8792,
  [8940] = 8786,
  [8941] = 8758,
  [8942] = 8801,
  [8943] = 8943,
  [8944] = 8805,
  [8945] = 8766,
  [8946] = 8743,
  [8947] = 8806,
  [8948] = 8808,
  [8949] = 8800,
  [8950] = 8803,
  [8951] = 8804,
  [8952] = 8792,
  [8953] = 8953,
  [8954] = 8808,
  [8955] = 8808,
  [8956] = 8803,
  [8957] = 8957,
  [8958] = 8806,
  [8959] = 8959,
  [8960] = 8960,
  [8961] = 8743,
  [8962] = 8805,
  [8963] = 8758,
  [8964] = 8880,
  [8965] = 8793,
  [8966] = 8966,
  [8967] = 8791,
  [8968] = 8790,
  [8969] = 8788,
  [8970] = 8801,
  [8971] = 8785,
  [8972] = 8739,
  [8973] = 8780,
  [8974] = 8974,
  [8975] = 8975,
  [8976] = 8784,
  [8977] = 8849,
  [8978] = 8744,
  [8979] = 8779,
  [8980] = 8794,
  [8981] = 8776,
  [8982] = 8982,
  [8983] = 8771,
  [8984] = 8984,
  [8985] = 8985,
  [8986] = 8770,
  [8987] = 8749,
  [8988] = 8988,
  [8989] = 8767,
  [8990] = 8757,
  [8991] = 8991,
  [8992] = 8759,
  [8993] = 8790,
  [8994] = 8786,
  [8995] = 8765,
  [8996] = 8849,
  [8997] = 8807,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 8789,
  [9001] = 8762,
  [9002] = 8782,
  [9003] = 8781,
  [9004] = 8777,
  [9005] = 8772,
  [9006] = 8754,
  [9007] = 8756,
  [9008] = 8753,
  [9009] = 9009,
  [9010] = 8793,
  [9011] = 8777,
  [9012] = 8868,
  [9013] = 8748,
  [9014] = 8869,
  [9015] = 8788,
  [9016] = 8739,
  [9017] = 8873,
  [9018] = 8746,
  [9019] = 2068,
  [9020] = 8785,
  [9021] = 8736,
  [9022] = 8744,
  [9023] = 9023,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 8780,
  [9027] = 8752,
  [9028] = 9028,
  [9029] = 9029,
  [9030] = 9030,
  [9031] = 8749,
  [9032] = 8751,
  [9033] = 8750,
  [9034] = 8757,
  [9035] = 8746,
  [9036] = 8759,
  [9037] = 8966,
  [9038] = 8786,
  [9039] = 8756,
  [9040] = 9040,
  [9041] = 8772,
  [9042] = 9042,
  [9043] = 9043,
  [9044] = 9044,
  [9045] = 8777,
  [9046] = 8748,
  [9047] = 8752,
  [9048] = 9048,
  [9049] = 8781,
  [9050] = 9050,
  [9051] = 9051,
  [9052] = 8782,
  [9053] = 9053,
  [9054] = 8793,
  [9055] = 9055,
  [9056] = 8753,
  [9057] = 8754,
  [9058] = 8953,
  [9059] = 8984,
  [9060] = 8739,
  [9061] = 9061,
  [9062] = 9062,
  [9063] = 8801,
  [9064] = 8893,
  [9065] = 8805,
  [9066] = 8744,
  [9067] = 9067,
  [9068] = 8806,
  [9069] = 9069,
  [9070] = 8803,
  [9071] = 8762,
  [9072] = 8807,
  [9073] = 8765,
  [9074] = 8749,
  [9075] = 8789,
  [9076] = 8901,
  [9077] = 8757,
  [9078] = 8792,
  [9079] = 8759,
  [9080] = 8781,
  [9081] = 8786,
  [9082] = 9044,
  [9083] = 8743,
  [9084] = 9084,
  [9085] = 8767,
  [9086] = 8768,
  [9087] = 8792,
  [9088] = 8791,
  [9089] = 9089,
  [9090] = 8770,
  [9091] = 8779,
  [9092] = 8771,
  [9093] = 9093,
  [9094] = 9094,
  [9095] = 8788,
  [9096] = 8793,
  [9097] = 8785,
  [9098] = 8922,
  [9099] = 8924,
  [9100] = 8776,
  [9101] = 8780,
  [9102] = 8779,
  [9103] = 8779,
  [9104] = 8776,
  [9105] = 8744,
  [9106] = 8780,
  [9107] = 8806,
  [9108] = 9042,
  [9109] = 8785,
  [9110] = 8788,
  [9111] = 8771,
  [9112] = 8791,
  [9113] = 8781,
  [9114] = 8757,
  [9115] = 8758,
  [9116] = 8759,
  [9117] = 8743,
  [9118] = 8770,
  [9119] = 8765,
  [9120] = 8807,
  [9121] = 9043,
  [9122] = 8793,
  [9123] = 8826,
  [9124] = 9055,
  [9125] = 8803,
  [9126] = 8744,
  [9127] = 8762,
  [9128] = 8808,
  [9129] = 8759,
  [9130] = 8806,
  [9131] = 9131,
  [9132] = 8753,
  [9133] = 9133,
  [9134] = 8793,
  [9135] = 8752,
  [9136] = 8960,
  [9137] = 8744,
  [9138] = 8893,
  [9139] = 8759,
  [9140] = 8748,
  [9141] = 8746,
  [9142] = 8805,
  [9143] = 8793,
  [9144] = 8744,
  [9145] = 8759,
  [9146] = 8880,
  [9147] = 8744,
  [9148] = 8759,
  [9149] = 8736,
  [9150] = 8744,
  [9151] = 8759,
  [9152] = 8744,
  [9153] = 8759,
  [9154] = 8744,
  [9155] = 8759,
  [9156] = 8744,
  [9157] = 8759,
  [9158] = 8744,
  [9159] = 8759,
  [9160] = 8744,
  [9161] = 8759,
  [9162] = 8772,
  [9163] = 8777,
  [9164] = 8781,
  [9165] = 9165,
  [9166] = 8801,
  [9167] = 9167,
  [9168] = 9168,
  [9169] = 9169,
  [9170] = 8782,
  [9171] = 9171,
  [9172] = 8800,
  [9173] = 9173,
  [9174] = 9174,
  [9175] = 8782,
  [9176] = 8800,
  [9177] = 8777,
  [9178] = 6396,
  [9179] = 8772,
  [9180] = 8772,
  [9181] = 9181,
  [9182] = 8784,
  [9183] = 8794,
  [9184] = 9184,
  [9185] = 9185,
  [9186] = 8759,
  [9187] = 8757,
  [9188] = 9188,
  [9189] = 8790,
  [9190] = 8799,
  [9191] = 8849,
  [9192] = 8763,
  [9193] = 8776,
  [9194] = 8789,
  [9195] = 9195,
  [9196] = 8924,
  [9197] = 9197,
  [9198] = 9198,
  [9199] = 2070,
  [9200] = 9169,
  [9201] = 8782,
  [9202] = 8880,
  [9203] = 8772,
  [9204] = 8777,
  [9205] = 8753,
  [9206] = 9181,
  [9207] = 9207,
  [9208] = 8756,
  [9209] = 9009,
  [9210] = 8806,
  [9211] = 8868,
  [9212] = 8755,
  [9213] = 8743,
  [9214] = 8773,
  [9215] = 8869,
  [9216] = 8873,
  [9217] = 8803,
  [9218] = 8743,
  [9219] = 8779,
  [9220] = 8922,
  [9221] = 9221,
  [9222] = 6433,
  [9223] = 8736,
  [9224] = 8751,
  [9225] = 8750,
  [9226] = 8746,
  [9227] = 8966,
  [9228] = 9040,
  [9229] = 9042,
  [9230] = 9043,
  [9231] = 9231,
  [9232] = 9044,
  [9233] = 8748,
  [9234] = 8752,
  [9235] = 9048,
  [9236] = 8852,
  [9237] = 8975,
  [9238] = 9050,
  [9239] = 9239,
  [9240] = 9051,
  [9241] = 9241,
  [9242] = 9055,
  [9243] = 9243,
  [9244] = 8792,
  [9245] = 8754,
  [9246] = 8953,
  [9247] = 9247,
  [9248] = 8984,
  [9249] = 9249,
  [9250] = 9250,
  [9251] = 8792,
  [9252] = 9252,
  [9253] = 9253,
  [9254] = 8893,
  [9255] = 8749,
  [9256] = 8762,
  [9257] = 8807,
  [9258] = 8765,
  [9259] = 8901,
  [9260] = 8960,
  [9261] = 8780,
  [9262] = 8767,
  [9263] = 9263,
  [9264] = 9264,
  [9265] = 8768,
  [9266] = 9266,
  [9267] = 9051,
  [9268] = 9089,
  [9269] = 8770,
  [9270] = 9270,
  [9271] = 8771,
  [9272] = 9272,
  [9273] = 9273,
  [9274] = 8779,
  [9275] = 9275,
  [9276] = 8922,
  [9277] = 9277,
  [9278] = 8924,
  [9279] = 8776,
  [9280] = 8771,
  [9281] = 8779,
  [9282] = 8780,
  [9283] = 8765,
  [9284] = 8785,
  [9285] = 8788,
  [9286] = 9286,
  [9287] = 8791,
  [9288] = 9288,
  [9289] = 9289,
  [9290] = 9290,
  [9291] = 8758,
  [9292] = 8743,
  [9293] = 8742,
  [9294] = 8740,
  [9295] = 9295,
  [9296] = 8762,
  [9297] = 8748,
  [9298] = 9298,
  [9299] = 8826,
  [9300] = 9300,
  [9301] = 8803,
  [9302] = 9302,
  [9303] = 8808,
  [9304] = 8743,
  [9305] = 9305,
  [9306] = 9306,
  [9307] = 9307,
  [9308] = 8806,
  [9309] = 8772,
  [9310] = 9310,
  [9311] = 8960,
  [9312] = 8777,
  [9313] = 9313,
  [9314] = 8781,
  [9315] = 8782,
  [9316] = 8806,
  [9317] = 9317,
  [9318] = 8805,
  [9319] = 8756,
  [9320] = 9320,
  [9321] = 8743,
  [9322] = 8880,
  [9323] = 9323,
  [9324] = 9324,
  [9325] = 9325,
  [9326] = 9326,
  [9327] = 9327,
  [9328] = 9328,
  [9329] = 9329,
  [9330] = 8801,
  [9331] = 8803,
  [9332] = 9332,
  [9333] = 8789,
  [9334] = 8800,
  [9335] = 9335,
  [9336] = 9336,
  [9337] = 9337,
  [9338] = 9338,
  [9339] = 8784,
  [9340] = 8794,
  [9341] = 9341,
  [9342] = 8762,
  [9343] = 9165,
  [9344] = 9168,
  [9345] = 9171,
  [9346] = 8792,
  [9347] = 9173,
  [9348] = 9348,
  [9349] = 8772,
  [9350] = 8790,
  [9351] = 8849,
  [9352] = 8799,
  [9353] = 9353,
  [9354] = 8763,
  [9355] = 9169,
  [9356] = 8782,
  [9357] = 9009,
  [9358] = 9197,
  [9359] = 9198,
  [9360] = 8880,
  [9361] = 8781,
  [9362] = 8743,
  [9363] = 8773,
  [9364] = 8777,
  [9365] = 8772,
  [9366] = 9181,
  [9367] = 8737,
  [9368] = 8852,
  [9369] = 9369,
  [9370] = 8756,
  [9371] = 9165,
  [9372] = 9171,
  [9373] = 9009,
  [9374] = 9173,
  [9375] = 9375,
  [9376] = 9376,
  [9377] = 8799,
  [9378] = 8868,
  [9379] = 8763,
  [9380] = 8869,
  [9381] = 8744,
  [9382] = 9197,
  [9383] = 9198,
  [9384] = 8873,
  [9385] = 8773,
  [9386] = 9040,
  [9387] = 8780,
  [9388] = 9050,
  [9389] = 8737,
  [9390] = 8852,
  [9391] = 8753,
  [9392] = 9392,
  [9393] = 9165,
  [9394] = 9171,
  [9395] = 9395,
  [9396] = 9173,
  [9397] = 8739,
  [9398] = 8742,
  [9399] = 8799,
  [9400] = 9400,
  [9401] = 8763,
  [9402] = 8748,
  [9403] = 8901,
  [9404] = 9197,
  [9405] = 9198,
  [9406] = 8773,
  [9407] = 9407,
  [9408] = 9408,
  [9409] = 9409,
  [9410] = 8737,
  [9411] = 8852,
  [9412] = 9069,
  [9413] = 9165,
  [9414] = 9171,
  [9415] = 9415,
  [9416] = 9173,
  [9417] = 9417,
  [9418] = 9418,
  [9419] = 8799,
  [9420] = 8763,
  [9421] = 9421,
  [9422] = 8740,
  [9423] = 9197,
  [9424] = 9198,
  [9425] = 8773,
  [9426] = 8771,
  [9427] = 9427,
  [9428] = 9428,
  [9429] = 8737,
  [9430] = 8852,
  [9431] = 9431,
  [9432] = 9165,
  [9433] = 9171,
  [9434] = 8771,
  [9435] = 9173,
  [9436] = 8762,
  [9437] = 8737,
  [9438] = 8763,
  [9439] = 8736,
  [9440] = 8751,
  [9441] = 9197,
  [9442] = 9198,
  [9443] = 8773,
  [9444] = 8750,
  [9445] = 8746,
  [9446] = 8807,
  [9447] = 8737,
  [9448] = 8852,
  [9449] = 8966,
  [9450] = 9165,
  [9451] = 9171,
  [9452] = 9040,
  [9453] = 9173,
  [9454] = 8765,
  [9455] = 9042,
  [9456] = 8763,
  [9457] = 9043,
  [9458] = 9044,
  [9459] = 9197,
  [9460] = 9198,
  [9461] = 8773,
  [9462] = 8762,
  [9463] = 8752,
  [9464] = 9048,
  [9465] = 8737,
  [9466] = 8852,
  [9467] = 8975,
  [9468] = 9165,
  [9469] = 9050,
  [9470] = 9173,
  [9471] = 9051,
  [9472] = 9055,
  [9473] = 9473,
  [9474] = 8873,
  [9475] = 9197,
  [9476] = 9198,
  [9477] = 8753,
  [9478] = 8753,
  [9479] = 8869,
  [9480] = 8737,
  [9481] = 8868,
  [9482] = 9165,
  [9483] = 9173,
  [9484] = 8754,
  [9485] = 9198,
  [9486] = 8953,
  [9487] = 8765,
  [9488] = 8737,
  [9489] = 8774,
  [9490] = 9165,
  [9491] = 9173,
  [9492] = 8984,
  [9493] = 9198,
  [9494] = 8748,
  [9495] = 8737,
  [9496] = 9165,
  [9497] = 9173,
  [9498] = 9198,
  [9499] = 8737,
  [9500] = 9198,
  [9501] = 8737,
  [9502] = 9198,
  [9503] = 8737,
  [9504] = 9198,
  [9505] = 8737,
  [9506] = 9198,
  [9507] = 8737,
  [9508] = 9198,
  [9509] = 8737,
  [9510] = 9198,
  [9511] = 8737,
  [9512] = 9198,
  [9513] = 8737,
  [9514] = 8788,
  [9515] = 8801,
  [9516] = 9168,
  [9517] = 9517,
  [9518] = 9518,
  [9519] = 9197,
  [9520] = 8893,
  [9521] = 8805,
  [9522] = 8772,
  [9523] = 8749,
  [9524] = 6431,
  [9525] = 8762,
  [9526] = 8807,
  [9527] = 8765,
  [9528] = 8901,
  [9529] = 9369,
  [9530] = 9530,
  [9531] = 8806,
  [9532] = 9532,
  [9533] = 8755,
  [9534] = 8841,
  [9535] = 9198,
  [9536] = 8770,
  [9537] = 9009,
  [9538] = 8767,
  [9539] = 8768,
  [9540] = 8803,
  [9541] = 9089,
  [9542] = 8770,
  [9543] = 8804,
  [9544] = 8779,
  [9545] = 8771,
  [9546] = 9546,
  [9547] = 8743,
  [9548] = 8792,
  [9549] = 8780,
  [9550] = 9518,
  [9551] = 9517,
  [9552] = 8756,
  [9553] = 8779,
  [9554] = 8793,
  [9555] = 9089,
  [9556] = 9272,
  [9557] = 8772,
  [9558] = 8922,
  [9559] = 9174,
  [9560] = 9181,
  [9561] = 9173,
  [9562] = 8924,
  [9563] = 9195,
  [9564] = 8779,
  [9565] = 8776,
  [9566] = 8771,
  [9567] = 8772,
  [9568] = 8777,
  [9569] = 8782,
  [9570] = 9570,
  [9571] = 9571,
  [9572] = 9171,
  [9573] = 8766,
  [9574] = 8868,
  [9575] = 8869,
  [9576] = 9168,
  [9577] = 8762,
  [9578] = 8873,
  [9579] = 8748,
  [9580] = 8779,
  [9581] = 8781,
  [9582] = 8780,
  [9583] = 9583,
  [9584] = 8785,
  [9585] = 8758,
  [9586] = 8789,
  [9587] = 8791,
  [9588] = 8792,
  [9589] = 8800,
  [9590] = 8743,
  [9591] = 9591,
  [9592] = 8742,
  [9593] = 8779,
  [9594] = 8740,
  [9595] = 9167,
  [9596] = 9168,
  [9597] = 9517,
  [9598] = 9518,
  [9599] = 8748,
  [9600] = 8975,
  [9601] = 9048,
  [9602] = 8755,
  [9603] = 8841,
  [9604] = 8762,
  [9605] = 8826,
  [9606] = 8803,
  [9607] = 9168,
  [9608] = 9517,
  [9609] = 9518,
  [9610] = 8748,
  [9611] = 9611,
  [9612] = 8755,
  [9613] = 8841,
  [9614] = 8808,
  [9615] = 9615,
  [9616] = 9165,
  [9617] = 9168,
  [9618] = 9517,
  [9619] = 9518,
  [9620] = 8988,
  [9621] = 8849,
  [9622] = 8755,
  [9623] = 8841,
  [9624] = 9024,
  [9625] = 8790,
  [9626] = 8806,
  [9627] = 9517,
  [9628] = 9518,
  [9629] = 8762,
  [9630] = 8748,
  [9631] = 8755,
  [9632] = 8841,
  [9633] = 8880,
  [9634] = 8748,
  [9635] = 9517,
  [9636] = 9518,
  [9637] = 8752,
  [9638] = 9638,
  [9639] = 8755,
  [9640] = 8841,
  [9641] = 8768,
  [9642] = 8762,
  [9643] = 9517,
  [9644] = 9518,
  [9645] = 8748,
  [9646] = 9646,
  [9647] = 8755,
  [9648] = 8841,
  [9649] = 8794,
  [9650] = 9650,
  [9651] = 9517,
  [9652] = 9518,
  [9653] = 9653,
  [9654] = 8755,
  [9655] = 8841,
  [9656] = 8767,
  [9657] = 8748,
  [9658] = 8755,
  [9659] = 8841,
  [9660] = 8784,
  [9661] = 8804,
  [9662] = 8841,
  [9663] = 9663,
  [9664] = 8841,
  [9665] = 9665,
  [9666] = 8841,
  [9667] = 8793,
  [9668] = 8841,
  [9669] = 8762,
  [9670] = 8841,
  [9671] = 9671,
  [9672] = 8841,
  [9673] = 8748,
  [9674] = 8841,
  [9675] = 8762,
  [9676] = 8841,
  [9677] = 9677,
  [9678] = 8841,
  [9679] = 9571,
  [9680] = 9532,
  [9681] = 8766,
  [9682] = 9571,
  [9683] = 9532,
  [9684] = 8960,
  [9685] = 9571,
  [9686] = 9532,
  [9687] = 9169,
  [9688] = 9571,
  [9689] = 9532,
  [9690] = 9690,
  [9691] = 9571,
  [9692] = 9532,
  [9693] = 8805,
  [9694] = 9571,
  [9695] = 9532,
  [9696] = 8880,
  [9697] = 9571,
  [9698] = 9532,
  [9699] = 9699,
  [9700] = 9532,
  [9701] = 9532,
  [9702] = 9532,
  [9703] = 9532,
  [9704] = 9532,
  [9705] = 9532,
  [9706] = 9532,
  [9707] = 9532,
  [9708] = 9532,
  [9709] = 9532,
  [9710] = 9532,
  [9711] = 8787,
  [9712] = 8786,
  [9713] = 8801,
  [9714] = 8748,
  [9715] = 8787,
  [9716] = 8762,
  [9717] = 8786,
  [9718] = 9570,
  [9719] = 9570,
  [9720] = 9570,
  [9721] = 9570,
  [9722] = 9570,
  [9723] = 9570,
  [9724] = 9570,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43312
    ? (c < 3804
      ? (c < 2579
        ? (c < 1646
          ? (c < 710
            ? (c < 'j'
              ? (c < 'V'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'K' || (c < 'S'
                    ? (c >= 'M' && c <= 'Q')
                    : c <= 'S')))
                : (c <= 'Z' || (c < 'e'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'a')
                  : (c <= 'e' || (c >= 'g' && c <= 'h')))))
              : (c <= 'l' || (c < 181
                ? (c < 'w'
                  ? (c < 'q'
                    ? c == 'o'
                    : c <= 'r')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))))
            : (c <= 721 || (c < 910
              ? (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))
              : (c <= 929 || (c < 1369
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))))))
          : (c <= 1647 || (c < 2185
            ? (c < 1994
              ? (c < 1791
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))
              : (c <= 2026 || (c < 2084
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))))
            : (c <= 2190 || (c < 2482
              ? (c < 2417
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || (c < 2392
                    ? c == 2384
                    : c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))
              : (c <= 2482 || (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))))))))
        : (c <= 2600 || (c < 3114
          ? (c < 2858
            ? (c < 2730
              ? (c < 2654
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))
              : (c <= 2736 || (c < 2784
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))))
            : (c <= 2864 || (c < 2969
              ? (c < 2929
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))
              : (c <= 2970 || (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))))))
          : (c <= 3129 || (c < 3423
            ? (c < 3261
              ? (c < 3205
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))
              : (c <= 3261 || (c < 3342
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))))
            : (c <= 3425 || (c < 3713
              ? (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))
              : (c <= 3714 || (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3807 || (c < 8027
        ? (c < 5888
          ? (c < 4696
            ? (c < 4206
              ? (c < 4159
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))
              : (c <= 4208 || (c < 4301
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))))
            : (c <= 4696 || (c < 4882
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))
              : (c <= 4885 || (c < 5121
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5905 || (c < 6981
            ? (c < 6320
              ? (c < 6103
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))
              : (c <= 6389 || (c < 6576
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))))))
            : (c <= 6988 || (c < 7406
              ? (c < 7258
                ? (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))
              : (c <= 7411 || (c < 7960
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))))))))))
        : (c <= 8027 || (c < 11712
          ? (c < 8484
            ? (c < 8178
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))
              : (c <= 8180 || (c < 8450
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))
                : (c <= 8450 || (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))))))
            : (c <= 8484 || (c < 11520
              ? (c < 8526
                ? (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))
              : (c <= 11557 || (c < 11648
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))))))))
          : (c <= 11718 || (c < 42538
            ? (c < 12540
              ? (c < 12337
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))
              : (c <= 12543 || (c < 13312
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))))))
            : (c <= 42539 || (c < 42994
              ? (c < 42786
                ? (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))))
              : (c <= 43009 || (c < 43138
                ? (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))
                : (c <= 43187 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))))))))))))))
    : (c <= 43334 || (c < 70480
      ? (c < 66816
        ? (c < 64323
          ? (c < 43777
            ? (c < 43642
              ? (c < 43514
                ? (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))
              : (c <= 43642 || (c < 43712
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))))))
            : (c <= 43782 || (c < 63744
              ? (c < 43868
                ? (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))
              : (c <= 64109 || (c < 64287
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))
                : (c <= 64296 || (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))))))))
          : (c <= 64324 || (c < 65498
            ? (c < 65147
              ? (c < 65008
                ? (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))
              : (c <= 65147 || (c < 65382
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65437 || (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))))
            : (c <= 65500 || (c < 66304
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))
              : (c <= 66335 || (c < 66504
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))
                : (c <= 66511 || (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))))))))))
        : (c <= 66855 || (c < 68608
          ? (c < 67647
            ? (c < 67392
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))
              : (c <= 67413 || (c < 67584
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))
                : (c <= 67589 || (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))))))
            : (c <= 67669 || (c < 68117
              ? (c < 67872
                ? (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))
              : (c <= 68119 || (c < 68297
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c >= 68288 && c <= 68295)))
                : (c <= 68324 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c >= 68480 && c <= 68497)))))))))
          : (c <= 68680 || (c < 70006
            ? (c < 69600
              ? (c < 69376
                ? (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68899 || (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))
              : (c <= 69622 || (c < 69840
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))
                : (c <= 69864 || (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))))))
            : (c <= 70006 || (c < 70287
              ? (c < 70144
                ? (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))
                : (c <= 70161 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))
              : (c <= 70301 || (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))))))))))
      : (c <= 70480 || (c < 119808
        ? (c < 72971
          ? (c < 71957
            ? (c < 71236
              ? (c < 70852
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))
              : (c <= 71236 || (c < 71680
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))))
            : (c <= 71958 || (c < 72272
              ? (c < 72161
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))
              : (c <= 72272 || (c < 72714
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c >= 72704 && c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))))))
          : (c <= 73008 || (c < 93053
            ? (c < 77712
              ? (c < 73440
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)))
                : (c <= 73458 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c >= 74880 && c <= 75075)))))
              : (c <= 77808 || (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c >= 92736 && c <= 92766)))
                : (c <= 92862 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92975)
                  : (c <= 92995 || (c >= 93027 && c <= 93047)))))))
            : (c <= 93071 || (c < 110581
              ? (c < 94179
                ? (c < 94032
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94032 || (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43396
    ? (c < 3913
      ? (c < 2613
        ? (c < 1765
          ? (c < 750
            ? (c < 'w'
              ? (c < 'g'
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 'e'
                    ? c == 'a'
                    : c <= 'e')))
                : (c <= 'h' || (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || c == 't'))))
              : (c <= 'z' || (c < 216
                ? (c < 186
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 186 || (c >= 192 && c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))))
            : (c <= 750 || (c < 1162
              ? (c < 904
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 902)))
                : (c <= 906 || (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))))
              : (c <= 1327 || (c < 1519
                ? (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c >= 1488 && c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))))))
          : (c <= 1766 || (c < 2365
            ? (c < 2048
              ? (c < 1869
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1810
                    ? c == 1808
                    : c <= 1839)))
                : (c <= 1957 || (c < 2036
                  ? (c < 1994
                    ? c == 1969
                    : c <= 2026)
                  : (c <= 2037 || c == 2042))))
              : (c <= 2069 || (c < 2144
                ? (c < 2088
                  ? (c < 2084
                    ? c == 2074
                    : c <= 2084)
                  : (c <= 2088 || (c >= 2112 && c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))))
            : (c <= 2365 || (c < 2510
              ? (c < 2451
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))
                : (c <= 2472 || (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || c == 2493))))
              : (c <= 2510 || (c < 2565
                ? (c < 2544
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)
                  : (c <= 2545 || c == 2556))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))))))))
        : (c <= 2614 || (c < 3165
          ? (c < 2877
            ? (c < 2749
              ? (c < 2703
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))))
              : (c <= 2749 || (c < 2831
                ? (c < 2809
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))))
            : (c <= 2877 || (c < 2979
              ? (c < 2958
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : c <= 2954)))
                : (c <= 2960 || (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))))
              : (c <= 2980 || (c < 3086
                ? (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))))))
          : (c <= 3165 || (c < 3482
            ? (c < 3313
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c >= 3296 && c <= 3297)))))
              : (c <= 3314 || (c < 3406
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))))
            : (c <= 3505 || (c < 3724
              ? (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))
              : (c <= 3747 || (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))))))))))
      : (c <= 3948 || (c < 8031
        ? (c < 5984
          ? (c < 4746
            ? (c < 4256
              ? (c < 4193
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)))
                : (c <= 4193 || (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || c == 4238))))
              : (c <= 4293 || (c < 4682
                ? (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))))
            : (c <= 4749 || (c < 5024
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))))
              : (c <= 5109 || (c < 5792
                ? (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))))))
          : (c <= 5996 || (c < 7098
            ? (c < 6512
              ? (c < 6272
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || (c < 6176
                    ? c == 6108
                    : c <= 6264)))
                : (c <= 6312 || (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c >= 6480 && c <= 6509)))))
              : (c <= 6516 || (c < 6823
                ? (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))))
            : (c <= 7141 || (c < 7418
              ? (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))
              : (c <= 7418 || (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))))))))
        : (c <= 8061 || (c < 11728
          ? (c < 8488
            ? (c < 8305
              ? (c < 8144
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))
                : (c <= 8147 || (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))))
              : (c <= 8305 || (c < 8458
                ? (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))))
            : (c <= 8488 || (c < 11565
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))))
              : (c <= 11565 || (c < 11688
                ? (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))))))
          : (c <= 11734 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70493
      ? (c < 66864
        ? (c < 64467
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64256
              ? (c < 44032
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)))
                : (c <= 55203 || (c < 63744
                  ? (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))))
              : (c <= 64262 || (c < 64312
                ? (c < 64287
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64285)
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))))))
          : (c <= 64605 || (c < 65549
            ? (c < 65151
              ? (c < 65139
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)))
                : (c <= 65139 || (c < 65147
                  ? (c < 65145
                    ? c == 65143
                    : c <= 65145)
                  : (c <= 65147 || c == 65149))))
              : (c <= 65276 || (c < 65474
                ? (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65437 || (c >= 65440 && c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))))
            : (c <= 65574 || (c < 66349
              ? (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'Q' || (c < 'V'
                    ? (c >= 'S' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_7(int32_t c) {
  return (c < 43360
    ? (c < 3840
      ? (c < 2602
        ? (c < 1649
          ? (c < 736
            ? (c < 'q'
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'a' || (c < 'j'
                  ? (c < 'g'
                    ? c == 'e'
                    : c <= 'h')
                  : (c <= 'l' || c == 'o'))))
              : (c <= 'r' || (c < 186
                ? (c < 170
                  ? (c < 'w'
                    ? c == 't'
                    : c <= 'z')
                  : (c <= 170 || c == 181))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))))
            : (c <= 740 || (c < 931
              ? (c < 895
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))
              : (c <= 1013 || (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))))))
          : (c <= 1747 || (c < 2208
            ? (c < 2036
              ? (c < 1808
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : c <= 1791)))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))
              : (c <= 2037 || (c < 2088
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))))
            : (c <= 2249 || (c < 2486
              ? (c < 2437
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c < 2417
                    ? (c >= 2392 && c <= 2401)
                    : c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))
              : (c <= 2489 || (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))))))))
        : (c <= 2608 || (c < 3133
          ? (c < 2866
            ? (c < 2738
              ? (c < 2674
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))
              : (c <= 2739 || (c < 2809
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))))
            : (c <= 2867 || (c < 2972
              ? (c < 2947
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))
              : (c <= 2972 || (c < 3024
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))))))
          : (c <= 3133 || (c < 3450
            ? (c < 3293
              ? (c < 3214
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || (c < 3205
                    ? c == 3200
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))
              : (c <= 3294 || (c < 3346
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))))
            : (c <= 3455 || (c < 3716
              ? (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))
              : (c <= 3716 || (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))))))))))
      : (c <= 3840 || (c < 8029
        ? (c < 5919
          ? (c < 4698
            ? (c < 4213
              ? (c < 4176
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))
              : (c <= 4225 || (c < 4304
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))))
            : (c <= 4701 || (c < 4888
              ? (c < 4800
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))
              : (c <= 4954 || (c < 5743
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))))))
          : (c <= 5937 || (c < 7043
            ? (c < 6400
              ? (c < 6108
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))
              : (c <= 6430 || (c < 6656
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))))
            : (c <= 7072 || (c < 7413
              ? (c < 7296
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))
              : (c <= 7414 || (c < 7968
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11720
          ? (c < 8486
            ? (c < 8182
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))
              : (c <= 8188 || (c < 8455
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))))
            : (c <= 8486 || (c < 11559
              ? (c < 8544
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))
              : (c <= 11559 || (c < 11680
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))))))
          : (c <= 11726 || (c < 42560
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))
              : (c <= 12591 || (c < 19968
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))))
            : (c <= 42606 || (c < 43011
              ? (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))
              : (c <= 43013 || (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))))))))))))
    : (c <= 43388 || (c < 70493
      ? (c < 66864
        ? (c < 64326
          ? (c < 43785
            ? (c < 43646
              ? (c < 43520
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))
              : (c <= 43695 || (c < 43714
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))))
            : (c <= 43790 || (c < 64112
              ? (c < 43888
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65536
            ? (c < 65149
              ? (c < 65137
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))
              : (c <= 65149 || (c < 65440
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))))
            : (c <= 65547 || (c < 66349
              ? (c < 65664
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_8(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < 'a'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'S' || (c < '_'
                    ? (c >= 'U' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'e' || (c < 170
                  ? (c < 'u'
                    ? (c >= 'g' && c <= 's')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_9(int32_t c) {
  return (c < 43520
    ? (c < 3724
      ? (c < 2703
        ? (c < 1791
          ? (c < 895
            ? (c < 183
              ? (c < 'A'
                ? (c < '4'
                  ? (c < '0'
                    ? c == '$'
                    : (c <= '0' || c == '2'))
                  : (c <= '5' || (c < '9'
                    ? c == '7'
                    : c <= '9')))
                : (c <= 'Z' || (c < 'q'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'o')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))))
              : (c <= 183 || (c < 736
                ? (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))
                : (c <= 740 || (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))))))
            : (c <= 895 || (c < 1471
              ? (c < 1155
                ? (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))
                : (c <= 1159 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))))
              : (c <= 1471 || (c < 1552
                ? (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))
                : (c <= 1562 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))))))))
          : (c <= 1791 || (c < 2519
            ? (c < 2275
              ? (c < 2048
                ? (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))
                : (c <= 2093 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))))
              : (c <= 2403 || (c < 2474
                ? (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))
                : (c <= 2480 || (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))))))
            : (c <= 2519 || (c < 2613
              ? (c < 2561
                ? (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))
                : (c <= 2563 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))))
              : (c <= 2614 || (c < 2641
                ? (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))
                : (c <= 2641 || (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))))))))))
        : (c <= 2705 || (c < 3142
          ? (c < 2911
            ? (c < 2817
              ? (c < 2759
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))
                : (c <= 2761 || (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))))
              : (c <= 2819 || (c < 2869
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))
                : (c <= 2873 || (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))))))
            : (c <= 2915 || (c < 2990
              ? (c < 2962
                ? (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))
                : (c <= 2965 || (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))
              : (c <= 3001 || (c < 3046
                ? (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))
                : (c <= 3055 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))))))))
          : (c <= 3144 || (c < 3398
            ? (c < 3253
              ? (c < 3174
                ? (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))
                : (c <= 3183 || (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3296
                ? (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))
                : (c <= 3299 || (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))))))
            : (c <= 3400 || (c < 3530
              ? (c < 3457
                ? (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))
                : (c <= 3459 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))))
              : (c <= 3530 || (c < 3585
                ? (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))
                : (c <= 3642 || (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))))))))))))
      : (c <= 3747 || (c < 7960
        ? (c < 5743
          ? (c < 4301
            ? (c < 3895
              ? (c < 3792
                ? (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || (c < 3784
                    ? c == 3782
                    : c <= 3789)))
                : (c <= 3801 || (c < 3864
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3865 || (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)))))
              : (c <= 3895 || (c < 3993
                ? (c < 3913
                  ? (c < 3902
                    ? c == 3897
                    : c <= 3911)
                  : (c <= 3948 || (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)))
                : (c <= 4028 || (c < 4176
                  ? (c < 4096
                    ? c == 4038
                    : c <= 4169)
                  : (c <= 4253 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))))))
            : (c <= 4301 || (c < 4800
              ? (c < 4698
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))))
              : (c <= 4800 || (c < 4957
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)))
                : (c <= 4959 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))))))))
          : (c <= 5759 || (c < 6528
            ? (c < 6108
              ? (c < 5952
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)))
                : (c <= 5971 || (c < 6002
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6003 || (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)))))
              : (c <= 6109 || (c < 6320
                ? (c < 6159
                  ? (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)
                  : (c <= 6169 || (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6448
                  ? (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)
                  : (c <= 6459 || (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)))))))
            : (c <= 6571 || (c < 6992
              ? (c < 6783
                ? (c < 6656
                  ? (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)
                  : (c <= 6683 || (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)))
                : (c <= 6793 || (c < 6832
                  ? (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)
                  : (c <= 6845 || (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)))))
              : (c <= 7001 || (c < 7296
                ? (c < 7168
                  ? (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)
                  : (c <= 7223 || (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7376
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7378 || (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)))))))))))
        : (c <= 7965 || (c < 11688
          ? (c < 8417
            ? (c < 8134
              ? (c < 8029
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || (c < 8027
                    ? c == 8025
                    : c <= 8027)))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))))
              : (c <= 8140 || (c < 8255
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8256 || (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))))))
            : (c <= 8417 || (c < 8517
              ? (c < 8472
                ? (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))))
              : (c <= 8521 || (c < 11559
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))))))))
          : (c <= 11694 || (c < 42240
            ? (c < 12353
              ? (c < 11736
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))
                : (c <= 11742 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))))
              : (c <= 12438 || (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))))))
            : (c <= 42508 || (c < 43052
              ? (c < 42786
                ? (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))))
              : (c <= 43052 || (c < 43261
                ? (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))
                : (c <= 43309 || (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))))))))))))))
    : (c <= 43574 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : (c <= 43609 || (c >= 43616 && c <= 43638)))
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_10(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_11(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Q' || (c < '_'
                    ? (c >= 'S' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_12(int32_t c) {
  return (c < 43584
    ? (c < 3749
      ? (c < 2707
        ? (c < 1808
          ? (c < 902
            ? (c < 186
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'j'
                    ? (c >= 'a' && c <= 'h')
                    : c <= 'z')
                  : (c <= 170 || (c < 183
                    ? c == 181
                    : c <= 183)))))
              : (c <= 186 || (c < 748
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 768
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)))))))
            : (c <= 906 || (c < 1473
              ? (c < 1162
                ? (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)))
                : (c <= 1327 || (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)))))
              : (c <= 1474 || (c < 1568
                ? (c < 1488
                  ? (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)
                  : (c <= 1514 || (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)))
                : (c <= 1641 || (c < 1759
                  ? (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)
                  : (c <= 1768 || (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)))))))))
          : (c <= 1866 || (c < 2524
            ? (c < 2406
              ? (c < 2112
                ? (c < 2042
                  ? (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2048
                    ? c == 2045
                    : c <= 2093)))
                : (c <= 2139 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)))))
              : (c <= 2415 || (c < 2482
                ? (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)
                  : (c <= 2448 || (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)))
                : (c <= 2482 || (c < 2503
                  ? (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)
                  : (c <= 2504 || (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)))))))
            : (c <= 2525 || (c < 2616
              ? (c < 2565
                ? (c < 2556
                  ? (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)
                  : (c <= 2556 || (c < 2561
                    ? c == 2558
                    : c <= 2563)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)))))
              : (c <= 2617 || (c < 2649
                ? (c < 2631
                  ? (c < 2622
                    ? c == 2620
                    : c <= 2626)
                  : (c <= 2632 || (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)))
                : (c <= 2652 || (c < 2689
                  ? (c < 2662
                    ? c == 2654
                    : c <= 2677)
                  : (c <= 2691 || (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)))))))))))
        : (c <= 2728 || (c < 3146
          ? (c < 2918
            ? (c < 2821
              ? (c < 2763
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)))
                : (c <= 2765 || (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))))
              : (c <= 2828 || (c < 2876
                ? (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))
                : (c <= 2884 || (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))))))
            : (c <= 2927 || (c < 3006
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))
              : (c <= 3010 || (c < 3072
                ? (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))))))))
          : (c <= 3149 || (c < 3402
            ? (c < 3260
              ? (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))
                : (c <= 3203 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3268 || (c < 3302
                ? (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))
                : (c <= 3311 || (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))))))
            : (c <= 3406 || (c < 3535
              ? (c < 3461
                ? (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))))
              : (c <= 3540 || (c < 3648
                ? (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))
                : (c <= 3662 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))))))))))))
      : (c <= 3749 || (c < 7968
        ? (c < 5761
          ? (c < 4304
            ? (c < 3897
              ? (c < 3804
                ? (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)))
                : (c <= 3807 || (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))))
              : (c <= 3897 || (c < 4038
                ? (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))
                : (c <= 4038 || (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))))))
            : (c <= 4346 || (c < 4802
              ? (c < 4704
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))))
              : (c <= 4805 || (c < 4969
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))
                : (c <= 4977 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))))))))
          : (c <= 5786 || (c < 6576
            ? (c < 6112
              ? (c < 5984
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))
                : (c <= 5996 || (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))))
              : (c <= 6121 || (c < 6400
                ? (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))
                : (c <= 6430 || (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))))))
            : (c <= 6601 || (c < 7019
              ? (c < 6800
                ? (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))
                : (c <= 6809 || (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))))
              : (c <= 7027 || (c < 7312
                ? (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7354 || (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))))))))))
        : (c <= 8005 || (c < 11696
          ? (c < 8421
            ? (c < 8144
              ? (c < 8031
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || (c < 8029
                    ? c == 8027
                    : c <= 8029)))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))))
              : (c <= 8147 || (c < 8276
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)))
                : (c <= 8276 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)))))))
            : (c <= 8432 || (c < 8526
              ? (c < 8484
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || (c < 8472
                    ? c == 8469
                    : c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))))
              : (c <= 8526 || (c < 11565
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11507 || (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)))
                : (c <= 11565 || (c < 11647
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)))))))))
          : (c <= 11702 || (c < 42512
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12442 || (c < 12704
                ? (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)))
                : (c <= 12735 || (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)))))))
            : (c <= 42539 || (c < 43072
              ? (c < 42891
                ? (c < 42623
                  ? (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)
                  : (c <= 42737 || (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)))))
              : (c <= 43123 || (c < 43312
                ? (c < 43232
                  ? (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)
                  : (c <= 43255 || (c < 43261
                    ? c == 43259
                    : c <= 43309)))
                : (c <= 43347 || (c < 43471
                  ? (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)
                  : (c <= 43481 || (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_13(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 181
                  ? (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_14(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'h' || (c < 181
                  ? (c < 170
                    ? (c >= 'j' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_15(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_16(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'r' || (c < 181
                  ? (c < 170
                    ? (c >= 't' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_17(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_18(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '3'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '1')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_19(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '5'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '3')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_20(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '7'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '5')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_21(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'D' || (c < '_'
                    ? (c >= 'F' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_22(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'K' || (c < '_'
                    ? (c >= 'M' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_23(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'R' || (c < '_'
                    ? (c >= 'T' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_24(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_25(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_26(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'c'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'a')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_27(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'e'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'c')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_28(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'f'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'd')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_29(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'g'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'e')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_30(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'h'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'f')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_31(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'i'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'g')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_32(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_33(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_34(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'o'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'm')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_35(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'p'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'n')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_36(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'q'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'o')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_37(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 's'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'q')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_38(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 't'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'r')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_39(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'u'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 's')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_40(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'v'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 't')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_41(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'y'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'w')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_42(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'y')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_43(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_44(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_45(int32_t c) {
  return (c < 43739
    ? (c < 3804
      ? (c < 2768
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))))))))))
        : (c <= 2768 || (c < 3205
          ? (c < 2972
            ? (c < 2887
              ? (c < 2831
                ? (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))))
              : (c <= 2888 || (c < 2929
                ? (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))))))
            : (c <= 2972 || (c < 3086
              ? (c < 3014
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))
                : (c <= 3016 || (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))))
              : (c <= 3088 || (c < 3157
                ? (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))
                : (c <= 3158 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))))))))
          : (c <= 3212 || (c < 3482
            ? (c < 3313
              ? (c < 3270
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))
                : (c <= 3272 || (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))))
              : (c <= 3314 || (c < 3412
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))
                : (c <= 3415 || (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))))))
            : (c <= 3505 || (c < 3664
              ? (c < 3542
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))
                : (c <= 3542 || (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))))
              : (c <= 3673 || (c < 3751
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))
                : (c <= 3773 || (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c >= 3792 && c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8029
        ? (c < 5984
          ? (c < 4704
            ? (c < 4038
              ? (c < 3897
                ? (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))
                : (c <= 3897 || (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))))
              : (c <= 4038 || (c < 4304
                ? (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))))))
            : (c <= 4744 || (c < 4969
              ? (c < 4802
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))))
              : (c <= 4977 || (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))))))))
          : (c <= 5996 || (c < 6800
            ? (c < 6400
              ? (c < 6112
                ? (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))
                : (c <= 6121 || (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))))
              : (c <= 6430 || (c < 6576
                ? (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))))))
            : (c <= 6809 || (c < 7312
              ? (c < 7019
                ? (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))
                : (c <= 7027 || (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))))
              : (c <= 7354 || (c < 7968
                ? (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11736
          ? (c < 8472
            ? (c < 8255
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))))
              : (c <= 8256 || (c < 8417
                ? (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))
                : (c <= 8417 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))))))
            : (c <= 8477 || (c < 11559
              ? (c < 8517
                ? (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))
                : (c <= 8521 || (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))))
              : (c <= 11559 || (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))))))))
          : (c <= 11742 || (c < 42786
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))))
              : (c <= 12686 || (c < 42240
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))
                : (c <= 42508 || (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))))))
            : (c <= 42888 || (c < 43261
              ? (c < 43052
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))
                : (c <= 43052 || (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))))
              : (c <= 43309 || (c < 43520
                ? (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))
                : (c <= 43574 || (c < 43616
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)
                  : (c <= 43638 || (c >= 43642 && c <= 43714)))))))))))))))
    : (c <= 43741 || (c < 71472
      ? (c < 67644
        ? (c < 65474
          ? (c < 64320
            ? (c < 44016
              ? (c < 43808
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)
                  : (c <= 43782 || (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)))
                : (c <= 43814 || (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)))))
              : (c <= 44025 || (c < 64256
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)))
                : (c <= 64262 || (c < 64298
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)
                  : (c <= 64310 || (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)))))))
            : (c <= 64321 || (c < 65137
              ? (c < 64914
                ? (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)))
                : (c <= 64967 || (c < 65056
                  ? (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)
                  : (c <= 65071 || (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)))))
              : (c <= 65137 || (c < 65151
                ? (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || (c < 65149
                    ? c == 65147
                    : c <= 65149)))
                : (c <= 65276 || (c < 65343
                  ? (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)
                  : (c <= 65343 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)))))))))
          : (c <= 65479 || (c < 66720
            ? (c < 66045
              ? (c < 65576
                ? (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)))))
              : (c <= 66045 || (c < 66384
                ? (c < 66272
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66272 || (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)))
                : (c <= 66426 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)))))))
            : (c <= 66729 || (c < 67003
              ? (c < 66940
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)))
                : (c <= 66954 || (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))))
              : (c <= 67004 || (c < 67506
                ? (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)))
                : (c <= 67514 || (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(188)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(199)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(198)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(198)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(202)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(202)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(200)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(200)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(203)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(191)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(193)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(194)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(194)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(204)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(204)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(282)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(252)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(252)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(280)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(283)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(196)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(196)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(222)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(222)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(219)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(244)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(231)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(231)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(220)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(208)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(208)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(260)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(230)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(230)
      if (lookahead == '\r') SKIP(47)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(234)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(234)
      if (lookahead == '\r') SKIP(49)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(213)
      if (lookahead == '\r') SKIP(51)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(214)
      if (lookahead == '\r') SKIP(53)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(221)
      if (lookahead == '\r') SKIP(55)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(237)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(224)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(245)
      if (lookahead == '\r') SKIP(61)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(281)
      if (lookahead == '\r') SKIP(63)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(242)
      if (lookahead == '\r') SKIP(65)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(236)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(236)
      if (lookahead == '\r') SKIP(67)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(256)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(256)
      if (lookahead == '\r') SKIP(69)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(259)
      if (lookahead == '\r') SKIP(71)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(261)
      if (lookahead == '\r') SKIP(73)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(266)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(266)
      if (lookahead == '\r') SKIP(75)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(210)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(210)
      if (lookahead == '\r') SKIP(77)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(276)
      if (lookahead == '\r') SKIP(79)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(258)
      if (lookahead == '\r') SKIP(81)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(197)
      if (lookahead == '\r') SKIP(83)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(247)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(247)
      if (lookahead == '\r') SKIP(85)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(268)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(268)
      if (lookahead == '\r') SKIP(87)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(267)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(267)
      if (lookahead == '\r') SKIP(89)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(378)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(378)
      if (lookahead == '\r') SKIP(91)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(262)
      if (lookahead == '\r') SKIP(93)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(381)
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(381)
      if (lookahead == '\r') SKIP(95)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(271)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(271)
      if (lookahead == '\r') SKIP(97)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(379)
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(379)
      if (lookahead == '\r') SKIP(99)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(382)
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(382)
      if (lookahead == '\r') SKIP(101)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(380)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(380)
      if (lookahead == '\r') SKIP(103)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(205)
      if (lookahead == '\r') SKIP(105)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(109)
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(109)
      if (lookahead == '\r') SKIP(107)
      END_STATE();
    case 109:
      if (lookahead == '\n') ADVANCE(397);
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '\\') SKIP(108)
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(277)
      if (lookahead == '\r') SKIP(110)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(383)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(383)
      if (lookahead == '\r') SKIP(112)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(278)
      if (lookahead == '\r') SKIP(114)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(275)
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '/') ADVANCE(580);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(583);
      if (lookahead != 0) ADVANCE(584);
      END_STATE();
    case 117:
      if (lookahead == '\n') ADVANCE(586);
      if (lookahead == '\r') ADVANCE(585);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead != 0) ADVANCE(585);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(285)
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '/') ADVANCE(573);
      if (lookahead == '\\') ADVANCE(572);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(574);
      if (lookahead != 0) ADVANCE(571);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '(') ADVANCE(392);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 120:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(123);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '\r') ADVANCE(122);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(390);
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 124:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 125:
      if (lookahead == '\n') SKIP(288)
      if (lookahead == '\r') SKIP(124)
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(189)
      if (lookahead == '\r') SKIP(126)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(201)
      if (lookahead == '\r') SKIP(128)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(192)
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(192)
      if (lookahead == '\r') SKIP(130)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(195)
      if (lookahead == '\r') SKIP(132)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(226)
      if (lookahead == '\r') SKIP(134)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(209)
      if (lookahead == '\r') SKIP(136)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(265)
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(265)
      if (lookahead == '\r') SKIP(138)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(229)
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(229)
      if (lookahead == '\r') SKIP(140)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(232)
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(232)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(225)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(246)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(284)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(235)
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(235)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(257)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(273)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(248)
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(248)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(270)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(263)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(190)
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(190)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(243)
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(233)
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(233)
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(250)
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(250)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(239)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(272)
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(272)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(251)
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(251)
      if (lookahead == '\r') SKIP(176)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(269)
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(269)
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(264)
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(238)
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(249)
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(249)
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(274)
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 188:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 189:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(127);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(464);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '[') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(308);
      if (lookahead == '>') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(487);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(332);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(297);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(324);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(326);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '>') ADVANCE(311);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(492);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(545);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(459);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == 'L') ADVANCE(679);
      if (lookahead == 'U') ADVANCE(680);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(617);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(702);
      if (lookahead == 'R') ADVANCE(703);
      if (lookahead == 'U') ADVANCE(704);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == 'u') ADVANCE(705);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'u') ADVANCE(601);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(347);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(327);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(462);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(491);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(498);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '<') ADVANCE(505);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(499);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == '|') ADVANCE(488);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(473);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(543);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == '|') ADVANCE(489);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 275:
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275)
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_7(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'L') ADVANCE(595);
      if (lookahead == 'U') ADVANCE(599);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(602);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(682);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == 'L') ADVANCE(594);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'U') ADVANCE(598);
      if (lookahead == '\\') ADVANCE(111);
      if (lookahead == 'u') ADVANCE(601);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(579);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(682);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '<') ADVANCE(315);
      if (lookahead == 'L') ADVANCE(595);
      if (lookahead == 'U') ADVANCE(599);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(603);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(701);
      END_STATE();
    case 280:
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      END_STATE();
    case 281:
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      END_STATE();
    case 282:
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(472);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(325);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(337);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      END_STATE();
    case 285:
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      END_STATE();
    case 286:
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 287:
      if (lookahead == '\'') ADVANCE(358);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(125)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 289:
      if (lookahead == ')') ADVANCE(699);
      END_STATE();
    case 290:
      if (lookahead == '*') ADVANCE(547);
      END_STATE();
    case 291:
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 292:
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead == '/') ADVANCE(683);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 296:
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 297:
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 298:
      if (lookahead == '.') ADVANCE(393);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 300:
      if (lookahead == '/') ADVANCE(417);
      if (lookahead == '\\') ADVANCE(415);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 301:
      if (lookahead == '1') ADVANCE(305);
      END_STATE();
    case 302:
      if (lookahead == '2') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == '2') ADVANCE(306);
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 304:
      if (lookahead == '4') ADVANCE(550);
      END_STATE();
    case 305:
      if (lookahead == '6') ADVANCE(550);
      END_STATE();
    case 306:
      if (lookahead == '8') ADVANCE(550);
      END_STATE();
    case 307:
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 308:
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 309:
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 310:
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 311:
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 313:
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 314:
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 315:
      if (lookahead == '>') ADVANCE(589);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(590);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 317:
      if (lookahead == 'F') ADVANCE(301);
      END_STATE();
    case 318:
      if (lookahead == 'U') ADVANCE(376);
      if (lookahead == 'u') ADVANCE(368);
      END_STATE();
    case 319:
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 320:
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 321:
      if (lookahead == ']') ADVANCE(515);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(451);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(453);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(437);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(429);
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(344);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(336);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(350);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(332);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(333);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(349);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(337);
      END_STATE();
    case 338:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 341:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(410);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(404);
      END_STATE();
    case 344:
      if (lookahead == 'i') ADVANCE(339);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(340);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(343);
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(438);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 348:
      if (lookahead == 'l') ADVANCE(345);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 349:
      if (lookahead == 'l') ADVANCE(346);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 350:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 351:
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 352:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 353:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 354:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 355:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 356:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(682);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(585);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(360);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(363);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(364);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(365);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(378)
      END_STATE();
    case 379:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(647);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 'u') ADVANCE(640);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379)
      END_STATE();
    case 380:
      if (sym_identifier_character_set_8(lookahead)) ADVANCE(682);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == 'f') ADVANCE(672);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380)
      END_STATE();
    case 381:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381)
      END_STATE();
    case 382:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(518);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382)
      END_STATE();
    case 383:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(682);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(527);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == '{') ADVANCE(516);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383)
      END_STATE();
    case 384:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(689);
      END_STATE();
    case 385:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(418);
      END_STATE();
    case 386:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(460);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(484);
      if (lookahead == '&') ADVANCE(494);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(480);
      if (lookahead == '+') ADVANCE(474);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(463);
      if (lookahead == '.') ADVANCE(544);
      if (lookahead == '/') ADVANCE(482);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(504);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == '?') ADVANCE(529);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(520);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(522);
      if (lookahead == '^') ADVANCE(491);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(488);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 387:
      if (eof) ADVANCE(388);
      if (lookahead == '!') ADVANCE(459);
      if (lookahead == '"') ADVANCE(579);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(682);
      if (lookahead == '%') ADVANCE(483);
      if (lookahead == '&') ADVANCE(493);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '(') ADVANCE(458);
      if (lookahead == ')') ADVANCE(395);
      if (lookahead == '*') ADVANCE(479);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(394);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(481);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == ':') ADVANCE(528);
      if (lookahead == ';') ADVANCE(512);
      if (lookahead == '<') ADVANCE(503);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(692);
      if (lookahead == 'F') ADVANCE(624);
      if (lookahead == 'L') ADVANCE(593);
      if (lookahead == 'R') ADVANCE(596);
      if (lookahead == 'T') ADVANCE(621);
      if (lookahead == 'U') ADVANCE(597);
      if (lookahead == '[') ADVANCE(519);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(490);
      if (lookahead == 'b') ADVANCE(655);
      if (lookahead == 'c') ADVANCE(635);
      if (lookahead == 'd') ADVANCE(651);
      if (lookahead == 'f') ADVANCE(613);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == 'm') ADVANCE(673);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == 'p') ADVANCE(665);
      if (lookahead == 's') ADVANCE(612);
      if (lookahead == 't') ADVANCE(660);
      if (lookahead == 'u') ADVANCE(600);
      if (lookahead == 'v') ADVANCE(652);
      if (lookahead == '{') ADVANCE(516);
      if (lookahead == '|') ADVANCE(351);
      if (lookahead == '}') ADVANCE(517);
      if (lookahead == '~') ADVANCE(461);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(433);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(435);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead != 0) ADVANCE(413);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(684);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      if (lookahead != 0) ADVANCE(686);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '\r') ADVANCE(416);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0) ADVANCE(418);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(413);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '\r') ADVANCE(422);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '\r') ADVANCE(423);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '\r') ADVANCE(690);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(413);
      if (lookahead == '*') ADVANCE(412);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(419);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(418);
      if (lookahead == '/') ADVANCE(385);
      if (lookahead == '\\') ADVANCE(420);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (lookahead == 'n') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(396);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(400);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(411);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(407);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == 's') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(448);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(450);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(425);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(457);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(496);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '>') ADVANCE(548);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(549);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(541);
      if (lookahead == '>') ADVANCE(548);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (lookahead == '=') ADVANCE(533);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(542);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == '0') ADVANCE(553);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(530);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(532);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(539);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(485);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(486);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(510);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(500);
      if (lookahead == '>') ADVANCE(511);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(540);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(502);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(501);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(514);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(700);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(495);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(682);
      if (lookahead == '1') ADVANCE(616);
      if (lookahead == '3') ADVANCE(614);
      if (lookahead == '6') ADVANCE(615);
      if (lookahead == '8') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(513);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(698);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(357);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(355);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(552);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(354);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(356);
      if (lookahead == '.') ADVANCE(559);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(359);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(353);
      if (lookahead == 'L') ADVANCE(560);
      if (lookahead == 'l') ADVANCE(563);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(352);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(303);
      if (lookahead == '3') ADVANCE(302);
      if (lookahead == '6') ADVANCE(304);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(338);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(352);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(551);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(550);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(561);
      if (lookahead == 'l') ADVANCE(564);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(550);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(565);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(550);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(586);
      if (lookahead == '\r') ADVANCE(585);
      if (lookahead == 'U') ADVANCE(377);
      if (lookahead == 'u') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (lookahead != 0) ADVANCE(585);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(687);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(582);
      if (lookahead == '/') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(581);
      if (lookahead == '/') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(582);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(581);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(580);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(583);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(584);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(117);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(589);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_true);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_false);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(566);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(604);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(693);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(568);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(567);
      if (lookahead == '8') ADVANCE(606);
      if (lookahead == 'R') ADVANCE(609);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(607);
      if (lookahead == 'R') ADVANCE(609);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_14(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(694);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == 'R') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(695);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(682);
      if (lookahead == '1') ADVANCE(616);
      if (lookahead == '3') ADVANCE(614);
      if (lookahead == '6') ADVANCE(615);
      if (lookahead == '8') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_16(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(671);
      if (lookahead == 's') ADVANCE(636);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(641);
      if (lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_18(lookahead)) ADVANCE(682);
      if (lookahead == '2') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_19(lookahead)) ADVANCE(682);
      if (lookahead == '4') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_20(lookahead)) ADVANCE(682);
      if (lookahead == '6') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(567);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(682);
      if (lookahead == 'E') ADVANCE(591);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(682);
      if (lookahead == 'E') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_22(lookahead)) ADVANCE(682);
      if (lookahead == 'L') ADVANCE(622);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(682);
      if (lookahead == 'S') ADVANCE(619);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_24(lookahead)) ADVANCE(682);
      if (lookahead == 'U') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_25(lookahead)) ADVANCE(682);
      if (lookahead == 'A') ADVANCE(620);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_26(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(646);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(526);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(637);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(591);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(592);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(678);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(678);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(632);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'g') ADVANCE(649);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'h') ADVANCE(674);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(671);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(633);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(634);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(626);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(650);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(661);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(643);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(629);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(653);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(662);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(678);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(664);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(667);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(639);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(675);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(642);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(654);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(666);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(525);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(627);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(678);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(669);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_38(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 's') ADVANCE(630);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(525);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(526);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(611);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(658);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(659);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(625);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(644);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(628);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'x') ADVANCE(677);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'z') ADVANCE(631);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(641);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(670);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(657);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(663);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(645);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(676);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(663);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(566);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(568);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0) ADVANCE(686);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(686);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(686);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(687);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '\r') ADVANCE(690);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(688);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\r') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(686);
      if (lookahead == '/') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(575);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(706);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(693);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(577);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(707);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(576);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '8') ADVANCE(708);
      if (lookahead == 'R') ADVANCE(709);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(694);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(696);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(578);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == 'R') ADVANCE(710);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(695);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(697);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(682);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(711);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'd') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == 't') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(95);
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(420);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(426);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(438);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(444);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(447);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(452);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(453);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(456);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(468);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(470);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(471);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 421:
      if (lookahead == 'b') ADVANCE(480);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 425:
      if (lookahead == 'p') ADVANCE(482);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 427:
      if (lookahead == 's') ADVANCE(484);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(485);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(491);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(492);
      END_STATE();
    case 437:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 438:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 439:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(496);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 444:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 445:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(500);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(501);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 450:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(505);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(509);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 466:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 473:
      if (lookahead == 'd') ADVANCE(520);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 478:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 479:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 480:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 484:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'c') ADVANCE(532);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(534);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 493:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 494:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 502:
      if (lookahead == 't') ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 512:
      if (lookahead == 'd') ADVANCE(543);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 518:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(546);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 526:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 527:
      if (lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 528:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 531:
      if (lookahead == '_') ADVANCE(552);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 534:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 535:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(557);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 545:
      if (lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 546:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 549:
      if (lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 551:
      if (lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 555:
      if (lookahead == 'd') ADVANCE(565);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(568);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(569);
      END_STATE();
    case 562:
      if (lookahead == '_') ADVANCE(570);
      END_STATE();
    case 563:
      if (lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 567:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 387},
  [2] = {.lex_state = 387},
  [3] = {.lex_state = 387},
  [4] = {.lex_state = 387},
  [5] = {.lex_state = 387},
  [6] = {.lex_state = 387},
  [7] = {.lex_state = 387},
  [8] = {.lex_state = 387},
  [9] = {.lex_state = 387},
  [10] = {.lex_state = 387},
  [11] = {.lex_state = 387},
  [12] = {.lex_state = 387},
  [13] = {.lex_state = 387},
  [14] = {.lex_state = 387},
  [15] = {.lex_state = 387},
  [16] = {.lex_state = 198},
  [17] = {.lex_state = 198},
  [18] = {.lex_state = 198},
  [19] = {.lex_state = 198},
  [20] = {.lex_state = 198},
  [21] = {.lex_state = 198},
  [22] = {.lex_state = 198},
  [23] = {.lex_state = 198},
  [24] = {.lex_state = 198},
  [25] = {.lex_state = 198},
  [26] = {.lex_state = 202},
  [27] = {.lex_state = 202},
  [28] = {.lex_state = 202},
  [29] = {.lex_state = 202},
  [30] = {.lex_state = 202},
  [31] = {.lex_state = 202},
  [32] = {.lex_state = 202},
  [33] = {.lex_state = 202},
  [34] = {.lex_state = 202},
  [35] = {.lex_state = 202},
  [36] = {.lex_state = 202},
  [37] = {.lex_state = 202},
  [38] = {.lex_state = 198},
  [39] = {.lex_state = 202},
  [40] = {.lex_state = 202},
  [41] = {.lex_state = 202},
  [42] = {.lex_state = 387},
  [43] = {.lex_state = 387},
  [44] = {.lex_state = 387},
  [45] = {.lex_state = 387},
  [46] = {.lex_state = 387},
  [47] = {.lex_state = 387},
  [48] = {.lex_state = 387},
  [49] = {.lex_state = 387},
  [50] = {.lex_state = 387},
  [51] = {.lex_state = 387},
  [52] = {.lex_state = 387},
  [53] = {.lex_state = 387},
  [54] = {.lex_state = 387},
  [55] = {.lex_state = 387},
  [56] = {.lex_state = 387},
  [57] = {.lex_state = 387},
  [58] = {.lex_state = 387},
  [59] = {.lex_state = 387},
  [60] = {.lex_state = 387},
  [61] = {.lex_state = 387},
  [62] = {.lex_state = 387},
  [63] = {.lex_state = 387},
  [64] = {.lex_state = 387},
  [65] = {.lex_state = 387},
  [66] = {.lex_state = 387},
  [67] = {.lex_state = 387},
  [68] = {.lex_state = 387},
  [69] = {.lex_state = 387},
  [70] = {.lex_state = 387},
  [71] = {.lex_state = 387},
  [72] = {.lex_state = 387},
  [73] = {.lex_state = 201},
  [74] = {.lex_state = 387},
  [75] = {.lex_state = 387},
  [76] = {.lex_state = 387},
  [77] = {.lex_state = 387},
  [78] = {.lex_state = 387},
  [79] = {.lex_state = 387},
  [80] = {.lex_state = 387},
  [81] = {.lex_state = 387},
  [82] = {.lex_state = 387},
  [83] = {.lex_state = 387},
  [84] = {.lex_state = 387},
  [85] = {.lex_state = 201},
  [86] = {.lex_state = 387},
  [87] = {.lex_state = 387},
  [88] = {.lex_state = 387},
  [89] = {.lex_state = 387},
  [90] = {.lex_state = 387},
  [91] = {.lex_state = 387},
  [92] = {.lex_state = 387},
  [93] = {.lex_state = 387},
  [94] = {.lex_state = 201},
  [95] = {.lex_state = 387},
  [96] = {.lex_state = 387},
  [97] = {.lex_state = 387},
  [98] = {.lex_state = 387},
  [99] = {.lex_state = 387},
  [100] = {.lex_state = 198},
  [101] = {.lex_state = 198},
  [102] = {.lex_state = 198},
  [103] = {.lex_state = 198},
  [104] = {.lex_state = 198},
  [105] = {.lex_state = 202},
  [106] = {.lex_state = 202},
  [107] = {.lex_state = 202},
  [108] = {.lex_state = 202},
  [109] = {.lex_state = 202},
  [110] = {.lex_state = 387},
  [111] = {.lex_state = 387},
  [112] = {.lex_state = 387},
  [113] = {.lex_state = 387},
  [114] = {.lex_state = 387},
  [115] = {.lex_state = 201},
  [116] = {.lex_state = 387},
  [117] = {.lex_state = 387},
  [118] = {.lex_state = 201},
  [119] = {.lex_state = 201},
  [120] = {.lex_state = 201},
  [121] = {.lex_state = 387},
  [122] = {.lex_state = 201},
  [123] = {.lex_state = 387},
  [124] = {.lex_state = 387},
  [125] = {.lex_state = 200},
  [126] = {.lex_state = 200},
  [127] = {.lex_state = 200},
  [128] = {.lex_state = 200},
  [129] = {.lex_state = 200},
  [130] = {.lex_state = 200},
  [131] = {.lex_state = 200},
  [132] = {.lex_state = 200},
  [133] = {.lex_state = 200},
  [134] = {.lex_state = 200},
  [135] = {.lex_state = 200},
  [136] = {.lex_state = 200},
  [137] = {.lex_state = 200},
  [138] = {.lex_state = 200},
  [139] = {.lex_state = 200},
  [140] = {.lex_state = 200},
  [141] = {.lex_state = 200},
  [142] = {.lex_state = 200},
  [143] = {.lex_state = 200},
  [144] = {.lex_state = 200},
  [145] = {.lex_state = 200},
  [146] = {.lex_state = 200},
  [147] = {.lex_state = 203},
  [148] = {.lex_state = 203},
  [149] = {.lex_state = 203},
  [150] = {.lex_state = 200},
  [151] = {.lex_state = 189},
  [152] = {.lex_state = 387},
  [153] = {.lex_state = 189},
  [154] = {.lex_state = 387},
  [155] = {.lex_state = 191},
  [156] = {.lex_state = 200},
  [157] = {.lex_state = 193},
  [158] = {.lex_state = 189},
  [159] = {.lex_state = 200},
  [160] = {.lex_state = 200},
  [161] = {.lex_state = 200},
  [162] = {.lex_state = 200},
  [163] = {.lex_state = 200},
  [164] = {.lex_state = 200},
  [165] = {.lex_state = 200},
  [166] = {.lex_state = 200},
  [167] = {.lex_state = 200},
  [168] = {.lex_state = 200},
  [169] = {.lex_state = 200},
  [170] = {.lex_state = 200},
  [171] = {.lex_state = 200},
  [172] = {.lex_state = 200},
  [173] = {.lex_state = 200},
  [174] = {.lex_state = 200},
  [175] = {.lex_state = 200},
  [176] = {.lex_state = 200},
  [177] = {.lex_state = 200},
  [178] = {.lex_state = 200},
  [179] = {.lex_state = 200},
  [180] = {.lex_state = 200},
  [181] = {.lex_state = 200},
  [182] = {.lex_state = 200},
  [183] = {.lex_state = 200},
  [184] = {.lex_state = 200},
  [185] = {.lex_state = 194},
  [186] = {.lex_state = 200},
  [187] = {.lex_state = 200},
  [188] = {.lex_state = 189},
  [189] = {.lex_state = 200},
  [190] = {.lex_state = 200},
  [191] = {.lex_state = 200},
  [192] = {.lex_state = 200},
  [193] = {.lex_state = 200},
  [194] = {.lex_state = 200},
  [195] = {.lex_state = 200},
  [196] = {.lex_state = 200},
  [197] = {.lex_state = 200},
  [198] = {.lex_state = 200},
  [199] = {.lex_state = 200},
  [200] = {.lex_state = 200},
  [201] = {.lex_state = 200},
  [202] = {.lex_state = 200},
  [203] = {.lex_state = 200},
  [204] = {.lex_state = 200},
  [205] = {.lex_state = 200},
  [206] = {.lex_state = 200},
  [207] = {.lex_state = 200},
  [208] = {.lex_state = 200},
  [209] = {.lex_state = 200},
  [210] = {.lex_state = 200},
  [211] = {.lex_state = 200},
  [212] = {.lex_state = 200},
  [213] = {.lex_state = 200},
  [214] = {.lex_state = 200},
  [215] = {.lex_state = 200},
  [216] = {.lex_state = 200},
  [217] = {.lex_state = 200},
  [218] = {.lex_state = 200},
  [219] = {.lex_state = 200},
  [220] = {.lex_state = 200},
  [221] = {.lex_state = 200},
  [222] = {.lex_state = 200},
  [223] = {.lex_state = 200},
  [224] = {.lex_state = 200},
  [225] = {.lex_state = 200},
  [226] = {.lex_state = 200},
  [227] = {.lex_state = 200},
  [228] = {.lex_state = 200},
  [229] = {.lex_state = 200},
  [230] = {.lex_state = 198},
  [231] = {.lex_state = 193},
  [232] = {.lex_state = 198},
  [233] = {.lex_state = 204},
  [234] = {.lex_state = 204},
  [235] = {.lex_state = 204},
  [236] = {.lex_state = 204},
  [237] = {.lex_state = 204},
  [238] = {.lex_state = 204},
  [239] = {.lex_state = 204},
  [240] = {.lex_state = 204},
  [241] = {.lex_state = 204},
  [242] = {.lex_state = 204},
  [243] = {.lex_state = 204},
  [244] = {.lex_state = 198},
  [245] = {.lex_state = 204},
  [246] = {.lex_state = 204},
  [247] = {.lex_state = 204},
  [248] = {.lex_state = 204},
  [249] = {.lex_state = 204},
  [250] = {.lex_state = 204},
  [251] = {.lex_state = 204},
  [252] = {.lex_state = 204},
  [253] = {.lex_state = 198},
  [254] = {.lex_state = 204},
  [255] = {.lex_state = 204},
  [256] = {.lex_state = 204},
  [257] = {.lex_state = 204},
  [258] = {.lex_state = 204},
  [259] = {.lex_state = 204},
  [260] = {.lex_state = 204},
  [261] = {.lex_state = 204},
  [262] = {.lex_state = 204},
  [263] = {.lex_state = 204},
  [264] = {.lex_state = 204},
  [265] = {.lex_state = 198},
  [266] = {.lex_state = 198},
  [267] = {.lex_state = 198},
  [268] = {.lex_state = 202},
  [269] = {.lex_state = 202},
  [270] = {.lex_state = 198},
  [271] = {.lex_state = 198},
  [272] = {.lex_state = 198},
  [273] = {.lex_state = 198},
  [274] = {.lex_state = 198},
  [275] = {.lex_state = 198},
  [276] = {.lex_state = 198},
  [277] = {.lex_state = 198},
  [278] = {.lex_state = 198},
  [279] = {.lex_state = 198},
  [280] = {.lex_state = 198},
  [281] = {.lex_state = 198},
  [282] = {.lex_state = 202},
  [283] = {.lex_state = 198},
  [284] = {.lex_state = 202},
  [285] = {.lex_state = 198},
  [286] = {.lex_state = 198},
  [287] = {.lex_state = 198},
  [288] = {.lex_state = 198},
  [289] = {.lex_state = 198},
  [290] = {.lex_state = 198},
  [291] = {.lex_state = 198},
  [292] = {.lex_state = 198},
  [293] = {.lex_state = 198},
  [294] = {.lex_state = 198},
  [295] = {.lex_state = 198},
  [296] = {.lex_state = 198},
  [297] = {.lex_state = 198},
  [298] = {.lex_state = 198},
  [299] = {.lex_state = 198},
  [300] = {.lex_state = 198},
  [301] = {.lex_state = 198},
  [302] = {.lex_state = 198},
  [303] = {.lex_state = 198},
  [304] = {.lex_state = 198},
  [305] = {.lex_state = 198},
  [306] = {.lex_state = 198},
  [307] = {.lex_state = 198},
  [308] = {.lex_state = 198},
  [309] = {.lex_state = 198},
  [310] = {.lex_state = 198},
  [311] = {.lex_state = 198},
  [312] = {.lex_state = 198},
  [313] = {.lex_state = 198},
  [314] = {.lex_state = 198},
  [315] = {.lex_state = 198},
  [316] = {.lex_state = 198},
  [317] = {.lex_state = 198},
  [318] = {.lex_state = 198},
  [319] = {.lex_state = 198},
  [320] = {.lex_state = 198},
  [321] = {.lex_state = 198},
  [322] = {.lex_state = 198},
  [323] = {.lex_state = 198},
  [324] = {.lex_state = 198},
  [325] = {.lex_state = 198},
  [326] = {.lex_state = 198},
  [327] = {.lex_state = 198},
  [328] = {.lex_state = 198},
  [329] = {.lex_state = 198},
  [330] = {.lex_state = 198},
  [331] = {.lex_state = 198},
  [332] = {.lex_state = 198},
  [333] = {.lex_state = 198},
  [334] = {.lex_state = 198},
  [335] = {.lex_state = 198},
  [336] = {.lex_state = 198},
  [337] = {.lex_state = 198},
  [338] = {.lex_state = 198},
  [339] = {.lex_state = 198},
  [340] = {.lex_state = 198},
  [341] = {.lex_state = 198},
  [342] = {.lex_state = 198},
  [343] = {.lex_state = 198},
  [344] = {.lex_state = 198},
  [345] = {.lex_state = 198},
  [346] = {.lex_state = 198},
  [347] = {.lex_state = 198},
  [348] = {.lex_state = 198},
  [349] = {.lex_state = 198},
  [350] = {.lex_state = 198},
  [351] = {.lex_state = 202},
  [352] = {.lex_state = 198},
  [353] = {.lex_state = 198},
  [354] = {.lex_state = 282},
  [355] = {.lex_state = 198},
  [356] = {.lex_state = 198},
  [357] = {.lex_state = 198},
  [358] = {.lex_state = 198},
  [359] = {.lex_state = 198},
  [360] = {.lex_state = 282},
  [361] = {.lex_state = 198},
  [362] = {.lex_state = 198},
  [363] = {.lex_state = 198},
  [364] = {.lex_state = 198},
  [365] = {.lex_state = 198},
  [366] = {.lex_state = 198},
  [367] = {.lex_state = 387},
  [368] = {.lex_state = 198},
  [369] = {.lex_state = 198},
  [370] = {.lex_state = 198},
  [371] = {.lex_state = 198},
  [372] = {.lex_state = 198},
  [373] = {.lex_state = 198},
  [374] = {.lex_state = 198},
  [375] = {.lex_state = 202},
  [376] = {.lex_state = 198},
  [377] = {.lex_state = 201},
  [378] = {.lex_state = 198},
  [379] = {.lex_state = 198},
  [380] = {.lex_state = 198},
  [381] = {.lex_state = 200},
  [382] = {.lex_state = 200},
  [383] = {.lex_state = 282},
  [384] = {.lex_state = 198},
  [385] = {.lex_state = 198},
  [386] = {.lex_state = 198},
  [387] = {.lex_state = 198},
  [388] = {.lex_state = 198},
  [389] = {.lex_state = 282},
  [390] = {.lex_state = 282},
  [391] = {.lex_state = 282},
  [392] = {.lex_state = 198},
  [393] = {.lex_state = 198},
  [394] = {.lex_state = 198},
  [395] = {.lex_state = 282},
  [396] = {.lex_state = 198},
  [397] = {.lex_state = 198},
  [398] = {.lex_state = 198},
  [399] = {.lex_state = 198},
  [400] = {.lex_state = 198},
  [401] = {.lex_state = 198},
  [402] = {.lex_state = 198},
  [403] = {.lex_state = 198},
  [404] = {.lex_state = 202},
  [405] = {.lex_state = 387},
  [406] = {.lex_state = 198},
  [407] = {.lex_state = 198},
  [408] = {.lex_state = 201},
  [409] = {.lex_state = 387},
  [410] = {.lex_state = 198},
  [411] = {.lex_state = 202},
  [412] = {.lex_state = 202},
  [413] = {.lex_state = 198},
  [414] = {.lex_state = 198},
  [415] = {.lex_state = 198},
  [416] = {.lex_state = 198},
  [417] = {.lex_state = 198},
  [418] = {.lex_state = 198},
  [419] = {.lex_state = 198},
  [420] = {.lex_state = 198},
  [421] = {.lex_state = 198},
  [422] = {.lex_state = 198},
  [423] = {.lex_state = 198},
  [424] = {.lex_state = 200},
  [425] = {.lex_state = 198},
  [426] = {.lex_state = 198},
  [427] = {.lex_state = 198},
  [428] = {.lex_state = 282},
  [429] = {.lex_state = 198},
  [430] = {.lex_state = 198},
  [431] = {.lex_state = 198},
  [432] = {.lex_state = 198},
  [433] = {.lex_state = 198},
  [434] = {.lex_state = 198},
  [435] = {.lex_state = 198},
  [436] = {.lex_state = 198},
  [437] = {.lex_state = 387},
  [438] = {.lex_state = 202},
  [439] = {.lex_state = 202},
  [440] = {.lex_state = 202},
  [441] = {.lex_state = 204},
  [442] = {.lex_state = 202},
  [443] = {.lex_state = 202},
  [444] = {.lex_state = 202},
  [445] = {.lex_state = 202},
  [446] = {.lex_state = 202},
  [447] = {.lex_state = 202},
  [448] = {.lex_state = 202},
  [449] = {.lex_state = 202},
  [450] = {.lex_state = 202},
  [451] = {.lex_state = 202},
  [452] = {.lex_state = 202},
  [453] = {.lex_state = 202},
  [454] = {.lex_state = 202},
  [455] = {.lex_state = 202},
  [456] = {.lex_state = 202},
  [457] = {.lex_state = 202},
  [458] = {.lex_state = 202},
  [459] = {.lex_state = 204},
  [460] = {.lex_state = 202},
  [461] = {.lex_state = 202},
  [462] = {.lex_state = 202},
  [463] = {.lex_state = 202},
  [464] = {.lex_state = 202},
  [465] = {.lex_state = 387},
  [466] = {.lex_state = 201},
  [467] = {.lex_state = 202},
  [468] = {.lex_state = 202},
  [469] = {.lex_state = 201},
  [470] = {.lex_state = 202},
  [471] = {.lex_state = 202},
  [472] = {.lex_state = 202},
  [473] = {.lex_state = 202},
  [474] = {.lex_state = 202},
  [475] = {.lex_state = 202},
  [476] = {.lex_state = 202},
  [477] = {.lex_state = 204},
  [478] = {.lex_state = 202},
  [479] = {.lex_state = 202},
  [480] = {.lex_state = 202},
  [481] = {.lex_state = 202},
  [482] = {.lex_state = 202},
  [483] = {.lex_state = 202},
  [484] = {.lex_state = 202},
  [485] = {.lex_state = 202},
  [486] = {.lex_state = 202},
  [487] = {.lex_state = 204},
  [488] = {.lex_state = 202},
  [489] = {.lex_state = 204},
  [490] = {.lex_state = 204},
  [491] = {.lex_state = 202},
  [492] = {.lex_state = 387},
  [493] = {.lex_state = 202},
  [494] = {.lex_state = 202},
  [495] = {.lex_state = 202},
  [496] = {.lex_state = 202},
  [497] = {.lex_state = 202},
  [498] = {.lex_state = 202},
  [499] = {.lex_state = 202},
  [500] = {.lex_state = 202},
  [501] = {.lex_state = 202},
  [502] = {.lex_state = 202},
  [503] = {.lex_state = 202},
  [504] = {.lex_state = 202},
  [505] = {.lex_state = 202},
  [506] = {.lex_state = 202},
  [507] = {.lex_state = 202},
  [508] = {.lex_state = 202},
  [509] = {.lex_state = 204},
  [510] = {.lex_state = 202},
  [511] = {.lex_state = 202},
  [512] = {.lex_state = 202},
  [513] = {.lex_state = 202},
  [514] = {.lex_state = 202},
  [515] = {.lex_state = 202},
  [516] = {.lex_state = 202},
  [517] = {.lex_state = 202},
  [518] = {.lex_state = 202},
  [519] = {.lex_state = 202},
  [520] = {.lex_state = 204},
  [521] = {.lex_state = 204},
  [522] = {.lex_state = 202},
  [523] = {.lex_state = 202},
  [524] = {.lex_state = 202},
  [525] = {.lex_state = 202},
  [526] = {.lex_state = 204},
  [527] = {.lex_state = 204},
  [528] = {.lex_state = 204},
  [529] = {.lex_state = 204},
  [530] = {.lex_state = 204},
  [531] = {.lex_state = 202},
  [532] = {.lex_state = 204},
  [533] = {.lex_state = 204},
  [534] = {.lex_state = 204},
  [535] = {.lex_state = 204},
  [536] = {.lex_state = 202},
  [537] = {.lex_state = 204},
  [538] = {.lex_state = 202},
  [539] = {.lex_state = 202},
  [540] = {.lex_state = 202},
  [541] = {.lex_state = 202},
  [542] = {.lex_state = 202},
  [543] = {.lex_state = 202},
  [544] = {.lex_state = 202},
  [545] = {.lex_state = 202},
  [546] = {.lex_state = 202},
  [547] = {.lex_state = 202},
  [548] = {.lex_state = 202},
  [549] = {.lex_state = 387},
  [550] = {.lex_state = 202},
  [551] = {.lex_state = 202},
  [552] = {.lex_state = 202},
  [553] = {.lex_state = 202},
  [554] = {.lex_state = 202},
  [555] = {.lex_state = 201},
  [556] = {.lex_state = 202},
  [557] = {.lex_state = 202},
  [558] = {.lex_state = 202},
  [559] = {.lex_state = 202},
  [560] = {.lex_state = 202},
  [561] = {.lex_state = 202},
  [562] = {.lex_state = 202},
  [563] = {.lex_state = 202},
  [564] = {.lex_state = 202},
  [565] = {.lex_state = 202},
  [566] = {.lex_state = 202},
  [567] = {.lex_state = 202},
  [568] = {.lex_state = 202},
  [569] = {.lex_state = 202},
  [570] = {.lex_state = 202},
  [571] = {.lex_state = 202},
  [572] = {.lex_state = 202},
  [573] = {.lex_state = 387},
  [574] = {.lex_state = 202},
  [575] = {.lex_state = 387},
  [576] = {.lex_state = 202},
  [577] = {.lex_state = 202},
  [578] = {.lex_state = 202},
  [579] = {.lex_state = 202},
  [580] = {.lex_state = 202},
  [581] = {.lex_state = 202},
  [582] = {.lex_state = 387},
  [583] = {.lex_state = 202},
  [584] = {.lex_state = 202},
  [585] = {.lex_state = 202},
  [586] = {.lex_state = 201},
  [587] = {.lex_state = 387},
  [588] = {.lex_state = 202},
  [589] = {.lex_state = 204},
  [590] = {.lex_state = 203},
  [591] = {.lex_state = 200},
  [592] = {.lex_state = 201},
  [593] = {.lex_state = 387},
  [594] = {.lex_state = 201},
  [595] = {.lex_state = 202},
  [596] = {.lex_state = 387},
  [597] = {.lex_state = 202},
  [598] = {.lex_state = 202},
  [599] = {.lex_state = 202},
  [600] = {.lex_state = 202},
  [601] = {.lex_state = 202},
  [602] = {.lex_state = 202},
  [603] = {.lex_state = 202},
  [604] = {.lex_state = 387},
  [605] = {.lex_state = 202},
  [606] = {.lex_state = 202},
  [607] = {.lex_state = 202},
  [608] = {.lex_state = 202},
  [609] = {.lex_state = 202},
  [610] = {.lex_state = 202},
  [611] = {.lex_state = 202},
  [612] = {.lex_state = 203},
  [613] = {.lex_state = 202},
  [614] = {.lex_state = 201},
  [615] = {.lex_state = 202},
  [616] = {.lex_state = 202},
  [617] = {.lex_state = 202},
  [618] = {.lex_state = 202},
  [619] = {.lex_state = 202},
  [620] = {.lex_state = 387},
  [621] = {.lex_state = 387},
  [622] = {.lex_state = 387},
  [623] = {.lex_state = 387},
  [624] = {.lex_state = 387},
  [625] = {.lex_state = 387},
  [626] = {.lex_state = 387},
  [627] = {.lex_state = 387},
  [628] = {.lex_state = 387},
  [629] = {.lex_state = 387},
  [630] = {.lex_state = 387},
  [631] = {.lex_state = 387},
  [632] = {.lex_state = 387},
  [633] = {.lex_state = 387},
  [634] = {.lex_state = 387},
  [635] = {.lex_state = 387},
  [636] = {.lex_state = 387},
  [637] = {.lex_state = 387},
  [638] = {.lex_state = 387},
  [639] = {.lex_state = 387},
  [640] = {.lex_state = 387},
  [641] = {.lex_state = 387},
  [642] = {.lex_state = 387},
  [643] = {.lex_state = 387},
  [644] = {.lex_state = 387},
  [645] = {.lex_state = 387},
  [646] = {.lex_state = 387},
  [647] = {.lex_state = 387},
  [648] = {.lex_state = 387},
  [649] = {.lex_state = 387},
  [650] = {.lex_state = 387},
  [651] = {.lex_state = 387},
  [652] = {.lex_state = 387},
  [653] = {.lex_state = 387},
  [654] = {.lex_state = 387},
  [655] = {.lex_state = 387},
  [656] = {.lex_state = 387},
  [657] = {.lex_state = 387},
  [658] = {.lex_state = 387},
  [659] = {.lex_state = 387},
  [660] = {.lex_state = 387},
  [661] = {.lex_state = 387},
  [662] = {.lex_state = 387},
  [663] = {.lex_state = 387},
  [664] = {.lex_state = 387},
  [665] = {.lex_state = 387},
  [666] = {.lex_state = 387},
  [667] = {.lex_state = 387},
  [668] = {.lex_state = 387},
  [669] = {.lex_state = 387},
  [670] = {.lex_state = 387},
  [671] = {.lex_state = 387},
  [672] = {.lex_state = 387},
  [673] = {.lex_state = 387},
  [674] = {.lex_state = 201},
  [675] = {.lex_state = 387},
  [676] = {.lex_state = 201},
  [677] = {.lex_state = 387},
  [678] = {.lex_state = 387},
  [679] = {.lex_state = 201},
  [680] = {.lex_state = 201},
  [681] = {.lex_state = 252},
  [682] = {.lex_state = 387},
  [683] = {.lex_state = 252},
  [684] = {.lex_state = 387},
  [685] = {.lex_state = 201},
  [686] = {.lex_state = 201},
  [687] = {.lex_state = 201},
  [688] = {.lex_state = 201},
  [689] = {.lex_state = 252},
  [690] = {.lex_state = 387},
  [691] = {.lex_state = 201},
  [692] = {.lex_state = 201},
  [693] = {.lex_state = 201},
  [694] = {.lex_state = 387},
  [695] = {.lex_state = 387},
  [696] = {.lex_state = 201},
  [697] = {.lex_state = 201},
  [698] = {.lex_state = 387},
  [699] = {.lex_state = 252},
  [700] = {.lex_state = 252},
  [701] = {.lex_state = 201},
  [702] = {.lex_state = 387},
  [703] = {.lex_state = 387},
  [704] = {.lex_state = 387},
  [705] = {.lex_state = 387},
  [706] = {.lex_state = 387},
  [707] = {.lex_state = 201},
  [708] = {.lex_state = 387},
  [709] = {.lex_state = 387},
  [710] = {.lex_state = 387},
  [711] = {.lex_state = 387},
  [712] = {.lex_state = 387},
  [713] = {.lex_state = 387},
  [714] = {.lex_state = 387},
  [715] = {.lex_state = 387},
  [716] = {.lex_state = 387},
  [717] = {.lex_state = 201},
  [718] = {.lex_state = 387},
  [719] = {.lex_state = 387},
  [720] = {.lex_state = 387},
  [721] = {.lex_state = 387},
  [722] = {.lex_state = 252},
  [723] = {.lex_state = 387},
  [724] = {.lex_state = 387},
  [725] = {.lex_state = 252},
  [726] = {.lex_state = 201},
  [727] = {.lex_state = 201},
  [728] = {.lex_state = 387},
  [729] = {.lex_state = 387},
  [730] = {.lex_state = 387},
  [731] = {.lex_state = 387},
  [732] = {.lex_state = 387},
  [733] = {.lex_state = 387},
  [734] = {.lex_state = 201},
  [735] = {.lex_state = 201},
  [736] = {.lex_state = 387},
  [737] = {.lex_state = 201},
  [738] = {.lex_state = 387},
  [739] = {.lex_state = 201},
  [740] = {.lex_state = 387},
  [741] = {.lex_state = 201},
  [742] = {.lex_state = 387},
  [743] = {.lex_state = 387},
  [744] = {.lex_state = 387},
  [745] = {.lex_state = 201},
  [746] = {.lex_state = 387},
  [747] = {.lex_state = 387},
  [748] = {.lex_state = 387},
  [749] = {.lex_state = 201},
  [750] = {.lex_state = 201},
  [751] = {.lex_state = 387},
  [752] = {.lex_state = 387},
  [753] = {.lex_state = 387},
  [754] = {.lex_state = 252},
  [755] = {.lex_state = 387},
  [756] = {.lex_state = 387},
  [757] = {.lex_state = 387},
  [758] = {.lex_state = 387},
  [759] = {.lex_state = 201},
  [760] = {.lex_state = 387},
  [761] = {.lex_state = 387},
  [762] = {.lex_state = 387},
  [763] = {.lex_state = 387},
  [764] = {.lex_state = 201},
  [765] = {.lex_state = 201},
  [766] = {.lex_state = 201},
  [767] = {.lex_state = 201},
  [768] = {.lex_state = 201},
  [769] = {.lex_state = 387},
  [770] = {.lex_state = 201},
  [771] = {.lex_state = 201},
  [772] = {.lex_state = 201},
  [773] = {.lex_state = 201},
  [774] = {.lex_state = 201},
  [775] = {.lex_state = 201},
  [776] = {.lex_state = 387},
  [777] = {.lex_state = 387},
  [778] = {.lex_state = 387},
  [779] = {.lex_state = 201},
  [780] = {.lex_state = 387},
  [781] = {.lex_state = 387},
  [782] = {.lex_state = 201},
  [783] = {.lex_state = 387},
  [784] = {.lex_state = 201},
  [785] = {.lex_state = 201},
  [786] = {.lex_state = 387},
  [787] = {.lex_state = 201},
  [788] = {.lex_state = 201},
  [789] = {.lex_state = 387},
  [790] = {.lex_state = 387},
  [791] = {.lex_state = 201},
  [792] = {.lex_state = 201},
  [793] = {.lex_state = 201},
  [794] = {.lex_state = 201},
  [795] = {.lex_state = 201},
  [796] = {.lex_state = 201},
  [797] = {.lex_state = 201},
  [798] = {.lex_state = 201},
  [799] = {.lex_state = 201},
  [800] = {.lex_state = 201},
  [801] = {.lex_state = 201},
  [802] = {.lex_state = 201},
  [803] = {.lex_state = 201},
  [804] = {.lex_state = 201},
  [805] = {.lex_state = 201},
  [806] = {.lex_state = 252},
  [807] = {.lex_state = 387},
  [808] = {.lex_state = 387},
  [809] = {.lex_state = 252},
  [810] = {.lex_state = 201},
  [811] = {.lex_state = 201},
  [812] = {.lex_state = 387},
  [813] = {.lex_state = 201},
  [814] = {.lex_state = 387},
  [815] = {.lex_state = 201},
  [816] = {.lex_state = 201},
  [817] = {.lex_state = 387},
  [818] = {.lex_state = 387},
  [819] = {.lex_state = 387},
  [820] = {.lex_state = 201},
  [821] = {.lex_state = 387},
  [822] = {.lex_state = 387},
  [823] = {.lex_state = 201},
  [824] = {.lex_state = 201},
  [825] = {.lex_state = 201},
  [826] = {.lex_state = 201},
  [827] = {.lex_state = 201},
  [828] = {.lex_state = 201},
  [829] = {.lex_state = 387},
  [830] = {.lex_state = 387},
  [831] = {.lex_state = 201},
  [832] = {.lex_state = 387},
  [833] = {.lex_state = 387},
  [834] = {.lex_state = 387},
  [835] = {.lex_state = 201},
  [836] = {.lex_state = 387},
  [837] = {.lex_state = 201},
  [838] = {.lex_state = 201},
  [839] = {.lex_state = 201},
  [840] = {.lex_state = 387},
  [841] = {.lex_state = 282},
  [842] = {.lex_state = 201},
  [843] = {.lex_state = 387},
  [844] = {.lex_state = 387},
  [845] = {.lex_state = 387},
  [846] = {.lex_state = 387},
  [847] = {.lex_state = 252},
  [848] = {.lex_state = 387},
  [849] = {.lex_state = 252},
  [850] = {.lex_state = 387},
  [851] = {.lex_state = 387},
  [852] = {.lex_state = 387},
  [853] = {.lex_state = 387},
  [854] = {.lex_state = 387},
  [855] = {.lex_state = 387},
  [856] = {.lex_state = 387},
  [857] = {.lex_state = 387},
  [858] = {.lex_state = 387},
  [859] = {.lex_state = 387},
  [860] = {.lex_state = 387},
  [861] = {.lex_state = 387},
  [862] = {.lex_state = 387},
  [863] = {.lex_state = 387},
  [864] = {.lex_state = 201},
  [865] = {.lex_state = 201},
  [866] = {.lex_state = 201},
  [867] = {.lex_state = 201},
  [868] = {.lex_state = 387},
  [869] = {.lex_state = 201},
  [870] = {.lex_state = 387},
  [871] = {.lex_state = 387},
  [872] = {.lex_state = 387},
  [873] = {.lex_state = 387},
  [874] = {.lex_state = 201},
  [875] = {.lex_state = 201},
  [876] = {.lex_state = 387},
  [877] = {.lex_state = 201},
  [878] = {.lex_state = 201},
  [879] = {.lex_state = 387},
  [880] = {.lex_state = 387},
  [881] = {.lex_state = 387},
  [882] = {.lex_state = 201},
  [883] = {.lex_state = 387},
  [884] = {.lex_state = 201},
  [885] = {.lex_state = 201},
  [886] = {.lex_state = 387},
  [887] = {.lex_state = 387},
  [888] = {.lex_state = 387},
  [889] = {.lex_state = 201},
  [890] = {.lex_state = 201},
  [891] = {.lex_state = 201},
  [892] = {.lex_state = 387},
  [893] = {.lex_state = 201},
  [894] = {.lex_state = 201},
  [895] = {.lex_state = 387},
  [896] = {.lex_state = 201},
  [897] = {.lex_state = 387},
  [898] = {.lex_state = 387},
  [899] = {.lex_state = 387},
  [900] = {.lex_state = 387},
  [901] = {.lex_state = 387},
  [902] = {.lex_state = 387},
  [903] = {.lex_state = 387},
  [904] = {.lex_state = 201},
  [905] = {.lex_state = 201},
  [906] = {.lex_state = 387},
  [907] = {.lex_state = 201},
  [908] = {.lex_state = 201},
  [909] = {.lex_state = 201},
  [910] = {.lex_state = 201},
  [911] = {.lex_state = 387},
  [912] = {.lex_state = 201},
  [913] = {.lex_state = 387},
  [914] = {.lex_state = 387},
  [915] = {.lex_state = 201},
  [916] = {.lex_state = 201},
  [917] = {.lex_state = 201},
  [918] = {.lex_state = 201},
  [919] = {.lex_state = 201},
  [920] = {.lex_state = 201},
  [921] = {.lex_state = 201},
  [922] = {.lex_state = 387},
  [923] = {.lex_state = 387},
  [924] = {.lex_state = 387},
  [925] = {.lex_state = 387},
  [926] = {.lex_state = 201},
  [927] = {.lex_state = 387},
  [928] = {.lex_state = 201},
  [929] = {.lex_state = 201},
  [930] = {.lex_state = 387},
  [931] = {.lex_state = 387},
  [932] = {.lex_state = 387},
  [933] = {.lex_state = 201},
  [934] = {.lex_state = 201},
  [935] = {.lex_state = 387},
  [936] = {.lex_state = 387},
  [937] = {.lex_state = 387},
  [938] = {.lex_state = 387},
  [939] = {.lex_state = 387},
  [940] = {.lex_state = 387},
  [941] = {.lex_state = 387},
  [942] = {.lex_state = 387},
  [943] = {.lex_state = 387},
  [944] = {.lex_state = 387},
  [945] = {.lex_state = 387},
  [946] = {.lex_state = 387},
  [947] = {.lex_state = 387},
  [948] = {.lex_state = 387},
  [949] = {.lex_state = 387},
  [950] = {.lex_state = 387},
  [951] = {.lex_state = 201},
  [952] = {.lex_state = 201},
  [953] = {.lex_state = 387},
  [954] = {.lex_state = 201},
  [955] = {.lex_state = 201},
  [956] = {.lex_state = 201},
  [957] = {.lex_state = 387},
  [958] = {.lex_state = 201},
  [959] = {.lex_state = 387},
  [960] = {.lex_state = 201},
  [961] = {.lex_state = 201},
  [962] = {.lex_state = 387},
  [963] = {.lex_state = 387},
  [964] = {.lex_state = 201},
  [965] = {.lex_state = 387},
  [966] = {.lex_state = 201},
  [967] = {.lex_state = 201},
  [968] = {.lex_state = 201},
  [969] = {.lex_state = 387},
  [970] = {.lex_state = 387},
  [971] = {.lex_state = 387},
  [972] = {.lex_state = 201},
  [973] = {.lex_state = 201},
  [974] = {.lex_state = 201},
  [975] = {.lex_state = 387},
  [976] = {.lex_state = 387},
  [977] = {.lex_state = 387},
  [978] = {.lex_state = 201},
  [979] = {.lex_state = 387},
  [980] = {.lex_state = 201},
  [981] = {.lex_state = 387},
  [982] = {.lex_state = 201},
  [983] = {.lex_state = 201},
  [984] = {.lex_state = 387},
  [985] = {.lex_state = 387},
  [986] = {.lex_state = 190},
  [987] = {.lex_state = 201},
  [988] = {.lex_state = 201},
  [989] = {.lex_state = 201},
  [990] = {.lex_state = 387},
  [991] = {.lex_state = 201},
  [992] = {.lex_state = 201},
  [993] = {.lex_state = 201},
  [994] = {.lex_state = 201},
  [995] = {.lex_state = 387},
  [996] = {.lex_state = 201},
  [997] = {.lex_state = 201},
  [998] = {.lex_state = 387},
  [999] = {.lex_state = 387},
  [1000] = {.lex_state = 252},
  [1001] = {.lex_state = 190},
  [1002] = {.lex_state = 192},
  [1003] = {.lex_state = 280},
  [1004] = {.lex_state = 387},
  [1005] = {.lex_state = 387},
  [1006] = {.lex_state = 387},
  [1007] = {.lex_state = 387},
  [1008] = {.lex_state = 280},
  [1009] = {.lex_state = 387},
  [1010] = {.lex_state = 280},
  [1011] = {.lex_state = 387},
  [1012] = {.lex_state = 387},
  [1013] = {.lex_state = 387},
  [1014] = {.lex_state = 280},
  [1015] = {.lex_state = 387},
  [1016] = {.lex_state = 190},
  [1017] = {.lex_state = 387},
  [1018] = {.lex_state = 280},
  [1019] = {.lex_state = 280},
  [1020] = {.lex_state = 387},
  [1021] = {.lex_state = 387},
  [1022] = {.lex_state = 387},
  [1023] = {.lex_state = 387},
  [1024] = {.lex_state = 387},
  [1025] = {.lex_state = 387},
  [1026] = {.lex_state = 387},
  [1027] = {.lex_state = 387},
  [1028] = {.lex_state = 387},
  [1029] = {.lex_state = 387},
  [1030] = {.lex_state = 280},
  [1031] = {.lex_state = 387},
  [1032] = {.lex_state = 280},
  [1033] = {.lex_state = 387},
  [1034] = {.lex_state = 387},
  [1035] = {.lex_state = 387},
  [1036] = {.lex_state = 280},
  [1037] = {.lex_state = 387},
  [1038] = {.lex_state = 280},
  [1039] = {.lex_state = 387},
  [1040] = {.lex_state = 387},
  [1041] = {.lex_state = 387},
  [1042] = {.lex_state = 387},
  [1043] = {.lex_state = 280},
  [1044] = {.lex_state = 387},
  [1045] = {.lex_state = 280},
  [1046] = {.lex_state = 387},
  [1047] = {.lex_state = 280},
  [1048] = {.lex_state = 387},
  [1049] = {.lex_state = 387},
  [1050] = {.lex_state = 283},
  [1051] = {.lex_state = 387},
  [1052] = {.lex_state = 280},
  [1053] = {.lex_state = 387},
  [1054] = {.lex_state = 387},
  [1055] = {.lex_state = 387},
  [1056] = {.lex_state = 387},
  [1057] = {.lex_state = 387},
  [1058] = {.lex_state = 280},
  [1059] = {.lex_state = 387},
  [1060] = {.lex_state = 280},
  [1061] = {.lex_state = 280},
  [1062] = {.lex_state = 280},
  [1063] = {.lex_state = 387},
  [1064] = {.lex_state = 387},
  [1065] = {.lex_state = 283},
  [1066] = {.lex_state = 280},
  [1067] = {.lex_state = 387},
  [1068] = {.lex_state = 387},
  [1069] = {.lex_state = 387},
  [1070] = {.lex_state = 387},
  [1071] = {.lex_state = 280},
  [1072] = {.lex_state = 387},
  [1073] = {.lex_state = 387},
  [1074] = {.lex_state = 280},
  [1075] = {.lex_state = 387},
  [1076] = {.lex_state = 387},
  [1077] = {.lex_state = 387},
  [1078] = {.lex_state = 387},
  [1079] = {.lex_state = 387},
  [1080] = {.lex_state = 387},
  [1081] = {.lex_state = 387},
  [1082] = {.lex_state = 387},
  [1083] = {.lex_state = 387},
  [1084] = {.lex_state = 387},
  [1085] = {.lex_state = 283},
  [1086] = {.lex_state = 280},
  [1087] = {.lex_state = 387},
  [1088] = {.lex_state = 387},
  [1089] = {.lex_state = 387},
  [1090] = {.lex_state = 387},
  [1091] = {.lex_state = 387},
  [1092] = {.lex_state = 280},
  [1093] = {.lex_state = 387},
  [1094] = {.lex_state = 280},
  [1095] = {.lex_state = 280},
  [1096] = {.lex_state = 190},
  [1097] = {.lex_state = 195},
  [1098] = {.lex_state = 190},
  [1099] = {.lex_state = 190},
  [1100] = {.lex_state = 196},
  [1101] = {.lex_state = 196},
  [1102] = {.lex_state = 282},
  [1103] = {.lex_state = 282},
  [1104] = {.lex_state = 282},
  [1105] = {.lex_state = 282},
  [1106] = {.lex_state = 282},
  [1107] = {.lex_state = 282},
  [1108] = {.lex_state = 282},
  [1109] = {.lex_state = 282},
  [1110] = {.lex_state = 282},
  [1111] = {.lex_state = 387},
  [1112] = {.lex_state = 387},
  [1113] = {.lex_state = 282},
  [1114] = {.lex_state = 282},
  [1115] = {.lex_state = 282},
  [1116] = {.lex_state = 282},
  [1117] = {.lex_state = 282},
  [1118] = {.lex_state = 282},
  [1119] = {.lex_state = 282},
  [1120] = {.lex_state = 282},
  [1121] = {.lex_state = 282},
  [1122] = {.lex_state = 222},
  [1123] = {.lex_state = 387},
  [1124] = {.lex_state = 204},
  [1125] = {.lex_state = 204},
  [1126] = {.lex_state = 200},
  [1127] = {.lex_state = 204},
  [1128] = {.lex_state = 204},
  [1129] = {.lex_state = 222},
  [1130] = {.lex_state = 222},
  [1131] = {.lex_state = 200},
  [1132] = {.lex_state = 204},
  [1133] = {.lex_state = 204},
  [1134] = {.lex_state = 204},
  [1135] = {.lex_state = 204},
  [1136] = {.lex_state = 204},
  [1137] = {.lex_state = 222},
  [1138] = {.lex_state = 204},
  [1139] = {.lex_state = 204},
  [1140] = {.lex_state = 204},
  [1141] = {.lex_state = 204},
  [1142] = {.lex_state = 204},
  [1143] = {.lex_state = 204},
  [1144] = {.lex_state = 204},
  [1145] = {.lex_state = 204},
  [1146] = {.lex_state = 204},
  [1147] = {.lex_state = 204},
  [1148] = {.lex_state = 204},
  [1149] = {.lex_state = 204},
  [1150] = {.lex_state = 204},
  [1151] = {.lex_state = 204},
  [1152] = {.lex_state = 222},
  [1153] = {.lex_state = 222},
  [1154] = {.lex_state = 203},
  [1155] = {.lex_state = 203},
  [1156] = {.lex_state = 200},
  [1157] = {.lex_state = 200},
  [1158] = {.lex_state = 200},
  [1159] = {.lex_state = 200},
  [1160] = {.lex_state = 200},
  [1161] = {.lex_state = 200},
  [1162] = {.lex_state = 200},
  [1163] = {.lex_state = 200},
  [1164] = {.lex_state = 200},
  [1165] = {.lex_state = 200},
  [1166] = {.lex_state = 200},
  [1167] = {.lex_state = 200},
  [1168] = {.lex_state = 200},
  [1169] = {.lex_state = 200},
  [1170] = {.lex_state = 200},
  [1171] = {.lex_state = 200},
  [1172] = {.lex_state = 200},
  [1173] = {.lex_state = 200},
  [1174] = {.lex_state = 200},
  [1175] = {.lex_state = 200},
  [1176] = {.lex_state = 200},
  [1177] = {.lex_state = 200},
  [1178] = {.lex_state = 200},
  [1179] = {.lex_state = 200},
  [1180] = {.lex_state = 200},
  [1181] = {.lex_state = 200},
  [1182] = {.lex_state = 200},
  [1183] = {.lex_state = 200},
  [1184] = {.lex_state = 282},
  [1185] = {.lex_state = 200},
  [1186] = {.lex_state = 200},
  [1187] = {.lex_state = 200},
  [1188] = {.lex_state = 200},
  [1189] = {.lex_state = 200},
  [1190] = {.lex_state = 200},
  [1191] = {.lex_state = 200},
  [1192] = {.lex_state = 200},
  [1193] = {.lex_state = 200},
  [1194] = {.lex_state = 200},
  [1195] = {.lex_state = 200},
  [1196] = {.lex_state = 200},
  [1197] = {.lex_state = 200},
  [1198] = {.lex_state = 200},
  [1199] = {.lex_state = 200},
  [1200] = {.lex_state = 200},
  [1201] = {.lex_state = 200},
  [1202] = {.lex_state = 200},
  [1203] = {.lex_state = 200},
  [1204] = {.lex_state = 200},
  [1205] = {.lex_state = 200},
  [1206] = {.lex_state = 200},
  [1207] = {.lex_state = 200},
  [1208] = {.lex_state = 200},
  [1209] = {.lex_state = 200},
  [1210] = {.lex_state = 200},
  [1211] = {.lex_state = 200},
  [1212] = {.lex_state = 200},
  [1213] = {.lex_state = 200},
  [1214] = {.lex_state = 200},
  [1215] = {.lex_state = 200},
  [1216] = {.lex_state = 200},
  [1217] = {.lex_state = 200},
  [1218] = {.lex_state = 200},
  [1219] = {.lex_state = 200},
  [1220] = {.lex_state = 200},
  [1221] = {.lex_state = 200},
  [1222] = {.lex_state = 200},
  [1223] = {.lex_state = 200},
  [1224] = {.lex_state = 200},
  [1225] = {.lex_state = 200},
  [1226] = {.lex_state = 200},
  [1227] = {.lex_state = 200},
  [1228] = {.lex_state = 200},
  [1229] = {.lex_state = 200},
  [1230] = {.lex_state = 200},
  [1231] = {.lex_state = 200},
  [1232] = {.lex_state = 200},
  [1233] = {.lex_state = 200},
  [1234] = {.lex_state = 200},
  [1235] = {.lex_state = 200},
  [1236] = {.lex_state = 200},
  [1237] = {.lex_state = 200},
  [1238] = {.lex_state = 200},
  [1239] = {.lex_state = 200},
  [1240] = {.lex_state = 200},
  [1241] = {.lex_state = 204},
  [1242] = {.lex_state = 204},
  [1243] = {.lex_state = 204},
  [1244] = {.lex_state = 204},
  [1245] = {.lex_state = 204},
  [1246] = {.lex_state = 204},
  [1247] = {.lex_state = 204},
  [1248] = {.lex_state = 204},
  [1249] = {.lex_state = 204},
  [1250] = {.lex_state = 204},
  [1251] = {.lex_state = 204},
  [1252] = {.lex_state = 204},
  [1253] = {.lex_state = 204},
  [1254] = {.lex_state = 204},
  [1255] = {.lex_state = 204},
  [1256] = {.lex_state = 204},
  [1257] = {.lex_state = 204},
  [1258] = {.lex_state = 204},
  [1259] = {.lex_state = 204},
  [1260] = {.lex_state = 204},
  [1261] = {.lex_state = 204},
  [1262] = {.lex_state = 204},
  [1263] = {.lex_state = 204},
  [1264] = {.lex_state = 204},
  [1265] = {.lex_state = 204},
  [1266] = {.lex_state = 204},
  [1267] = {.lex_state = 204},
  [1268] = {.lex_state = 204},
  [1269] = {.lex_state = 204},
  [1270] = {.lex_state = 204},
  [1271] = {.lex_state = 204},
  [1272] = {.lex_state = 204},
  [1273] = {.lex_state = 204},
  [1274] = {.lex_state = 219},
  [1275] = {.lex_state = 204},
  [1276] = {.lex_state = 204},
  [1277] = {.lex_state = 204},
  [1278] = {.lex_state = 204},
  [1279] = {.lex_state = 204},
  [1280] = {.lex_state = 204},
  [1281] = {.lex_state = 204},
  [1282] = {.lex_state = 222},
  [1283] = {.lex_state = 204},
  [1284] = {.lex_state = 204},
  [1285] = {.lex_state = 222},
  [1286] = {.lex_state = 222},
  [1287] = {.lex_state = 222},
  [1288] = {.lex_state = 222},
  [1289] = {.lex_state = 222},
  [1290] = {.lex_state = 204},
  [1291] = {.lex_state = 222},
  [1292] = {.lex_state = 204},
  [1293] = {.lex_state = 204},
  [1294] = {.lex_state = 204},
  [1295] = {.lex_state = 204},
  [1296] = {.lex_state = 204},
  [1297] = {.lex_state = 222},
  [1298] = {.lex_state = 204},
  [1299] = {.lex_state = 204},
  [1300] = {.lex_state = 204},
  [1301] = {.lex_state = 204},
  [1302] = {.lex_state = 204},
  [1303] = {.lex_state = 204},
  [1304] = {.lex_state = 204},
  [1305] = {.lex_state = 204},
  [1306] = {.lex_state = 204},
  [1307] = {.lex_state = 204},
  [1308] = {.lex_state = 204},
  [1309] = {.lex_state = 204},
  [1310] = {.lex_state = 204},
  [1311] = {.lex_state = 204},
  [1312] = {.lex_state = 204},
  [1313] = {.lex_state = 204},
  [1314] = {.lex_state = 204},
  [1315] = {.lex_state = 204},
  [1316] = {.lex_state = 204},
  [1317] = {.lex_state = 204},
  [1318] = {.lex_state = 204},
  [1319] = {.lex_state = 204},
  [1320] = {.lex_state = 204},
  [1321] = {.lex_state = 204},
  [1322] = {.lex_state = 204},
  [1323] = {.lex_state = 204},
  [1324] = {.lex_state = 204},
  [1325] = {.lex_state = 204},
  [1326] = {.lex_state = 204},
  [1327] = {.lex_state = 203},
  [1328] = {.lex_state = 204},
  [1329] = {.lex_state = 203},
  [1330] = {.lex_state = 204},
  [1331] = {.lex_state = 204},
  [1332] = {.lex_state = 204},
  [1333] = {.lex_state = 203},
  [1334] = {.lex_state = 204},
  [1335] = {.lex_state = 204},
  [1336] = {.lex_state = 203},
  [1337] = {.lex_state = 203},
  [1338] = {.lex_state = 203},
  [1339] = {.lex_state = 204},
  [1340] = {.lex_state = 203},
  [1341] = {.lex_state = 204},
  [1342] = {.lex_state = 204},
  [1343] = {.lex_state = 204},
  [1344] = {.lex_state = 203},
  [1345] = {.lex_state = 203},
  [1346] = {.lex_state = 204},
  [1347] = {.lex_state = 203},
  [1348] = {.lex_state = 204},
  [1349] = {.lex_state = 203},
  [1350] = {.lex_state = 204},
  [1351] = {.lex_state = 204},
  [1352] = {.lex_state = 203},
  [1353] = {.lex_state = 204},
  [1354] = {.lex_state = 204},
  [1355] = {.lex_state = 203},
  [1356] = {.lex_state = 203},
  [1357] = {.lex_state = 204},
  [1358] = {.lex_state = 204},
  [1359] = {.lex_state = 203},
  [1360] = {.lex_state = 204},
  [1361] = {.lex_state = 204},
  [1362] = {.lex_state = 203},
  [1363] = {.lex_state = 204},
  [1364] = {.lex_state = 204},
  [1365] = {.lex_state = 204},
  [1366] = {.lex_state = 204},
  [1367] = {.lex_state = 203},
  [1368] = {.lex_state = 204},
  [1369] = {.lex_state = 204},
  [1370] = {.lex_state = 204},
  [1371] = {.lex_state = 203},
  [1372] = {.lex_state = 204},
  [1373] = {.lex_state = 204},
  [1374] = {.lex_state = 204},
  [1375] = {.lex_state = 204},
  [1376] = {.lex_state = 204},
  [1377] = {.lex_state = 203},
  [1378] = {.lex_state = 203},
  [1379] = {.lex_state = 204},
  [1380] = {.lex_state = 204},
  [1381] = {.lex_state = 204},
  [1382] = {.lex_state = 204},
  [1383] = {.lex_state = 203},
  [1384] = {.lex_state = 203},
  [1385] = {.lex_state = 204},
  [1386] = {.lex_state = 204},
  [1387] = {.lex_state = 204},
  [1388] = {.lex_state = 204},
  [1389] = {.lex_state = 203},
  [1390] = {.lex_state = 204},
  [1391] = {.lex_state = 203},
  [1392] = {.lex_state = 203},
  [1393] = {.lex_state = 203},
  [1394] = {.lex_state = 204},
  [1395] = {.lex_state = 204},
  [1396] = {.lex_state = 204},
  [1397] = {.lex_state = 204},
  [1398] = {.lex_state = 204},
  [1399] = {.lex_state = 204},
  [1400] = {.lex_state = 204},
  [1401] = {.lex_state = 203},
  [1402] = {.lex_state = 204},
  [1403] = {.lex_state = 203},
  [1404] = {.lex_state = 203},
  [1405] = {.lex_state = 203},
  [1406] = {.lex_state = 204},
  [1407] = {.lex_state = 204},
  [1408] = {.lex_state = 204},
  [1409] = {.lex_state = 204},
  [1410] = {.lex_state = 204},
  [1411] = {.lex_state = 204},
  [1412] = {.lex_state = 204},
  [1413] = {.lex_state = 204},
  [1414] = {.lex_state = 204},
  [1415] = {.lex_state = 204},
  [1416] = {.lex_state = 204},
  [1417] = {.lex_state = 204},
  [1418] = {.lex_state = 204},
  [1419] = {.lex_state = 204},
  [1420] = {.lex_state = 204},
  [1421] = {.lex_state = 204},
  [1422] = {.lex_state = 204},
  [1423] = {.lex_state = 204},
  [1424] = {.lex_state = 204},
  [1425] = {.lex_state = 204},
  [1426] = {.lex_state = 204},
  [1427] = {.lex_state = 204},
  [1428] = {.lex_state = 204},
  [1429] = {.lex_state = 204},
  [1430] = {.lex_state = 204},
  [1431] = {.lex_state = 204},
  [1432] = {.lex_state = 204},
  [1433] = {.lex_state = 204},
  [1434] = {.lex_state = 204},
  [1435] = {.lex_state = 204},
  [1436] = {.lex_state = 204},
  [1437] = {.lex_state = 204},
  [1438] = {.lex_state = 204},
  [1439] = {.lex_state = 204},
  [1440] = {.lex_state = 204},
  [1441] = {.lex_state = 204},
  [1442] = {.lex_state = 204},
  [1443] = {.lex_state = 204},
  [1444] = {.lex_state = 204},
  [1445] = {.lex_state = 204},
  [1446] = {.lex_state = 204},
  [1447] = {.lex_state = 204},
  [1448] = {.lex_state = 204},
  [1449] = {.lex_state = 204},
  [1450] = {.lex_state = 204},
  [1451] = {.lex_state = 204},
  [1452] = {.lex_state = 204},
  [1453] = {.lex_state = 204},
  [1454] = {.lex_state = 204},
  [1455] = {.lex_state = 204},
  [1456] = {.lex_state = 204},
  [1457] = {.lex_state = 204},
  [1458] = {.lex_state = 204},
  [1459] = {.lex_state = 204},
  [1460] = {.lex_state = 204},
  [1461] = {.lex_state = 204},
  [1462] = {.lex_state = 204},
  [1463] = {.lex_state = 204},
  [1464] = {.lex_state = 204},
  [1465] = {.lex_state = 204},
  [1466] = {.lex_state = 204},
  [1467] = {.lex_state = 204},
  [1468] = {.lex_state = 204},
  [1469] = {.lex_state = 204},
  [1470] = {.lex_state = 204},
  [1471] = {.lex_state = 204},
  [1472] = {.lex_state = 204},
  [1473] = {.lex_state = 204},
  [1474] = {.lex_state = 204},
  [1475] = {.lex_state = 204},
  [1476] = {.lex_state = 204},
  [1477] = {.lex_state = 204},
  [1478] = {.lex_state = 204},
  [1479] = {.lex_state = 204},
  [1480] = {.lex_state = 204},
  [1481] = {.lex_state = 204},
  [1482] = {.lex_state = 204},
  [1483] = {.lex_state = 204},
  [1484] = {.lex_state = 204},
  [1485] = {.lex_state = 204},
  [1486] = {.lex_state = 204},
  [1487] = {.lex_state = 204},
  [1488] = {.lex_state = 204},
  [1489] = {.lex_state = 204},
  [1490] = {.lex_state = 204},
  [1491] = {.lex_state = 204},
  [1492] = {.lex_state = 204},
  [1493] = {.lex_state = 204},
  [1494] = {.lex_state = 204},
  [1495] = {.lex_state = 204},
  [1496] = {.lex_state = 204},
  [1497] = {.lex_state = 204},
  [1498] = {.lex_state = 204},
  [1499] = {.lex_state = 204},
  [1500] = {.lex_state = 204},
  [1501] = {.lex_state = 204},
  [1502] = {.lex_state = 204},
  [1503] = {.lex_state = 204},
  [1504] = {.lex_state = 204},
  [1505] = {.lex_state = 204},
  [1506] = {.lex_state = 204},
  [1507] = {.lex_state = 204},
  [1508] = {.lex_state = 204},
  [1509] = {.lex_state = 204},
  [1510] = {.lex_state = 204},
  [1511] = {.lex_state = 204},
  [1512] = {.lex_state = 204},
  [1513] = {.lex_state = 204},
  [1514] = {.lex_state = 204},
  [1515] = {.lex_state = 204},
  [1516] = {.lex_state = 204},
  [1517] = {.lex_state = 204},
  [1518] = {.lex_state = 204},
  [1519] = {.lex_state = 204},
  [1520] = {.lex_state = 204},
  [1521] = {.lex_state = 204},
  [1522] = {.lex_state = 204},
  [1523] = {.lex_state = 204},
  [1524] = {.lex_state = 204},
  [1525] = {.lex_state = 204},
  [1526] = {.lex_state = 204},
  [1527] = {.lex_state = 204},
  [1528] = {.lex_state = 204},
  [1529] = {.lex_state = 204},
  [1530] = {.lex_state = 204},
  [1531] = {.lex_state = 204},
  [1532] = {.lex_state = 204},
  [1533] = {.lex_state = 204},
  [1534] = {.lex_state = 204},
  [1535] = {.lex_state = 204},
  [1536] = {.lex_state = 204},
  [1537] = {.lex_state = 204},
  [1538] = {.lex_state = 204},
  [1539] = {.lex_state = 204},
  [1540] = {.lex_state = 204},
  [1541] = {.lex_state = 204},
  [1542] = {.lex_state = 204},
  [1543] = {.lex_state = 204},
  [1544] = {.lex_state = 204},
  [1545] = {.lex_state = 204},
  [1546] = {.lex_state = 204},
  [1547] = {.lex_state = 204},
  [1548] = {.lex_state = 204},
  [1549] = {.lex_state = 204},
  [1550] = {.lex_state = 204},
  [1551] = {.lex_state = 204},
  [1552] = {.lex_state = 204},
  [1553] = {.lex_state = 204},
  [1554] = {.lex_state = 204},
  [1555] = {.lex_state = 204},
  [1556] = {.lex_state = 204},
  [1557] = {.lex_state = 204},
  [1558] = {.lex_state = 204},
  [1559] = {.lex_state = 204},
  [1560] = {.lex_state = 204},
  [1561] = {.lex_state = 204},
  [1562] = {.lex_state = 204},
  [1563] = {.lex_state = 204},
  [1564] = {.lex_state = 204},
  [1565] = {.lex_state = 204},
  [1566] = {.lex_state = 204},
  [1567] = {.lex_state = 204},
  [1568] = {.lex_state = 204},
  [1569] = {.lex_state = 204},
  [1570] = {.lex_state = 204},
  [1571] = {.lex_state = 204},
  [1572] = {.lex_state = 204},
  [1573] = {.lex_state = 204},
  [1574] = {.lex_state = 204},
  [1575] = {.lex_state = 204},
  [1576] = {.lex_state = 204},
  [1577] = {.lex_state = 204},
  [1578] = {.lex_state = 204},
  [1579] = {.lex_state = 204},
  [1580] = {.lex_state = 204},
  [1581] = {.lex_state = 204},
  [1582] = {.lex_state = 204},
  [1583] = {.lex_state = 204},
  [1584] = {.lex_state = 204},
  [1585] = {.lex_state = 204},
  [1586] = {.lex_state = 204},
  [1587] = {.lex_state = 204},
  [1588] = {.lex_state = 204},
  [1589] = {.lex_state = 204},
  [1590] = {.lex_state = 204},
  [1591] = {.lex_state = 204},
  [1592] = {.lex_state = 204},
  [1593] = {.lex_state = 204},
  [1594] = {.lex_state = 204},
  [1595] = {.lex_state = 204},
  [1596] = {.lex_state = 204},
  [1597] = {.lex_state = 204},
  [1598] = {.lex_state = 204},
  [1599] = {.lex_state = 204},
  [1600] = {.lex_state = 204},
  [1601] = {.lex_state = 204},
  [1602] = {.lex_state = 204},
  [1603] = {.lex_state = 204},
  [1604] = {.lex_state = 204},
  [1605] = {.lex_state = 204},
  [1606] = {.lex_state = 204},
  [1607] = {.lex_state = 204},
  [1608] = {.lex_state = 204},
  [1609] = {.lex_state = 204},
  [1610] = {.lex_state = 204},
  [1611] = {.lex_state = 204},
  [1612] = {.lex_state = 204},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 204},
  [1618] = {.lex_state = 204},
  [1619] = {.lex_state = 204},
  [1620] = {.lex_state = 204},
  [1621] = {.lex_state = 204},
  [1622] = {.lex_state = 204},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 204},
  [1625] = {.lex_state = 204},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 204},
  [1628] = {.lex_state = 204},
  [1629] = {.lex_state = 204},
  [1630] = {.lex_state = 204},
  [1631] = {.lex_state = 204},
  [1632] = {.lex_state = 204},
  [1633] = {.lex_state = 204},
  [1634] = {.lex_state = 204},
  [1635] = {.lex_state = 204},
  [1636] = {.lex_state = 204},
  [1637] = {.lex_state = 204},
  [1638] = {.lex_state = 204},
  [1639] = {.lex_state = 204},
  [1640] = {.lex_state = 204},
  [1641] = {.lex_state = 204},
  [1642] = {.lex_state = 204},
  [1643] = {.lex_state = 204},
  [1644] = {.lex_state = 204},
  [1645] = {.lex_state = 204},
  [1646] = {.lex_state = 204},
  [1647] = {.lex_state = 204},
  [1648] = {.lex_state = 204},
  [1649] = {.lex_state = 204},
  [1650] = {.lex_state = 204},
  [1651] = {.lex_state = 204},
  [1652] = {.lex_state = 204},
  [1653] = {.lex_state = 204},
  [1654] = {.lex_state = 204},
  [1655] = {.lex_state = 204},
  [1656] = {.lex_state = 204},
  [1657] = {.lex_state = 204},
  [1658] = {.lex_state = 204},
  [1659] = {.lex_state = 204},
  [1660] = {.lex_state = 204},
  [1661] = {.lex_state = 204},
  [1662] = {.lex_state = 204},
  [1663] = {.lex_state = 204},
  [1664] = {.lex_state = 204},
  [1665] = {.lex_state = 204},
  [1666] = {.lex_state = 204},
  [1667] = {.lex_state = 204},
  [1668] = {.lex_state = 204},
  [1669] = {.lex_state = 204},
  [1670] = {.lex_state = 204},
  [1671] = {.lex_state = 204},
  [1672] = {.lex_state = 204},
  [1673] = {.lex_state = 204},
  [1674] = {.lex_state = 204},
  [1675] = {.lex_state = 204},
  [1676] = {.lex_state = 204},
  [1677] = {.lex_state = 204},
  [1678] = {.lex_state = 204},
  [1679] = {.lex_state = 204},
  [1680] = {.lex_state = 204},
  [1681] = {.lex_state = 204},
  [1682] = {.lex_state = 204},
  [1683] = {.lex_state = 204},
  [1684] = {.lex_state = 204},
  [1685] = {.lex_state = 204},
  [1686] = {.lex_state = 204},
  [1687] = {.lex_state = 204},
  [1688] = {.lex_state = 204},
  [1689] = {.lex_state = 204},
  [1690] = {.lex_state = 204},
  [1691] = {.lex_state = 204},
  [1692] = {.lex_state = 204},
  [1693] = {.lex_state = 204},
  [1694] = {.lex_state = 204},
  [1695] = {.lex_state = 204},
  [1696] = {.lex_state = 204},
  [1697] = {.lex_state = 204},
  [1698] = {.lex_state = 204},
  [1699] = {.lex_state = 204},
  [1700] = {.lex_state = 204},
  [1701] = {.lex_state = 204},
  [1702] = {.lex_state = 204},
  [1703] = {.lex_state = 204},
  [1704] = {.lex_state = 204},
  [1705] = {.lex_state = 204},
  [1706] = {.lex_state = 204},
  [1707] = {.lex_state = 204},
  [1708] = {.lex_state = 204},
  [1709] = {.lex_state = 204},
  [1710] = {.lex_state = 204},
  [1711] = {.lex_state = 204},
  [1712] = {.lex_state = 204},
  [1713] = {.lex_state = 204},
  [1714] = {.lex_state = 204},
  [1715] = {.lex_state = 204},
  [1716] = {.lex_state = 204},
  [1717] = {.lex_state = 204},
  [1718] = {.lex_state = 204},
  [1719] = {.lex_state = 204},
  [1720] = {.lex_state = 204},
  [1721] = {.lex_state = 204},
  [1722] = {.lex_state = 204},
  [1723] = {.lex_state = 204},
  [1724] = {.lex_state = 204},
  [1725] = {.lex_state = 204},
  [1726] = {.lex_state = 204},
  [1727] = {.lex_state = 204},
  [1728] = {.lex_state = 204},
  [1729] = {.lex_state = 204},
  [1730] = {.lex_state = 204},
  [1731] = {.lex_state = 204},
  [1732] = {.lex_state = 204},
  [1733] = {.lex_state = 204},
  [1734] = {.lex_state = 204},
  [1735] = {.lex_state = 204},
  [1736] = {.lex_state = 204},
  [1737] = {.lex_state = 204},
  [1738] = {.lex_state = 204},
  [1739] = {.lex_state = 204},
  [1740] = {.lex_state = 204},
  [1741] = {.lex_state = 204},
  [1742] = {.lex_state = 204},
  [1743] = {.lex_state = 204},
  [1744] = {.lex_state = 204},
  [1745] = {.lex_state = 204},
  [1746] = {.lex_state = 204},
  [1747] = {.lex_state = 204},
  [1748] = {.lex_state = 204},
  [1749] = {.lex_state = 204},
  [1750] = {.lex_state = 204},
  [1751] = {.lex_state = 204},
  [1752] = {.lex_state = 204},
  [1753] = {.lex_state = 204},
  [1754] = {.lex_state = 204},
  [1755] = {.lex_state = 204},
  [1756] = {.lex_state = 204},
  [1757] = {.lex_state = 204},
  [1758] = {.lex_state = 204},
  [1759] = {.lex_state = 204},
  [1760] = {.lex_state = 204},
  [1761] = {.lex_state = 204},
  [1762] = {.lex_state = 204},
  [1763] = {.lex_state = 204},
  [1764] = {.lex_state = 204},
  [1765] = {.lex_state = 204},
  [1766] = {.lex_state = 204},
  [1767] = {.lex_state = 204},
  [1768] = {.lex_state = 204},
  [1769] = {.lex_state = 204},
  [1770] = {.lex_state = 204},
  [1771] = {.lex_state = 204},
  [1772] = {.lex_state = 204},
  [1773] = {.lex_state = 204},
  [1774] = {.lex_state = 204},
  [1775] = {.lex_state = 204},
  [1776] = {.lex_state = 204},
  [1777] = {.lex_state = 204},
  [1778] = {.lex_state = 204},
  [1779] = {.lex_state = 204},
  [1780] = {.lex_state = 204},
  [1781] = {.lex_state = 204},
  [1782] = {.lex_state = 204},
  [1783] = {.lex_state = 204},
  [1784] = {.lex_state = 204},
  [1785] = {.lex_state = 204},
  [1786] = {.lex_state = 204},
  [1787] = {.lex_state = 204},
  [1788] = {.lex_state = 204},
  [1789] = {.lex_state = 204},
  [1790] = {.lex_state = 204},
  [1791] = {.lex_state = 204},
  [1792] = {.lex_state = 204},
  [1793] = {.lex_state = 204},
  [1794] = {.lex_state = 204},
  [1795] = {.lex_state = 204},
  [1796] = {.lex_state = 204},
  [1797] = {.lex_state = 204},
  [1798] = {.lex_state = 204},
  [1799] = {.lex_state = 204},
  [1800] = {.lex_state = 204},
  [1801] = {.lex_state = 204},
  [1802] = {.lex_state = 204},
  [1803] = {.lex_state = 204},
  [1804] = {.lex_state = 204},
  [1805] = {.lex_state = 204},
  [1806] = {.lex_state = 204},
  [1807] = {.lex_state = 204},
  [1808] = {.lex_state = 204},
  [1809] = {.lex_state = 204},
  [1810] = {.lex_state = 204},
  [1811] = {.lex_state = 204},
  [1812] = {.lex_state = 204},
  [1813] = {.lex_state = 204},
  [1814] = {.lex_state = 204},
  [1815] = {.lex_state = 204},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 204},
  [1818] = {.lex_state = 204},
  [1819] = {.lex_state = 204},
  [1820] = {.lex_state = 204},
  [1821] = {.lex_state = 204},
  [1822] = {.lex_state = 204},
  [1823] = {.lex_state = 204},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 204},
  [1826] = {.lex_state = 204},
  [1827] = {.lex_state = 204},
  [1828] = {.lex_state = 204},
  [1829] = {.lex_state = 204},
  [1830] = {.lex_state = 204},
  [1831] = {.lex_state = 204},
  [1832] = {.lex_state = 204},
  [1833] = {.lex_state = 204},
  [1834] = {.lex_state = 204},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 204},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 204},
  [1841] = {.lex_state = 204},
  [1842] = {.lex_state = 204},
  [1843] = {.lex_state = 204},
  [1844] = {.lex_state = 204},
  [1845] = {.lex_state = 204},
  [1846] = {.lex_state = 204},
  [1847] = {.lex_state = 204},
  [1848] = {.lex_state = 204},
  [1849] = {.lex_state = 204},
  [1850] = {.lex_state = 204},
  [1851] = {.lex_state = 204},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 204},
  [1854] = {.lex_state = 204},
  [1855] = {.lex_state = 204},
  [1856] = {.lex_state = 204},
  [1857] = {.lex_state = 204},
  [1858] = {.lex_state = 204},
  [1859] = {.lex_state = 204},
  [1860] = {.lex_state = 204},
  [1861] = {.lex_state = 204},
  [1862] = {.lex_state = 204},
  [1863] = {.lex_state = 204},
  [1864] = {.lex_state = 204},
  [1865] = {.lex_state = 204},
  [1866] = {.lex_state = 204},
  [1867] = {.lex_state = 204},
  [1868] = {.lex_state = 204},
  [1869] = {.lex_state = 204},
  [1870] = {.lex_state = 204},
  [1871] = {.lex_state = 204},
  [1872] = {.lex_state = 204},
  [1873] = {.lex_state = 204},
  [1874] = {.lex_state = 204},
  [1875] = {.lex_state = 204},
  [1876] = {.lex_state = 204},
  [1877] = {.lex_state = 204},
  [1878] = {.lex_state = 204},
  [1879] = {.lex_state = 204},
  [1880] = {.lex_state = 204},
  [1881] = {.lex_state = 204},
  [1882] = {.lex_state = 204},
  [1883] = {.lex_state = 204},
  [1884] = {.lex_state = 204},
  [1885] = {.lex_state = 204},
  [1886] = {.lex_state = 204},
  [1887] = {.lex_state = 204},
  [1888] = {.lex_state = 204},
  [1889] = {.lex_state = 204},
  [1890] = {.lex_state = 204},
  [1891] = {.lex_state = 204},
  [1892] = {.lex_state = 204},
  [1893] = {.lex_state = 204},
  [1894] = {.lex_state = 204},
  [1895] = {.lex_state = 204},
  [1896] = {.lex_state = 204},
  [1897] = {.lex_state = 204},
  [1898] = {.lex_state = 204},
  [1899] = {.lex_state = 204},
  [1900] = {.lex_state = 204},
  [1901] = {.lex_state = 204},
  [1902] = {.lex_state = 204},
  [1903] = {.lex_state = 204},
  [1904] = {.lex_state = 204},
  [1905] = {.lex_state = 204},
  [1906] = {.lex_state = 204},
  [1907] = {.lex_state = 204},
  [1908] = {.lex_state = 204},
  [1909] = {.lex_state = 204},
  [1910] = {.lex_state = 204},
  [1911] = {.lex_state = 204},
  [1912] = {.lex_state = 204},
  [1913] = {.lex_state = 204},
  [1914] = {.lex_state = 204},
  [1915] = {.lex_state = 204},
  [1916] = {.lex_state = 204},
  [1917] = {.lex_state = 204},
  [1918] = {.lex_state = 204},
  [1919] = {.lex_state = 204},
  [1920] = {.lex_state = 204},
  [1921] = {.lex_state = 204},
  [1922] = {.lex_state = 204},
  [1923] = {.lex_state = 204},
  [1924] = {.lex_state = 204},
  [1925] = {.lex_state = 204},
  [1926] = {.lex_state = 204},
  [1927] = {.lex_state = 204},
  [1928] = {.lex_state = 204},
  [1929] = {.lex_state = 204},
  [1930] = {.lex_state = 204},
  [1931] = {.lex_state = 204},
  [1932] = {.lex_state = 204},
  [1933] = {.lex_state = 204},
  [1934] = {.lex_state = 204},
  [1935] = {.lex_state = 204},
  [1936] = {.lex_state = 204},
  [1937] = {.lex_state = 204},
  [1938] = {.lex_state = 204},
  [1939] = {.lex_state = 204},
  [1940] = {.lex_state = 204},
  [1941] = {.lex_state = 204},
  [1942] = {.lex_state = 204},
  [1943] = {.lex_state = 204},
  [1944] = {.lex_state = 204},
  [1945] = {.lex_state = 204},
  [1946] = {.lex_state = 204},
  [1947] = {.lex_state = 204},
  [1948] = {.lex_state = 204},
  [1949] = {.lex_state = 204},
  [1950] = {.lex_state = 204},
  [1951] = {.lex_state = 204},
  [1952] = {.lex_state = 204},
  [1953] = {.lex_state = 204},
  [1954] = {.lex_state = 204},
  [1955] = {.lex_state = 204},
  [1956] = {.lex_state = 204},
  [1957] = {.lex_state = 204},
  [1958] = {.lex_state = 204},
  [1959] = {.lex_state = 204},
  [1960] = {.lex_state = 204},
  [1961] = {.lex_state = 204},
  [1962] = {.lex_state = 204},
  [1963] = {.lex_state = 204},
  [1964] = {.lex_state = 204},
  [1965] = {.lex_state = 204},
  [1966] = {.lex_state = 204},
  [1967] = {.lex_state = 244},
  [1968] = {.lex_state = 244},
  [1969] = {.lex_state = 244},
  [1970] = {.lex_state = 244},
  [1971] = {.lex_state = 244},
  [1972] = {.lex_state = 244},
  [1973] = {.lex_state = 244},
  [1974] = {.lex_state = 244},
  [1975] = {.lex_state = 244},
  [1976] = {.lex_state = 282},
  [1977] = {.lex_state = 282},
  [1978] = {.lex_state = 282},
  [1979] = {.lex_state = 282},
  [1980] = {.lex_state = 282},
  [1981] = {.lex_state = 282},
  [1982] = {.lex_state = 282},
  [1983] = {.lex_state = 200},
  [1984] = {.lex_state = 200},
  [1985] = {.lex_state = 200},
  [1986] = {.lex_state = 244},
  [1987] = {.lex_state = 231},
  [1988] = {.lex_state = 231},
  [1989] = {.lex_state = 231},
  [1990] = {.lex_state = 231},
  [1991] = {.lex_state = 244},
  [1992] = {.lex_state = 219},
  [1993] = {.lex_state = 244},
  [1994] = {.lex_state = 231},
  [1995] = {.lex_state = 231},
  [1996] = {.lex_state = 231},
  [1997] = {.lex_state = 231},
  [1998] = {.lex_state = 231},
  [1999] = {.lex_state = 226},
  [2000] = {.lex_state = 226},
  [2001] = {.lex_state = 226},
  [2002] = {.lex_state = 226},
  [2003] = {.lex_state = 244},
  [2004] = {.lex_state = 226},
  [2005] = {.lex_state = 226},
  [2006] = {.lex_state = 220},
  [2007] = {.lex_state = 226},
  [2008] = {.lex_state = 223},
  [2009] = {.lex_state = 231},
  [2010] = {.lex_state = 231},
  [2011] = {.lex_state = 231},
  [2012] = {.lex_state = 231},
  [2013] = {.lex_state = 231},
  [2014] = {.lex_state = 231},
  [2015] = {.lex_state = 231},
  [2016] = {.lex_state = 231},
  [2017] = {.lex_state = 226},
  [2018] = {.lex_state = 282},
  [2019] = {.lex_state = 282},
  [2020] = {.lex_state = 282},
  [2021] = {.lex_state = 282},
  [2022] = {.lex_state = 282},
  [2023] = {.lex_state = 282},
  [2024] = {.lex_state = 282},
  [2025] = {.lex_state = 282},
  [2026] = {.lex_state = 282},
  [2027] = {.lex_state = 282},
  [2028] = {.lex_state = 282},
  [2029] = {.lex_state = 282},
  [2030] = {.lex_state = 282},
  [2031] = {.lex_state = 282},
  [2032] = {.lex_state = 282},
  [2033] = {.lex_state = 208},
  [2034] = {.lex_state = 282},
  [2035] = {.lex_state = 282},
  [2036] = {.lex_state = 282},
  [2037] = {.lex_state = 206},
  [2038] = {.lex_state = 282},
  [2039] = {.lex_state = 282},
  [2040] = {.lex_state = 282},
  [2041] = {.lex_state = 282},
  [2042] = {.lex_state = 282},
  [2043] = {.lex_state = 282},
  [2044] = {.lex_state = 282},
  [2045] = {.lex_state = 282},
  [2046] = {.lex_state = 282},
  [2047] = {.lex_state = 282},
  [2048] = {.lex_state = 206},
  [2049] = {.lex_state = 282},
  [2050] = {.lex_state = 282},
  [2051] = {.lex_state = 206},
  [2052] = {.lex_state = 282},
  [2053] = {.lex_state = 282},
  [2054] = {.lex_state = 282},
  [2055] = {.lex_state = 226},
  [2056] = {.lex_state = 226},
  [2057] = {.lex_state = 200},
  [2058] = {.lex_state = 200},
  [2059] = {.lex_state = 282},
  [2060] = {.lex_state = 260},
  [2061] = {.lex_state = 282},
  [2062] = {.lex_state = 282},
  [2063] = {.lex_state = 230},
  [2064] = {.lex_state = 206},
  [2065] = {.lex_state = 260},
  [2066] = {.lex_state = 260},
  [2067] = {.lex_state = 260},
  [2068] = {.lex_state = 206},
  [2069] = {.lex_state = 260},
  [2070] = {.lex_state = 206},
  [2071] = {.lex_state = 206},
  [2072] = {.lex_state = 260},
  [2073] = {.lex_state = 282},
  [2074] = {.lex_state = 282},
  [2075] = {.lex_state = 260},
  [2076] = {.lex_state = 265},
  [2077] = {.lex_state = 282},
  [2078] = {.lex_state = 265},
  [2079] = {.lex_state = 229},
  [2080] = {.lex_state = 282},
  [2081] = {.lex_state = 282},
  [2082] = {.lex_state = 282},
  [2083] = {.lex_state = 265},
  [2084] = {.lex_state = 265},
  [2085] = {.lex_state = 282},
  [2086] = {.lex_state = 265},
  [2087] = {.lex_state = 208},
  [2088] = {.lex_state = 282},
  [2089] = {.lex_state = 265},
  [2090] = {.lex_state = 234},
  [2091] = {.lex_state = 265},
  [2092] = {.lex_state = 226},
  [2093] = {.lex_state = 226},
  [2094] = {.lex_state = 226},
  [2095] = {.lex_state = 226},
  [2096] = {.lex_state = 226},
  [2097] = {.lex_state = 226},
  [2098] = {.lex_state = 226},
  [2099] = {.lex_state = 226},
  [2100] = {.lex_state = 226},
  [2101] = {.lex_state = 282},
  [2102] = {.lex_state = 226},
  [2103] = {.lex_state = 231},
  [2104] = {.lex_state = 226},
  [2105] = {.lex_state = 282},
  [2106] = {.lex_state = 226},
  [2107] = {.lex_state = 231},
  [2108] = {.lex_state = 226},
  [2109] = {.lex_state = 282},
  [2110] = {.lex_state = 226},
  [2111] = {.lex_state = 252},
  [2112] = {.lex_state = 234},
  [2113] = {.lex_state = 234},
  [2114] = {.lex_state = 282},
  [2115] = {.lex_state = 260},
  [2116] = {.lex_state = 234},
  [2117] = {.lex_state = 252},
  [2118] = {.lex_state = 282},
  [2119] = {.lex_state = 232},
  [2120] = {.lex_state = 282},
  [2121] = {.lex_state = 206},
  [2122] = {.lex_state = 206},
  [2123] = {.lex_state = 252},
  [2124] = {.lex_state = 252},
  [2125] = {.lex_state = 232},
  [2126] = {.lex_state = 234},
  [2127] = {.lex_state = 213},
  [2128] = {.lex_state = 213},
  [2129] = {.lex_state = 222},
  [2130] = {.lex_state = 282},
  [2131] = {.lex_state = 243},
  [2132] = {.lex_state = 211},
  [2133] = {.lex_state = 282},
  [2134] = {.lex_state = 282},
  [2135] = {.lex_state = 282},
  [2136] = {.lex_state = 265},
  [2137] = {.lex_state = 282},
  [2138] = {.lex_state = 211},
  [2139] = {.lex_state = 282},
  [2140] = {.lex_state = 282},
  [2141] = {.lex_state = 243},
  [2142] = {.lex_state = 211},
  [2143] = {.lex_state = 282},
  [2144] = {.lex_state = 232},
  [2145] = {.lex_state = 252},
  [2146] = {.lex_state = 282},
  [2147] = {.lex_state = 282},
  [2148] = {.lex_state = 204},
  [2149] = {.lex_state = 232},
  [2150] = {.lex_state = 282},
  [2151] = {.lex_state = 260},
  [2152] = {.lex_state = 282},
  [2153] = {.lex_state = 282},
  [2154] = {.lex_state = 243},
  [2155] = {.lex_state = 282},
  [2156] = {.lex_state = 282},
  [2157] = {.lex_state = 282},
  [2158] = {.lex_state = 243},
  [2159] = {.lex_state = 219},
  [2160] = {.lex_state = 219},
  [2161] = {.lex_state = 282},
  [2162] = {.lex_state = 282},
  [2163] = {.lex_state = 208},
  [2164] = {.lex_state = 222},
  [2165] = {.lex_state = 222},
  [2166] = {.lex_state = 230},
  [2167] = {.lex_state = 243},
  [2168] = {.lex_state = 243},
  [2169] = {.lex_state = 232},
  [2170] = {.lex_state = 243},
  [2171] = {.lex_state = 282},
  [2172] = {.lex_state = 282},
  [2173] = {.lex_state = 232},
  [2174] = {.lex_state = 282},
  [2175] = {.lex_state = 282},
  [2176] = {.lex_state = 243},
  [2177] = {.lex_state = 232},
  [2178] = {.lex_state = 243},
  [2179] = {.lex_state = 232},
  [2180] = {.lex_state = 282},
  [2181] = {.lex_state = 282},
  [2182] = {.lex_state = 243},
  [2183] = {.lex_state = 282},
  [2184] = {.lex_state = 282},
  [2185] = {.lex_state = 282},
  [2186] = {.lex_state = 282},
  [2187] = {.lex_state = 282},
  [2188] = {.lex_state = 282},
  [2189] = {.lex_state = 282},
  [2190] = {.lex_state = 206},
  [2191] = {.lex_state = 282},
  [2192] = {.lex_state = 206},
  [2193] = {.lex_state = 282},
  [2194] = {.lex_state = 243},
  [2195] = {.lex_state = 282},
  [2196] = {.lex_state = 282},
  [2197] = {.lex_state = 282},
  [2198] = {.lex_state = 282},
  [2199] = {.lex_state = 282},
  [2200] = {.lex_state = 282},
  [2201] = {.lex_state = 282},
  [2202] = {.lex_state = 282},
  [2203] = {.lex_state = 282},
  [2204] = {.lex_state = 282},
  [2205] = {.lex_state = 282},
  [2206] = {.lex_state = 282},
  [2207] = {.lex_state = 282},
  [2208] = {.lex_state = 282},
  [2209] = {.lex_state = 282},
  [2210] = {.lex_state = 282},
  [2211] = {.lex_state = 282},
  [2212] = {.lex_state = 282},
  [2213] = {.lex_state = 282},
  [2214] = {.lex_state = 282},
  [2215] = {.lex_state = 282},
  [2216] = {.lex_state = 282},
  [2217] = {.lex_state = 282},
  [2218] = {.lex_state = 282},
  [2219] = {.lex_state = 282},
  [2220] = {.lex_state = 282},
  [2221] = {.lex_state = 282},
  [2222] = {.lex_state = 282},
  [2223] = {.lex_state = 282},
  [2224] = {.lex_state = 208},
  [2225] = {.lex_state = 282},
  [2226] = {.lex_state = 282},
  [2227] = {.lex_state = 232},
  [2228] = {.lex_state = 282},
  [2229] = {.lex_state = 208},
  [2230] = {.lex_state = 282},
  [2231] = {.lex_state = 282},
  [2232] = {.lex_state = 282},
  [2233] = {.lex_state = 282},
  [2234] = {.lex_state = 232},
  [2235] = {.lex_state = 232},
  [2236] = {.lex_state = 282},
  [2237] = {.lex_state = 282},
  [2238] = {.lex_state = 282},
  [2239] = {.lex_state = 282},
  [2240] = {.lex_state = 282},
  [2241] = {.lex_state = 282},
  [2242] = {.lex_state = 282},
  [2243] = {.lex_state = 243},
  [2244] = {.lex_state = 282},
  [2245] = {.lex_state = 232},
  [2246] = {.lex_state = 232},
  [2247] = {.lex_state = 232},
  [2248] = {.lex_state = 282},
  [2249] = {.lex_state = 243},
  [2250] = {.lex_state = 282},
  [2251] = {.lex_state = 282},
  [2252] = {.lex_state = 282},
  [2253] = {.lex_state = 282},
  [2254] = {.lex_state = 252},
  [2255] = {.lex_state = 282},
  [2256] = {.lex_state = 282},
  [2257] = {.lex_state = 282},
  [2258] = {.lex_state = 282},
  [2259] = {.lex_state = 282},
  [2260] = {.lex_state = 282},
  [2261] = {.lex_state = 282},
  [2262] = {.lex_state = 230},
  [2263] = {.lex_state = 283},
  [2264] = {.lex_state = 234},
  [2265] = {.lex_state = 230},
  [2266] = {.lex_state = 230},
  [2267] = {.lex_state = 280},
  [2268] = {.lex_state = 282},
  [2269] = {.lex_state = 230},
  [2270] = {.lex_state = 283},
  [2271] = {.lex_state = 280},
  [2272] = {.lex_state = 208},
  [2273] = {.lex_state = 216},
  [2274] = {.lex_state = 230},
  [2275] = {.lex_state = 282},
  [2276] = {.lex_state = 283},
  [2277] = {.lex_state = 230},
  [2278] = {.lex_state = 237},
  [2279] = {.lex_state = 230},
  [2280] = {.lex_state = 230},
  [2281] = {.lex_state = 230},
  [2282] = {.lex_state = 230},
  [2283] = {.lex_state = 230},
  [2284] = {.lex_state = 230},
  [2285] = {.lex_state = 230},
  [2286] = {.lex_state = 230},
  [2287] = {.lex_state = 208},
  [2288] = {.lex_state = 220},
  [2289] = {.lex_state = 252},
  [2290] = {.lex_state = 208},
  [2291] = {.lex_state = 230},
  [2292] = {.lex_state = 230},
  [2293] = {.lex_state = 230},
  [2294] = {.lex_state = 208},
  [2295] = {.lex_state = 230},
  [2296] = {.lex_state = 283},
  [2297] = {.lex_state = 208},
  [2298] = {.lex_state = 211},
  [2299] = {.lex_state = 230},
  [2300] = {.lex_state = 211},
  [2301] = {.lex_state = 230},
  [2302] = {.lex_state = 230},
  [2303] = {.lex_state = 208},
  [2304] = {.lex_state = 206},
  [2305] = {.lex_state = 234},
  [2306] = {.lex_state = 232},
  [2307] = {.lex_state = 282},
  [2308] = {.lex_state = 230},
  [2309] = {.lex_state = 230},
  [2310] = {.lex_state = 230},
  [2311] = {.lex_state = 252},
  [2312] = {.lex_state = 252},
  [2313] = {.lex_state = 230},
  [2314] = {.lex_state = 282},
  [2315] = {.lex_state = 265},
  [2316] = {.lex_state = 282},
  [2317] = {.lex_state = 282},
  [2318] = {.lex_state = 282},
  [2319] = {.lex_state = 282},
  [2320] = {.lex_state = 282},
  [2321] = {.lex_state = 282},
  [2322] = {.lex_state = 216},
  [2323] = {.lex_state = 206},
  [2324] = {.lex_state = 230},
  [2325] = {.lex_state = 230},
  [2326] = {.lex_state = 230},
  [2327] = {.lex_state = 206},
  [2328] = {.lex_state = 220},
  [2329] = {.lex_state = 234},
  [2330] = {.lex_state = 282},
  [2331] = {.lex_state = 208},
  [2332] = {.lex_state = 208},
  [2333] = {.lex_state = 230},
  [2334] = {.lex_state = 230},
  [2335] = {.lex_state = 280},
  [2336] = {.lex_state = 208},
  [2337] = {.lex_state = 208},
  [2338] = {.lex_state = 230},
  [2339] = {.lex_state = 230},
  [2340] = {.lex_state = 216},
  [2341] = {.lex_state = 280},
  [2342] = {.lex_state = 230},
  [2343] = {.lex_state = 230},
  [2344] = {.lex_state = 230},
  [2345] = {.lex_state = 230},
  [2346] = {.lex_state = 230},
  [2347] = {.lex_state = 230},
  [2348] = {.lex_state = 230},
  [2349] = {.lex_state = 230},
  [2350] = {.lex_state = 252},
  [2351] = {.lex_state = 283},
  [2352] = {.lex_state = 252},
  [2353] = {.lex_state = 252},
  [2354] = {.lex_state = 206},
  [2355] = {.lex_state = 252},
  [2356] = {.lex_state = 252},
  [2357] = {.lex_state = 252},
  [2358] = {.lex_state = 252},
  [2359] = {.lex_state = 252},
  [2360] = {.lex_state = 252},
  [2361] = {.lex_state = 252},
  [2362] = {.lex_state = 252},
  [2363] = {.lex_state = 252},
  [2364] = {.lex_state = 252},
  [2365] = {.lex_state = 252},
  [2366] = {.lex_state = 252},
  [2367] = {.lex_state = 252},
  [2368] = {.lex_state = 252},
  [2369] = {.lex_state = 252},
  [2370] = {.lex_state = 252},
  [2371] = {.lex_state = 252},
  [2372] = {.lex_state = 252},
  [2373] = {.lex_state = 252},
  [2374] = {.lex_state = 252},
  [2375] = {.lex_state = 252},
  [2376] = {.lex_state = 223},
  [2377] = {.lex_state = 252},
  [2378] = {.lex_state = 252},
  [2379] = {.lex_state = 233},
  [2380] = {.lex_state = 252},
  [2381] = {.lex_state = 252},
  [2382] = {.lex_state = 252},
  [2383] = {.lex_state = 206},
  [2384] = {.lex_state = 252},
  [2385] = {.lex_state = 233},
  [2386] = {.lex_state = 252},
  [2387] = {.lex_state = 252},
  [2388] = {.lex_state = 232},
  [2389] = {.lex_state = 217},
  [2390] = {.lex_state = 217},
  [2391] = {.lex_state = 252},
  [2392] = {.lex_state = 252},
  [2393] = {.lex_state = 252},
  [2394] = {.lex_state = 252},
  [2395] = {.lex_state = 238},
  [2396] = {.lex_state = 282},
  [2397] = {.lex_state = 252},
  [2398] = {.lex_state = 234},
  [2399] = {.lex_state = 252},
  [2400] = {.lex_state = 252},
  [2401] = {.lex_state = 252},
  [2402] = {.lex_state = 252},
  [2403] = {.lex_state = 252},
  [2404] = {.lex_state = 252},
  [2405] = {.lex_state = 234},
  [2406] = {.lex_state = 252},
  [2407] = {.lex_state = 252},
  [2408] = {.lex_state = 252},
  [2409] = {.lex_state = 252},
  [2410] = {.lex_state = 252},
  [2411] = {.lex_state = 233},
  [2412] = {.lex_state = 234},
  [2413] = {.lex_state = 252},
  [2414] = {.lex_state = 252},
  [2415] = {.lex_state = 208},
  [2416] = {.lex_state = 252},
  [2417] = {.lex_state = 234},
  [2418] = {.lex_state = 229},
  [2419] = {.lex_state = 252},
  [2420] = {.lex_state = 206},
  [2421] = {.lex_state = 252},
  [2422] = {.lex_state = 238},
  [2423] = {.lex_state = 233},
  [2424] = {.lex_state = 252},
  [2425] = {.lex_state = 252},
  [2426] = {.lex_state = 282},
  [2427] = {.lex_state = 252},
  [2428] = {.lex_state = 232},
  [2429] = {.lex_state = 252},
  [2430] = {.lex_state = 252},
  [2431] = {.lex_state = 229},
  [2432] = {.lex_state = 280},
  [2433] = {.lex_state = 252},
  [2434] = {.lex_state = 252},
  [2435] = {.lex_state = 208},
  [2436] = {.lex_state = 234},
  [2437] = {.lex_state = 234},
  [2438] = {.lex_state = 217},
  [2439] = {.lex_state = 234},
  [2440] = {.lex_state = 234},
  [2441] = {.lex_state = 252},
  [2442] = {.lex_state = 252},
  [2443] = {.lex_state = 252},
  [2444] = {.lex_state = 204},
  [2445] = {.lex_state = 232},
  [2446] = {.lex_state = 234},
  [2447] = {.lex_state = 252},
  [2448] = {.lex_state = 252},
  [2449] = {.lex_state = 252},
  [2450] = {.lex_state = 252},
  [2451] = {.lex_state = 234},
  [2452] = {.lex_state = 282},
  [2453] = {.lex_state = 234},
  [2454] = {.lex_state = 252},
  [2455] = {.lex_state = 252},
  [2456] = {.lex_state = 280},
  [2457] = {.lex_state = 252},
  [2458] = {.lex_state = 252},
  [2459] = {.lex_state = 252},
  [2460] = {.lex_state = 252},
  [2461] = {.lex_state = 252},
  [2462] = {.lex_state = 252},
  [2463] = {.lex_state = 252},
  [2464] = {.lex_state = 252},
  [2465] = {.lex_state = 252},
  [2466] = {.lex_state = 234},
  [2467] = {.lex_state = 234},
  [2468] = {.lex_state = 229},
  [2469] = {.lex_state = 252},
  [2470] = {.lex_state = 252},
  [2471] = {.lex_state = 232},
  [2472] = {.lex_state = 229},
  [2473] = {.lex_state = 252},
  [2474] = {.lex_state = 252},
  [2475] = {.lex_state = 252},
  [2476] = {.lex_state = 252},
  [2477] = {.lex_state = 252},
  [2478] = {.lex_state = 252},
  [2479] = {.lex_state = 252},
  [2480] = {.lex_state = 252},
  [2481] = {.lex_state = 206},
  [2482] = {.lex_state = 283},
  [2483] = {.lex_state = 232},
  [2484] = {.lex_state = 223},
  [2485] = {.lex_state = 282},
  [2486] = {.lex_state = 234},
  [2487] = {.lex_state = 234},
  [2488] = {.lex_state = 245},
  [2489] = {.lex_state = 234},
  [2490] = {.lex_state = 234},
  [2491] = {.lex_state = 234},
  [2492] = {.lex_state = 238},
  [2493] = {.lex_state = 234},
  [2494] = {.lex_state = 234},
  [2495] = {.lex_state = 234},
  [2496] = {.lex_state = 234},
  [2497] = {.lex_state = 234},
  [2498] = {.lex_state = 234},
  [2499] = {.lex_state = 234},
  [2500] = {.lex_state = 238},
  [2501] = {.lex_state = 234},
  [2502] = {.lex_state = 283},
  [2503] = {.lex_state = 283},
  [2504] = {.lex_state = 211},
  [2505] = {.lex_state = 234},
  [2506] = {.lex_state = 234},
  [2507] = {.lex_state = 211},
  [2508] = {.lex_state = 234},
  [2509] = {.lex_state = 233},
  [2510] = {.lex_state = 282},
  [2511] = {.lex_state = 234},
  [2512] = {.lex_state = 234},
  [2513] = {.lex_state = 234},
  [2514] = {.lex_state = 280},
  [2515] = {.lex_state = 234},
  [2516] = {.lex_state = 234},
  [2517] = {.lex_state = 211},
  [2518] = {.lex_state = 234},
  [2519] = {.lex_state = 233},
  [2520] = {.lex_state = 238},
  [2521] = {.lex_state = 282},
  [2522] = {.lex_state = 238},
  [2523] = {.lex_state = 280},
  [2524] = {.lex_state = 232},
  [2525] = {.lex_state = 216},
  [2526] = {.lex_state = 234},
  [2527] = {.lex_state = 234},
  [2528] = {.lex_state = 234},
  [2529] = {.lex_state = 216},
  [2530] = {.lex_state = 234},
  [2531] = {.lex_state = 234},
  [2532] = {.lex_state = 234},
  [2533] = {.lex_state = 234},
  [2534] = {.lex_state = 234},
  [2535] = {.lex_state = 234},
  [2536] = {.lex_state = 233},
  [2537] = {.lex_state = 234},
  [2538] = {.lex_state = 246},
  [2539] = {.lex_state = 234},
  [2540] = {.lex_state = 234},
  [2541] = {.lex_state = 233},
  [2542] = {.lex_state = 233},
  [2543] = {.lex_state = 234},
  [2544] = {.lex_state = 234},
  [2545] = {.lex_state = 234},
  [2546] = {.lex_state = 234},
  [2547] = {.lex_state = 206},
  [2548] = {.lex_state = 282},
  [2549] = {.lex_state = 238},
  [2550] = {.lex_state = 206},
  [2551] = {.lex_state = 234},
  [2552] = {.lex_state = 233},
  [2553] = {.lex_state = 233},
  [2554] = {.lex_state = 234},
  [2555] = {.lex_state = 234},
  [2556] = {.lex_state = 238},
  [2557] = {.lex_state = 234},
  [2558] = {.lex_state = 234},
  [2559] = {.lex_state = 233},
  [2560] = {.lex_state = 283},
  [2561] = {.lex_state = 234},
  [2562] = {.lex_state = 238},
  [2563] = {.lex_state = 234},
  [2564] = {.lex_state = 233},
  [2565] = {.lex_state = 234},
  [2566] = {.lex_state = 233},
  [2567] = {.lex_state = 280},
  [2568] = {.lex_state = 234},
  [2569] = {.lex_state = 211},
  [2570] = {.lex_state = 233},
  [2571] = {.lex_state = 233},
  [2572] = {.lex_state = 238},
  [2573] = {.lex_state = 233},
  [2574] = {.lex_state = 234},
  [2575] = {.lex_state = 234},
  [2576] = {.lex_state = 234},
  [2577] = {.lex_state = 234},
  [2578] = {.lex_state = 283},
  [2579] = {.lex_state = 283},
  [2580] = {.lex_state = 232},
  [2581] = {.lex_state = 280},
  [2582] = {.lex_state = 280},
  [2583] = {.lex_state = 280},
  [2584] = {.lex_state = 280},
  [2585] = {.lex_state = 280},
  [2586] = {.lex_state = 216},
  [2587] = {.lex_state = 234},
  [2588] = {.lex_state = 234},
  [2589] = {.lex_state = 234},
  [2590] = {.lex_state = 280},
  [2591] = {.lex_state = 280},
  [2592] = {.lex_state = 283},
  [2593] = {.lex_state = 216},
  [2594] = {.lex_state = 280},
  [2595] = {.lex_state = 280},
  [2596] = {.lex_state = 280},
  [2597] = {.lex_state = 280},
  [2598] = {.lex_state = 280},
  [2599] = {.lex_state = 280},
  [2600] = {.lex_state = 280},
  [2601] = {.lex_state = 280},
  [2602] = {.lex_state = 280},
  [2603] = {.lex_state = 232},
  [2604] = {.lex_state = 280},
  [2605] = {.lex_state = 280},
  [2606] = {.lex_state = 280},
  [2607] = {.lex_state = 280},
  [2608] = {.lex_state = 280},
  [2609] = {.lex_state = 283},
  [2610] = {.lex_state = 283},
  [2611] = {.lex_state = 280},
  [2612] = {.lex_state = 280},
  [2613] = {.lex_state = 280},
  [2614] = {.lex_state = 280},
  [2615] = {.lex_state = 280},
  [2616] = {.lex_state = 280},
  [2617] = {.lex_state = 280},
  [2618] = {.lex_state = 234},
  [2619] = {.lex_state = 234},
  [2620] = {.lex_state = 280},
  [2621] = {.lex_state = 280},
  [2622] = {.lex_state = 280},
  [2623] = {.lex_state = 280},
  [2624] = {.lex_state = 280},
  [2625] = {.lex_state = 283},
  [2626] = {.lex_state = 283},
  [2627] = {.lex_state = 280},
  [2628] = {.lex_state = 280},
  [2629] = {.lex_state = 281},
  [2630] = {.lex_state = 280},
  [2631] = {.lex_state = 280},
  [2632] = {.lex_state = 280},
  [2633] = {.lex_state = 280},
  [2634] = {.lex_state = 280},
  [2635] = {.lex_state = 234},
  [2636] = {.lex_state = 280},
  [2637] = {.lex_state = 280},
  [2638] = {.lex_state = 234},
  [2639] = {.lex_state = 280},
  [2640] = {.lex_state = 234},
  [2641] = {.lex_state = 216},
  [2642] = {.lex_state = 283},
  [2643] = {.lex_state = 283},
  [2644] = {.lex_state = 283},
  [2645] = {.lex_state = 283},
  [2646] = {.lex_state = 280},
  [2647] = {.lex_state = 280},
  [2648] = {.lex_state = 284},
  [2649] = {.lex_state = 280},
  [2650] = {.lex_state = 280},
  [2651] = {.lex_state = 280},
  [2652] = {.lex_state = 280},
  [2653] = {.lex_state = 283},
  [2654] = {.lex_state = 280},
  [2655] = {.lex_state = 234},
  [2656] = {.lex_state = 284},
  [2657] = {.lex_state = 280},
  [2658] = {.lex_state = 280},
  [2659] = {.lex_state = 280},
  [2660] = {.lex_state = 283},
  [2661] = {.lex_state = 280},
  [2662] = {.lex_state = 280},
  [2663] = {.lex_state = 283},
  [2664] = {.lex_state = 234},
  [2665] = {.lex_state = 280},
  [2666] = {.lex_state = 217},
  [2667] = {.lex_state = 217},
  [2668] = {.lex_state = 283},
  [2669] = {.lex_state = 216},
  [2670] = {.lex_state = 280},
  [2671] = {.lex_state = 216},
  [2672] = {.lex_state = 232},
  [2673] = {.lex_state = 283},
  [2674] = {.lex_state = 216},
  [2675] = {.lex_state = 216},
  [2676] = {.lex_state = 280},
  [2677] = {.lex_state = 280},
  [2678] = {.lex_state = 283},
  [2679] = {.lex_state = 280},
  [2680] = {.lex_state = 280},
  [2681] = {.lex_state = 280},
  [2682] = {.lex_state = 283},
  [2683] = {.lex_state = 283},
  [2684] = {.lex_state = 283},
  [2685] = {.lex_state = 283},
  [2686] = {.lex_state = 280},
  [2687] = {.lex_state = 280},
  [2688] = {.lex_state = 283},
  [2689] = {.lex_state = 280},
  [2690] = {.lex_state = 283},
  [2691] = {.lex_state = 281},
  [2692] = {.lex_state = 280},
  [2693] = {.lex_state = 280},
  [2694] = {.lex_state = 283},
  [2695] = {.lex_state = 206},
  [2696] = {.lex_state = 283},
  [2697] = {.lex_state = 280},
  [2698] = {.lex_state = 280},
  [2699] = {.lex_state = 280},
  [2700] = {.lex_state = 206},
  [2701] = {.lex_state = 280},
  [2702] = {.lex_state = 280},
  [2703] = {.lex_state = 280},
  [2704] = {.lex_state = 283},
  [2705] = {.lex_state = 280},
  [2706] = {.lex_state = 280},
  [2707] = {.lex_state = 283},
  [2708] = {.lex_state = 283},
  [2709] = {.lex_state = 280},
  [2710] = {.lex_state = 283},
  [2711] = {.lex_state = 283},
  [2712] = {.lex_state = 283},
  [2713] = {.lex_state = 283},
  [2714] = {.lex_state = 283},
  [2715] = {.lex_state = 283},
  [2716] = {.lex_state = 280},
  [2717] = {.lex_state = 238},
  [2718] = {.lex_state = 280},
  [2719] = {.lex_state = 280},
  [2720] = {.lex_state = 283},
  [2721] = {.lex_state = 283},
  [2722] = {.lex_state = 280},
  [2723] = {.lex_state = 206},
  [2724] = {.lex_state = 280},
  [2725] = {.lex_state = 283},
  [2726] = {.lex_state = 206},
  [2727] = {.lex_state = 280},
  [2728] = {.lex_state = 283},
  [2729] = {.lex_state = 280},
  [2730] = {.lex_state = 280},
  [2731] = {.lex_state = 280},
  [2732] = {.lex_state = 283},
  [2733] = {.lex_state = 280},
  [2734] = {.lex_state = 283},
  [2735] = {.lex_state = 234},
  [2736] = {.lex_state = 283},
  [2737] = {.lex_state = 283},
  [2738] = {.lex_state = 283},
  [2739] = {.lex_state = 283},
  [2740] = {.lex_state = 283},
  [2741] = {.lex_state = 242},
  [2742] = {.lex_state = 280},
  [2743] = {.lex_state = 283},
  [2744] = {.lex_state = 283},
  [2745] = {.lex_state = 283},
  [2746] = {.lex_state = 283},
  [2747] = {.lex_state = 283},
  [2748] = {.lex_state = 283},
  [2749] = {.lex_state = 283},
  [2750] = {.lex_state = 280},
  [2751] = {.lex_state = 283},
  [2752] = {.lex_state = 283},
  [2753] = {.lex_state = 283},
  [2754] = {.lex_state = 283},
  [2755] = {.lex_state = 283},
  [2756] = {.lex_state = 283},
  [2757] = {.lex_state = 283},
  [2758] = {.lex_state = 283},
  [2759] = {.lex_state = 283},
  [2760] = {.lex_state = 283},
  [2761] = {.lex_state = 283},
  [2762] = {.lex_state = 283},
  [2763] = {.lex_state = 283},
  [2764] = {.lex_state = 283},
  [2765] = {.lex_state = 283},
  [2766] = {.lex_state = 283},
  [2767] = {.lex_state = 232},
  [2768] = {.lex_state = 283},
  [2769] = {.lex_state = 283},
  [2770] = {.lex_state = 283},
  [2771] = {.lex_state = 283},
  [2772] = {.lex_state = 283},
  [2773] = {.lex_state = 283},
  [2774] = {.lex_state = 242},
  [2775] = {.lex_state = 283},
  [2776] = {.lex_state = 283},
  [2777] = {.lex_state = 283},
  [2778] = {.lex_state = 245},
  [2779] = {.lex_state = 283},
  [2780] = {.lex_state = 283},
  [2781] = {.lex_state = 283},
  [2782] = {.lex_state = 283},
  [2783] = {.lex_state = 283},
  [2784] = {.lex_state = 242},
  [2785] = {.lex_state = 283},
  [2786] = {.lex_state = 283},
  [2787] = {.lex_state = 283},
  [2788] = {.lex_state = 283},
  [2789] = {.lex_state = 283},
  [2790] = {.lex_state = 234},
  [2791] = {.lex_state = 283},
  [2792] = {.lex_state = 236},
  [2793] = {.lex_state = 234},
  [2794] = {.lex_state = 234},
  [2795] = {.lex_state = 256},
  [2796] = {.lex_state = 234},
  [2797] = {.lex_state = 245},
  [2798] = {.lex_state = 282},
  [2799] = {.lex_state = 260},
  [2800] = {.lex_state = 245},
  [2801] = {.lex_state = 234},
  [2802] = {.lex_state = 233},
  [2803] = {.lex_state = 245},
  [2804] = {.lex_state = 234},
  [2805] = {.lex_state = 245},
  [2806] = {.lex_state = 234},
  [2807] = {.lex_state = 245},
  [2808] = {.lex_state = 245},
  [2809] = {.lex_state = 245},
  [2810] = {.lex_state = 282},
  [2811] = {.lex_state = 233},
  [2812] = {.lex_state = 259},
  [2813] = {.lex_state = 216},
  [2814] = {.lex_state = 233},
  [2815] = {.lex_state = 281},
  [2816] = {.lex_state = 234},
  [2817] = {.lex_state = 234},
  [2818] = {.lex_state = 234},
  [2819] = {.lex_state = 217},
  [2820] = {.lex_state = 245},
  [2821] = {.lex_state = 234},
  [2822] = {.lex_state = 217},
  [2823] = {.lex_state = 216},
  [2824] = {.lex_state = 281},
  [2825] = {.lex_state = 282},
  [2826] = {.lex_state = 282},
  [2827] = {.lex_state = 281},
  [2828] = {.lex_state = 234},
  [2829] = {.lex_state = 234},
  [2830] = {.lex_state = 234},
  [2831] = {.lex_state = 233},
  [2832] = {.lex_state = 281},
  [2833] = {.lex_state = 234},
  [2834] = {.lex_state = 217},
  [2835] = {.lex_state = 282},
  [2836] = {.lex_state = 259},
  [2837] = {.lex_state = 216},
  [2838] = {.lex_state = 282},
  [2839] = {.lex_state = 282},
  [2840] = {.lex_state = 234},
  [2841] = {.lex_state = 259},
  [2842] = {.lex_state = 245},
  [2843] = {.lex_state = 261},
  [2844] = {.lex_state = 256},
  [2845] = {.lex_state = 245},
  [2846] = {.lex_state = 233},
  [2847] = {.lex_state = 234},
  [2848] = {.lex_state = 282},
  [2849] = {.lex_state = 206},
  [2850] = {.lex_state = 217},
  [2851] = {.lex_state = 282},
  [2852] = {.lex_state = 206},
  [2853] = {.lex_state = 206},
  [2854] = {.lex_state = 282},
  [2855] = {.lex_state = 282},
  [2856] = {.lex_state = 282},
  [2857] = {.lex_state = 282},
  [2858] = {.lex_state = 282},
  [2859] = {.lex_state = 282},
  [2860] = {.lex_state = 206},
  [2861] = {.lex_state = 216},
  [2862] = {.lex_state = 282},
  [2863] = {.lex_state = 256},
  [2864] = {.lex_state = 281},
  [2865] = {.lex_state = 234},
  [2866] = {.lex_state = 234},
  [2867] = {.lex_state = 234},
  [2868] = {.lex_state = 234},
  [2869] = {.lex_state = 234},
  [2870] = {.lex_state = 234},
  [2871] = {.lex_state = 234},
  [2872] = {.lex_state = 234},
  [2873] = {.lex_state = 234},
  [2874] = {.lex_state = 234},
  [2875] = {.lex_state = 234},
  [2876] = {.lex_state = 234},
  [2877] = {.lex_state = 234},
  [2878] = {.lex_state = 234},
  [2879] = {.lex_state = 284},
  [2880] = {.lex_state = 234},
  [2881] = {.lex_state = 234},
  [2882] = {.lex_state = 234},
  [2883] = {.lex_state = 234},
  [2884] = {.lex_state = 234},
  [2885] = {.lex_state = 234},
  [2886] = {.lex_state = 234},
  [2887] = {.lex_state = 245},
  [2888] = {.lex_state = 245},
  [2889] = {.lex_state = 234},
  [2890] = {.lex_state = 234},
  [2891] = {.lex_state = 217},
  [2892] = {.lex_state = 246},
  [2893] = {.lex_state = 234},
  [2894] = {.lex_state = 257},
  [2895] = {.lex_state = 238},
  [2896] = {.lex_state = 234},
  [2897] = {.lex_state = 260},
  [2898] = {.lex_state = 234},
  [2899] = {.lex_state = 234},
  [2900] = {.lex_state = 245},
  [2901] = {.lex_state = 257},
  [2902] = {.lex_state = 234},
  [2903] = {.lex_state = 245},
  [2904] = {.lex_state = 245},
  [2905] = {.lex_state = 245},
  [2906] = {.lex_state = 245},
  [2907] = {.lex_state = 217},
  [2908] = {.lex_state = 245},
  [2909] = {.lex_state = 234},
  [2910] = {.lex_state = 245},
  [2911] = {.lex_state = 246},
  [2912] = {.lex_state = 245},
  [2913] = {.lex_state = 234},
  [2914] = {.lex_state = 245},
  [2915] = {.lex_state = 234},
  [2916] = {.lex_state = 281},
  [2917] = {.lex_state = 234},
  [2918] = {.lex_state = 234},
  [2919] = {.lex_state = 266},
  [2920] = {.lex_state = 234},
  [2921] = {.lex_state = 234},
  [2922] = {.lex_state = 234},
  [2923] = {.lex_state = 234},
  [2924] = {.lex_state = 234},
  [2925] = {.lex_state = 234},
  [2926] = {.lex_state = 234},
  [2927] = {.lex_state = 234},
  [2928] = {.lex_state = 234},
  [2929] = {.lex_state = 234},
  [2930] = {.lex_state = 234},
  [2931] = {.lex_state = 237},
  [2932] = {.lex_state = 234},
  [2933] = {.lex_state = 234},
  [2934] = {.lex_state = 234},
  [2935] = {.lex_state = 234},
  [2936] = {.lex_state = 234},
  [2937] = {.lex_state = 234},
  [2938] = {.lex_state = 234},
  [2939] = {.lex_state = 234},
  [2940] = {.lex_state = 237},
  [2941] = {.lex_state = 281},
  [2942] = {.lex_state = 238},
  [2943] = {.lex_state = 217},
  [2944] = {.lex_state = 234},
  [2945] = {.lex_state = 234},
  [2946] = {.lex_state = 234},
  [2947] = {.lex_state = 217},
  [2948] = {.lex_state = 234},
  [2949] = {.lex_state = 257},
  [2950] = {.lex_state = 234},
  [2951] = {.lex_state = 234},
  [2952] = {.lex_state = 245},
  [2953] = {.lex_state = 234},
  [2954] = {.lex_state = 234},
  [2955] = {.lex_state = 234},
  [2956] = {.lex_state = 234},
  [2957] = {.lex_state = 234},
  [2958] = {.lex_state = 234},
  [2959] = {.lex_state = 234},
  [2960] = {.lex_state = 234},
  [2961] = {.lex_state = 234},
  [2962] = {.lex_state = 245},
  [2963] = {.lex_state = 234},
  [2964] = {.lex_state = 234},
  [2965] = {.lex_state = 284},
  [2966] = {.lex_state = 234},
  [2967] = {.lex_state = 234},
  [2968] = {.lex_state = 265},
  [2969] = {.lex_state = 234},
  [2970] = {.lex_state = 234},
  [2971] = {.lex_state = 234},
  [2972] = {.lex_state = 216},
  [2973] = {.lex_state = 234},
  [2974] = {.lex_state = 216},
  [2975] = {.lex_state = 234},
  [2976] = {.lex_state = 234},
  [2977] = {.lex_state = 273},
  [2978] = {.lex_state = 238},
  [2979] = {.lex_state = 260},
  [2980] = {.lex_state = 237},
  [2981] = {.lex_state = 237},
  [2982] = {.lex_state = 238},
  [2983] = {.lex_state = 282},
  [2984] = {.lex_state = 273},
  [2985] = {.lex_state = 238},
  [2986] = {.lex_state = 207},
  [2987] = {.lex_state = 245},
  [2988] = {.lex_state = 245},
  [2989] = {.lex_state = 238},
  [2990] = {.lex_state = 260},
  [2991] = {.lex_state = 273},
  [2992] = {.lex_state = 273},
  [2993] = {.lex_state = 238},
  [2994] = {.lex_state = 265},
  [2995] = {.lex_state = 260},
  [2996] = {.lex_state = 238},
  [2997] = {.lex_state = 260},
  [2998] = {.lex_state = 282},
  [2999] = {.lex_state = 238},
  [3000] = {.lex_state = 260},
  [3001] = {.lex_state = 245},
  [3002] = {.lex_state = 282},
  [3003] = {.lex_state = 238},
  [3004] = {.lex_state = 238},
  [3005] = {.lex_state = 207},
  [3006] = {.lex_state = 216},
  [3007] = {.lex_state = 207},
  [3008] = {.lex_state = 216},
  [3009] = {.lex_state = 246},
  [3010] = {.lex_state = 245},
  [3011] = {.lex_state = 238},
  [3012] = {.lex_state = 238},
  [3013] = {.lex_state = 216},
  [3014] = {.lex_state = 273},
  [3015] = {.lex_state = 216},
  [3016] = {.lex_state = 273},
  [3017] = {.lex_state = 273},
  [3018] = {.lex_state = 260},
  [3019] = {.lex_state = 260},
  [3020] = {.lex_state = 238},
  [3021] = {.lex_state = 273},
  [3022] = {.lex_state = 260},
  [3023] = {.lex_state = 260},
  [3024] = {.lex_state = 216},
  [3025] = {.lex_state = 281},
  [3026] = {.lex_state = 265},
  [3027] = {.lex_state = 260},
  [3028] = {.lex_state = 260},
  [3029] = {.lex_state = 216},
  [3030] = {.lex_state = 260},
  [3031] = {.lex_state = 216},
  [3032] = {.lex_state = 260},
  [3033] = {.lex_state = 273},
  [3034] = {.lex_state = 260},
  [3035] = {.lex_state = 261},
  [3036] = {.lex_state = 256},
  [3037] = {.lex_state = 260},
  [3038] = {.lex_state = 281},
  [3039] = {.lex_state = 281},
  [3040] = {.lex_state = 261},
  [3041] = {.lex_state = 260},
  [3042] = {.lex_state = 265},
  [3043] = {.lex_state = 281},
  [3044] = {.lex_state = 245},
  [3045] = {.lex_state = 261},
  [3046] = {.lex_state = 265},
  [3047] = {.lex_state = 281},
  [3048] = {.lex_state = 265},
  [3049] = {.lex_state = 216},
  [3050] = {.lex_state = 281},
  [3051] = {.lex_state = 265},
  [3052] = {.lex_state = 245},
  [3053] = {.lex_state = 265},
  [3054] = {.lex_state = 265},
  [3055] = {.lex_state = 265},
  [3056] = {.lex_state = 256},
  [3057] = {.lex_state = 265},
  [3058] = {.lex_state = 281},
  [3059] = {.lex_state = 256},
  [3060] = {.lex_state = 281},
  [3061] = {.lex_state = 204},
  [3062] = {.lex_state = 281},
  [3063] = {.lex_state = 282},
  [3064] = {.lex_state = 281},
  [3065] = {.lex_state = 245},
  [3066] = {.lex_state = 281},
  [3067] = {.lex_state = 281},
  [3068] = {.lex_state = 281},
  [3069] = {.lex_state = 281},
  [3070] = {.lex_state = 281},
  [3071] = {.lex_state = 281},
  [3072] = {.lex_state = 281},
  [3073] = {.lex_state = 281},
  [3074] = {.lex_state = 281},
  [3075] = {.lex_state = 245},
  [3076] = {.lex_state = 281},
  [3077] = {.lex_state = 281},
  [3078] = {.lex_state = 281},
  [3079] = {.lex_state = 245},
  [3080] = {.lex_state = 281},
  [3081] = {.lex_state = 260},
  [3082] = {.lex_state = 245},
  [3083] = {.lex_state = 281},
  [3084] = {.lex_state = 265},
  [3085] = {.lex_state = 265},
  [3086] = {.lex_state = 265},
  [3087] = {.lex_state = 245},
  [3088] = {.lex_state = 260},
  [3089] = {.lex_state = 282},
  [3090] = {.lex_state = 281},
  [3091] = {.lex_state = 281},
  [3092] = {.lex_state = 281},
  [3093] = {.lex_state = 265},
  [3094] = {.lex_state = 281},
  [3095] = {.lex_state = 204},
  [3096] = {.lex_state = 245},
  [3097] = {.lex_state = 245},
  [3098] = {.lex_state = 245},
  [3099] = {.lex_state = 281},
  [3100] = {.lex_state = 281},
  [3101] = {.lex_state = 281},
  [3102] = {.lex_state = 281},
  [3103] = {.lex_state = 281},
  [3104] = {.lex_state = 281},
  [3105] = {.lex_state = 281},
  [3106] = {.lex_state = 266},
  [3107] = {.lex_state = 281},
  [3108] = {.lex_state = 266},
  [3109] = {.lex_state = 281},
  [3110] = {.lex_state = 281},
  [3111] = {.lex_state = 245},
  [3112] = {.lex_state = 281},
  [3113] = {.lex_state = 245},
  [3114] = {.lex_state = 245},
  [3115] = {.lex_state = 260},
  [3116] = {.lex_state = 281},
  [3117] = {.lex_state = 265},
  [3118] = {.lex_state = 261},
  [3119] = {.lex_state = 281},
  [3120] = {.lex_state = 281},
  [3121] = {.lex_state = 260},
  [3122] = {.lex_state = 281},
  [3123] = {.lex_state = 281},
  [3124] = {.lex_state = 281},
  [3125] = {.lex_state = 245},
  [3126] = {.lex_state = 260},
  [3127] = {.lex_state = 281},
  [3128] = {.lex_state = 260},
  [3129] = {.lex_state = 265},
  [3130] = {.lex_state = 207},
  [3131] = {.lex_state = 245},
  [3132] = {.lex_state = 234},
  [3133] = {.lex_state = 272},
  [3134] = {.lex_state = 234},
  [3135] = {.lex_state = 260},
  [3136] = {.lex_state = 244},
  [3137] = {.lex_state = 272},
  [3138] = {.lex_state = 245},
  [3139] = {.lex_state = 272},
  [3140] = {.lex_state = 234},
  [3141] = {.lex_state = 272},
  [3142] = {.lex_state = 234},
  [3143] = {.lex_state = 244},
  [3144] = {.lex_state = 234},
  [3145] = {.lex_state = 281},
  [3146] = {.lex_state = 281},
  [3147] = {.lex_state = 260},
  [3148] = {.lex_state = 234},
  [3149] = {.lex_state = 281},
  [3150] = {.lex_state = 245},
  [3151] = {.lex_state = 234},
  [3152] = {.lex_state = 260},
  [3153] = {.lex_state = 266},
  [3154] = {.lex_state = 234},
  [3155] = {.lex_state = 272},
  [3156] = {.lex_state = 281},
  [3157] = {.lex_state = 260},
  [3158] = {.lex_state = 234},
  [3159] = {.lex_state = 244},
  [3160] = {.lex_state = 260},
  [3161] = {.lex_state = 234},
  [3162] = {.lex_state = 272},
  [3163] = {.lex_state = 234},
  [3164] = {.lex_state = 281},
  [3165] = {.lex_state = 272},
  [3166] = {.lex_state = 234},
  [3167] = {.lex_state = 272},
  [3168] = {.lex_state = 207},
  [3169] = {.lex_state = 234},
  [3170] = {.lex_state = 265},
  [3171] = {.lex_state = 260},
  [3172] = {.lex_state = 281},
  [3173] = {.lex_state = 245},
  [3174] = {.lex_state = 273},
  [3175] = {.lex_state = 207},
  [3176] = {.lex_state = 260},
  [3177] = {.lex_state = 281},
  [3178] = {.lex_state = 245},
  [3179] = {.lex_state = 260},
  [3180] = {.lex_state = 234},
  [3181] = {.lex_state = 245},
  [3182] = {.lex_state = 245},
  [3183] = {.lex_state = 265},
  [3184] = {.lex_state = 260},
  [3185] = {.lex_state = 260},
  [3186] = {.lex_state = 245},
  [3187] = {.lex_state = 265},
  [3188] = {.lex_state = 234},
  [3189] = {.lex_state = 260},
  [3190] = {.lex_state = 281},
  [3191] = {.lex_state = 272},
  [3192] = {.lex_state = 244},
  [3193] = {.lex_state = 272},
  [3194] = {.lex_state = 272},
  [3195] = {.lex_state = 234},
  [3196] = {.lex_state = 245},
  [3197] = {.lex_state = 207},
  [3198] = {.lex_state = 272},
  [3199] = {.lex_state = 273},
  [3200] = {.lex_state = 265},
  [3201] = {.lex_state = 234},
  [3202] = {.lex_state = 276},
  [3203] = {.lex_state = 260},
  [3204] = {.lex_state = 245},
  [3205] = {.lex_state = 245},
  [3206] = {.lex_state = 245},
  [3207] = {.lex_state = 244},
  [3208] = {.lex_state = 245},
  [3209] = {.lex_state = 204},
  [3210] = {.lex_state = 273},
  [3211] = {.lex_state = 273},
  [3212] = {.lex_state = 245},
  [3213] = {.lex_state = 245},
  [3214] = {.lex_state = 276},
  [3215] = {.lex_state = 245},
  [3216] = {.lex_state = 273},
  [3217] = {.lex_state = 233},
  [3218] = {.lex_state = 204},
  [3219] = {.lex_state = 244},
  [3220] = {.lex_state = 233},
  [3221] = {.lex_state = 233},
  [3222] = {.lex_state = 233},
  [3223] = {.lex_state = 260},
  [3224] = {.lex_state = 260},
  [3225] = {.lex_state = 245},
  [3226] = {.lex_state = 245},
  [3227] = {.lex_state = 233},
  [3228] = {.lex_state = 260},
  [3229] = {.lex_state = 260},
  [3230] = {.lex_state = 260},
  [3231] = {.lex_state = 260},
  [3232] = {.lex_state = 245},
  [3233] = {.lex_state = 260},
  [3234] = {.lex_state = 226},
  [3235] = {.lex_state = 233},
  [3236] = {.lex_state = 260},
  [3237] = {.lex_state = 273},
  [3238] = {.lex_state = 245},
  [3239] = {.lex_state = 261},
  [3240] = {.lex_state = 260},
  [3241] = {.lex_state = 233},
  [3242] = {.lex_state = 245},
  [3243] = {.lex_state = 260},
  [3244] = {.lex_state = 226},
  [3245] = {.lex_state = 258},
  [3246] = {.lex_state = 273},
  [3247] = {.lex_state = 204},
  [3248] = {.lex_state = 204},
  [3249] = {.lex_state = 276},
  [3250] = {.lex_state = 204},
  [3251] = {.lex_state = 261},
  [3252] = {.lex_state = 265},
  [3253] = {.lex_state = 204},
  [3254] = {.lex_state = 276},
  [3255] = {.lex_state = 245},
  [3256] = {.lex_state = 281},
  [3257] = {.lex_state = 281},
  [3258] = {.lex_state = 281},
  [3259] = {.lex_state = 273},
  [3260] = {.lex_state = 273},
  [3261] = {.lex_state = 245},
  [3262] = {.lex_state = 258},
  [3263] = {.lex_state = 245},
  [3264] = {.lex_state = 226},
  [3265] = {.lex_state = 245},
  [3266] = {.lex_state = 245},
  [3267] = {.lex_state = 245},
  [3268] = {.lex_state = 245},
  [3269] = {.lex_state = 273},
  [3270] = {.lex_state = 260},
  [3271] = {.lex_state = 265},
  [3272] = {.lex_state = 204},
  [3273] = {.lex_state = 245},
  [3274] = {.lex_state = 260},
  [3275] = {.lex_state = 276},
  [3276] = {.lex_state = 226},
  [3277] = {.lex_state = 245},
  [3278] = {.lex_state = 204},
  [3279] = {.lex_state = 260},
  [3280] = {.lex_state = 281},
  [3281] = {.lex_state = 281},
  [3282] = {.lex_state = 281},
  [3283] = {.lex_state = 245},
  [3284] = {.lex_state = 245},
  [3285] = {.lex_state = 204},
  [3286] = {.lex_state = 245},
  [3287] = {.lex_state = 245},
  [3288] = {.lex_state = 245},
  [3289] = {.lex_state = 227},
  [3290] = {.lex_state = 244},
  [3291] = {.lex_state = 281},
  [3292] = {.lex_state = 245},
  [3293] = {.lex_state = 245},
  [3294] = {.lex_state = 245},
  [3295] = {.lex_state = 226},
  [3296] = {.lex_state = 227},
  [3297] = {.lex_state = 245},
  [3298] = {.lex_state = 245},
  [3299] = {.lex_state = 226},
  [3300] = {.lex_state = 245},
  [3301] = {.lex_state = 204},
  [3302] = {.lex_state = 260},
  [3303] = {.lex_state = 245},
  [3304] = {.lex_state = 281},
  [3305] = {.lex_state = 245},
  [3306] = {.lex_state = 245},
  [3307] = {.lex_state = 281},
  [3308] = {.lex_state = 204},
  [3309] = {.lex_state = 273},
  [3310] = {.lex_state = 273},
  [3311] = {.lex_state = 245},
  [3312] = {.lex_state = 245},
  [3313] = {.lex_state = 245},
  [3314] = {.lex_state = 204},
  [3315] = {.lex_state = 226},
  [3316] = {.lex_state = 258},
  [3317] = {.lex_state = 226},
  [3318] = {.lex_state = 204},
  [3319] = {.lex_state = 204},
  [3320] = {.lex_state = 204},
  [3321] = {.lex_state = 260},
  [3322] = {.lex_state = 273},
  [3323] = {.lex_state = 204},
  [3324] = {.lex_state = 204},
  [3325] = {.lex_state = 273},
  [3326] = {.lex_state = 260},
  [3327] = {.lex_state = 226},
  [3328] = {.lex_state = 204},
  [3329] = {.lex_state = 260},
  [3330] = {.lex_state = 258},
  [3331] = {.lex_state = 204},
  [3332] = {.lex_state = 273},
  [3333] = {.lex_state = 227},
  [3334] = {.lex_state = 260},
  [3335] = {.lex_state = 204},
  [3336] = {.lex_state = 260},
  [3337] = {.lex_state = 260},
  [3338] = {.lex_state = 260},
  [3339] = {.lex_state = 260},
  [3340] = {.lex_state = 260},
  [3341] = {.lex_state = 265},
  [3342] = {.lex_state = 273},
  [3343] = {.lex_state = 234},
  [3344] = {.lex_state = 234},
  [3345] = {.lex_state = 234},
  [3346] = {.lex_state = 234},
  [3347] = {.lex_state = 227},
  [3348] = {.lex_state = 234},
  [3349] = {.lex_state = 234},
  [3350] = {.lex_state = 231},
  [3351] = {.lex_state = 260},
  [3352] = {.lex_state = 273},
  [3353] = {.lex_state = 260},
  [3354] = {.lex_state = 234},
  [3355] = {.lex_state = 234},
  [3356] = {.lex_state = 260},
  [3357] = {.lex_state = 260},
  [3358] = {.lex_state = 227},
  [3359] = {.lex_state = 245},
  [3360] = {.lex_state = 234},
  [3361] = {.lex_state = 234},
  [3362] = {.lex_state = 260},
  [3363] = {.lex_state = 231},
  [3364] = {.lex_state = 260},
  [3365] = {.lex_state = 272},
  [3366] = {.lex_state = 234},
  [3367] = {.lex_state = 234},
  [3368] = {.lex_state = 273},
  [3369] = {.lex_state = 273},
  [3370] = {.lex_state = 265},
  [3371] = {.lex_state = 265},
  [3372] = {.lex_state = 273},
  [3373] = {.lex_state = 234},
  [3374] = {.lex_state = 227},
  [3375] = {.lex_state = 231},
  [3376] = {.lex_state = 261},
  [3377] = {.lex_state = 284},
  [3378] = {.lex_state = 245},
  [3379] = {.lex_state = 273},
  [3380] = {.lex_state = 265},
  [3381] = {.lex_state = 245},
  [3382] = {.lex_state = 245},
  [3383] = {.lex_state = 245},
  [3384] = {.lex_state = 273},
  [3385] = {.lex_state = 265},
  [3386] = {.lex_state = 265},
  [3387] = {.lex_state = 245},
  [3388] = {.lex_state = 260},
  [3389] = {.lex_state = 231},
  [3390] = {.lex_state = 234},
  [3391] = {.lex_state = 245},
  [3392] = {.lex_state = 265},
  [3393] = {.lex_state = 265},
  [3394] = {.lex_state = 265},
  [3395] = {.lex_state = 265},
  [3396] = {.lex_state = 260},
  [3397] = {.lex_state = 245},
  [3398] = {.lex_state = 265},
  [3399] = {.lex_state = 245},
  [3400] = {.lex_state = 245},
  [3401] = {.lex_state = 265},
  [3402] = {.lex_state = 234},
  [3403] = {.lex_state = 245},
  [3404] = {.lex_state = 245},
  [3405] = {.lex_state = 245},
  [3406] = {.lex_state = 245},
  [3407] = {.lex_state = 245},
  [3408] = {.lex_state = 245},
  [3409] = {.lex_state = 245},
  [3410] = {.lex_state = 244},
  [3411] = {.lex_state = 260},
  [3412] = {.lex_state = 260},
  [3413] = {.lex_state = 260},
  [3414] = {.lex_state = 260},
  [3415] = {.lex_state = 260},
  [3416] = {.lex_state = 281},
  [3417] = {.lex_state = 245},
  [3418] = {.lex_state = 281},
  [3419] = {.lex_state = 245},
  [3420] = {.lex_state = 245},
  [3421] = {.lex_state = 284},
  [3422] = {.lex_state = 234},
  [3423] = {.lex_state = 231},
  [3424] = {.lex_state = 260},
  [3425] = {.lex_state = 234},
  [3426] = {.lex_state = 281},
  [3427] = {.lex_state = 245},
  [3428] = {.lex_state = 245},
  [3429] = {.lex_state = 245},
  [3430] = {.lex_state = 245},
  [3431] = {.lex_state = 234},
  [3432] = {.lex_state = 245},
  [3433] = {.lex_state = 260},
  [3434] = {.lex_state = 260},
  [3435] = {.lex_state = 245},
  [3436] = {.lex_state = 245},
  [3437] = {.lex_state = 260},
  [3438] = {.lex_state = 272},
  [3439] = {.lex_state = 245},
  [3440] = {.lex_state = 226},
  [3441] = {.lex_state = 260},
  [3442] = {.lex_state = 273},
  [3443] = {.lex_state = 246},
  [3444] = {.lex_state = 273},
  [3445] = {.lex_state = 273},
  [3446] = {.lex_state = 246},
  [3447] = {.lex_state = 260},
  [3448] = {.lex_state = 246},
  [3449] = {.lex_state = 265},
  [3450] = {.lex_state = 273},
  [3451] = {.lex_state = 273},
  [3452] = {.lex_state = 273},
  [3453] = {.lex_state = 273},
  [3454] = {.lex_state = 273},
  [3455] = {.lex_state = 273},
  [3456] = {.lex_state = 273},
  [3457] = {.lex_state = 197},
  [3458] = {.lex_state = 244},
  [3459] = {.lex_state = 244},
  [3460] = {.lex_state = 244},
  [3461] = {.lex_state = 244},
  [3462] = {.lex_state = 273},
  [3463] = {.lex_state = 273},
  [3464] = {.lex_state = 260},
  [3465] = {.lex_state = 240},
  [3466] = {.lex_state = 260},
  [3467] = {.lex_state = 260},
  [3468] = {.lex_state = 260},
  [3469] = {.lex_state = 245},
  [3470] = {.lex_state = 273},
  [3471] = {.lex_state = 260},
  [3472] = {.lex_state = 260},
  [3473] = {.lex_state = 260},
  [3474] = {.lex_state = 273},
  [3475] = {.lex_state = 260},
  [3476] = {.lex_state = 260},
  [3477] = {.lex_state = 260},
  [3478] = {.lex_state = 260},
  [3479] = {.lex_state = 260},
  [3480] = {.lex_state = 226},
  [3481] = {.lex_state = 260},
  [3482] = {.lex_state = 273},
  [3483] = {.lex_state = 226},
  [3484] = {.lex_state = 260},
  [3485] = {.lex_state = 226},
  [3486] = {.lex_state = 244},
  [3487] = {.lex_state = 231},
  [3488] = {.lex_state = 273},
  [3489] = {.lex_state = 231},
  [3490] = {.lex_state = 260},
  [3491] = {.lex_state = 246},
  [3492] = {.lex_state = 197},
  [3493] = {.lex_state = 260},
  [3494] = {.lex_state = 273},
  [3495] = {.lex_state = 265},
  [3496] = {.lex_state = 240},
  [3497] = {.lex_state = 260},
  [3498] = {.lex_state = 260},
  [3499] = {.lex_state = 260},
  [3500] = {.lex_state = 231},
  [3501] = {.lex_state = 260},
  [3502] = {.lex_state = 273},
  [3503] = {.lex_state = 265},
  [3504] = {.lex_state = 248},
  [3505] = {.lex_state = 240},
  [3506] = {.lex_state = 260},
  [3507] = {.lex_state = 197},
  [3508] = {.lex_state = 244},
  [3509] = {.lex_state = 260},
  [3510] = {.lex_state = 273},
  [3511] = {.lex_state = 246},
  [3512] = {.lex_state = 273},
  [3513] = {.lex_state = 273},
  [3514] = {.lex_state = 197},
  [3515] = {.lex_state = 273},
  [3516] = {.lex_state = 260},
  [3517] = {.lex_state = 273},
  [3518] = {.lex_state = 273},
  [3519] = {.lex_state = 226},
  [3520] = {.lex_state = 244},
  [3521] = {.lex_state = 268},
  [3522] = {.lex_state = 260},
  [3523] = {.lex_state = 244},
  [3524] = {.lex_state = 244},
  [3525] = {.lex_state = 244},
  [3526] = {.lex_state = 265},
  [3527] = {.lex_state = 260},
  [3528] = {.lex_state = 273},
  [3529] = {.lex_state = 273},
  [3530] = {.lex_state = 244},
  [3531] = {.lex_state = 268},
  [3532] = {.lex_state = 197},
  [3533] = {.lex_state = 265},
  [3534] = {.lex_state = 273},
  [3535] = {.lex_state = 273},
  [3536] = {.lex_state = 260},
  [3537] = {.lex_state = 260},
  [3538] = {.lex_state = 245},
  [3539] = {.lex_state = 273},
  [3540] = {.lex_state = 281},
  [3541] = {.lex_state = 273},
  [3542] = {.lex_state = 246},
  [3543] = {.lex_state = 226},
  [3544] = {.lex_state = 273},
  [3545] = {.lex_state = 260},
  [3546] = {.lex_state = 281},
  [3547] = {.lex_state = 265},
  [3548] = {.lex_state = 265},
  [3549] = {.lex_state = 265},
  [3550] = {.lex_state = 226},
  [3551] = {.lex_state = 197},
  [3552] = {.lex_state = 260},
  [3553] = {.lex_state = 273},
  [3554] = {.lex_state = 260},
  [3555] = {.lex_state = 244},
  [3556] = {.lex_state = 244},
  [3557] = {.lex_state = 197},
  [3558] = {.lex_state = 265},
  [3559] = {.lex_state = 268},
  [3560] = {.lex_state = 226},
  [3561] = {.lex_state = 260},
  [3562] = {.lex_state = 244},
  [3563] = {.lex_state = 260},
  [3564] = {.lex_state = 260},
  [3565] = {.lex_state = 260},
  [3566] = {.lex_state = 244},
  [3567] = {.lex_state = 268},
  [3568] = {.lex_state = 260},
  [3569] = {.lex_state = 207},
  [3570] = {.lex_state = 207},
  [3571] = {.lex_state = 244},
  [3572] = {.lex_state = 260},
  [3573] = {.lex_state = 246},
  [3574] = {.lex_state = 226},
  [3575] = {.lex_state = 260},
  [3576] = {.lex_state = 260},
  [3577] = {.lex_state = 273},
  [3578] = {.lex_state = 245},
  [3579] = {.lex_state = 265},
  [3580] = {.lex_state = 245},
  [3581] = {.lex_state = 245},
  [3582] = {.lex_state = 245},
  [3583] = {.lex_state = 260},
  [3584] = {.lex_state = 245},
  [3585] = {.lex_state = 245},
  [3586] = {.lex_state = 245},
  [3587] = {.lex_state = 265},
  [3588] = {.lex_state = 245},
  [3589] = {.lex_state = 265},
  [3590] = {.lex_state = 260},
  [3591] = {.lex_state = 234},
  [3592] = {.lex_state = 281},
  [3593] = {.lex_state = 245},
  [3594] = {.lex_state = 267},
  [3595] = {.lex_state = 234},
  [3596] = {.lex_state = 260},
  [3597] = {.lex_state = 245},
  [3598] = {.lex_state = 260},
  [3599] = {.lex_state = 260},
  [3600] = {.lex_state = 234},
  [3601] = {.lex_state = 212},
  [3602] = {.lex_state = 265},
  [3603] = {.lex_state = 234},
  [3604] = {.lex_state = 244},
  [3605] = {.lex_state = 265},
  [3606] = {.lex_state = 245},
  [3607] = {.lex_state = 245},
  [3608] = {.lex_state = 284},
  [3609] = {.lex_state = 260},
  [3610] = {.lex_state = 245},
  [3611] = {.lex_state = 245},
  [3612] = {.lex_state = 260},
  [3613] = {.lex_state = 245},
  [3614] = {.lex_state = 245},
  [3615] = {.lex_state = 245},
  [3616] = {.lex_state = 245},
  [3617] = {.lex_state = 284},
  [3618] = {.lex_state = 378},
  [3619] = {.lex_state = 245},
  [3620] = {.lex_state = 245},
  [3621] = {.lex_state = 245},
  [3622] = {.lex_state = 260},
  [3623] = {.lex_state = 260},
  [3624] = {.lex_state = 245},
  [3625] = {.lex_state = 234},
  [3626] = {.lex_state = 245},
  [3627] = {.lex_state = 265},
  [3628] = {.lex_state = 282},
  [3629] = {.lex_state = 245},
  [3630] = {.lex_state = 245},
  [3631] = {.lex_state = 265},
  [3632] = {.lex_state = 245},
  [3633] = {.lex_state = 268},
  [3634] = {.lex_state = 245},
  [3635] = {.lex_state = 265},
  [3636] = {.lex_state = 265},
  [3637] = {.lex_state = 260},
  [3638] = {.lex_state = 265},
  [3639] = {.lex_state = 260},
  [3640] = {.lex_state = 234},
  [3641] = {.lex_state = 245},
  [3642] = {.lex_state = 245},
  [3643] = {.lex_state = 265},
  [3644] = {.lex_state = 234},
  [3645] = {.lex_state = 245},
  [3646] = {.lex_state = 234},
  [3647] = {.lex_state = 265},
  [3648] = {.lex_state = 245},
  [3649] = {.lex_state = 245},
  [3650] = {.lex_state = 265},
  [3651] = {.lex_state = 281},
  [3652] = {.lex_state = 234},
  [3653] = {.lex_state = 260},
  [3654] = {.lex_state = 245},
  [3655] = {.lex_state = 245},
  [3656] = {.lex_state = 260},
  [3657] = {.lex_state = 245},
  [3658] = {.lex_state = 245},
  [3659] = {.lex_state = 245},
  [3660] = {.lex_state = 260},
  [3661] = {.lex_state = 245},
  [3662] = {.lex_state = 245},
  [3663] = {.lex_state = 245},
  [3664] = {.lex_state = 260},
  [3665] = {.lex_state = 260},
  [3666] = {.lex_state = 245},
  [3667] = {.lex_state = 260},
  [3668] = {.lex_state = 260},
  [3669] = {.lex_state = 260},
  [3670] = {.lex_state = 260},
  [3671] = {.lex_state = 245},
  [3672] = {.lex_state = 234},
  [3673] = {.lex_state = 265},
  [3674] = {.lex_state = 245},
  [3675] = {.lex_state = 260},
  [3676] = {.lex_state = 265},
  [3677] = {.lex_state = 265},
  [3678] = {.lex_state = 265},
  [3679] = {.lex_state = 234},
  [3680] = {.lex_state = 265},
  [3681] = {.lex_state = 265},
  [3682] = {.lex_state = 265},
  [3683] = {.lex_state = 245},
  [3684] = {.lex_state = 260},
  [3685] = {.lex_state = 234},
  [3686] = {.lex_state = 245},
  [3687] = {.lex_state = 265},
  [3688] = {.lex_state = 260},
  [3689] = {.lex_state = 260},
  [3690] = {.lex_state = 260},
  [3691] = {.lex_state = 245},
  [3692] = {.lex_state = 234},
  [3693] = {.lex_state = 265},
  [3694] = {.lex_state = 265},
  [3695] = {.lex_state = 245},
  [3696] = {.lex_state = 260},
  [3697] = {.lex_state = 234},
  [3698] = {.lex_state = 245},
  [3699] = {.lex_state = 207},
  [3700] = {.lex_state = 260},
  [3701] = {.lex_state = 245},
  [3702] = {.lex_state = 207},
  [3703] = {.lex_state = 234},
  [3704] = {.lex_state = 281},
  [3705] = {.lex_state = 260},
  [3706] = {.lex_state = 262},
  [3707] = {.lex_state = 260},
  [3708] = {.lex_state = 245},
  [3709] = {.lex_state = 260},
  [3710] = {.lex_state = 237},
  [3711] = {.lex_state = 245},
  [3712] = {.lex_state = 245},
  [3713] = {.lex_state = 260},
  [3714] = {.lex_state = 260},
  [3715] = {.lex_state = 245},
  [3716] = {.lex_state = 245},
  [3717] = {.lex_state = 245},
  [3718] = {.lex_state = 268},
  [3719] = {.lex_state = 265},
  [3720] = {.lex_state = 245},
  [3721] = {.lex_state = 265},
  [3722] = {.lex_state = 245},
  [3723] = {.lex_state = 265},
  [3724] = {.lex_state = 265},
  [3725] = {.lex_state = 260},
  [3726] = {.lex_state = 245},
  [3727] = {.lex_state = 260},
  [3728] = {.lex_state = 245},
  [3729] = {.lex_state = 245},
  [3730] = {.lex_state = 265},
  [3731] = {.lex_state = 245},
  [3732] = {.lex_state = 231},
  [3733] = {.lex_state = 265},
  [3734] = {.lex_state = 265},
  [3735] = {.lex_state = 234},
  [3736] = {.lex_state = 265},
  [3737] = {.lex_state = 245},
  [3738] = {.lex_state = 212},
  [3739] = {.lex_state = 237},
  [3740] = {.lex_state = 245},
  [3741] = {.lex_state = 245},
  [3742] = {.lex_state = 245},
  [3743] = {.lex_state = 245},
  [3744] = {.lex_state = 265},
  [3745] = {.lex_state = 265},
  [3746] = {.lex_state = 265},
  [3747] = {.lex_state = 244},
  [3748] = {.lex_state = 231},
  [3749] = {.lex_state = 245},
  [3750] = {.lex_state = 245},
  [3751] = {.lex_state = 245},
  [3752] = {.lex_state = 265},
  [3753] = {.lex_state = 245},
  [3754] = {.lex_state = 281},
  [3755] = {.lex_state = 245},
  [3756] = {.lex_state = 260},
  [3757] = {.lex_state = 245},
  [3758] = {.lex_state = 260},
  [3759] = {.lex_state = 245},
  [3760] = {.lex_state = 245},
  [3761] = {.lex_state = 260},
  [3762] = {.lex_state = 265},
  [3763] = {.lex_state = 245},
  [3764] = {.lex_state = 265},
  [3765] = {.lex_state = 245},
  [3766] = {.lex_state = 260},
  [3767] = {.lex_state = 260},
  [3768] = {.lex_state = 245},
  [3769] = {.lex_state = 245},
  [3770] = {.lex_state = 265},
  [3771] = {.lex_state = 234},
  [3772] = {.lex_state = 245},
  [3773] = {.lex_state = 245},
  [3774] = {.lex_state = 245},
  [3775] = {.lex_state = 245},
  [3776] = {.lex_state = 260},
  [3777] = {.lex_state = 245},
  [3778] = {.lex_state = 245},
  [3779] = {.lex_state = 212},
  [3780] = {.lex_state = 260},
  [3781] = {.lex_state = 234},
  [3782] = {.lex_state = 231},
  [3783] = {.lex_state = 234},
  [3784] = {.lex_state = 260},
  [3785] = {.lex_state = 234},
  [3786] = {.lex_state = 207},
  [3787] = {.lex_state = 234},
  [3788] = {.lex_state = 227},
  [3789] = {.lex_state = 260},
  [3790] = {.lex_state = 260},
  [3791] = {.lex_state = 237},
  [3792] = {.lex_state = 260},
  [3793] = {.lex_state = 231},
  [3794] = {.lex_state = 231},
  [3795] = {.lex_state = 260},
  [3796] = {.lex_state = 244},
  [3797] = {.lex_state = 260},
  [3798] = {.lex_state = 260},
  [3799] = {.lex_state = 231},
  [3800] = {.lex_state = 265},
  [3801] = {.lex_state = 234},
  [3802] = {.lex_state = 237},
  [3803] = {.lex_state = 231},
  [3804] = {.lex_state = 260},
  [3805] = {.lex_state = 281},
  [3806] = {.lex_state = 234},
  [3807] = {.lex_state = 253},
  [3808] = {.lex_state = 272},
  [3809] = {.lex_state = 234},
  [3810] = {.lex_state = 234},
  [3811] = {.lex_state = 204},
  [3812] = {.lex_state = 234},
  [3813] = {.lex_state = 234},
  [3814] = {.lex_state = 260},
  [3815] = {.lex_state = 281},
  [3816] = {.lex_state = 260},
  [3817] = {.lex_state = 234},
  [3818] = {.lex_state = 234},
  [3819] = {.lex_state = 231},
  [3820] = {.lex_state = 231},
  [3821] = {.lex_state = 265},
  [3822] = {.lex_state = 265},
  [3823] = {.lex_state = 234},
  [3824] = {.lex_state = 264},
  [3825] = {.lex_state = 260},
  [3826] = {.lex_state = 231},
  [3827] = {.lex_state = 234},
  [3828] = {.lex_state = 231},
  [3829] = {.lex_state = 281},
  [3830] = {.lex_state = 265},
  [3831] = {.lex_state = 265},
  [3832] = {.lex_state = 281},
  [3833] = {.lex_state = 265},
  [3834] = {.lex_state = 234},
  [3835] = {.lex_state = 234},
  [3836] = {.lex_state = 260},
  [3837] = {.lex_state = 281},
  [3838] = {.lex_state = 234},
  [3839] = {.lex_state = 212},
  [3840] = {.lex_state = 281},
  [3841] = {.lex_state = 265},
  [3842] = {.lex_state = 231},
  [3843] = {.lex_state = 231},
  [3844] = {.lex_state = 231},
  [3845] = {.lex_state = 234},
  [3846] = {.lex_state = 231},
  [3847] = {.lex_state = 260},
  [3848] = {.lex_state = 234},
  [3849] = {.lex_state = 260},
  [3850] = {.lex_state = 381},
  [3851] = {.lex_state = 234},
  [3852] = {.lex_state = 234},
  [3853] = {.lex_state = 212},
  [3854] = {.lex_state = 282},
  [3855] = {.lex_state = 260},
  [3856] = {.lex_state = 265},
  [3857] = {.lex_state = 260},
  [3858] = {.lex_state = 260},
  [3859] = {.lex_state = 265},
  [3860] = {.lex_state = 234},
  [3861] = {.lex_state = 281},
  [3862] = {.lex_state = 281},
  [3863] = {.lex_state = 207},
  [3864] = {.lex_state = 234},
  [3865] = {.lex_state = 281},
  [3866] = {.lex_state = 231},
  [3867] = {.lex_state = 281},
  [3868] = {.lex_state = 231},
  [3869] = {.lex_state = 231},
  [3870] = {.lex_state = 244},
  [3871] = {.lex_state = 281},
  [3872] = {.lex_state = 265},
  [3873] = {.lex_state = 234},
  [3874] = {.lex_state = 260},
  [3875] = {.lex_state = 260},
  [3876] = {.lex_state = 231},
  [3877] = {.lex_state = 231},
  [3878] = {.lex_state = 244},
  [3879] = {.lex_state = 234},
  [3880] = {.lex_state = 227},
  [3881] = {.lex_state = 265},
  [3882] = {.lex_state = 253},
  [3883] = {.lex_state = 244},
  [3884] = {.lex_state = 260},
  [3885] = {.lex_state = 281},
  [3886] = {.lex_state = 265},
  [3887] = {.lex_state = 265},
  [3888] = {.lex_state = 227},
  [3889] = {.lex_state = 234},
  [3890] = {.lex_state = 238},
  [3891] = {.lex_state = 260},
  [3892] = {.lex_state = 282},
  [3893] = {.lex_state = 231},
  [3894] = {.lex_state = 265},
  [3895] = {.lex_state = 234},
  [3896] = {.lex_state = 231},
  [3897] = {.lex_state = 260},
  [3898] = {.lex_state = 253},
  [3899] = {.lex_state = 281},
  [3900] = {.lex_state = 265},
  [3901] = {.lex_state = 244},
  [3902] = {.lex_state = 207},
  [3903] = {.lex_state = 244},
  [3904] = {.lex_state = 281},
  [3905] = {.lex_state = 237},
  [3906] = {.lex_state = 265},
  [3907] = {.lex_state = 265},
  [3908] = {.lex_state = 265},
  [3909] = {.lex_state = 265},
  [3910] = {.lex_state = 260},
  [3911] = {.lex_state = 265},
  [3912] = {.lex_state = 231},
  [3913] = {.lex_state = 265},
  [3914] = {.lex_state = 265},
  [3915] = {.lex_state = 231},
  [3916] = {.lex_state = 265},
  [3917] = {.lex_state = 265},
  [3918] = {.lex_state = 231},
  [3919] = {.lex_state = 265},
  [3920] = {.lex_state = 231},
  [3921] = {.lex_state = 231},
  [3922] = {.lex_state = 265},
  [3923] = {.lex_state = 265},
  [3924] = {.lex_state = 231},
  [3925] = {.lex_state = 265},
  [3926] = {.lex_state = 231},
  [3927] = {.lex_state = 231},
  [3928] = {.lex_state = 260},
  [3929] = {.lex_state = 237},
  [3930] = {.lex_state = 282},
  [3931] = {.lex_state = 226},
  [3932] = {.lex_state = 260},
  [3933] = {.lex_state = 268},
  [3934] = {.lex_state = 282},
  [3935] = {.lex_state = 238},
  [3936] = {.lex_state = 282},
  [3937] = {.lex_state = 260},
  [3938] = {.lex_state = 237},
  [3939] = {.lex_state = 230},
  [3940] = {.lex_state = 238},
  [3941] = {.lex_state = 237},
  [3942] = {.lex_state = 260},
  [3943] = {.lex_state = 260},
  [3944] = {.lex_state = 237},
  [3945] = {.lex_state = 260},
  [3946] = {.lex_state = 260},
  [3947] = {.lex_state = 260},
  [3948] = {.lex_state = 260},
  [3949] = {.lex_state = 237},
  [3950] = {.lex_state = 234},
  [3951] = {.lex_state = 282},
  [3952] = {.lex_state = 260},
  [3953] = {.lex_state = 260},
  [3954] = {.lex_state = 260},
  [3955] = {.lex_state = 260},
  [3956] = {.lex_state = 260},
  [3957] = {.lex_state = 260},
  [3958] = {.lex_state = 265},
  [3959] = {.lex_state = 260},
  [3960] = {.lex_state = 207},
  [3961] = {.lex_state = 260},
  [3962] = {.lex_state = 238},
  [3963] = {.lex_state = 238},
  [3964] = {.lex_state = 238},
  [3965] = {.lex_state = 237},
  [3966] = {.lex_state = 237},
  [3967] = {.lex_state = 282},
  [3968] = {.lex_state = 238},
  [3969] = {.lex_state = 260},
  [3970] = {.lex_state = 237},
  [3971] = {.lex_state = 238},
  [3972] = {.lex_state = 268},
  [3973] = {.lex_state = 226},
  [3974] = {.lex_state = 207},
  [3975] = {.lex_state = 230},
  [3976] = {.lex_state = 237},
  [3977] = {.lex_state = 260},
  [3978] = {.lex_state = 237},
  [3979] = {.lex_state = 268},
  [3980] = {.lex_state = 268},
  [3981] = {.lex_state = 260},
  [3982] = {.lex_state = 237},
  [3983] = {.lex_state = 268},
  [3984] = {.lex_state = 260},
  [3985] = {.lex_state = 260},
  [3986] = {.lex_state = 237},
  [3987] = {.lex_state = 238},
  [3988] = {.lex_state = 260},
  [3989] = {.lex_state = 281},
  [3990] = {.lex_state = 282},
  [3991] = {.lex_state = 260},
  [3992] = {.lex_state = 260},
  [3993] = {.lex_state = 238},
  [3994] = {.lex_state = 260},
  [3995] = {.lex_state = 282},
  [3996] = {.lex_state = 260},
  [3997] = {.lex_state = 282},
  [3998] = {.lex_state = 237},
  [3999] = {.lex_state = 260},
  [4000] = {.lex_state = 260},
  [4001] = {.lex_state = 260},
  [4002] = {.lex_state = 260},
  [4003] = {.lex_state = 260},
  [4004] = {.lex_state = 260},
  [4005] = {.lex_state = 260},
  [4006] = {.lex_state = 238},
  [4007] = {.lex_state = 260},
  [4008] = {.lex_state = 234},
  [4009] = {.lex_state = 237},
  [4010] = {.lex_state = 282},
  [4011] = {.lex_state = 260},
  [4012] = {.lex_state = 260},
  [4013] = {.lex_state = 260},
  [4014] = {.lex_state = 260},
  [4015] = {.lex_state = 260},
  [4016] = {.lex_state = 207},
  [4017] = {.lex_state = 260},
  [4018] = {.lex_state = 260},
  [4019] = {.lex_state = 282},
  [4020] = {.lex_state = 281},
  [4021] = {.lex_state = 260},
  [4022] = {.lex_state = 260},
  [4023] = {.lex_state = 260},
  [4024] = {.lex_state = 260},
  [4025] = {.lex_state = 260},
  [4026] = {.lex_state = 260},
  [4027] = {.lex_state = 260},
  [4028] = {.lex_state = 268},
  [4029] = {.lex_state = 237},
  [4030] = {.lex_state = 218},
  [4031] = {.lex_state = 260},
  [4032] = {.lex_state = 260},
  [4033] = {.lex_state = 237},
  [4034] = {.lex_state = 260},
  [4035] = {.lex_state = 281},
  [4036] = {.lex_state = 268},
  [4037] = {.lex_state = 282},
  [4038] = {.lex_state = 260},
  [4039] = {.lex_state = 268},
  [4040] = {.lex_state = 268},
  [4041] = {.lex_state = 260},
  [4042] = {.lex_state = 260},
  [4043] = {.lex_state = 268},
  [4044] = {.lex_state = 260},
  [4045] = {.lex_state = 268},
  [4046] = {.lex_state = 260},
  [4047] = {.lex_state = 281},
  [4048] = {.lex_state = 268},
  [4049] = {.lex_state = 268},
  [4050] = {.lex_state = 260},
  [4051] = {.lex_state = 268},
  [4052] = {.lex_state = 260},
  [4053] = {.lex_state = 260},
  [4054] = {.lex_state = 281},
  [4055] = {.lex_state = 260},
  [4056] = {.lex_state = 237},
  [4057] = {.lex_state = 260},
  [4058] = {.lex_state = 260},
  [4059] = {.lex_state = 260},
  [4060] = {.lex_state = 260},
  [4061] = {.lex_state = 265},
  [4062] = {.lex_state = 260},
  [4063] = {.lex_state = 260},
  [4064] = {.lex_state = 281},
  [4065] = {.lex_state = 260},
  [4066] = {.lex_state = 282},
  [4067] = {.lex_state = 207},
  [4068] = {.lex_state = 260},
  [4069] = {.lex_state = 260},
  [4070] = {.lex_state = 260},
  [4071] = {.lex_state = 260},
  [4072] = {.lex_state = 260},
  [4073] = {.lex_state = 260},
  [4074] = {.lex_state = 260},
  [4075] = {.lex_state = 237},
  [4076] = {.lex_state = 238},
  [4077] = {.lex_state = 260},
  [4078] = {.lex_state = 260},
  [4079] = {.lex_state = 260},
  [4080] = {.lex_state = 270},
  [4081] = {.lex_state = 260},
  [4082] = {.lex_state = 260},
  [4083] = {.lex_state = 260},
  [4084] = {.lex_state = 238},
  [4085] = {.lex_state = 260},
  [4086] = {.lex_state = 260},
  [4087] = {.lex_state = 260},
  [4088] = {.lex_state = 268},
  [4089] = {.lex_state = 260},
  [4090] = {.lex_state = 254},
  [4091] = {.lex_state = 265},
  [4092] = {.lex_state = 281},
  [4093] = {.lex_state = 260},
  [4094] = {.lex_state = 260},
  [4095] = {.lex_state = 281},
  [4096] = {.lex_state = 260},
  [4097] = {.lex_state = 237},
  [4098] = {.lex_state = 254},
  [4099] = {.lex_state = 268},
  [4100] = {.lex_state = 237},
  [4101] = {.lex_state = 260},
  [4102] = {.lex_state = 237},
  [4103] = {.lex_state = 260},
  [4104] = {.lex_state = 218},
  [4105] = {.lex_state = 254},
  [4106] = {.lex_state = 260},
  [4107] = {.lex_state = 260},
  [4108] = {.lex_state = 237},
  [4109] = {.lex_state = 237},
  [4110] = {.lex_state = 237},
  [4111] = {.lex_state = 238},
  [4112] = {.lex_state = 281},
  [4113] = {.lex_state = 218},
  [4114] = {.lex_state = 260},
  [4115] = {.lex_state = 260},
  [4116] = {.lex_state = 238},
  [4117] = {.lex_state = 260},
  [4118] = {.lex_state = 281},
  [4119] = {.lex_state = 260},
  [4120] = {.lex_state = 260},
  [4121] = {.lex_state = 260},
  [4122] = {.lex_state = 260},
  [4123] = {.lex_state = 260},
  [4124] = {.lex_state = 237},
  [4125] = {.lex_state = 282},
  [4126] = {.lex_state = 260},
  [4127] = {.lex_state = 260},
  [4128] = {.lex_state = 260},
  [4129] = {.lex_state = 260},
  [4130] = {.lex_state = 260},
  [4131] = {.lex_state = 237},
  [4132] = {.lex_state = 260},
  [4133] = {.lex_state = 260},
  [4134] = {.lex_state = 260},
  [4135] = {.lex_state = 260},
  [4136] = {.lex_state = 260},
  [4137] = {.lex_state = 260},
  [4138] = {.lex_state = 265},
  [4139] = {.lex_state = 260},
  [4140] = {.lex_state = 260},
  [4141] = {.lex_state = 260},
  [4142] = {.lex_state = 260},
  [4143] = {.lex_state = 260},
  [4144] = {.lex_state = 260},
  [4145] = {.lex_state = 238},
  [4146] = {.lex_state = 260},
  [4147] = {.lex_state = 238},
  [4148] = {.lex_state = 238},
  [4149] = {.lex_state = 260},
  [4150] = {.lex_state = 282},
  [4151] = {.lex_state = 260},
  [4152] = {.lex_state = 237},
  [4153] = {.lex_state = 260},
  [4154] = {.lex_state = 234},
  [4155] = {.lex_state = 260},
  [4156] = {.lex_state = 265},
  [4157] = {.lex_state = 265},
  [4158] = {.lex_state = 282},
  [4159] = {.lex_state = 265},
  [4160] = {.lex_state = 265},
  [4161] = {.lex_state = 207},
  [4162] = {.lex_state = 212},
  [4163] = {.lex_state = 207},
  [4164] = {.lex_state = 212},
  [4165] = {.lex_state = 265},
  [4166] = {.lex_state = 250},
  [4167] = {.lex_state = 265},
  [4168] = {.lex_state = 265},
  [4169] = {.lex_state = 281},
  [4170] = {.lex_state = 265},
  [4171] = {.lex_state = 381},
  [4172] = {.lex_state = 265},
  [4173] = {.lex_state = 265},
  [4174] = {.lex_state = 260},
  [4175] = {.lex_state = 226},
  [4176] = {.lex_state = 260},
  [4177] = {.lex_state = 265},
  [4178] = {.lex_state = 265},
  [4179] = {.lex_state = 281},
  [4180] = {.lex_state = 281},
  [4181] = {.lex_state = 265},
  [4182] = {.lex_state = 260},
  [4183] = {.lex_state = 265},
  [4184] = {.lex_state = 265},
  [4185] = {.lex_state = 265},
  [4186] = {.lex_state = 265},
  [4187] = {.lex_state = 265},
  [4188] = {.lex_state = 260},
  [4189] = {.lex_state = 265},
  [4190] = {.lex_state = 260},
  [4191] = {.lex_state = 260},
  [4192] = {.lex_state = 265},
  [4193] = {.lex_state = 260},
  [4194] = {.lex_state = 260},
  [4195] = {.lex_state = 265},
  [4196] = {.lex_state = 260},
  [4197] = {.lex_state = 260},
  [4198] = {.lex_state = 260},
  [4199] = {.lex_state = 260},
  [4200] = {.lex_state = 260},
  [4201] = {.lex_state = 260},
  [4202] = {.lex_state = 260},
  [4203] = {.lex_state = 282},
  [4204] = {.lex_state = 265},
  [4205] = {.lex_state = 265},
  [4206] = {.lex_state = 282},
  [4207] = {.lex_state = 265},
  [4208] = {.lex_state = 260},
  [4209] = {.lex_state = 265},
  [4210] = {.lex_state = 265},
  [4211] = {.lex_state = 265},
  [4212] = {.lex_state = 265},
  [4213] = {.lex_state = 260},
  [4214] = {.lex_state = 265},
  [4215] = {.lex_state = 265},
  [4216] = {.lex_state = 265},
  [4217] = {.lex_state = 265},
  [4218] = {.lex_state = 212},
  [4219] = {.lex_state = 265},
  [4220] = {.lex_state = 260},
  [4221] = {.lex_state = 212},
  [4222] = {.lex_state = 265},
  [4223] = {.lex_state = 265},
  [4224] = {.lex_state = 260},
  [4225] = {.lex_state = 265},
  [4226] = {.lex_state = 281},
  [4227] = {.lex_state = 281},
  [4228] = {.lex_state = 265},
  [4229] = {.lex_state = 281},
  [4230] = {.lex_state = 265},
  [4231] = {.lex_state = 265},
  [4232] = {.lex_state = 265},
  [4233] = {.lex_state = 265},
  [4234] = {.lex_state = 265},
  [4235] = {.lex_state = 265},
  [4236] = {.lex_state = 265},
  [4237] = {.lex_state = 265},
  [4238] = {.lex_state = 265},
  [4239] = {.lex_state = 282},
  [4240] = {.lex_state = 237},
  [4241] = {.lex_state = 281},
  [4242] = {.lex_state = 260},
  [4243] = {.lex_state = 265},
  [4244] = {.lex_state = 234},
  [4245] = {.lex_state = 237},
  [4246] = {.lex_state = 260},
  [4247] = {.lex_state = 237},
  [4248] = {.lex_state = 265},
  [4249] = {.lex_state = 265},
  [4250] = {.lex_state = 265},
  [4251] = {.lex_state = 265},
  [4252] = {.lex_state = 260},
  [4253] = {.lex_state = 265},
  [4254] = {.lex_state = 265},
  [4255] = {.lex_state = 265},
  [4256] = {.lex_state = 265},
  [4257] = {.lex_state = 265},
  [4258] = {.lex_state = 237},
  [4259] = {.lex_state = 265},
  [4260] = {.lex_state = 265},
  [4261] = {.lex_state = 265},
  [4262] = {.lex_state = 237},
  [4263] = {.lex_state = 265},
  [4264] = {.lex_state = 265},
  [4265] = {.lex_state = 265},
  [4266] = {.lex_state = 265},
  [4267] = {.lex_state = 237},
  [4268] = {.lex_state = 237},
  [4269] = {.lex_state = 265},
  [4270] = {.lex_state = 265},
  [4271] = {.lex_state = 265},
  [4272] = {.lex_state = 237},
  [4273] = {.lex_state = 281},
  [4274] = {.lex_state = 260},
  [4275] = {.lex_state = 249},
  [4276] = {.lex_state = 265},
  [4277] = {.lex_state = 265},
  [4278] = {.lex_state = 260},
  [4279] = {.lex_state = 265},
  [4280] = {.lex_state = 281},
  [4281] = {.lex_state = 265},
  [4282] = {.lex_state = 265},
  [4283] = {.lex_state = 265},
  [4284] = {.lex_state = 265},
  [4285] = {.lex_state = 281},
  [4286] = {.lex_state = 265},
  [4287] = {.lex_state = 281},
  [4288] = {.lex_state = 265},
  [4289] = {.lex_state = 265},
  [4290] = {.lex_state = 265},
  [4291] = {.lex_state = 265},
  [4292] = {.lex_state = 282},
  [4293] = {.lex_state = 281},
  [4294] = {.lex_state = 381},
  [4295] = {.lex_state = 282},
  [4296] = {.lex_state = 265},
  [4297] = {.lex_state = 237},
  [4298] = {.lex_state = 265},
  [4299] = {.lex_state = 265},
  [4300] = {.lex_state = 237},
  [4301] = {.lex_state = 381},
  [4302] = {.lex_state = 265},
  [4303] = {.lex_state = 282},
  [4304] = {.lex_state = 265},
  [4305] = {.lex_state = 238},
  [4306] = {.lex_state = 243},
  [4307] = {.lex_state = 381},
  [4308] = {.lex_state = 237},
  [4309] = {.lex_state = 260},
  [4310] = {.lex_state = 381},
  [4311] = {.lex_state = 237},
  [4312] = {.lex_state = 237},
  [4313] = {.lex_state = 218},
  [4314] = {.lex_state = 218},
  [4315] = {.lex_state = 237},
  [4316] = {.lex_state = 253},
  [4317] = {.lex_state = 381},
  [4318] = {.lex_state = 237},
  [4319] = {.lex_state = 237},
  [4320] = {.lex_state = 237},
  [4321] = {.lex_state = 237},
  [4322] = {.lex_state = 207},
  [4323] = {.lex_state = 281},
  [4324] = {.lex_state = 207},
  [4325] = {.lex_state = 381},
  [4326] = {.lex_state = 253},
  [4327] = {.lex_state = 238},
  [4328] = {.lex_state = 237},
  [4329] = {.lex_state = 237},
  [4330] = {.lex_state = 281},
  [4331] = {.lex_state = 281},
  [4332] = {.lex_state = 281},
  [4333] = {.lex_state = 281},
  [4334] = {.lex_state = 238},
  [4335] = {.lex_state = 207},
  [4336] = {.lex_state = 207},
  [4337] = {.lex_state = 243},
  [4338] = {.lex_state = 253},
  [4339] = {.lex_state = 237},
  [4340] = {.lex_state = 281},
  [4341] = {.lex_state = 237},
  [4342] = {.lex_state = 237},
  [4343] = {.lex_state = 281},
  [4344] = {.lex_state = 243},
  [4345] = {.lex_state = 281},
  [4346] = {.lex_state = 249},
  [4347] = {.lex_state = 281},
  [4348] = {.lex_state = 260},
  [4349] = {.lex_state = 249},
  [4350] = {.lex_state = 260},
  [4351] = {.lex_state = 260},
  [4352] = {.lex_state = 249},
  [4353] = {.lex_state = 260},
  [4354] = {.lex_state = 260},
  [4355] = {.lex_state = 260},
  [4356] = {.lex_state = 260},
  [4357] = {.lex_state = 260},
  [4358] = {.lex_state = 218},
  [4359] = {.lex_state = 207},
  [4360] = {.lex_state = 260},
  [4361] = {.lex_state = 260},
  [4362] = {.lex_state = 282},
  [4363] = {.lex_state = 260},
  [4364] = {.lex_state = 250},
  [4365] = {.lex_state = 237},
  [4366] = {.lex_state = 238},
  [4367] = {.lex_state = 260},
  [4368] = {.lex_state = 260},
  [4369] = {.lex_state = 260},
  [4370] = {.lex_state = 237},
  [4371] = {.lex_state = 260},
  [4372] = {.lex_state = 260},
  [4373] = {.lex_state = 237},
  [4374] = {.lex_state = 260},
  [4375] = {.lex_state = 260},
  [4376] = {.lex_state = 260},
  [4377] = {.lex_state = 226},
  [4378] = {.lex_state = 207},
  [4379] = {.lex_state = 260},
  [4380] = {.lex_state = 260},
  [4381] = {.lex_state = 260},
  [4382] = {.lex_state = 260},
  [4383] = {.lex_state = 260},
  [4384] = {.lex_state = 260},
  [4385] = {.lex_state = 250},
  [4386] = {.lex_state = 281},
  [4387] = {.lex_state = 260},
  [4388] = {.lex_state = 250},
  [4389] = {.lex_state = 260},
  [4390] = {.lex_state = 260},
  [4391] = {.lex_state = 250},
  [4392] = {.lex_state = 260},
  [4393] = {.lex_state = 260},
  [4394] = {.lex_state = 226},
  [4395] = {.lex_state = 260},
  [4396] = {.lex_state = 237},
  [4397] = {.lex_state = 260},
  [4398] = {.lex_state = 260},
  [4399] = {.lex_state = 207},
  [4400] = {.lex_state = 260},
  [4401] = {.lex_state = 260},
  [4402] = {.lex_state = 260},
  [4403] = {.lex_state = 260},
  [4404] = {.lex_state = 260},
  [4405] = {.lex_state = 226},
  [4406] = {.lex_state = 260},
  [4407] = {.lex_state = 260},
  [4408] = {.lex_state = 237},
  [4409] = {.lex_state = 238},
  [4410] = {.lex_state = 260},
  [4411] = {.lex_state = 260},
  [4412] = {.lex_state = 238},
  [4413] = {.lex_state = 238},
  [4414] = {.lex_state = 238},
  [4415] = {.lex_state = 237},
  [4416] = {.lex_state = 260},
  [4417] = {.lex_state = 237},
  [4418] = {.lex_state = 260},
  [4419] = {.lex_state = 260},
  [4420] = {.lex_state = 237},
  [4421] = {.lex_state = 207},
  [4422] = {.lex_state = 237},
  [4423] = {.lex_state = 281},
  [4424] = {.lex_state = 218},
  [4425] = {.lex_state = 250},
  [4426] = {.lex_state = 218},
  [4427] = {.lex_state = 237},
  [4428] = {.lex_state = 260},
  [4429] = {.lex_state = 238},
  [4430] = {.lex_state = 250},
  [4431] = {.lex_state = 250},
  [4432] = {.lex_state = 226},
  [4433] = {.lex_state = 260},
  [4434] = {.lex_state = 260},
  [4435] = {.lex_state = 260},
  [4436] = {.lex_state = 260},
  [4437] = {.lex_state = 260},
  [4438] = {.lex_state = 260},
  [4439] = {.lex_state = 282},
  [4440] = {.lex_state = 237},
  [4441] = {.lex_state = 260},
  [4442] = {.lex_state = 250},
  [4443] = {.lex_state = 260},
  [4444] = {.lex_state = 260},
  [4445] = {.lex_state = 260},
  [4446] = {.lex_state = 260},
  [4447] = {.lex_state = 237},
  [4448] = {.lex_state = 218},
  [4449] = {.lex_state = 218},
  [4450] = {.lex_state = 249},
  [4451] = {.lex_state = 238},
  [4452] = {.lex_state = 238},
  [4453] = {.lex_state = 250},
  [4454] = {.lex_state = 238},
  [4455] = {.lex_state = 218},
  [4456] = {.lex_state = 238},
  [4457] = {.lex_state = 238},
  [4458] = {.lex_state = 281},
  [4459] = {.lex_state = 249},
  [4460] = {.lex_state = 238},
  [4461] = {.lex_state = 238},
  [4462] = {.lex_state = 249},
  [4463] = {.lex_state = 249},
  [4464] = {.lex_state = 238},
  [4465] = {.lex_state = 238},
  [4466] = {.lex_state = 238},
  [4467] = {.lex_state = 249},
  [4468] = {.lex_state = 249},
  [4469] = {.lex_state = 237},
  [4470] = {.lex_state = 249},
  [4471] = {.lex_state = 238},
  [4472] = {.lex_state = 281},
  [4473] = {.lex_state = 249},
  [4474] = {.lex_state = 281},
  [4475] = {.lex_state = 250},
  [4476] = {.lex_state = 238},
  [4477] = {.lex_state = 281},
  [4478] = {.lex_state = 249},
  [4479] = {.lex_state = 238},
  [4480] = {.lex_state = 238},
  [4481] = {.lex_state = 238},
  [4482] = {.lex_state = 238},
  [4483] = {.lex_state = 238},
  [4484] = {.lex_state = 249},
  [4485] = {.lex_state = 378},
  [4486] = {.lex_state = 218},
  [4487] = {.lex_state = 238},
  [4488] = {.lex_state = 249},
  [4489] = {.lex_state = 281},
  [4490] = {.lex_state = 238},
  [4491] = {.lex_state = 238},
  [4492] = {.lex_state = 238},
  [4493] = {.lex_state = 218},
  [4494] = {.lex_state = 238},
  [4495] = {.lex_state = 238},
  [4496] = {.lex_state = 250},
  [4497] = {.lex_state = 238},
  [4498] = {.lex_state = 249},
  [4499] = {.lex_state = 238},
  [4500] = {.lex_state = 238},
  [4501] = {.lex_state = 238},
  [4502] = {.lex_state = 272},
  [4503] = {.lex_state = 238},
  [4504] = {.lex_state = 238},
  [4505] = {.lex_state = 238},
  [4506] = {.lex_state = 237},
  [4507] = {.lex_state = 238},
  [4508] = {.lex_state = 238},
  [4509] = {.lex_state = 238},
  [4510] = {.lex_state = 238},
  [4511] = {.lex_state = 226},
  [4512] = {.lex_state = 237},
  [4513] = {.lex_state = 237},
  [4514] = {.lex_state = 281},
  [4515] = {.lex_state = 281},
  [4516] = {.lex_state = 281},
  [4517] = {.lex_state = 281},
  [4518] = {.lex_state = 281},
  [4519] = {.lex_state = 281},
  [4520] = {.lex_state = 237},
  [4521] = {.lex_state = 250},
  [4522] = {.lex_state = 237},
  [4523] = {.lex_state = 281},
  [4524] = {.lex_state = 381},
  [4525] = {.lex_state = 381},
  [4526] = {.lex_state = 281},
  [4527] = {.lex_state = 272},
  [4528] = {.lex_state = 250},
  [4529] = {.lex_state = 237},
  [4530] = {.lex_state = 237},
  [4531] = {.lex_state = 381},
  [4532] = {.lex_state = 281},
  [4533] = {.lex_state = 237},
  [4534] = {.lex_state = 237},
  [4535] = {.lex_state = 237},
  [4536] = {.lex_state = 237},
  [4537] = {.lex_state = 237},
  [4538] = {.lex_state = 226},
  [4539] = {.lex_state = 250},
  [4540] = {.lex_state = 238},
  [4541] = {.lex_state = 281},
  [4542] = {.lex_state = 237},
  [4543] = {.lex_state = 237},
  [4544] = {.lex_state = 281},
  [4545] = {.lex_state = 237},
  [4546] = {.lex_state = 250},
  [4547] = {.lex_state = 281},
  [4548] = {.lex_state = 282},
  [4549] = {.lex_state = 237},
  [4550] = {.lex_state = 238},
  [4551] = {.lex_state = 281},
  [4552] = {.lex_state = 237},
  [4553] = {.lex_state = 381},
  [4554] = {.lex_state = 226},
  [4555] = {.lex_state = 281},
  [4556] = {.lex_state = 250},
  [4557] = {.lex_state = 282},
  [4558] = {.lex_state = 282},
  [4559] = {.lex_state = 282},
  [4560] = {.lex_state = 282},
  [4561] = {.lex_state = 282},
  [4562] = {.lex_state = 282},
  [4563] = {.lex_state = 250},
  [4564] = {.lex_state = 282},
  [4565] = {.lex_state = 282},
  [4566] = {.lex_state = 282},
  [4567] = {.lex_state = 282},
  [4568] = {.lex_state = 282},
  [4569] = {.lex_state = 282},
  [4570] = {.lex_state = 282},
  [4571] = {.lex_state = 282},
  [4572] = {.lex_state = 272},
  [4573] = {.lex_state = 282},
  [4574] = {.lex_state = 237},
  [4575] = {.lex_state = 282},
  [4576] = {.lex_state = 282},
  [4577] = {.lex_state = 282},
  [4578] = {.lex_state = 282},
  [4579] = {.lex_state = 282},
  [4580] = {.lex_state = 282},
  [4581] = {.lex_state = 282},
  [4582] = {.lex_state = 250},
  [4583] = {.lex_state = 381},
  [4584] = {.lex_state = 237},
  [4585] = {.lex_state = 282},
  [4586] = {.lex_state = 282},
  [4587] = {.lex_state = 282},
  [4588] = {.lex_state = 282},
  [4589] = {.lex_state = 282},
  [4590] = {.lex_state = 282},
  [4591] = {.lex_state = 282},
  [4592] = {.lex_state = 282},
  [4593] = {.lex_state = 282},
  [4594] = {.lex_state = 282},
  [4595] = {.lex_state = 282},
  [4596] = {.lex_state = 282},
  [4597] = {.lex_state = 282},
  [4598] = {.lex_state = 282},
  [4599] = {.lex_state = 237},
  [4600] = {.lex_state = 282},
  [4601] = {.lex_state = 282},
  [4602] = {.lex_state = 237},
  [4603] = {.lex_state = 282},
  [4604] = {.lex_state = 381},
  [4605] = {.lex_state = 282},
  [4606] = {.lex_state = 237},
  [4607] = {.lex_state = 282},
  [4608] = {.lex_state = 282},
  [4609] = {.lex_state = 284},
  [4610] = {.lex_state = 282},
  [4611] = {.lex_state = 281},
  [4612] = {.lex_state = 237},
  [4613] = {.lex_state = 282},
  [4614] = {.lex_state = 237},
  [4615] = {.lex_state = 282},
  [4616] = {.lex_state = 237},
  [4617] = {.lex_state = 282},
  [4618] = {.lex_state = 282},
  [4619] = {.lex_state = 282},
  [4620] = {.lex_state = 282},
  [4621] = {.lex_state = 282},
  [4622] = {.lex_state = 282},
  [4623] = {.lex_state = 381},
  [4624] = {.lex_state = 282},
  [4625] = {.lex_state = 282},
  [4626] = {.lex_state = 282},
  [4627] = {.lex_state = 282},
  [4628] = {.lex_state = 282},
  [4629] = {.lex_state = 282},
  [4630] = {.lex_state = 282},
  [4631] = {.lex_state = 282},
  [4632] = {.lex_state = 282},
  [4633] = {.lex_state = 282},
  [4634] = {.lex_state = 282},
  [4635] = {.lex_state = 282},
  [4636] = {.lex_state = 282},
  [4637] = {.lex_state = 282},
  [4638] = {.lex_state = 282},
  [4639] = {.lex_state = 237},
  [4640] = {.lex_state = 282},
  [4641] = {.lex_state = 282},
  [4642] = {.lex_state = 282},
  [4643] = {.lex_state = 282},
  [4644] = {.lex_state = 282},
  [4645] = {.lex_state = 282},
  [4646] = {.lex_state = 282},
  [4647] = {.lex_state = 272},
  [4648] = {.lex_state = 282},
  [4649] = {.lex_state = 282},
  [4650] = {.lex_state = 282},
  [4651] = {.lex_state = 282},
  [4652] = {.lex_state = 282},
  [4653] = {.lex_state = 282},
  [4654] = {.lex_state = 284},
  [4655] = {.lex_state = 281},
  [4656] = {.lex_state = 381},
  [4657] = {.lex_state = 282},
  [4658] = {.lex_state = 282},
  [4659] = {.lex_state = 282},
  [4660] = {.lex_state = 237},
  [4661] = {.lex_state = 250},
  [4662] = {.lex_state = 281},
  [4663] = {.lex_state = 381},
  [4664] = {.lex_state = 282},
  [4665] = {.lex_state = 237},
  [4666] = {.lex_state = 273},
  [4667] = {.lex_state = 238},
  [4668] = {.lex_state = 282},
  [4669] = {.lex_state = 281},
  [4670] = {.lex_state = 250},
  [4671] = {.lex_state = 237},
  [4672] = {.lex_state = 237},
  [4673] = {.lex_state = 237},
  [4674] = {.lex_state = 250},
  [4675] = {.lex_state = 237},
  [4676] = {.lex_state = 237},
  [4677] = {.lex_state = 237},
  [4678] = {.lex_state = 282},
  [4679] = {.lex_state = 378},
  [4680] = {.lex_state = 237},
  [4681] = {.lex_state = 237},
  [4682] = {.lex_state = 237},
  [4683] = {.lex_state = 237},
  [4684] = {.lex_state = 282},
  [4685] = {.lex_state = 237},
  [4686] = {.lex_state = 282},
  [4687] = {.lex_state = 237},
  [4688] = {.lex_state = 237},
  [4689] = {.lex_state = 378},
  [4690] = {.lex_state = 282},
  [4691] = {.lex_state = 282},
  [4692] = {.lex_state = 282},
  [4693] = {.lex_state = 237},
  [4694] = {.lex_state = 250},
  [4695] = {.lex_state = 282},
  [4696] = {.lex_state = 237},
  [4697] = {.lex_state = 250},
  [4698] = {.lex_state = 282},
  [4699] = {.lex_state = 250},
  [4700] = {.lex_state = 250},
  [4701] = {.lex_state = 281},
  [4702] = {.lex_state = 381},
  [4703] = {.lex_state = 238},
  [4704] = {.lex_state = 237},
  [4705] = {.lex_state = 282},
  [4706] = {.lex_state = 237},
  [4707] = {.lex_state = 250},
  [4708] = {.lex_state = 238},
  [4709] = {.lex_state = 250},
  [4710] = {.lex_state = 250},
  [4711] = {.lex_state = 282},
  [4712] = {.lex_state = 381},
  [4713] = {.lex_state = 237},
  [4714] = {.lex_state = 237},
  [4715] = {.lex_state = 381},
  [4716] = {.lex_state = 273},
  [4717] = {.lex_state = 237},
  [4718] = {.lex_state = 237},
  [4719] = {.lex_state = 237},
  [4720] = {.lex_state = 237},
  [4721] = {.lex_state = 282},
  [4722] = {.lex_state = 282},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 237},
  [4725] = {.lex_state = 237},
  [4726] = {.lex_state = 250},
  [4727] = {.lex_state = 250},
  [4728] = {.lex_state = 282},
  [4729] = {.lex_state = 381},
  [4730] = {.lex_state = 237},
  [4731] = {.lex_state = 238},
  [4732] = {.lex_state = 282},
  [4733] = {.lex_state = 237},
  [4734] = {.lex_state = 237},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 250},
  [4737] = {.lex_state = 226},
  [4738] = {.lex_state = 237},
  [4739] = {.lex_state = 273},
  [4740] = {.lex_state = 237},
  [4741] = {.lex_state = 237},
  [4742] = {.lex_state = 237},
  [4743] = {.lex_state = 284},
  [4744] = {.lex_state = 237},
  [4745] = {.lex_state = 273},
  [4746] = {.lex_state = 237},
  [4747] = {.lex_state = 237},
  [4748] = {.lex_state = 237},
  [4749] = {.lex_state = 238},
  [4750] = {.lex_state = 237},
  [4751] = {.lex_state = 238},
  [4752] = {.lex_state = 238},
  [4753] = {.lex_state = 226},
  [4754] = {.lex_state = 250},
  [4755] = {.lex_state = 238},
  [4756] = {.lex_state = 237},
  [4757] = {.lex_state = 237},
  [4758] = {.lex_state = 250},
  [4759] = {.lex_state = 237},
  [4760] = {.lex_state = 226},
  [4761] = {.lex_state = 237},
  [4762] = {.lex_state = 237},
  [4763] = {.lex_state = 284},
  [4764] = {.lex_state = 237},
  [4765] = {.lex_state = 237},
  [4766] = {.lex_state = 237},
  [4767] = {.lex_state = 249},
  [4768] = {.lex_state = 237},
  [4769] = {.lex_state = 237},
  [4770] = {.lex_state = 237},
  [4771] = {.lex_state = 237},
  [4772] = {.lex_state = 237},
  [4773] = {.lex_state = 237},
  [4774] = {.lex_state = 237},
  [4775] = {.lex_state = 237},
  [4776] = {.lex_state = 237},
  [4777] = {.lex_state = 226},
  [4778] = {.lex_state = 273},
  [4779] = {.lex_state = 237},
  [4780] = {.lex_state = 284},
  [4781] = {.lex_state = 237},
  [4782] = {.lex_state = 249},
  [4783] = {.lex_state = 250},
  [4784] = {.lex_state = 237},
  [4785] = {.lex_state = 284},
  [4786] = {.lex_state = 273},
  [4787] = {.lex_state = 250},
  [4788] = {.lex_state = 237},
  [4789] = {.lex_state = 250},
  [4790] = {.lex_state = 237},
  [4791] = {.lex_state = 237},
  [4792] = {.lex_state = 237},
  [4793] = {.lex_state = 250},
  [4794] = {.lex_state = 237},
  [4795] = {.lex_state = 237},
  [4796] = {.lex_state = 237},
  [4797] = {.lex_state = 250},
  [4798] = {.lex_state = 237},
  [4799] = {.lex_state = 250},
  [4800] = {.lex_state = 250},
  [4801] = {.lex_state = 250},
  [4802] = {.lex_state = 250},
  [4803] = {.lex_state = 250},
  [4804] = {.lex_state = 250},
  [4805] = {.lex_state = 250},
  [4806] = {.lex_state = 250},
  [4807] = {.lex_state = 250},
  [4808] = {.lex_state = 250},
  [4809] = {.lex_state = 237},
  [4810] = {.lex_state = 237},
  [4811] = {.lex_state = 250},
  [4812] = {.lex_state = 250},
  [4813] = {.lex_state = 250},
  [4814] = {.lex_state = 250},
  [4815] = {.lex_state = 250},
  [4816] = {.lex_state = 250},
  [4817] = {.lex_state = 250},
  [4818] = {.lex_state = 250},
  [4819] = {.lex_state = 228},
  [4820] = {.lex_state = 250},
  [4821] = {.lex_state = 250},
  [4822] = {.lex_state = 250},
  [4823] = {.lex_state = 282},
  [4824] = {.lex_state = 237},
  [4825] = {.lex_state = 250},
  [4826] = {.lex_state = 228},
  [4827] = {.lex_state = 250},
  [4828] = {.lex_state = 250},
  [4829] = {.lex_state = 281},
  [4830] = {.lex_state = 282},
  [4831] = {.lex_state = 250},
  [4832] = {.lex_state = 250},
  [4833] = {.lex_state = 250},
  [4834] = {.lex_state = 250},
  [4835] = {.lex_state = 250},
  [4836] = {.lex_state = 250},
  [4837] = {.lex_state = 250},
  [4838] = {.lex_state = 250},
  [4839] = {.lex_state = 250},
  [4840] = {.lex_state = 228},
  [4841] = {.lex_state = 237},
  [4842] = {.lex_state = 250},
  [4843] = {.lex_state = 250},
  [4844] = {.lex_state = 250},
  [4845] = {.lex_state = 381},
  [4846] = {.lex_state = 250},
  [4847] = {.lex_state = 237},
  [4848] = {.lex_state = 250},
  [4849] = {.lex_state = 250},
  [4850] = {.lex_state = 250},
  [4851] = {.lex_state = 250},
  [4852] = {.lex_state = 238},
  [4853] = {.lex_state = 250},
  [4854] = {.lex_state = 250},
  [4855] = {.lex_state = 250},
  [4856] = {.lex_state = 381},
  [4857] = {.lex_state = 250},
  [4858] = {.lex_state = 282},
  [4859] = {.lex_state = 282},
  [4860] = {.lex_state = 284},
  [4861] = {.lex_state = 281},
  [4862] = {.lex_state = 282},
  [4863] = {.lex_state = 282},
  [4864] = {.lex_state = 250},
  [4865] = {.lex_state = 237},
  [4866] = {.lex_state = 250},
  [4867] = {.lex_state = 250},
  [4868] = {.lex_state = 282},
  [4869] = {.lex_state = 282},
  [4870] = {.lex_state = 237},
  [4871] = {.lex_state = 228},
  [4872] = {.lex_state = 250},
  [4873] = {.lex_state = 228},
  [4874] = {.lex_state = 228},
  [4875] = {.lex_state = 237},
  [4876] = {.lex_state = 281},
  [4877] = {.lex_state = 282},
  [4878] = {.lex_state = 237},
  [4879] = {.lex_state = 238},
  [4880] = {.lex_state = 381},
  [4881] = {.lex_state = 250},
  [4882] = {.lex_state = 237},
  [4883] = {.lex_state = 381},
  [4884] = {.lex_state = 250},
  [4885] = {.lex_state = 284},
  [4886] = {.lex_state = 250},
  [4887] = {.lex_state = 250},
  [4888] = {.lex_state = 250},
  [4889] = {.lex_state = 250},
  [4890] = {.lex_state = 250},
  [4891] = {.lex_state = 284},
  [4892] = {.lex_state = 249},
  [4893] = {.lex_state = 250},
  [4894] = {.lex_state = 250},
  [4895] = {.lex_state = 381},
  [4896] = {.lex_state = 250},
  [4897] = {.lex_state = 250},
  [4898] = {.lex_state = 250},
  [4899] = {.lex_state = 381},
  [4900] = {.lex_state = 226},
  [4901] = {.lex_state = 381},
  [4902] = {.lex_state = 250},
  [4903] = {.lex_state = 226},
  [4904] = {.lex_state = 226},
  [4905] = {.lex_state = 241},
  [4906] = {.lex_state = 237},
  [4907] = {.lex_state = 281},
  [4908] = {.lex_state = 237},
  [4909] = {.lex_state = 237},
  [4910] = {.lex_state = 284},
  [4911] = {.lex_state = 284},
  [4912] = {.lex_state = 237},
  [4913] = {.lex_state = 237},
  [4914] = {.lex_state = 281},
  [4915] = {.lex_state = 281},
  [4916] = {.lex_state = 237},
  [4917] = {.lex_state = 281},
  [4918] = {.lex_state = 237},
  [4919] = {.lex_state = 237},
  [4920] = {.lex_state = 284},
  [4921] = {.lex_state = 237},
  [4922] = {.lex_state = 237},
  [4923] = {.lex_state = 237},
  [4924] = {.lex_state = 237},
  [4925] = {.lex_state = 237},
  [4926] = {.lex_state = 281},
  [4927] = {.lex_state = 237},
  [4928] = {.lex_state = 381},
  [4929] = {.lex_state = 237},
  [4930] = {.lex_state = 237},
  [4931] = {.lex_state = 237},
  [4932] = {.lex_state = 281},
  [4933] = {.lex_state = 241},
  [4934] = {.lex_state = 237},
  [4935] = {.lex_state = 241},
  [4936] = {.lex_state = 284},
  [4937] = {.lex_state = 281},
  [4938] = {.lex_state = 381},
  [4939] = {.lex_state = 250},
  [4940] = {.lex_state = 273},
  [4941] = {.lex_state = 273},
  [4942] = {.lex_state = 273},
  [4943] = {.lex_state = 273},
  [4944] = {.lex_state = 250},
  [4945] = {.lex_state = 237},
  [4946] = {.lex_state = 226},
  [4947] = {.lex_state = 237},
  [4948] = {.lex_state = 237},
  [4949] = {.lex_state = 273},
  [4950] = {.lex_state = 273},
  [4951] = {.lex_state = 284},
  [4952] = {.lex_state = 226},
  [4953] = {.lex_state = 237},
  [4954] = {.lex_state = 237},
  [4955] = {.lex_state = 273},
  [4956] = {.lex_state = 237},
  [4957] = {.lex_state = 226},
  [4958] = {.lex_state = 381},
  [4959] = {.lex_state = 271},
  [4960] = {.lex_state = 273},
  [4961] = {.lex_state = 250},
  [4962] = {.lex_state = 273},
  [4963] = {.lex_state = 273},
  [4964] = {.lex_state = 250},
  [4965] = {.lex_state = 273},
  [4966] = {.lex_state = 250},
  [4967] = {.lex_state = 237},
  [4968] = {.lex_state = 237},
  [4969] = {.lex_state = 273},
  [4970] = {.lex_state = 273},
  [4971] = {.lex_state = 273},
  [4972] = {.lex_state = 273},
  [4973] = {.lex_state = 237},
  [4974] = {.lex_state = 273},
  [4975] = {.lex_state = 237},
  [4976] = {.lex_state = 237},
  [4977] = {.lex_state = 226},
  [4978] = {.lex_state = 250},
  [4979] = {.lex_state = 237},
  [4980] = {.lex_state = 378},
  [4981] = {.lex_state = 273},
  [4982] = {.lex_state = 273},
  [4983] = {.lex_state = 378},
  [4984] = {.lex_state = 250},
  [4985] = {.lex_state = 250},
  [4986] = {.lex_state = 250},
  [4987] = {.lex_state = 250},
  [4988] = {.lex_state = 250},
  [4989] = {.lex_state = 250},
  [4990] = {.lex_state = 250},
  [4991] = {.lex_state = 250},
  [4992] = {.lex_state = 250},
  [4993] = {.lex_state = 250},
  [4994] = {.lex_state = 250},
  [4995] = {.lex_state = 237},
  [4996] = {.lex_state = 250},
  [4997] = {.lex_state = 237},
  [4998] = {.lex_state = 237},
  [4999] = {.lex_state = 237},
  [5000] = {.lex_state = 250},
  [5001] = {.lex_state = 250},
  [5002] = {.lex_state = 250},
  [5003] = {.lex_state = 237},
  [5004] = {.lex_state = 226},
  [5005] = {.lex_state = 250},
  [5006] = {.lex_state = 250},
  [5007] = {.lex_state = 226},
  [5008] = {.lex_state = 226},
  [5009] = {.lex_state = 250},
  [5010] = {.lex_state = 237},
  [5011] = {.lex_state = 237},
  [5012] = {.lex_state = 237},
  [5013] = {.lex_state = 273},
  [5014] = {.lex_state = 237},
  [5015] = {.lex_state = 237},
  [5016] = {.lex_state = 273},
  [5017] = {.lex_state = 237},
  [5018] = {.lex_state = 250},
  [5019] = {.lex_state = 273},
  [5020] = {.lex_state = 226},
  [5021] = {.lex_state = 237},
  [5022] = {.lex_state = 273},
  [5023] = {.lex_state = 250},
  [5024] = {.lex_state = 273},
  [5025] = {.lex_state = 250},
  [5026] = {.lex_state = 250},
  [5027] = {.lex_state = 250},
  [5028] = {.lex_state = 284},
  [5029] = {.lex_state = 273},
  [5030] = {.lex_state = 250},
  [5031] = {.lex_state = 273},
  [5032] = {.lex_state = 237},
  [5033] = {.lex_state = 250},
  [5034] = {.lex_state = 378},
  [5035] = {.lex_state = 238},
  [5036] = {.lex_state = 273},
  [5037] = {.lex_state = 238},
  [5038] = {.lex_state = 237},
  [5039] = {.lex_state = 237},
  [5040] = {.lex_state = 237},
  [5041] = {.lex_state = 237},
  [5042] = {.lex_state = 237},
  [5043] = {.lex_state = 237},
  [5044] = {.lex_state = 237},
  [5045] = {.lex_state = 237},
  [5046] = {.lex_state = 237},
  [5047] = {.lex_state = 250},
  [5048] = {.lex_state = 250},
  [5049] = {.lex_state = 250},
  [5050] = {.lex_state = 273},
  [5051] = {.lex_state = 226},
  [5052] = {.lex_state = 250},
  [5053] = {.lex_state = 237},
  [5054] = {.lex_state = 273},
  [5055] = {.lex_state = 273},
  [5056] = {.lex_state = 273},
  [5057] = {.lex_state = 237},
  [5058] = {.lex_state = 250},
  [5059] = {.lex_state = 250},
  [5060] = {.lex_state = 250},
  [5061] = {.lex_state = 273},
  [5062] = {.lex_state = 250},
  [5063] = {.lex_state = 273},
  [5064] = {.lex_state = 237},
  [5065] = {.lex_state = 237},
  [5066] = {.lex_state = 237},
  [5067] = {.lex_state = 250},
  [5068] = {.lex_state = 237},
  [5069] = {.lex_state = 273},
  [5070] = {.lex_state = 273},
  [5071] = {.lex_state = 273},
  [5072] = {.lex_state = 273},
  [5073] = {.lex_state = 237},
  [5074] = {.lex_state = 273},
  [5075] = {.lex_state = 250},
  [5076] = {.lex_state = 237},
  [5077] = {.lex_state = 281},
  [5078] = {.lex_state = 237},
  [5079] = {.lex_state = 250},
  [5080] = {.lex_state = 237},
  [5081] = {.lex_state = 237},
  [5082] = {.lex_state = 250},
  [5083] = {.lex_state = 250},
  [5084] = {.lex_state = 250},
  [5085] = {.lex_state = 237},
  [5086] = {.lex_state = 237},
  [5087] = {.lex_state = 250},
  [5088] = {.lex_state = 250},
  [5089] = {.lex_state = 250},
  [5090] = {.lex_state = 250},
  [5091] = {.lex_state = 250},
  [5092] = {.lex_state = 237},
  [5093] = {.lex_state = 237},
  [5094] = {.lex_state = 237},
  [5095] = {.lex_state = 281},
  [5096] = {.lex_state = 237},
  [5097] = {.lex_state = 237},
  [5098] = {.lex_state = 237},
  [5099] = {.lex_state = 273},
  [5100] = {.lex_state = 237},
  [5101] = {.lex_state = 226},
  [5102] = {.lex_state = 250},
  [5103] = {.lex_state = 250},
  [5104] = {.lex_state = 250},
  [5105] = {.lex_state = 237},
  [5106] = {.lex_state = 237},
  [5107] = {.lex_state = 226},
  [5108] = {.lex_state = 237},
  [5109] = {.lex_state = 237},
  [5110] = {.lex_state = 273},
  [5111] = {.lex_state = 237},
  [5112] = {.lex_state = 284},
  [5113] = {.lex_state = 237},
  [5114] = {.lex_state = 250},
  [5115] = {.lex_state = 237},
  [5116] = {.lex_state = 237},
  [5117] = {.lex_state = 273},
  [5118] = {.lex_state = 237},
  [5119] = {.lex_state = 237},
  [5120] = {.lex_state = 237},
  [5121] = {.lex_state = 250},
  [5122] = {.lex_state = 237},
  [5123] = {.lex_state = 250},
  [5124] = {.lex_state = 250},
  [5125] = {.lex_state = 237},
  [5126] = {.lex_state = 273},
  [5127] = {.lex_state = 237},
  [5128] = {.lex_state = 381},
  [5129] = {.lex_state = 228},
  [5130] = {.lex_state = 381},
  [5131] = {.lex_state = 272},
  [5132] = {.lex_state = 228},
  [5133] = {.lex_state = 238},
  [5134] = {.lex_state = 226},
  [5135] = {.lex_state = 237},
  [5136] = {.lex_state = 381},
  [5137] = {.lex_state = 381},
  [5138] = {.lex_state = 284},
  [5139] = {.lex_state = 381},
  [5140] = {.lex_state = 238},
  [5141] = {.lex_state = 238},
  [5142] = {.lex_state = 237},
  [5143] = {.lex_state = 238},
  [5144] = {.lex_state = 273},
  [5145] = {.lex_state = 237},
  [5146] = {.lex_state = 282},
  [5147] = {.lex_state = 381},
  [5148] = {.lex_state = 238},
  [5149] = {.lex_state = 381},
  [5150] = {.lex_state = 237},
  [5151] = {.lex_state = 237},
  [5152] = {.lex_state = 282},
  [5153] = {.lex_state = 238},
  [5154] = {.lex_state = 273},
  [5155] = {.lex_state = 282},
  [5156] = {.lex_state = 282},
  [5157] = {.lex_state = 238},
  [5158] = {.lex_state = 237},
  [5159] = {.lex_state = 237},
  [5160] = {.lex_state = 282},
  [5161] = {.lex_state = 282},
  [5162] = {.lex_state = 282},
  [5163] = {.lex_state = 282},
  [5164] = {.lex_state = 282},
  [5165] = {.lex_state = 282},
  [5166] = {.lex_state = 273},
  [5167] = {.lex_state = 273},
  [5168] = {.lex_state = 273},
  [5169] = {.lex_state = 273},
  [5170] = {.lex_state = 273},
  [5171] = {.lex_state = 273},
  [5172] = {.lex_state = 282},
  [5173] = {.lex_state = 273},
  [5174] = {.lex_state = 273},
  [5175] = {.lex_state = 237},
  [5176] = {.lex_state = 273},
  [5177] = {.lex_state = 273},
  [5178] = {.lex_state = 282},
  [5179] = {.lex_state = 273},
  [5180] = {.lex_state = 273},
  [5181] = {.lex_state = 381},
  [5182] = {.lex_state = 237},
  [5183] = {.lex_state = 282},
  [5184] = {.lex_state = 238},
  [5185] = {.lex_state = 238},
  [5186] = {.lex_state = 273},
  [5187] = {.lex_state = 282},
  [5188] = {.lex_state = 282},
  [5189] = {.lex_state = 282},
  [5190] = {.lex_state = 282},
  [5191] = {.lex_state = 284},
  [5192] = {.lex_state = 282},
  [5193] = {.lex_state = 237},
  [5194] = {.lex_state = 238},
  [5195] = {.lex_state = 237},
  [5196] = {.lex_state = 238},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 238},
  [5199] = {.lex_state = 238},
  [5200] = {.lex_state = 273},
  [5201] = {.lex_state = 282},
  [5202] = {.lex_state = 237},
  [5203] = {.lex_state = 238},
  [5204] = {.lex_state = 238},
  [5205] = {.lex_state = 282},
  [5206] = {.lex_state = 237},
  [5207] = {.lex_state = 237},
  [5208] = {.lex_state = 282},
  [5209] = {.lex_state = 226},
  [5210] = {.lex_state = 238},
  [5211] = {.lex_state = 237},
  [5212] = {.lex_state = 237},
  [5213] = {.lex_state = 282},
  [5214] = {.lex_state = 237},
  [5215] = {.lex_state = 237},
  [5216] = {.lex_state = 237},
  [5217] = {.lex_state = 282},
  [5218] = {.lex_state = 237},
  [5219] = {.lex_state = 238},
  [5220] = {.lex_state = 238},
  [5221] = {.lex_state = 281},
  [5222] = {.lex_state = 282},
  [5223] = {.lex_state = 282},
  [5224] = {.lex_state = 237},
  [5225] = {.lex_state = 273},
  [5226] = {.lex_state = 237},
  [5227] = {.lex_state = 238},
  [5228] = {.lex_state = 273},
  [5229] = {.lex_state = 273},
  [5230] = {.lex_state = 273},
  [5231] = {.lex_state = 273},
  [5232] = {.lex_state = 237},
  [5233] = {.lex_state = 237},
  [5234] = {.lex_state = 238},
  [5235] = {.lex_state = 281},
  [5236] = {.lex_state = 237},
  [5237] = {.lex_state = 237},
  [5238] = {.lex_state = 237},
  [5239] = {.lex_state = 238},
  [5240] = {.lex_state = 282},
  [5241] = {.lex_state = 237},
  [5242] = {.lex_state = 238},
  [5243] = {.lex_state = 281},
  [5244] = {.lex_state = 238},
  [5245] = {.lex_state = 281},
  [5246] = {.lex_state = 237},
  [5247] = {.lex_state = 273},
  [5248] = {.lex_state = 237},
  [5249] = {.lex_state = 282},
  [5250] = {.lex_state = 237},
  [5251] = {.lex_state = 282},
  [5252] = {.lex_state = 238},
  [5253] = {.lex_state = 284},
  [5254] = {.lex_state = 237},
  [5255] = {.lex_state = 238},
  [5256] = {.lex_state = 238},
  [5257] = {.lex_state = 238},
  [5258] = {.lex_state = 238},
  [5259] = {.lex_state = 238},
  [5260] = {.lex_state = 238},
  [5261] = {.lex_state = 237},
  [5262] = {.lex_state = 237},
  [5263] = {.lex_state = 237},
  [5264] = {.lex_state = 282},
  [5265] = {.lex_state = 238},
  [5266] = {.lex_state = 238},
  [5267] = {.lex_state = 238},
  [5268] = {.lex_state = 238},
  [5269] = {.lex_state = 237},
  [5270] = {.lex_state = 238},
  [5271] = {.lex_state = 282},
  [5272] = {.lex_state = 237},
  [5273] = {.lex_state = 237},
  [5274] = {.lex_state = 238},
  [5275] = {.lex_state = 226},
  [5276] = {.lex_state = 237},
  [5277] = {.lex_state = 237},
  [5278] = {.lex_state = 237},
  [5279] = {.lex_state = 238},
  [5280] = {.lex_state = 237},
  [5281] = {.lex_state = 273},
  [5282] = {.lex_state = 237},
  [5283] = {.lex_state = 237},
  [5284] = {.lex_state = 273},
  [5285] = {.lex_state = 237},
  [5286] = {.lex_state = 273},
  [5287] = {.lex_state = 237},
  [5288] = {.lex_state = 237},
  [5289] = {.lex_state = 238},
  [5290] = {.lex_state = 282},
  [5291] = {.lex_state = 282},
  [5292] = {.lex_state = 237},
  [5293] = {.lex_state = 237},
  [5294] = {.lex_state = 237},
  [5295] = {.lex_state = 237},
  [5296] = {.lex_state = 237},
  [5297] = {.lex_state = 237},
  [5298] = {.lex_state = 237},
  [5299] = {.lex_state = 237},
  [5300] = {.lex_state = 237},
  [5301] = {.lex_state = 228},
  [5302] = {.lex_state = 237},
  [5303] = {.lex_state = 237},
  [5304] = {.lex_state = 237},
  [5305] = {.lex_state = 237},
  [5306] = {.lex_state = 226},
  [5307] = {.lex_state = 237},
  [5308] = {.lex_state = 238},
  [5309] = {.lex_state = 237},
  [5310] = {.lex_state = 381},
  [5311] = {.lex_state = 273},
  [5312] = {.lex_state = 237},
  [5313] = {.lex_state = 273},
  [5314] = {.lex_state = 237},
  [5315] = {.lex_state = 255},
  [5316] = {.lex_state = 381},
  [5317] = {.lex_state = 281},
  [5318] = {.lex_state = 237},
  [5319] = {.lex_state = 381},
  [5320] = {.lex_state = 381},
  [5321] = {.lex_state = 238},
  [5322] = {.lex_state = 237},
  [5323] = {.lex_state = 381},
  [5324] = {.lex_state = 237},
  [5325] = {.lex_state = 237},
  [5326] = {.lex_state = 237},
  [5327] = {.lex_state = 237},
  [5328] = {.lex_state = 237},
  [5329] = {.lex_state = 238},
  [5330] = {.lex_state = 237},
  [5331] = {.lex_state = 237},
  [5332] = {.lex_state = 237},
  [5333] = {.lex_state = 237},
  [5334] = {.lex_state = 237},
  [5335] = {.lex_state = 237},
  [5336] = {.lex_state = 237},
  [5337] = {.lex_state = 237},
  [5338] = {.lex_state = 237},
  [5339] = {.lex_state = 237},
  [5340] = {.lex_state = 381},
  [5341] = {.lex_state = 237},
  [5342] = {.lex_state = 381},
  [5343] = {.lex_state = 237},
  [5344] = {.lex_state = 237},
  [5345] = {.lex_state = 237},
  [5346] = {.lex_state = 237},
  [5347] = {.lex_state = 237},
  [5348] = {.lex_state = 237},
  [5349] = {.lex_state = 237},
  [5350] = {.lex_state = 237},
  [5351] = {.lex_state = 255},
  [5352] = {.lex_state = 237},
  [5353] = {.lex_state = 237},
  [5354] = {.lex_state = 237},
  [5355] = {.lex_state = 237},
  [5356] = {.lex_state = 237},
  [5357] = {.lex_state = 237},
  [5358] = {.lex_state = 237},
  [5359] = {.lex_state = 237},
  [5360] = {.lex_state = 237},
  [5361] = {.lex_state = 381},
  [5362] = {.lex_state = 237},
  [5363] = {.lex_state = 238},
  [5364] = {.lex_state = 237},
  [5365] = {.lex_state = 284},
  [5366] = {.lex_state = 237},
  [5367] = {.lex_state = 237},
  [5368] = {.lex_state = 237},
  [5369] = {.lex_state = 237},
  [5370] = {.lex_state = 237},
  [5371] = {.lex_state = 237},
  [5372] = {.lex_state = 237},
  [5373] = {.lex_state = 237},
  [5374] = {.lex_state = 381},
  [5375] = {.lex_state = 237},
  [5376] = {.lex_state = 237},
  [5377] = {.lex_state = 237},
  [5378] = {.lex_state = 237},
  [5379] = {.lex_state = 255},
  [5380] = {.lex_state = 381},
  [5381] = {.lex_state = 237},
  [5382] = {.lex_state = 284},
  [5383] = {.lex_state = 237},
  [5384] = {.lex_state = 237},
  [5385] = {.lex_state = 379},
  [5386] = {.lex_state = 237},
  [5387] = {.lex_state = 237},
  [5388] = {.lex_state = 238},
  [5389] = {.lex_state = 381},
  [5390] = {.lex_state = 284},
  [5391] = {.lex_state = 238},
  [5392] = {.lex_state = 237},
  [5393] = {.lex_state = 237},
  [5394] = {.lex_state = 237},
  [5395] = {.lex_state = 237},
  [5396] = {.lex_state = 284},
  [5397] = {.lex_state = 237},
  [5398] = {.lex_state = 237},
  [5399] = {.lex_state = 237},
  [5400] = {.lex_state = 237},
  [5401] = {.lex_state = 237},
  [5402] = {.lex_state = 237},
  [5403] = {.lex_state = 284},
  [5404] = {.lex_state = 237},
  [5405] = {.lex_state = 284},
  [5406] = {.lex_state = 237},
  [5407] = {.lex_state = 237},
  [5408] = {.lex_state = 237},
  [5409] = {.lex_state = 237},
  [5410] = {.lex_state = 379},
  [5411] = {.lex_state = 237},
  [5412] = {.lex_state = 237},
  [5413] = {.lex_state = 237},
  [5414] = {.lex_state = 237},
  [5415] = {.lex_state = 237},
  [5416] = {.lex_state = 273},
  [5417] = {.lex_state = 237},
  [5418] = {.lex_state = 237},
  [5419] = {.lex_state = 237},
  [5420] = {.lex_state = 237},
  [5421] = {.lex_state = 237},
  [5422] = {.lex_state = 237},
  [5423] = {.lex_state = 237},
  [5424] = {.lex_state = 237},
  [5425] = {.lex_state = 237},
  [5426] = {.lex_state = 237},
  [5427] = {.lex_state = 237},
  [5428] = {.lex_state = 237},
  [5429] = {.lex_state = 237},
  [5430] = {.lex_state = 237},
  [5431] = {.lex_state = 237},
  [5432] = {.lex_state = 237},
  [5433] = {.lex_state = 237},
  [5434] = {.lex_state = 237},
  [5435] = {.lex_state = 237},
  [5436] = {.lex_state = 237},
  [5437] = {.lex_state = 237},
  [5438] = {.lex_state = 237},
  [5439] = {.lex_state = 237},
  [5440] = {.lex_state = 237},
  [5441] = {.lex_state = 237},
  [5442] = {.lex_state = 284},
  [5443] = {.lex_state = 237},
  [5444] = {.lex_state = 237},
  [5445] = {.lex_state = 237},
  [5446] = {.lex_state = 237},
  [5447] = {.lex_state = 237},
  [5448] = {.lex_state = 237},
  [5449] = {.lex_state = 237},
  [5450] = {.lex_state = 237},
  [5451] = {.lex_state = 237},
  [5452] = {.lex_state = 237},
  [5453] = {.lex_state = 238},
  [5454] = {.lex_state = 237},
  [5455] = {.lex_state = 237},
  [5456] = {.lex_state = 237},
  [5457] = {.lex_state = 237},
  [5458] = {.lex_state = 237},
  [5459] = {.lex_state = 237},
  [5460] = {.lex_state = 237},
  [5461] = {.lex_state = 237},
  [5462] = {.lex_state = 237},
  [5463] = {.lex_state = 237},
  [5464] = {.lex_state = 237},
  [5465] = {.lex_state = 379},
  [5466] = {.lex_state = 237},
  [5467] = {.lex_state = 237},
  [5468] = {.lex_state = 273},
  [5469] = {.lex_state = 273},
  [5470] = {.lex_state = 273},
  [5471] = {.lex_state = 381},
  [5472] = {.lex_state = 273},
  [5473] = {.lex_state = 281},
  [5474] = {.lex_state = 273},
  [5475] = {.lex_state = 281},
  [5476] = {.lex_state = 381},
  [5477] = {.lex_state = 237},
  [5478] = {.lex_state = 281},
  [5479] = {.lex_state = 273},
  [5480] = {.lex_state = 381},
  [5481] = {.lex_state = 273},
  [5482] = {.lex_state = 273},
  [5483] = {.lex_state = 281},
  [5484] = {.lex_state = 273},
  [5485] = {.lex_state = 273},
  [5486] = {.lex_state = 273},
  [5487] = {.lex_state = 273},
  [5488] = {.lex_state = 273},
  [5489] = {.lex_state = 237},
  [5490] = {.lex_state = 281},
  [5491] = {.lex_state = 273},
  [5492] = {.lex_state = 281},
  [5493] = {.lex_state = 281},
  [5494] = {.lex_state = 273},
  [5495] = {.lex_state = 237},
  [5496] = {.lex_state = 273},
  [5497] = {.lex_state = 281},
  [5498] = {.lex_state = 238},
  [5499] = {.lex_state = 273},
  [5500] = {.lex_state = 273},
  [5501] = {.lex_state = 237},
  [5502] = {.lex_state = 237},
  [5503] = {.lex_state = 273},
  [5504] = {.lex_state = 281},
  [5505] = {.lex_state = 273},
  [5506] = {.lex_state = 273},
  [5507] = {.lex_state = 273},
  [5508] = {.lex_state = 273},
  [5509] = {.lex_state = 273},
  [5510] = {.lex_state = 381},
  [5511] = {.lex_state = 273},
  [5512] = {.lex_state = 273},
  [5513] = {.lex_state = 273},
  [5514] = {.lex_state = 284},
  [5515] = {.lex_state = 273},
  [5516] = {.lex_state = 273},
  [5517] = {.lex_state = 273},
  [5518] = {.lex_state = 238},
  [5519] = {.lex_state = 273},
  [5520] = {.lex_state = 273},
  [5521] = {.lex_state = 273},
  [5522] = {.lex_state = 273},
  [5523] = {.lex_state = 237},
  [5524] = {.lex_state = 237},
  [5525] = {.lex_state = 273},
  [5526] = {.lex_state = 237},
  [5527] = {.lex_state = 273},
  [5528] = {.lex_state = 381},
  [5529] = {.lex_state = 284},
  [5530] = {.lex_state = 273},
  [5531] = {.lex_state = 273},
  [5532] = {.lex_state = 284},
  [5533] = {.lex_state = 237},
  [5534] = {.lex_state = 273},
  [5535] = {.lex_state = 273},
  [5536] = {.lex_state = 381},
  [5537] = {.lex_state = 284},
  [5538] = {.lex_state = 284},
  [5539] = {.lex_state = 381},
  [5540] = {.lex_state = 226},
  [5541] = {.lex_state = 381},
  [5542] = {.lex_state = 381},
  [5543] = {.lex_state = 381},
  [5544] = {.lex_state = 382},
  [5545] = {.lex_state = 284},
  [5546] = {.lex_state = 226},
  [5547] = {.lex_state = 226},
  [5548] = {.lex_state = 284},
  [5549] = {.lex_state = 284},
  [5550] = {.lex_state = 284},
  [5551] = {.lex_state = 381},
  [5552] = {.lex_state = 381},
  [5553] = {.lex_state = 284},
  [5554] = {.lex_state = 284},
  [5555] = {.lex_state = 381},
  [5556] = {.lex_state = 381},
  [5557] = {.lex_state = 284},
  [5558] = {.lex_state = 284},
  [5559] = {.lex_state = 284},
  [5560] = {.lex_state = 284},
  [5561] = {.lex_state = 284},
  [5562] = {.lex_state = 284},
  [5563] = {.lex_state = 284},
  [5564] = {.lex_state = 381},
  [5565] = {.lex_state = 284},
  [5566] = {.lex_state = 226},
  [5567] = {.lex_state = 284},
  [5568] = {.lex_state = 284},
  [5569] = {.lex_state = 284},
  [5570] = {.lex_state = 284},
  [5571] = {.lex_state = 237},
  [5572] = {.lex_state = 381},
  [5573] = {.lex_state = 284},
  [5574] = {.lex_state = 284},
  [5575] = {.lex_state = 284},
  [5576] = {.lex_state = 237},
  [5577] = {.lex_state = 284},
  [5578] = {.lex_state = 238},
  [5579] = {.lex_state = 281},
  [5580] = {.lex_state = 282},
  [5581] = {.lex_state = 382},
  [5582] = {.lex_state = 381},
  [5583] = {.lex_state = 281},
  [5584] = {.lex_state = 381},
  [5585] = {.lex_state = 284},
  [5586] = {.lex_state = 281},
  [5587] = {.lex_state = 381},
  [5588] = {.lex_state = 284},
  [5589] = {.lex_state = 237},
  [5590] = {.lex_state = 281},
  [5591] = {.lex_state = 381},
  [5592] = {.lex_state = 381},
  [5593] = {.lex_state = 284},
  [5594] = {.lex_state = 382},
  [5595] = {.lex_state = 237},
  [5596] = {.lex_state = 381},
  [5597] = {.lex_state = 382},
  [5598] = {.lex_state = 381},
  [5599] = {.lex_state = 237},
  [5600] = {.lex_state = 381},
  [5601] = {.lex_state = 238},
  [5602] = {.lex_state = 381},
  [5603] = {.lex_state = 237},
  [5604] = {.lex_state = 381},
  [5605] = {.lex_state = 381},
  [5606] = {.lex_state = 281},
  [5607] = {.lex_state = 284},
  [5608] = {.lex_state = 381},
  [5609] = {.lex_state = 237},
  [5610] = {.lex_state = 381},
  [5611] = {.lex_state = 284},
  [5612] = {.lex_state = 381},
  [5613] = {.lex_state = 226},
  [5614] = {.lex_state = 381},
  [5615] = {.lex_state = 381},
  [5616] = {.lex_state = 281},
  [5617] = {.lex_state = 281},
  [5618] = {.lex_state = 284},
  [5619] = {.lex_state = 226},
  [5620] = {.lex_state = 284},
  [5621] = {.lex_state = 381},
  [5622] = {.lex_state = 281},
  [5623] = {.lex_state = 284},
  [5624] = {.lex_state = 381},
  [5625] = {.lex_state = 381},
  [5626] = {.lex_state = 284},
  [5627] = {.lex_state = 381},
  [5628] = {.lex_state = 226},
  [5629] = {.lex_state = 226},
  [5630] = {.lex_state = 284},
  [5631] = {.lex_state = 381},
  [5632] = {.lex_state = 381},
  [5633] = {.lex_state = 381},
  [5634] = {.lex_state = 281},
  [5635] = {.lex_state = 381},
  [5636] = {.lex_state = 381},
  [5637] = {.lex_state = 381},
  [5638] = {.lex_state = 381},
  [5639] = {.lex_state = 282},
  [5640] = {.lex_state = 282},
  [5641] = {.lex_state = 381},
  [5642] = {.lex_state = 282},
  [5643] = {.lex_state = 381},
  [5644] = {.lex_state = 381},
  [5645] = {.lex_state = 381},
  [5646] = {.lex_state = 381},
  [5647] = {.lex_state = 381},
  [5648] = {.lex_state = 282},
  [5649] = {.lex_state = 282},
  [5650] = {.lex_state = 381},
  [5651] = {.lex_state = 381},
  [5652] = {.lex_state = 282},
  [5653] = {.lex_state = 284},
  [5654] = {.lex_state = 381},
  [5655] = {.lex_state = 381},
  [5656] = {.lex_state = 282},
  [5657] = {.lex_state = 381},
  [5658] = {.lex_state = 381},
  [5659] = {.lex_state = 381},
  [5660] = {.lex_state = 381},
  [5661] = {.lex_state = 381},
  [5662] = {.lex_state = 381},
  [5663] = {.lex_state = 381},
  [5664] = {.lex_state = 381},
  [5665] = {.lex_state = 282},
  [5666] = {.lex_state = 381},
  [5667] = {.lex_state = 282},
  [5668] = {.lex_state = 381},
  [5669] = {.lex_state = 282},
  [5670] = {.lex_state = 381},
  [5671] = {.lex_state = 381},
  [5672] = {.lex_state = 282},
  [5673] = {.lex_state = 284},
  [5674] = {.lex_state = 282},
  [5675] = {.lex_state = 381},
  [5676] = {.lex_state = 381},
  [5677] = {.lex_state = 282},
  [5678] = {.lex_state = 381},
  [5679] = {.lex_state = 282},
  [5680] = {.lex_state = 381},
  [5681] = {.lex_state = 282},
  [5682] = {.lex_state = 381},
  [5683] = {.lex_state = 381},
  [5684] = {.lex_state = 381},
  [5685] = {.lex_state = 381},
  [5686] = {.lex_state = 281},
  [5687] = {.lex_state = 381},
  [5688] = {.lex_state = 282},
  [5689] = {.lex_state = 381},
  [5690] = {.lex_state = 381},
  [5691] = {.lex_state = 282},
  [5692] = {.lex_state = 282},
  [5693] = {.lex_state = 282},
  [5694] = {.lex_state = 282},
  [5695] = {.lex_state = 381},
  [5696] = {.lex_state = 381},
  [5697] = {.lex_state = 281},
  [5698] = {.lex_state = 381},
  [5699] = {.lex_state = 381},
  [5700] = {.lex_state = 381},
  [5701] = {.lex_state = 282},
  [5702] = {.lex_state = 281},
  [5703] = {.lex_state = 230},
  [5704] = {.lex_state = 282},
  [5705] = {.lex_state = 381},
  [5706] = {.lex_state = 282},
  [5707] = {.lex_state = 381},
  [5708] = {.lex_state = 381},
  [5709] = {.lex_state = 381},
  [5710] = {.lex_state = 238},
  [5711] = {.lex_state = 281},
  [5712] = {.lex_state = 381},
  [5713] = {.lex_state = 282},
  [5714] = {.lex_state = 381},
  [5715] = {.lex_state = 238},
  [5716] = {.lex_state = 238},
  [5717] = {.lex_state = 238},
  [5718] = {.lex_state = 284},
  [5719] = {.lex_state = 284},
  [5720] = {.lex_state = 281},
  [5721] = {.lex_state = 284},
  [5722] = {.lex_state = 284},
  [5723] = {.lex_state = 284},
  [5724] = {.lex_state = 226},
  [5725] = {.lex_state = 284},
  [5726] = {.lex_state = 381},
  [5727] = {.lex_state = 281},
  [5728] = {.lex_state = 238},
  [5729] = {.lex_state = 284},
  [5730] = {.lex_state = 284},
  [5731] = {.lex_state = 226},
  [5732] = {.lex_state = 284},
  [5733] = {.lex_state = 284},
  [5734] = {.lex_state = 226},
  [5735] = {.lex_state = 284},
  [5736] = {.lex_state = 284},
  [5737] = {.lex_state = 284},
  [5738] = {.lex_state = 238},
  [5739] = {.lex_state = 238},
  [5740] = {.lex_state = 273},
  [5741] = {.lex_state = 273},
  [5742] = {.lex_state = 381},
  [5743] = {.lex_state = 281},
  [5744] = {.lex_state = 226},
  [5745] = {.lex_state = 238},
  [5746] = {.lex_state = 381},
  [5747] = {.lex_state = 281},
  [5748] = {.lex_state = 381},
  [5749] = {.lex_state = 284},
  [5750] = {.lex_state = 226},
  [5751] = {.lex_state = 281},
  [5752] = {.lex_state = 381},
  [5753] = {.lex_state = 381},
  [5754] = {.lex_state = 282},
  [5755] = {.lex_state = 281},
  [5756] = {.lex_state = 226},
  [5757] = {.lex_state = 281},
  [5758] = {.lex_state = 237},
  [5759] = {.lex_state = 282},
  [5760] = {.lex_state = 284},
  [5761] = {.lex_state = 381},
  [5762] = {.lex_state = 284},
  [5763] = {.lex_state = 282},
  [5764] = {.lex_state = 282},
  [5765] = {.lex_state = 282},
  [5766] = {.lex_state = 244},
  [5767] = {.lex_state = 284},
  [5768] = {.lex_state = 282},
  [5769] = {.lex_state = 284},
  [5770] = {.lex_state = 381},
  [5771] = {.lex_state = 282},
  [5772] = {.lex_state = 381},
  [5773] = {.lex_state = 282},
  [5774] = {.lex_state = 282},
  [5775] = {.lex_state = 282},
  [5776] = {.lex_state = 282},
  [5777] = {.lex_state = 284},
  [5778] = {.lex_state = 282},
  [5779] = {.lex_state = 284},
  [5780] = {.lex_state = 237},
  [5781] = {.lex_state = 282},
  [5782] = {.lex_state = 282},
  [5783] = {.lex_state = 282},
  [5784] = {.lex_state = 282},
  [5785] = {.lex_state = 282},
  [5786] = {.lex_state = 237},
  [5787] = {.lex_state = 282},
  [5788] = {.lex_state = 282},
  [5789] = {.lex_state = 282},
  [5790] = {.lex_state = 244},
  [5791] = {.lex_state = 244},
  [5792] = {.lex_state = 284},
  [5793] = {.lex_state = 282},
  [5794] = {.lex_state = 282},
  [5795] = {.lex_state = 282},
  [5796] = {.lex_state = 282},
  [5797] = {.lex_state = 282},
  [5798] = {.lex_state = 237},
  [5799] = {.lex_state = 282},
  [5800] = {.lex_state = 282},
  [5801] = {.lex_state = 282},
  [5802] = {.lex_state = 284},
  [5803] = {.lex_state = 282},
  [5804] = {.lex_state = 284},
  [5805] = {.lex_state = 284},
  [5806] = {.lex_state = 282},
  [5807] = {.lex_state = 282},
  [5808] = {.lex_state = 282},
  [5809] = {.lex_state = 284},
  [5810] = {.lex_state = 282},
  [5811] = {.lex_state = 282},
  [5812] = {.lex_state = 284},
  [5813] = {.lex_state = 381},
  [5814] = {.lex_state = 237},
  [5815] = {.lex_state = 282},
  [5816] = {.lex_state = 282},
  [5817] = {.lex_state = 244},
  [5818] = {.lex_state = 282},
  [5819] = {.lex_state = 282},
  [5820] = {.lex_state = 237},
  [5821] = {.lex_state = 284},
  [5822] = {.lex_state = 284},
  [5823] = {.lex_state = 282},
  [5824] = {.lex_state = 244},
  [5825] = {.lex_state = 282},
  [5826] = {.lex_state = 244},
  [5827] = {.lex_state = 282},
  [5828] = {.lex_state = 282},
  [5829] = {.lex_state = 282},
  [5830] = {.lex_state = 282},
  [5831] = {.lex_state = 282},
  [5832] = {.lex_state = 282},
  [5833] = {.lex_state = 282},
  [5834] = {.lex_state = 284},
  [5835] = {.lex_state = 282},
  [5836] = {.lex_state = 237},
  [5837] = {.lex_state = 237},
  [5838] = {.lex_state = 237},
  [5839] = {.lex_state = 282},
  [5840] = {.lex_state = 244},
  [5841] = {.lex_state = 282},
  [5842] = {.lex_state = 282},
  [5843] = {.lex_state = 237},
  [5844] = {.lex_state = 237},
  [5845] = {.lex_state = 282},
  [5846] = {.lex_state = 244},
  [5847] = {.lex_state = 282},
  [5848] = {.lex_state = 282},
  [5849] = {.lex_state = 282},
  [5850] = {.lex_state = 282},
  [5851] = {.lex_state = 282},
  [5852] = {.lex_state = 282},
  [5853] = {.lex_state = 282},
  [5854] = {.lex_state = 237},
  [5855] = {.lex_state = 282},
  [5856] = {.lex_state = 282},
  [5857] = {.lex_state = 282},
  [5858] = {.lex_state = 282},
  [5859] = {.lex_state = 282},
  [5860] = {.lex_state = 282},
  [5861] = {.lex_state = 284},
  [5862] = {.lex_state = 237},
  [5863] = {.lex_state = 282},
  [5864] = {.lex_state = 282},
  [5865] = {.lex_state = 282},
  [5866] = {.lex_state = 282},
  [5867] = {.lex_state = 282},
  [5868] = {.lex_state = 244},
  [5869] = {.lex_state = 284},
  [5870] = {.lex_state = 284},
  [5871] = {.lex_state = 237},
  [5872] = {.lex_state = 244},
  [5873] = {.lex_state = 244},
  [5874] = {.lex_state = 244},
  [5875] = {.lex_state = 244},
  [5876] = {.lex_state = 244},
  [5877] = {.lex_state = 244},
  [5878] = {.lex_state = 244},
  [5879] = {.lex_state = 237},
  [5880] = {.lex_state = 244},
  [5881] = {.lex_state = 237},
  [5882] = {.lex_state = 237},
  [5883] = {.lex_state = 237},
  [5884] = {.lex_state = 244},
  [5885] = {.lex_state = 244},
  [5886] = {.lex_state = 244},
  [5887] = {.lex_state = 282},
  [5888] = {.lex_state = 237},
  [5889] = {.lex_state = 244},
  [5890] = {.lex_state = 237},
  [5891] = {.lex_state = 244},
  [5892] = {.lex_state = 244},
  [5893] = {.lex_state = 237},
  [5894] = {.lex_state = 237},
  [5895] = {.lex_state = 237},
  [5896] = {.lex_state = 244},
  [5897] = {.lex_state = 237},
  [5898] = {.lex_state = 237},
  [5899] = {.lex_state = 244},
  [5900] = {.lex_state = 237},
  [5901] = {.lex_state = 237},
  [5902] = {.lex_state = 244},
  [5903] = {.lex_state = 244},
  [5904] = {.lex_state = 237},
  [5905] = {.lex_state = 244},
  [5906] = {.lex_state = 244},
  [5907] = {.lex_state = 237},
  [5908] = {.lex_state = 244},
  [5909] = {.lex_state = 237},
  [5910] = {.lex_state = 284},
  [5911] = {.lex_state = 244},
  [5912] = {.lex_state = 244},
  [5913] = {.lex_state = 244},
  [5914] = {.lex_state = 230},
  [5915] = {.lex_state = 244},
  [5916] = {.lex_state = 237},
  [5917] = {.lex_state = 244},
  [5918] = {.lex_state = 284},
  [5919] = {.lex_state = 244},
  [5920] = {.lex_state = 244},
  [5921] = {.lex_state = 244},
  [5922] = {.lex_state = 237},
  [5923] = {.lex_state = 244},
  [5924] = {.lex_state = 237},
  [5925] = {.lex_state = 244},
  [5926] = {.lex_state = 244},
  [5927] = {.lex_state = 244},
  [5928] = {.lex_state = 244},
  [5929] = {.lex_state = 237},
  [5930] = {.lex_state = 237},
  [5931] = {.lex_state = 237},
  [5932] = {.lex_state = 244},
  [5933] = {.lex_state = 244},
  [5934] = {.lex_state = 244},
  [5935] = {.lex_state = 244},
  [5936] = {.lex_state = 244},
  [5937] = {.lex_state = 244},
  [5938] = {.lex_state = 244},
  [5939] = {.lex_state = 284},
  [5940] = {.lex_state = 237},
  [5941] = {.lex_state = 237},
  [5942] = {.lex_state = 237},
  [5943] = {.lex_state = 244},
  [5944] = {.lex_state = 237},
  [5945] = {.lex_state = 237},
  [5946] = {.lex_state = 284},
  [5947] = {.lex_state = 244},
  [5948] = {.lex_state = 244},
  [5949] = {.lex_state = 244},
  [5950] = {.lex_state = 244},
  [5951] = {.lex_state = 237},
  [5952] = {.lex_state = 237},
  [5953] = {.lex_state = 244},
  [5954] = {.lex_state = 244},
  [5955] = {.lex_state = 284},
  [5956] = {.lex_state = 244},
  [5957] = {.lex_state = 244},
  [5958] = {.lex_state = 281},
  [5959] = {.lex_state = 281},
  [5960] = {.lex_state = 244},
  [5961] = {.lex_state = 237},
  [5962] = {.lex_state = 284},
  [5963] = {.lex_state = 284},
  [5964] = {.lex_state = 284},
  [5965] = {.lex_state = 230},
  [5966] = {.lex_state = 244},
  [5967] = {.lex_state = 244},
  [5968] = {.lex_state = 244},
  [5969] = {.lex_state = 244},
  [5970] = {.lex_state = 284},
  [5971] = {.lex_state = 244},
  [5972] = {.lex_state = 381},
  [5973] = {.lex_state = 244},
  [5974] = {.lex_state = 244},
  [5975] = {.lex_state = 284},
  [5976] = {.lex_state = 381},
  [5977] = {.lex_state = 244},
  [5978] = {.lex_state = 244},
  [5979] = {.lex_state = 237},
  [5980] = {.lex_state = 244},
  [5981] = {.lex_state = 244},
  [5982] = {.lex_state = 284},
  [5983] = {.lex_state = 284},
  [5984] = {.lex_state = 284},
  [5985] = {.lex_state = 284},
  [5986] = {.lex_state = 244},
  [5987] = {.lex_state = 284},
  [5988] = {.lex_state = 284},
  [5989] = {.lex_state = 244},
  [5990] = {.lex_state = 244},
  [5991] = {.lex_state = 284},
  [5992] = {.lex_state = 284},
  [5993] = {.lex_state = 284},
  [5994] = {.lex_state = 244},
  [5995] = {.lex_state = 244},
  [5996] = {.lex_state = 238},
  [5997] = {.lex_state = 244},
  [5998] = {.lex_state = 244},
  [5999] = {.lex_state = 284},
  [6000] = {.lex_state = 281},
  [6001] = {.lex_state = 281},
  [6002] = {.lex_state = 284},
  [6003] = {.lex_state = 244},
  [6004] = {.lex_state = 244},
  [6005] = {.lex_state = 284},
  [6006] = {.lex_state = 284},
  [6007] = {.lex_state = 284},
  [6008] = {.lex_state = 244},
  [6009] = {.lex_state = 244},
  [6010] = {.lex_state = 244},
  [6011] = {.lex_state = 244},
  [6012] = {.lex_state = 244},
  [6013] = {.lex_state = 284},
  [6014] = {.lex_state = 284},
  [6015] = {.lex_state = 244},
  [6016] = {.lex_state = 244},
  [6017] = {.lex_state = 244},
  [6018] = {.lex_state = 244},
  [6019] = {.lex_state = 284},
  [6020] = {.lex_state = 244},
  [6021] = {.lex_state = 284},
  [6022] = {.lex_state = 244},
  [6023] = {.lex_state = 244},
  [6024] = {.lex_state = 284},
  [6025] = {.lex_state = 244},
  [6026] = {.lex_state = 284},
  [6027] = {.lex_state = 244},
  [6028] = {.lex_state = 244},
  [6029] = {.lex_state = 284},
  [6030] = {.lex_state = 244},
  [6031] = {.lex_state = 281},
  [6032] = {.lex_state = 244},
  [6033] = {.lex_state = 244},
  [6034] = {.lex_state = 244},
  [6035] = {.lex_state = 281},
  [6036] = {.lex_state = 238},
  [6037] = {.lex_state = 238},
  [6038] = {.lex_state = 244},
  [6039] = {.lex_state = 281},
  [6040] = {.lex_state = 244},
  [6041] = {.lex_state = 244},
  [6042] = {.lex_state = 244},
  [6043] = {.lex_state = 244},
  [6044] = {.lex_state = 244},
  [6045] = {.lex_state = 281},
  [6046] = {.lex_state = 281},
  [6047] = {.lex_state = 237},
  [6048] = {.lex_state = 244},
  [6049] = {.lex_state = 281},
  [6050] = {.lex_state = 244},
  [6051] = {.lex_state = 244},
  [6052] = {.lex_state = 238},
  [6053] = {.lex_state = 244},
  [6054] = {.lex_state = 244},
  [6055] = {.lex_state = 244},
  [6056] = {.lex_state = 238},
  [6057] = {.lex_state = 244},
  [6058] = {.lex_state = 281},
  [6059] = {.lex_state = 244},
  [6060] = {.lex_state = 244},
  [6061] = {.lex_state = 244},
  [6062] = {.lex_state = 282},
  [6063] = {.lex_state = 282},
  [6064] = {.lex_state = 381},
  [6065] = {.lex_state = 282},
  [6066] = {.lex_state = 381},
  [6067] = {.lex_state = 381},
  [6068] = {.lex_state = 381},
  [6069] = {.lex_state = 381},
  [6070] = {.lex_state = 381},
  [6071] = {.lex_state = 233},
  [6072] = {.lex_state = 233},
  [6073] = {.lex_state = 233},
  [6074] = {.lex_state = 233},
  [6075] = {.lex_state = 233},
  [6076] = {.lex_state = 233},
  [6077] = {.lex_state = 233},
  [6078] = {.lex_state = 233},
  [6079] = {.lex_state = 282},
  [6080] = {.lex_state = 238},
  [6081] = {.lex_state = 282},
  [6082] = {.lex_state = 282},
  [6083] = {.lex_state = 282},
  [6084] = {.lex_state = 381},
  [6085] = {.lex_state = 282},
  [6086] = {.lex_state = 282},
  [6087] = {.lex_state = 281},
  [6088] = {.lex_state = 281},
  [6089] = {.lex_state = 281},
  [6090] = {.lex_state = 381},
  [6091] = {.lex_state = 381},
  [6092] = {.lex_state = 281},
  [6093] = {.lex_state = 381},
  [6094] = {.lex_state = 381},
  [6095] = {.lex_state = 381},
  [6096] = {.lex_state = 381},
  [6097] = {.lex_state = 282},
  [6098] = {.lex_state = 381},
  [6099] = {.lex_state = 281},
  [6100] = {.lex_state = 281},
  [6101] = {.lex_state = 381},
  [6102] = {.lex_state = 282},
  [6103] = {.lex_state = 281},
  [6104] = {.lex_state = 381},
  [6105] = {.lex_state = 282},
  [6106] = {.lex_state = 381},
  [6107] = {.lex_state = 281},
  [6108] = {.lex_state = 381},
  [6109] = {.lex_state = 281},
  [6110] = {.lex_state = 281},
  [6111] = {.lex_state = 282},
  [6112] = {.lex_state = 281},
  [6113] = {.lex_state = 281},
  [6114] = {.lex_state = 282},
  [6115] = {.lex_state = 238},
  [6116] = {.lex_state = 282},
  [6117] = {.lex_state = 244},
  [6118] = {.lex_state = 284},
  [6119] = {.lex_state = 380},
  [6120] = {.lex_state = 380},
  [6121] = {.lex_state = 244},
  [6122] = {.lex_state = 380},
  [6123] = {.lex_state = 244},
  [6124] = {.lex_state = 244},
  [6125] = {.lex_state = 380},
  [6126] = {.lex_state = 244},
  [6127] = {.lex_state = 282},
  [6128] = {.lex_state = 244},
  [6129] = {.lex_state = 244},
  [6130] = {.lex_state = 380},
  [6131] = {.lex_state = 380},
  [6132] = {.lex_state = 380},
  [6133] = {.lex_state = 380},
  [6134] = {.lex_state = 244},
  [6135] = {.lex_state = 282},
  [6136] = {.lex_state = 282},
  [6137] = {.lex_state = 244},
  [6138] = {.lex_state = 380},
  [6139] = {.lex_state = 244},
  [6140] = {.lex_state = 282},
  [6141] = {.lex_state = 282},
  [6142] = {.lex_state = 244},
  [6143] = {.lex_state = 282},
  [6144] = {.lex_state = 282},
  [6145] = {.lex_state = 282},
  [6146] = {.lex_state = 282},
  [6147] = {.lex_state = 282},
  [6148] = {.lex_state = 282},
  [6149] = {.lex_state = 244},
  [6150] = {.lex_state = 282},
  [6151] = {.lex_state = 281},
  [6152] = {.lex_state = 281},
  [6153] = {.lex_state = 281},
  [6154] = {.lex_state = 281},
  [6155] = {.lex_state = 281},
  [6156] = {.lex_state = 381},
  [6157] = {.lex_state = 284},
  [6158] = {.lex_state = 281},
  [6159] = {.lex_state = 226},
  [6160] = {.lex_state = 381},
  [6161] = {.lex_state = 281},
  [6162] = {.lex_state = 284},
  [6163] = {.lex_state = 282},
  [6164] = {.lex_state = 282},
  [6165] = {.lex_state = 282},
  [6166] = {.lex_state = 238},
  [6167] = {.lex_state = 282},
  [6168] = {.lex_state = 282},
  [6169] = {.lex_state = 282},
  [6170] = {.lex_state = 282},
  [6171] = {.lex_state = 380},
  [6172] = {.lex_state = 380},
  [6173] = {.lex_state = 381},
  [6174] = {.lex_state = 233},
  [6175] = {.lex_state = 252},
  [6176] = {.lex_state = 380},
  [6177] = {.lex_state = 233},
  [6178] = {.lex_state = 381},
  [6179] = {.lex_state = 380},
  [6180] = {.lex_state = 380},
  [6181] = {.lex_state = 233},
  [6182] = {.lex_state = 233},
  [6183] = {.lex_state = 381},
  [6184] = {.lex_state = 233},
  [6185] = {.lex_state = 380},
  [6186] = {.lex_state = 380},
  [6187] = {.lex_state = 233},
  [6188] = {.lex_state = 380},
  [6189] = {.lex_state = 380},
  [6190] = {.lex_state = 380},
  [6191] = {.lex_state = 380},
  [6192] = {.lex_state = 380},
  [6193] = {.lex_state = 281},
  [6194] = {.lex_state = 380},
  [6195] = {.lex_state = 380},
  [6196] = {.lex_state = 380},
  [6197] = {.lex_state = 380},
  [6198] = {.lex_state = 380},
  [6199] = {.lex_state = 233},
  [6200] = {.lex_state = 380},
  [6201] = {.lex_state = 380},
  [6202] = {.lex_state = 380},
  [6203] = {.lex_state = 380},
  [6204] = {.lex_state = 380},
  [6205] = {.lex_state = 226},
  [6206] = {.lex_state = 380},
  [6207] = {.lex_state = 380},
  [6208] = {.lex_state = 233},
  [6209] = {.lex_state = 226},
  [6210] = {.lex_state = 233},
  [6211] = {.lex_state = 233},
  [6212] = {.lex_state = 380},
  [6213] = {.lex_state = 380},
  [6214] = {.lex_state = 381},
  [6215] = {.lex_state = 380},
  [6216] = {.lex_state = 380},
  [6217] = {.lex_state = 380},
  [6218] = {.lex_state = 380},
  [6219] = {.lex_state = 380},
  [6220] = {.lex_state = 281},
  [6221] = {.lex_state = 380},
  [6222] = {.lex_state = 380},
  [6223] = {.lex_state = 380},
  [6224] = {.lex_state = 381},
  [6225] = {.lex_state = 380},
  [6226] = {.lex_state = 380},
  [6227] = {.lex_state = 380},
  [6228] = {.lex_state = 380},
  [6229] = {.lex_state = 380},
  [6230] = {.lex_state = 380},
  [6231] = {.lex_state = 226},
  [6232] = {.lex_state = 380},
  [6233] = {.lex_state = 380},
  [6234] = {.lex_state = 281},
  [6235] = {.lex_state = 380},
  [6236] = {.lex_state = 380},
  [6237] = {.lex_state = 380},
  [6238] = {.lex_state = 233},
  [6239] = {.lex_state = 233},
  [6240] = {.lex_state = 244},
  [6241] = {.lex_state = 244},
  [6242] = {.lex_state = 244},
  [6243] = {.lex_state = 244},
  [6244] = {.lex_state = 244},
  [6245] = {.lex_state = 244},
  [6246] = {.lex_state = 244},
  [6247] = {.lex_state = 244},
  [6248] = {.lex_state = 244},
  [6249] = {.lex_state = 226},
  [6250] = {.lex_state = 244},
  [6251] = {.lex_state = 244},
  [6252] = {.lex_state = 244},
  [6253] = {.lex_state = 244},
  [6254] = {.lex_state = 244},
  [6255] = {.lex_state = 244},
  [6256] = {.lex_state = 244},
  [6257] = {.lex_state = 244},
  [6258] = {.lex_state = 244},
  [6259] = {.lex_state = 244},
  [6260] = {.lex_state = 244},
  [6261] = {.lex_state = 244},
  [6262] = {.lex_state = 244},
  [6263] = {.lex_state = 244},
  [6264] = {.lex_state = 244},
  [6265] = {.lex_state = 244},
  [6266] = {.lex_state = 244},
  [6267] = {.lex_state = 244},
  [6268] = {.lex_state = 244},
  [6269] = {.lex_state = 244},
  [6270] = {.lex_state = 244},
  [6271] = {.lex_state = 244},
  [6272] = {.lex_state = 244},
  [6273] = {.lex_state = 244},
  [6274] = {.lex_state = 244},
  [6275] = {.lex_state = 244},
  [6276] = {.lex_state = 244},
  [6277] = {.lex_state = 244},
  [6278] = {.lex_state = 244},
  [6279] = {.lex_state = 244},
  [6280] = {.lex_state = 238},
  [6281] = {.lex_state = 244},
  [6282] = {.lex_state = 244},
  [6283] = {.lex_state = 244},
  [6284] = {.lex_state = 244},
  [6285] = {.lex_state = 244},
  [6286] = {.lex_state = 244},
  [6287] = {.lex_state = 205},
  [6288] = {.lex_state = 252},
  [6289] = {.lex_state = 244},
  [6290] = {.lex_state = 244},
  [6291] = {.lex_state = 244},
  [6292] = {.lex_state = 244},
  [6293] = {.lex_state = 244},
  [6294] = {.lex_state = 244},
  [6295] = {.lex_state = 109},
  [6296] = {.lex_state = 244},
  [6297] = {.lex_state = 244},
  [6298] = {.lex_state = 244},
  [6299] = {.lex_state = 244},
  [6300] = {.lex_state = 244},
  [6301] = {.lex_state = 244},
  [6302] = {.lex_state = 244},
  [6303] = {.lex_state = 244},
  [6304] = {.lex_state = 244},
  [6305] = {.lex_state = 244},
  [6306] = {.lex_state = 205},
  [6307] = {.lex_state = 244},
  [6308] = {.lex_state = 244},
  [6309] = {.lex_state = 244},
  [6310] = {.lex_state = 244},
  [6311] = {.lex_state = 244},
  [6312] = {.lex_state = 244},
  [6313] = {.lex_state = 244},
  [6314] = {.lex_state = 244},
  [6315] = {.lex_state = 244},
  [6316] = {.lex_state = 252},
  [6317] = {.lex_state = 244},
  [6318] = {.lex_state = 244},
  [6319] = {.lex_state = 244},
  [6320] = {.lex_state = 244},
  [6321] = {.lex_state = 244},
  [6322] = {.lex_state = 381},
  [6323] = {.lex_state = 244},
  [6324] = {.lex_state = 244},
  [6325] = {.lex_state = 244},
  [6326] = {.lex_state = 244},
  [6327] = {.lex_state = 244},
  [6328] = {.lex_state = 244},
  [6329] = {.lex_state = 244},
  [6330] = {.lex_state = 244},
  [6331] = {.lex_state = 244},
  [6332] = {.lex_state = 244},
  [6333] = {.lex_state = 244},
  [6334] = {.lex_state = 244},
  [6335] = {.lex_state = 244},
  [6336] = {.lex_state = 244},
  [6337] = {.lex_state = 244},
  [6338] = {.lex_state = 244},
  [6339] = {.lex_state = 244},
  [6340] = {.lex_state = 244},
  [6341] = {.lex_state = 252},
  [6342] = {.lex_state = 205},
  [6343] = {.lex_state = 244},
  [6344] = {.lex_state = 244},
  [6345] = {.lex_state = 244},
  [6346] = {.lex_state = 244},
  [6347] = {.lex_state = 244},
  [6348] = {.lex_state = 226},
  [6349] = {.lex_state = 244},
  [6350] = {.lex_state = 244},
  [6351] = {.lex_state = 205},
  [6352] = {.lex_state = 226},
  [6353] = {.lex_state = 281},
  [6354] = {.lex_state = 205},
  [6355] = {.lex_state = 205},
  [6356] = {.lex_state = 205},
  [6357] = {.lex_state = 205},
  [6358] = {.lex_state = 205},
  [6359] = {.lex_state = 226},
  [6360] = {.lex_state = 226},
  [6361] = {.lex_state = 226},
  [6362] = {.lex_state = 226},
  [6363] = {.lex_state = 205},
  [6364] = {.lex_state = 205},
  [6365] = {.lex_state = 281},
  [6366] = {.lex_state = 205},
  [6367] = {.lex_state = 205},
  [6368] = {.lex_state = 252},
  [6369] = {.lex_state = 252},
  [6370] = {.lex_state = 205},
  [6371] = {.lex_state = 226},
  [6372] = {.lex_state = 205},
  [6373] = {.lex_state = 281},
  [6374] = {.lex_state = 226},
  [6375] = {.lex_state = 281},
  [6376] = {.lex_state = 381},
  [6377] = {.lex_state = 205},
  [6378] = {.lex_state = 205},
  [6379] = {.lex_state = 226},
  [6380] = {.lex_state = 205},
  [6381] = {.lex_state = 226},
  [6382] = {.lex_state = 205},
  [6383] = {.lex_state = 205},
  [6384] = {.lex_state = 381},
  [6385] = {.lex_state = 226},
  [6386] = {.lex_state = 237},
  [6387] = {.lex_state = 252},
  [6388] = {.lex_state = 205},
  [6389] = {.lex_state = 252},
  [6390] = {.lex_state = 205},
  [6391] = {.lex_state = 205},
  [6392] = {.lex_state = 226},
  [6393] = {.lex_state = 252},
  [6394] = {.lex_state = 205},
  [6395] = {.lex_state = 205},
  [6396] = {.lex_state = 252},
  [6397] = {.lex_state = 205},
  [6398] = {.lex_state = 281},
  [6399] = {.lex_state = 205},
  [6400] = {.lex_state = 205},
  [6401] = {.lex_state = 252},
  [6402] = {.lex_state = 252},
  [6403] = {.lex_state = 252},
  [6404] = {.lex_state = 205},
  [6405] = {.lex_state = 205},
  [6406] = {.lex_state = 281},
  [6407] = {.lex_state = 252},
  [6408] = {.lex_state = 252},
  [6409] = {.lex_state = 281},
  [6410] = {.lex_state = 252},
  [6411] = {.lex_state = 205},
  [6412] = {.lex_state = 281},
  [6413] = {.lex_state = 205},
  [6414] = {.lex_state = 252},
  [6415] = {.lex_state = 226},
  [6416] = {.lex_state = 226},
  [6417] = {.lex_state = 281},
  [6418] = {.lex_state = 252},
  [6419] = {.lex_state = 205},
  [6420] = {.lex_state = 252},
  [6421] = {.lex_state = 205},
  [6422] = {.lex_state = 226},
  [6423] = {.lex_state = 226},
  [6424] = {.lex_state = 226},
  [6425] = {.lex_state = 226},
  [6426] = {.lex_state = 205},
  [6427] = {.lex_state = 205},
  [6428] = {.lex_state = 226},
  [6429] = {.lex_state = 205},
  [6430] = {.lex_state = 252},
  [6431] = {.lex_state = 252},
  [6432] = {.lex_state = 205},
  [6433] = {.lex_state = 252},
  [6434] = {.lex_state = 205},
  [6435] = {.lex_state = 205},
  [6436] = {.lex_state = 252},
  [6437] = {.lex_state = 205},
  [6438] = {.lex_state = 205},
  [6439] = {.lex_state = 205},
  [6440] = {.lex_state = 252},
  [6441] = {.lex_state = 205},
  [6442] = {.lex_state = 109},
  [6443] = {.lex_state = 381},
  [6444] = {.lex_state = 109},
  [6445] = {.lex_state = 109},
  [6446] = {.lex_state = 281},
  [6447] = {.lex_state = 281},
  [6448] = {.lex_state = 109},
  [6449] = {.lex_state = 281},
  [6450] = {.lex_state = 381},
  [6451] = {.lex_state = 381},
  [6452] = {.lex_state = 381},
  [6453] = {.lex_state = 281},
  [6454] = {.lex_state = 281},
  [6455] = {.lex_state = 109},
  [6456] = {.lex_state = 381},
  [6457] = {.lex_state = 381},
  [6458] = {.lex_state = 252},
  [6459] = {.lex_state = 381},
  [6460] = {.lex_state = 381},
  [6461] = {.lex_state = 381},
  [6462] = {.lex_state = 109},
  [6463] = {.lex_state = 381},
  [6464] = {.lex_state = 226},
  [6465] = {.lex_state = 226},
  [6466] = {.lex_state = 281},
  [6467] = {.lex_state = 244},
  [6468] = {.lex_state = 381},
  [6469] = {.lex_state = 109},
  [6470] = {.lex_state = 381},
  [6471] = {.lex_state = 381},
  [6472] = {.lex_state = 109},
  [6473] = {.lex_state = 109},
  [6474] = {.lex_state = 381},
  [6475] = {.lex_state = 381},
  [6476] = {.lex_state = 381},
  [6477] = {.lex_state = 381},
  [6478] = {.lex_state = 109},
  [6479] = {.lex_state = 381},
  [6480] = {.lex_state = 381},
  [6481] = {.lex_state = 109},
  [6482] = {.lex_state = 381},
  [6483] = {.lex_state = 381},
  [6484] = {.lex_state = 244},
  [6485] = {.lex_state = 109},
  [6486] = {.lex_state = 381},
  [6487] = {.lex_state = 109},
  [6488] = {.lex_state = 381},
  [6489] = {.lex_state = 381},
  [6490] = {.lex_state = 281},
  [6491] = {.lex_state = 381},
  [6492] = {.lex_state = 109},
  [6493] = {.lex_state = 244},
  [6494] = {.lex_state = 381},
  [6495] = {.lex_state = 109},
  [6496] = {.lex_state = 109},
  [6497] = {.lex_state = 381},
  [6498] = {.lex_state = 284},
  [6499] = {.lex_state = 281},
  [6500] = {.lex_state = 252},
  [6501] = {.lex_state = 226},
  [6502] = {.lex_state = 381},
  [6503] = {.lex_state = 381},
  [6504] = {.lex_state = 281},
  [6505] = {.lex_state = 281},
  [6506] = {.lex_state = 109},
  [6507] = {.lex_state = 381},
  [6508] = {.lex_state = 381},
  [6509] = {.lex_state = 381},
  [6510] = {.lex_state = 381},
  [6511] = {.lex_state = 109},
  [6512] = {.lex_state = 109},
  [6513] = {.lex_state = 381},
  [6514] = {.lex_state = 281},
  [6515] = {.lex_state = 381},
  [6516] = {.lex_state = 381},
  [6517] = {.lex_state = 381},
  [6518] = {.lex_state = 109},
  [6519] = {.lex_state = 381},
  [6520] = {.lex_state = 281},
  [6521] = {.lex_state = 109},
  [6522] = {.lex_state = 281},
  [6523] = {.lex_state = 381},
  [6524] = {.lex_state = 281},
  [6525] = {.lex_state = 109},
  [6526] = {.lex_state = 109},
  [6527] = {.lex_state = 109},
  [6528] = {.lex_state = 281},
  [6529] = {.lex_state = 381},
  [6530] = {.lex_state = 381},
  [6531] = {.lex_state = 109},
  [6532] = {.lex_state = 281},
  [6533] = {.lex_state = 281},
  [6534] = {.lex_state = 226},
  [6535] = {.lex_state = 109},
  [6536] = {.lex_state = 109},
  [6537] = {.lex_state = 109},
  [6538] = {.lex_state = 281},
  [6539] = {.lex_state = 381},
  [6540] = {.lex_state = 226},
  [6541] = {.lex_state = 381},
  [6542] = {.lex_state = 109},
  [6543] = {.lex_state = 381},
  [6544] = {.lex_state = 281},
  [6545] = {.lex_state = 226},
  [6546] = {.lex_state = 109},
  [6547] = {.lex_state = 381},
  [6548] = {.lex_state = 244},
  [6549] = {.lex_state = 109},
  [6550] = {.lex_state = 381},
  [6551] = {.lex_state = 381},
  [6552] = {.lex_state = 109},
  [6553] = {.lex_state = 381},
  [6554] = {.lex_state = 381},
  [6555] = {.lex_state = 381},
  [6556] = {.lex_state = 109},
  [6557] = {.lex_state = 281},
  [6558] = {.lex_state = 381},
  [6559] = {.lex_state = 109},
  [6560] = {.lex_state = 109},
  [6561] = {.lex_state = 281},
  [6562] = {.lex_state = 381},
  [6563] = {.lex_state = 381},
  [6564] = {.lex_state = 281},
  [6565] = {.lex_state = 281},
  [6566] = {.lex_state = 284},
  [6567] = {.lex_state = 381},
  [6568] = {.lex_state = 381},
  [6569] = {.lex_state = 284},
  [6570] = {.lex_state = 284},
  [6571] = {.lex_state = 284},
  [6572] = {.lex_state = 284},
  [6573] = {.lex_state = 284},
  [6574] = {.lex_state = 381},
  [6575] = {.lex_state = 381},
  [6576] = {.lex_state = 284},
  [6577] = {.lex_state = 381},
  [6578] = {.lex_state = 381},
  [6579] = {.lex_state = 284},
  [6580] = {.lex_state = 281},
  [6581] = {.lex_state = 281},
  [6582] = {.lex_state = 277},
  [6583] = {.lex_state = 277},
  [6584] = {.lex_state = 282},
  [6585] = {.lex_state = 284},
  [6586] = {.lex_state = 203},
  [6587] = {.lex_state = 381},
  [6588] = {.lex_state = 203},
  [6589] = {.lex_state = 203},
  [6590] = {.lex_state = 381},
  [6591] = {.lex_state = 284},
  [6592] = {.lex_state = 281},
  [6593] = {.lex_state = 381},
  [6594] = {.lex_state = 381},
  [6595] = {.lex_state = 237},
  [6596] = {.lex_state = 277},
  [6597] = {.lex_state = 203},
  [6598] = {.lex_state = 203},
  [6599] = {.lex_state = 237},
  [6600] = {.lex_state = 237},
  [6601] = {.lex_state = 282},
  [6602] = {.lex_state = 282},
  [6603] = {.lex_state = 226},
  [6604] = {.lex_state = 282},
  [6605] = {.lex_state = 381},
  [6606] = {.lex_state = 381},
  [6607] = {.lex_state = 281},
  [6608] = {.lex_state = 237},
  [6609] = {.lex_state = 281},
  [6610] = {.lex_state = 282},
  [6611] = {.lex_state = 282},
  [6612] = {.lex_state = 381},
  [6613] = {.lex_state = 282},
  [6614] = {.lex_state = 277},
  [6615] = {.lex_state = 237},
  [6616] = {.lex_state = 203},
  [6617] = {.lex_state = 381},
  [6618] = {.lex_state = 237},
  [6619] = {.lex_state = 282},
  [6620] = {.lex_state = 282},
  [6621] = {.lex_state = 381},
  [6622] = {.lex_state = 381},
  [6623] = {.lex_state = 381},
  [6624] = {.lex_state = 203},
  [6625] = {.lex_state = 237},
  [6626] = {.lex_state = 226},
  [6627] = {.lex_state = 203},
  [6628] = {.lex_state = 381},
  [6629] = {.lex_state = 381},
  [6630] = {.lex_state = 282},
  [6631] = {.lex_state = 282},
  [6632] = {.lex_state = 381},
  [6633] = {.lex_state = 282},
  [6634] = {.lex_state = 282},
  [6635] = {.lex_state = 381},
  [6636] = {.lex_state = 281},
  [6637] = {.lex_state = 381},
  [6638] = {.lex_state = 282},
  [6639] = {.lex_state = 203},
  [6640] = {.lex_state = 282},
  [6641] = {.lex_state = 381},
  [6642] = {.lex_state = 381},
  [6643] = {.lex_state = 281},
  [6644] = {.lex_state = 381},
  [6645] = {.lex_state = 203},
  [6646] = {.lex_state = 381},
  [6647] = {.lex_state = 282},
  [6648] = {.lex_state = 282},
  [6649] = {.lex_state = 203},
  [6650] = {.lex_state = 237},
  [6651] = {.lex_state = 282},
  [6652] = {.lex_state = 282},
  [6653] = {.lex_state = 282},
  [6654] = {.lex_state = 381},
  [6655] = {.lex_state = 381},
  [6656] = {.lex_state = 238},
  [6657] = {.lex_state = 381},
  [6658] = {.lex_state = 281},
  [6659] = {.lex_state = 381},
  [6660] = {.lex_state = 237},
  [6661] = {.lex_state = 281},
  [6662] = {.lex_state = 237},
  [6663] = {.lex_state = 282},
  [6664] = {.lex_state = 237},
  [6665] = {.lex_state = 284},
  [6666] = {.lex_state = 381},
  [6667] = {.lex_state = 281},
  [6668] = {.lex_state = 226},
  [6669] = {.lex_state = 381},
  [6670] = {.lex_state = 381},
  [6671] = {.lex_state = 282},
  [6672] = {.lex_state = 381},
  [6673] = {.lex_state = 237},
  [6674] = {.lex_state = 281},
  [6675] = {.lex_state = 203},
  [6676] = {.lex_state = 226},
  [6677] = {.lex_state = 281},
  [6678] = {.lex_state = 281},
  [6679] = {.lex_state = 281},
  [6680] = {.lex_state = 281},
  [6681] = {.lex_state = 381},
  [6682] = {.lex_state = 244},
  [6683] = {.lex_state = 284},
  [6684] = {.lex_state = 284},
  [6685] = {.lex_state = 244},
  [6686] = {.lex_state = 284},
  [6687] = {.lex_state = 282},
  [6688] = {.lex_state = 282},
  [6689] = {.lex_state = 282},
  [6690] = {.lex_state = 284},
  [6691] = {.lex_state = 284},
  [6692] = {.lex_state = 282},
  [6693] = {.lex_state = 282},
  [6694] = {.lex_state = 282},
  [6695] = {.lex_state = 284},
  [6696] = {.lex_state = 244},
  [6697] = {.lex_state = 282},
  [6698] = {.lex_state = 281},
  [6699] = {.lex_state = 244},
  [6700] = {.lex_state = 284},
  [6701] = {.lex_state = 284},
  [6702] = {.lex_state = 244},
  [6703] = {.lex_state = 284},
  [6704] = {.lex_state = 284},
  [6705] = {.lex_state = 284},
  [6706] = {.lex_state = 284},
  [6707] = {.lex_state = 282},
  [6708] = {.lex_state = 284},
  [6709] = {.lex_state = 284},
  [6710] = {.lex_state = 281},
  [6711] = {.lex_state = 281},
  [6712] = {.lex_state = 282},
  [6713] = {.lex_state = 203},
  [6714] = {.lex_state = 282},
  [6715] = {.lex_state = 282},
  [6716] = {.lex_state = 282},
  [6717] = {.lex_state = 282},
  [6718] = {.lex_state = 284},
  [6719] = {.lex_state = 282},
  [6720] = {.lex_state = 284},
  [6721] = {.lex_state = 284},
  [6722] = {.lex_state = 282},
  [6723] = {.lex_state = 282},
  [6724] = {.lex_state = 284},
  [6725] = {.lex_state = 382},
  [6726] = {.lex_state = 282},
  [6727] = {.lex_state = 381},
  [6728] = {.lex_state = 282},
  [6729] = {.lex_state = 244},
  [6730] = {.lex_state = 382},
  [6731] = {.lex_state = 282},
  [6732] = {.lex_state = 284},
  [6733] = {.lex_state = 284},
  [6734] = {.lex_state = 381},
  [6735] = {.lex_state = 282},
  [6736] = {.lex_state = 244},
  [6737] = {.lex_state = 284},
  [6738] = {.lex_state = 284},
  [6739] = {.lex_state = 284},
  [6740] = {.lex_state = 284},
  [6741] = {.lex_state = 282},
  [6742] = {.lex_state = 282},
  [6743] = {.lex_state = 282},
  [6744] = {.lex_state = 284},
  [6745] = {.lex_state = 284},
  [6746] = {.lex_state = 284},
  [6747] = {.lex_state = 284},
  [6748] = {.lex_state = 284},
  [6749] = {.lex_state = 383},
  [6750] = {.lex_state = 244},
  [6751] = {.lex_state = 203},
  [6752] = {.lex_state = 282},
  [6753] = {.lex_state = 244},
  [6754] = {.lex_state = 282},
  [6755] = {.lex_state = 282},
  [6756] = {.lex_state = 222},
  [6757] = {.lex_state = 381},
  [6758] = {.lex_state = 203},
  [6759] = {.lex_state = 244},
  [6760] = {.lex_state = 203},
  [6761] = {.lex_state = 281},
  [6762] = {.lex_state = 203},
  [6763] = {.lex_state = 265},
  [6764] = {.lex_state = 231},
  [6765] = {.lex_state = 222},
  [6766] = {.lex_state = 222},
  [6767] = {.lex_state = 222},
  [6768] = {.lex_state = 203},
  [6769] = {.lex_state = 281},
  [6770] = {.lex_state = 265},
  [6771] = {.lex_state = 222},
  [6772] = {.lex_state = 381},
  [6773] = {.lex_state = 381},
  [6774] = {.lex_state = 222},
  [6775] = {.lex_state = 381},
  [6776] = {.lex_state = 381},
  [6777] = {.lex_state = 381},
  [6778] = {.lex_state = 244},
  [6779] = {.lex_state = 265},
  [6780] = {.lex_state = 381},
  [6781] = {.lex_state = 281},
  [6782] = {.lex_state = 203},
  [6783] = {.lex_state = 281},
  [6784] = {.lex_state = 381},
  [6785] = {.lex_state = 381},
  [6786] = {.lex_state = 222},
  [6787] = {.lex_state = 281},
  [6788] = {.lex_state = 222},
  [6789] = {.lex_state = 244},
  [6790] = {.lex_state = 281},
  [6791] = {.lex_state = 203},
  [6792] = {.lex_state = 222},
  [6793] = {.lex_state = 281},
  [6794] = {.lex_state = 281},
  [6795] = {.lex_state = 203},
  [6796] = {.lex_state = 281},
  [6797] = {.lex_state = 222},
  [6798] = {.lex_state = 281},
  [6799] = {.lex_state = 281},
  [6800] = {.lex_state = 222},
  [6801] = {.lex_state = 222},
  [6802] = {.lex_state = 281},
  [6803] = {.lex_state = 222},
  [6804] = {.lex_state = 381},
  [6805] = {.lex_state = 203},
  [6806] = {.lex_state = 381},
  [6807] = {.lex_state = 381},
  [6808] = {.lex_state = 381},
  [6809] = {.lex_state = 265},
  [6810] = {.lex_state = 381},
  [6811] = {.lex_state = 381},
  [6812] = {.lex_state = 381},
  [6813] = {.lex_state = 381},
  [6814] = {.lex_state = 203},
  [6815] = {.lex_state = 281},
  [6816] = {.lex_state = 381},
  [6817] = {.lex_state = 265},
  [6818] = {.lex_state = 265},
  [6819] = {.lex_state = 222},
  [6820] = {.lex_state = 265},
  [6821] = {.lex_state = 203},
  [6822] = {.lex_state = 244},
  [6823] = {.lex_state = 381},
  [6824] = {.lex_state = 222},
  [6825] = {.lex_state = 222},
  [6826] = {.lex_state = 222},
  [6827] = {.lex_state = 222},
  [6828] = {.lex_state = 206},
  [6829] = {.lex_state = 244},
  [6830] = {.lex_state = 381},
  [6831] = {.lex_state = 244},
  [6832] = {.lex_state = 203},
  [6833] = {.lex_state = 265},
  [6834] = {.lex_state = 203},
  [6835] = {.lex_state = 222},
  [6836] = {.lex_state = 244},
  [6837] = {.lex_state = 222},
  [6838] = {.lex_state = 234},
  [6839] = {.lex_state = 382},
  [6840] = {.lex_state = 244},
  [6841] = {.lex_state = 284},
  [6842] = {.lex_state = 244},
  [6843] = {.lex_state = 382},
  [6844] = {.lex_state = 265},
  [6845] = {.lex_state = 265},
  [6846] = {.lex_state = 244},
  [6847] = {.lex_state = 244},
  [6848] = {.lex_state = 281},
  [6849] = {.lex_state = 382},
  [6850] = {.lex_state = 381},
  [6851] = {.lex_state = 284},
  [6852] = {.lex_state = 381},
  [6853] = {.lex_state = 244},
  [6854] = {.lex_state = 244},
  [6855] = {.lex_state = 382},
  [6856] = {.lex_state = 265},
  [6857] = {.lex_state = 244},
  [6858] = {.lex_state = 284},
  [6859] = {.lex_state = 244},
  [6860] = {.lex_state = 234},
  [6861] = {.lex_state = 382},
  [6862] = {.lex_state = 265},
  [6863] = {.lex_state = 381},
  [6864] = {.lex_state = 382},
  [6865] = {.lex_state = 234},
  [6866] = {.lex_state = 381},
  [6867] = {.lex_state = 230},
  [6868] = {.lex_state = 382},
  [6869] = {.lex_state = 382},
  [6870] = {.lex_state = 244},
  [6871] = {.lex_state = 284},
  [6872] = {.lex_state = 222},
  [6873] = {.lex_state = 244},
  [6874] = {.lex_state = 284},
  [6875] = {.lex_state = 244},
  [6876] = {.lex_state = 381},
  [6877] = {.lex_state = 244},
  [6878] = {.lex_state = 244},
  [6879] = {.lex_state = 284},
  [6880] = {.lex_state = 222},
  [6881] = {.lex_state = 281},
  [6882] = {.lex_state = 234},
  [6883] = {.lex_state = 382},
  [6884] = {.lex_state = 234},
  [6885] = {.lex_state = 277},
  [6886] = {.lex_state = 382},
  [6887] = {.lex_state = 382},
  [6888] = {.lex_state = 244},
  [6889] = {.lex_state = 234},
  [6890] = {.lex_state = 281},
  [6891] = {.lex_state = 382},
  [6892] = {.lex_state = 277},
  [6893] = {.lex_state = 234},
  [6894] = {.lex_state = 234},
  [6895] = {.lex_state = 382},
  [6896] = {.lex_state = 222},
  [6897] = {.lex_state = 244},
  [6898] = {.lex_state = 244},
  [6899] = {.lex_state = 382},
  [6900] = {.lex_state = 222},
  [6901] = {.lex_state = 234},
  [6902] = {.lex_state = 284},
  [6903] = {.lex_state = 222},
  [6904] = {.lex_state = 265},
  [6905] = {.lex_state = 277},
  [6906] = {.lex_state = 244},
  [6907] = {.lex_state = 244},
  [6908] = {.lex_state = 382},
  [6909] = {.lex_state = 277},
  [6910] = {.lex_state = 381},
  [6911] = {.lex_state = 222},
  [6912] = {.lex_state = 381},
  [6913] = {.lex_state = 244},
  [6914] = {.lex_state = 265},
  [6915] = {.lex_state = 244},
  [6916] = {.lex_state = 244},
  [6917] = {.lex_state = 265},
  [6918] = {.lex_state = 244},
  [6919] = {.lex_state = 281},
  [6920] = {.lex_state = 281},
  [6921] = {.lex_state = 381},
  [6922] = {.lex_state = 244},
  [6923] = {.lex_state = 382},
  [6924] = {.lex_state = 234},
  [6925] = {.lex_state = 222},
  [6926] = {.lex_state = 382},
  [6927] = {.lex_state = 244},
  [6928] = {.lex_state = 382},
  [6929] = {.lex_state = 222},
  [6930] = {.lex_state = 265},
  [6931] = {.lex_state = 244},
  [6932] = {.lex_state = 244},
  [6933] = {.lex_state = 281},
  [6934] = {.lex_state = 244},
  [6935] = {.lex_state = 244},
  [6936] = {.lex_state = 234},
  [6937] = {.lex_state = 244},
  [6938] = {.lex_state = 244},
  [6939] = {.lex_state = 381},
  [6940] = {.lex_state = 244},
  [6941] = {.lex_state = 382},
  [6942] = {.lex_state = 244},
  [6943] = {.lex_state = 381},
  [6944] = {.lex_state = 281},
  [6945] = {.lex_state = 382},
  [6946] = {.lex_state = 382},
  [6947] = {.lex_state = 234},
  [6948] = {.lex_state = 281},
  [6949] = {.lex_state = 284},
  [6950] = {.lex_state = 381},
  [6951] = {.lex_state = 381},
  [6952] = {.lex_state = 381},
  [6953] = {.lex_state = 233},
  [6954] = {.lex_state = 281},
  [6955] = {.lex_state = 381},
  [6956] = {.lex_state = 233},
  [6957] = {.lex_state = 0},
  [6958] = {.lex_state = 233},
  [6959] = {.lex_state = 381},
  [6960] = {.lex_state = 233},
  [6961] = {.lex_state = 244},
  [6962] = {.lex_state = 381},
  [6963] = {.lex_state = 381},
  [6964] = {.lex_state = 233},
  [6965] = {.lex_state = 233},
  [6966] = {.lex_state = 233},
  [6967] = {.lex_state = 381},
  [6968] = {.lex_state = 381},
  [6969] = {.lex_state = 0},
  [6970] = {.lex_state = 226},
  [6971] = {.lex_state = 381},
  [6972] = {.lex_state = 381},
  [6973] = {.lex_state = 226},
  [6974] = {.lex_state = 381},
  [6975] = {.lex_state = 381},
  [6976] = {.lex_state = 381},
  [6977] = {.lex_state = 244},
  [6978] = {.lex_state = 381},
  [6979] = {.lex_state = 381},
  [6980] = {.lex_state = 381},
  [6981] = {.lex_state = 226},
  [6982] = {.lex_state = 0},
  [6983] = {.lex_state = 381},
  [6984] = {.lex_state = 226},
  [6985] = {.lex_state = 0},
  [6986] = {.lex_state = 381},
  [6987] = {.lex_state = 244},
  [6988] = {.lex_state = 381},
  [6989] = {.lex_state = 381},
  [6990] = {.lex_state = 381},
  [6991] = {.lex_state = 226},
  [6992] = {.lex_state = 381},
  [6993] = {.lex_state = 233},
  [6994] = {.lex_state = 381},
  [6995] = {.lex_state = 244},
  [6996] = {.lex_state = 203},
  [6997] = {.lex_state = 226},
  [6998] = {.lex_state = 381},
  [6999] = {.lex_state = 381},
  [7000] = {.lex_state = 226},
  [7001] = {.lex_state = 381},
  [7002] = {.lex_state = 381},
  [7003] = {.lex_state = 381},
  [7004] = {.lex_state = 381},
  [7005] = {.lex_state = 203},
  [7006] = {.lex_state = 381},
  [7007] = {.lex_state = 381},
  [7008] = {.lex_state = 0},
  [7009] = {.lex_state = 381},
  [7010] = {.lex_state = 0},
  [7011] = {.lex_state = 381},
  [7012] = {.lex_state = 226},
  [7013] = {.lex_state = 381},
  [7014] = {.lex_state = 226},
  [7015] = {.lex_state = 226},
  [7016] = {.lex_state = 0},
  [7017] = {.lex_state = 381},
  [7018] = {.lex_state = 381},
  [7019] = {.lex_state = 226},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 226},
  [7022] = {.lex_state = 381},
  [7023] = {.lex_state = 244},
  [7024] = {.lex_state = 381},
  [7025] = {.lex_state = 381},
  [7026] = {.lex_state = 226},
  [7027] = {.lex_state = 281},
  [7028] = {.lex_state = 381},
  [7029] = {.lex_state = 381},
  [7030] = {.lex_state = 381},
  [7031] = {.lex_state = 381},
  [7032] = {.lex_state = 281},
  [7033] = {.lex_state = 281},
  [7034] = {.lex_state = 226},
  [7035] = {.lex_state = 381},
  [7036] = {.lex_state = 381},
  [7037] = {.lex_state = 226},
  [7038] = {.lex_state = 381},
  [7039] = {.lex_state = 226},
  [7040] = {.lex_state = 381},
  [7041] = {.lex_state = 226},
  [7042] = {.lex_state = 281},
  [7043] = {.lex_state = 281},
  [7044] = {.lex_state = 381},
  [7045] = {.lex_state = 203},
  [7046] = {.lex_state = 244},
  [7047] = {.lex_state = 226},
  [7048] = {.lex_state = 281},
  [7049] = {.lex_state = 226},
  [7050] = {.lex_state = 381},
  [7051] = {.lex_state = 226},
  [7052] = {.lex_state = 381},
  [7053] = {.lex_state = 381},
  [7054] = {.lex_state = 244},
  [7055] = {.lex_state = 281},
  [7056] = {.lex_state = 244},
  [7057] = {.lex_state = 226},
  [7058] = {.lex_state = 381},
  [7059] = {.lex_state = 226},
  [7060] = {.lex_state = 381},
  [7061] = {.lex_state = 381},
  [7062] = {.lex_state = 226},
  [7063] = {.lex_state = 226},
  [7064] = {.lex_state = 381},
  [7065] = {.lex_state = 381},
  [7066] = {.lex_state = 381},
  [7067] = {.lex_state = 381},
  [7068] = {.lex_state = 0},
  [7069] = {.lex_state = 381},
  [7070] = {.lex_state = 244},
  [7071] = {.lex_state = 244},
  [7072] = {.lex_state = 244},
  [7073] = {.lex_state = 244},
  [7074] = {.lex_state = 244},
  [7075] = {.lex_state = 244},
  [7076] = {.lex_state = 244},
  [7077] = {.lex_state = 381},
  [7078] = {.lex_state = 381},
  [7079] = {.lex_state = 381},
  [7080] = {.lex_state = 244},
  [7081] = {.lex_state = 244},
  [7082] = {.lex_state = 244},
  [7083] = {.lex_state = 244},
  [7084] = {.lex_state = 381},
  [7085] = {.lex_state = 381},
  [7086] = {.lex_state = 387},
  [7087] = {.lex_state = 265},
  [7088] = {.lex_state = 234},
  [7089] = {.lex_state = 244},
  [7090] = {.lex_state = 265},
  [7091] = {.lex_state = 265},
  [7092] = {.lex_state = 244},
  [7093] = {.lex_state = 265},
  [7094] = {.lex_state = 387},
  [7095] = {.lex_state = 244},
  [7096] = {.lex_state = 265},
  [7097] = {.lex_state = 381},
  [7098] = {.lex_state = 237},
  [7099] = {.lex_state = 381},
  [7100] = {.lex_state = 381},
  [7101] = {.lex_state = 265},
  [7102] = {.lex_state = 244},
  [7103] = {.lex_state = 265},
  [7104] = {.lex_state = 244},
  [7105] = {.lex_state = 244},
  [7106] = {.lex_state = 244},
  [7107] = {.lex_state = 234},
  [7108] = {.lex_state = 265},
  [7109] = {.lex_state = 244},
  [7110] = {.lex_state = 244},
  [7111] = {.lex_state = 265},
  [7112] = {.lex_state = 244},
  [7113] = {.lex_state = 234},
  [7114] = {.lex_state = 265},
  [7115] = {.lex_state = 244},
  [7116] = {.lex_state = 381},
  [7117] = {.lex_state = 244},
  [7118] = {.lex_state = 234},
  [7119] = {.lex_state = 381},
  [7120] = {.lex_state = 234},
  [7121] = {.lex_state = 244},
  [7122] = {.lex_state = 244},
  [7123] = {.lex_state = 244},
  [7124] = {.lex_state = 244},
  [7125] = {.lex_state = 381},
  [7126] = {.lex_state = 265},
  [7127] = {.lex_state = 244},
  [7128] = {.lex_state = 244},
  [7129] = {.lex_state = 234},
  [7130] = {.lex_state = 234},
  [7131] = {.lex_state = 234},
  [7132] = {.lex_state = 244},
  [7133] = {.lex_state = 244},
  [7134] = {.lex_state = 381},
  [7135] = {.lex_state = 387},
  [7136] = {.lex_state = 244},
  [7137] = {.lex_state = 0},
  [7138] = {.lex_state = 381},
  [7139] = {.lex_state = 265},
  [7140] = {.lex_state = 244},
  [7141] = {.lex_state = 387},
  [7142] = {.lex_state = 244},
  [7143] = {.lex_state = 244},
  [7144] = {.lex_state = 381},
  [7145] = {.lex_state = 244},
  [7146] = {.lex_state = 244},
  [7147] = {.lex_state = 387},
  [7148] = {.lex_state = 244},
  [7149] = {.lex_state = 244},
  [7150] = {.lex_state = 233},
  [7151] = {.lex_state = 233},
  [7152] = {.lex_state = 233},
  [7153] = {.lex_state = 244},
  [7154] = {.lex_state = 260},
  [7155] = {.lex_state = 244},
  [7156] = {.lex_state = 233},
  [7157] = {.lex_state = 260},
  [7158] = {.lex_state = 231},
  [7159] = {.lex_state = 233},
  [7160] = {.lex_state = 381},
  [7161] = {.lex_state = 381},
  [7162] = {.lex_state = 244},
  [7163] = {.lex_state = 233},
  [7164] = {.lex_state = 244},
  [7165] = {.lex_state = 244},
  [7166] = {.lex_state = 244},
  [7167] = {.lex_state = 381},
  [7168] = {.lex_state = 260},
  [7169] = {.lex_state = 244},
  [7170] = {.lex_state = 381},
  [7171] = {.lex_state = 244},
  [7172] = {.lex_state = 244},
  [7173] = {.lex_state = 244},
  [7174] = {.lex_state = 244},
  [7175] = {.lex_state = 260},
  [7176] = {.lex_state = 244},
  [7177] = {.lex_state = 244},
  [7178] = {.lex_state = 233},
  [7179] = {.lex_state = 381},
  [7180] = {.lex_state = 244},
  [7181] = {.lex_state = 244},
  [7182] = {.lex_state = 381},
  [7183] = {.lex_state = 381},
  [7184] = {.lex_state = 244},
  [7185] = {.lex_state = 244},
  [7186] = {.lex_state = 231},
  [7187] = {.lex_state = 244},
  [7188] = {.lex_state = 226},
  [7189] = {.lex_state = 233},
  [7190] = {.lex_state = 244},
  [7191] = {.lex_state = 244},
  [7192] = {.lex_state = 244},
  [7193] = {.lex_state = 284},
  [7194] = {.lex_state = 244},
  [7195] = {.lex_state = 244},
  [7196] = {.lex_state = 244},
  [7197] = {.lex_state = 244},
  [7198] = {.lex_state = 244},
  [7199] = {.lex_state = 244},
  [7200] = {.lex_state = 244},
  [7201] = {.lex_state = 244},
  [7202] = {.lex_state = 260},
  [7203] = {.lex_state = 284},
  [7204] = {.lex_state = 244},
  [7205] = {.lex_state = 244},
  [7206] = {.lex_state = 260},
  [7207] = {.lex_state = 260},
  [7208] = {.lex_state = 381},
  [7209] = {.lex_state = 381},
  [7210] = {.lex_state = 244},
  [7211] = {.lex_state = 233},
  [7212] = {.lex_state = 260},
  [7213] = {.lex_state = 244},
  [7214] = {.lex_state = 244},
  [7215] = {.lex_state = 244},
  [7216] = {.lex_state = 231},
  [7217] = {.lex_state = 233},
  [7218] = {.lex_state = 244},
  [7219] = {.lex_state = 244},
  [7220] = {.lex_state = 244},
  [7221] = {.lex_state = 244},
  [7222] = {.lex_state = 284},
  [7223] = {.lex_state = 233},
  [7224] = {.lex_state = 244},
  [7225] = {.lex_state = 233},
  [7226] = {.lex_state = 381},
  [7227] = {.lex_state = 244},
  [7228] = {.lex_state = 284},
  [7229] = {.lex_state = 244},
  [7230] = {.lex_state = 244},
  [7231] = {.lex_state = 265},
  [7232] = {.lex_state = 381},
  [7233] = {.lex_state = 244},
  [7234] = {.lex_state = 244},
  [7235] = {.lex_state = 226},
  [7236] = {.lex_state = 265},
  [7237] = {.lex_state = 226},
  [7238] = {.lex_state = 387},
  [7239] = {.lex_state = 381},
  [7240] = {.lex_state = 206},
  [7241] = {.lex_state = 226},
  [7242] = {.lex_state = 387},
  [7243] = {.lex_state = 387},
  [7244] = {.lex_state = 226},
  [7245] = {.lex_state = 226},
  [7246] = {.lex_state = 244},
  [7247] = {.lex_state = 265},
  [7248] = {.lex_state = 226},
  [7249] = {.lex_state = 226},
  [7250] = {.lex_state = 226},
  [7251] = {.lex_state = 226},
  [7252] = {.lex_state = 226},
  [7253] = {.lex_state = 244},
  [7254] = {.lex_state = 265},
  [7255] = {.lex_state = 206},
  [7256] = {.lex_state = 381},
  [7257] = {.lex_state = 244},
  [7258] = {.lex_state = 265},
  [7259] = {.lex_state = 265},
  [7260] = {.lex_state = 265},
  [7261] = {.lex_state = 265},
  [7262] = {.lex_state = 226},
  [7263] = {.lex_state = 244},
  [7264] = {.lex_state = 226},
  [7265] = {.lex_state = 226},
  [7266] = {.lex_state = 381},
  [7267] = {.lex_state = 381},
  [7268] = {.lex_state = 381},
  [7269] = {.lex_state = 226},
  [7270] = {.lex_state = 381},
  [7271] = {.lex_state = 226},
  [7272] = {.lex_state = 244},
  [7273] = {.lex_state = 244},
  [7274] = {.lex_state = 278},
  [7275] = {.lex_state = 233},
  [7276] = {.lex_state = 244},
  [7277] = {.lex_state = 203},
  [7278] = {.lex_state = 278},
  [7279] = {.lex_state = 244},
  [7280] = {.lex_state = 237},
  [7281] = {.lex_state = 244},
  [7282] = {.lex_state = 244},
  [7283] = {.lex_state = 244},
  [7284] = {.lex_state = 278},
  [7285] = {.lex_state = 244},
  [7286] = {.lex_state = 244},
  [7287] = {.lex_state = 244},
  [7288] = {.lex_state = 244},
  [7289] = {.lex_state = 244},
  [7290] = {.lex_state = 233},
  [7291] = {.lex_state = 244},
  [7292] = {.lex_state = 244},
  [7293] = {.lex_state = 244},
  [7294] = {.lex_state = 244},
  [7295] = {.lex_state = 244},
  [7296] = {.lex_state = 233},
  [7297] = {.lex_state = 387},
  [7298] = {.lex_state = 244},
  [7299] = {.lex_state = 233},
  [7300] = {.lex_state = 244},
  [7301] = {.lex_state = 237},
  [7302] = {.lex_state = 244},
  [7303] = {.lex_state = 233},
  [7304] = {.lex_state = 244},
  [7305] = {.lex_state = 244},
  [7306] = {.lex_state = 244},
  [7307] = {.lex_state = 244},
  [7308] = {.lex_state = 244},
  [7309] = {.lex_state = 278},
  [7310] = {.lex_state = 244},
  [7311] = {.lex_state = 278},
  [7312] = {.lex_state = 233},
  [7313] = {.lex_state = 244},
  [7314] = {.lex_state = 244},
  [7315] = {.lex_state = 387},
  [7316] = {.lex_state = 244},
  [7317] = {.lex_state = 244},
  [7318] = {.lex_state = 244},
  [7319] = {.lex_state = 244},
  [7320] = {.lex_state = 244},
  [7321] = {.lex_state = 233},
  [7322] = {.lex_state = 233},
  [7323] = {.lex_state = 233},
  [7324] = {.lex_state = 387},
  [7325] = {.lex_state = 226},
  [7326] = {.lex_state = 203},
  [7327] = {.lex_state = 387},
  [7328] = {.lex_state = 233},
  [7329] = {.lex_state = 244},
  [7330] = {.lex_state = 387},
  [7331] = {.lex_state = 387},
  [7332] = {.lex_state = 387},
  [7333] = {.lex_state = 281},
  [7334] = {.lex_state = 234},
  [7335] = {.lex_state = 387},
  [7336] = {.lex_state = 233},
  [7337] = {.lex_state = 233},
  [7338] = {.lex_state = 233},
  [7339] = {.lex_state = 284},
  [7340] = {.lex_state = 387},
  [7341] = {.lex_state = 387},
  [7342] = {.lex_state = 387},
  [7343] = {.lex_state = 281},
  [7344] = {.lex_state = 387},
  [7345] = {.lex_state = 378},
  [7346] = {.lex_state = 234},
  [7347] = {.lex_state = 234},
  [7348] = {.lex_state = 387},
  [7349] = {.lex_state = 244},
  [7350] = {.lex_state = 234},
  [7351] = {.lex_state = 234},
  [7352] = {.lex_state = 387},
  [7353] = {.lex_state = 387},
  [7354] = {.lex_state = 231},
  [7355] = {.lex_state = 244},
  [7356] = {.lex_state = 244},
  [7357] = {.lex_state = 387},
  [7358] = {.lex_state = 387},
  [7359] = {.lex_state = 387},
  [7360] = {.lex_state = 387},
  [7361] = {.lex_state = 244},
  [7362] = {.lex_state = 244},
  [7363] = {.lex_state = 387},
  [7364] = {.lex_state = 387},
  [7365] = {.lex_state = 226},
  [7366] = {.lex_state = 231},
  [7367] = {.lex_state = 244},
  [7368] = {.lex_state = 244},
  [7369] = {.lex_state = 244},
  [7370] = {.lex_state = 203},
  [7371] = {.lex_state = 387},
  [7372] = {.lex_state = 244},
  [7373] = {.lex_state = 244},
  [7374] = {.lex_state = 387},
  [7375] = {.lex_state = 387},
  [7376] = {.lex_state = 234},
  [7377] = {.lex_state = 387},
  [7378] = {.lex_state = 387},
  [7379] = {.lex_state = 234},
  [7380] = {.lex_state = 387},
  [7381] = {.lex_state = 387},
  [7382] = {.lex_state = 233},
  [7383] = {.lex_state = 387},
  [7384] = {.lex_state = 387},
  [7385] = {.lex_state = 281},
  [7386] = {.lex_state = 234},
  [7387] = {.lex_state = 387},
  [7388] = {.lex_state = 203},
  [7389] = {.lex_state = 387},
  [7390] = {.lex_state = 387},
  [7391] = {.lex_state = 244},
  [7392] = {.lex_state = 203},
  [7393] = {.lex_state = 244},
  [7394] = {.lex_state = 203},
  [7395] = {.lex_state = 203},
  [7396] = {.lex_state = 387},
  [7397] = {.lex_state = 237},
  [7398] = {.lex_state = 244},
  [7399] = {.lex_state = 387},
  [7400] = {.lex_state = 281},
  [7401] = {.lex_state = 203},
  [7402] = {.lex_state = 244},
  [7403] = {.lex_state = 387},
  [7404] = {.lex_state = 203},
  [7405] = {.lex_state = 203},
  [7406] = {.lex_state = 237},
  [7407] = {.lex_state = 244},
  [7408] = {.lex_state = 233},
  [7409] = {.lex_state = 244},
  [7410] = {.lex_state = 203},
  [7411] = {.lex_state = 387},
  [7412] = {.lex_state = 203},
  [7413] = {.lex_state = 233},
  [7414] = {.lex_state = 387},
  [7415] = {.lex_state = 387},
  [7416] = {.lex_state = 244},
  [7417] = {.lex_state = 203},
  [7418] = {.lex_state = 231},
  [7419] = {.lex_state = 203},
  [7420] = {.lex_state = 203},
  [7421] = {.lex_state = 203},
  [7422] = {.lex_state = 203},
  [7423] = {.lex_state = 244},
  [7424] = {.lex_state = 203},
  [7425] = {.lex_state = 203},
  [7426] = {.lex_state = 387},
  [7427] = {.lex_state = 203},
  [7428] = {.lex_state = 387},
  [7429] = {.lex_state = 203},
  [7430] = {.lex_state = 203},
  [7431] = {.lex_state = 203},
  [7432] = {.lex_state = 244},
  [7433] = {.lex_state = 237},
  [7434] = {.lex_state = 233},
  [7435] = {.lex_state = 203},
  [7436] = {.lex_state = 387},
  [7437] = {.lex_state = 233},
  [7438] = {.lex_state = 203},
  [7439] = {.lex_state = 203},
  [7440] = {.lex_state = 244},
  [7441] = {.lex_state = 281},
  [7442] = {.lex_state = 244},
  [7443] = {.lex_state = 281},
  [7444] = {.lex_state = 244},
  [7445] = {.lex_state = 281},
  [7446] = {.lex_state = 244},
  [7447] = {.lex_state = 226},
  [7448] = {.lex_state = 226},
  [7449] = {.lex_state = 244},
  [7450] = {.lex_state = 226},
  [7451] = {.lex_state = 281},
  [7452] = {.lex_state = 226},
  [7453] = {.lex_state = 387},
  [7454] = {.lex_state = 244},
  [7455] = {.lex_state = 281},
  [7456] = {.lex_state = 244},
  [7457] = {.lex_state = 281},
  [7458] = {.lex_state = 231},
  [7459] = {.lex_state = 244},
  [7460] = {.lex_state = 281},
  [7461] = {.lex_state = 244},
  [7462] = {.lex_state = 244},
  [7463] = {.lex_state = 244},
  [7464] = {.lex_state = 244},
  [7465] = {.lex_state = 226},
  [7466] = {.lex_state = 281},
  [7467] = {.lex_state = 203},
  [7468] = {.lex_state = 244},
  [7469] = {.lex_state = 226},
  [7470] = {.lex_state = 226},
  [7471] = {.lex_state = 281},
  [7472] = {.lex_state = 387},
  [7473] = {.lex_state = 387},
  [7474] = {.lex_state = 244},
  [7475] = {.lex_state = 226},
  [7476] = {.lex_state = 281},
  [7477] = {.lex_state = 0},
  [7478] = {.lex_state = 387},
  [7479] = {.lex_state = 244},
  [7480] = {.lex_state = 244},
  [7481] = {.lex_state = 281},
  [7482] = {.lex_state = 281},
  [7483] = {.lex_state = 226},
  [7484] = {.lex_state = 233},
  [7485] = {.lex_state = 281},
  [7486] = {.lex_state = 226},
  [7487] = {.lex_state = 244},
  [7488] = {.lex_state = 284},
  [7489] = {.lex_state = 244},
  [7490] = {.lex_state = 226},
  [7491] = {.lex_state = 387},
  [7492] = {.lex_state = 244},
  [7493] = {.lex_state = 244},
  [7494] = {.lex_state = 281},
  [7495] = {.lex_state = 281},
  [7496] = {.lex_state = 0},
  [7497] = {.lex_state = 244},
  [7498] = {.lex_state = 244},
  [7499] = {.lex_state = 281},
  [7500] = {.lex_state = 244},
  [7501] = {.lex_state = 244},
  [7502] = {.lex_state = 203},
  [7503] = {.lex_state = 281},
  [7504] = {.lex_state = 281},
  [7505] = {.lex_state = 206},
  [7506] = {.lex_state = 244},
  [7507] = {.lex_state = 203},
  [7508] = {.lex_state = 244},
  [7509] = {.lex_state = 203},
  [7510] = {.lex_state = 387},
  [7511] = {.lex_state = 387},
  [7512] = {.lex_state = 244},
  [7513] = {.lex_state = 387},
  [7514] = {.lex_state = 244},
  [7515] = {.lex_state = 244},
  [7516] = {.lex_state = 244},
  [7517] = {.lex_state = 387},
  [7518] = {.lex_state = 203},
  [7519] = {.lex_state = 244},
  [7520] = {.lex_state = 203},
  [7521] = {.lex_state = 244},
  [7522] = {.lex_state = 244},
  [7523] = {.lex_state = 244},
  [7524] = {.lex_state = 244},
  [7525] = {.lex_state = 244},
  [7526] = {.lex_state = 244},
  [7527] = {.lex_state = 244},
  [7528] = {.lex_state = 244},
  [7529] = {.lex_state = 244},
  [7530] = {.lex_state = 387},
  [7531] = {.lex_state = 244},
  [7532] = {.lex_state = 244},
  [7533] = {.lex_state = 244},
  [7534] = {.lex_state = 244},
  [7535] = {.lex_state = 244},
  [7536] = {.lex_state = 244},
  [7537] = {.lex_state = 206},
  [7538] = {.lex_state = 206},
  [7539] = {.lex_state = 244},
  [7540] = {.lex_state = 244},
  [7541] = {.lex_state = 203},
  [7542] = {.lex_state = 244},
  [7543] = {.lex_state = 206},
  [7544] = {.lex_state = 244},
  [7545] = {.lex_state = 244},
  [7546] = {.lex_state = 265},
  [7547] = {.lex_state = 387},
  [7548] = {.lex_state = 244},
  [7549] = {.lex_state = 244},
  [7550] = {.lex_state = 244},
  [7551] = {.lex_state = 244},
  [7552] = {.lex_state = 244},
  [7553] = {.lex_state = 244},
  [7554] = {.lex_state = 203},
  [7555] = {.lex_state = 244},
  [7556] = {.lex_state = 244},
  [7557] = {.lex_state = 244},
  [7558] = {.lex_state = 244},
  [7559] = {.lex_state = 244},
  [7560] = {.lex_state = 265},
  [7561] = {.lex_state = 244},
  [7562] = {.lex_state = 206},
  [7563] = {.lex_state = 244},
  [7564] = {.lex_state = 281},
  [7565] = {.lex_state = 244},
  [7566] = {.lex_state = 206},
  [7567] = {.lex_state = 244},
  [7568] = {.lex_state = 244},
  [7569] = {.lex_state = 206},
  [7570] = {.lex_state = 244},
  [7571] = {.lex_state = 244},
  [7572] = {.lex_state = 206},
  [7573] = {.lex_state = 244},
  [7574] = {.lex_state = 244},
  [7575] = {.lex_state = 244},
  [7576] = {.lex_state = 244},
  [7577] = {.lex_state = 203},
  [7578] = {.lex_state = 116},
  [7579] = {.lex_state = 244},
  [7580] = {.lex_state = 387},
  [7581] = {.lex_state = 206},
  [7582] = {.lex_state = 206},
  [7583] = {.lex_state = 387},
  [7584] = {.lex_state = 0},
  [7585] = {.lex_state = 116},
  [7586] = {.lex_state = 387},
  [7587] = {.lex_state = 116},
  [7588] = {.lex_state = 116},
  [7589] = {.lex_state = 116},
  [7590] = {.lex_state = 206},
  [7591] = {.lex_state = 203},
  [7592] = {.lex_state = 0},
  [7593] = {.lex_state = 116},
  [7594] = {.lex_state = 203},
  [7595] = {.lex_state = 203},
  [7596] = {.lex_state = 203},
  [7597] = {.lex_state = 116},
  [7598] = {.lex_state = 387},
  [7599] = {.lex_state = 206},
  [7600] = {.lex_state = 281},
  [7601] = {.lex_state = 387},
  [7602] = {.lex_state = 0},
  [7603] = {.lex_state = 281},
  [7604] = {.lex_state = 203},
  [7605] = {.lex_state = 116},
  [7606] = {.lex_state = 244},
  [7607] = {.lex_state = 387},
  [7608] = {.lex_state = 244},
  [7609] = {.lex_state = 116},
  [7610] = {.lex_state = 387},
  [7611] = {.lex_state = 244},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 244},
  [7614] = {.lex_state = 116},
  [7615] = {.lex_state = 387},
  [7616] = {.lex_state = 116},
  [7617] = {.lex_state = 118},
  [7618] = {.lex_state = 0},
  [7619] = {.lex_state = 0},
  [7620] = {.lex_state = 116},
  [7621] = {.lex_state = 244},
  [7622] = {.lex_state = 281},
  [7623] = {.lex_state = 0},
  [7624] = {.lex_state = 116},
  [7625] = {.lex_state = 244},
  [7626] = {.lex_state = 116},
  [7627] = {.lex_state = 206},
  [7628] = {.lex_state = 244},
  [7629] = {.lex_state = 244},
  [7630] = {.lex_state = 244},
  [7631] = {.lex_state = 119},
  [7632] = {.lex_state = 203},
  [7633] = {.lex_state = 387},
  [7634] = {.lex_state = 206},
  [7635] = {.lex_state = 116},
  [7636] = {.lex_state = 206},
  [7637] = {.lex_state = 281},
  [7638] = {.lex_state = 387},
  [7639] = {.lex_state = 206},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 387},
  [7642] = {.lex_state = 244},
  [7643] = {.lex_state = 116},
  [7644] = {.lex_state = 116},
  [7645] = {.lex_state = 244},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 387},
  [7648] = {.lex_state = 116},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 244},
  [7651] = {.lex_state = 206},
  [7652] = {.lex_state = 206},
  [7653] = {.lex_state = 118},
  [7654] = {.lex_state = 116},
  [7655] = {.lex_state = 116},
  [7656] = {.lex_state = 118},
  [7657] = {.lex_state = 203},
  [7658] = {.lex_state = 116},
  [7659] = {.lex_state = 0},
  [7660] = {.lex_state = 203},
  [7661] = {.lex_state = 0},
  [7662] = {.lex_state = 116},
  [7663] = {.lex_state = 387},
  [7664] = {.lex_state = 203},
  [7665] = {.lex_state = 203},
  [7666] = {.lex_state = 244},
  [7667] = {.lex_state = 387},
  [7668] = {.lex_state = 0},
  [7669] = {.lex_state = 203},
  [7670] = {.lex_state = 387},
  [7671] = {.lex_state = 387},
  [7672] = {.lex_state = 244},
  [7673] = {.lex_state = 206},
  [7674] = {.lex_state = 244},
  [7675] = {.lex_state = 244},
  [7676] = {.lex_state = 244},
  [7677] = {.lex_state = 281},
  [7678] = {.lex_state = 387},
  [7679] = {.lex_state = 118},
  [7680] = {.lex_state = 116},
  [7681] = {.lex_state = 118},
  [7682] = {.lex_state = 387},
  [7683] = {.lex_state = 116},
  [7684] = {.lex_state = 119},
  [7685] = {.lex_state = 206},
  [7686] = {.lex_state = 203},
  [7687] = {.lex_state = 387},
  [7688] = {.lex_state = 206},
  [7689] = {.lex_state = 206},
  [7690] = {.lex_state = 116},
  [7691] = {.lex_state = 203},
  [7692] = {.lex_state = 206},
  [7693] = {.lex_state = 206},
  [7694] = {.lex_state = 244},
  [7695] = {.lex_state = 116},
  [7696] = {.lex_state = 387},
  [7697] = {.lex_state = 387},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 116},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 387},
  [7702] = {.lex_state = 206},
  [7703] = {.lex_state = 206},
  [7704] = {.lex_state = 244},
  [7705] = {.lex_state = 387},
  [7706] = {.lex_state = 203},
  [7707] = {.lex_state = 203},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 116},
  [7710] = {.lex_state = 118},
  [7711] = {.lex_state = 206},
  [7712] = {.lex_state = 387},
  [7713] = {.lex_state = 387},
  [7714] = {.lex_state = 387},
  [7715] = {.lex_state = 387},
  [7716] = {.lex_state = 206},
  [7717] = {.lex_state = 387},
  [7718] = {.lex_state = 203},
  [7719] = {.lex_state = 244},
  [7720] = {.lex_state = 244},
  [7721] = {.lex_state = 203},
  [7722] = {.lex_state = 387},
  [7723] = {.lex_state = 116},
  [7724] = {.lex_state = 206},
  [7725] = {.lex_state = 244},
  [7726] = {.lex_state = 244},
  [7727] = {.lex_state = 116},
  [7728] = {.lex_state = 387},
  [7729] = {.lex_state = 387},
  [7730] = {.lex_state = 116},
  [7731] = {.lex_state = 118},
  [7732] = {.lex_state = 118},
  [7733] = {.lex_state = 244},
  [7734] = {.lex_state = 206},
  [7735] = {.lex_state = 119},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 203},
  [7738] = {.lex_state = 244},
  [7739] = {.lex_state = 244},
  [7740] = {.lex_state = 203},
  [7741] = {.lex_state = 281},
  [7742] = {.lex_state = 281},
  [7743] = {.lex_state = 244},
  [7744] = {.lex_state = 244},
  [7745] = {.lex_state = 206},
  [7746] = {.lex_state = 206},
  [7747] = {.lex_state = 244},
  [7748] = {.lex_state = 206},
  [7749] = {.lex_state = 203},
  [7750] = {.lex_state = 116},
  [7751] = {.lex_state = 203},
  [7752] = {.lex_state = 244},
  [7753] = {.lex_state = 244},
  [7754] = {.lex_state = 387},
  [7755] = {.lex_state = 118},
  [7756] = {.lex_state = 119},
  [7757] = {.lex_state = 387},
  [7758] = {.lex_state = 119},
  [7759] = {.lex_state = 0},
  [7760] = {.lex_state = 119},
  [7761] = {.lex_state = 118},
  [7762] = {.lex_state = 116},
  [7763] = {.lex_state = 206},
  [7764] = {.lex_state = 206},
  [7765] = {.lex_state = 206},
  [7766] = {.lex_state = 387},
  [7767] = {.lex_state = 203},
  [7768] = {.lex_state = 387},
  [7769] = {.lex_state = 116},
  [7770] = {.lex_state = 387},
  [7771] = {.lex_state = 244},
  [7772] = {.lex_state = 281},
  [7773] = {.lex_state = 281},
  [7774] = {.lex_state = 244},
  [7775] = {.lex_state = 387},
  [7776] = {.lex_state = 203},
  [7777] = {.lex_state = 281},
  [7778] = {.lex_state = 119},
  [7779] = {.lex_state = 387},
  [7780] = {.lex_state = 387},
  [7781] = {.lex_state = 206},
  [7782] = {.lex_state = 116},
  [7783] = {.lex_state = 244},
  [7784] = {.lex_state = 244},
  [7785] = {.lex_state = 387},
  [7786] = {.lex_state = 206},
  [7787] = {.lex_state = 244},
  [7788] = {.lex_state = 244},
  [7789] = {.lex_state = 387},
  [7790] = {.lex_state = 116},
  [7791] = {.lex_state = 244},
  [7792] = {.lex_state = 118},
  [7793] = {.lex_state = 206},
  [7794] = {.lex_state = 206},
  [7795] = {.lex_state = 203},
  [7796] = {.lex_state = 387},
  [7797] = {.lex_state = 206},
  [7798] = {.lex_state = 116},
  [7799] = {.lex_state = 244},
  [7800] = {.lex_state = 387},
  [7801] = {.lex_state = 206},
  [7802] = {.lex_state = 206},
  [7803] = {.lex_state = 387},
  [7804] = {.lex_state = 119},
  [7805] = {.lex_state = 206},
  [7806] = {.lex_state = 116},
  [7807] = {.lex_state = 281},
  [7808] = {.lex_state = 244},
  [7809] = {.lex_state = 118},
  [7810] = {.lex_state = 387},
  [7811] = {.lex_state = 116},
  [7812] = {.lex_state = 244},
  [7813] = {.lex_state = 387},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 116},
  [7816] = {.lex_state = 244},
  [7817] = {.lex_state = 244},
  [7818] = {.lex_state = 206},
  [7819] = {.lex_state = 0},
  [7820] = {.lex_state = 244},
  [7821] = {.lex_state = 206},
  [7822] = {.lex_state = 244},
  [7823] = {.lex_state = 118},
  [7824] = {.lex_state = 116},
  [7825] = {.lex_state = 244},
  [7826] = {.lex_state = 203},
  [7827] = {.lex_state = 118},
  [7828] = {.lex_state = 387},
  [7829] = {.lex_state = 387},
  [7830] = {.lex_state = 387},
  [7831] = {.lex_state = 387},
  [7832] = {.lex_state = 244},
  [7833] = {.lex_state = 387},
  [7834] = {.lex_state = 203},
  [7835] = {.lex_state = 387},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 206},
  [7838] = {.lex_state = 206},
  [7839] = {.lex_state = 203},
  [7840] = {.lex_state = 203},
  [7841] = {.lex_state = 244},
  [7842] = {.lex_state = 265},
  [7843] = {.lex_state = 244},
  [7844] = {.lex_state = 203},
  [7845] = {.lex_state = 387},
  [7846] = {.lex_state = 244},
  [7847] = {.lex_state = 244},
  [7848] = {.lex_state = 116},
  [7849] = {.lex_state = 203},
  [7850] = {.lex_state = 118},
  [7851] = {.lex_state = 206},
  [7852] = {.lex_state = 206},
  [7853] = {.lex_state = 244},
  [7854] = {.lex_state = 203},
  [7855] = {.lex_state = 206},
  [7856] = {.lex_state = 119},
  [7857] = {.lex_state = 206},
  [7858] = {.lex_state = 203},
  [7859] = {.lex_state = 244},
  [7860] = {.lex_state = 206},
  [7861] = {.lex_state = 244},
  [7862] = {.lex_state = 387},
  [7863] = {.lex_state = 244},
  [7864] = {.lex_state = 244},
  [7865] = {.lex_state = 244},
  [7866] = {.lex_state = 0},
  [7867] = {.lex_state = 244},
  [7868] = {.lex_state = 387},
  [7869] = {.lex_state = 244},
  [7870] = {.lex_state = 244},
  [7871] = {.lex_state = 387},
  [7872] = {.lex_state = 244},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 203},
  [7875] = {.lex_state = 203},
  [7876] = {.lex_state = 244},
  [7877] = {.lex_state = 387},
  [7878] = {.lex_state = 116},
  [7879] = {.lex_state = 203},
  [7880] = {.lex_state = 244},
  [7881] = {.lex_state = 387},
  [7882] = {.lex_state = 206},
  [7883] = {.lex_state = 203},
  [7884] = {.lex_state = 281},
  [7885] = {.lex_state = 244},
  [7886] = {.lex_state = 206},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 0},
  [7890] = {.lex_state = 206},
  [7891] = {.lex_state = 206},
  [7892] = {.lex_state = 206},
  [7893] = {.lex_state = 0},
  [7894] = {.lex_state = 0},
  [7895] = {.lex_state = 244},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 0},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 0},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 244},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 0},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 206},
  [7914] = {.lex_state = 206},
  [7915] = {.lex_state = 206},
  [7916] = {.lex_state = 206},
  [7917] = {.lex_state = 0},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 244},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 244},
  [7926] = {.lex_state = 0},
  [7927] = {.lex_state = 387},
  [7928] = {.lex_state = 206},
  [7929] = {.lex_state = 206},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 206},
  [7932] = {.lex_state = 206},
  [7933] = {.lex_state = 0},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 206},
  [7937] = {.lex_state = 244},
  [7938] = {.lex_state = 206},
  [7939] = {.lex_state = 0},
  [7940] = {.lex_state = 0},
  [7941] = {.lex_state = 206},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 206},
  [7944] = {.lex_state = 244},
  [7945] = {.lex_state = 118},
  [7946] = {.lex_state = 206},
  [7947] = {.lex_state = 206},
  [7948] = {.lex_state = 244},
  [7949] = {.lex_state = 206},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 244},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 0},
  [7956] = {.lex_state = 206},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 387},
  [7960] = {.lex_state = 0},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 0},
  [7963] = {.lex_state = 387},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 244},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 206},
  [7968] = {.lex_state = 244},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 0},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 244},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 244},
  [7975] = {.lex_state = 244},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 244},
  [7979] = {.lex_state = 206},
  [7980] = {.lex_state = 244},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 0},
  [7983] = {.lex_state = 0},
  [7984] = {.lex_state = 206},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 206},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 0},
  [7993] = {.lex_state = 0},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 244},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 0},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 244},
  [8004] = {.lex_state = 0},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 206},
  [8007] = {.lex_state = 206},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 206},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 0},
  [8012] = {.lex_state = 0},
  [8013] = {.lex_state = 244},
  [8014] = {.lex_state = 0},
  [8015] = {.lex_state = 118},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 206},
  [8018] = {.lex_state = 206},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 206},
  [8021] = {.lex_state = 244},
  [8022] = {.lex_state = 206},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 387},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 206},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 387},
  [8032] = {.lex_state = 206},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 206},
  [8035] = {.lex_state = 206},
  [8036] = {.lex_state = 206},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 121},
  [8040] = {.lex_state = 206},
  [8041] = {.lex_state = 118},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 244},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 0},
  [8046] = {.lex_state = 0},
  [8047] = {.lex_state = 244},
  [8048] = {.lex_state = 244},
  [8049] = {.lex_state = 244},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 0},
  [8052] = {.lex_state = 0},
  [8053] = {.lex_state = 0},
  [8054] = {.lex_state = 206},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 206},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 387},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 387},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 244},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 0},
  [8067] = {.lex_state = 206},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 244},
  [8070] = {.lex_state = 206},
  [8071] = {.lex_state = 0},
  [8072] = {.lex_state = 244},
  [8073] = {.lex_state = 387},
  [8074] = {.lex_state = 121},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 206},
  [8077] = {.lex_state = 206},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 206},
  [8081] = {.lex_state = 206},
  [8082] = {.lex_state = 206},
  [8083] = {.lex_state = 206},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 244},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 244},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 0},
  [8090] = {.lex_state = 244},
  [8091] = {.lex_state = 0},
  [8092] = {.lex_state = 118},
  [8093] = {.lex_state = 387},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 387},
  [8098] = {.lex_state = 206},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 0},
  [8101] = {.lex_state = 118},
  [8102] = {.lex_state = 0},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 206},
  [8105] = {.lex_state = 206},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 387},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 244},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 244},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 244},
  [8120] = {.lex_state = 203},
  [8121] = {.lex_state = 0},
  [8122] = {.lex_state = 121},
  [8123] = {.lex_state = 387},
  [8124] = {.lex_state = 206},
  [8125] = {.lex_state = 244},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 0},
  [8128] = {.lex_state = 0},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 244},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 206},
  [8134] = {.lex_state = 0},
  [8135] = {.lex_state = 206},
  [8136] = {.lex_state = 244},
  [8137] = {.lex_state = 0},
  [8138] = {.lex_state = 244},
  [8139] = {.lex_state = 0},
  [8140] = {.lex_state = 121},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 244},
  [8143] = {.lex_state = 244},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 206},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 203},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 118},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 206},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 206},
  [8160] = {.lex_state = 118},
  [8161] = {.lex_state = 387},
  [8162] = {.lex_state = 206},
  [8163] = {.lex_state = 0},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 244},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 206},
  [8170] = {.lex_state = 206},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 0},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 121},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 387},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 206},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 244},
  [8184] = {.lex_state = 387},
  [8185] = {.lex_state = 118},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 244},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 0},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 206},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 206},
  [8196] = {.lex_state = 244},
  [8197] = {.lex_state = 244},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 118},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 0},
  [8202] = {.lex_state = 244},
  [8203] = {.lex_state = 244},
  [8204] = {.lex_state = 244},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 244},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 0},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 387},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 203},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 0},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 206},
  [8223] = {.lex_state = 387},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 387},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 244},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 189},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 0},
  [8242] = {.lex_state = 206},
  [8243] = {.lex_state = 206},
  [8244] = {.lex_state = 244},
  [8245] = {.lex_state = 387},
  [8246] = {.lex_state = 0},
  [8247] = {.lex_state = 244},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 244},
  [8251] = {.lex_state = 387},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 0},
  [8254] = {.lex_state = 0},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 0},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 206},
  [8259] = {.lex_state = 206},
  [8260] = {.lex_state = 244},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 387},
  [8265] = {.lex_state = 206},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 387},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 244},
  [8272] = {.lex_state = 0},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 0},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 206},
  [8279] = {.lex_state = 206},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 118},
  [8283] = {.lex_state = 206},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 244},
  [8288] = {.lex_state = 0},
  [8289] = {.lex_state = 118},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 244},
  [8292] = {.lex_state = 0},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 244},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 206},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 206},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 118},
  [8306] = {.lex_state = 118},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 244},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 244},
  [8312] = {.lex_state = 206},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 0},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 206},
  [8318] = {.lex_state = 0},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 244},
  [8322] = {.lex_state = 206},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 206},
  [8325] = {.lex_state = 244},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 206},
  [8329] = {.lex_state = 206},
  [8330] = {.lex_state = 244},
  [8331] = {.lex_state = 118},
  [8332] = {.lex_state = 206},
  [8333] = {.lex_state = 0},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 265},
  [8336] = {.lex_state = 244},
  [8337] = {.lex_state = 0},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 244},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 120},
  [8342] = {.lex_state = 0},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 0},
  [8345] = {.lex_state = 120},
  [8346] = {.lex_state = 387},
  [8347] = {.lex_state = 387},
  [8348] = {.lex_state = 387},
  [8349] = {.lex_state = 387, .external_lex_state = 2},
  [8350] = {.lex_state = 387, .external_lex_state = 2},
  [8351] = {.lex_state = 387, .external_lex_state = 2},
  [8352] = {.lex_state = 387, .external_lex_state = 2},
  [8353] = {.lex_state = 387, .external_lex_state = 2},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 387, .external_lex_state = 2},
  [8356] = {.lex_state = 387, .external_lex_state = 2},
  [8357] = {.lex_state = 387, .external_lex_state = 2},
  [8358] = {.lex_state = 387, .external_lex_state = 2},
  [8359] = {.lex_state = 387, .external_lex_state = 2},
  [8360] = {.lex_state = 387, .external_lex_state = 2},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 0},
  [8363] = {.lex_state = 387, .external_lex_state = 2},
  [8364] = {.lex_state = 244},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 387, .external_lex_state = 2},
  [8367] = {.lex_state = 387},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 387},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 387},
  [8372] = {.lex_state = 387, .external_lex_state = 2},
  [8373] = {.lex_state = 387, .external_lex_state = 2},
  [8374] = {.lex_state = 0},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 387, .external_lex_state = 2},
  [8378] = {.lex_state = 387},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 387},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 244},
  [8384] = {.lex_state = 387},
  [8385] = {.lex_state = 244},
  [8386] = {.lex_state = 387, .external_lex_state = 2},
  [8387] = {.lex_state = 387},
  [8388] = {.lex_state = 387},
  [8389] = {.lex_state = 387},
  [8390] = {.lex_state = 387},
  [8391] = {.lex_state = 244},
  [8392] = {.lex_state = 387},
  [8393] = {.lex_state = 0},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 0},
  [8396] = {.lex_state = 244},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 244},
  [8399] = {.lex_state = 387, .external_lex_state = 2},
  [8400] = {.lex_state = 244},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 244},
  [8405] = {.lex_state = 244},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 0},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 387},
  [8414] = {.lex_state = 0},
  [8415] = {.lex_state = 0},
  [8416] = {.lex_state = 244},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 387},
  [8419] = {.lex_state = 0},
  [8420] = {.lex_state = 244},
  [8421] = {.lex_state = 387, .external_lex_state = 2},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 120},
  [8424] = {.lex_state = 0},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 387},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 0},
  [8429] = {.lex_state = 120},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 387},
  [8433] = {.lex_state = 0},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 387},
  [8439] = {.lex_state = 387},
  [8440] = {.lex_state = 120},
  [8441] = {.lex_state = 387},
  [8442] = {.lex_state = 387},
  [8443] = {.lex_state = 0},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 244},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 387},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 0},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 0},
  [8452] = {.lex_state = 0},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 0},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 120},
  [8458] = {.lex_state = 0},
  [8459] = {.lex_state = 387},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 387},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 244},
  [8467] = {.lex_state = 244},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 387},
  [8473] = {.lex_state = 387},
  [8474] = {.lex_state = 0},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 0},
  [8478] = {.lex_state = 0},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 387},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 244},
  [8486] = {.lex_state = 244},
  [8487] = {.lex_state = 387},
  [8488] = {.lex_state = 120},
  [8489] = {.lex_state = 0},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 387},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 244},
  [8495] = {.lex_state = 120},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 387},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 244},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 244},
  [8505] = {.lex_state = 244},
  [8506] = {.lex_state = 0},
  [8507] = {.lex_state = 0},
  [8508] = {.lex_state = 244},
  [8509] = {.lex_state = 120},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 244},
  [8512] = {.lex_state = 244},
  [8513] = {.lex_state = 244},
  [8514] = {.lex_state = 387},
  [8515] = {.lex_state = 120},
  [8516] = {.lex_state = 387},
  [8517] = {.lex_state = 387},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 387},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 387},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 0},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 387},
  [8527] = {.lex_state = 387},
  [8528] = {.lex_state = 0},
  [8529] = {.lex_state = 0},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 387},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 244},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 387},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 0},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 244},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 0},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 387},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 387},
  [8550] = {.lex_state = 120},
  [8551] = {.lex_state = 0},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 387},
  [8555] = {.lex_state = 0},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 244},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 387},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 244},
  [8563] = {.lex_state = 244},
  [8564] = {.lex_state = 387},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 244},
  [8567] = {.lex_state = 120},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 387},
  [8570] = {.lex_state = 244},
  [8571] = {.lex_state = 387},
  [8572] = {.lex_state = 120},
  [8573] = {.lex_state = 387},
  [8574] = {.lex_state = 387},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 244},
  [8577] = {.lex_state = 244},
  [8578] = {.lex_state = 387},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 244},
  [8581] = {.lex_state = 0},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 0},
  [8585] = {.lex_state = 387},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 387},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 387},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 0},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 244},
  [8597] = {.lex_state = 120},
  [8598] = {.lex_state = 387},
  [8599] = {.lex_state = 0},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 387},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 387},
  [8611] = {.lex_state = 120},
  [8612] = {.lex_state = 387},
  [8613] = {.lex_state = 244},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 244},
  [8617] = {.lex_state = 387},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 387},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 387},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 387},
  [8624] = {.lex_state = 0},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 387},
  [8628] = {.lex_state = 387},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 244},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 120},
  [8635] = {.lex_state = 244},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 120},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 387},
  [8641] = {.lex_state = 387},
  [8642] = {.lex_state = 0},
  [8643] = {.lex_state = 387},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 387},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 387},
  [8649] = {.lex_state = 244},
  [8650] = {.lex_state = 0},
  [8651] = {.lex_state = 0},
  [8652] = {.lex_state = 387},
  [8653] = {.lex_state = 0},
  [8654] = {.lex_state = 244},
  [8655] = {.lex_state = 120},
  [8656] = {.lex_state = 0},
  [8657] = {.lex_state = 0},
  [8658] = {.lex_state = 0},
  [8659] = {.lex_state = 244},
  [8660] = {.lex_state = 387},
  [8661] = {.lex_state = 0},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 0},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 0},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 387},
  [8670] = {.lex_state = 387},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 244},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 244},
  [8677] = {.lex_state = 387},
  [8678] = {.lex_state = 0},
  [8679] = {.lex_state = 387},
  [8680] = {.lex_state = 0},
  [8681] = {.lex_state = 0},
  [8682] = {.lex_state = 0},
  [8683] = {.lex_state = 387},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 120},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 387},
  [8689] = {.lex_state = 0},
  [8690] = {.lex_state = 0},
  [8691] = {.lex_state = 244},
  [8692] = {.lex_state = 387},
  [8693] = {.lex_state = 387},
  [8694] = {.lex_state = 244},
  [8695] = {.lex_state = 0},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 387},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 387},
  [8700] = {.lex_state = 387},
  [8701] = {.lex_state = 120},
  [8702] = {.lex_state = 0},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 0},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 0},
  [8707] = {.lex_state = 387},
  [8708] = {.lex_state = 0},
  [8709] = {.lex_state = 387},
  [8710] = {.lex_state = 244},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 244},
  [8713] = {.lex_state = 0},
  [8714] = {.lex_state = 0},
  [8715] = {.lex_state = 387},
  [8716] = {.lex_state = 244},
  [8717] = {.lex_state = 0},
  [8718] = {.lex_state = 0},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 0},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 387},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 244},
  [8725] = {.lex_state = 387},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 0},
  [8728] = {.lex_state = 0},
  [8729] = {.lex_state = 120},
  [8730] = {.lex_state = 0},
  [8731] = {.lex_state = 387},
  [8732] = {.lex_state = 387},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 0},
  [8735] = {.lex_state = 0},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 0},
  [8738] = {.lex_state = 200},
  [8739] = {.lex_state = 244},
  [8740] = {.lex_state = 0},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 0},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 244},
  [8750] = {.lex_state = 0},
  [8751] = {.lex_state = 0},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 244},
  [8756] = {.lex_state = 121},
  [8757] = {.lex_state = 0},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 0, .external_lex_state = 2},
  [8760] = {.lex_state = 200},
  [8761] = {.lex_state = 0, .external_lex_state = 2},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 387},
  [8764] = {.lex_state = 0},
  [8765] = {.lex_state = 0},
  [8766] = {.lex_state = 244},
  [8767] = {.lex_state = 0},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 0},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0},
  [8772] = {.lex_state = 0},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 244},
  [8775] = {.lex_state = 0},
  [8776] = {.lex_state = 121},
  [8777] = {.lex_state = 0},
  [8778] = {.lex_state = 0},
  [8779] = {.lex_state = 206},
  [8780] = {.lex_state = 244},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 387},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 244},
  [8787] = {.lex_state = 244},
  [8788] = {.lex_state = 0},
  [8789] = {.lex_state = 244},
  [8790] = {.lex_state = 0},
  [8791] = {.lex_state = 0},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 387},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 200},
  [8796] = {.lex_state = 244},
  [8797] = {.lex_state = 0},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 244},
  [8800] = {.lex_state = 244},
  [8801] = {.lex_state = 0},
  [8802] = {.lex_state = 200},
  [8803] = {.lex_state = 0},
  [8804] = {.lex_state = 387},
  [8805] = {.lex_state = 121},
  [8806] = {.lex_state = 0},
  [8807] = {.lex_state = 0},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 200},
  [8811] = {.lex_state = 200},
  [8812] = {.lex_state = 0},
  [8813] = {.lex_state = 0},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 387},
  [8816] = {.lex_state = 0},
  [8817] = {.lex_state = 121},
  [8818] = {.lex_state = 0},
  [8819] = {.lex_state = 244},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 200},
  [8822] = {.lex_state = 200},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 387},
  [8825] = {.lex_state = 0},
  [8826] = {.lex_state = 206},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 200},
  [8829] = {.lex_state = 244},
  [8830] = {.lex_state = 244},
  [8831] = {.lex_state = 0},
  [8832] = {.lex_state = 0},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 0},
  [8835] = {.lex_state = 244},
  [8836] = {.lex_state = 0},
  [8837] = {.lex_state = 244},
  [8838] = {.lex_state = 244},
  [8839] = {.lex_state = 200},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0, .external_lex_state = 3},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 244},
  [8844] = {.lex_state = 387},
  [8845] = {.lex_state = 206},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 206},
  [8848] = {.lex_state = 0},
  [8849] = {.lex_state = 0},
  [8850] = {.lex_state = 121},
  [8851] = {.lex_state = 244},
  [8852] = {.lex_state = 206},
  [8853] = {.lex_state = 244},
  [8854] = {.lex_state = 0},
  [8855] = {.lex_state = 244},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 244},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 387},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 0},
  [8862] = {.lex_state = 0, .external_lex_state = 2},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 121},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 0},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 0},
  [8870] = {.lex_state = 0},
  [8871] = {.lex_state = 244},
  [8872] = {.lex_state = 244},
  [8873] = {.lex_state = 206},
  [8874] = {.lex_state = 0},
  [8875] = {.lex_state = 0},
  [8876] = {.lex_state = 0},
  [8877] = {.lex_state = 0},
  [8878] = {.lex_state = 0},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 387},
  [8881] = {.lex_state = 244},
  [8882] = {.lex_state = 0},
  [8883] = {.lex_state = 0},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 0},
  [8886] = {.lex_state = 0},
  [8887] = {.lex_state = 244},
  [8888] = {.lex_state = 387},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 200},
  [8894] = {.lex_state = 0},
  [8895] = {.lex_state = 0},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 0},
  [8898] = {.lex_state = 0},
  [8899] = {.lex_state = 0},
  [8900] = {.lex_state = 0},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 206},
  [8903] = {.lex_state = 244},
  [8904] = {.lex_state = 121},
  [8905] = {.lex_state = 0},
  [8906] = {.lex_state = 387},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 0},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 121},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 0},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 0},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 244},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 200},
  [8922] = {.lex_state = 200},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 200},
  [8925] = {.lex_state = 121},
  [8926] = {.lex_state = 200},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 206},
  [8929] = {.lex_state = 244},
  [8930] = {.lex_state = 244},
  [8931] = {.lex_state = 0},
  [8932] = {.lex_state = 0},
  [8933] = {.lex_state = 244},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 0},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 0},
  [8938] = {.lex_state = 0, .external_lex_state = 2},
  [8939] = {.lex_state = 0},
  [8940] = {.lex_state = 244},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 244},
  [8944] = {.lex_state = 121},
  [8945] = {.lex_state = 244},
  [8946] = {.lex_state = 0},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 0},
  [8949] = {.lex_state = 244},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 387},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 0},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 0},
  [8957] = {.lex_state = 0},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 0},
  [8960] = {.lex_state = 200},
  [8961] = {.lex_state = 0},
  [8962] = {.lex_state = 121},
  [8963] = {.lex_state = 0},
  [8964] = {.lex_state = 387},
  [8965] = {.lex_state = 387},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0},
  [8968] = {.lex_state = 0},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 0},
  [8971] = {.lex_state = 0},
  [8972] = {.lex_state = 244},
  [8973] = {.lex_state = 244},
  [8974] = {.lex_state = 200},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 0},
  [8977] = {.lex_state = 0},
  [8978] = {.lex_state = 0},
  [8979] = {.lex_state = 206},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 121},
  [8982] = {.lex_state = 387},
  [8983] = {.lex_state = 0},
  [8984] = {.lex_state = 200},
  [8985] = {.lex_state = 244},
  [8986] = {.lex_state = 0},
  [8987] = {.lex_state = 244},
  [8988] = {.lex_state = 244},
  [8989] = {.lex_state = 0},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 387},
  [8992] = {.lex_state = 0, .external_lex_state = 2},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 244},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 0},
  [8998] = {.lex_state = 0},
  [8999] = {.lex_state = 244},
  [9000] = {.lex_state = 244},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 0},
  [9003] = {.lex_state = 0},
  [9004] = {.lex_state = 0},
  [9005] = {.lex_state = 0},
  [9006] = {.lex_state = 0},
  [9007] = {.lex_state = 121},
  [9008] = {.lex_state = 0},
  [9009] = {.lex_state = 121},
  [9010] = {.lex_state = 387},
  [9011] = {.lex_state = 0},
  [9012] = {.lex_state = 0},
  [9013] = {.lex_state = 0},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 0},
  [9016] = {.lex_state = 244},
  [9017] = {.lex_state = 206},
  [9018] = {.lex_state = 0},
  [9019] = {.lex_state = 121},
  [9020] = {.lex_state = 0},
  [9021] = {.lex_state = 0},
  [9022] = {.lex_state = 0},
  [9023] = {.lex_state = 244},
  [9024] = {.lex_state = 0},
  [9025] = {.lex_state = 244},
  [9026] = {.lex_state = 244},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 200},
  [9029] = {.lex_state = 200},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 244},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 0},
  [9035] = {.lex_state = 0},
  [9036] = {.lex_state = 0, .external_lex_state = 2},
  [9037] = {.lex_state = 0},
  [9038] = {.lex_state = 244},
  [9039] = {.lex_state = 121},
  [9040] = {.lex_state = 0},
  [9041] = {.lex_state = 0},
  [9042] = {.lex_state = 0},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 200},
  [9045] = {.lex_state = 0},
  [9046] = {.lex_state = 0},
  [9047] = {.lex_state = 0},
  [9048] = {.lex_state = 0},
  [9049] = {.lex_state = 0},
  [9050] = {.lex_state = 0},
  [9051] = {.lex_state = 200},
  [9052] = {.lex_state = 0},
  [9053] = {.lex_state = 244},
  [9054] = {.lex_state = 387},
  [9055] = {.lex_state = 200},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 0},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 200},
  [9060] = {.lex_state = 244},
  [9061] = {.lex_state = 244},
  [9062] = {.lex_state = 200},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 200},
  [9065] = {.lex_state = 121},
  [9066] = {.lex_state = 0},
  [9067] = {.lex_state = 244},
  [9068] = {.lex_state = 0},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 0},
  [9074] = {.lex_state = 244},
  [9075] = {.lex_state = 244},
  [9076] = {.lex_state = 0},
  [9077] = {.lex_state = 0},
  [9078] = {.lex_state = 0},
  [9079] = {.lex_state = 0, .external_lex_state = 2},
  [9080] = {.lex_state = 0},
  [9081] = {.lex_state = 244},
  [9082] = {.lex_state = 200},
  [9083] = {.lex_state = 0},
  [9084] = {.lex_state = 0},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 0},
  [9088] = {.lex_state = 0},
  [9089] = {.lex_state = 0},
  [9090] = {.lex_state = 0},
  [9091] = {.lex_state = 206},
  [9092] = {.lex_state = 0},
  [9093] = {.lex_state = 244},
  [9094] = {.lex_state = 200},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 387},
  [9097] = {.lex_state = 0},
  [9098] = {.lex_state = 200},
  [9099] = {.lex_state = 200},
  [9100] = {.lex_state = 121},
  [9101] = {.lex_state = 244},
  [9102] = {.lex_state = 206},
  [9103] = {.lex_state = 206},
  [9104] = {.lex_state = 121},
  [9105] = {.lex_state = 0},
  [9106] = {.lex_state = 244},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 0},
  [9109] = {.lex_state = 0},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 0},
  [9113] = {.lex_state = 0},
  [9114] = {.lex_state = 0},
  [9115] = {.lex_state = 0},
  [9116] = {.lex_state = 0, .external_lex_state = 2},
  [9117] = {.lex_state = 0},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 0},
  [9120] = {.lex_state = 0},
  [9121] = {.lex_state = 0},
  [9122] = {.lex_state = 387},
  [9123] = {.lex_state = 206},
  [9124] = {.lex_state = 200},
  [9125] = {.lex_state = 0},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 0},
  [9129] = {.lex_state = 0, .external_lex_state = 2},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 200},
  [9132] = {.lex_state = 0},
  [9133] = {.lex_state = 387},
  [9134] = {.lex_state = 387},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 200},
  [9137] = {.lex_state = 0},
  [9138] = {.lex_state = 200},
  [9139] = {.lex_state = 0, .external_lex_state = 2},
  [9140] = {.lex_state = 0},
  [9141] = {.lex_state = 0},
  [9142] = {.lex_state = 121},
  [9143] = {.lex_state = 387},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 0, .external_lex_state = 2},
  [9146] = {.lex_state = 387},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 0, .external_lex_state = 2},
  [9149] = {.lex_state = 0},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 0, .external_lex_state = 2},
  [9152] = {.lex_state = 0},
  [9153] = {.lex_state = 0, .external_lex_state = 2},
  [9154] = {.lex_state = 0},
  [9155] = {.lex_state = 0, .external_lex_state = 2},
  [9156] = {.lex_state = 0},
  [9157] = {.lex_state = 0, .external_lex_state = 2},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 0, .external_lex_state = 2},
  [9160] = {.lex_state = 0},
  [9161] = {.lex_state = 0, .external_lex_state = 2},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 0},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 387},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 387},
  [9168] = {.lex_state = 387},
  [9169] = {.lex_state = 0},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 387},
  [9172] = {.lex_state = 244},
  [9173] = {.lex_state = 387},
  [9174] = {.lex_state = 387},
  [9175] = {.lex_state = 0},
  [9176] = {.lex_state = 244},
  [9177] = {.lex_state = 0},
  [9178] = {.lex_state = 121},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 0},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 0},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 0, .external_lex_state = 2},
  [9187] = {.lex_state = 0},
  [9188] = {.lex_state = 200},
  [9189] = {.lex_state = 0},
  [9190] = {.lex_state = 244},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 387},
  [9193] = {.lex_state = 121},
  [9194] = {.lex_state = 244},
  [9195] = {.lex_state = 0},
  [9196] = {.lex_state = 200},
  [9197] = {.lex_state = 387},
  [9198] = {.lex_state = 0, .external_lex_state = 3},
  [9199] = {.lex_state = 121},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 0},
  [9202] = {.lex_state = 387},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 0},
  [9206] = {.lex_state = 0},
  [9207] = {.lex_state = 0},
  [9208] = {.lex_state = 121},
  [9209] = {.lex_state = 121},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0},
  [9212] = {.lex_state = 244},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 0},
  [9215] = {.lex_state = 0},
  [9216] = {.lex_state = 206},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 0},
  [9219] = {.lex_state = 206},
  [9220] = {.lex_state = 200},
  [9221] = {.lex_state = 0},
  [9222] = {.lex_state = 121},
  [9223] = {.lex_state = 0},
  [9224] = {.lex_state = 0},
  [9225] = {.lex_state = 0},
  [9226] = {.lex_state = 0},
  [9227] = {.lex_state = 0},
  [9228] = {.lex_state = 0},
  [9229] = {.lex_state = 0},
  [9230] = {.lex_state = 0},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 200},
  [9233] = {.lex_state = 0},
  [9234] = {.lex_state = 0},
  [9235] = {.lex_state = 0},
  [9236] = {.lex_state = 206},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 0},
  [9239] = {.lex_state = 282},
  [9240] = {.lex_state = 200},
  [9241] = {.lex_state = 387},
  [9242] = {.lex_state = 200},
  [9243] = {.lex_state = 387},
  [9244] = {.lex_state = 0},
  [9245] = {.lex_state = 0},
  [9246] = {.lex_state = 0},
  [9247] = {.lex_state = 387},
  [9248] = {.lex_state = 200},
  [9249] = {.lex_state = 0},
  [9250] = {.lex_state = 0},
  [9251] = {.lex_state = 0},
  [9252] = {.lex_state = 198},
  [9253] = {.lex_state = 387},
  [9254] = {.lex_state = 200},
  [9255] = {.lex_state = 244},
  [9256] = {.lex_state = 0},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 0},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 200},
  [9261] = {.lex_state = 244},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 200},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 0},
  [9266] = {.lex_state = 0},
  [9267] = {.lex_state = 200},
  [9268] = {.lex_state = 0},
  [9269] = {.lex_state = 0},
  [9270] = {.lex_state = 198},
  [9271] = {.lex_state = 0},
  [9272] = {.lex_state = 387},
  [9273] = {.lex_state = 202},
  [9274] = {.lex_state = 206},
  [9275] = {.lex_state = 198},
  [9276] = {.lex_state = 200},
  [9277] = {.lex_state = 252},
  [9278] = {.lex_state = 200},
  [9279] = {.lex_state = 121},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 206},
  [9282] = {.lex_state = 244},
  [9283] = {.lex_state = 0},
  [9284] = {.lex_state = 0},
  [9285] = {.lex_state = 0},
  [9286] = {.lex_state = 198},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 202},
  [9289] = {.lex_state = 387},
  [9290] = {.lex_state = 244},
  [9291] = {.lex_state = 0},
  [9292] = {.lex_state = 0},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 0},
  [9295] = {.lex_state = 0},
  [9296] = {.lex_state = 0},
  [9297] = {.lex_state = 0},
  [9298] = {.lex_state = 0},
  [9299] = {.lex_state = 206},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 0},
  [9302] = {.lex_state = 244},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 0},
  [9305] = {.lex_state = 244},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 0},
  [9308] = {.lex_state = 0},
  [9309] = {.lex_state = 0},
  [9310] = {.lex_state = 0},
  [9311] = {.lex_state = 200},
  [9312] = {.lex_state = 0},
  [9313] = {.lex_state = 0},
  [9314] = {.lex_state = 0},
  [9315] = {.lex_state = 0},
  [9316] = {.lex_state = 0},
  [9317] = {.lex_state = 200},
  [9318] = {.lex_state = 121},
  [9319] = {.lex_state = 121},
  [9320] = {.lex_state = 201},
  [9321] = {.lex_state = 0},
  [9322] = {.lex_state = 387},
  [9323] = {.lex_state = 0},
  [9324] = {.lex_state = 0},
  [9325] = {.lex_state = 200},
  [9326] = {.lex_state = 0},
  [9327] = {.lex_state = 200},
  [9328] = {.lex_state = 244},
  [9329] = {.lex_state = 244},
  [9330] = {.lex_state = 0},
  [9331] = {.lex_state = 0},
  [9332] = {.lex_state = 244},
  [9333] = {.lex_state = 244},
  [9334] = {.lex_state = 244},
  [9335] = {.lex_state = 244},
  [9336] = {.lex_state = 244},
  [9337] = {.lex_state = 0},
  [9338] = {.lex_state = 387},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 0},
  [9341] = {.lex_state = 0},
  [9342] = {.lex_state = 0},
  [9343] = {.lex_state = 387},
  [9344] = {.lex_state = 387},
  [9345] = {.lex_state = 387},
  [9346] = {.lex_state = 0},
  [9347] = {.lex_state = 387},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 0},
  [9351] = {.lex_state = 0},
  [9352] = {.lex_state = 244},
  [9353] = {.lex_state = 0},
  [9354] = {.lex_state = 387},
  [9355] = {.lex_state = 0},
  [9356] = {.lex_state = 0},
  [9357] = {.lex_state = 121},
  [9358] = {.lex_state = 387},
  [9359] = {.lex_state = 0, .external_lex_state = 3},
  [9360] = {.lex_state = 387},
  [9361] = {.lex_state = 0},
  [9362] = {.lex_state = 0},
  [9363] = {.lex_state = 0},
  [9364] = {.lex_state = 0},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 0},
  [9367] = {.lex_state = 0},
  [9368] = {.lex_state = 206},
  [9369] = {.lex_state = 244},
  [9370] = {.lex_state = 121},
  [9371] = {.lex_state = 387},
  [9372] = {.lex_state = 387},
  [9373] = {.lex_state = 121},
  [9374] = {.lex_state = 387},
  [9375] = {.lex_state = 0},
  [9376] = {.lex_state = 0},
  [9377] = {.lex_state = 244},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 387},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 0},
  [9382] = {.lex_state = 387},
  [9383] = {.lex_state = 0, .external_lex_state = 3},
  [9384] = {.lex_state = 206},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 0},
  [9387] = {.lex_state = 244},
  [9388] = {.lex_state = 0},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 206},
  [9391] = {.lex_state = 0},
  [9392] = {.lex_state = 200},
  [9393] = {.lex_state = 387},
  [9394] = {.lex_state = 387},
  [9395] = {.lex_state = 0},
  [9396] = {.lex_state = 387},
  [9397] = {.lex_state = 244},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 244},
  [9400] = {.lex_state = 0},
  [9401] = {.lex_state = 387},
  [9402] = {.lex_state = 0},
  [9403] = {.lex_state = 0},
  [9404] = {.lex_state = 387},
  [9405] = {.lex_state = 0, .external_lex_state = 3},
  [9406] = {.lex_state = 0},
  [9407] = {.lex_state = 0},
  [9408] = {.lex_state = 0},
  [9409] = {.lex_state = 0},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 206},
  [9412] = {.lex_state = 0},
  [9413] = {.lex_state = 387},
  [9414] = {.lex_state = 387},
  [9415] = {.lex_state = 0},
  [9416] = {.lex_state = 387},
  [9417] = {.lex_state = 0},
  [9418] = {.lex_state = 0},
  [9419] = {.lex_state = 244},
  [9420] = {.lex_state = 387},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 0},
  [9423] = {.lex_state = 387},
  [9424] = {.lex_state = 0, .external_lex_state = 3},
  [9425] = {.lex_state = 0},
  [9426] = {.lex_state = 0},
  [9427] = {.lex_state = 0},
  [9428] = {.lex_state = 0},
  [9429] = {.lex_state = 0},
  [9430] = {.lex_state = 206},
  [9431] = {.lex_state = 0},
  [9432] = {.lex_state = 387},
  [9433] = {.lex_state = 387},
  [9434] = {.lex_state = 0},
  [9435] = {.lex_state = 387},
  [9436] = {.lex_state = 0},
  [9437] = {.lex_state = 0},
  [9438] = {.lex_state = 387},
  [9439] = {.lex_state = 0},
  [9440] = {.lex_state = 0},
  [9441] = {.lex_state = 387},
  [9442] = {.lex_state = 0, .external_lex_state = 3},
  [9443] = {.lex_state = 0},
  [9444] = {.lex_state = 0},
  [9445] = {.lex_state = 0},
  [9446] = {.lex_state = 0},
  [9447] = {.lex_state = 0},
  [9448] = {.lex_state = 206},
  [9449] = {.lex_state = 0},
  [9450] = {.lex_state = 387},
  [9451] = {.lex_state = 387},
  [9452] = {.lex_state = 0},
  [9453] = {.lex_state = 387},
  [9454] = {.lex_state = 0},
  [9455] = {.lex_state = 0},
  [9456] = {.lex_state = 387},
  [9457] = {.lex_state = 0},
  [9458] = {.lex_state = 200},
  [9459] = {.lex_state = 387},
  [9460] = {.lex_state = 0, .external_lex_state = 3},
  [9461] = {.lex_state = 0},
  [9462] = {.lex_state = 0},
  [9463] = {.lex_state = 0},
  [9464] = {.lex_state = 0},
  [9465] = {.lex_state = 0},
  [9466] = {.lex_state = 206},
  [9467] = {.lex_state = 0},
  [9468] = {.lex_state = 387},
  [9469] = {.lex_state = 0},
  [9470] = {.lex_state = 387},
  [9471] = {.lex_state = 200},
  [9472] = {.lex_state = 200},
  [9473] = {.lex_state = 0},
  [9474] = {.lex_state = 206},
  [9475] = {.lex_state = 387},
  [9476] = {.lex_state = 0, .external_lex_state = 3},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 0},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 0},
  [9481] = {.lex_state = 0},
  [9482] = {.lex_state = 387},
  [9483] = {.lex_state = 387},
  [9484] = {.lex_state = 0},
  [9485] = {.lex_state = 0, .external_lex_state = 3},
  [9486] = {.lex_state = 0},
  [9487] = {.lex_state = 0},
  [9488] = {.lex_state = 0},
  [9489] = {.lex_state = 244},
  [9490] = {.lex_state = 387},
  [9491] = {.lex_state = 387},
  [9492] = {.lex_state = 200},
  [9493] = {.lex_state = 0, .external_lex_state = 3},
  [9494] = {.lex_state = 0},
  [9495] = {.lex_state = 0},
  [9496] = {.lex_state = 387},
  [9497] = {.lex_state = 387},
  [9498] = {.lex_state = 0, .external_lex_state = 3},
  [9499] = {.lex_state = 0},
  [9500] = {.lex_state = 0, .external_lex_state = 3},
  [9501] = {.lex_state = 0},
  [9502] = {.lex_state = 0, .external_lex_state = 3},
  [9503] = {.lex_state = 0},
  [9504] = {.lex_state = 0, .external_lex_state = 3},
  [9505] = {.lex_state = 0},
  [9506] = {.lex_state = 0, .external_lex_state = 3},
  [9507] = {.lex_state = 0},
  [9508] = {.lex_state = 0, .external_lex_state = 3},
  [9509] = {.lex_state = 0},
  [9510] = {.lex_state = 0, .external_lex_state = 3},
  [9511] = {.lex_state = 0},
  [9512] = {.lex_state = 0, .external_lex_state = 3},
  [9513] = {.lex_state = 0},
  [9514] = {.lex_state = 0},
  [9515] = {.lex_state = 0},
  [9516] = {.lex_state = 387},
  [9517] = {.lex_state = 387},
  [9518] = {.lex_state = 244},
  [9519] = {.lex_state = 387},
  [9520] = {.lex_state = 200},
  [9521] = {.lex_state = 121},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 244},
  [9524] = {.lex_state = 121},
  [9525] = {.lex_state = 0},
  [9526] = {.lex_state = 0},
  [9527] = {.lex_state = 0},
  [9528] = {.lex_state = 0},
  [9529] = {.lex_state = 244},
  [9530] = {.lex_state = 200},
  [9531] = {.lex_state = 0},
  [9532] = {.lex_state = 387},
  [9533] = {.lex_state = 244},
  [9534] = {.lex_state = 0, .external_lex_state = 3},
  [9535] = {.lex_state = 0, .external_lex_state = 3},
  [9536] = {.lex_state = 0},
  [9537] = {.lex_state = 121},
  [9538] = {.lex_state = 0},
  [9539] = {.lex_state = 0},
  [9540] = {.lex_state = 0},
  [9541] = {.lex_state = 0},
  [9542] = {.lex_state = 0},
  [9543] = {.lex_state = 387},
  [9544] = {.lex_state = 206},
  [9545] = {.lex_state = 0},
  [9546] = {.lex_state = 0},
  [9547] = {.lex_state = 0},
  [9548] = {.lex_state = 0},
  [9549] = {.lex_state = 244},
  [9550] = {.lex_state = 244},
  [9551] = {.lex_state = 387},
  [9552] = {.lex_state = 121},
  [9553] = {.lex_state = 206},
  [9554] = {.lex_state = 387},
  [9555] = {.lex_state = 0},
  [9556] = {.lex_state = 387},
  [9557] = {.lex_state = 0},
  [9558] = {.lex_state = 200},
  [9559] = {.lex_state = 387},
  [9560] = {.lex_state = 0},
  [9561] = {.lex_state = 387},
  [9562] = {.lex_state = 200},
  [9563] = {.lex_state = 0},
  [9564] = {.lex_state = 206},
  [9565] = {.lex_state = 121},
  [9566] = {.lex_state = 0},
  [9567] = {.lex_state = 0},
  [9568] = {.lex_state = 0},
  [9569] = {.lex_state = 0},
  [9570] = {.lex_state = 387},
  [9571] = {.lex_state = 387},
  [9572] = {.lex_state = 387},
  [9573] = {.lex_state = 244},
  [9574] = {.lex_state = 0},
  [9575] = {.lex_state = 0},
  [9576] = {.lex_state = 387},
  [9577] = {.lex_state = 0},
  [9578] = {.lex_state = 206},
  [9579] = {.lex_state = 0},
  [9580] = {.lex_state = 206},
  [9581] = {.lex_state = 0},
  [9582] = {.lex_state = 244},
  [9583] = {.lex_state = 0},
  [9584] = {.lex_state = 0},
  [9585] = {.lex_state = 0},
  [9586] = {.lex_state = 244},
  [9587] = {.lex_state = 0},
  [9588] = {.lex_state = 0},
  [9589] = {.lex_state = 244},
  [9590] = {.lex_state = 0},
  [9591] = {.lex_state = 244},
  [9592] = {.lex_state = 0},
  [9593] = {.lex_state = 206},
  [9594] = {.lex_state = 0},
  [9595] = {.lex_state = 387},
  [9596] = {.lex_state = 387},
  [9597] = {.lex_state = 387},
  [9598] = {.lex_state = 244},
  [9599] = {.lex_state = 0},
  [9600] = {.lex_state = 0},
  [9601] = {.lex_state = 0},
  [9602] = {.lex_state = 244},
  [9603] = {.lex_state = 0, .external_lex_state = 3},
  [9604] = {.lex_state = 0},
  [9605] = {.lex_state = 206},
  [9606] = {.lex_state = 0},
  [9607] = {.lex_state = 387},
  [9608] = {.lex_state = 387},
  [9609] = {.lex_state = 244},
  [9610] = {.lex_state = 0},
  [9611] = {.lex_state = 0},
  [9612] = {.lex_state = 244},
  [9613] = {.lex_state = 0, .external_lex_state = 3},
  [9614] = {.lex_state = 0},
  [9615] = {.lex_state = 0},
  [9616] = {.lex_state = 387},
  [9617] = {.lex_state = 387},
  [9618] = {.lex_state = 387},
  [9619] = {.lex_state = 244},
  [9620] = {.lex_state = 244},
  [9621] = {.lex_state = 0},
  [9622] = {.lex_state = 244},
  [9623] = {.lex_state = 0, .external_lex_state = 3},
  [9624] = {.lex_state = 0},
  [9625] = {.lex_state = 0},
  [9626] = {.lex_state = 0},
  [9627] = {.lex_state = 387},
  [9628] = {.lex_state = 244},
  [9629] = {.lex_state = 0},
  [9630] = {.lex_state = 0},
  [9631] = {.lex_state = 244},
  [9632] = {.lex_state = 0, .external_lex_state = 3},
  [9633] = {.lex_state = 387},
  [9634] = {.lex_state = 0},
  [9635] = {.lex_state = 387},
  [9636] = {.lex_state = 244},
  [9637] = {.lex_state = 0},
  [9638] = {.lex_state = 0},
  [9639] = {.lex_state = 244},
  [9640] = {.lex_state = 0, .external_lex_state = 3},
  [9641] = {.lex_state = 0},
  [9642] = {.lex_state = 0},
  [9643] = {.lex_state = 387},
  [9644] = {.lex_state = 244},
  [9645] = {.lex_state = 0},
  [9646] = {.lex_state = 0},
  [9647] = {.lex_state = 244},
  [9648] = {.lex_state = 0, .external_lex_state = 3},
  [9649] = {.lex_state = 0},
  [9650] = {.lex_state = 0},
  [9651] = {.lex_state = 387},
  [9652] = {.lex_state = 244},
  [9653] = {.lex_state = 0},
  [9654] = {.lex_state = 244},
  [9655] = {.lex_state = 0, .external_lex_state = 3},
  [9656] = {.lex_state = 0},
  [9657] = {.lex_state = 0},
  [9658] = {.lex_state = 244},
  [9659] = {.lex_state = 0, .external_lex_state = 3},
  [9660] = {.lex_state = 0},
  [9661] = {.lex_state = 387},
  [9662] = {.lex_state = 0, .external_lex_state = 3},
  [9663] = {.lex_state = 0},
  [9664] = {.lex_state = 0, .external_lex_state = 3},
  [9665] = {.lex_state = 0},
  [9666] = {.lex_state = 0, .external_lex_state = 3},
  [9667] = {.lex_state = 387},
  [9668] = {.lex_state = 0, .external_lex_state = 3},
  [9669] = {.lex_state = 0},
  [9670] = {.lex_state = 0, .external_lex_state = 3},
  [9671] = {.lex_state = 387},
  [9672] = {.lex_state = 0, .external_lex_state = 3},
  [9673] = {.lex_state = 0},
  [9674] = {.lex_state = 0, .external_lex_state = 3},
  [9675] = {.lex_state = 0},
  [9676] = {.lex_state = 0, .external_lex_state = 3},
  [9677] = {.lex_state = 0},
  [9678] = {.lex_state = 0, .external_lex_state = 3},
  [9679] = {.lex_state = 387},
  [9680] = {.lex_state = 387},
  [9681] = {.lex_state = 244},
  [9682] = {.lex_state = 387},
  [9683] = {.lex_state = 387},
  [9684] = {.lex_state = 200},
  [9685] = {.lex_state = 387},
  [9686] = {.lex_state = 387},
  [9687] = {.lex_state = 0},
  [9688] = {.lex_state = 387},
  [9689] = {.lex_state = 387},
  [9690] = {.lex_state = 244},
  [9691] = {.lex_state = 387},
  [9692] = {.lex_state = 387},
  [9693] = {.lex_state = 121},
  [9694] = {.lex_state = 387},
  [9695] = {.lex_state = 387},
  [9696] = {.lex_state = 387},
  [9697] = {.lex_state = 387},
  [9698] = {.lex_state = 387},
  [9699] = {.lex_state = 0},
  [9700] = {.lex_state = 387},
  [9701] = {.lex_state = 387},
  [9702] = {.lex_state = 387},
  [9703] = {.lex_state = 387},
  [9704] = {.lex_state = 387},
  [9705] = {.lex_state = 387},
  [9706] = {.lex_state = 387},
  [9707] = {.lex_state = 387},
  [9708] = {.lex_state = 387},
  [9709] = {.lex_state = 387},
  [9710] = {.lex_state = 387},
  [9711] = {.lex_state = 244},
  [9712] = {.lex_state = 244},
  [9713] = {.lex_state = 0},
  [9714] = {.lex_state = 0},
  [9715] = {.lex_state = 244},
  [9716] = {.lex_state = 0},
  [9717] = {.lex_state = 244},
  [9718] = {.lex_state = 387},
  [9719] = {.lex_state = 387},
  [9720] = {.lex_state = 387},
  [9721] = {.lex_state = 387},
  [9722] = {.lex_state = 387},
  [9723] = {.lex_state = 387},
  [9724] = {.lex_state = 387},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9546),
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2307),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7079),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3327),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5477),
    [sym__expression_not_binary] = STATE(5571),
    [sym__string] = STATE(5571),
    [sym_conditional_expression] = STATE(5571),
    [sym_assignment_expression] = STATE(5571),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(5571),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(5571),
    [sym_cast_expression] = STATE(5571),
    [sym_sizeof_expression] = STATE(5571),
    [sym_alignof_expression] = STATE(5571),
    [sym_offsetof_expression] = STATE(5571),
    [sym_generic_expression] = STATE(5571),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(5571),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(5571),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(5571),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2097),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7455),
    [sym__constructor_specifiers] = STATE(2097),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(5571),
    [sym_new_expression] = STATE(5571),
    [sym_delete_expression] = STATE(5571),
    [sym_requires_clause] = STATE(5571),
    [sym_requires_expression] = STATE(5571),
    [sym_lambda_expression] = STATE(5571),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(5571),
    [sym_parameter_pack_expansion] = STATE(5571),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7455),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2097),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [2] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [3] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [4] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [5] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [6] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [7] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(48),
    [sym_co_return_statement] = STATE(48),
    [sym_co_yield_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [8] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [9] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(48),
    [sym_co_return_statement] = STATE(48),
    [sym_co_yield_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [10] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [11] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [12] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [13] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [14] = {
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_case_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(61),
    [sym_co_return_statement] = STATE(61),
    [sym_co_yield_statement] = STATE(61),
    [sym_throw_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [15] = {
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_case_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(4922),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(61),
    [sym_co_return_statement] = STATE(61),
    [sym_co_yield_statement] = STATE(61),
    [sym_throw_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [16] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8922),
    [sym_preproc_elif] = STATE(8922),
    [sym_preproc_elifdef] = STATE(8922),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [17] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(9136),
    [sym_preproc_elif] = STATE(9136),
    [sym_preproc_elifdef] = STATE(9136),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(25),
    [sym_co_return_statement] = STATE(25),
    [sym_co_yield_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [18] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(8960),
    [sym_preproc_elif] = STATE(8960),
    [sym_preproc_elifdef] = STATE(8960),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(16),
    [sym_co_return_statement] = STATE(16),
    [sym_co_yield_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [19] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(9311),
    [sym_preproc_elif] = STATE(9311),
    [sym_preproc_elifdef] = STATE(9311),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(24),
    [sym_co_return_statement] = STATE(24),
    [sym_co_yield_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [20] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(9260),
    [sym_preproc_elif] = STATE(9260),
    [sym_preproc_elifdef] = STATE(9260),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(22),
    [sym_co_return_statement] = STATE(22),
    [sym_co_yield_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [21] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9558),
    [sym_preproc_elif] = STATE(9558),
    [sym_preproc_elifdef] = STATE(9558),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [22] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9220),
    [sym_preproc_elif] = STATE(9220),
    [sym_preproc_elifdef] = STATE(9220),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [23] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(9684),
    [sym_preproc_elif] = STATE(9684),
    [sym_preproc_elifdef] = STATE(9684),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(21),
    [sym_co_return_statement] = STATE(21),
    [sym_co_yield_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [24] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9276),
    [sym_preproc_elif] = STATE(9276),
    [sym_preproc_elifdef] = STATE(9276),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [25] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9098),
    [sym_preproc_elif] = STATE(9098),
    [sym_preproc_elifdef] = STATE(9098),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [26] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(9278),
    [sym_preproc_elif] = STATE(9278),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(34),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(34),
    [sym_template_instantiation] = STATE(34),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(34),
    [sym_operator_cast_declaration] = STATE(34),
    [sym_constructor_or_destructor_definition] = STATE(34),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(34),
    [sym_namespace_alias_definition] = STATE(34),
    [sym_using_declaration] = STATE(34),
    [sym_alias_declaration] = STATE(34),
    [sym_static_assert_declaration] = STATE(34),
    [sym_concept_definition] = STATE(34),
    [sym_for_range_loop] = STATE(34),
    [sym_co_return_statement] = STATE(34),
    [sym_co_yield_statement] = STATE(34),
    [sym_throw_statement] = STATE(34),
    [sym_try_statement] = STATE(34),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [27] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(9196),
    [sym_preproc_elif] = STATE(9196),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(31),
    [sym_co_return_statement] = STATE(31),
    [sym_co_yield_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [28] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8926),
    [sym_preproc_elif] = STATE(8926),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [29] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(9131),
    [sym_preproc_elif] = STATE(9131),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [30] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8893),
    [sym_preproc_elif] = STATE(8893),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [31] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9138),
    [sym_preproc_elif] = STATE(9138),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [32] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(8921),
    [sym_preproc_elif] = STATE(8921),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [33] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9530),
    [sym_preproc_elif] = STATE(9530),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [34] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9254),
    [sym_preproc_elif] = STATE(9254),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [35] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(9562),
    [sym_preproc_elif] = STATE(9562),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [36] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9520),
    [sym_preproc_elif] = STATE(9520),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [37] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(9099),
    [sym_preproc_elif] = STATE(9099),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(447),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [38] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7134),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2104),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2104),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2104),
    [sym_identifier] = ACTIONS(449),
    [aux_sym_preproc_include_token1] = ACTIONS(452),
    [aux_sym_preproc_def_token1] = ACTIONS(455),
    [aux_sym_preproc_if_token1] = ACTIONS(458),
    [aux_sym_preproc_if_token2] = ACTIONS(461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(463),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(463),
    [aux_sym_preproc_else_token1] = ACTIONS(461),
    [aux_sym_preproc_elif_token1] = ACTIONS(461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(461),
    [sym_preproc_directive] = ACTIONS(466),
    [anon_sym_LPAREN2] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(496),
    [anon_sym_extern] = ACTIONS(499),
    [anon_sym___attribute__] = ACTIONS(502),
    [anon_sym_COLON_COLON] = ACTIONS(505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(508),
    [anon_sym___declspec] = ACTIONS(511),
    [anon_sym___based] = ACTIONS(514),
    [anon_sym___cdecl] = ACTIONS(517),
    [anon_sym___clrcall] = ACTIONS(517),
    [anon_sym___stdcall] = ACTIONS(517),
    [anon_sym___fastcall] = ACTIONS(517),
    [anon_sym___thiscall] = ACTIONS(517),
    [anon_sym___vectorcall] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(520),
    [anon_sym_signed] = ACTIONS(523),
    [anon_sym_unsigned] = ACTIONS(523),
    [anon_sym_long] = ACTIONS(523),
    [anon_sym_short] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_static] = ACTIONS(529),
    [anon_sym_register] = ACTIONS(529),
    [anon_sym_inline] = ACTIONS(532),
    [anon_sym___inline] = ACTIONS(529),
    [anon_sym___inline__] = ACTIONS(529),
    [anon_sym___forceinline] = ACTIONS(529),
    [anon_sym_thread_local] = ACTIONS(529),
    [anon_sym___thread] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(535),
    [anon_sym_constexpr] = ACTIONS(535),
    [anon_sym_volatile] = ACTIONS(535),
    [anon_sym_restrict] = ACTIONS(535),
    [anon_sym___restrict__] = ACTIONS(535),
    [anon_sym__Atomic] = ACTIONS(535),
    [anon_sym__Noreturn] = ACTIONS(535),
    [anon_sym_noreturn] = ACTIONS(535),
    [anon_sym_mutable] = ACTIONS(535),
    [anon_sym_constinit] = ACTIONS(535),
    [anon_sym_consteval] = ACTIONS(535),
    [sym_primitive_type] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_union] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(556),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(562),
    [anon_sym_while] = ACTIONS(565),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_return] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_goto] = ACTIONS(583),
    [anon_sym___try] = ACTIONS(586),
    [anon_sym___leave] = ACTIONS(589),
    [anon_sym_not] = ACTIONS(478),
    [anon_sym_compl] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(592),
    [anon_sym_sizeof] = ACTIONS(595),
    [anon_sym___alignof__] = ACTIONS(598),
    [anon_sym___alignof] = ACTIONS(598),
    [anon_sym__alignof] = ACTIONS(598),
    [anon_sym_alignof] = ACTIONS(598),
    [anon_sym__Alignof] = ACTIONS(598),
    [anon_sym_offsetof] = ACTIONS(601),
    [anon_sym__Generic] = ACTIONS(604),
    [anon_sym_asm] = ACTIONS(607),
    [anon_sym___asm__] = ACTIONS(607),
    [sym_number_literal] = ACTIONS(610),
    [anon_sym_L_SQUOTE] = ACTIONS(613),
    [anon_sym_u_SQUOTE] = ACTIONS(613),
    [anon_sym_U_SQUOTE] = ACTIONS(613),
    [anon_sym_u8_SQUOTE] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_L_DQUOTE] = ACTIONS(616),
    [anon_sym_u_DQUOTE] = ACTIONS(616),
    [anon_sym_U_DQUOTE] = ACTIONS(616),
    [anon_sym_u8_DQUOTE] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym_true] = ACTIONS(619),
    [sym_false] = ACTIONS(619),
    [anon_sym_NULL] = ACTIONS(622),
    [anon_sym_nullptr] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(625),
    [anon_sym_decltype] = ACTIONS(628),
    [anon_sym_virtual] = ACTIONS(631),
    [anon_sym_alignas] = ACTIONS(634),
    [anon_sym_explicit] = ACTIONS(637),
    [anon_sym_typename] = ACTIONS(640),
    [anon_sym_template] = ACTIONS(643),
    [anon_sym_operator] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(649),
    [anon_sym_delete] = ACTIONS(652),
    [anon_sym_throw] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(658),
    [anon_sym_using] = ACTIONS(661),
    [anon_sym_static_assert] = ACTIONS(664),
    [anon_sym_concept] = ACTIONS(667),
    [anon_sym_co_return] = ACTIONS(670),
    [anon_sym_co_yield] = ACTIONS(673),
    [anon_sym_R_DQUOTE] = ACTIONS(676),
    [anon_sym_LR_DQUOTE] = ACTIONS(676),
    [anon_sym_uR_DQUOTE] = ACTIONS(676),
    [anon_sym_UR_DQUOTE] = ACTIONS(676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(676),
    [anon_sym_co_await] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(682),
    [anon_sym_requires] = ACTIONS(685),
    [sym_this] = ACTIONS(619),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9064),
    [sym_preproc_elif] = STATE(9064),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [40] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8924),
    [sym_preproc_elif] = STATE(8924),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7100),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2102),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2102),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2102),
    [sym_identifier] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(695),
    [aux_sym_preproc_def_token1] = ACTIONS(698),
    [aux_sym_preproc_if_token1] = ACTIONS(701),
    [aux_sym_preproc_if_token2] = ACTIONS(461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(704),
    [aux_sym_preproc_else_token1] = ACTIONS(461),
    [aux_sym_preproc_elif_token1] = ACTIONS(461),
    [sym_preproc_directive] = ACTIONS(707),
    [anon_sym_LPAREN2] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym___extension__] = ACTIONS(713),
    [anon_sym_typedef] = ACTIONS(716),
    [anon_sym_extern] = ACTIONS(719),
    [anon_sym___attribute__] = ACTIONS(502),
    [anon_sym_COLON_COLON] = ACTIONS(505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(508),
    [anon_sym___declspec] = ACTIONS(511),
    [anon_sym___based] = ACTIONS(514),
    [anon_sym___cdecl] = ACTIONS(517),
    [anon_sym___clrcall] = ACTIONS(517),
    [anon_sym___stdcall] = ACTIONS(517),
    [anon_sym___fastcall] = ACTIONS(517),
    [anon_sym___thiscall] = ACTIONS(517),
    [anon_sym___vectorcall] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(523),
    [anon_sym_unsigned] = ACTIONS(523),
    [anon_sym_long] = ACTIONS(523),
    [anon_sym_short] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_static] = ACTIONS(529),
    [anon_sym_register] = ACTIONS(529),
    [anon_sym_inline] = ACTIONS(725),
    [anon_sym___inline] = ACTIONS(529),
    [anon_sym___inline__] = ACTIONS(529),
    [anon_sym___forceinline] = ACTIONS(529),
    [anon_sym_thread_local] = ACTIONS(529),
    [anon_sym___thread] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(535),
    [anon_sym_constexpr] = ACTIONS(535),
    [anon_sym_volatile] = ACTIONS(535),
    [anon_sym_restrict] = ACTIONS(535),
    [anon_sym___restrict__] = ACTIONS(535),
    [anon_sym__Atomic] = ACTIONS(535),
    [anon_sym__Noreturn] = ACTIONS(535),
    [anon_sym_noreturn] = ACTIONS(535),
    [anon_sym_mutable] = ACTIONS(535),
    [anon_sym_constinit] = ACTIONS(535),
    [anon_sym_consteval] = ACTIONS(535),
    [sym_primitive_type] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_union] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(734),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(743),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(755),
    [anon_sym_goto] = ACTIONS(758),
    [anon_sym___try] = ACTIONS(761),
    [anon_sym___leave] = ACTIONS(764),
    [anon_sym_not] = ACTIONS(478),
    [anon_sym_compl] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(592),
    [anon_sym_sizeof] = ACTIONS(595),
    [anon_sym___alignof__] = ACTIONS(598),
    [anon_sym___alignof] = ACTIONS(598),
    [anon_sym__alignof] = ACTIONS(598),
    [anon_sym_alignof] = ACTIONS(598),
    [anon_sym__Alignof] = ACTIONS(598),
    [anon_sym_offsetof] = ACTIONS(601),
    [anon_sym__Generic] = ACTIONS(604),
    [anon_sym_asm] = ACTIONS(607),
    [anon_sym___asm__] = ACTIONS(607),
    [sym_number_literal] = ACTIONS(610),
    [anon_sym_L_SQUOTE] = ACTIONS(613),
    [anon_sym_u_SQUOTE] = ACTIONS(613),
    [anon_sym_U_SQUOTE] = ACTIONS(613),
    [anon_sym_u8_SQUOTE] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_L_DQUOTE] = ACTIONS(616),
    [anon_sym_u_DQUOTE] = ACTIONS(616),
    [anon_sym_U_DQUOTE] = ACTIONS(616),
    [anon_sym_u8_DQUOTE] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym_true] = ACTIONS(619),
    [sym_false] = ACTIONS(619),
    [anon_sym_NULL] = ACTIONS(622),
    [anon_sym_nullptr] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(625),
    [anon_sym_decltype] = ACTIONS(628),
    [anon_sym_virtual] = ACTIONS(631),
    [anon_sym_alignas] = ACTIONS(634),
    [anon_sym_explicit] = ACTIONS(637),
    [anon_sym_typename] = ACTIONS(640),
    [anon_sym_template] = ACTIONS(767),
    [anon_sym_operator] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_delete] = ACTIONS(652),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_namespace] = ACTIONS(776),
    [anon_sym_using] = ACTIONS(779),
    [anon_sym_static_assert] = ACTIONS(782),
    [anon_sym_concept] = ACTIONS(785),
    [anon_sym_co_return] = ACTIONS(788),
    [anon_sym_co_yield] = ACTIONS(791),
    [anon_sym_R_DQUOTE] = ACTIONS(676),
    [anon_sym_LR_DQUOTE] = ACTIONS(676),
    [anon_sym_uR_DQUOTE] = ACTIONS(676),
    [anon_sym_UR_DQUOTE] = ACTIONS(676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(676),
    [anon_sym_co_await] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(682),
    [anon_sym_requires] = ACTIONS(685),
    [sym_this] = ACTIONS(619),
  },
  [42] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [43] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [44] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [45] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [46] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [47] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [48] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [49] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(48),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(48),
    [sym_template_instantiation] = STATE(48),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(48),
    [sym_operator_cast_declaration] = STATE(48),
    [sym_constructor_or_destructor_definition] = STATE(48),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(48),
    [sym_namespace_alias_definition] = STATE(48),
    [sym_using_declaration] = STATE(48),
    [sym_alias_declaration] = STATE(48),
    [sym_static_assert_declaration] = STATE(48),
    [sym_concept_definition] = STATE(48),
    [sym_for_range_loop] = STATE(48),
    [sym_co_return_statement] = STATE(48),
    [sym_co_yield_statement] = STATE(48),
    [sym_throw_statement] = STATE(48),
    [sym_try_statement] = STATE(48),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [50] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [51] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [52] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [53] = {
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym_seh_try_statement] = STATE(52),
    [sym_seh_leave_statement] = STATE(52),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(52),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(52),
    [sym_template_instantiation] = STATE(52),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(52),
    [sym_operator_cast_declaration] = STATE(52),
    [sym_constructor_or_destructor_definition] = STATE(52),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(52),
    [sym_namespace_alias_definition] = STATE(52),
    [sym_using_declaration] = STATE(52),
    [sym_alias_declaration] = STATE(52),
    [sym_static_assert_declaration] = STATE(52),
    [sym_concept_definition] = STATE(52),
    [sym_for_range_loop] = STATE(52),
    [sym_co_return_statement] = STATE(52),
    [sym_co_yield_statement] = STATE(52),
    [sym_throw_statement] = STATE(52),
    [sym_try_statement] = STATE(52),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [54] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [55] = {
    [sym_preproc_include] = STATE(61),
    [sym_preproc_def] = STATE(61),
    [sym_preproc_function_def] = STATE(61),
    [sym_preproc_call] = STATE(61),
    [sym_preproc_if] = STATE(61),
    [sym_preproc_ifdef] = STATE(61),
    [sym_function_definition] = STATE(61),
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(61),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_case_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(61),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(61),
    [sym_template_instantiation] = STATE(61),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(61),
    [sym_operator_cast_declaration] = STATE(61),
    [sym_constructor_or_destructor_definition] = STATE(61),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(61),
    [sym_namespace_alias_definition] = STATE(61),
    [sym_using_declaration] = STATE(61),
    [sym_alias_declaration] = STATE(61),
    [sym_static_assert_declaration] = STATE(61),
    [sym_concept_definition] = STATE(61),
    [sym_for_range_loop] = STATE(61),
    [sym_co_return_statement] = STATE(61),
    [sym_co_yield_statement] = STATE(61),
    [sym_throw_statement] = STATE(61),
    [sym_try_statement] = STATE(61),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(61),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [56] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [57] = {
    [sym_preproc_include] = STATE(58),
    [sym_preproc_def] = STATE(58),
    [sym_preproc_function_def] = STATE(58),
    [sym_preproc_call] = STATE(58),
    [sym_preproc_if] = STATE(58),
    [sym_preproc_ifdef] = STATE(58),
    [sym_function_definition] = STATE(58),
    [sym_declaration] = STATE(58),
    [sym_type_definition] = STATE(58),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(58),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(58),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(58),
    [sym_labeled_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_switch_statement] = STATE(58),
    [sym_case_statement] = STATE(58),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_seh_try_statement] = STATE(58),
    [sym_seh_leave_statement] = STATE(58),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(58),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(58),
    [sym_template_instantiation] = STATE(58),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(58),
    [sym_operator_cast_declaration] = STATE(58),
    [sym_constructor_or_destructor_definition] = STATE(58),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_alias_definition] = STATE(58),
    [sym_using_declaration] = STATE(58),
    [sym_alias_declaration] = STATE(58),
    [sym_static_assert_declaration] = STATE(58),
    [sym_concept_definition] = STATE(58),
    [sym_for_range_loop] = STATE(58),
    [sym_co_return_statement] = STATE(58),
    [sym_co_yield_statement] = STATE(58),
    [sym_throw_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(58),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [58] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [59] = {
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_case_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(56),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(56),
    [sym_template_instantiation] = STATE(56),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(56),
    [sym_operator_cast_declaration] = STATE(56),
    [sym_constructor_or_destructor_definition] = STATE(56),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_alias_definition] = STATE(56),
    [sym_using_declaration] = STATE(56),
    [sym_alias_declaration] = STATE(56),
    [sym_static_assert_declaration] = STATE(56),
    [sym_concept_definition] = STATE(56),
    [sym_for_range_loop] = STATE(56),
    [sym_co_return_statement] = STATE(56),
    [sym_co_yield_statement] = STATE(56),
    [sym_throw_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(56),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [60] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [61] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [62] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [63] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [64] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(842),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [65] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(844),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [66] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(846),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [67] = {
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_case_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(54),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(54),
    [sym_template_instantiation] = STATE(54),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(54),
    [sym_operator_cast_declaration] = STATE(54),
    [sym_constructor_or_destructor_definition] = STATE(54),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_alias_definition] = STATE(54),
    [sym_using_declaration] = STATE(54),
    [sym_alias_declaration] = STATE(54),
    [sym_static_assert_declaration] = STATE(54),
    [sym_concept_definition] = STATE(54),
    [sym_for_range_loop] = STATE(54),
    [sym_co_return_statement] = STATE(54),
    [sym_co_yield_statement] = STATE(54),
    [sym_throw_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(54),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(848),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [68] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(850),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [69] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(852),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [70] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(854),
    [aux_sym_preproc_include_token1] = ACTIONS(857),
    [aux_sym_preproc_def_token1] = ACTIONS(860),
    [aux_sym_preproc_if_token1] = ACTIONS(863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(866),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(866),
    [sym_preproc_directive] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(872),
    [anon_sym___extension__] = ACTIONS(875),
    [anon_sym_typedef] = ACTIONS(878),
    [anon_sym_extern] = ACTIONS(881),
    [anon_sym___attribute__] = ACTIONS(502),
    [anon_sym_COLON_COLON] = ACTIONS(505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(508),
    [anon_sym___declspec] = ACTIONS(511),
    [anon_sym___based] = ACTIONS(514),
    [anon_sym___cdecl] = ACTIONS(517),
    [anon_sym___clrcall] = ACTIONS(517),
    [anon_sym___stdcall] = ACTIONS(517),
    [anon_sym___fastcall] = ACTIONS(517),
    [anon_sym___thiscall] = ACTIONS(517),
    [anon_sym___vectorcall] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(887),
    [anon_sym_signed] = ACTIONS(523),
    [anon_sym_unsigned] = ACTIONS(523),
    [anon_sym_long] = ACTIONS(523),
    [anon_sym_short] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_static] = ACTIONS(529),
    [anon_sym_register] = ACTIONS(529),
    [anon_sym_inline] = ACTIONS(889),
    [anon_sym___inline] = ACTIONS(529),
    [anon_sym___inline__] = ACTIONS(529),
    [anon_sym___forceinline] = ACTIONS(529),
    [anon_sym_thread_local] = ACTIONS(529),
    [anon_sym___thread] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(535),
    [anon_sym_constexpr] = ACTIONS(535),
    [anon_sym_volatile] = ACTIONS(535),
    [anon_sym_restrict] = ACTIONS(535),
    [anon_sym___restrict__] = ACTIONS(535),
    [anon_sym__Atomic] = ACTIONS(535),
    [anon_sym__Noreturn] = ACTIONS(535),
    [anon_sym_noreturn] = ACTIONS(535),
    [anon_sym_mutable] = ACTIONS(535),
    [anon_sym_constinit] = ACTIONS(535),
    [anon_sym_consteval] = ACTIONS(535),
    [sym_primitive_type] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_union] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(892),
    [anon_sym_switch] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(907),
    [anon_sym_for] = ACTIONS(910),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_break] = ACTIONS(916),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_goto] = ACTIONS(922),
    [anon_sym___try] = ACTIONS(925),
    [anon_sym___leave] = ACTIONS(928),
    [anon_sym_not] = ACTIONS(478),
    [anon_sym_compl] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(592),
    [anon_sym_sizeof] = ACTIONS(595),
    [anon_sym___alignof__] = ACTIONS(598),
    [anon_sym___alignof] = ACTIONS(598),
    [anon_sym__alignof] = ACTIONS(598),
    [anon_sym_alignof] = ACTIONS(598),
    [anon_sym__Alignof] = ACTIONS(598),
    [anon_sym_offsetof] = ACTIONS(601),
    [anon_sym__Generic] = ACTIONS(604),
    [anon_sym_asm] = ACTIONS(607),
    [anon_sym___asm__] = ACTIONS(607),
    [sym_number_literal] = ACTIONS(610),
    [anon_sym_L_SQUOTE] = ACTIONS(613),
    [anon_sym_u_SQUOTE] = ACTIONS(613),
    [anon_sym_U_SQUOTE] = ACTIONS(613),
    [anon_sym_u8_SQUOTE] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_L_DQUOTE] = ACTIONS(616),
    [anon_sym_u_DQUOTE] = ACTIONS(616),
    [anon_sym_U_DQUOTE] = ACTIONS(616),
    [anon_sym_u8_DQUOTE] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym_true] = ACTIONS(619),
    [sym_false] = ACTIONS(619),
    [anon_sym_NULL] = ACTIONS(622),
    [anon_sym_nullptr] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(625),
    [anon_sym_decltype] = ACTIONS(628),
    [anon_sym_virtual] = ACTIONS(631),
    [anon_sym_alignas] = ACTIONS(634),
    [anon_sym_explicit] = ACTIONS(637),
    [anon_sym_typename] = ACTIONS(640),
    [anon_sym_template] = ACTIONS(931),
    [anon_sym_operator] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(934),
    [anon_sym_delete] = ACTIONS(652),
    [anon_sym_throw] = ACTIONS(937),
    [anon_sym_namespace] = ACTIONS(940),
    [anon_sym_using] = ACTIONS(943),
    [anon_sym_static_assert] = ACTIONS(946),
    [anon_sym_concept] = ACTIONS(949),
    [anon_sym_co_return] = ACTIONS(952),
    [anon_sym_co_yield] = ACTIONS(955),
    [anon_sym_R_DQUOTE] = ACTIONS(676),
    [anon_sym_LR_DQUOTE] = ACTIONS(676),
    [anon_sym_uR_DQUOTE] = ACTIONS(676),
    [anon_sym_UR_DQUOTE] = ACTIONS(676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(676),
    [anon_sym_co_await] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(682),
    [anon_sym_requires] = ACTIONS(685),
    [sym_this] = ACTIONS(619),
  },
  [71] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [72] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [73] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2261),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7084),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3315),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2094),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(7485),
    [sym__constructor_specifiers] = STATE(2094),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7485),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(962),
    [aux_sym_preproc_include_token1] = ACTIONS(965),
    [aux_sym_preproc_def_token1] = ACTIONS(968),
    [aux_sym_preproc_if_token1] = ACTIONS(971),
    [aux_sym_preproc_if_token2] = ACTIONS(461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(974),
    [sym_preproc_directive] = ACTIONS(977),
    [anon_sym_LPAREN2] = ACTIONS(469),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(475),
    [anon_sym_DASH] = ACTIONS(478),
    [anon_sym_PLUS] = ACTIONS(478),
    [anon_sym_STAR] = ACTIONS(481),
    [anon_sym_AMP_AMP] = ACTIONS(484),
    [anon_sym_AMP] = ACTIONS(487),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym___extension__] = ACTIONS(983),
    [anon_sym_typedef] = ACTIONS(986),
    [anon_sym_extern] = ACTIONS(989),
    [anon_sym___attribute__] = ACTIONS(502),
    [anon_sym_COLON_COLON] = ACTIONS(505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(508),
    [anon_sym___declspec] = ACTIONS(511),
    [anon_sym___based] = ACTIONS(514),
    [anon_sym___cdecl] = ACTIONS(517),
    [anon_sym___clrcall] = ACTIONS(517),
    [anon_sym___stdcall] = ACTIONS(517),
    [anon_sym___fastcall] = ACTIONS(517),
    [anon_sym___thiscall] = ACTIONS(517),
    [anon_sym___vectorcall] = ACTIONS(517),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_signed] = ACTIONS(523),
    [anon_sym_unsigned] = ACTIONS(523),
    [anon_sym_long] = ACTIONS(523),
    [anon_sym_short] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_static] = ACTIONS(529),
    [anon_sym_register] = ACTIONS(529),
    [anon_sym_inline] = ACTIONS(995),
    [anon_sym___inline] = ACTIONS(529),
    [anon_sym___inline__] = ACTIONS(529),
    [anon_sym___forceinline] = ACTIONS(529),
    [anon_sym_thread_local] = ACTIONS(529),
    [anon_sym___thread] = ACTIONS(529),
    [anon_sym_const] = ACTIONS(535),
    [anon_sym_constexpr] = ACTIONS(535),
    [anon_sym_volatile] = ACTIONS(535),
    [anon_sym_restrict] = ACTIONS(535),
    [anon_sym___restrict__] = ACTIONS(535),
    [anon_sym__Atomic] = ACTIONS(535),
    [anon_sym__Noreturn] = ACTIONS(535),
    [anon_sym_noreturn] = ACTIONS(535),
    [anon_sym_mutable] = ACTIONS(535),
    [anon_sym_constinit] = ACTIONS(535),
    [anon_sym_consteval] = ACTIONS(535),
    [sym_primitive_type] = ACTIONS(538),
    [anon_sym_enum] = ACTIONS(541),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_union] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1001),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1007),
    [anon_sym_while] = ACTIONS(1010),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1025),
    [anon_sym_goto] = ACTIONS(1028),
    [anon_sym___try] = ACTIONS(1031),
    [anon_sym___leave] = ACTIONS(1034),
    [anon_sym_not] = ACTIONS(478),
    [anon_sym_compl] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(592),
    [anon_sym_PLUS_PLUS] = ACTIONS(592),
    [anon_sym_sizeof] = ACTIONS(595),
    [anon_sym___alignof__] = ACTIONS(598),
    [anon_sym___alignof] = ACTIONS(598),
    [anon_sym__alignof] = ACTIONS(598),
    [anon_sym_alignof] = ACTIONS(598),
    [anon_sym__Alignof] = ACTIONS(598),
    [anon_sym_offsetof] = ACTIONS(601),
    [anon_sym__Generic] = ACTIONS(604),
    [anon_sym_asm] = ACTIONS(607),
    [anon_sym___asm__] = ACTIONS(607),
    [sym_number_literal] = ACTIONS(610),
    [anon_sym_L_SQUOTE] = ACTIONS(613),
    [anon_sym_u_SQUOTE] = ACTIONS(613),
    [anon_sym_U_SQUOTE] = ACTIONS(613),
    [anon_sym_u8_SQUOTE] = ACTIONS(613),
    [anon_sym_SQUOTE] = ACTIONS(613),
    [anon_sym_L_DQUOTE] = ACTIONS(616),
    [anon_sym_u_DQUOTE] = ACTIONS(616),
    [anon_sym_U_DQUOTE] = ACTIONS(616),
    [anon_sym_u8_DQUOTE] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym_true] = ACTIONS(619),
    [sym_false] = ACTIONS(619),
    [anon_sym_NULL] = ACTIONS(622),
    [anon_sym_nullptr] = ACTIONS(622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(625),
    [anon_sym_decltype] = ACTIONS(628),
    [anon_sym_virtual] = ACTIONS(631),
    [anon_sym_alignas] = ACTIONS(634),
    [anon_sym_explicit] = ACTIONS(637),
    [anon_sym_typename] = ACTIONS(640),
    [anon_sym_template] = ACTIONS(1037),
    [anon_sym_operator] = ACTIONS(646),
    [anon_sym_try] = ACTIONS(1040),
    [anon_sym_delete] = ACTIONS(652),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_namespace] = ACTIONS(1046),
    [anon_sym_using] = ACTIONS(1049),
    [anon_sym_static_assert] = ACTIONS(1052),
    [anon_sym_concept] = ACTIONS(1055),
    [anon_sym_co_return] = ACTIONS(1058),
    [anon_sym_co_yield] = ACTIONS(1061),
    [anon_sym_R_DQUOTE] = ACTIONS(676),
    [anon_sym_LR_DQUOTE] = ACTIONS(676),
    [anon_sym_uR_DQUOTE] = ACTIONS(676),
    [anon_sym_UR_DQUOTE] = ACTIONS(676),
    [anon_sym_u8R_DQUOTE] = ACTIONS(676),
    [anon_sym_co_await] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(682),
    [anon_sym_requires] = ACTIONS(685),
    [sym_this] = ACTIONS(619),
  },
  [74] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [75] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [76] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [77] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [78] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [79] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [80] = {
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_case_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(81),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(81),
    [sym_template_instantiation] = STATE(81),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(81),
    [sym_operator_cast_declaration] = STATE(81),
    [sym_constructor_or_destructor_definition] = STATE(81),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(81),
    [sym_namespace_alias_definition] = STATE(81),
    [sym_using_declaration] = STATE(81),
    [sym_alias_declaration] = STATE(81),
    [sym_static_assert_declaration] = STATE(81),
    [sym_concept_definition] = STATE(81),
    [sym_for_range_loop] = STATE(81),
    [sym_co_return_statement] = STATE(81),
    [sym_co_yield_statement] = STATE(81),
    [sym_throw_statement] = STATE(81),
    [sym_try_statement] = STATE(81),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(81),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [81] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [82] = {
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(75),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(75),
    [sym_labeled_statement] = STATE(75),
    [sym_expression_statement] = STATE(75),
    [sym_if_statement] = STATE(75),
    [sym_switch_statement] = STATE(75),
    [sym_case_statement] = STATE(75),
    [sym_while_statement] = STATE(75),
    [sym_do_statement] = STATE(75),
    [sym_for_statement] = STATE(75),
    [sym_return_statement] = STATE(75),
    [sym_break_statement] = STATE(75),
    [sym_continue_statement] = STATE(75),
    [sym_goto_statement] = STATE(75),
    [sym_seh_try_statement] = STATE(75),
    [sym_seh_leave_statement] = STATE(75),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(75),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(75),
    [sym_template_instantiation] = STATE(75),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(75),
    [sym_operator_cast_declaration] = STATE(75),
    [sym_constructor_or_destructor_definition] = STATE(75),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(75),
    [sym_namespace_alias_definition] = STATE(75),
    [sym_using_declaration] = STATE(75),
    [sym_alias_declaration] = STATE(75),
    [sym_static_assert_declaration] = STATE(75),
    [sym_concept_definition] = STATE(75),
    [sym_for_range_loop] = STATE(75),
    [sym_co_return_statement] = STATE(75),
    [sym_co_yield_statement] = STATE(75),
    [sym_throw_statement] = STATE(75),
    [sym_try_statement] = STATE(75),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(75),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [83] = {
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(97),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(97),
    [sym_labeled_statement] = STATE(97),
    [sym_expression_statement] = STATE(97),
    [sym_if_statement] = STATE(97),
    [sym_switch_statement] = STATE(97),
    [sym_case_statement] = STATE(97),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(97),
    [sym_for_statement] = STATE(97),
    [sym_return_statement] = STATE(97),
    [sym_break_statement] = STATE(97),
    [sym_continue_statement] = STATE(97),
    [sym_goto_statement] = STATE(97),
    [sym_seh_try_statement] = STATE(97),
    [sym_seh_leave_statement] = STATE(97),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(97),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(97),
    [sym_template_instantiation] = STATE(97),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(97),
    [sym_operator_cast_declaration] = STATE(97),
    [sym_constructor_or_destructor_definition] = STATE(97),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(97),
    [sym_namespace_alias_definition] = STATE(97),
    [sym_using_declaration] = STATE(97),
    [sym_alias_declaration] = STATE(97),
    [sym_static_assert_declaration] = STATE(97),
    [sym_concept_definition] = STATE(97),
    [sym_for_range_loop] = STATE(97),
    [sym_co_return_statement] = STATE(97),
    [sym_co_yield_statement] = STATE(97),
    [sym_throw_statement] = STATE(97),
    [sym_try_statement] = STATE(97),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(97),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [84] = {
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(77),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(77),
    [sym_labeled_statement] = STATE(77),
    [sym_expression_statement] = STATE(77),
    [sym_if_statement] = STATE(77),
    [sym_switch_statement] = STATE(77),
    [sym_case_statement] = STATE(77),
    [sym_while_statement] = STATE(77),
    [sym_do_statement] = STATE(77),
    [sym_for_statement] = STATE(77),
    [sym_return_statement] = STATE(77),
    [sym_break_statement] = STATE(77),
    [sym_continue_statement] = STATE(77),
    [sym_goto_statement] = STATE(77),
    [sym_seh_try_statement] = STATE(77),
    [sym_seh_leave_statement] = STATE(77),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(77),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(77),
    [sym_template_instantiation] = STATE(77),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(77),
    [sym_operator_cast_declaration] = STATE(77),
    [sym_constructor_or_destructor_definition] = STATE(77),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(77),
    [sym_namespace_alias_definition] = STATE(77),
    [sym_using_declaration] = STATE(77),
    [sym_alias_declaration] = STATE(77),
    [sym_static_assert_declaration] = STATE(77),
    [sym_concept_definition] = STATE(77),
    [sym_for_range_loop] = STATE(77),
    [sym_co_return_statement] = STATE(77),
    [sym_co_yield_statement] = STATE(77),
    [sym_throw_statement] = STATE(77),
    [sym_try_statement] = STATE(77),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(77),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [85] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2261),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7084),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3315),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2094),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(7485),
    [sym__constructor_specifiers] = STATE(2094),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7485),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(1086),
    [aux_sym_preproc_include_token1] = ACTIONS(1088),
    [aux_sym_preproc_def_token1] = ACTIONS(1090),
    [aux_sym_preproc_if_token1] = ACTIONS(1092),
    [aux_sym_preproc_if_token2] = ACTIONS(1094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1096),
    [sym_preproc_directive] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1110),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1138),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1144),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_static_assert] = ACTIONS(1148),
    [anon_sym_concept] = ACTIONS(1150),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [86] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_case_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(89),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(89),
    [sym_template_instantiation] = STATE(89),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(89),
    [sym_operator_cast_declaration] = STATE(89),
    [sym_constructor_or_destructor_definition] = STATE(89),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(89),
    [sym_namespace_alias_definition] = STATE(89),
    [sym_using_declaration] = STATE(89),
    [sym_alias_declaration] = STATE(89),
    [sym_static_assert_declaration] = STATE(89),
    [sym_concept_definition] = STATE(89),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(89),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [87] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [88] = {
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_case_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(78),
    [sym_co_return_statement] = STATE(78),
    [sym_co_yield_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [89] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [90] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [91] = {
    [sym_preproc_include] = STATE(90),
    [sym_preproc_def] = STATE(90),
    [sym_preproc_function_def] = STATE(90),
    [sym_preproc_call] = STATE(90),
    [sym_preproc_if] = STATE(90),
    [sym_preproc_ifdef] = STATE(90),
    [sym_function_definition] = STATE(90),
    [sym_declaration] = STATE(90),
    [sym_type_definition] = STATE(90),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(90),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(90),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(90),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(90),
    [sym_template_instantiation] = STATE(90),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(90),
    [sym_operator_cast_declaration] = STATE(90),
    [sym_constructor_or_destructor_definition] = STATE(90),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(90),
    [sym_namespace_alias_definition] = STATE(90),
    [sym_using_declaration] = STATE(90),
    [sym_alias_declaration] = STATE(90),
    [sym_static_assert_declaration] = STATE(90),
    [sym_concept_definition] = STATE(90),
    [sym_for_range_loop] = STATE(90),
    [sym_co_return_statement] = STATE(90),
    [sym_co_yield_statement] = STATE(90),
    [sym_throw_statement] = STATE(90),
    [sym_try_statement] = STATE(90),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(90),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [92] = {
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_case_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(79),
    [sym_co_return_statement] = STATE(79),
    [sym_co_yield_statement] = STATE(79),
    [sym_throw_statement] = STATE(79),
    [sym_try_statement] = STATE(79),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [93] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [94] = {
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_if] = STATE(85),
    [sym_preproc_ifdef] = STATE(85),
    [sym_function_definition] = STATE(85),
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_linkage_specification] = STATE(85),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2261),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7084),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(85),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3315),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(85),
    [sym_labeled_statement] = STATE(85),
    [sym_expression_statement] = STATE(85),
    [sym_if_statement] = STATE(85),
    [sym_switch_statement] = STATE(85),
    [sym_case_statement] = STATE(85),
    [sym_while_statement] = STATE(85),
    [sym_do_statement] = STATE(85),
    [sym_for_statement] = STATE(85),
    [sym_return_statement] = STATE(85),
    [sym_break_statement] = STATE(85),
    [sym_continue_statement] = STATE(85),
    [sym_goto_statement] = STATE(85),
    [sym_seh_try_statement] = STATE(85),
    [sym_seh_leave_statement] = STATE(85),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(85),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2094),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(85),
    [sym_template_instantiation] = STATE(85),
    [sym_operator_cast] = STATE(7485),
    [sym__constructor_specifiers] = STATE(2094),
    [sym_operator_cast_definition] = STATE(85),
    [sym_operator_cast_declaration] = STATE(85),
    [sym_constructor_or_destructor_definition] = STATE(85),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(85),
    [sym_namespace_alias_definition] = STATE(85),
    [sym_using_declaration] = STATE(85),
    [sym_alias_declaration] = STATE(85),
    [sym_static_assert_declaration] = STATE(85),
    [sym_concept_definition] = STATE(85),
    [sym_for_range_loop] = STATE(85),
    [sym_co_return_statement] = STATE(85),
    [sym_co_yield_statement] = STATE(85),
    [sym_throw_statement] = STATE(85),
    [sym_try_statement] = STATE(85),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7485),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(85),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(1086),
    [aux_sym_preproc_include_token1] = ACTIONS(1088),
    [aux_sym_preproc_def_token1] = ACTIONS(1090),
    [aux_sym_preproc_if_token1] = ACTIONS(1092),
    [aux_sym_preproc_if_token2] = ACTIONS(1172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1096),
    [sym_preproc_directive] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(1106),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1110),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1138),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1144),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_static_assert] = ACTIONS(1148),
    [anon_sym_concept] = ACTIONS(1150),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [95] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [96] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [97] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2099),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2099),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [98] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2307),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7079),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3327),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5477),
    [sym__expression_not_binary] = STATE(5571),
    [sym__string] = STATE(5571),
    [sym_conditional_expression] = STATE(5571),
    [sym_assignment_expression] = STATE(5571),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(5571),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(5571),
    [sym_cast_expression] = STATE(5571),
    [sym_sizeof_expression] = STATE(5571),
    [sym_alignof_expression] = STATE(5571),
    [sym_offsetof_expression] = STATE(5571),
    [sym_generic_expression] = STATE(5571),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(5571),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(5571),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(5571),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2097),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7455),
    [sym__constructor_specifiers] = STATE(2097),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(5571),
    [sym_new_expression] = STATE(5571),
    [sym_delete_expression] = STATE(5571),
    [sym_requires_clause] = STATE(5571),
    [sym_requires_expression] = STATE(5571),
    [sym_lambda_expression] = STATE(5571),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(5571),
    [sym_parameter_pack_expansion] = STATE(5571),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7455),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2097),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1185),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1221),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(1233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___based] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1245),
    [anon_sym___clrcall] = ACTIONS(1245),
    [anon_sym___stdcall] = ACTIONS(1245),
    [anon_sym___fastcall] = ACTIONS(1245),
    [anon_sym___thiscall] = ACTIONS(1245),
    [anon_sym___vectorcall] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_register] = ACTIONS(1257),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1257),
    [anon_sym___inline__] = ACTIONS(1257),
    [anon_sym___forceinline] = ACTIONS(1257),
    [anon_sym_thread_local] = ACTIONS(1257),
    [anon_sym___thread] = ACTIONS(1257),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_not] = ACTIONS(1209),
    [anon_sym_compl] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [anon_sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1359),
    [anon_sym_typename] = ACTIONS(1362),
    [anon_sym_template] = ACTIONS(1365),
    [anon_sym_operator] = ACTIONS(1368),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_namespace] = ACTIONS(1380),
    [anon_sym_using] = ACTIONS(1383),
    [anon_sym_static_assert] = ACTIONS(1386),
    [anon_sym_concept] = ACTIONS(1389),
    [anon_sym_co_return] = ACTIONS(1392),
    [anon_sym_co_yield] = ACTIONS(1395),
    [anon_sym_R_DQUOTE] = ACTIONS(1398),
    [anon_sym_LR_DQUOTE] = ACTIONS(1398),
    [anon_sym_uR_DQUOTE] = ACTIONS(1398),
    [anon_sym_UR_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1398),
    [anon_sym_co_await] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1404),
    [anon_sym_requires] = ACTIONS(1407),
    [sym_this] = ACTIONS(1341),
  },
  [99] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(1123),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2307),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7079),
    [sym_array_declarator] = STATE(6968),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3327),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5477),
    [sym__expression_not_binary] = STATE(5571),
    [sym__string] = STATE(5571),
    [sym_conditional_expression] = STATE(5571),
    [sym_assignment_expression] = STATE(5571),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(5571),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(5571),
    [sym_cast_expression] = STATE(5571),
    [sym_sizeof_expression] = STATE(5571),
    [sym_alignof_expression] = STATE(5571),
    [sym_offsetof_expression] = STATE(5571),
    [sym_generic_expression] = STATE(5571),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(5571),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(5571),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(5571),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2097),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7455),
    [sym__constructor_specifiers] = STATE(2097),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(5275),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(5571),
    [sym_new_expression] = STATE(5571),
    [sym_delete_expression] = STATE(5571),
    [sym_requires_clause] = STATE(5571),
    [sym_requires_expression] = STATE(5571),
    [sym_lambda_expression] = STATE(5571),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(5571),
    [sym_parameter_pack_expansion] = STATE(5571),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6209),
    [sym_qualified_identifier] = STATE(3870),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_qualified_operator_cast_identifier] = STATE(7455),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2097),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [100] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5838),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [101] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5838),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [102] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5838),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [103] = {
    [sym_declaration] = STATE(102),
    [sym_type_definition] = STATE(102),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5838),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(102),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(102),
    [sym_labeled_statement] = STATE(102),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(102),
    [sym_switch_statement] = STATE(102),
    [sym_while_statement] = STATE(102),
    [sym_do_statement] = STATE(102),
    [sym_for_statement] = STATE(102),
    [sym_return_statement] = STATE(102),
    [sym_break_statement] = STATE(102),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(102),
    [sym_seh_try_statement] = STATE(102),
    [sym_seh_leave_statement] = STATE(102),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(102),
    [sym_co_return_statement] = STATE(102),
    [sym_co_yield_statement] = STATE(102),
    [sym_throw_statement] = STATE(102),
    [sym_try_statement] = STATE(102),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [104] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5838),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1467),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1518),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_goto] = ACTIONS(1539),
    [anon_sym___try] = ACTIONS(1542),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1599),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1605),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1608),
    [anon_sym_co_yield] = ACTIONS(1611),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [105] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [106] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1628),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1634),
    [anon_sym_typedef] = ACTIONS(1637),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1646),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1679),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1682),
    [anon_sym_co_yield] = ACTIONS(1685),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [107] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [108] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [109] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [110] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5820),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [111] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [112] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5820),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [113] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym___extension__] = ACTIONS(1704),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1722),
    [anon_sym_for] = ACTIONS(1725),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1734),
    [anon_sym_goto] = ACTIONS(1737),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(1743),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1746),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1752),
    [anon_sym_co_yield] = ACTIONS(1755),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [114] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [115] = {
    [sym_declaration] = STATE(119),
    [sym_type_definition] = STATE(119),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5854),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(119),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(119),
    [sym_co_return_statement] = STATE(119),
    [sym_co_yield_statement] = STATE(119),
    [sym_throw_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(119),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [116] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [117] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5820),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [sym_identifier] = ACTIONS(1760),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym___extension__] = ACTIONS(1766),
    [anon_sym_typedef] = ACTIONS(1769),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1778),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1796),
    [anon_sym_goto] = ACTIONS(1799),
    [anon_sym___try] = ACTIONS(1802),
    [anon_sym___leave] = ACTIONS(1805),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1814),
    [anon_sym_co_yield] = ACTIONS(1817),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [118] = {
    [sym_declaration] = STATE(120),
    [sym_type_definition] = STATE(120),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5854),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(120),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym_seh_try_statement] = STATE(120),
    [sym_seh_leave_statement] = STATE(120),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(120),
    [sym_co_return_statement] = STATE(120),
    [sym_co_yield_statement] = STATE(120),
    [sym_throw_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(120),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [119] = {
    [sym_declaration] = STATE(122),
    [sym_type_definition] = STATE(122),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5854),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(122),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(122),
    [sym_co_return_statement] = STATE(122),
    [sym_co_yield_statement] = STATE(122),
    [sym_throw_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [120] = {
    [sym_declaration] = STATE(122),
    [sym_type_definition] = STATE(122),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5854),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(122),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(122),
    [sym_co_return_statement] = STATE(122),
    [sym_co_yield_statement] = STATE(122),
    [sym_throw_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym___extension__] = ACTIONS(1102),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [121] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5843),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [122] = {
    [sym_declaration] = STATE(122),
    [sym_type_definition] = STATE(122),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5854),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(122),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(122),
    [sym_labeled_statement] = STATE(122),
    [sym_expression_statement] = STATE(122),
    [sym_if_statement] = STATE(122),
    [sym_switch_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_do_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_return_statement] = STATE(122),
    [sym_break_statement] = STATE(122),
    [sym_continue_statement] = STATE(122),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(122),
    [sym_seh_leave_statement] = STATE(122),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(122),
    [sym_co_return_statement] = STATE(122),
    [sym_co_yield_statement] = STATE(122),
    [sym_throw_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(1820),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym___extension__] = ACTIONS(1826),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym___try] = ACTIONS(1862),
    [anon_sym___leave] = ACTIONS(1865),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1868),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1874),
    [anon_sym_co_yield] = ACTIONS(1877),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [123] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5820),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [124] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5820),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [125] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1929),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1962),
    [anon_sym___leave] = ACTIONS(1965),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1971),
    [anon_sym_co_return] = ACTIONS(1974),
    [anon_sym_co_yield] = ACTIONS(1977),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [127] = {
    [sym_declaration] = STATE(128),
    [sym_type_definition] = STATE(128),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(128),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(128),
    [sym_labeled_statement] = STATE(128),
    [sym_expression_statement] = STATE(128),
    [sym_if_statement] = STATE(128),
    [sym_switch_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_do_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_return_statement] = STATE(128),
    [sym_break_statement] = STATE(128),
    [sym_continue_statement] = STATE(128),
    [sym_goto_statement] = STATE(128),
    [sym_seh_try_statement] = STATE(128),
    [sym_seh_leave_statement] = STATE(128),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(128),
    [sym_co_return_statement] = STATE(128),
    [sym_co_yield_statement] = STATE(128),
    [sym_throw_statement] = STATE(128),
    [sym_try_statement] = STATE(128),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [128] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [129] = {
    [sym_declaration] = STATE(125),
    [sym_type_definition] = STATE(125),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5798),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(1202),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_compound_statement] = STATE(125),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_attributed_statement] = STATE(125),
    [sym_labeled_statement] = STATE(125),
    [sym_expression_statement] = STATE(125),
    [sym_if_statement] = STATE(125),
    [sym_switch_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_do_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_return_statement] = STATE(125),
    [sym_break_statement] = STATE(125),
    [sym_continue_statement] = STATE(125),
    [sym_goto_statement] = STATE(125),
    [sym_seh_try_statement] = STATE(125),
    [sym_seh_leave_statement] = STATE(125),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(125),
    [sym_co_return_statement] = STATE(125),
    [sym_co_yield_statement] = STATE(125),
    [sym_throw_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_case_statement_repeat1] = STATE(125),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [130] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(8740),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(8742),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [131] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(9422),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(9398),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [132] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(8833),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(8834),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [133] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(9594),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(9592),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [134] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(8769),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(8764),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [135] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(9294),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(9293),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [136] = {
    [sym_declaration] = STATE(382),
    [sym_type_definition] = STATE(4858),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5844),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(4858),
    [sym__for_statement_body] = STATE(8914),
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8741),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(4858),
    [sym__for_range_loop_body] = STATE(8915),
    [sym_init_statement] = STATE(2316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [137] = {
    [sym_declaration] = STATE(1983),
    [sym_type_definition] = STATE(1983),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5837),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_expression_statement] = STATE(1983),
    [sym__expression] = STATE(5078),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8728),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_alias_declaration] = STATE(1983),
    [sym_init_statement] = STATE(150),
    [sym_condition_declaration] = STATE(9231),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1992),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3874),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3797),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9204),
    [sym__unary_right_fold] = STATE(9113),
    [sym__binary_fold] = STATE(9201),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3836),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9312),
    [sym__unary_right_fold] = STATE(9314),
    [sym__binary_fold] = STATE(9315),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3825),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9163),
    [sym__unary_right_fold] = STATE(9164),
    [sym__binary_fold] = STATE(9170),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3875),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9004),
    [sym__unary_right_fold] = STATE(9003),
    [sym__binary_fold] = STATE(9002),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3816),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(8861),
    [sym__unary_right_fold] = STATE(8858),
    [sym__binary_fold] = STATE(8856),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3792),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym__expression] = STATE(3891),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8575),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9568),
    [sym__unary_right_fold] = STATE(9581),
    [sym__binary_fold] = STATE(9569),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6381),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(4068),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_compound_statement] = STATE(8062),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8113),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8062),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8113),
    [sym_variadic_parameter_declaration] = STATE(8113),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6360),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(2058),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [147] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(5951),
    [sym__declarator] = STATE(7342),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9180),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(3918),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6385),
    [sym_qualified_identifier] = STATE(3920),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(5951),
    [sym__declarator] = STATE(7342),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9365),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(3918),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6385),
    [sym_qualified_identifier] = STATE(3920),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [149] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(5951),
    [sym__declarator] = STATE(7342),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3351),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9560),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9567),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(3918),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9568),
    [sym__unary_right_fold] = STATE(9581),
    [sym__binary_fold] = STATE(9569),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6385),
    [sym_qualified_identifier] = STATE(3920),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9687),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [150] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5979),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__expression] = STATE(5293),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9638),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8428),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4095),
    [sym_template_function] = STATE(4495),
    [sym_condition_declaration] = STATE(9638),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6371),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(4112),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [151] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_include_token1] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [anon_sym_COMMA] = ACTIONS(2182),
    [anon_sym_RPAREN] = ACTIONS(2182),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_PIPE_PIPE] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym___cdecl] = ACTIONS(2184),
    [anon_sym___clrcall] = ACTIONS(2184),
    [anon_sym___stdcall] = ACTIONS(2184),
    [anon_sym___fastcall] = ACTIONS(2184),
    [anon_sym___thiscall] = ACTIONS(2184),
    [anon_sym___vectorcall] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_EQ] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___except] = ACTIONS(2184),
    [anon_sym___finally] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_or] = ACTIONS(2184),
    [anon_sym_and] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_final] = ACTIONS(2184),
    [anon_sym_override] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_GT2] = ACTIONS(2182),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_concept] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [153] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___except] = ACTIONS(2212),
    [anon_sym___finally] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_GT2] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [155] = {
    [sym__expression] = STATE(3419),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_initializer_list] = STATE(3712),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [156] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(856),
    [sym_attributed_statement] = STATE(856),
    [sym_labeled_statement] = STATE(856),
    [sym_expression_statement] = STATE(856),
    [sym_if_statement] = STATE(856),
    [sym_switch_statement] = STATE(856),
    [sym_case_statement] = STATE(856),
    [sym_while_statement] = STATE(856),
    [sym_do_statement] = STATE(856),
    [sym_for_statement] = STATE(856),
    [sym_return_statement] = STATE(856),
    [sym_break_statement] = STATE(856),
    [sym_continue_statement] = STATE(856),
    [sym_goto_statement] = STATE(856),
    [sym_seh_try_statement] = STATE(856),
    [sym_seh_leave_statement] = STATE(856),
    [sym__expression] = STATE(5093),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8543),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(856),
    [sym_co_return_statement] = STATE(856),
    [sym_co_yield_statement] = STATE(856),
    [sym_throw_statement] = STATE(856),
    [sym_try_statement] = STATE(856),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [157] = {
    [sym__expression] = STATE(3612),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_initializer_list] = STATE(3955),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2138),
    [sym_this] = ACTIONS(2114),
  },
  [158] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(333),
    [sym_attributed_statement] = STATE(333),
    [sym_labeled_statement] = STATE(333),
    [sym_expression_statement] = STATE(333),
    [sym_if_statement] = STATE(333),
    [sym_switch_statement] = STATE(333),
    [sym_case_statement] = STATE(333),
    [sym_while_statement] = STATE(333),
    [sym_do_statement] = STATE(333),
    [sym_for_statement] = STATE(333),
    [sym_return_statement] = STATE(333),
    [sym_break_statement] = STATE(333),
    [sym_continue_statement] = STATE(333),
    [sym_goto_statement] = STATE(333),
    [sym_seh_try_statement] = STATE(333),
    [sym_seh_leave_statement] = STATE(333),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(333),
    [sym_co_return_statement] = STATE(333),
    [sym_co_yield_statement] = STATE(333),
    [sym_throw_statement] = STATE(333),
    [sym_try_statement] = STATE(333),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(587),
    [sym_attributed_statement] = STATE(587),
    [sym_labeled_statement] = STATE(587),
    [sym_expression_statement] = STATE(587),
    [sym_if_statement] = STATE(587),
    [sym_switch_statement] = STATE(587),
    [sym_case_statement] = STATE(587),
    [sym_while_statement] = STATE(587),
    [sym_do_statement] = STATE(587),
    [sym_for_statement] = STATE(587),
    [sym_return_statement] = STATE(587),
    [sym_break_statement] = STATE(587),
    [sym_continue_statement] = STATE(587),
    [sym_goto_statement] = STATE(587),
    [sym_seh_try_statement] = STATE(587),
    [sym_seh_leave_statement] = STATE(587),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(587),
    [sym_co_return_statement] = STATE(587),
    [sym_co_yield_statement] = STATE(587),
    [sym_throw_statement] = STATE(587),
    [sym_try_statement] = STATE(587),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(831),
    [sym_attributed_statement] = STATE(831),
    [sym_labeled_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_if_statement] = STATE(831),
    [sym_switch_statement] = STATE(831),
    [sym_case_statement] = STATE(831),
    [sym_while_statement] = STATE(831),
    [sym_do_statement] = STATE(831),
    [sym_for_statement] = STATE(831),
    [sym_return_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_goto_statement] = STATE(831),
    [sym_seh_try_statement] = STATE(831),
    [sym_seh_leave_statement] = STATE(831),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(831),
    [sym_co_return_statement] = STATE(831),
    [sym_co_yield_statement] = STATE(831),
    [sym_throw_statement] = STATE(831),
    [sym_try_statement] = STATE(831),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1191),
    [sym_attributed_statement] = STATE(1192),
    [sym_labeled_statement] = STATE(1194),
    [sym_expression_statement] = STATE(1195),
    [sym_if_statement] = STATE(1196),
    [sym_switch_statement] = STATE(1197),
    [sym_case_statement] = STATE(1198),
    [sym_while_statement] = STATE(1199),
    [sym_do_statement] = STATE(1201),
    [sym_for_statement] = STATE(1203),
    [sym_return_statement] = STATE(1204),
    [sym_break_statement] = STATE(1205),
    [sym_continue_statement] = STATE(1206),
    [sym_goto_statement] = STATE(1207),
    [sym_seh_try_statement] = STATE(1208),
    [sym_seh_leave_statement] = STATE(1209),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1161),
    [sym_co_return_statement] = STATE(1211),
    [sym_co_yield_statement] = STATE(1212),
    [sym_throw_statement] = STATE(1213),
    [sym_try_statement] = STATE(1214),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1188),
    [sym_attributed_statement] = STATE(1188),
    [sym_labeled_statement] = STATE(1188),
    [sym_expression_statement] = STATE(1188),
    [sym_if_statement] = STATE(1188),
    [sym_switch_statement] = STATE(1188),
    [sym_case_statement] = STATE(1188),
    [sym_while_statement] = STATE(1188),
    [sym_do_statement] = STATE(1188),
    [sym_for_statement] = STATE(1188),
    [sym_return_statement] = STATE(1188),
    [sym_break_statement] = STATE(1188),
    [sym_continue_statement] = STATE(1188),
    [sym_goto_statement] = STATE(1188),
    [sym_seh_try_statement] = STATE(1188),
    [sym_seh_leave_statement] = STATE(1188),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1188),
    [sym_co_return_statement] = STATE(1188),
    [sym_co_yield_statement] = STATE(1188),
    [sym_throw_statement] = STATE(1188),
    [sym_try_statement] = STATE(1188),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(316),
    [sym_attributed_statement] = STATE(316),
    [sym_labeled_statement] = STATE(316),
    [sym_expression_statement] = STATE(316),
    [sym_if_statement] = STATE(316),
    [sym_switch_statement] = STATE(316),
    [sym_case_statement] = STATE(316),
    [sym_while_statement] = STATE(316),
    [sym_do_statement] = STATE(316),
    [sym_for_statement] = STATE(316),
    [sym_return_statement] = STATE(316),
    [sym_break_statement] = STATE(316),
    [sym_continue_statement] = STATE(316),
    [sym_goto_statement] = STATE(316),
    [sym_seh_try_statement] = STATE(316),
    [sym_seh_leave_statement] = STATE(316),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(316),
    [sym_co_return_statement] = STATE(316),
    [sym_co_yield_statement] = STATE(316),
    [sym_throw_statement] = STATE(316),
    [sym_try_statement] = STATE(316),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(270),
    [sym_attributed_statement] = STATE(270),
    [sym_labeled_statement] = STATE(270),
    [sym_expression_statement] = STATE(270),
    [sym_if_statement] = STATE(270),
    [sym_switch_statement] = STATE(270),
    [sym_case_statement] = STATE(270),
    [sym_while_statement] = STATE(270),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(270),
    [sym_return_statement] = STATE(270),
    [sym_break_statement] = STATE(270),
    [sym_continue_statement] = STATE(270),
    [sym_goto_statement] = STATE(270),
    [sym_seh_try_statement] = STATE(270),
    [sym_seh_leave_statement] = STATE(270),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(270),
    [sym_co_return_statement] = STATE(270),
    [sym_co_yield_statement] = STATE(270),
    [sym_throw_statement] = STATE(270),
    [sym_try_statement] = STATE(270),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(8197),
    [sym_attributed_statement] = STATE(8197),
    [sym_labeled_statement] = STATE(8197),
    [sym_expression_statement] = STATE(8197),
    [sym_if_statement] = STATE(8197),
    [sym_switch_statement] = STATE(8197),
    [sym_case_statement] = STATE(8197),
    [sym_while_statement] = STATE(8197),
    [sym_do_statement] = STATE(8197),
    [sym_for_statement] = STATE(8197),
    [sym_return_statement] = STATE(8197),
    [sym_break_statement] = STATE(8197),
    [sym_continue_statement] = STATE(8197),
    [sym_goto_statement] = STATE(8197),
    [sym_seh_try_statement] = STATE(8197),
    [sym_seh_leave_statement] = STATE(8197),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(8197),
    [sym_co_return_statement] = STATE(8197),
    [sym_co_yield_statement] = STATE(8197),
    [sym_throw_statement] = STATE(8197),
    [sym_try_statement] = STATE(8197),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(669),
    [sym_attributed_statement] = STATE(669),
    [sym_labeled_statement] = STATE(669),
    [sym_expression_statement] = STATE(669),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(669),
    [sym_case_statement] = STATE(669),
    [sym_while_statement] = STATE(669),
    [sym_do_statement] = STATE(669),
    [sym_for_statement] = STATE(669),
    [sym_return_statement] = STATE(669),
    [sym_break_statement] = STATE(669),
    [sym_continue_statement] = STATE(669),
    [sym_goto_statement] = STATE(669),
    [sym_seh_try_statement] = STATE(669),
    [sym_seh_leave_statement] = STATE(669),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(669),
    [sym_co_return_statement] = STATE(669),
    [sym_co_yield_statement] = STATE(669),
    [sym_throw_statement] = STATE(669),
    [sym_try_statement] = STATE(669),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1158),
    [sym_attributed_statement] = STATE(1158),
    [sym_labeled_statement] = STATE(1158),
    [sym_expression_statement] = STATE(1158),
    [sym_if_statement] = STATE(1158),
    [sym_switch_statement] = STATE(1158),
    [sym_case_statement] = STATE(1158),
    [sym_while_statement] = STATE(1158),
    [sym_do_statement] = STATE(1158),
    [sym_for_statement] = STATE(1158),
    [sym_return_statement] = STATE(1158),
    [sym_break_statement] = STATE(1158),
    [sym_continue_statement] = STATE(1158),
    [sym_goto_statement] = STATE(1158),
    [sym_seh_try_statement] = STATE(1158),
    [sym_seh_leave_statement] = STATE(1158),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1158),
    [sym_co_return_statement] = STATE(1158),
    [sym_co_yield_statement] = STATE(1158),
    [sym_throw_statement] = STATE(1158),
    [sym_try_statement] = STATE(1158),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(9419),
    [sym_attributed_statement] = STATE(9419),
    [sym_labeled_statement] = STATE(9419),
    [sym_expression_statement] = STATE(9419),
    [sym_if_statement] = STATE(9419),
    [sym_switch_statement] = STATE(9419),
    [sym_case_statement] = STATE(9419),
    [sym_while_statement] = STATE(9419),
    [sym_do_statement] = STATE(9419),
    [sym_for_statement] = STATE(9419),
    [sym_return_statement] = STATE(9419),
    [sym_break_statement] = STATE(9419),
    [sym_continue_statement] = STATE(9419),
    [sym_goto_statement] = STATE(9419),
    [sym_seh_try_statement] = STATE(9419),
    [sym_seh_leave_statement] = STATE(9419),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(9419),
    [sym_co_return_statement] = STATE(9419),
    [sym_co_yield_statement] = STATE(9419),
    [sym_throw_statement] = STATE(9419),
    [sym_try_statement] = STATE(9419),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(834),
    [sym_attributed_statement] = STATE(834),
    [sym_labeled_statement] = STATE(834),
    [sym_expression_statement] = STATE(834),
    [sym_if_statement] = STATE(834),
    [sym_switch_statement] = STATE(834),
    [sym_case_statement] = STATE(834),
    [sym_while_statement] = STATE(834),
    [sym_do_statement] = STATE(834),
    [sym_for_statement] = STATE(834),
    [sym_return_statement] = STATE(834),
    [sym_break_statement] = STATE(834),
    [sym_continue_statement] = STATE(834),
    [sym_goto_statement] = STATE(834),
    [sym_seh_try_statement] = STATE(834),
    [sym_seh_leave_statement] = STATE(834),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(834),
    [sym_co_return_statement] = STATE(834),
    [sym_co_yield_statement] = STATE(834),
    [sym_throw_statement] = STATE(834),
    [sym_try_statement] = STATE(834),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(9399),
    [sym_attributed_statement] = STATE(9399),
    [sym_labeled_statement] = STATE(9399),
    [sym_expression_statement] = STATE(9399),
    [sym_if_statement] = STATE(9399),
    [sym_switch_statement] = STATE(9399),
    [sym_case_statement] = STATE(9399),
    [sym_while_statement] = STATE(9399),
    [sym_do_statement] = STATE(9399),
    [sym_for_statement] = STATE(9399),
    [sym_return_statement] = STATE(9399),
    [sym_break_statement] = STATE(9399),
    [sym_continue_statement] = STATE(9399),
    [sym_goto_statement] = STATE(9399),
    [sym_seh_try_statement] = STATE(9399),
    [sym_seh_leave_statement] = STATE(9399),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(9399),
    [sym_co_return_statement] = STATE(9399),
    [sym_co_yield_statement] = STATE(9399),
    [sym_throw_statement] = STATE(9399),
    [sym_try_statement] = STATE(9399),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(344),
    [sym_attributed_statement] = STATE(344),
    [sym_labeled_statement] = STATE(344),
    [sym_expression_statement] = STATE(344),
    [sym_if_statement] = STATE(344),
    [sym_switch_statement] = STATE(344),
    [sym_case_statement] = STATE(344),
    [sym_while_statement] = STATE(344),
    [sym_do_statement] = STATE(344),
    [sym_for_statement] = STATE(344),
    [sym_return_statement] = STATE(344),
    [sym_break_statement] = STATE(344),
    [sym_continue_statement] = STATE(344),
    [sym_goto_statement] = STATE(344),
    [sym_seh_try_statement] = STATE(344),
    [sym_seh_leave_statement] = STATE(344),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(344),
    [sym_co_return_statement] = STATE(344),
    [sym_co_yield_statement] = STATE(344),
    [sym_throw_statement] = STATE(344),
    [sym_try_statement] = STATE(344),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(346),
    [sym_attributed_statement] = STATE(347),
    [sym_labeled_statement] = STATE(348),
    [sym_expression_statement] = STATE(350),
    [sym_if_statement] = STATE(349),
    [sym_switch_statement] = STATE(342),
    [sym_case_statement] = STATE(336),
    [sym_while_statement] = STATE(334),
    [sym_do_statement] = STATE(331),
    [sym_for_statement] = STATE(330),
    [sym_return_statement] = STATE(329),
    [sym_break_statement] = STATE(328),
    [sym_continue_statement] = STATE(327),
    [sym_goto_statement] = STATE(326),
    [sym_seh_try_statement] = STATE(325),
    [sym_seh_leave_statement] = STATE(324),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(321),
    [sym_co_return_statement] = STATE(319),
    [sym_co_yield_statement] = STATE(318),
    [sym_throw_statement] = STATE(313),
    [sym_try_statement] = STATE(312),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(310),
    [sym_labeled_statement] = STATE(309),
    [sym_expression_statement] = STATE(308),
    [sym_if_statement] = STATE(305),
    [sym_switch_statement] = STATE(304),
    [sym_case_statement] = STATE(303),
    [sym_while_statement] = STATE(302),
    [sym_do_statement] = STATE(297),
    [sym_for_statement] = STATE(296),
    [sym_return_statement] = STATE(295),
    [sym_break_statement] = STATE(291),
    [sym_continue_statement] = STATE(290),
    [sym_goto_statement] = STATE(289),
    [sym_seh_try_statement] = STATE(332),
    [sym_seh_leave_statement] = STATE(278),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(286),
    [sym_co_return_statement] = STATE(273),
    [sym_co_yield_statement] = STATE(274),
    [sym_throw_statement] = STATE(272),
    [sym_try_statement] = STATE(281),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1215),
    [sym_attributed_statement] = STATE(1216),
    [sym_labeled_statement] = STATE(1217),
    [sym_expression_statement] = STATE(1218),
    [sym_if_statement] = STATE(1219),
    [sym_switch_statement] = STATE(1220),
    [sym_case_statement] = STATE(1221),
    [sym_while_statement] = STATE(1222),
    [sym_do_statement] = STATE(1223),
    [sym_for_statement] = STATE(1227),
    [sym_return_statement] = STATE(1229),
    [sym_break_statement] = STATE(1231),
    [sym_continue_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1233),
    [sym_seh_try_statement] = STATE(1234),
    [sym_seh_leave_statement] = STATE(1235),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1236),
    [sym_co_return_statement] = STATE(1238),
    [sym_co_yield_statement] = STATE(1239),
    [sym_throw_statement] = STATE(1240),
    [sym_try_statement] = STATE(1162),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(549),
    [sym_attributed_statement] = STATE(549),
    [sym_labeled_statement] = STATE(549),
    [sym_expression_statement] = STATE(549),
    [sym_if_statement] = STATE(549),
    [sym_switch_statement] = STATE(549),
    [sym_case_statement] = STATE(549),
    [sym_while_statement] = STATE(549),
    [sym_do_statement] = STATE(549),
    [sym_for_statement] = STATE(549),
    [sym_return_statement] = STATE(549),
    [sym_break_statement] = STATE(549),
    [sym_continue_statement] = STATE(549),
    [sym_goto_statement] = STATE(549),
    [sym_seh_try_statement] = STATE(549),
    [sym_seh_leave_statement] = STATE(549),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(549),
    [sym_co_return_statement] = STATE(549),
    [sym_co_yield_statement] = STATE(549),
    [sym_throw_statement] = STATE(549),
    [sym_try_statement] = STATE(549),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(740),
    [sym_attributed_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_case_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_goto_statement] = STATE(740),
    [sym_seh_try_statement] = STATE(740),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(740),
    [sym_co_return_statement] = STATE(740),
    [sym_co_yield_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(660),
    [sym_attributed_statement] = STATE(660),
    [sym_labeled_statement] = STATE(660),
    [sym_expression_statement] = STATE(660),
    [sym_if_statement] = STATE(660),
    [sym_switch_statement] = STATE(660),
    [sym_case_statement] = STATE(660),
    [sym_while_statement] = STATE(660),
    [sym_do_statement] = STATE(660),
    [sym_for_statement] = STATE(660),
    [sym_return_statement] = STATE(660),
    [sym_break_statement] = STATE(660),
    [sym_continue_statement] = STATE(660),
    [sym_goto_statement] = STATE(660),
    [sym_seh_try_statement] = STATE(660),
    [sym_seh_leave_statement] = STATE(660),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(660),
    [sym_co_return_statement] = STATE(660),
    [sym_co_yield_statement] = STATE(660),
    [sym_throw_statement] = STATE(660),
    [sym_try_statement] = STATE(660),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(9377),
    [sym_attributed_statement] = STATE(9377),
    [sym_labeled_statement] = STATE(9377),
    [sym_expression_statement] = STATE(9377),
    [sym_if_statement] = STATE(9377),
    [sym_switch_statement] = STATE(9377),
    [sym_case_statement] = STATE(9377),
    [sym_while_statement] = STATE(9377),
    [sym_do_statement] = STATE(9377),
    [sym_for_statement] = STATE(9377),
    [sym_return_statement] = STATE(9377),
    [sym_break_statement] = STATE(9377),
    [sym_continue_statement] = STATE(9377),
    [sym_goto_statement] = STATE(9377),
    [sym_seh_try_statement] = STATE(9377),
    [sym_seh_leave_statement] = STATE(9377),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(9377),
    [sym_co_return_statement] = STATE(9377),
    [sym_co_yield_statement] = STATE(9377),
    [sym_throw_statement] = STATE(9377),
    [sym_try_statement] = STATE(9377),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(833),
    [sym_attributed_statement] = STATE(833),
    [sym_labeled_statement] = STATE(833),
    [sym_expression_statement] = STATE(833),
    [sym_if_statement] = STATE(833),
    [sym_switch_statement] = STATE(833),
    [sym_case_statement] = STATE(833),
    [sym_while_statement] = STATE(833),
    [sym_do_statement] = STATE(833),
    [sym_for_statement] = STATE(833),
    [sym_return_statement] = STATE(833),
    [sym_break_statement] = STATE(833),
    [sym_continue_statement] = STATE(833),
    [sym_goto_statement] = STATE(833),
    [sym_seh_try_statement] = STATE(833),
    [sym_seh_leave_statement] = STATE(833),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(833),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(833),
    [sym_throw_statement] = STATE(833),
    [sym_try_statement] = STATE(833),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2341),
    [anon_sym_switch] = ACTIONS(2344),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2353),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2359),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2365),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2371),
    [anon_sym___try] = ACTIONS(2374),
    [anon_sym___leave] = ACTIONS(2377),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2425),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2431),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(9352),
    [sym_attributed_statement] = STATE(9352),
    [sym_labeled_statement] = STATE(9352),
    [sym_expression_statement] = STATE(9352),
    [sym_if_statement] = STATE(9352),
    [sym_switch_statement] = STATE(9352),
    [sym_case_statement] = STATE(9352),
    [sym_while_statement] = STATE(9352),
    [sym_do_statement] = STATE(9352),
    [sym_for_statement] = STATE(9352),
    [sym_return_statement] = STATE(9352),
    [sym_break_statement] = STATE(9352),
    [sym_continue_statement] = STATE(9352),
    [sym_goto_statement] = STATE(9352),
    [sym_seh_try_statement] = STATE(9352),
    [sym_seh_leave_statement] = STATE(9352),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(9352),
    [sym_co_return_statement] = STATE(9352),
    [sym_co_yield_statement] = STATE(9352),
    [sym_throw_statement] = STATE(9352),
    [sym_try_statement] = STATE(9352),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(8047),
    [sym_attributed_statement] = STATE(8047),
    [sym_labeled_statement] = STATE(8047),
    [sym_expression_statement] = STATE(8047),
    [sym_if_statement] = STATE(8047),
    [sym_switch_statement] = STATE(8047),
    [sym_case_statement] = STATE(8047),
    [sym_while_statement] = STATE(8047),
    [sym_do_statement] = STATE(8047),
    [sym_for_statement] = STATE(8047),
    [sym_return_statement] = STATE(8047),
    [sym_break_statement] = STATE(8047),
    [sym_continue_statement] = STATE(8047),
    [sym_goto_statement] = STATE(8047),
    [sym_seh_try_statement] = STATE(8047),
    [sym_seh_leave_statement] = STATE(8047),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(8047),
    [sym_co_return_statement] = STATE(8047),
    [sym_co_yield_statement] = STATE(8047),
    [sym_throw_statement] = STATE(8047),
    [sym_try_statement] = STATE(8047),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(669),
    [sym_attributed_statement] = STATE(669),
    [sym_labeled_statement] = STATE(669),
    [sym_expression_statement] = STATE(669),
    [sym_if_statement] = STATE(669),
    [sym_switch_statement] = STATE(669),
    [sym_case_statement] = STATE(669),
    [sym_while_statement] = STATE(669),
    [sym_do_statement] = STATE(669),
    [sym_for_statement] = STATE(669),
    [sym_return_statement] = STATE(669),
    [sym_break_statement] = STATE(669),
    [sym_continue_statement] = STATE(669),
    [sym_goto_statement] = STATE(669),
    [sym_seh_try_statement] = STATE(669),
    [sym_seh_leave_statement] = STATE(669),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(669),
    [sym_co_return_statement] = STATE(669),
    [sym_co_yield_statement] = STATE(669),
    [sym_throw_statement] = STATE(669),
    [sym_try_statement] = STATE(669),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [185] = {
    [sym__expression] = STATE(3906),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_initializer_list] = STATE(4276),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2448),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(666),
    [sym_attributed_statement] = STATE(665),
    [sym_labeled_statement] = STATE(664),
    [sym_expression_statement] = STATE(663),
    [sym_if_statement] = STATE(662),
    [sym_switch_statement] = STATE(661),
    [sym_case_statement] = STATE(659),
    [sym_while_statement] = STATE(658),
    [sym_do_statement] = STATE(657),
    [sym_for_statement] = STATE(656),
    [sym_return_statement] = STATE(655),
    [sym_break_statement] = STATE(654),
    [sym_continue_statement] = STATE(651),
    [sym_goto_statement] = STATE(650),
    [sym_seh_try_statement] = STATE(649),
    [sym_seh_leave_statement] = STATE(648),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(647),
    [sym_co_return_statement] = STATE(646),
    [sym_co_yield_statement] = STATE(645),
    [sym_throw_statement] = STATE(644),
    [sym_try_statement] = STATE(643),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(642),
    [sym_attributed_statement] = STATE(641),
    [sym_labeled_statement] = STATE(640),
    [sym_expression_statement] = STATE(639),
    [sym_if_statement] = STATE(638),
    [sym_switch_statement] = STATE(637),
    [sym_case_statement] = STATE(636),
    [sym_while_statement] = STATE(634),
    [sym_do_statement] = STATE(633),
    [sym_for_statement] = STATE(632),
    [sym_return_statement] = STATE(631),
    [sym_break_statement] = STATE(630),
    [sym_continue_statement] = STATE(629),
    [sym_goto_statement] = STATE(628),
    [sym_seh_try_statement] = STATE(627),
    [sym_seh_leave_statement] = STATE(626),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(625),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(623),
    [sym_throw_statement] = STATE(698),
    [sym_try_statement] = STATE(667),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [188] = {
    [sym__expression] = STATE(3851),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_COLON] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(833),
    [sym_attributed_statement] = STATE(833),
    [sym_labeled_statement] = STATE(833),
    [sym_expression_statement] = STATE(833),
    [sym_if_statement] = STATE(833),
    [sym_switch_statement] = STATE(833),
    [sym_case_statement] = STATE(833),
    [sym_while_statement] = STATE(833),
    [sym_do_statement] = STATE(833),
    [sym_for_statement] = STATE(833),
    [sym_return_statement] = STATE(833),
    [sym_break_statement] = STATE(833),
    [sym_continue_statement] = STATE(833),
    [sym_goto_statement] = STATE(833),
    [sym_seh_try_statement] = STATE(833),
    [sym_seh_leave_statement] = STATE(833),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(833),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(833),
    [sym_throw_statement] = STATE(833),
    [sym_try_statement] = STATE(833),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(1181),
    [sym_attributed_statement] = STATE(1181),
    [sym_labeled_statement] = STATE(1181),
    [sym_expression_statement] = STATE(1181),
    [sym_if_statement] = STATE(1181),
    [sym_switch_statement] = STATE(1181),
    [sym_case_statement] = STATE(1181),
    [sym_while_statement] = STATE(1181),
    [sym_do_statement] = STATE(1181),
    [sym_for_statement] = STATE(1181),
    [sym_return_statement] = STATE(1181),
    [sym_break_statement] = STATE(1181),
    [sym_continue_statement] = STATE(1181),
    [sym_goto_statement] = STATE(1181),
    [sym_seh_try_statement] = STATE(1181),
    [sym_seh_leave_statement] = STATE(1181),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1181),
    [sym_co_return_statement] = STATE(1181),
    [sym_co_yield_statement] = STATE(1181),
    [sym_throw_statement] = STATE(1181),
    [sym_try_statement] = STATE(1181),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2347),
    [anon_sym_default] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2515),
    [anon_sym_do] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2527),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_goto] = ACTIONS(2533),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym___leave] = ACTIONS(2539),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2542),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_co_return] = ACTIONS(2548),
    [anon_sym_co_yield] = ACTIONS(2551),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(642),
    [sym_attributed_statement] = STATE(641),
    [sym_labeled_statement] = STATE(640),
    [sym_expression_statement] = STATE(639),
    [sym_if_statement] = STATE(638),
    [sym_switch_statement] = STATE(637),
    [sym_case_statement] = STATE(636),
    [sym_while_statement] = STATE(634),
    [sym_do_statement] = STATE(633),
    [sym_for_statement] = STATE(632),
    [sym_return_statement] = STATE(631),
    [sym_break_statement] = STATE(630),
    [sym_continue_statement] = STATE(629),
    [sym_goto_statement] = STATE(628),
    [sym_seh_try_statement] = STATE(627),
    [sym_seh_leave_statement] = STATE(626),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(625),
    [sym_co_return_statement] = STATE(624),
    [sym_co_yield_statement] = STATE(623),
    [sym_throw_statement] = STATE(698),
    [sym_try_statement] = STATE(667),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(192),
    [sym_compound_statement] = STATE(834),
    [sym_attributed_statement] = STATE(834),
    [sym_labeled_statement] = STATE(834),
    [sym_expression_statement] = STATE(834),
    [sym_if_statement] = STATE(834),
    [sym_switch_statement] = STATE(834),
    [sym_case_statement] = STATE(834),
    [sym_while_statement] = STATE(834),
    [sym_do_statement] = STATE(834),
    [sym_for_statement] = STATE(834),
    [sym_return_statement] = STATE(834),
    [sym_break_statement] = STATE(834),
    [sym_continue_statement] = STATE(834),
    [sym_goto_statement] = STATE(834),
    [sym_seh_try_statement] = STATE(834),
    [sym_seh_leave_statement] = STATE(834),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(834),
    [sym_co_return_statement] = STATE(834),
    [sym_co_yield_statement] = STATE(834),
    [sym_throw_statement] = STATE(834),
    [sym_try_statement] = STATE(834),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(192),
    [sym_identifier] = ACTIONS(2554),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2323),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2566),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2575),
    [anon_sym_for] = ACTIONS(2578),
    [anon_sym_return] = ACTIONS(2581),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2587),
    [anon_sym_goto] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2593),
    [anon_sym___leave] = ACTIONS(2377),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2596),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2599),
    [anon_sym_co_return] = ACTIONS(2602),
    [anon_sym_co_yield] = ACTIONS(2605),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1174),
    [sym_attributed_statement] = STATE(1174),
    [sym_labeled_statement] = STATE(1174),
    [sym_expression_statement] = STATE(1174),
    [sym_if_statement] = STATE(1174),
    [sym_switch_statement] = STATE(1174),
    [sym_case_statement] = STATE(1174),
    [sym_while_statement] = STATE(1174),
    [sym_do_statement] = STATE(1174),
    [sym_for_statement] = STATE(1174),
    [sym_return_statement] = STATE(1174),
    [sym_break_statement] = STATE(1174),
    [sym_continue_statement] = STATE(1174),
    [sym_goto_statement] = STATE(1174),
    [sym_seh_try_statement] = STATE(1174),
    [sym_seh_leave_statement] = STATE(1174),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1174),
    [sym_co_return_statement] = STATE(1174),
    [sym_co_yield_statement] = STATE(1174),
    [sym_throw_statement] = STATE(1174),
    [sym_try_statement] = STATE(1174),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(404),
    [sym_attributed_statement] = STATE(404),
    [sym_labeled_statement] = STATE(404),
    [sym_expression_statement] = STATE(404),
    [sym_if_statement] = STATE(404),
    [sym_switch_statement] = STATE(404),
    [sym_case_statement] = STATE(404),
    [sym_while_statement] = STATE(404),
    [sym_do_statement] = STATE(404),
    [sym_for_statement] = STATE(404),
    [sym_return_statement] = STATE(404),
    [sym_break_statement] = STATE(404),
    [sym_continue_statement] = STATE(404),
    [sym_goto_statement] = STATE(404),
    [sym_seh_try_statement] = STATE(404),
    [sym_seh_leave_statement] = STATE(404),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(404),
    [sym_co_return_statement] = STATE(404),
    [sym_co_yield_statement] = STATE(404),
    [sym_throw_statement] = STATE(404),
    [sym_try_statement] = STATE(404),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(501),
    [sym_attributed_statement] = STATE(501),
    [sym_labeled_statement] = STATE(501),
    [sym_expression_statement] = STATE(501),
    [sym_if_statement] = STATE(501),
    [sym_switch_statement] = STATE(501),
    [sym_case_statement] = STATE(501),
    [sym_while_statement] = STATE(501),
    [sym_do_statement] = STATE(501),
    [sym_for_statement] = STATE(501),
    [sym_return_statement] = STATE(501),
    [sym_break_statement] = STATE(501),
    [sym_continue_statement] = STATE(501),
    [sym_goto_statement] = STATE(501),
    [sym_seh_try_statement] = STATE(501),
    [sym_seh_leave_statement] = STATE(501),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(501),
    [sym_co_return_statement] = STATE(501),
    [sym_co_yield_statement] = STATE(501),
    [sym_throw_statement] = STATE(501),
    [sym_try_statement] = STATE(501),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1178),
    [sym_attributed_statement] = STATE(1178),
    [sym_labeled_statement] = STATE(1178),
    [sym_expression_statement] = STATE(1178),
    [sym_if_statement] = STATE(1178),
    [sym_switch_statement] = STATE(1178),
    [sym_case_statement] = STATE(1178),
    [sym_while_statement] = STATE(1178),
    [sym_do_statement] = STATE(1178),
    [sym_for_statement] = STATE(1178),
    [sym_return_statement] = STATE(1178),
    [sym_break_statement] = STATE(1178),
    [sym_continue_statement] = STATE(1178),
    [sym_goto_statement] = STATE(1178),
    [sym_seh_try_statement] = STATE(1178),
    [sym_seh_leave_statement] = STATE(1178),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1178),
    [sym_co_return_statement] = STATE(1178),
    [sym_co_yield_statement] = STATE(1178),
    [sym_throw_statement] = STATE(1178),
    [sym_try_statement] = STATE(1178),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(223),
    [sym_compound_statement] = STATE(1156),
    [sym_attributed_statement] = STATE(1156),
    [sym_labeled_statement] = STATE(1156),
    [sym_expression_statement] = STATE(1156),
    [sym_if_statement] = STATE(1156),
    [sym_switch_statement] = STATE(1156),
    [sym_case_statement] = STATE(1156),
    [sym_while_statement] = STATE(1156),
    [sym_do_statement] = STATE(1156),
    [sym_for_statement] = STATE(1156),
    [sym_return_statement] = STATE(1156),
    [sym_break_statement] = STATE(1156),
    [sym_continue_statement] = STATE(1156),
    [sym_goto_statement] = STATE(1156),
    [sym_seh_try_statement] = STATE(1156),
    [sym_seh_leave_statement] = STATE(1156),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1156),
    [sym_co_return_statement] = STATE(1156),
    [sym_co_yield_statement] = STATE(1156),
    [sym_throw_statement] = STATE(1156),
    [sym_try_statement] = STATE(1156),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(222),
    [sym_compound_statement] = STATE(833),
    [sym_attributed_statement] = STATE(833),
    [sym_labeled_statement] = STATE(833),
    [sym_expression_statement] = STATE(833),
    [sym_if_statement] = STATE(833),
    [sym_switch_statement] = STATE(833),
    [sym_case_statement] = STATE(833),
    [sym_while_statement] = STATE(833),
    [sym_do_statement] = STATE(833),
    [sym_for_statement] = STATE(833),
    [sym_return_statement] = STATE(833),
    [sym_break_statement] = STATE(833),
    [sym_continue_statement] = STATE(833),
    [sym_goto_statement] = STATE(833),
    [sym_seh_try_statement] = STATE(833),
    [sym_seh_leave_statement] = STATE(833),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(833),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(833),
    [sym_throw_statement] = STATE(833),
    [sym_try_statement] = STATE(833),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(507),
    [sym_attributed_statement] = STATE(507),
    [sym_labeled_statement] = STATE(507),
    [sym_expression_statement] = STATE(507),
    [sym_if_statement] = STATE(507),
    [sym_switch_statement] = STATE(507),
    [sym_case_statement] = STATE(507),
    [sym_while_statement] = STATE(507),
    [sym_do_statement] = STATE(507),
    [sym_for_statement] = STATE(507),
    [sym_return_statement] = STATE(507),
    [sym_break_statement] = STATE(507),
    [sym_continue_statement] = STATE(507),
    [sym_goto_statement] = STATE(507),
    [sym_seh_try_statement] = STATE(507),
    [sym_seh_leave_statement] = STATE(507),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(507),
    [sym_co_return_statement] = STATE(507),
    [sym_co_yield_statement] = STATE(507),
    [sym_throw_statement] = STATE(507),
    [sym_try_statement] = STATE(507),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(463),
    [sym_attributed_statement] = STATE(463),
    [sym_labeled_statement] = STATE(463),
    [sym_expression_statement] = STATE(463),
    [sym_if_statement] = STATE(463),
    [sym_switch_statement] = STATE(463),
    [sym_case_statement] = STATE(463),
    [sym_while_statement] = STATE(463),
    [sym_do_statement] = STATE(463),
    [sym_for_statement] = STATE(463),
    [sym_return_statement] = STATE(463),
    [sym_break_statement] = STATE(463),
    [sym_continue_statement] = STATE(463),
    [sym_goto_statement] = STATE(463),
    [sym_seh_try_statement] = STATE(463),
    [sym_seh_leave_statement] = STATE(463),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(463),
    [sym_co_return_statement] = STATE(463),
    [sym_co_yield_statement] = STATE(463),
    [sym_throw_statement] = STATE(463),
    [sym_try_statement] = STATE(463),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2610),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2628),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2640),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2649),
    [anon_sym___try] = ACTIONS(2652),
    [anon_sym___leave] = ACTIONS(2655),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2658),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_co_return] = ACTIONS(2664),
    [anon_sym_co_yield] = ACTIONS(2667),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(351),
    [sym_attributed_statement] = STATE(351),
    [sym_labeled_statement] = STATE(351),
    [sym_expression_statement] = STATE(351),
    [sym_if_statement] = STATE(351),
    [sym_switch_statement] = STATE(351),
    [sym_case_statement] = STATE(351),
    [sym_while_statement] = STATE(351),
    [sym_do_statement] = STATE(351),
    [sym_for_statement] = STATE(351),
    [sym_return_statement] = STATE(351),
    [sym_break_statement] = STATE(351),
    [sym_continue_statement] = STATE(351),
    [sym_goto_statement] = STATE(351),
    [sym_seh_try_statement] = STATE(351),
    [sym_seh_leave_statement] = STATE(351),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(351),
    [sym_co_return_statement] = STATE(351),
    [sym_co_yield_statement] = STATE(351),
    [sym_throw_statement] = STATE(351),
    [sym_try_statement] = STATE(351),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(8799),
    [sym_attributed_statement] = STATE(8799),
    [sym_labeled_statement] = STATE(8799),
    [sym_expression_statement] = STATE(8799),
    [sym_if_statement] = STATE(8799),
    [sym_switch_statement] = STATE(8799),
    [sym_case_statement] = STATE(8799),
    [sym_while_statement] = STATE(8799),
    [sym_do_statement] = STATE(8799),
    [sym_for_statement] = STATE(8799),
    [sym_return_statement] = STATE(8799),
    [sym_break_statement] = STATE(8799),
    [sym_continue_statement] = STATE(8799),
    [sym_goto_statement] = STATE(8799),
    [sym_seh_try_statement] = STATE(8799),
    [sym_seh_leave_statement] = STATE(8799),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(8799),
    [sym_co_return_statement] = STATE(8799),
    [sym_co_yield_statement] = STATE(8799),
    [sym_throw_statement] = STATE(8799),
    [sym_try_statement] = STATE(8799),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(483),
    [sym_attributed_statement] = STATE(483),
    [sym_labeled_statement] = STATE(483),
    [sym_expression_statement] = STATE(483),
    [sym_if_statement] = STATE(483),
    [sym_switch_statement] = STATE(483),
    [sym_case_statement] = STATE(483),
    [sym_while_statement] = STATE(483),
    [sym_do_statement] = STATE(483),
    [sym_for_statement] = STATE(483),
    [sym_return_statement] = STATE(483),
    [sym_break_statement] = STATE(483),
    [sym_continue_statement] = STATE(483),
    [sym_goto_statement] = STATE(483),
    [sym_seh_try_statement] = STATE(483),
    [sym_seh_leave_statement] = STATE(483),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(483),
    [sym_co_return_statement] = STATE(483),
    [sym_co_yield_statement] = STATE(483),
    [sym_throw_statement] = STATE(483),
    [sym_try_statement] = STATE(483),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(517),
    [sym_attributed_statement] = STATE(518),
    [sym_labeled_statement] = STATE(523),
    [sym_expression_statement] = STATE(524),
    [sym_if_statement] = STATE(525),
    [sym_switch_statement] = STATE(473),
    [sym_case_statement] = STATE(497),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(445),
    [sym_for_statement] = STATE(446),
    [sym_return_statement] = STATE(447),
    [sym_break_statement] = STATE(448),
    [sym_continue_statement] = STATE(449),
    [sym_goto_statement] = STATE(450),
    [sym_seh_try_statement] = STATE(451),
    [sym_seh_leave_statement] = STATE(453),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(456),
    [sym_co_yield_statement] = STATE(458),
    [sym_throw_statement] = STATE(461),
    [sym_try_statement] = STATE(462),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(464),
    [sym_attributed_statement] = STATE(467),
    [sym_labeled_statement] = STATE(468),
    [sym_expression_statement] = STATE(470),
    [sym_if_statement] = STATE(471),
    [sym_switch_statement] = STATE(475),
    [sym_case_statement] = STATE(478),
    [sym_while_statement] = STATE(439),
    [sym_do_statement] = STATE(488),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(494),
    [sym_break_statement] = STATE(496),
    [sym_continue_statement] = STATE(498),
    [sym_goto_statement] = STATE(499),
    [sym_seh_try_statement] = STATE(500),
    [sym_seh_leave_statement] = STATE(502),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(504),
    [sym_co_return_statement] = STATE(505),
    [sym_co_yield_statement] = STATE(508),
    [sym_throw_statement] = STATE(510),
    [sym_try_statement] = STATE(511),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(660),
    [sym_attributed_statement] = STATE(660),
    [sym_labeled_statement] = STATE(660),
    [sym_expression_statement] = STATE(660),
    [sym_if_statement] = STATE(660),
    [sym_switch_statement] = STATE(660),
    [sym_case_statement] = STATE(660),
    [sym_while_statement] = STATE(660),
    [sym_do_statement] = STATE(660),
    [sym_for_statement] = STATE(660),
    [sym_return_statement] = STATE(660),
    [sym_break_statement] = STATE(660),
    [sym_continue_statement] = STATE(660),
    [sym_goto_statement] = STATE(660),
    [sym_seh_try_statement] = STATE(660),
    [sym_seh_leave_statement] = STATE(660),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(660),
    [sym_co_return_statement] = STATE(660),
    [sym_co_yield_statement] = STATE(660),
    [sym_throw_statement] = STATE(660),
    [sym_try_statement] = STATE(660),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(593),
    [sym_attributed_statement] = STATE(593),
    [sym_labeled_statement] = STATE(593),
    [sym_expression_statement] = STATE(593),
    [sym_if_statement] = STATE(593),
    [sym_switch_statement] = STATE(593),
    [sym_case_statement] = STATE(593),
    [sym_while_statement] = STATE(593),
    [sym_do_statement] = STATE(593),
    [sym_for_statement] = STATE(593),
    [sym_return_statement] = STATE(593),
    [sym_break_statement] = STATE(593),
    [sym_continue_statement] = STATE(593),
    [sym_goto_statement] = STATE(593),
    [sym_seh_try_statement] = STATE(593),
    [sym_seh_leave_statement] = STATE(593),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(593),
    [sym_co_return_statement] = STATE(593),
    [sym_co_yield_statement] = STATE(593),
    [sym_throw_statement] = STATE(593),
    [sym_try_statement] = STATE(593),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(189),
    [sym_compound_statement] = STATE(9190),
    [sym_attributed_statement] = STATE(9190),
    [sym_labeled_statement] = STATE(9190),
    [sym_expression_statement] = STATE(9190),
    [sym_if_statement] = STATE(9190),
    [sym_switch_statement] = STATE(9190),
    [sym_case_statement] = STATE(9190),
    [sym_while_statement] = STATE(9190),
    [sym_do_statement] = STATE(9190),
    [sym_for_statement] = STATE(9190),
    [sym_return_statement] = STATE(9190),
    [sym_break_statement] = STATE(9190),
    [sym_continue_statement] = STATE(9190),
    [sym_goto_statement] = STATE(9190),
    [sym_seh_try_statement] = STATE(9190),
    [sym_seh_leave_statement] = STATE(9190),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(9190),
    [sym_co_return_statement] = STATE(9190),
    [sym_co_yield_statement] = STATE(9190),
    [sym_throw_statement] = STATE(9190),
    [sym_try_statement] = STATE(9190),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(189),
    [sym_identifier] = ACTIONS(2298),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(851),
    [sym_attributed_statement] = STATE(851),
    [sym_labeled_statement] = STATE(851),
    [sym_expression_statement] = STATE(851),
    [sym_if_statement] = STATE(851),
    [sym_switch_statement] = STATE(851),
    [sym_case_statement] = STATE(851),
    [sym_while_statement] = STATE(851),
    [sym_do_statement] = STATE(851),
    [sym_for_statement] = STATE(851),
    [sym_return_statement] = STATE(851),
    [sym_break_statement] = STATE(851),
    [sym_continue_statement] = STATE(851),
    [sym_goto_statement] = STATE(851),
    [sym_seh_try_statement] = STATE(851),
    [sym_seh_leave_statement] = STATE(851),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(851),
    [sym_co_return_statement] = STATE(851),
    [sym_co_yield_statement] = STATE(851),
    [sym_throw_statement] = STATE(851),
    [sym_try_statement] = STATE(851),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(463),
    [sym_attributed_statement] = STATE(463),
    [sym_labeled_statement] = STATE(463),
    [sym_expression_statement] = STATE(463),
    [sym_if_statement] = STATE(463),
    [sym_switch_statement] = STATE(463),
    [sym_case_statement] = STATE(463),
    [sym_while_statement] = STATE(463),
    [sym_do_statement] = STATE(463),
    [sym_for_statement] = STATE(463),
    [sym_return_statement] = STATE(463),
    [sym_break_statement] = STATE(463),
    [sym_continue_statement] = STATE(463),
    [sym_goto_statement] = STATE(463),
    [sym_seh_try_statement] = STATE(463),
    [sym_seh_leave_statement] = STATE(463),
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(463),
    [sym_co_return_statement] = STATE(463),
    [sym_co_yield_statement] = STATE(463),
    [sym_throw_statement] = STATE(463),
    [sym_try_statement] = STATE(463),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(856),
    [sym_attributed_statement] = STATE(856),
    [sym_labeled_statement] = STATE(856),
    [sym_expression_statement] = STATE(856),
    [sym_if_statement] = STATE(856),
    [sym_switch_statement] = STATE(856),
    [sym_case_statement] = STATE(856),
    [sym_while_statement] = STATE(856),
    [sym_do_statement] = STATE(856),
    [sym_for_statement] = STATE(856),
    [sym_return_statement] = STATE(856),
    [sym_break_statement] = STATE(856),
    [sym_continue_statement] = STATE(856),
    [sym_goto_statement] = STATE(856),
    [sym_seh_try_statement] = STATE(856),
    [sym_seh_leave_statement] = STATE(856),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(856),
    [sym_co_return_statement] = STATE(856),
    [sym_co_yield_statement] = STATE(856),
    [sym_throw_statement] = STATE(856),
    [sym_try_statement] = STATE(856),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(333),
    [sym_attributed_statement] = STATE(333),
    [sym_labeled_statement] = STATE(333),
    [sym_expression_statement] = STATE(333),
    [sym_if_statement] = STATE(333),
    [sym_switch_statement] = STATE(333),
    [sym_case_statement] = STATE(333),
    [sym_while_statement] = STATE(333),
    [sym_do_statement] = STATE(333),
    [sym_for_statement] = STATE(333),
    [sym_return_statement] = STATE(333),
    [sym_break_statement] = STATE(333),
    [sym_continue_statement] = STATE(333),
    [sym_goto_statement] = STATE(333),
    [sym_seh_try_statement] = STATE(333),
    [sym_seh_leave_statement] = STATE(333),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(333),
    [sym_co_return_statement] = STATE(333),
    [sym_co_yield_statement] = STATE(333),
    [sym_throw_statement] = STATE(333),
    [sym_try_statement] = STATE(333),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2685),
    [anon_sym_default] = ACTIONS(2688),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2700),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2709),
    [anon_sym___try] = ACTIONS(2712),
    [anon_sym___leave] = ACTIONS(2715),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2718),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_co_return] = ACTIONS(2724),
    [anon_sym_co_yield] = ACTIONS(2727),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(772),
    [sym_attributed_statement] = STATE(771),
    [sym_labeled_statement] = STATE(770),
    [sym_expression_statement] = STATE(768),
    [sym_if_statement] = STATE(767),
    [sym_switch_statement] = STATE(766),
    [sym_case_statement] = STATE(765),
    [sym_while_statement] = STATE(764),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(750),
    [sym_return_statement] = STATE(749),
    [sym_break_statement] = STATE(745),
    [sym_continue_statement] = STATE(741),
    [sym_goto_statement] = STATE(739),
    [sym_seh_try_statement] = STATE(737),
    [sym_seh_leave_statement] = STATE(735),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(734),
    [sym_co_return_statement] = STATE(727),
    [sym_co_yield_statement] = STATE(726),
    [sym_throw_statement] = STATE(717),
    [sym_try_statement] = STATE(707),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(573),
    [sym_attributed_statement] = STATE(573),
    [sym_labeled_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_switch_statement] = STATE(573),
    [sym_case_statement] = STATE(573),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_seh_try_statement] = STATE(573),
    [sym_seh_leave_statement] = STATE(573),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(573),
    [sym_co_return_statement] = STATE(573),
    [sym_co_yield_statement] = STATE(573),
    [sym_throw_statement] = STATE(573),
    [sym_try_statement] = STATE(573),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(159),
    [sym_compound_statement] = STATE(306),
    [sym_attributed_statement] = STATE(306),
    [sym_labeled_statement] = STATE(306),
    [sym_expression_statement] = STATE(306),
    [sym_if_statement] = STATE(306),
    [sym_switch_statement] = STATE(306),
    [sym_case_statement] = STATE(306),
    [sym_while_statement] = STATE(306),
    [sym_do_statement] = STATE(306),
    [sym_for_statement] = STATE(306),
    [sym_return_statement] = STATE(306),
    [sym_break_statement] = STATE(306),
    [sym_continue_statement] = STATE(306),
    [sym_goto_statement] = STATE(306),
    [sym_seh_try_statement] = STATE(306),
    [sym_seh_leave_statement] = STATE(306),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9350),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(306),
    [sym_co_return_statement] = STATE(306),
    [sym_co_yield_statement] = STATE(306),
    [sym_throw_statement] = STATE(306),
    [sym_try_statement] = STATE(306),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(555),
    [sym_attributed_statement] = STATE(555),
    [sym_labeled_statement] = STATE(555),
    [sym_expression_statement] = STATE(555),
    [sym_if_statement] = STATE(555),
    [sym_switch_statement] = STATE(555),
    [sym_case_statement] = STATE(555),
    [sym_while_statement] = STATE(555),
    [sym_do_statement] = STATE(555),
    [sym_for_statement] = STATE(555),
    [sym_return_statement] = STATE(555),
    [sym_break_statement] = STATE(555),
    [sym_continue_statement] = STATE(555),
    [sym_goto_statement] = STATE(555),
    [sym_seh_try_statement] = STATE(555),
    [sym_seh_leave_statement] = STATE(555),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(555),
    [sym_co_return_statement] = STATE(555),
    [sym_co_yield_statement] = STATE(555),
    [sym_throw_statement] = STATE(555),
    [sym_try_statement] = STATE(555),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [217] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(802),
    [sym_attributed_statement] = STATE(801),
    [sym_labeled_statement] = STATE(800),
    [sym_expression_statement] = STATE(799),
    [sym_if_statement] = STATE(798),
    [sym_switch_statement] = STATE(797),
    [sym_case_statement] = STATE(796),
    [sym_while_statement] = STATE(795),
    [sym_do_statement] = STATE(794),
    [sym_for_statement] = STATE(793),
    [sym_return_statement] = STATE(792),
    [sym_break_statement] = STATE(791),
    [sym_continue_statement] = STATE(788),
    [sym_goto_statement] = STATE(787),
    [sym_seh_try_statement] = STATE(785),
    [sym_seh_leave_statement] = STATE(784),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(782),
    [sym_co_return_statement] = STATE(779),
    [sym_co_yield_statement] = STATE(775),
    [sym_throw_statement] = STATE(774),
    [sym_try_statement] = STATE(773),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [218] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(740),
    [sym_attributed_statement] = STATE(740),
    [sym_labeled_statement] = STATE(740),
    [sym_expression_statement] = STATE(740),
    [sym_if_statement] = STATE(740),
    [sym_switch_statement] = STATE(740),
    [sym_case_statement] = STATE(740),
    [sym_while_statement] = STATE(740),
    [sym_do_statement] = STATE(740),
    [sym_for_statement] = STATE(740),
    [sym_return_statement] = STATE(740),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(740),
    [sym_goto_statement] = STATE(740),
    [sym_seh_try_statement] = STATE(740),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(740),
    [sym_co_return_statement] = STATE(740),
    [sym_co_yield_statement] = STATE(740),
    [sym_throw_statement] = STATE(740),
    [sym_try_statement] = STATE(740),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [219] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(826),
    [sym_attributed_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_expression_statement] = STATE(826),
    [sym_if_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_do_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_goto_statement] = STATE(826),
    [sym_seh_try_statement] = STATE(826),
    [sym_seh_leave_statement] = STATE(826),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(826),
    [sym_co_return_statement] = STATE(826),
    [sym_co_yield_statement] = STATE(826),
    [sym_throw_statement] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [220] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_seh_try_statement] = STATE(804),
    [sym_seh_leave_statement] = STATE(804),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(804),
    [sym_co_return_statement] = STATE(804),
    [sym_co_yield_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_try_statement] = STATE(804),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(586),
    [sym_attributed_statement] = STATE(586),
    [sym_labeled_statement] = STATE(586),
    [sym_expression_statement] = STATE(586),
    [sym_if_statement] = STATE(586),
    [sym_switch_statement] = STATE(586),
    [sym_case_statement] = STATE(586),
    [sym_while_statement] = STATE(586),
    [sym_do_statement] = STATE(586),
    [sym_for_statement] = STATE(586),
    [sym_return_statement] = STATE(586),
    [sym_break_statement] = STATE(586),
    [sym_continue_statement] = STATE(586),
    [sym_goto_statement] = STATE(586),
    [sym_seh_try_statement] = STATE(586),
    [sym_seh_leave_statement] = STATE(586),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(586),
    [sym_co_return_statement] = STATE(586),
    [sym_co_yield_statement] = STATE(586),
    [sym_throw_statement] = STATE(586),
    [sym_try_statement] = STATE(586),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(222),
    [sym_compound_statement] = STATE(833),
    [sym_attributed_statement] = STATE(833),
    [sym_labeled_statement] = STATE(833),
    [sym_expression_statement] = STATE(833),
    [sym_if_statement] = STATE(833),
    [sym_switch_statement] = STATE(833),
    [sym_case_statement] = STATE(833),
    [sym_while_statement] = STATE(833),
    [sym_do_statement] = STATE(833),
    [sym_for_statement] = STATE(833),
    [sym_return_statement] = STATE(833),
    [sym_break_statement] = STATE(833),
    [sym_continue_statement] = STATE(833),
    [sym_goto_statement] = STATE(833),
    [sym_seh_try_statement] = STATE(833),
    [sym_seh_leave_statement] = STATE(833),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(833),
    [sym_co_return_statement] = STATE(833),
    [sym_co_yield_statement] = STATE(833),
    [sym_throw_statement] = STATE(833),
    [sym_try_statement] = STATE(833),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2736),
    [anon_sym_switch] = ACTIONS(2344),
    [anon_sym_case] = ACTIONS(2739),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2745),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2748),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2365),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2371),
    [anon_sym___try] = ACTIONS(2751),
    [anon_sym___leave] = ACTIONS(2754),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2419),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2425),
    [anon_sym_co_return] = ACTIONS(2428),
    [anon_sym_co_yield] = ACTIONS(2431),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [223] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(1181),
    [sym_attributed_statement] = STATE(1181),
    [sym_labeled_statement] = STATE(1181),
    [sym_expression_statement] = STATE(1181),
    [sym_if_statement] = STATE(1181),
    [sym_switch_statement] = STATE(1181),
    [sym_case_statement] = STATE(1181),
    [sym_while_statement] = STATE(1181),
    [sym_do_statement] = STATE(1181),
    [sym_for_statement] = STATE(1181),
    [sym_return_statement] = STATE(1181),
    [sym_break_statement] = STATE(1181),
    [sym_continue_statement] = STATE(1181),
    [sym_goto_statement] = STATE(1181),
    [sym_seh_try_statement] = STATE(1181),
    [sym_seh_leave_statement] = STATE(1181),
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8790),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(1181),
    [sym_co_return_statement] = STATE(1181),
    [sym_co_yield_statement] = STATE(1181),
    [sym_throw_statement] = STATE(1181),
    [sym_try_statement] = STATE(1181),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [224] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(777),
    [sym_attributed_statement] = STATE(777),
    [sym_labeled_statement] = STATE(777),
    [sym_expression_statement] = STATE(777),
    [sym_if_statement] = STATE(777),
    [sym_switch_statement] = STATE(777),
    [sym_case_statement] = STATE(777),
    [sym_while_statement] = STATE(777),
    [sym_do_statement] = STATE(777),
    [sym_for_statement] = STATE(777),
    [sym_return_statement] = STATE(777),
    [sym_break_statement] = STATE(777),
    [sym_continue_statement] = STATE(777),
    [sym_goto_statement] = STATE(777),
    [sym_seh_try_statement] = STATE(777),
    [sym_seh_leave_statement] = STATE(777),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(777),
    [sym_co_return_statement] = STATE(777),
    [sym_co_yield_statement] = STATE(777),
    [sym_throw_statement] = STATE(777),
    [sym_try_statement] = STATE(777),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [225] = {
    [sym_attribute_declaration] = STATE(161),
    [sym_compound_statement] = STATE(823),
    [sym_attributed_statement] = STATE(823),
    [sym_labeled_statement] = STATE(823),
    [sym_expression_statement] = STATE(823),
    [sym_if_statement] = STATE(823),
    [sym_switch_statement] = STATE(823),
    [sym_case_statement] = STATE(823),
    [sym_while_statement] = STATE(823),
    [sym_do_statement] = STATE(823),
    [sym_for_statement] = STATE(823),
    [sym_return_statement] = STATE(823),
    [sym_break_statement] = STATE(823),
    [sym_continue_statement] = STATE(823),
    [sym_goto_statement] = STATE(823),
    [sym_seh_try_statement] = STATE(823),
    [sym_seh_leave_statement] = STATE(823),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(823),
    [sym_co_return_statement] = STATE(823),
    [sym_co_yield_statement] = STATE(823),
    [sym_throw_statement] = STATE(823),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(2290),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_goto] = ACTIONS(1132),
    [anon_sym___try] = ACTIONS(1134),
    [anon_sym___leave] = ACTIONS(1136),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_co_return] = ACTIONS(1152),
    [anon_sym_co_yield] = ACTIONS(1154),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [226] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(831),
    [sym_attributed_statement] = STATE(831),
    [sym_labeled_statement] = STATE(831),
    [sym_expression_statement] = STATE(831),
    [sym_if_statement] = STATE(831),
    [sym_switch_statement] = STATE(831),
    [sym_case_statement] = STATE(831),
    [sym_while_statement] = STATE(831),
    [sym_do_statement] = STATE(831),
    [sym_for_statement] = STATE(831),
    [sym_return_statement] = STATE(831),
    [sym_break_statement] = STATE(831),
    [sym_continue_statement] = STATE(831),
    [sym_goto_statement] = STATE(831),
    [sym_seh_try_statement] = STATE(831),
    [sym_seh_leave_statement] = STATE(831),
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8848),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(831),
    [sym_co_return_statement] = STATE(831),
    [sym_co_yield_statement] = STATE(831),
    [sym_throw_statement] = STATE(831),
    [sym_try_statement] = STATE(831),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_LPAREN2] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2329),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [sym_primitive_type] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2772),
    [anon_sym_default] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2784),
    [anon_sym_return] = ACTIONS(2787),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_goto] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2799),
    [anon_sym___leave] = ACTIONS(2802),
    [anon_sym_not] = ACTIONS(2317),
    [anon_sym_compl] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2380),
    [anon_sym_PLUS_PLUS] = ACTIONS(2380),
    [anon_sym_sizeof] = ACTIONS(2383),
    [anon_sym___alignof__] = ACTIONS(2386),
    [anon_sym___alignof] = ACTIONS(2386),
    [anon_sym__alignof] = ACTIONS(2386),
    [anon_sym_alignof] = ACTIONS(2386),
    [anon_sym__Alignof] = ACTIONS(2386),
    [anon_sym_offsetof] = ACTIONS(2389),
    [anon_sym__Generic] = ACTIONS(2392),
    [anon_sym_asm] = ACTIONS(2395),
    [anon_sym___asm__] = ACTIONS(2395),
    [sym_number_literal] = ACTIONS(2398),
    [anon_sym_L_SQUOTE] = ACTIONS(2401),
    [anon_sym_u_SQUOTE] = ACTIONS(2401),
    [anon_sym_U_SQUOTE] = ACTIONS(2401),
    [anon_sym_u8_SQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE] = ACTIONS(2401),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2407),
    [sym_false] = ACTIONS(2407),
    [anon_sym_NULL] = ACTIONS(2410),
    [anon_sym_nullptr] = ACTIONS(2410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2413),
    [anon_sym_template] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2422),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2811),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2434),
    [anon_sym_LR_DQUOTE] = ACTIONS(2434),
    [anon_sym_uR_DQUOTE] = ACTIONS(2434),
    [anon_sym_UR_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2434),
    [anon_sym_co_await] = ACTIONS(2437),
    [anon_sym_new] = ACTIONS(2440),
    [anon_sym_requires] = ACTIONS(2443),
    [sym_this] = ACTIONS(2407),
  },
  [227] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(666),
    [sym_attributed_statement] = STATE(665),
    [sym_labeled_statement] = STATE(664),
    [sym_expression_statement] = STATE(663),
    [sym_if_statement] = STATE(662),
    [sym_switch_statement] = STATE(661),
    [sym_case_statement] = STATE(659),
    [sym_while_statement] = STATE(658),
    [sym_do_statement] = STATE(657),
    [sym_for_statement] = STATE(656),
    [sym_return_statement] = STATE(655),
    [sym_break_statement] = STATE(654),
    [sym_continue_statement] = STATE(651),
    [sym_goto_statement] = STATE(650),
    [sym_seh_try_statement] = STATE(649),
    [sym_seh_leave_statement] = STATE(648),
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9625),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(647),
    [sym_co_return_statement] = STATE(646),
    [sym_co_yield_statement] = STATE(645),
    [sym_throw_statement] = STATE(644),
    [sym_try_statement] = STATE(643),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [228] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(730),
    [sym_attributed_statement] = STATE(729),
    [sym_labeled_statement] = STATE(728),
    [sym_expression_statement] = STATE(724),
    [sym_if_statement] = STATE(723),
    [sym_switch_statement] = STATE(721),
    [sym_case_statement] = STATE(720),
    [sym_while_statement] = STATE(719),
    [sym_do_statement] = STATE(718),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(715),
    [sym_break_statement] = STATE(714),
    [sym_continue_statement] = STATE(713),
    [sym_goto_statement] = STATE(712),
    [sym_seh_try_statement] = STATE(711),
    [sym_seh_leave_statement] = STATE(710),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(709),
    [sym_co_return_statement] = STATE(706),
    [sym_co_yield_statement] = STATE(705),
    [sym_throw_statement] = STATE(704),
    [sym_try_statement] = STATE(703),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [229] = {
    [sym_attribute_declaration] = STATE(171),
    [sym_compound_statement] = STATE(763),
    [sym_attributed_statement] = STATE(762),
    [sym_labeled_statement] = STATE(761),
    [sym_expression_statement] = STATE(760),
    [sym_if_statement] = STATE(758),
    [sym_switch_statement] = STATE(757),
    [sym_case_statement] = STATE(756),
    [sym_while_statement] = STATE(755),
    [sym_do_statement] = STATE(753),
    [sym_for_statement] = STATE(752),
    [sym_return_statement] = STATE(751),
    [sym_break_statement] = STATE(748),
    [sym_continue_statement] = STATE(746),
    [sym_goto_statement] = STATE(744),
    [sym_seh_try_statement] = STATE(743),
    [sym_seh_leave_statement] = STATE(742),
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8968),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_for_range_loop] = STATE(738),
    [sym_co_return_statement] = STATE(736),
    [sym_co_yield_statement] = STATE(733),
    [sym_throw_statement] = STATE(732),
    [sym_try_statement] = STATE(731),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_attributed_declarator_repeat1] = STATE(171),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [230] = {
    [sym_catch_clause] = STATE(230),
    [aux_sym_constructor_try_statement_repeat1] = STATE(230),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [231] = {
    [sym__expression] = STATE(4213),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_initializer_list] = STATE(4389),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2138),
    [sym_this] = ACTIONS(2038),
  },
  [232] = {
    [sym_catch_clause] = STATE(230),
    [aux_sym_constructor_try_statement_repeat1] = STATE(230),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [233] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3351),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9560),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8946),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9004),
    [sym__unary_right_fold] = STATE(9003),
    [sym__binary_fold] = STATE(9002),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9687),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [234] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8743),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [235] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9304),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [236] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9321),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [237] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9366),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8863),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(8861),
    [sym__unary_right_fold] = STATE(8858),
    [sym__binary_fold] = STATE(8856),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9355),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [238] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8772),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [239] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9366),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9117),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9204),
    [sym__unary_right_fold] = STATE(9113),
    [sym__binary_fold] = STATE(9201),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9355),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [240] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8961),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [241] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9366),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9203),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9204),
    [sym__unary_right_fold] = STATE(9113),
    [sym__binary_fold] = STATE(9201),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9355),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [242] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3433),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9206),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9522),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9312),
    [sym__unary_right_fold] = STATE(9314),
    [sym__binary_fold] = STATE(9315),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9200),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [243] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9213),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [244] = {
    [sym_catch_clause] = STATE(230),
    [aux_sym_constructor_try_statement_repeat1] = STATE(230),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [245] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3351),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9560),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9590),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9568),
    [sym__unary_right_fold] = STATE(9581),
    [sym__binary_fold] = STATE(9569),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9687),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [246] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9349),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [247] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9309),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [248] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [249] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3351),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9560),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9567),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9568),
    [sym__unary_right_fold] = STATE(9581),
    [sym__binary_fold] = STATE(9569),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9687),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [250] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9292),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [251] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9557),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [252] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3351),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9560),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9005),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9004),
    [sym__unary_right_fold] = STATE(9003),
    [sym__binary_fold] = STATE(9002),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9687),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [253] = {
    [sym_catch_clause] = STATE(230),
    [aux_sym_constructor_try_statement_repeat1] = STATE(230),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(2834),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [254] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3433),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9206),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9218),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9163),
    [sym__unary_right_fold] = STATE(9164),
    [sym__binary_fold] = STATE(9170),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9200),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [255] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9365),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [256] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8912),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [257] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3433),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9206),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9547),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9312),
    [sym__unary_right_fold] = STATE(9314),
    [sym__binary_fold] = STATE(9315),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9200),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [258] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9083),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [259] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9366),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8798),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(8861),
    [sym__unary_right_fold] = STATE(8858),
    [sym__binary_fold] = STATE(8856),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9355),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [260] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3433),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9206),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9162),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9163),
    [sym__unary_right_fold] = STATE(9164),
    [sym__binary_fold] = STATE(9170),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9200),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [261] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9362),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [262] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9179),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [263] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(9180),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [264] = {
    [sym_type_qualifier] = STATE(4664),
    [sym__type_specifier] = STATE(5603),
    [sym_sized_type_specifier] = STATE(2325),
    [sym_enum_specifier] = STATE(2325),
    [sym_struct_specifier] = STATE(2325),
    [sym_union_specifier] = STATE(2325),
    [sym__expression] = STATE(3388),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_type_descriptor] = STATE(8816),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_placeholder_type_specifier] = STATE(2325),
    [sym_decltype_auto] = STATE(2324),
    [sym_decltype] = STATE(2154),
    [sym_class_specifier] = STATE(2325),
    [sym__class_name] = STATE(8419),
    [sym_dependent_type] = STATE(2325),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4664),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2326),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [266] = {
    [sym_else_clause] = STATE(343),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_include_token1] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [aux_sym_preproc_else_token1] = ACTIONS(2184),
    [aux_sym_preproc_elif_token1] = ACTIONS(2184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym___cdecl] = ACTIONS(2184),
    [anon_sym___clrcall] = ACTIONS(2184),
    [anon_sym___stdcall] = ACTIONS(2184),
    [anon_sym___fastcall] = ACTIONS(2184),
    [anon_sym___thiscall] = ACTIONS(2184),
    [anon_sym___vectorcall] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_concept] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [268] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(2856),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [269] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(2859),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [270] = {
    [sym_else_clause] = STATE(287),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2854),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [282] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(2859),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [284] = {
    [sym_catch_clause] = STATE(268),
    [aux_sym_constructor_try_statement_repeat1] = STATE(268),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(2859),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [345] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [351] = {
    [sym_else_clause] = STATE(481),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [aux_sym_preproc_else_token1] = ACTIONS(2850),
    [aux_sym_preproc_elif_token1] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [354] = {
    [sym_preproc_def] = STATE(360),
    [sym_preproc_function_def] = STATE(360),
    [sym_preproc_call] = STATE(360),
    [sym_preproc_if_in_field_declaration_list] = STATE(360),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(360),
    [sym_preproc_else_in_field_declaration_list] = STATE(9248),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9248),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9248),
    [sym_type_definition] = STATE(360),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(360),
    [sym_field_declaration] = STATE(360),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(360),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(360),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(360),
    [sym_operator_cast_declaration] = STATE(360),
    [sym_constructor_or_destructor_definition] = STATE(360),
    [sym_constructor_or_destructor_declaration] = STATE(360),
    [sym_friend_declaration] = STATE(360),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(360),
    [sym_alias_declaration] = STATE(360),
    [sym_static_assert_declaration] = STATE(360),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(360),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [360] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_preproc_else_in_field_declaration_list] = STATE(9240),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9240),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9240),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3093),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3103),
    [aux_sym_preproc_elif_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [367] = {
    [sym_catch_clause] = STATE(367),
    [aux_sym_constructor_try_statement_repeat1] = STATE(367),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3119),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [368] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [sym_number_literal] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [sym_number_literal] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [sym_number_literal] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [375] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [377] = {
    [sym_catch_clause] = STATE(408),
    [aux_sym_constructor_try_statement_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [381] = {
    [sym__expression] = STATE(5282),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9646),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3163),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(3165),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(3171),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [382] = {
    [sym__expression] = STATE(5269),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9650),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3177),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3192),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3195),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [383] = {
    [sym_preproc_def] = STATE(389),
    [sym_preproc_function_def] = STATE(389),
    [sym_preproc_call] = STATE(389),
    [sym_preproc_if_in_field_declaration_list] = STATE(389),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(389),
    [sym_preproc_else_in_field_declaration_list] = STATE(9059),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9059),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9059),
    [sym_type_definition] = STATE(389),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(389),
    [sym_field_declaration] = STATE(389),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(389),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(389),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(389),
    [sym_operator_cast_declaration] = STATE(389),
    [sym_constructor_or_destructor_definition] = STATE(389),
    [sym_constructor_or_destructor_declaration] = STATE(389),
    [sym_friend_declaration] = STATE(389),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(389),
    [sym_alias_declaration] = STATE(389),
    [sym_static_assert_declaration] = STATE(389),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(389),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [385] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [386] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [389] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_preproc_else_in_field_declaration_list] = STATE(9051),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9051),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9051),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3220),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [390] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_preproc_else_in_field_declaration_list] = STATE(9471),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9471),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9471),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [391] = {
    [sym_preproc_def] = STATE(428),
    [sym_preproc_function_def] = STATE(428),
    [sym_preproc_call] = STATE(428),
    [sym_preproc_if_in_field_declaration_list] = STATE(428),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(428),
    [sym_preproc_else_in_field_declaration_list] = STATE(8984),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8984),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8984),
    [sym_type_definition] = STATE(428),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(428),
    [sym_field_declaration] = STATE(428),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(428),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(428),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(428),
    [sym_operator_cast_declaration] = STATE(428),
    [sym_constructor_or_destructor_definition] = STATE(428),
    [sym_constructor_or_destructor_declaration] = STATE(428),
    [sym_friend_declaration] = STATE(428),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(428),
    [sym_alias_declaration] = STATE(428),
    [sym_static_assert_declaration] = STATE(428),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(428),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3224),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [392] = {
    [sym_identifier] = ACTIONS(3226),
    [aux_sym_preproc_include_token1] = ACTIONS(3226),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3226),
    [aux_sym_preproc_else_token1] = ACTIONS(3226),
    [aux_sym_preproc_elif_token1] = ACTIONS(3226),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3226),
    [anon_sym_LPAREN2] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3226),
    [anon_sym_typedef] = ACTIONS(3226),
    [anon_sym_extern] = ACTIONS(3226),
    [anon_sym___attribute__] = ACTIONS(3226),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3228),
    [anon_sym___declspec] = ACTIONS(3226),
    [anon_sym___based] = ACTIONS(3226),
    [anon_sym___cdecl] = ACTIONS(3226),
    [anon_sym___clrcall] = ACTIONS(3226),
    [anon_sym___stdcall] = ACTIONS(3226),
    [anon_sym___fastcall] = ACTIONS(3226),
    [anon_sym___thiscall] = ACTIONS(3226),
    [anon_sym___vectorcall] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3226),
    [anon_sym_unsigned] = ACTIONS(3226),
    [anon_sym_long] = ACTIONS(3226),
    [anon_sym_short] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_register] = ACTIONS(3226),
    [anon_sym_inline] = ACTIONS(3226),
    [anon_sym___inline] = ACTIONS(3226),
    [anon_sym___inline__] = ACTIONS(3226),
    [anon_sym___forceinline] = ACTIONS(3226),
    [anon_sym_thread_local] = ACTIONS(3226),
    [anon_sym___thread] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_constexpr] = ACTIONS(3226),
    [anon_sym_volatile] = ACTIONS(3226),
    [anon_sym_restrict] = ACTIONS(3226),
    [anon_sym___restrict__] = ACTIONS(3226),
    [anon_sym__Atomic] = ACTIONS(3226),
    [anon_sym__Noreturn] = ACTIONS(3226),
    [anon_sym_noreturn] = ACTIONS(3226),
    [anon_sym_mutable] = ACTIONS(3226),
    [anon_sym_constinit] = ACTIONS(3226),
    [anon_sym_consteval] = ACTIONS(3226),
    [sym_primitive_type] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_union] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_goto] = ACTIONS(3226),
    [anon_sym___try] = ACTIONS(3226),
    [anon_sym___leave] = ACTIONS(3226),
    [anon_sym_not] = ACTIONS(3226),
    [anon_sym_compl] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_sizeof] = ACTIONS(3226),
    [anon_sym___alignof__] = ACTIONS(3226),
    [anon_sym___alignof] = ACTIONS(3226),
    [anon_sym__alignof] = ACTIONS(3226),
    [anon_sym_alignof] = ACTIONS(3226),
    [anon_sym__Alignof] = ACTIONS(3226),
    [anon_sym_offsetof] = ACTIONS(3226),
    [anon_sym__Generic] = ACTIONS(3226),
    [anon_sym_asm] = ACTIONS(3226),
    [anon_sym___asm__] = ACTIONS(3226),
    [sym_number_literal] = ACTIONS(3228),
    [anon_sym_L_SQUOTE] = ACTIONS(3228),
    [anon_sym_u_SQUOTE] = ACTIONS(3228),
    [anon_sym_U_SQUOTE] = ACTIONS(3228),
    [anon_sym_u8_SQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_L_DQUOTE] = ACTIONS(3228),
    [anon_sym_u_DQUOTE] = ACTIONS(3228),
    [anon_sym_U_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8_DQUOTE] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [anon_sym_NULL] = ACTIONS(3226),
    [anon_sym_nullptr] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3226),
    [anon_sym_decltype] = ACTIONS(3226),
    [anon_sym_virtual] = ACTIONS(3226),
    [anon_sym_alignas] = ACTIONS(3226),
    [anon_sym_explicit] = ACTIONS(3226),
    [anon_sym_typename] = ACTIONS(3226),
    [anon_sym_template] = ACTIONS(3226),
    [anon_sym_operator] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_static_assert] = ACTIONS(3226),
    [anon_sym_concept] = ACTIONS(3226),
    [anon_sym_co_return] = ACTIONS(3226),
    [anon_sym_co_yield] = ACTIONS(3226),
    [anon_sym_R_DQUOTE] = ACTIONS(3228),
    [anon_sym_LR_DQUOTE] = ACTIONS(3228),
    [anon_sym_uR_DQUOTE] = ACTIONS(3228),
    [anon_sym_UR_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3228),
    [anon_sym_co_await] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_requires] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
  },
  [393] = {
    [sym_identifier] = ACTIONS(3230),
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token2] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3230),
    [aux_sym_preproc_elif_token1] = ACTIONS(3230),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3230),
    [anon_sym_typedef] = ACTIONS(3230),
    [anon_sym_extern] = ACTIONS(3230),
    [anon_sym___attribute__] = ACTIONS(3230),
    [anon_sym_COLON_COLON] = ACTIONS(3232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3232),
    [anon_sym___declspec] = ACTIONS(3230),
    [anon_sym___based] = ACTIONS(3230),
    [anon_sym___cdecl] = ACTIONS(3230),
    [anon_sym___clrcall] = ACTIONS(3230),
    [anon_sym___stdcall] = ACTIONS(3230),
    [anon_sym___fastcall] = ACTIONS(3230),
    [anon_sym___thiscall] = ACTIONS(3230),
    [anon_sym___vectorcall] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3230),
    [anon_sym_unsigned] = ACTIONS(3230),
    [anon_sym_long] = ACTIONS(3230),
    [anon_sym_short] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_register] = ACTIONS(3230),
    [anon_sym_inline] = ACTIONS(3230),
    [anon_sym___inline] = ACTIONS(3230),
    [anon_sym___inline__] = ACTIONS(3230),
    [anon_sym___forceinline] = ACTIONS(3230),
    [anon_sym_thread_local] = ACTIONS(3230),
    [anon_sym___thread] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_constexpr] = ACTIONS(3230),
    [anon_sym_volatile] = ACTIONS(3230),
    [anon_sym_restrict] = ACTIONS(3230),
    [anon_sym___restrict__] = ACTIONS(3230),
    [anon_sym__Atomic] = ACTIONS(3230),
    [anon_sym__Noreturn] = ACTIONS(3230),
    [anon_sym_noreturn] = ACTIONS(3230),
    [anon_sym_mutable] = ACTIONS(3230),
    [anon_sym_constinit] = ACTIONS(3230),
    [anon_sym_consteval] = ACTIONS(3230),
    [sym_primitive_type] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_union] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_goto] = ACTIONS(3230),
    [anon_sym___try] = ACTIONS(3230),
    [anon_sym___leave] = ACTIONS(3230),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_sizeof] = ACTIONS(3230),
    [anon_sym___alignof__] = ACTIONS(3230),
    [anon_sym___alignof] = ACTIONS(3230),
    [anon_sym__alignof] = ACTIONS(3230),
    [anon_sym_alignof] = ACTIONS(3230),
    [anon_sym__Alignof] = ACTIONS(3230),
    [anon_sym_offsetof] = ACTIONS(3230),
    [anon_sym__Generic] = ACTIONS(3230),
    [anon_sym_asm] = ACTIONS(3230),
    [anon_sym___asm__] = ACTIONS(3230),
    [sym_number_literal] = ACTIONS(3232),
    [anon_sym_L_SQUOTE] = ACTIONS(3232),
    [anon_sym_u_SQUOTE] = ACTIONS(3232),
    [anon_sym_U_SQUOTE] = ACTIONS(3232),
    [anon_sym_u8_SQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_L_DQUOTE] = ACTIONS(3232),
    [anon_sym_u_DQUOTE] = ACTIONS(3232),
    [anon_sym_U_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8_DQUOTE] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [anon_sym_NULL] = ACTIONS(3230),
    [anon_sym_nullptr] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3230),
    [anon_sym_decltype] = ACTIONS(3230),
    [anon_sym_virtual] = ACTIONS(3230),
    [anon_sym_alignas] = ACTIONS(3230),
    [anon_sym_explicit] = ACTIONS(3230),
    [anon_sym_typename] = ACTIONS(3230),
    [anon_sym_template] = ACTIONS(3230),
    [anon_sym_operator] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3230),
    [anon_sym_concept] = ACTIONS(3230),
    [anon_sym_co_return] = ACTIONS(3230),
    [anon_sym_co_yield] = ACTIONS(3230),
    [anon_sym_R_DQUOTE] = ACTIONS(3232),
    [anon_sym_LR_DQUOTE] = ACTIONS(3232),
    [anon_sym_uR_DQUOTE] = ACTIONS(3232),
    [anon_sym_UR_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3232),
    [anon_sym_co_await] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_requires] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
  },
  [394] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_include_token1] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3234),
    [anon_sym___clrcall] = ACTIONS(3234),
    [anon_sym___stdcall] = ACTIONS(3234),
    [anon_sym___fastcall] = ACTIONS(3234),
    [anon_sym___thiscall] = ACTIONS(3234),
    [anon_sym___vectorcall] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_goto] = ACTIONS(3234),
    [anon_sym___try] = ACTIONS(3234),
    [anon_sym___leave] = ACTIONS(3234),
    [anon_sym_not] = ACTIONS(3234),
    [anon_sym_compl] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_sizeof] = ACTIONS(3234),
    [anon_sym___alignof__] = ACTIONS(3234),
    [anon_sym___alignof] = ACTIONS(3234),
    [anon_sym__alignof] = ACTIONS(3234),
    [anon_sym_alignof] = ACTIONS(3234),
    [anon_sym__Alignof] = ACTIONS(3234),
    [anon_sym_offsetof] = ACTIONS(3234),
    [anon_sym__Generic] = ACTIONS(3234),
    [anon_sym_asm] = ACTIONS(3234),
    [anon_sym___asm__] = ACTIONS(3234),
    [sym_number_literal] = ACTIONS(3236),
    [anon_sym_L_SQUOTE] = ACTIONS(3236),
    [anon_sym_u_SQUOTE] = ACTIONS(3236),
    [anon_sym_U_SQUOTE] = ACTIONS(3236),
    [anon_sym_u8_SQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_L_DQUOTE] = ACTIONS(3236),
    [anon_sym_u_DQUOTE] = ACTIONS(3236),
    [anon_sym_U_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8_DQUOTE] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [anon_sym_NULL] = ACTIONS(3234),
    [anon_sym_nullptr] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
    [anon_sym_concept] = ACTIONS(3234),
    [anon_sym_co_return] = ACTIONS(3234),
    [anon_sym_co_yield] = ACTIONS(3234),
    [anon_sym_R_DQUOTE] = ACTIONS(3236),
    [anon_sym_LR_DQUOTE] = ACTIONS(3236),
    [anon_sym_uR_DQUOTE] = ACTIONS(3236),
    [anon_sym_UR_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3236),
    [anon_sym_co_await] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_requires] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
  },
  [395] = {
    [sym_preproc_def] = STATE(390),
    [sym_preproc_function_def] = STATE(390),
    [sym_preproc_call] = STATE(390),
    [sym_preproc_if_in_field_declaration_list] = STATE(390),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(390),
    [sym_preproc_else_in_field_declaration_list] = STATE(9492),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9492),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9492),
    [sym_type_definition] = STATE(390),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(390),
    [sym_field_declaration] = STATE(390),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(390),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(390),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(390),
    [sym_operator_cast_declaration] = STATE(390),
    [sym_constructor_or_destructor_definition] = STATE(390),
    [sym_constructor_or_destructor_declaration] = STATE(390),
    [sym_friend_declaration] = STATE(390),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(390),
    [sym_alias_declaration] = STATE(390),
    [sym_static_assert_declaration] = STATE(390),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(390),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [396] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [397] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [398] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [399] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [400] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [401] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [aux_sym_preproc_else_token1] = ACTIONS(3260),
    [aux_sym_preproc_elif_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [402] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [403] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [404] = {
    [sym_else_clause] = STATE(536),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [405] = {
    [sym_catch_clause] = STATE(367),
    [aux_sym_constructor_try_statement_repeat1] = STATE(367),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [406] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_include_token1] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym___cdecl] = ACTIONS(3274),
    [anon_sym___clrcall] = ACTIONS(3274),
    [anon_sym___stdcall] = ACTIONS(3274),
    [anon_sym___fastcall] = ACTIONS(3274),
    [anon_sym___thiscall] = ACTIONS(3274),
    [anon_sym___vectorcall] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym___try] = ACTIONS(3274),
    [anon_sym___leave] = ACTIONS(3274),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_compl] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [anon_sym___alignof__] = ACTIONS(3274),
    [anon_sym___alignof] = ACTIONS(3274),
    [anon_sym__alignof] = ACTIONS(3274),
    [anon_sym_alignof] = ACTIONS(3274),
    [anon_sym__Alignof] = ACTIONS(3274),
    [anon_sym_offsetof] = ACTIONS(3274),
    [anon_sym__Generic] = ACTIONS(3274),
    [anon_sym_asm] = ACTIONS(3274),
    [anon_sym___asm__] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [anon_sym_L_SQUOTE] = ACTIONS(3276),
    [anon_sym_u_SQUOTE] = ACTIONS(3276),
    [anon_sym_U_SQUOTE] = ACTIONS(3276),
    [anon_sym_u8_SQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_L_DQUOTE] = ACTIONS(3276),
    [anon_sym_u_DQUOTE] = ACTIONS(3276),
    [anon_sym_U_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8_DQUOTE] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [anon_sym_NULL] = ACTIONS(3274),
    [anon_sym_nullptr] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
    [anon_sym_concept] = ACTIONS(3274),
    [anon_sym_co_return] = ACTIONS(3274),
    [anon_sym_co_yield] = ACTIONS(3274),
    [anon_sym_R_DQUOTE] = ACTIONS(3276),
    [anon_sym_LR_DQUOTE] = ACTIONS(3276),
    [anon_sym_uR_DQUOTE] = ACTIONS(3276),
    [anon_sym_UR_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3276),
    [anon_sym_co_await] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_requires] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
  },
  [407] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [408] = {
    [sym_catch_clause] = STATE(408),
    [aux_sym_constructor_try_statement_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3282),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [409] = {
    [sym_catch_clause] = STATE(409),
    [aux_sym_constructor_try_statement_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3285),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [410] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_include_token1] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [aux_sym_preproc_else_token1] = ACTIONS(2184),
    [aux_sym_preproc_elif_token1] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym___cdecl] = ACTIONS(2184),
    [anon_sym___clrcall] = ACTIONS(2184),
    [anon_sym___stdcall] = ACTIONS(2184),
    [anon_sym___fastcall] = ACTIONS(2184),
    [anon_sym___thiscall] = ACTIONS(2184),
    [anon_sym___vectorcall] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_concept] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [413] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [aux_sym_preproc_else_token1] = ACTIONS(3288),
    [aux_sym_preproc_elif_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym___cdecl] = ACTIONS(3288),
    [anon_sym___clrcall] = ACTIONS(3288),
    [anon_sym___stdcall] = ACTIONS(3288),
    [anon_sym___fastcall] = ACTIONS(3288),
    [anon_sym___thiscall] = ACTIONS(3288),
    [anon_sym___vectorcall] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_goto] = ACTIONS(3288),
    [anon_sym___try] = ACTIONS(3288),
    [anon_sym___leave] = ACTIONS(3288),
    [anon_sym_not] = ACTIONS(3288),
    [anon_sym_compl] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_sizeof] = ACTIONS(3288),
    [anon_sym___alignof__] = ACTIONS(3288),
    [anon_sym___alignof] = ACTIONS(3288),
    [anon_sym__alignof] = ACTIONS(3288),
    [anon_sym_alignof] = ACTIONS(3288),
    [anon_sym__Alignof] = ACTIONS(3288),
    [anon_sym_offsetof] = ACTIONS(3288),
    [anon_sym__Generic] = ACTIONS(3288),
    [anon_sym_asm] = ACTIONS(3288),
    [anon_sym___asm__] = ACTIONS(3288),
    [sym_number_literal] = ACTIONS(3290),
    [anon_sym_L_SQUOTE] = ACTIONS(3290),
    [anon_sym_u_SQUOTE] = ACTIONS(3290),
    [anon_sym_U_SQUOTE] = ACTIONS(3290),
    [anon_sym_u8_SQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_L_DQUOTE] = ACTIONS(3290),
    [anon_sym_u_DQUOTE] = ACTIONS(3290),
    [anon_sym_U_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8_DQUOTE] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [anon_sym_NULL] = ACTIONS(3288),
    [anon_sym_nullptr] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
    [anon_sym_concept] = ACTIONS(3288),
    [anon_sym_co_return] = ACTIONS(3288),
    [anon_sym_co_yield] = ACTIONS(3288),
    [anon_sym_R_DQUOTE] = ACTIONS(3290),
    [anon_sym_LR_DQUOTE] = ACTIONS(3290),
    [anon_sym_uR_DQUOTE] = ACTIONS(3290),
    [anon_sym_UR_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3290),
    [anon_sym_co_await] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_requires] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
  },
  [414] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_include_token1] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [aux_sym_preproc_else_token1] = ACTIONS(3292),
    [aux_sym_preproc_elif_token1] = ACTIONS(3292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym___cdecl] = ACTIONS(3292),
    [anon_sym___clrcall] = ACTIONS(3292),
    [anon_sym___stdcall] = ACTIONS(3292),
    [anon_sym___fastcall] = ACTIONS(3292),
    [anon_sym___thiscall] = ACTIONS(3292),
    [anon_sym___vectorcall] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_goto] = ACTIONS(3292),
    [anon_sym___try] = ACTIONS(3292),
    [anon_sym___leave] = ACTIONS(3292),
    [anon_sym_not] = ACTIONS(3292),
    [anon_sym_compl] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(3292),
    [anon_sym___alignof__] = ACTIONS(3292),
    [anon_sym___alignof] = ACTIONS(3292),
    [anon_sym__alignof] = ACTIONS(3292),
    [anon_sym_alignof] = ACTIONS(3292),
    [anon_sym__Alignof] = ACTIONS(3292),
    [anon_sym_offsetof] = ACTIONS(3292),
    [anon_sym__Generic] = ACTIONS(3292),
    [anon_sym_asm] = ACTIONS(3292),
    [anon_sym___asm__] = ACTIONS(3292),
    [sym_number_literal] = ACTIONS(3294),
    [anon_sym_L_SQUOTE] = ACTIONS(3294),
    [anon_sym_u_SQUOTE] = ACTIONS(3294),
    [anon_sym_U_SQUOTE] = ACTIONS(3294),
    [anon_sym_u8_SQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_L_DQUOTE] = ACTIONS(3294),
    [anon_sym_u_DQUOTE] = ACTIONS(3294),
    [anon_sym_U_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8_DQUOTE] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [anon_sym_NULL] = ACTIONS(3292),
    [anon_sym_nullptr] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
    [anon_sym_concept] = ACTIONS(3292),
    [anon_sym_co_return] = ACTIONS(3292),
    [anon_sym_co_yield] = ACTIONS(3292),
    [anon_sym_R_DQUOTE] = ACTIONS(3294),
    [anon_sym_LR_DQUOTE] = ACTIONS(3294),
    [anon_sym_uR_DQUOTE] = ACTIONS(3294),
    [anon_sym_UR_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3294),
    [anon_sym_co_await] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
  },
  [415] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [416] = {
    [sym_identifier] = ACTIONS(3300),
    [aux_sym_preproc_include_token1] = ACTIONS(3300),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token2] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [aux_sym_preproc_else_token1] = ACTIONS(3300),
    [aux_sym_preproc_elif_token1] = ACTIONS(3300),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3300),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym___attribute__] = ACTIONS(3300),
    [anon_sym_COLON_COLON] = ACTIONS(3302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3302),
    [anon_sym___declspec] = ACTIONS(3300),
    [anon_sym___based] = ACTIONS(3300),
    [anon_sym___cdecl] = ACTIONS(3300),
    [anon_sym___clrcall] = ACTIONS(3300),
    [anon_sym___stdcall] = ACTIONS(3300),
    [anon_sym___fastcall] = ACTIONS(3300),
    [anon_sym___thiscall] = ACTIONS(3300),
    [anon_sym___vectorcall] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3300),
    [anon_sym_unsigned] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_register] = ACTIONS(3300),
    [anon_sym_inline] = ACTIONS(3300),
    [anon_sym___inline] = ACTIONS(3300),
    [anon_sym___inline__] = ACTIONS(3300),
    [anon_sym___forceinline] = ACTIONS(3300),
    [anon_sym_thread_local] = ACTIONS(3300),
    [anon_sym___thread] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_constexpr] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_restrict] = ACTIONS(3300),
    [anon_sym___restrict__] = ACTIONS(3300),
    [anon_sym__Atomic] = ACTIONS(3300),
    [anon_sym__Noreturn] = ACTIONS(3300),
    [anon_sym_noreturn] = ACTIONS(3300),
    [anon_sym_mutable] = ACTIONS(3300),
    [anon_sym_constinit] = ACTIONS(3300),
    [anon_sym_consteval] = ACTIONS(3300),
    [sym_primitive_type] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_union] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_goto] = ACTIONS(3300),
    [anon_sym___try] = ACTIONS(3300),
    [anon_sym___leave] = ACTIONS(3300),
    [anon_sym_not] = ACTIONS(3300),
    [anon_sym_compl] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_sizeof] = ACTIONS(3300),
    [anon_sym___alignof__] = ACTIONS(3300),
    [anon_sym___alignof] = ACTIONS(3300),
    [anon_sym__alignof] = ACTIONS(3300),
    [anon_sym_alignof] = ACTIONS(3300),
    [anon_sym__Alignof] = ACTIONS(3300),
    [anon_sym_offsetof] = ACTIONS(3300),
    [anon_sym__Generic] = ACTIONS(3300),
    [anon_sym_asm] = ACTIONS(3300),
    [anon_sym___asm__] = ACTIONS(3300),
    [sym_number_literal] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3302),
    [anon_sym_u_SQUOTE] = ACTIONS(3302),
    [anon_sym_U_SQUOTE] = ACTIONS(3302),
    [anon_sym_u8_SQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_L_DQUOTE] = ACTIONS(3302),
    [anon_sym_u_DQUOTE] = ACTIONS(3302),
    [anon_sym_U_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8_DQUOTE] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [anon_sym_NULL] = ACTIONS(3300),
    [anon_sym_nullptr] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3300),
    [anon_sym_decltype] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_alignas] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_typename] = ACTIONS(3300),
    [anon_sym_template] = ACTIONS(3300),
    [anon_sym_operator] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_static_assert] = ACTIONS(3300),
    [anon_sym_concept] = ACTIONS(3300),
    [anon_sym_co_return] = ACTIONS(3300),
    [anon_sym_co_yield] = ACTIONS(3300),
    [anon_sym_R_DQUOTE] = ACTIONS(3302),
    [anon_sym_LR_DQUOTE] = ACTIONS(3302),
    [anon_sym_uR_DQUOTE] = ACTIONS(3302),
    [anon_sym_UR_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3302),
    [anon_sym_co_await] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_requires] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
  },
  [417] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [418] = {
    [sym_identifier] = ACTIONS(3304),
    [aux_sym_preproc_include_token1] = ACTIONS(3304),
    [aux_sym_preproc_def_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token2] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3304),
    [aux_sym_preproc_else_token1] = ACTIONS(3304),
    [aux_sym_preproc_elif_token1] = ACTIONS(3304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3304),
    [sym_preproc_directive] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3306),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym___extension__] = ACTIONS(3304),
    [anon_sym_typedef] = ACTIONS(3304),
    [anon_sym_extern] = ACTIONS(3304),
    [anon_sym___attribute__] = ACTIONS(3304),
    [anon_sym_COLON_COLON] = ACTIONS(3306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3306),
    [anon_sym___declspec] = ACTIONS(3304),
    [anon_sym___based] = ACTIONS(3304),
    [anon_sym___cdecl] = ACTIONS(3304),
    [anon_sym___clrcall] = ACTIONS(3304),
    [anon_sym___stdcall] = ACTIONS(3304),
    [anon_sym___fastcall] = ACTIONS(3304),
    [anon_sym___thiscall] = ACTIONS(3304),
    [anon_sym___vectorcall] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_signed] = ACTIONS(3304),
    [anon_sym_unsigned] = ACTIONS(3304),
    [anon_sym_long] = ACTIONS(3304),
    [anon_sym_short] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_register] = ACTIONS(3304),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym___inline] = ACTIONS(3304),
    [anon_sym___inline__] = ACTIONS(3304),
    [anon_sym___forceinline] = ACTIONS(3304),
    [anon_sym_thread_local] = ACTIONS(3304),
    [anon_sym___thread] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_constexpr] = ACTIONS(3304),
    [anon_sym_volatile] = ACTIONS(3304),
    [anon_sym_restrict] = ACTIONS(3304),
    [anon_sym___restrict__] = ACTIONS(3304),
    [anon_sym__Atomic] = ACTIONS(3304),
    [anon_sym__Noreturn] = ACTIONS(3304),
    [anon_sym_noreturn] = ACTIONS(3304),
    [anon_sym_mutable] = ACTIONS(3304),
    [anon_sym_constinit] = ACTIONS(3304),
    [anon_sym_consteval] = ACTIONS(3304),
    [sym_primitive_type] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_union] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_goto] = ACTIONS(3304),
    [anon_sym___try] = ACTIONS(3304),
    [anon_sym___leave] = ACTIONS(3304),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_compl] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_sizeof] = ACTIONS(3304),
    [anon_sym___alignof__] = ACTIONS(3304),
    [anon_sym___alignof] = ACTIONS(3304),
    [anon_sym__alignof] = ACTIONS(3304),
    [anon_sym_alignof] = ACTIONS(3304),
    [anon_sym__Alignof] = ACTIONS(3304),
    [anon_sym_offsetof] = ACTIONS(3304),
    [anon_sym__Generic] = ACTIONS(3304),
    [anon_sym_asm] = ACTIONS(3304),
    [anon_sym___asm__] = ACTIONS(3304),
    [sym_number_literal] = ACTIONS(3306),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3306),
    [anon_sym_u_DQUOTE] = ACTIONS(3306),
    [anon_sym_U_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8_DQUOTE] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [anon_sym_NULL] = ACTIONS(3304),
    [anon_sym_nullptr] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3304),
    [anon_sym_decltype] = ACTIONS(3304),
    [anon_sym_virtual] = ACTIONS(3304),
    [anon_sym_alignas] = ACTIONS(3304),
    [anon_sym_explicit] = ACTIONS(3304),
    [anon_sym_typename] = ACTIONS(3304),
    [anon_sym_template] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_static_assert] = ACTIONS(3304),
    [anon_sym_concept] = ACTIONS(3304),
    [anon_sym_co_return] = ACTIONS(3304),
    [anon_sym_co_yield] = ACTIONS(3304),
    [anon_sym_R_DQUOTE] = ACTIONS(3306),
    [anon_sym_LR_DQUOTE] = ACTIONS(3306),
    [anon_sym_uR_DQUOTE] = ACTIONS(3306),
    [anon_sym_UR_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3306),
    [anon_sym_co_await] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_requires] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
  },
  [419] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [sym_number_literal] = ACTIONS(3310),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [420] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [421] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [422] = {
    [sym_identifier] = ACTIONS(3320),
    [aux_sym_preproc_include_token1] = ACTIONS(3320),
    [aux_sym_preproc_def_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token2] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [aux_sym_preproc_else_token1] = ACTIONS(3320),
    [aux_sym_preproc_elif_token1] = ACTIONS(3320),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3320),
    [anon_sym_LPAREN2] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3322),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3320),
    [anon_sym_typedef] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym___attribute__] = ACTIONS(3320),
    [anon_sym_COLON_COLON] = ACTIONS(3322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3322),
    [anon_sym___declspec] = ACTIONS(3320),
    [anon_sym___based] = ACTIONS(3320),
    [anon_sym___cdecl] = ACTIONS(3320),
    [anon_sym___clrcall] = ACTIONS(3320),
    [anon_sym___stdcall] = ACTIONS(3320),
    [anon_sym___fastcall] = ACTIONS(3320),
    [anon_sym___thiscall] = ACTIONS(3320),
    [anon_sym___vectorcall] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3320),
    [anon_sym_unsigned] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_register] = ACTIONS(3320),
    [anon_sym_inline] = ACTIONS(3320),
    [anon_sym___inline] = ACTIONS(3320),
    [anon_sym___inline__] = ACTIONS(3320),
    [anon_sym___forceinline] = ACTIONS(3320),
    [anon_sym_thread_local] = ACTIONS(3320),
    [anon_sym___thread] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_constexpr] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_restrict] = ACTIONS(3320),
    [anon_sym___restrict__] = ACTIONS(3320),
    [anon_sym__Atomic] = ACTIONS(3320),
    [anon_sym__Noreturn] = ACTIONS(3320),
    [anon_sym_noreturn] = ACTIONS(3320),
    [anon_sym_mutable] = ACTIONS(3320),
    [anon_sym_constinit] = ACTIONS(3320),
    [anon_sym_consteval] = ACTIONS(3320),
    [sym_primitive_type] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_union] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_goto] = ACTIONS(3320),
    [anon_sym___try] = ACTIONS(3320),
    [anon_sym___leave] = ACTIONS(3320),
    [anon_sym_not] = ACTIONS(3320),
    [anon_sym_compl] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(3320),
    [anon_sym___alignof] = ACTIONS(3320),
    [anon_sym__alignof] = ACTIONS(3320),
    [anon_sym_alignof] = ACTIONS(3320),
    [anon_sym__Alignof] = ACTIONS(3320),
    [anon_sym_offsetof] = ACTIONS(3320),
    [anon_sym__Generic] = ACTIONS(3320),
    [anon_sym_asm] = ACTIONS(3320),
    [anon_sym___asm__] = ACTIONS(3320),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3322),
    [anon_sym_u_SQUOTE] = ACTIONS(3322),
    [anon_sym_U_SQUOTE] = ACTIONS(3322),
    [anon_sym_u8_SQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_L_DQUOTE] = ACTIONS(3322),
    [anon_sym_u_DQUOTE] = ACTIONS(3322),
    [anon_sym_U_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8_DQUOTE] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [anon_sym_NULL] = ACTIONS(3320),
    [anon_sym_nullptr] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3320),
    [anon_sym_decltype] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_alignas] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_typename] = ACTIONS(3320),
    [anon_sym_template] = ACTIONS(3320),
    [anon_sym_operator] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_concept] = ACTIONS(3320),
    [anon_sym_co_return] = ACTIONS(3320),
    [anon_sym_co_yield] = ACTIONS(3320),
    [anon_sym_R_DQUOTE] = ACTIONS(3322),
    [anon_sym_LR_DQUOTE] = ACTIONS(3322),
    [anon_sym_uR_DQUOTE] = ACTIONS(3322),
    [anon_sym_UR_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3322),
    [anon_sym_co_await] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_requires] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
  },
  [423] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_include_token1] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [aux_sym_preproc_else_token1] = ACTIONS(3324),
    [aux_sym_preproc_elif_token1] = ACTIONS(3324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym___cdecl] = ACTIONS(3324),
    [anon_sym___clrcall] = ACTIONS(3324),
    [anon_sym___stdcall] = ACTIONS(3324),
    [anon_sym___fastcall] = ACTIONS(3324),
    [anon_sym___thiscall] = ACTIONS(3324),
    [anon_sym___vectorcall] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_goto] = ACTIONS(3324),
    [anon_sym___try] = ACTIONS(3324),
    [anon_sym___leave] = ACTIONS(3324),
    [anon_sym_not] = ACTIONS(3324),
    [anon_sym_compl] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_sizeof] = ACTIONS(3324),
    [anon_sym___alignof__] = ACTIONS(3324),
    [anon_sym___alignof] = ACTIONS(3324),
    [anon_sym__alignof] = ACTIONS(3324),
    [anon_sym_alignof] = ACTIONS(3324),
    [anon_sym__Alignof] = ACTIONS(3324),
    [anon_sym_offsetof] = ACTIONS(3324),
    [anon_sym__Generic] = ACTIONS(3324),
    [anon_sym_asm] = ACTIONS(3324),
    [anon_sym___asm__] = ACTIONS(3324),
    [sym_number_literal] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3326),
    [anon_sym_u_SQUOTE] = ACTIONS(3326),
    [anon_sym_U_SQUOTE] = ACTIONS(3326),
    [anon_sym_u8_SQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [anon_sym_NULL] = ACTIONS(3324),
    [anon_sym_nullptr] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
    [anon_sym_concept] = ACTIONS(3324),
    [anon_sym_co_return] = ACTIONS(3324),
    [anon_sym_co_yield] = ACTIONS(3324),
    [anon_sym_R_DQUOTE] = ACTIONS(3326),
    [anon_sym_LR_DQUOTE] = ACTIONS(3326),
    [anon_sym_uR_DQUOTE] = ACTIONS(3326),
    [anon_sym_UR_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3326),
    [anon_sym_co_await] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_requires] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
  },
  [424] = {
    [sym__expression] = STATE(5263),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8867),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3328),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3331),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(3333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(3339),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(3342),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [425] = {
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token2] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [aux_sym_preproc_else_token1] = ACTIONS(3345),
    [aux_sym_preproc_elif_token1] = ACTIONS(3345),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3347),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym___try] = ACTIONS(3345),
    [anon_sym___leave] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3347),
    [anon_sym_u_SQUOTE] = ACTIONS(3347),
    [anon_sym_U_SQUOTE] = ACTIONS(3347),
    [anon_sym_u8_SQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_L_DQUOTE] = ACTIONS(3347),
    [anon_sym_u_DQUOTE] = ACTIONS(3347),
    [anon_sym_U_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8_DQUOTE] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3347),
    [anon_sym_LR_DQUOTE] = ACTIONS(3347),
    [anon_sym_uR_DQUOTE] = ACTIONS(3347),
    [anon_sym_UR_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3347),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [426] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_include_token1] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token2] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [aux_sym_preproc_else_token1] = ACTIONS(3349),
    [aux_sym_preproc_elif_token1] = ACTIONS(3349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym___cdecl] = ACTIONS(3349),
    [anon_sym___clrcall] = ACTIONS(3349),
    [anon_sym___stdcall] = ACTIONS(3349),
    [anon_sym___fastcall] = ACTIONS(3349),
    [anon_sym___thiscall] = ACTIONS(3349),
    [anon_sym___vectorcall] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym___try] = ACTIONS(3349),
    [anon_sym___leave] = ACTIONS(3349),
    [anon_sym_not] = ACTIONS(3349),
    [anon_sym_compl] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym___alignof__] = ACTIONS(3349),
    [anon_sym___alignof] = ACTIONS(3349),
    [anon_sym__alignof] = ACTIONS(3349),
    [anon_sym_alignof] = ACTIONS(3349),
    [anon_sym__Alignof] = ACTIONS(3349),
    [anon_sym_offsetof] = ACTIONS(3349),
    [anon_sym__Generic] = ACTIONS(3349),
    [anon_sym_asm] = ACTIONS(3349),
    [anon_sym___asm__] = ACTIONS(3349),
    [sym_number_literal] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3351),
    [anon_sym_u_SQUOTE] = ACTIONS(3351),
    [anon_sym_U_SQUOTE] = ACTIONS(3351),
    [anon_sym_u8_SQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_L_DQUOTE] = ACTIONS(3351),
    [anon_sym_u_DQUOTE] = ACTIONS(3351),
    [anon_sym_U_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8_DQUOTE] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [anon_sym_NULL] = ACTIONS(3349),
    [anon_sym_nullptr] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
    [anon_sym_concept] = ACTIONS(3349),
    [anon_sym_co_return] = ACTIONS(3349),
    [anon_sym_co_yield] = ACTIONS(3349),
    [anon_sym_R_DQUOTE] = ACTIONS(3351),
    [anon_sym_LR_DQUOTE] = ACTIONS(3351),
    [anon_sym_uR_DQUOTE] = ACTIONS(3351),
    [anon_sym_UR_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3351),
    [anon_sym_co_await] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_requires] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
  },
  [427] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_include_token1] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token2] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [aux_sym_preproc_else_token1] = ACTIONS(3353),
    [aux_sym_preproc_elif_token1] = ACTIONS(3353),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym___cdecl] = ACTIONS(3353),
    [anon_sym___clrcall] = ACTIONS(3353),
    [anon_sym___stdcall] = ACTIONS(3353),
    [anon_sym___fastcall] = ACTIONS(3353),
    [anon_sym___thiscall] = ACTIONS(3353),
    [anon_sym___vectorcall] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym___try] = ACTIONS(3353),
    [anon_sym___leave] = ACTIONS(3353),
    [anon_sym_not] = ACTIONS(3353),
    [anon_sym_compl] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym___alignof__] = ACTIONS(3353),
    [anon_sym___alignof] = ACTIONS(3353),
    [anon_sym__alignof] = ACTIONS(3353),
    [anon_sym_alignof] = ACTIONS(3353),
    [anon_sym__Alignof] = ACTIONS(3353),
    [anon_sym_offsetof] = ACTIONS(3353),
    [anon_sym__Generic] = ACTIONS(3353),
    [anon_sym_asm] = ACTIONS(3353),
    [anon_sym___asm__] = ACTIONS(3353),
    [sym_number_literal] = ACTIONS(3355),
    [anon_sym_L_SQUOTE] = ACTIONS(3355),
    [anon_sym_u_SQUOTE] = ACTIONS(3355),
    [anon_sym_U_SQUOTE] = ACTIONS(3355),
    [anon_sym_u8_SQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_L_DQUOTE] = ACTIONS(3355),
    [anon_sym_u_DQUOTE] = ACTIONS(3355),
    [anon_sym_U_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8_DQUOTE] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [anon_sym_NULL] = ACTIONS(3353),
    [anon_sym_nullptr] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
    [anon_sym_concept] = ACTIONS(3353),
    [anon_sym_co_return] = ACTIONS(3353),
    [anon_sym_co_yield] = ACTIONS(3353),
    [anon_sym_R_DQUOTE] = ACTIONS(3355),
    [anon_sym_LR_DQUOTE] = ACTIONS(3355),
    [anon_sym_uR_DQUOTE] = ACTIONS(3355),
    [anon_sym_UR_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3355),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_requires] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
  },
  [428] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_preproc_else_in_field_declaration_list] = STATE(9267),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9267),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9267),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [429] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [430] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [431] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [432] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [433] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [434] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [435] = {
    [sym_identifier] = ACTIONS(3383),
    [aux_sym_preproc_include_token1] = ACTIONS(3383),
    [aux_sym_preproc_def_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token2] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3383),
    [aux_sym_preproc_else_token1] = ACTIONS(3383),
    [aux_sym_preproc_elif_token1] = ACTIONS(3383),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3383),
    [sym_preproc_directive] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym___extension__] = ACTIONS(3383),
    [anon_sym_typedef] = ACTIONS(3383),
    [anon_sym_extern] = ACTIONS(3383),
    [anon_sym___attribute__] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3385),
    [anon_sym___declspec] = ACTIONS(3383),
    [anon_sym___based] = ACTIONS(3383),
    [anon_sym___cdecl] = ACTIONS(3383),
    [anon_sym___clrcall] = ACTIONS(3383),
    [anon_sym___stdcall] = ACTIONS(3383),
    [anon_sym___fastcall] = ACTIONS(3383),
    [anon_sym___thiscall] = ACTIONS(3383),
    [anon_sym___vectorcall] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3383),
    [anon_sym_unsigned] = ACTIONS(3383),
    [anon_sym_long] = ACTIONS(3383),
    [anon_sym_short] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_register] = ACTIONS(3383),
    [anon_sym_inline] = ACTIONS(3383),
    [anon_sym___inline] = ACTIONS(3383),
    [anon_sym___inline__] = ACTIONS(3383),
    [anon_sym___forceinline] = ACTIONS(3383),
    [anon_sym_thread_local] = ACTIONS(3383),
    [anon_sym___thread] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_constexpr] = ACTIONS(3383),
    [anon_sym_volatile] = ACTIONS(3383),
    [anon_sym_restrict] = ACTIONS(3383),
    [anon_sym___restrict__] = ACTIONS(3383),
    [anon_sym__Atomic] = ACTIONS(3383),
    [anon_sym__Noreturn] = ACTIONS(3383),
    [anon_sym_noreturn] = ACTIONS(3383),
    [anon_sym_mutable] = ACTIONS(3383),
    [anon_sym_constinit] = ACTIONS(3383),
    [anon_sym_consteval] = ACTIONS(3383),
    [sym_primitive_type] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_struct] = ACTIONS(3383),
    [anon_sym_union] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_goto] = ACTIONS(3383),
    [anon_sym___try] = ACTIONS(3383),
    [anon_sym___leave] = ACTIONS(3383),
    [anon_sym_not] = ACTIONS(3383),
    [anon_sym_compl] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3383),
    [anon_sym___alignof__] = ACTIONS(3383),
    [anon_sym___alignof] = ACTIONS(3383),
    [anon_sym__alignof] = ACTIONS(3383),
    [anon_sym_alignof] = ACTIONS(3383),
    [anon_sym__Alignof] = ACTIONS(3383),
    [anon_sym_offsetof] = ACTIONS(3383),
    [anon_sym__Generic] = ACTIONS(3383),
    [anon_sym_asm] = ACTIONS(3383),
    [anon_sym___asm__] = ACTIONS(3383),
    [sym_number_literal] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3385),
    [anon_sym_u_SQUOTE] = ACTIONS(3385),
    [anon_sym_U_SQUOTE] = ACTIONS(3385),
    [anon_sym_u8_SQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_L_DQUOTE] = ACTIONS(3385),
    [anon_sym_u_DQUOTE] = ACTIONS(3385),
    [anon_sym_U_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [anon_sym_NULL] = ACTIONS(3383),
    [anon_sym_nullptr] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3383),
    [anon_sym_decltype] = ACTIONS(3383),
    [anon_sym_virtual] = ACTIONS(3383),
    [anon_sym_alignas] = ACTIONS(3383),
    [anon_sym_explicit] = ACTIONS(3383),
    [anon_sym_typename] = ACTIONS(3383),
    [anon_sym_template] = ACTIONS(3383),
    [anon_sym_operator] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_static_assert] = ACTIONS(3383),
    [anon_sym_concept] = ACTIONS(3383),
    [anon_sym_co_return] = ACTIONS(3383),
    [anon_sym_co_yield] = ACTIONS(3383),
    [anon_sym_R_DQUOTE] = ACTIONS(3385),
    [anon_sym_LR_DQUOTE] = ACTIONS(3385),
    [anon_sym_uR_DQUOTE] = ACTIONS(3385),
    [anon_sym_UR_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3385),
    [anon_sym_co_await] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_requires] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
  },
  [436] = {
    [sym_identifier] = ACTIONS(3387),
    [aux_sym_preproc_include_token1] = ACTIONS(3387),
    [aux_sym_preproc_def_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token2] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3387),
    [aux_sym_preproc_else_token1] = ACTIONS(3387),
    [aux_sym_preproc_elif_token1] = ACTIONS(3387),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3387),
    [sym_preproc_directive] = ACTIONS(3387),
    [anon_sym_LPAREN2] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3387),
    [anon_sym_typedef] = ACTIONS(3387),
    [anon_sym_extern] = ACTIONS(3387),
    [anon_sym___attribute__] = ACTIONS(3387),
    [anon_sym_COLON_COLON] = ACTIONS(3389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3389),
    [anon_sym___declspec] = ACTIONS(3387),
    [anon_sym___based] = ACTIONS(3387),
    [anon_sym___cdecl] = ACTIONS(3387),
    [anon_sym___clrcall] = ACTIONS(3387),
    [anon_sym___stdcall] = ACTIONS(3387),
    [anon_sym___fastcall] = ACTIONS(3387),
    [anon_sym___thiscall] = ACTIONS(3387),
    [anon_sym___vectorcall] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_register] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3387),
    [anon_sym___inline] = ACTIONS(3387),
    [anon_sym___inline__] = ACTIONS(3387),
    [anon_sym___forceinline] = ACTIONS(3387),
    [anon_sym_thread_local] = ACTIONS(3387),
    [anon_sym___thread] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_constexpr] = ACTIONS(3387),
    [anon_sym_volatile] = ACTIONS(3387),
    [anon_sym_restrict] = ACTIONS(3387),
    [anon_sym___restrict__] = ACTIONS(3387),
    [anon_sym__Atomic] = ACTIONS(3387),
    [anon_sym__Noreturn] = ACTIONS(3387),
    [anon_sym_noreturn] = ACTIONS(3387),
    [anon_sym_mutable] = ACTIONS(3387),
    [anon_sym_constinit] = ACTIONS(3387),
    [anon_sym_consteval] = ACTIONS(3387),
    [sym_primitive_type] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_union] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_goto] = ACTIONS(3387),
    [anon_sym___try] = ACTIONS(3387),
    [anon_sym___leave] = ACTIONS(3387),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3387),
    [anon_sym___alignof__] = ACTIONS(3387),
    [anon_sym___alignof] = ACTIONS(3387),
    [anon_sym__alignof] = ACTIONS(3387),
    [anon_sym_alignof] = ACTIONS(3387),
    [anon_sym__Alignof] = ACTIONS(3387),
    [anon_sym_offsetof] = ACTIONS(3387),
    [anon_sym__Generic] = ACTIONS(3387),
    [anon_sym_asm] = ACTIONS(3387),
    [anon_sym___asm__] = ACTIONS(3387),
    [sym_number_literal] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3389),
    [anon_sym_u_SQUOTE] = ACTIONS(3389),
    [anon_sym_U_SQUOTE] = ACTIONS(3389),
    [anon_sym_u8_SQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_L_DQUOTE] = ACTIONS(3389),
    [anon_sym_u_DQUOTE] = ACTIONS(3389),
    [anon_sym_U_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [anon_sym_NULL] = ACTIONS(3387),
    [anon_sym_nullptr] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3387),
    [anon_sym_decltype] = ACTIONS(3387),
    [anon_sym_virtual] = ACTIONS(3387),
    [anon_sym_alignas] = ACTIONS(3387),
    [anon_sym_explicit] = ACTIONS(3387),
    [anon_sym_typename] = ACTIONS(3387),
    [anon_sym_template] = ACTIONS(3387),
    [anon_sym_operator] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_static_assert] = ACTIONS(3387),
    [anon_sym_concept] = ACTIONS(3387),
    [anon_sym_co_return] = ACTIONS(3387),
    [anon_sym_co_yield] = ACTIONS(3387),
    [anon_sym_R_DQUOTE] = ACTIONS(3389),
    [anon_sym_LR_DQUOTE] = ACTIONS(3389),
    [anon_sym_uR_DQUOTE] = ACTIONS(3389),
    [anon_sym_UR_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3389),
    [anon_sym_co_await] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_requires] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
  },
  [437] = {
    [sym_catch_clause] = STATE(409),
    [aux_sym_constructor_try_statement_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(2832),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_include_token1] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym___cdecl] = ACTIONS(2830),
    [anon_sym___clrcall] = ACTIONS(2830),
    [anon_sym___stdcall] = ACTIONS(2830),
    [anon_sym___fastcall] = ACTIONS(2830),
    [anon_sym___thiscall] = ACTIONS(2830),
    [anon_sym___vectorcall] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_case] = ACTIONS(2830),
    [anon_sym_default] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_namespace] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_concept] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(3391),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [441] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4982),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7836),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(7992),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3445),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [459] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5050),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7873),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8005),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3457),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [465] = {
    [sym_catch_clause] = STATE(367),
    [aux_sym_constructor_try_statement_repeat1] = STATE(367),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [466] = {
    [sym_catch_clause] = STATE(408),
    [aux_sym_constructor_try_statement_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [469] = {
    [sym_catch_clause] = STATE(408),
    [aux_sym_constructor_try_statement_repeat1] = STATE(408),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [477] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5016),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7584),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8327),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3459),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [487] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4965),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7612),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8274),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [489] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5019),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7866),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(7893),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3463),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [490] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5061),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7619),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8290),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3465),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [492] = {
    [sym_catch_clause] = STATE(367),
    [aux_sym_constructor_try_statement_repeat1] = STATE(367),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3272),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [509] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4981),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7759),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8079),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3467),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [513] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [520] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5063),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7700),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8152),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3469),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [521] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4949),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7708),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8128),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3471),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [526] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5099),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7659),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8205),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3473),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [527] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4960),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7698),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8153),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [528] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4962),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7592),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8313),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3477),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [529] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4963),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7602),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8294),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [530] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4974),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7819),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8004),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3481),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [532] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4972),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7668),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8188),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [533] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4971),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7646),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8212),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3485),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [534] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5036),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7814),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8033),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3487),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [535] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4970),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7640),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8233),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3489),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [537] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(4969),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(7623),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8254),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3387),
    [aux_sym_preproc_include_token1] = ACTIONS(3387),
    [aux_sym_preproc_def_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token2] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3387),
    [aux_sym_preproc_else_token1] = ACTIONS(3387),
    [aux_sym_preproc_elif_token1] = ACTIONS(3387),
    [sym_preproc_directive] = ACTIONS(3387),
    [anon_sym_LPAREN2] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3387),
    [anon_sym_typedef] = ACTIONS(3387),
    [anon_sym_extern] = ACTIONS(3387),
    [anon_sym___attribute__] = ACTIONS(3387),
    [anon_sym_COLON_COLON] = ACTIONS(3389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3389),
    [anon_sym___declspec] = ACTIONS(3387),
    [anon_sym___based] = ACTIONS(3387),
    [anon_sym___cdecl] = ACTIONS(3387),
    [anon_sym___clrcall] = ACTIONS(3387),
    [anon_sym___stdcall] = ACTIONS(3387),
    [anon_sym___fastcall] = ACTIONS(3387),
    [anon_sym___thiscall] = ACTIONS(3387),
    [anon_sym___vectorcall] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_register] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3387),
    [anon_sym___inline] = ACTIONS(3387),
    [anon_sym___inline__] = ACTIONS(3387),
    [anon_sym___forceinline] = ACTIONS(3387),
    [anon_sym_thread_local] = ACTIONS(3387),
    [anon_sym___thread] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_constexpr] = ACTIONS(3387),
    [anon_sym_volatile] = ACTIONS(3387),
    [anon_sym_restrict] = ACTIONS(3387),
    [anon_sym___restrict__] = ACTIONS(3387),
    [anon_sym__Atomic] = ACTIONS(3387),
    [anon_sym__Noreturn] = ACTIONS(3387),
    [anon_sym_noreturn] = ACTIONS(3387),
    [anon_sym_mutable] = ACTIONS(3387),
    [anon_sym_constinit] = ACTIONS(3387),
    [anon_sym_consteval] = ACTIONS(3387),
    [sym_primitive_type] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_union] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_goto] = ACTIONS(3387),
    [anon_sym___try] = ACTIONS(3387),
    [anon_sym___leave] = ACTIONS(3387),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3387),
    [anon_sym___alignof__] = ACTIONS(3387),
    [anon_sym___alignof] = ACTIONS(3387),
    [anon_sym__alignof] = ACTIONS(3387),
    [anon_sym_alignof] = ACTIONS(3387),
    [anon_sym__Alignof] = ACTIONS(3387),
    [anon_sym_offsetof] = ACTIONS(3387),
    [anon_sym__Generic] = ACTIONS(3387),
    [anon_sym_asm] = ACTIONS(3387),
    [anon_sym___asm__] = ACTIONS(3387),
    [sym_number_literal] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3389),
    [anon_sym_u_SQUOTE] = ACTIONS(3389),
    [anon_sym_U_SQUOTE] = ACTIONS(3389),
    [anon_sym_u8_SQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_L_DQUOTE] = ACTIONS(3389),
    [anon_sym_u_DQUOTE] = ACTIONS(3389),
    [anon_sym_U_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [anon_sym_NULL] = ACTIONS(3387),
    [anon_sym_nullptr] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3387),
    [anon_sym_decltype] = ACTIONS(3387),
    [anon_sym_virtual] = ACTIONS(3387),
    [anon_sym_alignas] = ACTIONS(3387),
    [anon_sym_explicit] = ACTIONS(3387),
    [anon_sym_typename] = ACTIONS(3387),
    [anon_sym_template] = ACTIONS(3387),
    [anon_sym_operator] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_static_assert] = ACTIONS(3387),
    [anon_sym_concept] = ACTIONS(3387),
    [anon_sym_co_return] = ACTIONS(3387),
    [anon_sym_co_yield] = ACTIONS(3387),
    [anon_sym_R_DQUOTE] = ACTIONS(3389),
    [anon_sym_LR_DQUOTE] = ACTIONS(3389),
    [anon_sym_uR_DQUOTE] = ACTIONS(3389),
    [anon_sym_UR_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3389),
    [anon_sym_co_await] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_requires] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3300),
    [aux_sym_preproc_include_token1] = ACTIONS(3300),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token2] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [aux_sym_preproc_else_token1] = ACTIONS(3300),
    [aux_sym_preproc_elif_token1] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3300),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym___attribute__] = ACTIONS(3300),
    [anon_sym_COLON_COLON] = ACTIONS(3302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3302),
    [anon_sym___declspec] = ACTIONS(3300),
    [anon_sym___based] = ACTIONS(3300),
    [anon_sym___cdecl] = ACTIONS(3300),
    [anon_sym___clrcall] = ACTIONS(3300),
    [anon_sym___stdcall] = ACTIONS(3300),
    [anon_sym___fastcall] = ACTIONS(3300),
    [anon_sym___thiscall] = ACTIONS(3300),
    [anon_sym___vectorcall] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3300),
    [anon_sym_unsigned] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_register] = ACTIONS(3300),
    [anon_sym_inline] = ACTIONS(3300),
    [anon_sym___inline] = ACTIONS(3300),
    [anon_sym___inline__] = ACTIONS(3300),
    [anon_sym___forceinline] = ACTIONS(3300),
    [anon_sym_thread_local] = ACTIONS(3300),
    [anon_sym___thread] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_constexpr] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_restrict] = ACTIONS(3300),
    [anon_sym___restrict__] = ACTIONS(3300),
    [anon_sym__Atomic] = ACTIONS(3300),
    [anon_sym__Noreturn] = ACTIONS(3300),
    [anon_sym_noreturn] = ACTIONS(3300),
    [anon_sym_mutable] = ACTIONS(3300),
    [anon_sym_constinit] = ACTIONS(3300),
    [anon_sym_consteval] = ACTIONS(3300),
    [sym_primitive_type] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_union] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_goto] = ACTIONS(3300),
    [anon_sym___try] = ACTIONS(3300),
    [anon_sym___leave] = ACTIONS(3300),
    [anon_sym_not] = ACTIONS(3300),
    [anon_sym_compl] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_sizeof] = ACTIONS(3300),
    [anon_sym___alignof__] = ACTIONS(3300),
    [anon_sym___alignof] = ACTIONS(3300),
    [anon_sym__alignof] = ACTIONS(3300),
    [anon_sym_alignof] = ACTIONS(3300),
    [anon_sym__Alignof] = ACTIONS(3300),
    [anon_sym_offsetof] = ACTIONS(3300),
    [anon_sym__Generic] = ACTIONS(3300),
    [anon_sym_asm] = ACTIONS(3300),
    [anon_sym___asm__] = ACTIONS(3300),
    [sym_number_literal] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3302),
    [anon_sym_u_SQUOTE] = ACTIONS(3302),
    [anon_sym_U_SQUOTE] = ACTIONS(3302),
    [anon_sym_u8_SQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_L_DQUOTE] = ACTIONS(3302),
    [anon_sym_u_DQUOTE] = ACTIONS(3302),
    [anon_sym_U_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8_DQUOTE] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [anon_sym_NULL] = ACTIONS(3300),
    [anon_sym_nullptr] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3300),
    [anon_sym_decltype] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_alignas] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_typename] = ACTIONS(3300),
    [anon_sym_template] = ACTIONS(3300),
    [anon_sym_operator] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_static_assert] = ACTIONS(3300),
    [anon_sym_concept] = ACTIONS(3300),
    [anon_sym_co_return] = ACTIONS(3300),
    [anon_sym_co_yield] = ACTIONS(3300),
    [anon_sym_R_DQUOTE] = ACTIONS(3302),
    [anon_sym_LR_DQUOTE] = ACTIONS(3302),
    [anon_sym_uR_DQUOTE] = ACTIONS(3302),
    [anon_sym_UR_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3302),
    [anon_sym_co_await] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_requires] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
  },
  [540] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [541] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_include_token1] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3234),
    [anon_sym___clrcall] = ACTIONS(3234),
    [anon_sym___stdcall] = ACTIONS(3234),
    [anon_sym___fastcall] = ACTIONS(3234),
    [anon_sym___thiscall] = ACTIONS(3234),
    [anon_sym___vectorcall] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_goto] = ACTIONS(3234),
    [anon_sym___try] = ACTIONS(3234),
    [anon_sym___leave] = ACTIONS(3234),
    [anon_sym_not] = ACTIONS(3234),
    [anon_sym_compl] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_sizeof] = ACTIONS(3234),
    [anon_sym___alignof__] = ACTIONS(3234),
    [anon_sym___alignof] = ACTIONS(3234),
    [anon_sym__alignof] = ACTIONS(3234),
    [anon_sym_alignof] = ACTIONS(3234),
    [anon_sym__Alignof] = ACTIONS(3234),
    [anon_sym_offsetof] = ACTIONS(3234),
    [anon_sym__Generic] = ACTIONS(3234),
    [anon_sym_asm] = ACTIONS(3234),
    [anon_sym___asm__] = ACTIONS(3234),
    [sym_number_literal] = ACTIONS(3236),
    [anon_sym_L_SQUOTE] = ACTIONS(3236),
    [anon_sym_u_SQUOTE] = ACTIONS(3236),
    [anon_sym_U_SQUOTE] = ACTIONS(3236),
    [anon_sym_u8_SQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_L_DQUOTE] = ACTIONS(3236),
    [anon_sym_u_DQUOTE] = ACTIONS(3236),
    [anon_sym_U_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8_DQUOTE] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [anon_sym_NULL] = ACTIONS(3234),
    [anon_sym_nullptr] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
    [anon_sym_concept] = ACTIONS(3234),
    [anon_sym_co_return] = ACTIONS(3234),
    [anon_sym_co_yield] = ACTIONS(3234),
    [anon_sym_R_DQUOTE] = ACTIONS(3236),
    [anon_sym_LR_DQUOTE] = ACTIONS(3236),
    [anon_sym_uR_DQUOTE] = ACTIONS(3236),
    [anon_sym_UR_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3236),
    [anon_sym_co_await] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_requires] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3304),
    [aux_sym_preproc_include_token1] = ACTIONS(3304),
    [aux_sym_preproc_def_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token2] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3304),
    [aux_sym_preproc_else_token1] = ACTIONS(3304),
    [aux_sym_preproc_elif_token1] = ACTIONS(3304),
    [sym_preproc_directive] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3306),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym___extension__] = ACTIONS(3304),
    [anon_sym_typedef] = ACTIONS(3304),
    [anon_sym_extern] = ACTIONS(3304),
    [anon_sym___attribute__] = ACTIONS(3304),
    [anon_sym_COLON_COLON] = ACTIONS(3306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3306),
    [anon_sym___declspec] = ACTIONS(3304),
    [anon_sym___based] = ACTIONS(3304),
    [anon_sym___cdecl] = ACTIONS(3304),
    [anon_sym___clrcall] = ACTIONS(3304),
    [anon_sym___stdcall] = ACTIONS(3304),
    [anon_sym___fastcall] = ACTIONS(3304),
    [anon_sym___thiscall] = ACTIONS(3304),
    [anon_sym___vectorcall] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_signed] = ACTIONS(3304),
    [anon_sym_unsigned] = ACTIONS(3304),
    [anon_sym_long] = ACTIONS(3304),
    [anon_sym_short] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_register] = ACTIONS(3304),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym___inline] = ACTIONS(3304),
    [anon_sym___inline__] = ACTIONS(3304),
    [anon_sym___forceinline] = ACTIONS(3304),
    [anon_sym_thread_local] = ACTIONS(3304),
    [anon_sym___thread] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_constexpr] = ACTIONS(3304),
    [anon_sym_volatile] = ACTIONS(3304),
    [anon_sym_restrict] = ACTIONS(3304),
    [anon_sym___restrict__] = ACTIONS(3304),
    [anon_sym__Atomic] = ACTIONS(3304),
    [anon_sym__Noreturn] = ACTIONS(3304),
    [anon_sym_noreturn] = ACTIONS(3304),
    [anon_sym_mutable] = ACTIONS(3304),
    [anon_sym_constinit] = ACTIONS(3304),
    [anon_sym_consteval] = ACTIONS(3304),
    [sym_primitive_type] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_union] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_goto] = ACTIONS(3304),
    [anon_sym___try] = ACTIONS(3304),
    [anon_sym___leave] = ACTIONS(3304),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_compl] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_sizeof] = ACTIONS(3304),
    [anon_sym___alignof__] = ACTIONS(3304),
    [anon_sym___alignof] = ACTIONS(3304),
    [anon_sym__alignof] = ACTIONS(3304),
    [anon_sym_alignof] = ACTIONS(3304),
    [anon_sym__Alignof] = ACTIONS(3304),
    [anon_sym_offsetof] = ACTIONS(3304),
    [anon_sym__Generic] = ACTIONS(3304),
    [anon_sym_asm] = ACTIONS(3304),
    [anon_sym___asm__] = ACTIONS(3304),
    [sym_number_literal] = ACTIONS(3306),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3306),
    [anon_sym_u_DQUOTE] = ACTIONS(3306),
    [anon_sym_U_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8_DQUOTE] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [anon_sym_NULL] = ACTIONS(3304),
    [anon_sym_nullptr] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3304),
    [anon_sym_decltype] = ACTIONS(3304),
    [anon_sym_virtual] = ACTIONS(3304),
    [anon_sym_alignas] = ACTIONS(3304),
    [anon_sym_explicit] = ACTIONS(3304),
    [anon_sym_typename] = ACTIONS(3304),
    [anon_sym_template] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_static_assert] = ACTIONS(3304),
    [anon_sym_concept] = ACTIONS(3304),
    [anon_sym_co_return] = ACTIONS(3304),
    [anon_sym_co_yield] = ACTIONS(3304),
    [anon_sym_R_DQUOTE] = ACTIONS(3306),
    [anon_sym_LR_DQUOTE] = ACTIONS(3306),
    [anon_sym_uR_DQUOTE] = ACTIONS(3306),
    [anon_sym_UR_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3306),
    [anon_sym_co_await] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_requires] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3230),
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token2] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [aux_sym_preproc_else_token1] = ACTIONS(3230),
    [aux_sym_preproc_elif_token1] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3230),
    [anon_sym_typedef] = ACTIONS(3230),
    [anon_sym_extern] = ACTIONS(3230),
    [anon_sym___attribute__] = ACTIONS(3230),
    [anon_sym_COLON_COLON] = ACTIONS(3232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3232),
    [anon_sym___declspec] = ACTIONS(3230),
    [anon_sym___based] = ACTIONS(3230),
    [anon_sym___cdecl] = ACTIONS(3230),
    [anon_sym___clrcall] = ACTIONS(3230),
    [anon_sym___stdcall] = ACTIONS(3230),
    [anon_sym___fastcall] = ACTIONS(3230),
    [anon_sym___thiscall] = ACTIONS(3230),
    [anon_sym___vectorcall] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3230),
    [anon_sym_unsigned] = ACTIONS(3230),
    [anon_sym_long] = ACTIONS(3230),
    [anon_sym_short] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_register] = ACTIONS(3230),
    [anon_sym_inline] = ACTIONS(3230),
    [anon_sym___inline] = ACTIONS(3230),
    [anon_sym___inline__] = ACTIONS(3230),
    [anon_sym___forceinline] = ACTIONS(3230),
    [anon_sym_thread_local] = ACTIONS(3230),
    [anon_sym___thread] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_constexpr] = ACTIONS(3230),
    [anon_sym_volatile] = ACTIONS(3230),
    [anon_sym_restrict] = ACTIONS(3230),
    [anon_sym___restrict__] = ACTIONS(3230),
    [anon_sym__Atomic] = ACTIONS(3230),
    [anon_sym__Noreturn] = ACTIONS(3230),
    [anon_sym_noreturn] = ACTIONS(3230),
    [anon_sym_mutable] = ACTIONS(3230),
    [anon_sym_constinit] = ACTIONS(3230),
    [anon_sym_consteval] = ACTIONS(3230),
    [sym_primitive_type] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_union] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_goto] = ACTIONS(3230),
    [anon_sym___try] = ACTIONS(3230),
    [anon_sym___leave] = ACTIONS(3230),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_sizeof] = ACTIONS(3230),
    [anon_sym___alignof__] = ACTIONS(3230),
    [anon_sym___alignof] = ACTIONS(3230),
    [anon_sym__alignof] = ACTIONS(3230),
    [anon_sym_alignof] = ACTIONS(3230),
    [anon_sym__Alignof] = ACTIONS(3230),
    [anon_sym_offsetof] = ACTIONS(3230),
    [anon_sym__Generic] = ACTIONS(3230),
    [anon_sym_asm] = ACTIONS(3230),
    [anon_sym___asm__] = ACTIONS(3230),
    [sym_number_literal] = ACTIONS(3232),
    [anon_sym_L_SQUOTE] = ACTIONS(3232),
    [anon_sym_u_SQUOTE] = ACTIONS(3232),
    [anon_sym_U_SQUOTE] = ACTIONS(3232),
    [anon_sym_u8_SQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_L_DQUOTE] = ACTIONS(3232),
    [anon_sym_u_DQUOTE] = ACTIONS(3232),
    [anon_sym_U_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8_DQUOTE] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [anon_sym_NULL] = ACTIONS(3230),
    [anon_sym_nullptr] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3230),
    [anon_sym_decltype] = ACTIONS(3230),
    [anon_sym_virtual] = ACTIONS(3230),
    [anon_sym_alignas] = ACTIONS(3230),
    [anon_sym_explicit] = ACTIONS(3230),
    [anon_sym_typename] = ACTIONS(3230),
    [anon_sym_template] = ACTIONS(3230),
    [anon_sym_operator] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3230),
    [anon_sym_concept] = ACTIONS(3230),
    [anon_sym_co_return] = ACTIONS(3230),
    [anon_sym_co_yield] = ACTIONS(3230),
    [anon_sym_R_DQUOTE] = ACTIONS(3232),
    [anon_sym_LR_DQUOTE] = ACTIONS(3232),
    [anon_sym_uR_DQUOTE] = ACTIONS(3232),
    [anon_sym_UR_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3232),
    [anon_sym_co_await] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_requires] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [aux_sym_preproc_else_token1] = ACTIONS(3081),
    [aux_sym_preproc_elif_token1] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [aux_sym_preproc_else_token1] = ACTIONS(3204),
    [aux_sym_preproc_elif_token1] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [549] = {
    [sym_else_clause] = STATE(778),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_RBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(3493),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [aux_sym_preproc_else_token1] = ACTIONS(3115),
    [aux_sym_preproc_elif_token1] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [555] = {
    [sym_else_clause] = STATE(811),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_include_token1] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym___cdecl] = ACTIONS(3274),
    [anon_sym___clrcall] = ACTIONS(3274),
    [anon_sym___stdcall] = ACTIONS(3274),
    [anon_sym___fastcall] = ACTIONS(3274),
    [anon_sym___thiscall] = ACTIONS(3274),
    [anon_sym___vectorcall] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym___try] = ACTIONS(3274),
    [anon_sym___leave] = ACTIONS(3274),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_compl] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [anon_sym___alignof__] = ACTIONS(3274),
    [anon_sym___alignof] = ACTIONS(3274),
    [anon_sym__alignof] = ACTIONS(3274),
    [anon_sym_alignof] = ACTIONS(3274),
    [anon_sym__Alignof] = ACTIONS(3274),
    [anon_sym_offsetof] = ACTIONS(3274),
    [anon_sym__Generic] = ACTIONS(3274),
    [anon_sym_asm] = ACTIONS(3274),
    [anon_sym___asm__] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [anon_sym_L_SQUOTE] = ACTIONS(3276),
    [anon_sym_u_SQUOTE] = ACTIONS(3276),
    [anon_sym_U_SQUOTE] = ACTIONS(3276),
    [anon_sym_u8_SQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_L_DQUOTE] = ACTIONS(3276),
    [anon_sym_u_DQUOTE] = ACTIONS(3276),
    [anon_sym_U_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8_DQUOTE] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [anon_sym_NULL] = ACTIONS(3274),
    [anon_sym_nullptr] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
    [anon_sym_concept] = ACTIONS(3274),
    [anon_sym_co_return] = ACTIONS(3274),
    [anon_sym_co_yield] = ACTIONS(3274),
    [anon_sym_R_DQUOTE] = ACTIONS(3276),
    [anon_sym_LR_DQUOTE] = ACTIONS(3276),
    [anon_sym_uR_DQUOTE] = ACTIONS(3276),
    [anon_sym_UR_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3276),
    [anon_sym_co_await] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_requires] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3383),
    [aux_sym_preproc_include_token1] = ACTIONS(3383),
    [aux_sym_preproc_def_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token2] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3383),
    [aux_sym_preproc_else_token1] = ACTIONS(3383),
    [aux_sym_preproc_elif_token1] = ACTIONS(3383),
    [sym_preproc_directive] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym___extension__] = ACTIONS(3383),
    [anon_sym_typedef] = ACTIONS(3383),
    [anon_sym_extern] = ACTIONS(3383),
    [anon_sym___attribute__] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3385),
    [anon_sym___declspec] = ACTIONS(3383),
    [anon_sym___based] = ACTIONS(3383),
    [anon_sym___cdecl] = ACTIONS(3383),
    [anon_sym___clrcall] = ACTIONS(3383),
    [anon_sym___stdcall] = ACTIONS(3383),
    [anon_sym___fastcall] = ACTIONS(3383),
    [anon_sym___thiscall] = ACTIONS(3383),
    [anon_sym___vectorcall] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3383),
    [anon_sym_unsigned] = ACTIONS(3383),
    [anon_sym_long] = ACTIONS(3383),
    [anon_sym_short] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_register] = ACTIONS(3383),
    [anon_sym_inline] = ACTIONS(3383),
    [anon_sym___inline] = ACTIONS(3383),
    [anon_sym___inline__] = ACTIONS(3383),
    [anon_sym___forceinline] = ACTIONS(3383),
    [anon_sym_thread_local] = ACTIONS(3383),
    [anon_sym___thread] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_constexpr] = ACTIONS(3383),
    [anon_sym_volatile] = ACTIONS(3383),
    [anon_sym_restrict] = ACTIONS(3383),
    [anon_sym___restrict__] = ACTIONS(3383),
    [anon_sym__Atomic] = ACTIONS(3383),
    [anon_sym__Noreturn] = ACTIONS(3383),
    [anon_sym_noreturn] = ACTIONS(3383),
    [anon_sym_mutable] = ACTIONS(3383),
    [anon_sym_constinit] = ACTIONS(3383),
    [anon_sym_consteval] = ACTIONS(3383),
    [sym_primitive_type] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_struct] = ACTIONS(3383),
    [anon_sym_union] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_goto] = ACTIONS(3383),
    [anon_sym___try] = ACTIONS(3383),
    [anon_sym___leave] = ACTIONS(3383),
    [anon_sym_not] = ACTIONS(3383),
    [anon_sym_compl] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3383),
    [anon_sym___alignof__] = ACTIONS(3383),
    [anon_sym___alignof] = ACTIONS(3383),
    [anon_sym__alignof] = ACTIONS(3383),
    [anon_sym_alignof] = ACTIONS(3383),
    [anon_sym__Alignof] = ACTIONS(3383),
    [anon_sym_offsetof] = ACTIONS(3383),
    [anon_sym__Generic] = ACTIONS(3383),
    [anon_sym_asm] = ACTIONS(3383),
    [anon_sym___asm__] = ACTIONS(3383),
    [sym_number_literal] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3385),
    [anon_sym_u_SQUOTE] = ACTIONS(3385),
    [anon_sym_U_SQUOTE] = ACTIONS(3385),
    [anon_sym_u8_SQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_L_DQUOTE] = ACTIONS(3385),
    [anon_sym_u_DQUOTE] = ACTIONS(3385),
    [anon_sym_U_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [anon_sym_NULL] = ACTIONS(3383),
    [anon_sym_nullptr] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3383),
    [anon_sym_decltype] = ACTIONS(3383),
    [anon_sym_virtual] = ACTIONS(3383),
    [anon_sym_alignas] = ACTIONS(3383),
    [anon_sym_explicit] = ACTIONS(3383),
    [anon_sym_typename] = ACTIONS(3383),
    [anon_sym_template] = ACTIONS(3383),
    [anon_sym_operator] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_static_assert] = ACTIONS(3383),
    [anon_sym_concept] = ACTIONS(3383),
    [anon_sym_co_return] = ACTIONS(3383),
    [anon_sym_co_yield] = ACTIONS(3383),
    [anon_sym_R_DQUOTE] = ACTIONS(3385),
    [anon_sym_LR_DQUOTE] = ACTIONS(3385),
    [anon_sym_uR_DQUOTE] = ACTIONS(3385),
    [anon_sym_UR_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3385),
    [anon_sym_co_await] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_requires] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [aux_sym_preproc_else_token1] = ACTIONS(3111),
    [aux_sym_preproc_elif_token1] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [aux_sym_preproc_else_token1] = ACTIONS(3260),
    [aux_sym_preproc_elif_token1] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [aux_sym_preproc_else_token1] = ACTIONS(3256),
    [aux_sym_preproc_elif_token1] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [568] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [aux_sym_preproc_else_token1] = ACTIONS(3278),
    [aux_sym_preproc_elif_token1] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [569] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [570] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [sym_number_literal] = ACTIONS(3310),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3320),
    [aux_sym_preproc_include_token1] = ACTIONS(3320),
    [aux_sym_preproc_def_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token2] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [aux_sym_preproc_else_token1] = ACTIONS(3320),
    [aux_sym_preproc_elif_token1] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3320),
    [anon_sym_LPAREN2] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3322),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3320),
    [anon_sym_typedef] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym___attribute__] = ACTIONS(3320),
    [anon_sym_COLON_COLON] = ACTIONS(3322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3322),
    [anon_sym___declspec] = ACTIONS(3320),
    [anon_sym___based] = ACTIONS(3320),
    [anon_sym___cdecl] = ACTIONS(3320),
    [anon_sym___clrcall] = ACTIONS(3320),
    [anon_sym___stdcall] = ACTIONS(3320),
    [anon_sym___fastcall] = ACTIONS(3320),
    [anon_sym___thiscall] = ACTIONS(3320),
    [anon_sym___vectorcall] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3320),
    [anon_sym_unsigned] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_register] = ACTIONS(3320),
    [anon_sym_inline] = ACTIONS(3320),
    [anon_sym___inline] = ACTIONS(3320),
    [anon_sym___inline__] = ACTIONS(3320),
    [anon_sym___forceinline] = ACTIONS(3320),
    [anon_sym_thread_local] = ACTIONS(3320),
    [anon_sym___thread] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_constexpr] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_restrict] = ACTIONS(3320),
    [anon_sym___restrict__] = ACTIONS(3320),
    [anon_sym__Atomic] = ACTIONS(3320),
    [anon_sym__Noreturn] = ACTIONS(3320),
    [anon_sym_noreturn] = ACTIONS(3320),
    [anon_sym_mutable] = ACTIONS(3320),
    [anon_sym_constinit] = ACTIONS(3320),
    [anon_sym_consteval] = ACTIONS(3320),
    [sym_primitive_type] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_union] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_goto] = ACTIONS(3320),
    [anon_sym___try] = ACTIONS(3320),
    [anon_sym___leave] = ACTIONS(3320),
    [anon_sym_not] = ACTIONS(3320),
    [anon_sym_compl] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(3320),
    [anon_sym___alignof] = ACTIONS(3320),
    [anon_sym__alignof] = ACTIONS(3320),
    [anon_sym_alignof] = ACTIONS(3320),
    [anon_sym__Alignof] = ACTIONS(3320),
    [anon_sym_offsetof] = ACTIONS(3320),
    [anon_sym__Generic] = ACTIONS(3320),
    [anon_sym_asm] = ACTIONS(3320),
    [anon_sym___asm__] = ACTIONS(3320),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3322),
    [anon_sym_u_SQUOTE] = ACTIONS(3322),
    [anon_sym_U_SQUOTE] = ACTIONS(3322),
    [anon_sym_u8_SQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_L_DQUOTE] = ACTIONS(3322),
    [anon_sym_u_DQUOTE] = ACTIONS(3322),
    [anon_sym_U_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8_DQUOTE] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [anon_sym_NULL] = ACTIONS(3320),
    [anon_sym_nullptr] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3320),
    [anon_sym_decltype] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_alignas] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_typename] = ACTIONS(3320),
    [anon_sym_template] = ACTIONS(3320),
    [anon_sym_operator] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_concept] = ACTIONS(3320),
    [anon_sym_co_return] = ACTIONS(3320),
    [anon_sym_co_yield] = ACTIONS(3320),
    [anon_sym_R_DQUOTE] = ACTIONS(3322),
    [anon_sym_LR_DQUOTE] = ACTIONS(3322),
    [anon_sym_uR_DQUOTE] = ACTIONS(3322),
    [anon_sym_UR_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3322),
    [anon_sym_co_await] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_requires] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
  },
  [573] = {
    [sym_else_clause] = STATE(830),
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(3497),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token2] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [aux_sym_preproc_else_token1] = ACTIONS(3345),
    [aux_sym_preproc_elif_token1] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3347),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym___try] = ACTIONS(3345),
    [anon_sym___leave] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3347),
    [anon_sym_u_SQUOTE] = ACTIONS(3347),
    [anon_sym_U_SQUOTE] = ACTIONS(3347),
    [anon_sym_u8_SQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_L_DQUOTE] = ACTIONS(3347),
    [anon_sym_u_DQUOTE] = ACTIONS(3347),
    [anon_sym_U_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8_DQUOTE] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3347),
    [anon_sym_LR_DQUOTE] = ACTIONS(3347),
    [anon_sym_uR_DQUOTE] = ACTIONS(3347),
    [anon_sym_UR_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3347),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_include_token1] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym___cdecl] = ACTIONS(2184),
    [anon_sym___clrcall] = ACTIONS(2184),
    [anon_sym___stdcall] = ACTIONS(2184),
    [anon_sym___fastcall] = ACTIONS(2184),
    [anon_sym___thiscall] = ACTIONS(2184),
    [anon_sym___vectorcall] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_concept] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [aux_sym_preproc_else_token1] = ACTIONS(3252),
    [aux_sym_preproc_elif_token1] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3226),
    [aux_sym_preproc_include_token1] = ACTIONS(3226),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3226),
    [aux_sym_preproc_else_token1] = ACTIONS(3226),
    [aux_sym_preproc_elif_token1] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3226),
    [anon_sym_LPAREN2] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3226),
    [anon_sym_typedef] = ACTIONS(3226),
    [anon_sym_extern] = ACTIONS(3226),
    [anon_sym___attribute__] = ACTIONS(3226),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3228),
    [anon_sym___declspec] = ACTIONS(3226),
    [anon_sym___based] = ACTIONS(3226),
    [anon_sym___cdecl] = ACTIONS(3226),
    [anon_sym___clrcall] = ACTIONS(3226),
    [anon_sym___stdcall] = ACTIONS(3226),
    [anon_sym___fastcall] = ACTIONS(3226),
    [anon_sym___thiscall] = ACTIONS(3226),
    [anon_sym___vectorcall] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3226),
    [anon_sym_unsigned] = ACTIONS(3226),
    [anon_sym_long] = ACTIONS(3226),
    [anon_sym_short] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_register] = ACTIONS(3226),
    [anon_sym_inline] = ACTIONS(3226),
    [anon_sym___inline] = ACTIONS(3226),
    [anon_sym___inline__] = ACTIONS(3226),
    [anon_sym___forceinline] = ACTIONS(3226),
    [anon_sym_thread_local] = ACTIONS(3226),
    [anon_sym___thread] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_constexpr] = ACTIONS(3226),
    [anon_sym_volatile] = ACTIONS(3226),
    [anon_sym_restrict] = ACTIONS(3226),
    [anon_sym___restrict__] = ACTIONS(3226),
    [anon_sym__Atomic] = ACTIONS(3226),
    [anon_sym__Noreturn] = ACTIONS(3226),
    [anon_sym_noreturn] = ACTIONS(3226),
    [anon_sym_mutable] = ACTIONS(3226),
    [anon_sym_constinit] = ACTIONS(3226),
    [anon_sym_consteval] = ACTIONS(3226),
    [sym_primitive_type] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_union] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_goto] = ACTIONS(3226),
    [anon_sym___try] = ACTIONS(3226),
    [anon_sym___leave] = ACTIONS(3226),
    [anon_sym_not] = ACTIONS(3226),
    [anon_sym_compl] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_sizeof] = ACTIONS(3226),
    [anon_sym___alignof__] = ACTIONS(3226),
    [anon_sym___alignof] = ACTIONS(3226),
    [anon_sym__alignof] = ACTIONS(3226),
    [anon_sym_alignof] = ACTIONS(3226),
    [anon_sym__Alignof] = ACTIONS(3226),
    [anon_sym_offsetof] = ACTIONS(3226),
    [anon_sym__Generic] = ACTIONS(3226),
    [anon_sym_asm] = ACTIONS(3226),
    [anon_sym___asm__] = ACTIONS(3226),
    [sym_number_literal] = ACTIONS(3228),
    [anon_sym_L_SQUOTE] = ACTIONS(3228),
    [anon_sym_u_SQUOTE] = ACTIONS(3228),
    [anon_sym_U_SQUOTE] = ACTIONS(3228),
    [anon_sym_u8_SQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_L_DQUOTE] = ACTIONS(3228),
    [anon_sym_u_DQUOTE] = ACTIONS(3228),
    [anon_sym_U_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8_DQUOTE] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [anon_sym_NULL] = ACTIONS(3226),
    [anon_sym_nullptr] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3226),
    [anon_sym_decltype] = ACTIONS(3226),
    [anon_sym_virtual] = ACTIONS(3226),
    [anon_sym_alignas] = ACTIONS(3226),
    [anon_sym_explicit] = ACTIONS(3226),
    [anon_sym_typename] = ACTIONS(3226),
    [anon_sym_template] = ACTIONS(3226),
    [anon_sym_operator] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_static_assert] = ACTIONS(3226),
    [anon_sym_concept] = ACTIONS(3226),
    [anon_sym_co_return] = ACTIONS(3226),
    [anon_sym_co_yield] = ACTIONS(3226),
    [anon_sym_R_DQUOTE] = ACTIONS(3228),
    [anon_sym_LR_DQUOTE] = ACTIONS(3228),
    [anon_sym_uR_DQUOTE] = ACTIONS(3228),
    [anon_sym_UR_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3228),
    [anon_sym_co_await] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_requires] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
  },
  [578] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_include_token1] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [aux_sym_preproc_else_token1] = ACTIONS(3292),
    [aux_sym_preproc_elif_token1] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym___cdecl] = ACTIONS(3292),
    [anon_sym___clrcall] = ACTIONS(3292),
    [anon_sym___stdcall] = ACTIONS(3292),
    [anon_sym___fastcall] = ACTIONS(3292),
    [anon_sym___thiscall] = ACTIONS(3292),
    [anon_sym___vectorcall] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_goto] = ACTIONS(3292),
    [anon_sym___try] = ACTIONS(3292),
    [anon_sym___leave] = ACTIONS(3292),
    [anon_sym_not] = ACTIONS(3292),
    [anon_sym_compl] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(3292),
    [anon_sym___alignof__] = ACTIONS(3292),
    [anon_sym___alignof] = ACTIONS(3292),
    [anon_sym__alignof] = ACTIONS(3292),
    [anon_sym_alignof] = ACTIONS(3292),
    [anon_sym__Alignof] = ACTIONS(3292),
    [anon_sym_offsetof] = ACTIONS(3292),
    [anon_sym__Generic] = ACTIONS(3292),
    [anon_sym_asm] = ACTIONS(3292),
    [anon_sym___asm__] = ACTIONS(3292),
    [sym_number_literal] = ACTIONS(3294),
    [anon_sym_L_SQUOTE] = ACTIONS(3294),
    [anon_sym_u_SQUOTE] = ACTIONS(3294),
    [anon_sym_U_SQUOTE] = ACTIONS(3294),
    [anon_sym_u8_SQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_L_DQUOTE] = ACTIONS(3294),
    [anon_sym_u_DQUOTE] = ACTIONS(3294),
    [anon_sym_U_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8_DQUOTE] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [anon_sym_NULL] = ACTIONS(3292),
    [anon_sym_nullptr] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
    [anon_sym_concept] = ACTIONS(3292),
    [anon_sym_co_return] = ACTIONS(3292),
    [anon_sym_co_yield] = ACTIONS(3292),
    [anon_sym_R_DQUOTE] = ACTIONS(3294),
    [anon_sym_LR_DQUOTE] = ACTIONS(3294),
    [anon_sym_uR_DQUOTE] = ACTIONS(3294),
    [anon_sym_UR_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3294),
    [anon_sym_co_await] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_include_token1] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [aux_sym_preproc_else_token1] = ACTIONS(3324),
    [aux_sym_preproc_elif_token1] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym___cdecl] = ACTIONS(3324),
    [anon_sym___clrcall] = ACTIONS(3324),
    [anon_sym___stdcall] = ACTIONS(3324),
    [anon_sym___fastcall] = ACTIONS(3324),
    [anon_sym___thiscall] = ACTIONS(3324),
    [anon_sym___vectorcall] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_goto] = ACTIONS(3324),
    [anon_sym___try] = ACTIONS(3324),
    [anon_sym___leave] = ACTIONS(3324),
    [anon_sym_not] = ACTIONS(3324),
    [anon_sym_compl] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_sizeof] = ACTIONS(3324),
    [anon_sym___alignof__] = ACTIONS(3324),
    [anon_sym___alignof] = ACTIONS(3324),
    [anon_sym__alignof] = ACTIONS(3324),
    [anon_sym_alignof] = ACTIONS(3324),
    [anon_sym__Alignof] = ACTIONS(3324),
    [anon_sym_offsetof] = ACTIONS(3324),
    [anon_sym__Generic] = ACTIONS(3324),
    [anon_sym_asm] = ACTIONS(3324),
    [anon_sym___asm__] = ACTIONS(3324),
    [sym_number_literal] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3326),
    [anon_sym_u_SQUOTE] = ACTIONS(3326),
    [anon_sym_U_SQUOTE] = ACTIONS(3326),
    [anon_sym_u8_SQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [anon_sym_NULL] = ACTIONS(3324),
    [anon_sym_nullptr] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
    [anon_sym_concept] = ACTIONS(3324),
    [anon_sym_co_return] = ACTIONS(3324),
    [anon_sym_co_yield] = ACTIONS(3324),
    [anon_sym_R_DQUOTE] = ACTIONS(3326),
    [anon_sym_LR_DQUOTE] = ACTIONS(3326),
    [anon_sym_uR_DQUOTE] = ACTIONS(3326),
    [anon_sym_UR_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3326),
    [anon_sym_co_await] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_requires] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
  },
  [580] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_include_token1] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token2] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [aux_sym_preproc_else_token1] = ACTIONS(3349),
    [aux_sym_preproc_elif_token1] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym___cdecl] = ACTIONS(3349),
    [anon_sym___clrcall] = ACTIONS(3349),
    [anon_sym___stdcall] = ACTIONS(3349),
    [anon_sym___fastcall] = ACTIONS(3349),
    [anon_sym___thiscall] = ACTIONS(3349),
    [anon_sym___vectorcall] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym___try] = ACTIONS(3349),
    [anon_sym___leave] = ACTIONS(3349),
    [anon_sym_not] = ACTIONS(3349),
    [anon_sym_compl] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym___alignof__] = ACTIONS(3349),
    [anon_sym___alignof] = ACTIONS(3349),
    [anon_sym__alignof] = ACTIONS(3349),
    [anon_sym_alignof] = ACTIONS(3349),
    [anon_sym__Alignof] = ACTIONS(3349),
    [anon_sym_offsetof] = ACTIONS(3349),
    [anon_sym__Generic] = ACTIONS(3349),
    [anon_sym_asm] = ACTIONS(3349),
    [anon_sym___asm__] = ACTIONS(3349),
    [sym_number_literal] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3351),
    [anon_sym_u_SQUOTE] = ACTIONS(3351),
    [anon_sym_U_SQUOTE] = ACTIONS(3351),
    [anon_sym_u8_SQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_L_DQUOTE] = ACTIONS(3351),
    [anon_sym_u_DQUOTE] = ACTIONS(3351),
    [anon_sym_U_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8_DQUOTE] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [anon_sym_NULL] = ACTIONS(3349),
    [anon_sym_nullptr] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
    [anon_sym_concept] = ACTIONS(3349),
    [anon_sym_co_return] = ACTIONS(3349),
    [anon_sym_co_yield] = ACTIONS(3349),
    [anon_sym_R_DQUOTE] = ACTIONS(3351),
    [anon_sym_LR_DQUOTE] = ACTIONS(3351),
    [anon_sym_uR_DQUOTE] = ACTIONS(3351),
    [anon_sym_UR_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3351),
    [anon_sym_co_await] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_requires] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_include_token1] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token2] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [aux_sym_preproc_else_token1] = ACTIONS(3353),
    [aux_sym_preproc_elif_token1] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym___cdecl] = ACTIONS(3353),
    [anon_sym___clrcall] = ACTIONS(3353),
    [anon_sym___stdcall] = ACTIONS(3353),
    [anon_sym___fastcall] = ACTIONS(3353),
    [anon_sym___thiscall] = ACTIONS(3353),
    [anon_sym___vectorcall] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym___try] = ACTIONS(3353),
    [anon_sym___leave] = ACTIONS(3353),
    [anon_sym_not] = ACTIONS(3353),
    [anon_sym_compl] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym___alignof__] = ACTIONS(3353),
    [anon_sym___alignof] = ACTIONS(3353),
    [anon_sym__alignof] = ACTIONS(3353),
    [anon_sym_alignof] = ACTIONS(3353),
    [anon_sym__Alignof] = ACTIONS(3353),
    [anon_sym_offsetof] = ACTIONS(3353),
    [anon_sym__Generic] = ACTIONS(3353),
    [anon_sym_asm] = ACTIONS(3353),
    [anon_sym___asm__] = ACTIONS(3353),
    [sym_number_literal] = ACTIONS(3355),
    [anon_sym_L_SQUOTE] = ACTIONS(3355),
    [anon_sym_u_SQUOTE] = ACTIONS(3355),
    [anon_sym_U_SQUOTE] = ACTIONS(3355),
    [anon_sym_u8_SQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_L_DQUOTE] = ACTIONS(3355),
    [anon_sym_u_DQUOTE] = ACTIONS(3355),
    [anon_sym_U_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8_DQUOTE] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [anon_sym_NULL] = ACTIONS(3353),
    [anon_sym_nullptr] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
    [anon_sym_concept] = ACTIONS(3353),
    [anon_sym_co_return] = ACTIONS(3353),
    [anon_sym_co_yield] = ACTIONS(3353),
    [anon_sym_R_DQUOTE] = ACTIONS(3355),
    [anon_sym_LR_DQUOTE] = ACTIONS(3355),
    [anon_sym_uR_DQUOTE] = ACTIONS(3355),
    [anon_sym_UR_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3355),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_requires] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [586] = {
    [sym_else_clause] = STATE(805),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token2] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(3495),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [587] = {
    [sym_else_clause] = STATE(670),
    [ts_builtin_sym_end] = ACTIONS(2852),
    [sym_identifier] = ACTIONS(2850),
    [aux_sym_preproc_include_token1] = ACTIONS(2850),
    [aux_sym_preproc_def_token1] = ACTIONS(2850),
    [aux_sym_preproc_if_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [sym_preproc_directive] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP_AMP] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym___based] = ACTIONS(2850),
    [anon_sym___cdecl] = ACTIONS(2850),
    [anon_sym___clrcall] = ACTIONS(2850),
    [anon_sym___stdcall] = ACTIONS(2850),
    [anon_sym___fastcall] = ACTIONS(2850),
    [anon_sym___thiscall] = ACTIONS(2850),
    [anon_sym___vectorcall] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(3497),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_case] = ACTIONS(2850),
    [anon_sym_default] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_explicit] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_operator] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_namespace] = ACTIONS(2850),
    [anon_sym_using] = ACTIONS(2850),
    [anon_sym_static_assert] = ACTIONS(2850),
    [anon_sym_concept] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [aux_sym_preproc_else_token1] = ACTIONS(3099),
    [aux_sym_preproc_elif_token1] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [589] = {
    [sym_type_qualifier] = STATE(4668),
    [sym__type_specifier] = STATE(5630),
    [sym_sized_type_specifier] = STATE(3553),
    [sym_enum_specifier] = STATE(3553),
    [sym_struct_specifier] = STATE(3553),
    [sym_union_specifier] = STATE(3553),
    [sym__expression] = STATE(5247),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_type_descriptor] = STATE(8014),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_placeholder_type_specifier] = STATE(3553),
    [sym_decltype_auto] = STATE(3517),
    [sym_decltype] = STATE(3438),
    [sym_class_specifier] = STATE(3553),
    [sym__class_name] = STATE(8492),
    [sym_dependent_type] = STATE(3553),
    [sym_template_type] = STATE(6118),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_type_parameter_pack_expansion] = STATE(8671),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6362),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(6157),
    [sym_user_defined_literal] = STATE(4207),
    [aux_sym__type_definition_type_repeat1] = STATE(4668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2836),
    [sym_identifier] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3407),
    [anon_sym_enum] = ACTIONS(3409),
    [anon_sym_class] = ACTIONS(3411),
    [anon_sym_struct] = ACTIONS(3413),
    [anon_sym_union] = ACTIONS(3415),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3439),
    [anon_sym_decltype] = ACTIONS(3441),
    [anon_sym_typename] = ACTIONS(3443),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [590] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_unaligned_ptr_modifier] = STATE(4911),
    [sym_ms_pointer_modifier] = STATE(4102),
    [sym__declarator] = STATE(7201),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_type_qualifier] = STATE(4761),
    [sym__expression] = STATE(3637),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3918),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3920),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(4041),
    [aux_sym__type_definition_type_repeat1] = STATE(4761),
    [aux_sym_pointer_declarator_repeat1] = STATE(4102),
    [sym_identifier] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3503),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3503),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3503),
    [anon_sym__unaligned] = ACTIONS(3505),
    [anon_sym___unaligned] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_constexpr] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_restrict] = ACTIONS(3501),
    [anon_sym___restrict__] = ACTIONS(3501),
    [anon_sym__Atomic] = ACTIONS(3501),
    [anon_sym__Noreturn] = ACTIONS(3501),
    [anon_sym_noreturn] = ACTIONS(3501),
    [anon_sym_mutable] = ACTIONS(3501),
    [anon_sym_constinit] = ACTIONS(3501),
    [anon_sym_consteval] = ACTIONS(3501),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [591] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_extern] = ACTIONS(3509),
    [anon_sym___attribute__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3511),
    [anon_sym___declspec] = ACTIONS(3509),
    [anon_sym_signed] = ACTIONS(3509),
    [anon_sym_unsigned] = ACTIONS(3509),
    [anon_sym_long] = ACTIONS(3509),
    [anon_sym_short] = ACTIONS(3509),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3509),
    [anon_sym_register] = ACTIONS(3509),
    [anon_sym_inline] = ACTIONS(3509),
    [anon_sym___inline] = ACTIONS(3509),
    [anon_sym___inline__] = ACTIONS(3509),
    [anon_sym___forceinline] = ACTIONS(3509),
    [anon_sym_thread_local] = ACTIONS(3509),
    [anon_sym___thread] = ACTIONS(3509),
    [anon_sym_const] = ACTIONS(3509),
    [anon_sym_constexpr] = ACTIONS(3509),
    [anon_sym_volatile] = ACTIONS(3509),
    [anon_sym_restrict] = ACTIONS(3509),
    [anon_sym___restrict__] = ACTIONS(3509),
    [anon_sym__Atomic] = ACTIONS(3509),
    [anon_sym__Noreturn] = ACTIONS(3509),
    [anon_sym_noreturn] = ACTIONS(3509),
    [anon_sym_mutable] = ACTIONS(3509),
    [anon_sym_constinit] = ACTIONS(3509),
    [anon_sym_consteval] = ACTIONS(3509),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(3509),
    [anon_sym_class] = ACTIONS(3509),
    [anon_sym_struct] = ACTIONS(3509),
    [anon_sym_union] = ACTIONS(3509),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3509),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(3509),
    [anon_sym_alignas] = ACTIONS(3509),
    [anon_sym_typename] = ACTIONS(3509),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_include_token1] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym___cdecl] = ACTIONS(2184),
    [anon_sym___clrcall] = ACTIONS(2184),
    [anon_sym___stdcall] = ACTIONS(2184),
    [anon_sym___fastcall] = ACTIONS(2184),
    [anon_sym___thiscall] = ACTIONS(2184),
    [anon_sym___vectorcall] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_namespace] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_concept] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [593] = {
    [sym_else_clause] = STATE(840),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(3493),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [aux_sym_preproc_else_token1] = ACTIONS(3244),
    [aux_sym_preproc_elif_token1] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [600] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [603] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [aux_sym_preproc_else_token1] = ACTIONS(3103),
    [aux_sym_preproc_elif_token1] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [606] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [aux_sym_preproc_else_token1] = ACTIONS(3089),
    [aux_sym_preproc_elif_token1] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [608] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [aux_sym_preproc_else_token1] = ACTIONS(3095),
    [aux_sym_preproc_elif_token1] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [aux_sym_preproc_else_token1] = ACTIONS(3288),
    [aux_sym_preproc_elif_token1] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym___cdecl] = ACTIONS(3288),
    [anon_sym___clrcall] = ACTIONS(3288),
    [anon_sym___stdcall] = ACTIONS(3288),
    [anon_sym___fastcall] = ACTIONS(3288),
    [anon_sym___thiscall] = ACTIONS(3288),
    [anon_sym___vectorcall] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_goto] = ACTIONS(3288),
    [anon_sym___try] = ACTIONS(3288),
    [anon_sym___leave] = ACTIONS(3288),
    [anon_sym_not] = ACTIONS(3288),
    [anon_sym_compl] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_sizeof] = ACTIONS(3288),
    [anon_sym___alignof__] = ACTIONS(3288),
    [anon_sym___alignof] = ACTIONS(3288),
    [anon_sym__alignof] = ACTIONS(3288),
    [anon_sym_alignof] = ACTIONS(3288),
    [anon_sym__Alignof] = ACTIONS(3288),
    [anon_sym_offsetof] = ACTIONS(3288),
    [anon_sym__Generic] = ACTIONS(3288),
    [anon_sym_asm] = ACTIONS(3288),
    [anon_sym___asm__] = ACTIONS(3288),
    [sym_number_literal] = ACTIONS(3290),
    [anon_sym_L_SQUOTE] = ACTIONS(3290),
    [anon_sym_u_SQUOTE] = ACTIONS(3290),
    [anon_sym_U_SQUOTE] = ACTIONS(3290),
    [anon_sym_u8_SQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_L_DQUOTE] = ACTIONS(3290),
    [anon_sym_u_DQUOTE] = ACTIONS(3290),
    [anon_sym_U_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8_DQUOTE] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [anon_sym_NULL] = ACTIONS(3288),
    [anon_sym_nullptr] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
    [anon_sym_concept] = ACTIONS(3288),
    [anon_sym_co_return] = ACTIONS(3288),
    [anon_sym_co_yield] = ACTIONS(3288),
    [anon_sym_R_DQUOTE] = ACTIONS(3290),
    [anon_sym_LR_DQUOTE] = ACTIONS(3290),
    [anon_sym_uR_DQUOTE] = ACTIONS(3290),
    [anon_sym_UR_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3290),
    [anon_sym_co_await] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_requires] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
  },
  [612] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_unaligned_ptr_modifier] = STATE(4911),
    [sym_ms_pointer_modifier] = STATE(4102),
    [sym__declarator] = STATE(7201),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_type_qualifier] = STATE(4761),
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6392),
    [sym_qualified_identifier] = STATE(3878),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(2928),
    [aux_sym__type_definition_type_repeat1] = STATE(4761),
    [aux_sym_pointer_declarator_repeat1] = STATE(4102),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(3515),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3501),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3503),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3503),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3503),
    [anon_sym__unaligned] = ACTIONS(3505),
    [anon_sym___unaligned] = ACTIONS(3505),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(3501),
    [anon_sym_constexpr] = ACTIONS(3501),
    [anon_sym_volatile] = ACTIONS(3501),
    [anon_sym_restrict] = ACTIONS(3501),
    [anon_sym___restrict__] = ACTIONS(3501),
    [anon_sym__Atomic] = ACTIONS(3501),
    [anon_sym__Noreturn] = ACTIONS(3501),
    [anon_sym_noreturn] = ACTIONS(3501),
    [anon_sym_mutable] = ACTIONS(3501),
    [anon_sym_constinit] = ACTIONS(3501),
    [anon_sym_consteval] = ACTIONS(3501),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [sym_number_literal] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [sym_number_literal] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [617] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [sym_number_literal] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [619] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [664] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [665] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [666] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [667] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(3005),
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(3001),
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [671] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [672] = {
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [681] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(9082),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9082),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [683] = {
    [sym_preproc_def] = STATE(700),
    [sym_preproc_function_def] = STATE(700),
    [sym_preproc_call] = STATE(700),
    [sym_preproc_if_in_field_declaration_list] = STATE(700),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(700),
    [sym_preproc_else_in_field_declaration_list] = STATE(9188),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9188),
    [sym_type_definition] = STATE(700),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(700),
    [sym_field_declaration] = STATE(700),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(700),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(700),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(700),
    [sym_operator_cast_declaration] = STATE(700),
    [sym_constructor_or_destructor_definition] = STATE(700),
    [sym_constructor_or_destructor_declaration] = STATE(700),
    [sym_friend_declaration] = STATE(700),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(700),
    [sym_alias_declaration] = STATE(700),
    [sym_static_assert_declaration] = STATE(700),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(700),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [689] = {
    [sym_preproc_def] = STATE(681),
    [sym_preproc_function_def] = STATE(681),
    [sym_preproc_call] = STATE(681),
    [sym_preproc_if_in_field_declaration_list] = STATE(681),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(681),
    [sym_preproc_else_in_field_declaration_list] = STATE(9124),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9124),
    [sym_type_definition] = STATE(681),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(681),
    [sym_field_declaration] = STATE(681),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(681),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(681),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(681),
    [sym_operator_cast_declaration] = STATE(681),
    [sym_constructor_or_destructor_definition] = STATE(681),
    [sym_constructor_or_destructor_declaration] = STATE(681),
    [sym_friend_declaration] = STATE(681),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(681),
    [sym_alias_declaration] = STATE(681),
    [sym_static_assert_declaration] = STATE(681),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(681),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [699] = {
    [sym_preproc_def] = STATE(754),
    [sym_preproc_function_def] = STATE(754),
    [sym_preproc_call] = STATE(754),
    [sym_preproc_if_in_field_declaration_list] = STATE(754),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(754),
    [sym_preproc_else_in_field_declaration_list] = STATE(8738),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8738),
    [sym_type_definition] = STATE(754),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(754),
    [sym_field_declaration] = STATE(754),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(754),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(754),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(754),
    [sym_operator_cast_declaration] = STATE(754),
    [sym_constructor_or_destructor_definition] = STATE(754),
    [sym_constructor_or_destructor_declaration] = STATE(754),
    [sym_friend_declaration] = STATE(754),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(754),
    [sym_alias_declaration] = STATE(754),
    [sym_static_assert_declaration] = STATE(754),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(754),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [700] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(8760),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8760),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [722] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(9044),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9044),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [725] = {
    [sym_preproc_def] = STATE(722),
    [sym_preproc_function_def] = STATE(722),
    [sym_preproc_call] = STATE(722),
    [sym_preproc_if_in_field_declaration_list] = STATE(722),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(722),
    [sym_preproc_else_in_field_declaration_list] = STATE(9055),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9055),
    [sym_type_definition] = STATE(722),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(722),
    [sym_field_declaration] = STATE(722),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(722),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(722),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(722),
    [sym_operator_cast_declaration] = STATE(722),
    [sym_constructor_or_destructor_definition] = STATE(722),
    [sym_constructor_or_destructor_declaration] = STATE(722),
    [sym_friend_declaration] = STATE(722),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(722),
    [sym_alias_declaration] = STATE(722),
    [sym_static_assert_declaration] = STATE(722),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [736] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [738] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [750] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [753] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [754] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(8839),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8839),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [763] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [769] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2967),
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2967),
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2963),
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2993),
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [803] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [806] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(9232),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9232),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [809] = {
    [sym_preproc_def] = STATE(806),
    [sym_preproc_function_def] = STATE(806),
    [sym_preproc_call] = STATE(806),
    [sym_preproc_if_in_field_declaration_list] = STATE(806),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(806),
    [sym_preproc_else_in_field_declaration_list] = STATE(9242),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9242),
    [sym_type_definition] = STATE(806),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(806),
    [sym_field_declaration] = STATE(806),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(806),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(806),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(806),
    [sym_operator_cast_declaration] = STATE(806),
    [sym_constructor_or_destructor_definition] = STATE(806),
    [sym_constructor_or_destructor_declaration] = STATE(806),
    [sym_friend_declaration] = STATE(806),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(806),
    [sym_alias_declaration] = STATE(806),
    [sym_static_assert_declaration] = STATE(806),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(806),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [826] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2971),
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [835] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [841] = {
    [sym_preproc_def] = STATE(841),
    [sym_preproc_function_def] = STATE(841),
    [sym_preproc_call] = STATE(841),
    [sym_preproc_if_in_field_declaration_list] = STATE(841),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(841),
    [sym_type_definition] = STATE(841),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6374),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(841),
    [sym_field_declaration] = STATE(841),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(841),
    [sym_operator_cast] = STATE(7445),
    [sym_inline_method_definition] = STATE(841),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(841),
    [sym_operator_cast_declaration] = STATE(841),
    [sym_constructor_or_destructor_definition] = STATE(841),
    [sym_constructor_or_destructor_declaration] = STATE(841),
    [sym_friend_declaration] = STATE(841),
    [sym_access_specifier] = STATE(9605),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(841),
    [sym_alias_declaration] = STATE(841),
    [sym_static_assert_declaration] = STATE(841),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(3561),
    [aux_sym_preproc_def_token1] = ACTIONS(3564),
    [aux_sym_preproc_if_token1] = ACTIONS(3567),
    [aux_sym_preproc_if_token2] = ACTIONS(3570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3572),
    [aux_sym_preproc_else_token1] = ACTIONS(3570),
    [aux_sym_preproc_elif_token1] = ACTIONS(3570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3570),
    [sym_preproc_directive] = ACTIONS(3575),
    [anon_sym_LPAREN2] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_STAR] = ACTIONS(3584),
    [anon_sym_AMP_AMP] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(3593),
    [anon_sym_typedef] = ACTIONS(3596),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym___attribute__] = ACTIONS(3602),
    [anon_sym_COLON_COLON] = ACTIONS(3605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3608),
    [anon_sym___declspec] = ACTIONS(3611),
    [anon_sym___based] = ACTIONS(3614),
    [anon_sym_signed] = ACTIONS(3617),
    [anon_sym_unsigned] = ACTIONS(3617),
    [anon_sym_long] = ACTIONS(3617),
    [anon_sym_short] = ACTIONS(3617),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_register] = ACTIONS(3599),
    [anon_sym_inline] = ACTIONS(3599),
    [anon_sym___inline] = ACTIONS(3599),
    [anon_sym___inline__] = ACTIONS(3599),
    [anon_sym___forceinline] = ACTIONS(3599),
    [anon_sym_thread_local] = ACTIONS(3599),
    [anon_sym___thread] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3623),
    [anon_sym_constexpr] = ACTIONS(3623),
    [anon_sym_volatile] = ACTIONS(3623),
    [anon_sym_restrict] = ACTIONS(3623),
    [anon_sym___restrict__] = ACTIONS(3623),
    [anon_sym__Atomic] = ACTIONS(3623),
    [anon_sym__Noreturn] = ACTIONS(3623),
    [anon_sym_noreturn] = ACTIONS(3623),
    [anon_sym_mutable] = ACTIONS(3623),
    [anon_sym_constinit] = ACTIONS(3623),
    [anon_sym_consteval] = ACTIONS(3623),
    [sym_primitive_type] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3629),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_struct] = ACTIONS(3635),
    [anon_sym_union] = ACTIONS(3638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3641),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_virtual] = ACTIONS(3647),
    [anon_sym_alignas] = ACTIONS(3650),
    [anon_sym_explicit] = ACTIONS(3653),
    [anon_sym_typename] = ACTIONS(3656),
    [anon_sym_template] = ACTIONS(3659),
    [anon_sym_operator] = ACTIONS(3662),
    [anon_sym_friend] = ACTIONS(3665),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3671),
    [anon_sym_static_assert] = ACTIONS(3674),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [847] = {
    [sym_preproc_def] = STATE(849),
    [sym_preproc_function_def] = STATE(849),
    [sym_preproc_call] = STATE(849),
    [sym_preproc_if_in_field_declaration_list] = STATE(849),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(849),
    [sym_preproc_else_in_field_declaration_list] = STATE(9472),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9472),
    [sym_type_definition] = STATE(849),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(849),
    [sym_field_declaration] = STATE(849),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(849),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(849),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(849),
    [sym_operator_cast_declaration] = STATE(849),
    [sym_constructor_or_destructor_definition] = STATE(849),
    [sym_constructor_or_destructor_declaration] = STATE(849),
    [sym_friend_declaration] = STATE(849),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(849),
    [sym_alias_declaration] = STATE(849),
    [sym_static_assert_declaration] = STATE(849),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(849),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3677),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [849] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_preproc_else_in_field_declaration_list] = STATE(9458),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9458),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3521),
    [aux_sym_preproc_if_token1] = ACTIONS(3523),
    [aux_sym_preproc_if_token2] = ACTIONS(3679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3527),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3527),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3531),
    [anon_sym_typedef] = ACTIONS(3533),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3539),
    [anon_sym_static_assert] = ACTIONS(3541),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2939),
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [864] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [865] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym___cdecl] = ACTIONS(3288),
    [anon_sym___clrcall] = ACTIONS(3288),
    [anon_sym___stdcall] = ACTIONS(3288),
    [anon_sym___fastcall] = ACTIONS(3288),
    [anon_sym___thiscall] = ACTIONS(3288),
    [anon_sym___vectorcall] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_goto] = ACTIONS(3288),
    [anon_sym___try] = ACTIONS(3288),
    [anon_sym___leave] = ACTIONS(3288),
    [anon_sym_not] = ACTIONS(3288),
    [anon_sym_compl] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_sizeof] = ACTIONS(3288),
    [anon_sym___alignof__] = ACTIONS(3288),
    [anon_sym___alignof] = ACTIONS(3288),
    [anon_sym__alignof] = ACTIONS(3288),
    [anon_sym_alignof] = ACTIONS(3288),
    [anon_sym__Alignof] = ACTIONS(3288),
    [anon_sym_offsetof] = ACTIONS(3288),
    [anon_sym__Generic] = ACTIONS(3288),
    [anon_sym_asm] = ACTIONS(3288),
    [anon_sym___asm__] = ACTIONS(3288),
    [sym_number_literal] = ACTIONS(3290),
    [anon_sym_L_SQUOTE] = ACTIONS(3290),
    [anon_sym_u_SQUOTE] = ACTIONS(3290),
    [anon_sym_U_SQUOTE] = ACTIONS(3290),
    [anon_sym_u8_SQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_L_DQUOTE] = ACTIONS(3290),
    [anon_sym_u_DQUOTE] = ACTIONS(3290),
    [anon_sym_U_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8_DQUOTE] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [anon_sym_NULL] = ACTIONS(3288),
    [anon_sym_nullptr] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
    [anon_sym_concept] = ACTIONS(3288),
    [anon_sym_co_return] = ACTIONS(3288),
    [anon_sym_co_yield] = ACTIONS(3288),
    [anon_sym_R_DQUOTE] = ACTIONS(3290),
    [anon_sym_LR_DQUOTE] = ACTIONS(3290),
    [anon_sym_uR_DQUOTE] = ACTIONS(3290),
    [anon_sym_UR_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3290),
    [anon_sym_co_await] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_requires] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
  },
  [866] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_include_token1] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token2] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym___cdecl] = ACTIONS(3349),
    [anon_sym___clrcall] = ACTIONS(3349),
    [anon_sym___stdcall] = ACTIONS(3349),
    [anon_sym___fastcall] = ACTIONS(3349),
    [anon_sym___thiscall] = ACTIONS(3349),
    [anon_sym___vectorcall] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym___try] = ACTIONS(3349),
    [anon_sym___leave] = ACTIONS(3349),
    [anon_sym_not] = ACTIONS(3349),
    [anon_sym_compl] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym___alignof__] = ACTIONS(3349),
    [anon_sym___alignof] = ACTIONS(3349),
    [anon_sym__alignof] = ACTIONS(3349),
    [anon_sym_alignof] = ACTIONS(3349),
    [anon_sym__Alignof] = ACTIONS(3349),
    [anon_sym_offsetof] = ACTIONS(3349),
    [anon_sym__Generic] = ACTIONS(3349),
    [anon_sym_asm] = ACTIONS(3349),
    [anon_sym___asm__] = ACTIONS(3349),
    [sym_number_literal] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3351),
    [anon_sym_u_SQUOTE] = ACTIONS(3351),
    [anon_sym_U_SQUOTE] = ACTIONS(3351),
    [anon_sym_u8_SQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_L_DQUOTE] = ACTIONS(3351),
    [anon_sym_u_DQUOTE] = ACTIONS(3351),
    [anon_sym_U_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8_DQUOTE] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [anon_sym_NULL] = ACTIONS(3349),
    [anon_sym_nullptr] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
    [anon_sym_concept] = ACTIONS(3349),
    [anon_sym_co_return] = ACTIONS(3349),
    [anon_sym_co_yield] = ACTIONS(3349),
    [anon_sym_R_DQUOTE] = ACTIONS(3351),
    [anon_sym_LR_DQUOTE] = ACTIONS(3351),
    [anon_sym_uR_DQUOTE] = ACTIONS(3351),
    [anon_sym_UR_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3351),
    [anon_sym_co_await] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_requires] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
  },
  [867] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_include_token1] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym___cdecl] = ACTIONS(3324),
    [anon_sym___clrcall] = ACTIONS(3324),
    [anon_sym___stdcall] = ACTIONS(3324),
    [anon_sym___fastcall] = ACTIONS(3324),
    [anon_sym___thiscall] = ACTIONS(3324),
    [anon_sym___vectorcall] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_goto] = ACTIONS(3324),
    [anon_sym___try] = ACTIONS(3324),
    [anon_sym___leave] = ACTIONS(3324),
    [anon_sym_not] = ACTIONS(3324),
    [anon_sym_compl] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_sizeof] = ACTIONS(3324),
    [anon_sym___alignof__] = ACTIONS(3324),
    [anon_sym___alignof] = ACTIONS(3324),
    [anon_sym__alignof] = ACTIONS(3324),
    [anon_sym_alignof] = ACTIONS(3324),
    [anon_sym__Alignof] = ACTIONS(3324),
    [anon_sym_offsetof] = ACTIONS(3324),
    [anon_sym__Generic] = ACTIONS(3324),
    [anon_sym_asm] = ACTIONS(3324),
    [anon_sym___asm__] = ACTIONS(3324),
    [sym_number_literal] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3326),
    [anon_sym_u_SQUOTE] = ACTIONS(3326),
    [anon_sym_U_SQUOTE] = ACTIONS(3326),
    [anon_sym_u8_SQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [anon_sym_NULL] = ACTIONS(3324),
    [anon_sym_nullptr] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
    [anon_sym_concept] = ACTIONS(3324),
    [anon_sym_co_return] = ACTIONS(3324),
    [anon_sym_co_yield] = ACTIONS(3324),
    [anon_sym_R_DQUOTE] = ACTIONS(3326),
    [anon_sym_LR_DQUOTE] = ACTIONS(3326),
    [anon_sym_uR_DQUOTE] = ACTIONS(3326),
    [anon_sym_UR_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3326),
    [anon_sym_co_await] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_requires] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
  },
  [868] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_include_token1] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym_SEMI] = ACTIONS(3351),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym___cdecl] = ACTIONS(3349),
    [anon_sym___clrcall] = ACTIONS(3349),
    [anon_sym___stdcall] = ACTIONS(3349),
    [anon_sym___fastcall] = ACTIONS(3349),
    [anon_sym___thiscall] = ACTIONS(3349),
    [anon_sym___vectorcall] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_RBRACE] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym___try] = ACTIONS(3349),
    [anon_sym___leave] = ACTIONS(3349),
    [anon_sym_not] = ACTIONS(3349),
    [anon_sym_compl] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym___alignof__] = ACTIONS(3349),
    [anon_sym___alignof] = ACTIONS(3349),
    [anon_sym__alignof] = ACTIONS(3349),
    [anon_sym_alignof] = ACTIONS(3349),
    [anon_sym__Alignof] = ACTIONS(3349),
    [anon_sym_offsetof] = ACTIONS(3349),
    [anon_sym__Generic] = ACTIONS(3349),
    [anon_sym_asm] = ACTIONS(3349),
    [anon_sym___asm__] = ACTIONS(3349),
    [sym_number_literal] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3351),
    [anon_sym_u_SQUOTE] = ACTIONS(3351),
    [anon_sym_U_SQUOTE] = ACTIONS(3351),
    [anon_sym_u8_SQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_L_DQUOTE] = ACTIONS(3351),
    [anon_sym_u_DQUOTE] = ACTIONS(3351),
    [anon_sym_U_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8_DQUOTE] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [anon_sym_NULL] = ACTIONS(3349),
    [anon_sym_nullptr] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
    [anon_sym_concept] = ACTIONS(3349),
    [anon_sym_co_return] = ACTIONS(3349),
    [anon_sym_co_yield] = ACTIONS(3349),
    [anon_sym_R_DQUOTE] = ACTIONS(3351),
    [anon_sym_LR_DQUOTE] = ACTIONS(3351),
    [anon_sym_uR_DQUOTE] = ACTIONS(3351),
    [anon_sym_UR_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3351),
    [anon_sym_co_await] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_requires] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_include_token1] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym___cdecl] = ACTIONS(3292),
    [anon_sym___clrcall] = ACTIONS(3292),
    [anon_sym___stdcall] = ACTIONS(3292),
    [anon_sym___fastcall] = ACTIONS(3292),
    [anon_sym___thiscall] = ACTIONS(3292),
    [anon_sym___vectorcall] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_goto] = ACTIONS(3292),
    [anon_sym___try] = ACTIONS(3292),
    [anon_sym___leave] = ACTIONS(3292),
    [anon_sym_not] = ACTIONS(3292),
    [anon_sym_compl] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(3292),
    [anon_sym___alignof__] = ACTIONS(3292),
    [anon_sym___alignof] = ACTIONS(3292),
    [anon_sym__alignof] = ACTIONS(3292),
    [anon_sym_alignof] = ACTIONS(3292),
    [anon_sym__Alignof] = ACTIONS(3292),
    [anon_sym_offsetof] = ACTIONS(3292),
    [anon_sym__Generic] = ACTIONS(3292),
    [anon_sym_asm] = ACTIONS(3292),
    [anon_sym___asm__] = ACTIONS(3292),
    [sym_number_literal] = ACTIONS(3294),
    [anon_sym_L_SQUOTE] = ACTIONS(3294),
    [anon_sym_u_SQUOTE] = ACTIONS(3294),
    [anon_sym_U_SQUOTE] = ACTIONS(3294),
    [anon_sym_u8_SQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_L_DQUOTE] = ACTIONS(3294),
    [anon_sym_u_DQUOTE] = ACTIONS(3294),
    [anon_sym_U_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8_DQUOTE] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [anon_sym_NULL] = ACTIONS(3292),
    [anon_sym_nullptr] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
    [anon_sym_concept] = ACTIONS(3292),
    [anon_sym_co_return] = ACTIONS(3292),
    [anon_sym_co_yield] = ACTIONS(3292),
    [anon_sym_R_DQUOTE] = ACTIONS(3294),
    [anon_sym_LR_DQUOTE] = ACTIONS(3294),
    [anon_sym_uR_DQUOTE] = ACTIONS(3294),
    [anon_sym_UR_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3294),
    [anon_sym_co_await] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_include_token1] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym___cdecl] = ACTIONS(3324),
    [anon_sym___clrcall] = ACTIONS(3324),
    [anon_sym___stdcall] = ACTIONS(3324),
    [anon_sym___fastcall] = ACTIONS(3324),
    [anon_sym___thiscall] = ACTIONS(3324),
    [anon_sym___vectorcall] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_goto] = ACTIONS(3324),
    [anon_sym___try] = ACTIONS(3324),
    [anon_sym___leave] = ACTIONS(3324),
    [anon_sym_not] = ACTIONS(3324),
    [anon_sym_compl] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_sizeof] = ACTIONS(3324),
    [anon_sym___alignof__] = ACTIONS(3324),
    [anon_sym___alignof] = ACTIONS(3324),
    [anon_sym__alignof] = ACTIONS(3324),
    [anon_sym_alignof] = ACTIONS(3324),
    [anon_sym__Alignof] = ACTIONS(3324),
    [anon_sym_offsetof] = ACTIONS(3324),
    [anon_sym__Generic] = ACTIONS(3324),
    [anon_sym_asm] = ACTIONS(3324),
    [anon_sym___asm__] = ACTIONS(3324),
    [sym_number_literal] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3326),
    [anon_sym_u_SQUOTE] = ACTIONS(3326),
    [anon_sym_U_SQUOTE] = ACTIONS(3326),
    [anon_sym_u8_SQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [anon_sym_NULL] = ACTIONS(3324),
    [anon_sym_nullptr] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
    [anon_sym_concept] = ACTIONS(3324),
    [anon_sym_co_return] = ACTIONS(3324),
    [anon_sym_co_yield] = ACTIONS(3324),
    [anon_sym_R_DQUOTE] = ACTIONS(3326),
    [anon_sym_LR_DQUOTE] = ACTIONS(3326),
    [anon_sym_uR_DQUOTE] = ACTIONS(3326),
    [anon_sym_UR_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3326),
    [anon_sym_co_await] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_requires] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
  },
  [871] = {
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3347),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym___try] = ACTIONS(3345),
    [anon_sym___leave] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3347),
    [anon_sym_u_SQUOTE] = ACTIONS(3347),
    [anon_sym_U_SQUOTE] = ACTIONS(3347),
    [anon_sym_u8_SQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_L_DQUOTE] = ACTIONS(3347),
    [anon_sym_u_DQUOTE] = ACTIONS(3347),
    [anon_sym_U_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8_DQUOTE] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3347),
    [anon_sym_LR_DQUOTE] = ACTIONS(3347),
    [anon_sym_uR_DQUOTE] = ACTIONS(3347),
    [anon_sym_UR_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3347),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_RBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3300),
    [aux_sym_preproc_include_token1] = ACTIONS(3300),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3300),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym___attribute__] = ACTIONS(3300),
    [anon_sym_COLON_COLON] = ACTIONS(3302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3302),
    [anon_sym___declspec] = ACTIONS(3300),
    [anon_sym___based] = ACTIONS(3300),
    [anon_sym___cdecl] = ACTIONS(3300),
    [anon_sym___clrcall] = ACTIONS(3300),
    [anon_sym___stdcall] = ACTIONS(3300),
    [anon_sym___fastcall] = ACTIONS(3300),
    [anon_sym___thiscall] = ACTIONS(3300),
    [anon_sym___vectorcall] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3300),
    [anon_sym_unsigned] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_register] = ACTIONS(3300),
    [anon_sym_inline] = ACTIONS(3300),
    [anon_sym___inline] = ACTIONS(3300),
    [anon_sym___inline__] = ACTIONS(3300),
    [anon_sym___forceinline] = ACTIONS(3300),
    [anon_sym_thread_local] = ACTIONS(3300),
    [anon_sym___thread] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_constexpr] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_restrict] = ACTIONS(3300),
    [anon_sym___restrict__] = ACTIONS(3300),
    [anon_sym__Atomic] = ACTIONS(3300),
    [anon_sym__Noreturn] = ACTIONS(3300),
    [anon_sym_noreturn] = ACTIONS(3300),
    [anon_sym_mutable] = ACTIONS(3300),
    [anon_sym_constinit] = ACTIONS(3300),
    [anon_sym_consteval] = ACTIONS(3300),
    [sym_primitive_type] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_union] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_goto] = ACTIONS(3300),
    [anon_sym___try] = ACTIONS(3300),
    [anon_sym___leave] = ACTIONS(3300),
    [anon_sym_not] = ACTIONS(3300),
    [anon_sym_compl] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_sizeof] = ACTIONS(3300),
    [anon_sym___alignof__] = ACTIONS(3300),
    [anon_sym___alignof] = ACTIONS(3300),
    [anon_sym__alignof] = ACTIONS(3300),
    [anon_sym_alignof] = ACTIONS(3300),
    [anon_sym__Alignof] = ACTIONS(3300),
    [anon_sym_offsetof] = ACTIONS(3300),
    [anon_sym__Generic] = ACTIONS(3300),
    [anon_sym_asm] = ACTIONS(3300),
    [anon_sym___asm__] = ACTIONS(3300),
    [sym_number_literal] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3302),
    [anon_sym_u_SQUOTE] = ACTIONS(3302),
    [anon_sym_U_SQUOTE] = ACTIONS(3302),
    [anon_sym_u8_SQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_L_DQUOTE] = ACTIONS(3302),
    [anon_sym_u_DQUOTE] = ACTIONS(3302),
    [anon_sym_U_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8_DQUOTE] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [anon_sym_NULL] = ACTIONS(3300),
    [anon_sym_nullptr] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3300),
    [anon_sym_decltype] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_alignas] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_typename] = ACTIONS(3300),
    [anon_sym_template] = ACTIONS(3300),
    [anon_sym_operator] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_static_assert] = ACTIONS(3300),
    [anon_sym_concept] = ACTIONS(3300),
    [anon_sym_co_return] = ACTIONS(3300),
    [anon_sym_co_yield] = ACTIONS(3300),
    [anon_sym_R_DQUOTE] = ACTIONS(3302),
    [anon_sym_LR_DQUOTE] = ACTIONS(3302),
    [anon_sym_uR_DQUOTE] = ACTIONS(3302),
    [anon_sym_UR_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3302),
    [anon_sym_co_await] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_requires] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
  },
  [880] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym_SEMI] = ACTIONS(3361),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_RBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym___try] = ACTIONS(3359),
    [anon_sym___leave] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [881] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_include_token1] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym___cdecl] = ACTIONS(3292),
    [anon_sym___clrcall] = ACTIONS(3292),
    [anon_sym___stdcall] = ACTIONS(3292),
    [anon_sym___fastcall] = ACTIONS(3292),
    [anon_sym___thiscall] = ACTIONS(3292),
    [anon_sym___vectorcall] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_goto] = ACTIONS(3292),
    [anon_sym___try] = ACTIONS(3292),
    [anon_sym___leave] = ACTIONS(3292),
    [anon_sym_not] = ACTIONS(3292),
    [anon_sym_compl] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(3292),
    [anon_sym___alignof__] = ACTIONS(3292),
    [anon_sym___alignof] = ACTIONS(3292),
    [anon_sym__alignof] = ACTIONS(3292),
    [anon_sym_alignof] = ACTIONS(3292),
    [anon_sym__Alignof] = ACTIONS(3292),
    [anon_sym_offsetof] = ACTIONS(3292),
    [anon_sym__Generic] = ACTIONS(3292),
    [anon_sym_asm] = ACTIONS(3292),
    [anon_sym___asm__] = ACTIONS(3292),
    [sym_number_literal] = ACTIONS(3294),
    [anon_sym_L_SQUOTE] = ACTIONS(3294),
    [anon_sym_u_SQUOTE] = ACTIONS(3294),
    [anon_sym_U_SQUOTE] = ACTIONS(3294),
    [anon_sym_u8_SQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_L_DQUOTE] = ACTIONS(3294),
    [anon_sym_u_DQUOTE] = ACTIONS(3294),
    [anon_sym_U_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8_DQUOTE] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [anon_sym_NULL] = ACTIONS(3292),
    [anon_sym_nullptr] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
    [anon_sym_concept] = ACTIONS(3292),
    [anon_sym_co_return] = ACTIONS(3292),
    [anon_sym_co_yield] = ACTIONS(3292),
    [anon_sym_R_DQUOTE] = ACTIONS(3294),
    [anon_sym_LR_DQUOTE] = ACTIONS(3294),
    [anon_sym_uR_DQUOTE] = ACTIONS(3294),
    [anon_sym_UR_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3294),
    [anon_sym_co_await] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(3365),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_RBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym___try] = ACTIONS(3363),
    [anon_sym___leave] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3383),
    [aux_sym_preproc_include_token1] = ACTIONS(3383),
    [aux_sym_preproc_def_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token2] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3383),
    [sym_preproc_directive] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym___extension__] = ACTIONS(3383),
    [anon_sym_typedef] = ACTIONS(3383),
    [anon_sym_extern] = ACTIONS(3383),
    [anon_sym___attribute__] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3385),
    [anon_sym___declspec] = ACTIONS(3383),
    [anon_sym___based] = ACTIONS(3383),
    [anon_sym___cdecl] = ACTIONS(3383),
    [anon_sym___clrcall] = ACTIONS(3383),
    [anon_sym___stdcall] = ACTIONS(3383),
    [anon_sym___fastcall] = ACTIONS(3383),
    [anon_sym___thiscall] = ACTIONS(3383),
    [anon_sym___vectorcall] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3383),
    [anon_sym_unsigned] = ACTIONS(3383),
    [anon_sym_long] = ACTIONS(3383),
    [anon_sym_short] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_register] = ACTIONS(3383),
    [anon_sym_inline] = ACTIONS(3383),
    [anon_sym___inline] = ACTIONS(3383),
    [anon_sym___inline__] = ACTIONS(3383),
    [anon_sym___forceinline] = ACTIONS(3383),
    [anon_sym_thread_local] = ACTIONS(3383),
    [anon_sym___thread] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_constexpr] = ACTIONS(3383),
    [anon_sym_volatile] = ACTIONS(3383),
    [anon_sym_restrict] = ACTIONS(3383),
    [anon_sym___restrict__] = ACTIONS(3383),
    [anon_sym__Atomic] = ACTIONS(3383),
    [anon_sym__Noreturn] = ACTIONS(3383),
    [anon_sym_noreturn] = ACTIONS(3383),
    [anon_sym_mutable] = ACTIONS(3383),
    [anon_sym_constinit] = ACTIONS(3383),
    [anon_sym_consteval] = ACTIONS(3383),
    [sym_primitive_type] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_struct] = ACTIONS(3383),
    [anon_sym_union] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_goto] = ACTIONS(3383),
    [anon_sym___try] = ACTIONS(3383),
    [anon_sym___leave] = ACTIONS(3383),
    [anon_sym_not] = ACTIONS(3383),
    [anon_sym_compl] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3383),
    [anon_sym___alignof__] = ACTIONS(3383),
    [anon_sym___alignof] = ACTIONS(3383),
    [anon_sym__alignof] = ACTIONS(3383),
    [anon_sym_alignof] = ACTIONS(3383),
    [anon_sym__Alignof] = ACTIONS(3383),
    [anon_sym_offsetof] = ACTIONS(3383),
    [anon_sym__Generic] = ACTIONS(3383),
    [anon_sym_asm] = ACTIONS(3383),
    [anon_sym___asm__] = ACTIONS(3383),
    [sym_number_literal] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3385),
    [anon_sym_u_SQUOTE] = ACTIONS(3385),
    [anon_sym_U_SQUOTE] = ACTIONS(3385),
    [anon_sym_u8_SQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_L_DQUOTE] = ACTIONS(3385),
    [anon_sym_u_DQUOTE] = ACTIONS(3385),
    [anon_sym_U_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [anon_sym_NULL] = ACTIONS(3383),
    [anon_sym_nullptr] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3383),
    [anon_sym_decltype] = ACTIONS(3383),
    [anon_sym_virtual] = ACTIONS(3383),
    [anon_sym_alignas] = ACTIONS(3383),
    [anon_sym_explicit] = ACTIONS(3383),
    [anon_sym_typename] = ACTIONS(3383),
    [anon_sym_template] = ACTIONS(3383),
    [anon_sym_operator] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_static_assert] = ACTIONS(3383),
    [anon_sym_concept] = ACTIONS(3383),
    [anon_sym_co_return] = ACTIONS(3383),
    [anon_sym_co_yield] = ACTIONS(3383),
    [anon_sym_R_DQUOTE] = ACTIONS(3385),
    [anon_sym_LR_DQUOTE] = ACTIONS(3385),
    [anon_sym_uR_DQUOTE] = ACTIONS(3385),
    [anon_sym_UR_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3385),
    [anon_sym_co_await] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_requires] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
  },
  [885] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym_SEMI] = ACTIONS(3369),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym___try] = ACTIONS(3367),
    [anon_sym___leave] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [891] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3383),
    [aux_sym_preproc_include_token1] = ACTIONS(3383),
    [aux_sym_preproc_def_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3383),
    [sym_preproc_directive] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym_SEMI] = ACTIONS(3385),
    [anon_sym___extension__] = ACTIONS(3383),
    [anon_sym_typedef] = ACTIONS(3383),
    [anon_sym_extern] = ACTIONS(3383),
    [anon_sym___attribute__] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3385),
    [anon_sym___declspec] = ACTIONS(3383),
    [anon_sym___based] = ACTIONS(3383),
    [anon_sym___cdecl] = ACTIONS(3383),
    [anon_sym___clrcall] = ACTIONS(3383),
    [anon_sym___stdcall] = ACTIONS(3383),
    [anon_sym___fastcall] = ACTIONS(3383),
    [anon_sym___thiscall] = ACTIONS(3383),
    [anon_sym___vectorcall] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_RBRACE] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3383),
    [anon_sym_unsigned] = ACTIONS(3383),
    [anon_sym_long] = ACTIONS(3383),
    [anon_sym_short] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_register] = ACTIONS(3383),
    [anon_sym_inline] = ACTIONS(3383),
    [anon_sym___inline] = ACTIONS(3383),
    [anon_sym___inline__] = ACTIONS(3383),
    [anon_sym___forceinline] = ACTIONS(3383),
    [anon_sym_thread_local] = ACTIONS(3383),
    [anon_sym___thread] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_constexpr] = ACTIONS(3383),
    [anon_sym_volatile] = ACTIONS(3383),
    [anon_sym_restrict] = ACTIONS(3383),
    [anon_sym___restrict__] = ACTIONS(3383),
    [anon_sym__Atomic] = ACTIONS(3383),
    [anon_sym__Noreturn] = ACTIONS(3383),
    [anon_sym_noreturn] = ACTIONS(3383),
    [anon_sym_mutable] = ACTIONS(3383),
    [anon_sym_constinit] = ACTIONS(3383),
    [anon_sym_consteval] = ACTIONS(3383),
    [sym_primitive_type] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_struct] = ACTIONS(3383),
    [anon_sym_union] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_goto] = ACTIONS(3383),
    [anon_sym___try] = ACTIONS(3383),
    [anon_sym___leave] = ACTIONS(3383),
    [anon_sym_not] = ACTIONS(3383),
    [anon_sym_compl] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3383),
    [anon_sym___alignof__] = ACTIONS(3383),
    [anon_sym___alignof] = ACTIONS(3383),
    [anon_sym__alignof] = ACTIONS(3383),
    [anon_sym_alignof] = ACTIONS(3383),
    [anon_sym__Alignof] = ACTIONS(3383),
    [anon_sym_offsetof] = ACTIONS(3383),
    [anon_sym__Generic] = ACTIONS(3383),
    [anon_sym_asm] = ACTIONS(3383),
    [anon_sym___asm__] = ACTIONS(3383),
    [sym_number_literal] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3385),
    [anon_sym_u_SQUOTE] = ACTIONS(3385),
    [anon_sym_U_SQUOTE] = ACTIONS(3385),
    [anon_sym_u8_SQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_L_DQUOTE] = ACTIONS(3385),
    [anon_sym_u_DQUOTE] = ACTIONS(3385),
    [anon_sym_U_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [anon_sym_NULL] = ACTIONS(3383),
    [anon_sym_nullptr] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3383),
    [anon_sym_decltype] = ACTIONS(3383),
    [anon_sym_virtual] = ACTIONS(3383),
    [anon_sym_alignas] = ACTIONS(3383),
    [anon_sym_explicit] = ACTIONS(3383),
    [anon_sym_typename] = ACTIONS(3383),
    [anon_sym_template] = ACTIONS(3383),
    [anon_sym_operator] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_static_assert] = ACTIONS(3383),
    [anon_sym_concept] = ACTIONS(3383),
    [anon_sym_co_return] = ACTIONS(3383),
    [anon_sym_co_yield] = ACTIONS(3383),
    [anon_sym_R_DQUOTE] = ACTIONS(3385),
    [anon_sym_LR_DQUOTE] = ACTIONS(3385),
    [anon_sym_uR_DQUOTE] = ACTIONS(3385),
    [anon_sym_UR_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3385),
    [anon_sym_co_await] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_requires] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_include_token1] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3234),
    [anon_sym___clrcall] = ACTIONS(3234),
    [anon_sym___stdcall] = ACTIONS(3234),
    [anon_sym___fastcall] = ACTIONS(3234),
    [anon_sym___thiscall] = ACTIONS(3234),
    [anon_sym___vectorcall] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_goto] = ACTIONS(3234),
    [anon_sym___try] = ACTIONS(3234),
    [anon_sym___leave] = ACTIONS(3234),
    [anon_sym_not] = ACTIONS(3234),
    [anon_sym_compl] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_sizeof] = ACTIONS(3234),
    [anon_sym___alignof__] = ACTIONS(3234),
    [anon_sym___alignof] = ACTIONS(3234),
    [anon_sym__alignof] = ACTIONS(3234),
    [anon_sym_alignof] = ACTIONS(3234),
    [anon_sym__Alignof] = ACTIONS(3234),
    [anon_sym_offsetof] = ACTIONS(3234),
    [anon_sym__Generic] = ACTIONS(3234),
    [anon_sym_asm] = ACTIONS(3234),
    [anon_sym___asm__] = ACTIONS(3234),
    [sym_number_literal] = ACTIONS(3236),
    [anon_sym_L_SQUOTE] = ACTIONS(3236),
    [anon_sym_u_SQUOTE] = ACTIONS(3236),
    [anon_sym_U_SQUOTE] = ACTIONS(3236),
    [anon_sym_u8_SQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_L_DQUOTE] = ACTIONS(3236),
    [anon_sym_u_DQUOTE] = ACTIONS(3236),
    [anon_sym_U_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8_DQUOTE] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [anon_sym_NULL] = ACTIONS(3234),
    [anon_sym_nullptr] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
    [anon_sym_concept] = ACTIONS(3234),
    [anon_sym_co_return] = ACTIONS(3234),
    [anon_sym_co_yield] = ACTIONS(3234),
    [anon_sym_R_DQUOTE] = ACTIONS(3236),
    [anon_sym_LR_DQUOTE] = ACTIONS(3236),
    [anon_sym_uR_DQUOTE] = ACTIONS(3236),
    [anon_sym_UR_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3236),
    [anon_sym_co_await] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_requires] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3387),
    [aux_sym_preproc_include_token1] = ACTIONS(3387),
    [aux_sym_preproc_def_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3387),
    [sym_preproc_directive] = ACTIONS(3387),
    [anon_sym_LPAREN2] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3387),
    [anon_sym_typedef] = ACTIONS(3387),
    [anon_sym_extern] = ACTIONS(3387),
    [anon_sym___attribute__] = ACTIONS(3387),
    [anon_sym_COLON_COLON] = ACTIONS(3389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3389),
    [anon_sym___declspec] = ACTIONS(3387),
    [anon_sym___based] = ACTIONS(3387),
    [anon_sym___cdecl] = ACTIONS(3387),
    [anon_sym___clrcall] = ACTIONS(3387),
    [anon_sym___stdcall] = ACTIONS(3387),
    [anon_sym___fastcall] = ACTIONS(3387),
    [anon_sym___thiscall] = ACTIONS(3387),
    [anon_sym___vectorcall] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_register] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3387),
    [anon_sym___inline] = ACTIONS(3387),
    [anon_sym___inline__] = ACTIONS(3387),
    [anon_sym___forceinline] = ACTIONS(3387),
    [anon_sym_thread_local] = ACTIONS(3387),
    [anon_sym___thread] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_constexpr] = ACTIONS(3387),
    [anon_sym_volatile] = ACTIONS(3387),
    [anon_sym_restrict] = ACTIONS(3387),
    [anon_sym___restrict__] = ACTIONS(3387),
    [anon_sym__Atomic] = ACTIONS(3387),
    [anon_sym__Noreturn] = ACTIONS(3387),
    [anon_sym_noreturn] = ACTIONS(3387),
    [anon_sym_mutable] = ACTIONS(3387),
    [anon_sym_constinit] = ACTIONS(3387),
    [anon_sym_consteval] = ACTIONS(3387),
    [sym_primitive_type] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_union] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_goto] = ACTIONS(3387),
    [anon_sym___try] = ACTIONS(3387),
    [anon_sym___leave] = ACTIONS(3387),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3387),
    [anon_sym___alignof__] = ACTIONS(3387),
    [anon_sym___alignof] = ACTIONS(3387),
    [anon_sym__alignof] = ACTIONS(3387),
    [anon_sym_alignof] = ACTIONS(3387),
    [anon_sym__Alignof] = ACTIONS(3387),
    [anon_sym_offsetof] = ACTIONS(3387),
    [anon_sym__Generic] = ACTIONS(3387),
    [anon_sym_asm] = ACTIONS(3387),
    [anon_sym___asm__] = ACTIONS(3387),
    [sym_number_literal] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3389),
    [anon_sym_u_SQUOTE] = ACTIONS(3389),
    [anon_sym_U_SQUOTE] = ACTIONS(3389),
    [anon_sym_u8_SQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_L_DQUOTE] = ACTIONS(3389),
    [anon_sym_u_DQUOTE] = ACTIONS(3389),
    [anon_sym_U_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [anon_sym_NULL] = ACTIONS(3387),
    [anon_sym_nullptr] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3387),
    [anon_sym_decltype] = ACTIONS(3387),
    [anon_sym_virtual] = ACTIONS(3387),
    [anon_sym_alignas] = ACTIONS(3387),
    [anon_sym_explicit] = ACTIONS(3387),
    [anon_sym_typename] = ACTIONS(3387),
    [anon_sym_template] = ACTIONS(3387),
    [anon_sym_operator] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_static_assert] = ACTIONS(3387),
    [anon_sym_concept] = ACTIONS(3387),
    [anon_sym_co_return] = ACTIONS(3387),
    [anon_sym_co_yield] = ACTIONS(3387),
    [anon_sym_R_DQUOTE] = ACTIONS(3389),
    [anon_sym_LR_DQUOTE] = ACTIONS(3389),
    [anon_sym_uR_DQUOTE] = ACTIONS(3389),
    [anon_sym_UR_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3389),
    [anon_sym_co_await] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_requires] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [sym_number_literal] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym___try] = ACTIONS(3264),
    [anon_sym___leave] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_RBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym_SEMI] = ACTIONS(3011),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_RBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym___try] = ACTIONS(3009),
    [anon_sym___leave] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3226),
    [aux_sym_preproc_include_token1] = ACTIONS(3226),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3226),
    [anon_sym_LPAREN2] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3226),
    [anon_sym_typedef] = ACTIONS(3226),
    [anon_sym_extern] = ACTIONS(3226),
    [anon_sym___attribute__] = ACTIONS(3226),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3228),
    [anon_sym___declspec] = ACTIONS(3226),
    [anon_sym___based] = ACTIONS(3226),
    [anon_sym___cdecl] = ACTIONS(3226),
    [anon_sym___clrcall] = ACTIONS(3226),
    [anon_sym___stdcall] = ACTIONS(3226),
    [anon_sym___fastcall] = ACTIONS(3226),
    [anon_sym___thiscall] = ACTIONS(3226),
    [anon_sym___vectorcall] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_RBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3226),
    [anon_sym_unsigned] = ACTIONS(3226),
    [anon_sym_long] = ACTIONS(3226),
    [anon_sym_short] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_register] = ACTIONS(3226),
    [anon_sym_inline] = ACTIONS(3226),
    [anon_sym___inline] = ACTIONS(3226),
    [anon_sym___inline__] = ACTIONS(3226),
    [anon_sym___forceinline] = ACTIONS(3226),
    [anon_sym_thread_local] = ACTIONS(3226),
    [anon_sym___thread] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_constexpr] = ACTIONS(3226),
    [anon_sym_volatile] = ACTIONS(3226),
    [anon_sym_restrict] = ACTIONS(3226),
    [anon_sym___restrict__] = ACTIONS(3226),
    [anon_sym__Atomic] = ACTIONS(3226),
    [anon_sym__Noreturn] = ACTIONS(3226),
    [anon_sym_noreturn] = ACTIONS(3226),
    [anon_sym_mutable] = ACTIONS(3226),
    [anon_sym_constinit] = ACTIONS(3226),
    [anon_sym_consteval] = ACTIONS(3226),
    [sym_primitive_type] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_union] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_goto] = ACTIONS(3226),
    [anon_sym___try] = ACTIONS(3226),
    [anon_sym___leave] = ACTIONS(3226),
    [anon_sym_not] = ACTIONS(3226),
    [anon_sym_compl] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_sizeof] = ACTIONS(3226),
    [anon_sym___alignof__] = ACTIONS(3226),
    [anon_sym___alignof] = ACTIONS(3226),
    [anon_sym__alignof] = ACTIONS(3226),
    [anon_sym_alignof] = ACTIONS(3226),
    [anon_sym__Alignof] = ACTIONS(3226),
    [anon_sym_offsetof] = ACTIONS(3226),
    [anon_sym__Generic] = ACTIONS(3226),
    [anon_sym_asm] = ACTIONS(3226),
    [anon_sym___asm__] = ACTIONS(3226),
    [sym_number_literal] = ACTIONS(3228),
    [anon_sym_L_SQUOTE] = ACTIONS(3228),
    [anon_sym_u_SQUOTE] = ACTIONS(3228),
    [anon_sym_U_SQUOTE] = ACTIONS(3228),
    [anon_sym_u8_SQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_L_DQUOTE] = ACTIONS(3228),
    [anon_sym_u_DQUOTE] = ACTIONS(3228),
    [anon_sym_U_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8_DQUOTE] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [anon_sym_NULL] = ACTIONS(3226),
    [anon_sym_nullptr] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3226),
    [anon_sym_decltype] = ACTIONS(3226),
    [anon_sym_virtual] = ACTIONS(3226),
    [anon_sym_alignas] = ACTIONS(3226),
    [anon_sym_explicit] = ACTIONS(3226),
    [anon_sym_typename] = ACTIONS(3226),
    [anon_sym_template] = ACTIONS(3226),
    [anon_sym_operator] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_static_assert] = ACTIONS(3226),
    [anon_sym_concept] = ACTIONS(3226),
    [anon_sym_co_return] = ACTIONS(3226),
    [anon_sym_co_yield] = ACTIONS(3226),
    [anon_sym_R_DQUOTE] = ACTIONS(3228),
    [anon_sym_LR_DQUOTE] = ACTIONS(3228),
    [anon_sym_uR_DQUOTE] = ACTIONS(3228),
    [anon_sym_UR_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3228),
    [anon_sym_co_await] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_requires] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_include_token1] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym___cdecl] = ACTIONS(3274),
    [anon_sym___clrcall] = ACTIONS(3274),
    [anon_sym___stdcall] = ACTIONS(3274),
    [anon_sym___fastcall] = ACTIONS(3274),
    [anon_sym___thiscall] = ACTIONS(3274),
    [anon_sym___vectorcall] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym___try] = ACTIONS(3274),
    [anon_sym___leave] = ACTIONS(3274),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_compl] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [anon_sym___alignof__] = ACTIONS(3274),
    [anon_sym___alignof] = ACTIONS(3274),
    [anon_sym__alignof] = ACTIONS(3274),
    [anon_sym_alignof] = ACTIONS(3274),
    [anon_sym__Alignof] = ACTIONS(3274),
    [anon_sym_offsetof] = ACTIONS(3274),
    [anon_sym__Generic] = ACTIONS(3274),
    [anon_sym_asm] = ACTIONS(3274),
    [anon_sym___asm__] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [anon_sym_L_SQUOTE] = ACTIONS(3276),
    [anon_sym_u_SQUOTE] = ACTIONS(3276),
    [anon_sym_U_SQUOTE] = ACTIONS(3276),
    [anon_sym_u8_SQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_L_DQUOTE] = ACTIONS(3276),
    [anon_sym_u_DQUOTE] = ACTIONS(3276),
    [anon_sym_U_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8_DQUOTE] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [anon_sym_NULL] = ACTIONS(3274),
    [anon_sym_nullptr] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
    [anon_sym_concept] = ACTIONS(3274),
    [anon_sym_co_return] = ACTIONS(3274),
    [anon_sym_co_yield] = ACTIONS(3274),
    [anon_sym_R_DQUOTE] = ACTIONS(3276),
    [anon_sym_LR_DQUOTE] = ACTIONS(3276),
    [anon_sym_uR_DQUOTE] = ACTIONS(3276),
    [anon_sym_UR_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3276),
    [anon_sym_co_await] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_requires] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
  },
  [908] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [sym_number_literal] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [sym_number_literal] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_include_token1] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym___cdecl] = ACTIONS(3353),
    [anon_sym___clrcall] = ACTIONS(3353),
    [anon_sym___stdcall] = ACTIONS(3353),
    [anon_sym___fastcall] = ACTIONS(3353),
    [anon_sym___thiscall] = ACTIONS(3353),
    [anon_sym___vectorcall] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_RBRACE] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym___try] = ACTIONS(3353),
    [anon_sym___leave] = ACTIONS(3353),
    [anon_sym_not] = ACTIONS(3353),
    [anon_sym_compl] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym___alignof__] = ACTIONS(3353),
    [anon_sym___alignof] = ACTIONS(3353),
    [anon_sym__alignof] = ACTIONS(3353),
    [anon_sym_alignof] = ACTIONS(3353),
    [anon_sym__Alignof] = ACTIONS(3353),
    [anon_sym_offsetof] = ACTIONS(3353),
    [anon_sym__Generic] = ACTIONS(3353),
    [anon_sym_asm] = ACTIONS(3353),
    [anon_sym___asm__] = ACTIONS(3353),
    [sym_number_literal] = ACTIONS(3355),
    [anon_sym_L_SQUOTE] = ACTIONS(3355),
    [anon_sym_u_SQUOTE] = ACTIONS(3355),
    [anon_sym_U_SQUOTE] = ACTIONS(3355),
    [anon_sym_u8_SQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_L_DQUOTE] = ACTIONS(3355),
    [anon_sym_u_DQUOTE] = ACTIONS(3355),
    [anon_sym_U_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8_DQUOTE] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [anon_sym_NULL] = ACTIONS(3353),
    [anon_sym_nullptr] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
    [anon_sym_concept] = ACTIONS(3353),
    [anon_sym_co_return] = ACTIONS(3353),
    [anon_sym_co_yield] = ACTIONS(3353),
    [anon_sym_R_DQUOTE] = ACTIONS(3355),
    [anon_sym_LR_DQUOTE] = ACTIONS(3355),
    [anon_sym_uR_DQUOTE] = ACTIONS(3355),
    [anon_sym_UR_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3355),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_requires] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
  },
  [914] = {
    [sym_catch_clause] = STATE(409),
    [aux_sym_constructor_try_statement_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3391),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token2] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [sym_number_literal] = ACTIONS(3310),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3320),
    [aux_sym_preproc_include_token1] = ACTIONS(3320),
    [aux_sym_preproc_def_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token2] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3320),
    [anon_sym_LPAREN2] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3322),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3320),
    [anon_sym_typedef] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym___attribute__] = ACTIONS(3320),
    [anon_sym_COLON_COLON] = ACTIONS(3322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3322),
    [anon_sym___declspec] = ACTIONS(3320),
    [anon_sym___based] = ACTIONS(3320),
    [anon_sym___cdecl] = ACTIONS(3320),
    [anon_sym___clrcall] = ACTIONS(3320),
    [anon_sym___stdcall] = ACTIONS(3320),
    [anon_sym___fastcall] = ACTIONS(3320),
    [anon_sym___thiscall] = ACTIONS(3320),
    [anon_sym___vectorcall] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3320),
    [anon_sym_unsigned] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_register] = ACTIONS(3320),
    [anon_sym_inline] = ACTIONS(3320),
    [anon_sym___inline] = ACTIONS(3320),
    [anon_sym___inline__] = ACTIONS(3320),
    [anon_sym___forceinline] = ACTIONS(3320),
    [anon_sym_thread_local] = ACTIONS(3320),
    [anon_sym___thread] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_constexpr] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_restrict] = ACTIONS(3320),
    [anon_sym___restrict__] = ACTIONS(3320),
    [anon_sym__Atomic] = ACTIONS(3320),
    [anon_sym__Noreturn] = ACTIONS(3320),
    [anon_sym_noreturn] = ACTIONS(3320),
    [anon_sym_mutable] = ACTIONS(3320),
    [anon_sym_constinit] = ACTIONS(3320),
    [anon_sym_consteval] = ACTIONS(3320),
    [sym_primitive_type] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_union] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_goto] = ACTIONS(3320),
    [anon_sym___try] = ACTIONS(3320),
    [anon_sym___leave] = ACTIONS(3320),
    [anon_sym_not] = ACTIONS(3320),
    [anon_sym_compl] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(3320),
    [anon_sym___alignof] = ACTIONS(3320),
    [anon_sym__alignof] = ACTIONS(3320),
    [anon_sym_alignof] = ACTIONS(3320),
    [anon_sym__Alignof] = ACTIONS(3320),
    [anon_sym_offsetof] = ACTIONS(3320),
    [anon_sym__Generic] = ACTIONS(3320),
    [anon_sym_asm] = ACTIONS(3320),
    [anon_sym___asm__] = ACTIONS(3320),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3322),
    [anon_sym_u_SQUOTE] = ACTIONS(3322),
    [anon_sym_U_SQUOTE] = ACTIONS(3322),
    [anon_sym_u8_SQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_L_DQUOTE] = ACTIONS(3322),
    [anon_sym_u_DQUOTE] = ACTIONS(3322),
    [anon_sym_U_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8_DQUOTE] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [anon_sym_NULL] = ACTIONS(3320),
    [anon_sym_nullptr] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3320),
    [anon_sym_decltype] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_alignas] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_typename] = ACTIONS(3320),
    [anon_sym_template] = ACTIONS(3320),
    [anon_sym_operator] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_concept] = ACTIONS(3320),
    [anon_sym_co_return] = ACTIONS(3320),
    [anon_sym_co_yield] = ACTIONS(3320),
    [anon_sym_R_DQUOTE] = ACTIONS(3322),
    [anon_sym_LR_DQUOTE] = ACTIONS(3322),
    [anon_sym_uR_DQUOTE] = ACTIONS(3322),
    [anon_sym_UR_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3322),
    [anon_sym_co_await] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_requires] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token2] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym_SEMI] = ACTIONS(3347),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3347),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym___try] = ACTIONS(3345),
    [anon_sym___leave] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3347),
    [anon_sym_u_SQUOTE] = ACTIONS(3347),
    [anon_sym_U_SQUOTE] = ACTIONS(3347),
    [anon_sym_u8_SQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_L_DQUOTE] = ACTIONS(3347),
    [anon_sym_u_DQUOTE] = ACTIONS(3347),
    [anon_sym_U_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8_DQUOTE] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3347),
    [anon_sym_LR_DQUOTE] = ACTIONS(3347),
    [anon_sym_uR_DQUOTE] = ACTIONS(3347),
    [anon_sym_UR_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3347),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_RBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym___cdecl] = ACTIONS(3288),
    [anon_sym___clrcall] = ACTIONS(3288),
    [anon_sym___stdcall] = ACTIONS(3288),
    [anon_sym___fastcall] = ACTIONS(3288),
    [anon_sym___thiscall] = ACTIONS(3288),
    [anon_sym___vectorcall] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_goto] = ACTIONS(3288),
    [anon_sym___try] = ACTIONS(3288),
    [anon_sym___leave] = ACTIONS(3288),
    [anon_sym_not] = ACTIONS(3288),
    [anon_sym_compl] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_sizeof] = ACTIONS(3288),
    [anon_sym___alignof__] = ACTIONS(3288),
    [anon_sym___alignof] = ACTIONS(3288),
    [anon_sym__alignof] = ACTIONS(3288),
    [anon_sym_alignof] = ACTIONS(3288),
    [anon_sym__Alignof] = ACTIONS(3288),
    [anon_sym_offsetof] = ACTIONS(3288),
    [anon_sym__Generic] = ACTIONS(3288),
    [anon_sym_asm] = ACTIONS(3288),
    [anon_sym___asm__] = ACTIONS(3288),
    [sym_number_literal] = ACTIONS(3290),
    [anon_sym_L_SQUOTE] = ACTIONS(3290),
    [anon_sym_u_SQUOTE] = ACTIONS(3290),
    [anon_sym_U_SQUOTE] = ACTIONS(3290),
    [anon_sym_u8_SQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_L_DQUOTE] = ACTIONS(3290),
    [anon_sym_u_DQUOTE] = ACTIONS(3290),
    [anon_sym_U_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8_DQUOTE] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [anon_sym_NULL] = ACTIONS(3288),
    [anon_sym_nullptr] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
    [anon_sym_concept] = ACTIONS(3288),
    [anon_sym_co_return] = ACTIONS(3288),
    [anon_sym_co_yield] = ACTIONS(3288),
    [anon_sym_R_DQUOTE] = ACTIONS(3290),
    [anon_sym_LR_DQUOTE] = ACTIONS(3290),
    [anon_sym_uR_DQUOTE] = ACTIONS(3290),
    [anon_sym_UR_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3290),
    [anon_sym_co_await] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_requires] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3320),
    [aux_sym_preproc_include_token1] = ACTIONS(3320),
    [aux_sym_preproc_def_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3320),
    [anon_sym_LPAREN2] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3322),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(3320),
    [anon_sym_typedef] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym___attribute__] = ACTIONS(3320),
    [anon_sym_COLON_COLON] = ACTIONS(3322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3322),
    [anon_sym___declspec] = ACTIONS(3320),
    [anon_sym___based] = ACTIONS(3320),
    [anon_sym___cdecl] = ACTIONS(3320),
    [anon_sym___clrcall] = ACTIONS(3320),
    [anon_sym___stdcall] = ACTIONS(3320),
    [anon_sym___fastcall] = ACTIONS(3320),
    [anon_sym___thiscall] = ACTIONS(3320),
    [anon_sym___vectorcall] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3320),
    [anon_sym_unsigned] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_register] = ACTIONS(3320),
    [anon_sym_inline] = ACTIONS(3320),
    [anon_sym___inline] = ACTIONS(3320),
    [anon_sym___inline__] = ACTIONS(3320),
    [anon_sym___forceinline] = ACTIONS(3320),
    [anon_sym_thread_local] = ACTIONS(3320),
    [anon_sym___thread] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_constexpr] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_restrict] = ACTIONS(3320),
    [anon_sym___restrict__] = ACTIONS(3320),
    [anon_sym__Atomic] = ACTIONS(3320),
    [anon_sym__Noreturn] = ACTIONS(3320),
    [anon_sym_noreturn] = ACTIONS(3320),
    [anon_sym_mutable] = ACTIONS(3320),
    [anon_sym_constinit] = ACTIONS(3320),
    [anon_sym_consteval] = ACTIONS(3320),
    [sym_primitive_type] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_union] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_goto] = ACTIONS(3320),
    [anon_sym___try] = ACTIONS(3320),
    [anon_sym___leave] = ACTIONS(3320),
    [anon_sym_not] = ACTIONS(3320),
    [anon_sym_compl] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(3320),
    [anon_sym___alignof] = ACTIONS(3320),
    [anon_sym__alignof] = ACTIONS(3320),
    [anon_sym_alignof] = ACTIONS(3320),
    [anon_sym__Alignof] = ACTIONS(3320),
    [anon_sym_offsetof] = ACTIONS(3320),
    [anon_sym__Generic] = ACTIONS(3320),
    [anon_sym_asm] = ACTIONS(3320),
    [anon_sym___asm__] = ACTIONS(3320),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3322),
    [anon_sym_u_SQUOTE] = ACTIONS(3322),
    [anon_sym_U_SQUOTE] = ACTIONS(3322),
    [anon_sym_u8_SQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_L_DQUOTE] = ACTIONS(3322),
    [anon_sym_u_DQUOTE] = ACTIONS(3322),
    [anon_sym_U_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8_DQUOTE] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [anon_sym_NULL] = ACTIONS(3320),
    [anon_sym_nullptr] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3320),
    [anon_sym_decltype] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_alignas] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_typename] = ACTIONS(3320),
    [anon_sym_template] = ACTIONS(3320),
    [anon_sym_operator] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_concept] = ACTIONS(3320),
    [anon_sym_co_return] = ACTIONS(3320),
    [anon_sym_co_yield] = ACTIONS(3320),
    [anon_sym_R_DQUOTE] = ACTIONS(3322),
    [anon_sym_LR_DQUOTE] = ACTIONS(3322),
    [anon_sym_uR_DQUOTE] = ACTIONS(3322),
    [anon_sym_UR_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3322),
    [anon_sym_co_await] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_requires] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym___try] = ACTIONS(3316),
    [anon_sym___leave] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_include_token1] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token2] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym_SEMI] = ACTIONS(3355),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym___cdecl] = ACTIONS(3353),
    [anon_sym___clrcall] = ACTIONS(3353),
    [anon_sym___stdcall] = ACTIONS(3353),
    [anon_sym___fastcall] = ACTIONS(3353),
    [anon_sym___thiscall] = ACTIONS(3353),
    [anon_sym___vectorcall] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym___try] = ACTIONS(3353),
    [anon_sym___leave] = ACTIONS(3353),
    [anon_sym_not] = ACTIONS(3353),
    [anon_sym_compl] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym___alignof__] = ACTIONS(3353),
    [anon_sym___alignof] = ACTIONS(3353),
    [anon_sym__alignof] = ACTIONS(3353),
    [anon_sym_alignof] = ACTIONS(3353),
    [anon_sym__Alignof] = ACTIONS(3353),
    [anon_sym_offsetof] = ACTIONS(3353),
    [anon_sym__Generic] = ACTIONS(3353),
    [anon_sym_asm] = ACTIONS(3353),
    [anon_sym___asm__] = ACTIONS(3353),
    [sym_number_literal] = ACTIONS(3355),
    [anon_sym_L_SQUOTE] = ACTIONS(3355),
    [anon_sym_u_SQUOTE] = ACTIONS(3355),
    [anon_sym_U_SQUOTE] = ACTIONS(3355),
    [anon_sym_u8_SQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_L_DQUOTE] = ACTIONS(3355),
    [anon_sym_u_DQUOTE] = ACTIONS(3355),
    [anon_sym_U_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8_DQUOTE] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [anon_sym_NULL] = ACTIONS(3353),
    [anon_sym_nullptr] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
    [anon_sym_concept] = ACTIONS(3353),
    [anon_sym_co_return] = ACTIONS(3353),
    [anon_sym_co_yield] = ACTIONS(3353),
    [anon_sym_R_DQUOTE] = ACTIONS(3355),
    [anon_sym_LR_DQUOTE] = ACTIONS(3355),
    [anon_sym_uR_DQUOTE] = ACTIONS(3355),
    [anon_sym_UR_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3355),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_requires] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym___try] = ACTIONS(3312),
    [anon_sym___leave] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_RBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_RBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym___try] = ACTIONS(3308),
    [anon_sym___leave] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [sym_number_literal] = ACTIONS(3310),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3387),
    [aux_sym_preproc_include_token1] = ACTIONS(3387),
    [aux_sym_preproc_def_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token2] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3387),
    [sym_preproc_directive] = ACTIONS(3387),
    [anon_sym_LPAREN2] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym_SEMI] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3387),
    [anon_sym_typedef] = ACTIONS(3387),
    [anon_sym_extern] = ACTIONS(3387),
    [anon_sym___attribute__] = ACTIONS(3387),
    [anon_sym_COLON_COLON] = ACTIONS(3389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3389),
    [anon_sym___declspec] = ACTIONS(3387),
    [anon_sym___based] = ACTIONS(3387),
    [anon_sym___cdecl] = ACTIONS(3387),
    [anon_sym___clrcall] = ACTIONS(3387),
    [anon_sym___stdcall] = ACTIONS(3387),
    [anon_sym___fastcall] = ACTIONS(3387),
    [anon_sym___thiscall] = ACTIONS(3387),
    [anon_sym___vectorcall] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_register] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3387),
    [anon_sym___inline] = ACTIONS(3387),
    [anon_sym___inline__] = ACTIONS(3387),
    [anon_sym___forceinline] = ACTIONS(3387),
    [anon_sym_thread_local] = ACTIONS(3387),
    [anon_sym___thread] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_constexpr] = ACTIONS(3387),
    [anon_sym_volatile] = ACTIONS(3387),
    [anon_sym_restrict] = ACTIONS(3387),
    [anon_sym___restrict__] = ACTIONS(3387),
    [anon_sym__Atomic] = ACTIONS(3387),
    [anon_sym__Noreturn] = ACTIONS(3387),
    [anon_sym_noreturn] = ACTIONS(3387),
    [anon_sym_mutable] = ACTIONS(3387),
    [anon_sym_constinit] = ACTIONS(3387),
    [anon_sym_consteval] = ACTIONS(3387),
    [sym_primitive_type] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_union] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_goto] = ACTIONS(3387),
    [anon_sym___try] = ACTIONS(3387),
    [anon_sym___leave] = ACTIONS(3387),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3387),
    [anon_sym___alignof__] = ACTIONS(3387),
    [anon_sym___alignof] = ACTIONS(3387),
    [anon_sym__alignof] = ACTIONS(3387),
    [anon_sym_alignof] = ACTIONS(3387),
    [anon_sym__Alignof] = ACTIONS(3387),
    [anon_sym_offsetof] = ACTIONS(3387),
    [anon_sym__Generic] = ACTIONS(3387),
    [anon_sym_asm] = ACTIONS(3387),
    [anon_sym___asm__] = ACTIONS(3387),
    [sym_number_literal] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3389),
    [anon_sym_u_SQUOTE] = ACTIONS(3389),
    [anon_sym_U_SQUOTE] = ACTIONS(3389),
    [anon_sym_u8_SQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_L_DQUOTE] = ACTIONS(3389),
    [anon_sym_u_DQUOTE] = ACTIONS(3389),
    [anon_sym_U_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [anon_sym_NULL] = ACTIONS(3387),
    [anon_sym_nullptr] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3387),
    [anon_sym_decltype] = ACTIONS(3387),
    [anon_sym_virtual] = ACTIONS(3387),
    [anon_sym_alignas] = ACTIONS(3387),
    [anon_sym_explicit] = ACTIONS(3387),
    [anon_sym_typename] = ACTIONS(3387),
    [anon_sym_template] = ACTIONS(3387),
    [anon_sym_operator] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_static_assert] = ACTIONS(3387),
    [anon_sym_concept] = ACTIONS(3387),
    [anon_sym_co_return] = ACTIONS(3387),
    [anon_sym_co_yield] = ACTIONS(3387),
    [anon_sym_R_DQUOTE] = ACTIONS(3389),
    [anon_sym_LR_DQUOTE] = ACTIONS(3389),
    [anon_sym_uR_DQUOTE] = ACTIONS(3389),
    [anon_sym_UR_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3389),
    [anon_sym_co_await] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_requires] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_RBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_RBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_RBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym___try] = ACTIONS(3122),
    [anon_sym___leave] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [sym_number_literal] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3304),
    [aux_sym_preproc_include_token1] = ACTIONS(3304),
    [aux_sym_preproc_def_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3304),
    [sym_preproc_directive] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3306),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym___extension__] = ACTIONS(3304),
    [anon_sym_typedef] = ACTIONS(3304),
    [anon_sym_extern] = ACTIONS(3304),
    [anon_sym___attribute__] = ACTIONS(3304),
    [anon_sym_COLON_COLON] = ACTIONS(3306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3306),
    [anon_sym___declspec] = ACTIONS(3304),
    [anon_sym___based] = ACTIONS(3304),
    [anon_sym___cdecl] = ACTIONS(3304),
    [anon_sym___clrcall] = ACTIONS(3304),
    [anon_sym___stdcall] = ACTIONS(3304),
    [anon_sym___fastcall] = ACTIONS(3304),
    [anon_sym___thiscall] = ACTIONS(3304),
    [anon_sym___vectorcall] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_signed] = ACTIONS(3304),
    [anon_sym_unsigned] = ACTIONS(3304),
    [anon_sym_long] = ACTIONS(3304),
    [anon_sym_short] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_register] = ACTIONS(3304),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym___inline] = ACTIONS(3304),
    [anon_sym___inline__] = ACTIONS(3304),
    [anon_sym___forceinline] = ACTIONS(3304),
    [anon_sym_thread_local] = ACTIONS(3304),
    [anon_sym___thread] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_constexpr] = ACTIONS(3304),
    [anon_sym_volatile] = ACTIONS(3304),
    [anon_sym_restrict] = ACTIONS(3304),
    [anon_sym___restrict__] = ACTIONS(3304),
    [anon_sym__Atomic] = ACTIONS(3304),
    [anon_sym__Noreturn] = ACTIONS(3304),
    [anon_sym_noreturn] = ACTIONS(3304),
    [anon_sym_mutable] = ACTIONS(3304),
    [anon_sym_constinit] = ACTIONS(3304),
    [anon_sym_consteval] = ACTIONS(3304),
    [sym_primitive_type] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_union] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_goto] = ACTIONS(3304),
    [anon_sym___try] = ACTIONS(3304),
    [anon_sym___leave] = ACTIONS(3304),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_compl] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_sizeof] = ACTIONS(3304),
    [anon_sym___alignof__] = ACTIONS(3304),
    [anon_sym___alignof] = ACTIONS(3304),
    [anon_sym__alignof] = ACTIONS(3304),
    [anon_sym_alignof] = ACTIONS(3304),
    [anon_sym__Alignof] = ACTIONS(3304),
    [anon_sym_offsetof] = ACTIONS(3304),
    [anon_sym__Generic] = ACTIONS(3304),
    [anon_sym_asm] = ACTIONS(3304),
    [anon_sym___asm__] = ACTIONS(3304),
    [sym_number_literal] = ACTIONS(3306),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3306),
    [anon_sym_u_DQUOTE] = ACTIONS(3306),
    [anon_sym_U_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8_DQUOTE] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [anon_sym_NULL] = ACTIONS(3304),
    [anon_sym_nullptr] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3304),
    [anon_sym_decltype] = ACTIONS(3304),
    [anon_sym_virtual] = ACTIONS(3304),
    [anon_sym_alignas] = ACTIONS(3304),
    [anon_sym_explicit] = ACTIONS(3304),
    [anon_sym_typename] = ACTIONS(3304),
    [anon_sym_template] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_static_assert] = ACTIONS(3304),
    [anon_sym_concept] = ACTIONS(3304),
    [anon_sym_co_return] = ACTIONS(3304),
    [anon_sym_co_yield] = ACTIONS(3304),
    [anon_sym_R_DQUOTE] = ACTIONS(3306),
    [anon_sym_LR_DQUOTE] = ACTIONS(3306),
    [anon_sym_uR_DQUOTE] = ACTIONS(3306),
    [anon_sym_UR_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3306),
    [anon_sym_co_await] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_requires] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_RBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym___try] = ACTIONS(3126),
    [anon_sym___leave] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [sym_number_literal] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_RBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym___try] = ACTIONS(3130),
    [anon_sym___leave] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [sym_number_literal] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym_SEMI] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_RBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym___try] = ACTIONS(3371),
    [anon_sym___leave] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_RBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym___try] = ACTIONS(3134),
    [anon_sym___leave] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_RBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym___try] = ACTIONS(3138),
    [anon_sym___leave] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_RBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_include_token1] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3234),
    [anon_sym___clrcall] = ACTIONS(3234),
    [anon_sym___stdcall] = ACTIONS(3234),
    [anon_sym___fastcall] = ACTIONS(3234),
    [anon_sym___thiscall] = ACTIONS(3234),
    [anon_sym___vectorcall] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_goto] = ACTIONS(3234),
    [anon_sym___try] = ACTIONS(3234),
    [anon_sym___leave] = ACTIONS(3234),
    [anon_sym_not] = ACTIONS(3234),
    [anon_sym_compl] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_sizeof] = ACTIONS(3234),
    [anon_sym___alignof__] = ACTIONS(3234),
    [anon_sym___alignof] = ACTIONS(3234),
    [anon_sym__alignof] = ACTIONS(3234),
    [anon_sym_alignof] = ACTIONS(3234),
    [anon_sym__Alignof] = ACTIONS(3234),
    [anon_sym_offsetof] = ACTIONS(3234),
    [anon_sym__Generic] = ACTIONS(3234),
    [anon_sym_asm] = ACTIONS(3234),
    [anon_sym___asm__] = ACTIONS(3234),
    [sym_number_literal] = ACTIONS(3236),
    [anon_sym_L_SQUOTE] = ACTIONS(3236),
    [anon_sym_u_SQUOTE] = ACTIONS(3236),
    [anon_sym_U_SQUOTE] = ACTIONS(3236),
    [anon_sym_u8_SQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_L_DQUOTE] = ACTIONS(3236),
    [anon_sym_u_DQUOTE] = ACTIONS(3236),
    [anon_sym_U_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8_DQUOTE] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [anon_sym_NULL] = ACTIONS(3234),
    [anon_sym_nullptr] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
    [anon_sym_concept] = ACTIONS(3234),
    [anon_sym_co_return] = ACTIONS(3234),
    [anon_sym_co_yield] = ACTIONS(3234),
    [anon_sym_R_DQUOTE] = ACTIONS(3236),
    [anon_sym_LR_DQUOTE] = ACTIONS(3236),
    [anon_sym_uR_DQUOTE] = ACTIONS(3236),
    [anon_sym_UR_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3236),
    [anon_sym_co_await] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_requires] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_RBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym___try] = ACTIONS(3296),
    [anon_sym___leave] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token2] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym_SEMI] = ACTIONS(3105),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym___try] = ACTIONS(3103),
    [anon_sym___leave] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token2] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_SEMI] = ACTIONS(3113),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym___try] = ACTIONS(3111),
    [anon_sym___leave] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [953] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym_SEMI] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_RBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym___try] = ACTIONS(3375),
    [anon_sym___leave] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token2] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_SEMI] = ACTIONS(3109),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym___try] = ACTIONS(3107),
    [anon_sym___leave] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token2] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym___try] = ACTIONS(3115),
    [anon_sym___leave] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [957] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [958] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [959] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_RBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [960] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [961] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym___try] = ACTIONS(3142),
    [anon_sym___leave] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3230),
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3230),
    [anon_sym_typedef] = ACTIONS(3230),
    [anon_sym_extern] = ACTIONS(3230),
    [anon_sym___attribute__] = ACTIONS(3230),
    [anon_sym_COLON_COLON] = ACTIONS(3232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3232),
    [anon_sym___declspec] = ACTIONS(3230),
    [anon_sym___based] = ACTIONS(3230),
    [anon_sym___cdecl] = ACTIONS(3230),
    [anon_sym___clrcall] = ACTIONS(3230),
    [anon_sym___stdcall] = ACTIONS(3230),
    [anon_sym___fastcall] = ACTIONS(3230),
    [anon_sym___thiscall] = ACTIONS(3230),
    [anon_sym___vectorcall] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_RBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3230),
    [anon_sym_unsigned] = ACTIONS(3230),
    [anon_sym_long] = ACTIONS(3230),
    [anon_sym_short] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_register] = ACTIONS(3230),
    [anon_sym_inline] = ACTIONS(3230),
    [anon_sym___inline] = ACTIONS(3230),
    [anon_sym___inline__] = ACTIONS(3230),
    [anon_sym___forceinline] = ACTIONS(3230),
    [anon_sym_thread_local] = ACTIONS(3230),
    [anon_sym___thread] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_constexpr] = ACTIONS(3230),
    [anon_sym_volatile] = ACTIONS(3230),
    [anon_sym_restrict] = ACTIONS(3230),
    [anon_sym___restrict__] = ACTIONS(3230),
    [anon_sym__Atomic] = ACTIONS(3230),
    [anon_sym__Noreturn] = ACTIONS(3230),
    [anon_sym_noreturn] = ACTIONS(3230),
    [anon_sym_mutable] = ACTIONS(3230),
    [anon_sym_constinit] = ACTIONS(3230),
    [anon_sym_consteval] = ACTIONS(3230),
    [sym_primitive_type] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_union] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_goto] = ACTIONS(3230),
    [anon_sym___try] = ACTIONS(3230),
    [anon_sym___leave] = ACTIONS(3230),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_sizeof] = ACTIONS(3230),
    [anon_sym___alignof__] = ACTIONS(3230),
    [anon_sym___alignof] = ACTIONS(3230),
    [anon_sym__alignof] = ACTIONS(3230),
    [anon_sym_alignof] = ACTIONS(3230),
    [anon_sym__Alignof] = ACTIONS(3230),
    [anon_sym_offsetof] = ACTIONS(3230),
    [anon_sym__Generic] = ACTIONS(3230),
    [anon_sym_asm] = ACTIONS(3230),
    [anon_sym___asm__] = ACTIONS(3230),
    [sym_number_literal] = ACTIONS(3232),
    [anon_sym_L_SQUOTE] = ACTIONS(3232),
    [anon_sym_u_SQUOTE] = ACTIONS(3232),
    [anon_sym_U_SQUOTE] = ACTIONS(3232),
    [anon_sym_u8_SQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_L_DQUOTE] = ACTIONS(3232),
    [anon_sym_u_DQUOTE] = ACTIONS(3232),
    [anon_sym_U_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8_DQUOTE] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [anon_sym_NULL] = ACTIONS(3230),
    [anon_sym_nullptr] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3230),
    [anon_sym_decltype] = ACTIONS(3230),
    [anon_sym_virtual] = ACTIONS(3230),
    [anon_sym_alignas] = ACTIONS(3230),
    [anon_sym_explicit] = ACTIONS(3230),
    [anon_sym_typename] = ACTIONS(3230),
    [anon_sym_template] = ACTIONS(3230),
    [anon_sym_operator] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3230),
    [anon_sym_concept] = ACTIONS(3230),
    [anon_sym_co_return] = ACTIONS(3230),
    [anon_sym_co_yield] = ACTIONS(3230),
    [anon_sym_R_DQUOTE] = ACTIONS(3232),
    [anon_sym_LR_DQUOTE] = ACTIONS(3232),
    [anon_sym_uR_DQUOTE] = ACTIONS(3232),
    [anon_sym_UR_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3232),
    [anon_sym_co_await] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_requires] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym___try] = ACTIONS(3212),
    [anon_sym___leave] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token2] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym_SEMI] = ACTIONS(3091),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym___try] = ACTIONS(3089),
    [anon_sym___leave] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [967] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [968] = {
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token2] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym_SEMI] = ACTIONS(3097),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym___try] = ACTIONS(3095),
    [anon_sym___leave] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym___try] = ACTIONS(3200),
    [anon_sym___leave] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [970] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [971] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token2] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym_SEMI] = ACTIONS(3101),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym___try] = ACTIONS(3099),
    [anon_sym___leave] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [973] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [974] = {
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token2] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym___try] = ACTIONS(3204),
    [anon_sym___leave] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym___try] = ACTIONS(3208),
    [anon_sym___leave] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [976] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_include_token1] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3276),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym___cdecl] = ACTIONS(3274),
    [anon_sym___clrcall] = ACTIONS(3274),
    [anon_sym___stdcall] = ACTIONS(3274),
    [anon_sym___fastcall] = ACTIONS(3274),
    [anon_sym___thiscall] = ACTIONS(3274),
    [anon_sym___vectorcall] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_RBRACE] = ACTIONS(3276),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym___try] = ACTIONS(3274),
    [anon_sym___leave] = ACTIONS(3274),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_compl] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [anon_sym___alignof__] = ACTIONS(3274),
    [anon_sym___alignof] = ACTIONS(3274),
    [anon_sym__alignof] = ACTIONS(3274),
    [anon_sym_alignof] = ACTIONS(3274),
    [anon_sym__Alignof] = ACTIONS(3274),
    [anon_sym_offsetof] = ACTIONS(3274),
    [anon_sym__Generic] = ACTIONS(3274),
    [anon_sym_asm] = ACTIONS(3274),
    [anon_sym___asm__] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [anon_sym_L_SQUOTE] = ACTIONS(3276),
    [anon_sym_u_SQUOTE] = ACTIONS(3276),
    [anon_sym_U_SQUOTE] = ACTIONS(3276),
    [anon_sym_u8_SQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_L_DQUOTE] = ACTIONS(3276),
    [anon_sym_u_DQUOTE] = ACTIONS(3276),
    [anon_sym_U_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8_DQUOTE] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [anon_sym_NULL] = ACTIONS(3274),
    [anon_sym_nullptr] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
    [anon_sym_concept] = ACTIONS(3274),
    [anon_sym_co_return] = ACTIONS(3274),
    [anon_sym_co_yield] = ACTIONS(3274),
    [anon_sym_R_DQUOTE] = ACTIONS(3276),
    [anon_sym_LR_DQUOTE] = ACTIONS(3276),
    [anon_sym_uR_DQUOTE] = ACTIONS(3276),
    [anon_sym_UR_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3276),
    [anon_sym_co_await] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_requires] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym___try] = ACTIONS(3216),
    [anon_sym___leave] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3230),
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token2] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3232),
    [anon_sym___extension__] = ACTIONS(3230),
    [anon_sym_typedef] = ACTIONS(3230),
    [anon_sym_extern] = ACTIONS(3230),
    [anon_sym___attribute__] = ACTIONS(3230),
    [anon_sym_COLON_COLON] = ACTIONS(3232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3232),
    [anon_sym___declspec] = ACTIONS(3230),
    [anon_sym___based] = ACTIONS(3230),
    [anon_sym___cdecl] = ACTIONS(3230),
    [anon_sym___clrcall] = ACTIONS(3230),
    [anon_sym___stdcall] = ACTIONS(3230),
    [anon_sym___fastcall] = ACTIONS(3230),
    [anon_sym___thiscall] = ACTIONS(3230),
    [anon_sym___vectorcall] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3230),
    [anon_sym_unsigned] = ACTIONS(3230),
    [anon_sym_long] = ACTIONS(3230),
    [anon_sym_short] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_register] = ACTIONS(3230),
    [anon_sym_inline] = ACTIONS(3230),
    [anon_sym___inline] = ACTIONS(3230),
    [anon_sym___inline__] = ACTIONS(3230),
    [anon_sym___forceinline] = ACTIONS(3230),
    [anon_sym_thread_local] = ACTIONS(3230),
    [anon_sym___thread] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_constexpr] = ACTIONS(3230),
    [anon_sym_volatile] = ACTIONS(3230),
    [anon_sym_restrict] = ACTIONS(3230),
    [anon_sym___restrict__] = ACTIONS(3230),
    [anon_sym__Atomic] = ACTIONS(3230),
    [anon_sym__Noreturn] = ACTIONS(3230),
    [anon_sym_noreturn] = ACTIONS(3230),
    [anon_sym_mutable] = ACTIONS(3230),
    [anon_sym_constinit] = ACTIONS(3230),
    [anon_sym_consteval] = ACTIONS(3230),
    [sym_primitive_type] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_union] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_goto] = ACTIONS(3230),
    [anon_sym___try] = ACTIONS(3230),
    [anon_sym___leave] = ACTIONS(3230),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_sizeof] = ACTIONS(3230),
    [anon_sym___alignof__] = ACTIONS(3230),
    [anon_sym___alignof] = ACTIONS(3230),
    [anon_sym__alignof] = ACTIONS(3230),
    [anon_sym_alignof] = ACTIONS(3230),
    [anon_sym__Alignof] = ACTIONS(3230),
    [anon_sym_offsetof] = ACTIONS(3230),
    [anon_sym__Generic] = ACTIONS(3230),
    [anon_sym_asm] = ACTIONS(3230),
    [anon_sym___asm__] = ACTIONS(3230),
    [sym_number_literal] = ACTIONS(3232),
    [anon_sym_L_SQUOTE] = ACTIONS(3232),
    [anon_sym_u_SQUOTE] = ACTIONS(3232),
    [anon_sym_U_SQUOTE] = ACTIONS(3232),
    [anon_sym_u8_SQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_L_DQUOTE] = ACTIONS(3232),
    [anon_sym_u_DQUOTE] = ACTIONS(3232),
    [anon_sym_U_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8_DQUOTE] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [anon_sym_NULL] = ACTIONS(3230),
    [anon_sym_nullptr] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3230),
    [anon_sym_decltype] = ACTIONS(3230),
    [anon_sym_virtual] = ACTIONS(3230),
    [anon_sym_alignas] = ACTIONS(3230),
    [anon_sym_explicit] = ACTIONS(3230),
    [anon_sym_typename] = ACTIONS(3230),
    [anon_sym_template] = ACTIONS(3230),
    [anon_sym_operator] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3230),
    [anon_sym_concept] = ACTIONS(3230),
    [anon_sym_co_return] = ACTIONS(3230),
    [anon_sym_co_yield] = ACTIONS(3230),
    [anon_sym_R_DQUOTE] = ACTIONS(3232),
    [anon_sym_LR_DQUOTE] = ACTIONS(3232),
    [anon_sym_uR_DQUOTE] = ACTIONS(3232),
    [anon_sym_UR_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3232),
    [anon_sym_co_await] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_requires] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
  },
  [979] = {
    [sym_catch_clause] = STATE(409),
    [aux_sym_constructor_try_statement_repeat1] = STATE(409),
    [ts_builtin_sym_end] = ACTIONS(2848),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3391),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3300),
    [aux_sym_preproc_include_token1] = ACTIONS(3300),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token2] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3300),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym___attribute__] = ACTIONS(3300),
    [anon_sym_COLON_COLON] = ACTIONS(3302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3302),
    [anon_sym___declspec] = ACTIONS(3300),
    [anon_sym___based] = ACTIONS(3300),
    [anon_sym___cdecl] = ACTIONS(3300),
    [anon_sym___clrcall] = ACTIONS(3300),
    [anon_sym___stdcall] = ACTIONS(3300),
    [anon_sym___fastcall] = ACTIONS(3300),
    [anon_sym___thiscall] = ACTIONS(3300),
    [anon_sym___vectorcall] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3300),
    [anon_sym_unsigned] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_register] = ACTIONS(3300),
    [anon_sym_inline] = ACTIONS(3300),
    [anon_sym___inline] = ACTIONS(3300),
    [anon_sym___inline__] = ACTIONS(3300),
    [anon_sym___forceinline] = ACTIONS(3300),
    [anon_sym_thread_local] = ACTIONS(3300),
    [anon_sym___thread] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_constexpr] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_restrict] = ACTIONS(3300),
    [anon_sym___restrict__] = ACTIONS(3300),
    [anon_sym__Atomic] = ACTIONS(3300),
    [anon_sym__Noreturn] = ACTIONS(3300),
    [anon_sym_noreturn] = ACTIONS(3300),
    [anon_sym_mutable] = ACTIONS(3300),
    [anon_sym_constinit] = ACTIONS(3300),
    [anon_sym_consteval] = ACTIONS(3300),
    [sym_primitive_type] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_union] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_goto] = ACTIONS(3300),
    [anon_sym___try] = ACTIONS(3300),
    [anon_sym___leave] = ACTIONS(3300),
    [anon_sym_not] = ACTIONS(3300),
    [anon_sym_compl] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_sizeof] = ACTIONS(3300),
    [anon_sym___alignof__] = ACTIONS(3300),
    [anon_sym___alignof] = ACTIONS(3300),
    [anon_sym__alignof] = ACTIONS(3300),
    [anon_sym_alignof] = ACTIONS(3300),
    [anon_sym__Alignof] = ACTIONS(3300),
    [anon_sym_offsetof] = ACTIONS(3300),
    [anon_sym__Generic] = ACTIONS(3300),
    [anon_sym_asm] = ACTIONS(3300),
    [anon_sym___asm__] = ACTIONS(3300),
    [sym_number_literal] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3302),
    [anon_sym_u_SQUOTE] = ACTIONS(3302),
    [anon_sym_U_SQUOTE] = ACTIONS(3302),
    [anon_sym_u8_SQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_L_DQUOTE] = ACTIONS(3302),
    [anon_sym_u_DQUOTE] = ACTIONS(3302),
    [anon_sym_U_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8_DQUOTE] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [anon_sym_NULL] = ACTIONS(3300),
    [anon_sym_nullptr] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3300),
    [anon_sym_decltype] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_alignas] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_typename] = ACTIONS(3300),
    [anon_sym_template] = ACTIONS(3300),
    [anon_sym_operator] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_static_assert] = ACTIONS(3300),
    [anon_sym_concept] = ACTIONS(3300),
    [anon_sym_co_return] = ACTIONS(3300),
    [anon_sym_co_yield] = ACTIONS(3300),
    [anon_sym_R_DQUOTE] = ACTIONS(3302),
    [anon_sym_LR_DQUOTE] = ACTIONS(3302),
    [anon_sym_uR_DQUOTE] = ACTIONS(3302),
    [anon_sym_UR_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3302),
    [anon_sym_co_await] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_requires] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
  },
  [981] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [982] = {
    [sym_identifier] = ACTIONS(3304),
    [aux_sym_preproc_include_token1] = ACTIONS(3304),
    [aux_sym_preproc_def_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token2] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3304),
    [sym_preproc_directive] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3306),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym___extension__] = ACTIONS(3304),
    [anon_sym_typedef] = ACTIONS(3304),
    [anon_sym_extern] = ACTIONS(3304),
    [anon_sym___attribute__] = ACTIONS(3304),
    [anon_sym_COLON_COLON] = ACTIONS(3306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3306),
    [anon_sym___declspec] = ACTIONS(3304),
    [anon_sym___based] = ACTIONS(3304),
    [anon_sym___cdecl] = ACTIONS(3304),
    [anon_sym___clrcall] = ACTIONS(3304),
    [anon_sym___stdcall] = ACTIONS(3304),
    [anon_sym___fastcall] = ACTIONS(3304),
    [anon_sym___thiscall] = ACTIONS(3304),
    [anon_sym___vectorcall] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_signed] = ACTIONS(3304),
    [anon_sym_unsigned] = ACTIONS(3304),
    [anon_sym_long] = ACTIONS(3304),
    [anon_sym_short] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_register] = ACTIONS(3304),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym___inline] = ACTIONS(3304),
    [anon_sym___inline__] = ACTIONS(3304),
    [anon_sym___forceinline] = ACTIONS(3304),
    [anon_sym_thread_local] = ACTIONS(3304),
    [anon_sym___thread] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_constexpr] = ACTIONS(3304),
    [anon_sym_volatile] = ACTIONS(3304),
    [anon_sym_restrict] = ACTIONS(3304),
    [anon_sym___restrict__] = ACTIONS(3304),
    [anon_sym__Atomic] = ACTIONS(3304),
    [anon_sym__Noreturn] = ACTIONS(3304),
    [anon_sym_noreturn] = ACTIONS(3304),
    [anon_sym_mutable] = ACTIONS(3304),
    [anon_sym_constinit] = ACTIONS(3304),
    [anon_sym_consteval] = ACTIONS(3304),
    [sym_primitive_type] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_union] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_goto] = ACTIONS(3304),
    [anon_sym___try] = ACTIONS(3304),
    [anon_sym___leave] = ACTIONS(3304),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_compl] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_sizeof] = ACTIONS(3304),
    [anon_sym___alignof__] = ACTIONS(3304),
    [anon_sym___alignof] = ACTIONS(3304),
    [anon_sym__alignof] = ACTIONS(3304),
    [anon_sym_alignof] = ACTIONS(3304),
    [anon_sym__Alignof] = ACTIONS(3304),
    [anon_sym_offsetof] = ACTIONS(3304),
    [anon_sym__Generic] = ACTIONS(3304),
    [anon_sym_asm] = ACTIONS(3304),
    [anon_sym___asm__] = ACTIONS(3304),
    [sym_number_literal] = ACTIONS(3306),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3306),
    [anon_sym_u_DQUOTE] = ACTIONS(3306),
    [anon_sym_U_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8_DQUOTE] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [anon_sym_NULL] = ACTIONS(3304),
    [anon_sym_nullptr] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3304),
    [anon_sym_decltype] = ACTIONS(3304),
    [anon_sym_virtual] = ACTIONS(3304),
    [anon_sym_alignas] = ACTIONS(3304),
    [anon_sym_explicit] = ACTIONS(3304),
    [anon_sym_typename] = ACTIONS(3304),
    [anon_sym_template] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_static_assert] = ACTIONS(3304),
    [anon_sym_concept] = ACTIONS(3304),
    [anon_sym_co_return] = ACTIONS(3304),
    [anon_sym_co_yield] = ACTIONS(3304),
    [anon_sym_R_DQUOTE] = ACTIONS(3306),
    [anon_sym_LR_DQUOTE] = ACTIONS(3306),
    [anon_sym_uR_DQUOTE] = ACTIONS(3306),
    [anon_sym_UR_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3306),
    [anon_sym_co_await] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_requires] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
  },
  [983] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [984] = {
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym___try] = ACTIONS(3244),
    [anon_sym___leave] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [985] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym_SEMI] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym___try] = ACTIONS(3379),
    [anon_sym___leave] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [986] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3681),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [987] = {
    [sym_identifier] = ACTIONS(3226),
    [aux_sym_preproc_include_token1] = ACTIONS(3226),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token2] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3226),
    [anon_sym_LPAREN2] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3228),
    [anon_sym___extension__] = ACTIONS(3226),
    [anon_sym_typedef] = ACTIONS(3226),
    [anon_sym_extern] = ACTIONS(3226),
    [anon_sym___attribute__] = ACTIONS(3226),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3228),
    [anon_sym___declspec] = ACTIONS(3226),
    [anon_sym___based] = ACTIONS(3226),
    [anon_sym___cdecl] = ACTIONS(3226),
    [anon_sym___clrcall] = ACTIONS(3226),
    [anon_sym___stdcall] = ACTIONS(3226),
    [anon_sym___fastcall] = ACTIONS(3226),
    [anon_sym___thiscall] = ACTIONS(3226),
    [anon_sym___vectorcall] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3226),
    [anon_sym_unsigned] = ACTIONS(3226),
    [anon_sym_long] = ACTIONS(3226),
    [anon_sym_short] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_register] = ACTIONS(3226),
    [anon_sym_inline] = ACTIONS(3226),
    [anon_sym___inline] = ACTIONS(3226),
    [anon_sym___inline__] = ACTIONS(3226),
    [anon_sym___forceinline] = ACTIONS(3226),
    [anon_sym_thread_local] = ACTIONS(3226),
    [anon_sym___thread] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_constexpr] = ACTIONS(3226),
    [anon_sym_volatile] = ACTIONS(3226),
    [anon_sym_restrict] = ACTIONS(3226),
    [anon_sym___restrict__] = ACTIONS(3226),
    [anon_sym__Atomic] = ACTIONS(3226),
    [anon_sym__Noreturn] = ACTIONS(3226),
    [anon_sym_noreturn] = ACTIONS(3226),
    [anon_sym_mutable] = ACTIONS(3226),
    [anon_sym_constinit] = ACTIONS(3226),
    [anon_sym_consteval] = ACTIONS(3226),
    [sym_primitive_type] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_union] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_goto] = ACTIONS(3226),
    [anon_sym___try] = ACTIONS(3226),
    [anon_sym___leave] = ACTIONS(3226),
    [anon_sym_not] = ACTIONS(3226),
    [anon_sym_compl] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_sizeof] = ACTIONS(3226),
    [anon_sym___alignof__] = ACTIONS(3226),
    [anon_sym___alignof] = ACTIONS(3226),
    [anon_sym__alignof] = ACTIONS(3226),
    [anon_sym_alignof] = ACTIONS(3226),
    [anon_sym__Alignof] = ACTIONS(3226),
    [anon_sym_offsetof] = ACTIONS(3226),
    [anon_sym__Generic] = ACTIONS(3226),
    [anon_sym_asm] = ACTIONS(3226),
    [anon_sym___asm__] = ACTIONS(3226),
    [sym_number_literal] = ACTIONS(3228),
    [anon_sym_L_SQUOTE] = ACTIONS(3228),
    [anon_sym_u_SQUOTE] = ACTIONS(3228),
    [anon_sym_U_SQUOTE] = ACTIONS(3228),
    [anon_sym_u8_SQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_L_DQUOTE] = ACTIONS(3228),
    [anon_sym_u_DQUOTE] = ACTIONS(3228),
    [anon_sym_U_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8_DQUOTE] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [anon_sym_NULL] = ACTIONS(3226),
    [anon_sym_nullptr] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3226),
    [anon_sym_decltype] = ACTIONS(3226),
    [anon_sym_virtual] = ACTIONS(3226),
    [anon_sym_alignas] = ACTIONS(3226),
    [anon_sym_explicit] = ACTIONS(3226),
    [anon_sym_typename] = ACTIONS(3226),
    [anon_sym_template] = ACTIONS(3226),
    [anon_sym_operator] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_static_assert] = ACTIONS(3226),
    [anon_sym_concept] = ACTIONS(3226),
    [anon_sym_co_return] = ACTIONS(3226),
    [anon_sym_co_yield] = ACTIONS(3226),
    [anon_sym_R_DQUOTE] = ACTIONS(3228),
    [anon_sym_LR_DQUOTE] = ACTIONS(3228),
    [anon_sym_uR_DQUOTE] = ACTIONS(3228),
    [anon_sym_UR_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3228),
    [anon_sym_co_await] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_requires] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
  },
  [988] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym_SEMI] = ACTIONS(3087),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym___try] = ACTIONS(3085),
    [anon_sym___leave] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [989] = {
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token2] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym_SEMI] = ACTIONS(3083),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym___try] = ACTIONS(3081),
    [anon_sym___leave] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [990] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [991] = {
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token2] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym___try] = ACTIONS(3252),
    [anon_sym___leave] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [992] = {
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token2] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym___try] = ACTIONS(3256),
    [anon_sym___leave] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [993] = {
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token2] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym___try] = ACTIONS(3260),
    [anon_sym___leave] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [994] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym___try] = ACTIONS(3240),
    [anon_sym___leave] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [995] = {
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_RBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym___try] = ACTIONS(3278),
    [anon_sym___leave] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [996] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym___try] = ACTIONS(3248),
    [anon_sym___leave] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [997] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym___try] = ACTIONS(3268),
    [anon_sym___leave] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(3236),
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_include_token1] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3236),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_BANG] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3234),
    [anon_sym_PLUS] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3234),
    [anon_sym___clrcall] = ACTIONS(3234),
    [anon_sym___stdcall] = ACTIONS(3234),
    [anon_sym___fastcall] = ACTIONS(3234),
    [anon_sym___thiscall] = ACTIONS(3234),
    [anon_sym___vectorcall] = ACTIONS(3234),
    [anon_sym_LBRACE] = ACTIONS(3236),
    [anon_sym_RBRACE] = ACTIONS(3236),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_switch] = ACTIONS(3234),
    [anon_sym_case] = ACTIONS(3234),
    [anon_sym_default] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_do] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3234),
    [anon_sym_return] = ACTIONS(3234),
    [anon_sym_break] = ACTIONS(3234),
    [anon_sym_continue] = ACTIONS(3234),
    [anon_sym_goto] = ACTIONS(3234),
    [anon_sym_not] = ACTIONS(3234),
    [anon_sym_compl] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3236),
    [anon_sym_PLUS_PLUS] = ACTIONS(3236),
    [anon_sym_sizeof] = ACTIONS(3234),
    [anon_sym___alignof__] = ACTIONS(3234),
    [anon_sym___alignof] = ACTIONS(3234),
    [anon_sym__alignof] = ACTIONS(3234),
    [anon_sym_alignof] = ACTIONS(3234),
    [anon_sym__Alignof] = ACTIONS(3234),
    [anon_sym_offsetof] = ACTIONS(3234),
    [anon_sym__Generic] = ACTIONS(3234),
    [anon_sym_asm] = ACTIONS(3234),
    [anon_sym___asm__] = ACTIONS(3234),
    [sym_number_literal] = ACTIONS(3236),
    [anon_sym_L_SQUOTE] = ACTIONS(3236),
    [anon_sym_u_SQUOTE] = ACTIONS(3236),
    [anon_sym_U_SQUOTE] = ACTIONS(3236),
    [anon_sym_u8_SQUOTE] = ACTIONS(3236),
    [anon_sym_SQUOTE] = ACTIONS(3236),
    [anon_sym_L_DQUOTE] = ACTIONS(3236),
    [anon_sym_u_DQUOTE] = ACTIONS(3236),
    [anon_sym_U_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8_DQUOTE] = ACTIONS(3236),
    [anon_sym_DQUOTE] = ACTIONS(3236),
    [sym_true] = ACTIONS(3234),
    [sym_false] = ACTIONS(3234),
    [anon_sym_NULL] = ACTIONS(3234),
    [anon_sym_nullptr] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(3234),
    [anon_sym_delete] = ACTIONS(3234),
    [anon_sym_throw] = ACTIONS(3234),
    [anon_sym_namespace] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
    [anon_sym_concept] = ACTIONS(3234),
    [anon_sym_co_return] = ACTIONS(3234),
    [anon_sym_co_yield] = ACTIONS(3234),
    [anon_sym_R_DQUOTE] = ACTIONS(3236),
    [anon_sym_LR_DQUOTE] = ACTIONS(3236),
    [anon_sym_uR_DQUOTE] = ACTIONS(3236),
    [anon_sym_UR_DQUOTE] = ACTIONS(3236),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3236),
    [anon_sym_co_await] = ACTIONS(3234),
    [anon_sym_new] = ACTIONS(3234),
    [anon_sym_requires] = ACTIONS(3234),
    [sym_this] = ACTIONS(3234),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(3381),
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_include_token1] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [anon_sym_COMMA] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_BANG] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_DASH] = ACTIONS(3379),
    [anon_sym_PLUS] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym___cdecl] = ACTIONS(3379),
    [anon_sym___clrcall] = ACTIONS(3379),
    [anon_sym___stdcall] = ACTIONS(3379),
    [anon_sym___fastcall] = ACTIONS(3379),
    [anon_sym___thiscall] = ACTIONS(3379),
    [anon_sym___vectorcall] = ACTIONS(3379),
    [anon_sym_LBRACE] = ACTIONS(3381),
    [anon_sym_RBRACE] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(3379),
    [anon_sym_switch] = ACTIONS(3379),
    [anon_sym_case] = ACTIONS(3379),
    [anon_sym_default] = ACTIONS(3379),
    [anon_sym_while] = ACTIONS(3379),
    [anon_sym_do] = ACTIONS(3379),
    [anon_sym_for] = ACTIONS(3379),
    [anon_sym_return] = ACTIONS(3379),
    [anon_sym_break] = ACTIONS(3379),
    [anon_sym_continue] = ACTIONS(3379),
    [anon_sym_goto] = ACTIONS(3379),
    [anon_sym_not] = ACTIONS(3379),
    [anon_sym_compl] = ACTIONS(3379),
    [anon_sym_DASH_DASH] = ACTIONS(3381),
    [anon_sym_PLUS_PLUS] = ACTIONS(3381),
    [anon_sym_sizeof] = ACTIONS(3379),
    [anon_sym___alignof__] = ACTIONS(3379),
    [anon_sym___alignof] = ACTIONS(3379),
    [anon_sym__alignof] = ACTIONS(3379),
    [anon_sym_alignof] = ACTIONS(3379),
    [anon_sym__Alignof] = ACTIONS(3379),
    [anon_sym_offsetof] = ACTIONS(3379),
    [anon_sym__Generic] = ACTIONS(3379),
    [anon_sym_asm] = ACTIONS(3379),
    [anon_sym___asm__] = ACTIONS(3379),
    [sym_number_literal] = ACTIONS(3381),
    [anon_sym_L_SQUOTE] = ACTIONS(3381),
    [anon_sym_u_SQUOTE] = ACTIONS(3381),
    [anon_sym_U_SQUOTE] = ACTIONS(3381),
    [anon_sym_u8_SQUOTE] = ACTIONS(3381),
    [anon_sym_SQUOTE] = ACTIONS(3381),
    [anon_sym_L_DQUOTE] = ACTIONS(3381),
    [anon_sym_u_DQUOTE] = ACTIONS(3381),
    [anon_sym_U_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8_DQUOTE] = ACTIONS(3381),
    [anon_sym_DQUOTE] = ACTIONS(3381),
    [sym_true] = ACTIONS(3379),
    [sym_false] = ACTIONS(3379),
    [anon_sym_NULL] = ACTIONS(3379),
    [anon_sym_nullptr] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_delete] = ACTIONS(3379),
    [anon_sym_throw] = ACTIONS(3379),
    [anon_sym_namespace] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
    [anon_sym_concept] = ACTIONS(3379),
    [anon_sym_co_return] = ACTIONS(3379),
    [anon_sym_co_yield] = ACTIONS(3379),
    [anon_sym_R_DQUOTE] = ACTIONS(3381),
    [anon_sym_LR_DQUOTE] = ACTIONS(3381),
    [anon_sym_uR_DQUOTE] = ACTIONS(3381),
    [anon_sym_UR_DQUOTE] = ACTIONS(3381),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3381),
    [anon_sym_co_await] = ACTIONS(3379),
    [anon_sym_new] = ACTIONS(3379),
    [anon_sym_requires] = ACTIONS(3379),
    [sym_this] = ACTIONS(3379),
  },
  [1000] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6359),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7457),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9299),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(3561),
    [aux_sym_preproc_def_token1] = ACTIONS(3707),
    [aux_sym_preproc_if_token1] = ACTIONS(3710),
    [aux_sym_preproc_if_token2] = ACTIONS(3570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3713),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3713),
    [aux_sym_preproc_else_token1] = ACTIONS(3570),
    [aux_sym_preproc_elif_token1] = ACTIONS(3570),
    [sym_preproc_directive] = ACTIONS(3716),
    [anon_sym_LPAREN2] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_STAR] = ACTIONS(3584),
    [anon_sym_AMP_AMP] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(3719),
    [anon_sym_typedef] = ACTIONS(3722),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym___attribute__] = ACTIONS(3602),
    [anon_sym_COLON_COLON] = ACTIONS(3605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3608),
    [anon_sym___declspec] = ACTIONS(3611),
    [anon_sym___based] = ACTIONS(3614),
    [anon_sym_signed] = ACTIONS(3617),
    [anon_sym_unsigned] = ACTIONS(3617),
    [anon_sym_long] = ACTIONS(3617),
    [anon_sym_short] = ACTIONS(3617),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_register] = ACTIONS(3599),
    [anon_sym_inline] = ACTIONS(3599),
    [anon_sym___inline] = ACTIONS(3599),
    [anon_sym___inline__] = ACTIONS(3599),
    [anon_sym___forceinline] = ACTIONS(3599),
    [anon_sym_thread_local] = ACTIONS(3599),
    [anon_sym___thread] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3623),
    [anon_sym_constexpr] = ACTIONS(3623),
    [anon_sym_volatile] = ACTIONS(3623),
    [anon_sym_restrict] = ACTIONS(3623),
    [anon_sym___restrict__] = ACTIONS(3623),
    [anon_sym__Atomic] = ACTIONS(3623),
    [anon_sym__Noreturn] = ACTIONS(3623),
    [anon_sym_noreturn] = ACTIONS(3623),
    [anon_sym_mutable] = ACTIONS(3623),
    [anon_sym_constinit] = ACTIONS(3623),
    [anon_sym_consteval] = ACTIONS(3623),
    [sym_primitive_type] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3629),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_struct] = ACTIONS(3635),
    [anon_sym_union] = ACTIONS(3638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3641),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_virtual] = ACTIONS(3647),
    [anon_sym_alignas] = ACTIONS(3650),
    [anon_sym_explicit] = ACTIONS(3653),
    [anon_sym_typename] = ACTIONS(3656),
    [anon_sym_template] = ACTIONS(3725),
    [anon_sym_operator] = ACTIONS(3662),
    [anon_sym_friend] = ACTIONS(3728),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3731),
    [anon_sym_static_assert] = ACTIONS(3734),
  },
  [1001] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1002] = {
    [sym__expression] = STATE(4864),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_initializer_list] = STATE(5124),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3737),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1003] = {
    [sym_preproc_def] = STATE(1092),
    [sym_preproc_function_def] = STATE(1092),
    [sym_preproc_call] = STATE(1092),
    [sym_preproc_if_in_field_declaration_list] = STATE(1092),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1092),
    [sym_type_definition] = STATE(1092),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1092),
    [sym_field_declaration] = STATE(1092),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1092),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1092),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1092),
    [sym_operator_cast_declaration] = STATE(1092),
    [sym_constructor_or_destructor_definition] = STATE(1092),
    [sym_constructor_or_destructor_declaration] = STATE(1092),
    [sym_friend_declaration] = STATE(1092),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1092),
    [sym_alias_declaration] = STATE(1092),
    [sym_static_assert_declaration] = STATE(1092),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3789),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(3365),
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_include_token1] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_BANG] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_DASH] = ACTIONS(3363),
    [anon_sym_PLUS] = ACTIONS(3363),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym___cdecl] = ACTIONS(3363),
    [anon_sym___clrcall] = ACTIONS(3363),
    [anon_sym___stdcall] = ACTIONS(3363),
    [anon_sym___fastcall] = ACTIONS(3363),
    [anon_sym___thiscall] = ACTIONS(3363),
    [anon_sym___vectorcall] = ACTIONS(3363),
    [anon_sym_LBRACE] = ACTIONS(3365),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(3363),
    [anon_sym_switch] = ACTIONS(3363),
    [anon_sym_case] = ACTIONS(3363),
    [anon_sym_default] = ACTIONS(3363),
    [anon_sym_while] = ACTIONS(3363),
    [anon_sym_do] = ACTIONS(3363),
    [anon_sym_for] = ACTIONS(3363),
    [anon_sym_return] = ACTIONS(3363),
    [anon_sym_break] = ACTIONS(3363),
    [anon_sym_continue] = ACTIONS(3363),
    [anon_sym_goto] = ACTIONS(3363),
    [anon_sym_not] = ACTIONS(3363),
    [anon_sym_compl] = ACTIONS(3363),
    [anon_sym_DASH_DASH] = ACTIONS(3365),
    [anon_sym_PLUS_PLUS] = ACTIONS(3365),
    [anon_sym_sizeof] = ACTIONS(3363),
    [anon_sym___alignof__] = ACTIONS(3363),
    [anon_sym___alignof] = ACTIONS(3363),
    [anon_sym__alignof] = ACTIONS(3363),
    [anon_sym_alignof] = ACTIONS(3363),
    [anon_sym__Alignof] = ACTIONS(3363),
    [anon_sym_offsetof] = ACTIONS(3363),
    [anon_sym__Generic] = ACTIONS(3363),
    [anon_sym_asm] = ACTIONS(3363),
    [anon_sym___asm__] = ACTIONS(3363),
    [sym_number_literal] = ACTIONS(3365),
    [anon_sym_L_SQUOTE] = ACTIONS(3365),
    [anon_sym_u_SQUOTE] = ACTIONS(3365),
    [anon_sym_U_SQUOTE] = ACTIONS(3365),
    [anon_sym_u8_SQUOTE] = ACTIONS(3365),
    [anon_sym_SQUOTE] = ACTIONS(3365),
    [anon_sym_L_DQUOTE] = ACTIONS(3365),
    [anon_sym_u_DQUOTE] = ACTIONS(3365),
    [anon_sym_U_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8_DQUOTE] = ACTIONS(3365),
    [anon_sym_DQUOTE] = ACTIONS(3365),
    [sym_true] = ACTIONS(3363),
    [sym_false] = ACTIONS(3363),
    [anon_sym_NULL] = ACTIONS(3363),
    [anon_sym_nullptr] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_delete] = ACTIONS(3363),
    [anon_sym_throw] = ACTIONS(3363),
    [anon_sym_namespace] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
    [anon_sym_concept] = ACTIONS(3363),
    [anon_sym_co_return] = ACTIONS(3363),
    [anon_sym_co_yield] = ACTIONS(3363),
    [anon_sym_R_DQUOTE] = ACTIONS(3365),
    [anon_sym_LR_DQUOTE] = ACTIONS(3365),
    [anon_sym_uR_DQUOTE] = ACTIONS(3365),
    [anon_sym_UR_DQUOTE] = ACTIONS(3365),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3365),
    [anon_sym_co_await] = ACTIONS(3363),
    [anon_sym_new] = ACTIONS(3363),
    [anon_sym_requires] = ACTIONS(3363),
    [sym_this] = ACTIONS(3363),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(3113),
    [sym_identifier] = ACTIONS(3111),
    [aux_sym_preproc_include_token1] = ACTIONS(3111),
    [aux_sym_preproc_def_token1] = ACTIONS(3111),
    [aux_sym_preproc_if_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3111),
    [sym_preproc_directive] = ACTIONS(3111),
    [anon_sym_LPAREN2] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(3113),
    [anon_sym_TILDE] = ACTIONS(3113),
    [anon_sym_DASH] = ACTIONS(3111),
    [anon_sym_PLUS] = ACTIONS(3111),
    [anon_sym_STAR] = ACTIONS(3113),
    [anon_sym_AMP_AMP] = ACTIONS(3113),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym___extension__] = ACTIONS(3111),
    [anon_sym_typedef] = ACTIONS(3111),
    [anon_sym_extern] = ACTIONS(3111),
    [anon_sym___attribute__] = ACTIONS(3111),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3113),
    [anon_sym___declspec] = ACTIONS(3111),
    [anon_sym___based] = ACTIONS(3111),
    [anon_sym___cdecl] = ACTIONS(3111),
    [anon_sym___clrcall] = ACTIONS(3111),
    [anon_sym___stdcall] = ACTIONS(3111),
    [anon_sym___fastcall] = ACTIONS(3111),
    [anon_sym___thiscall] = ACTIONS(3111),
    [anon_sym___vectorcall] = ACTIONS(3111),
    [anon_sym_LBRACE] = ACTIONS(3113),
    [anon_sym_signed] = ACTIONS(3111),
    [anon_sym_unsigned] = ACTIONS(3111),
    [anon_sym_long] = ACTIONS(3111),
    [anon_sym_short] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_static] = ACTIONS(3111),
    [anon_sym_register] = ACTIONS(3111),
    [anon_sym_inline] = ACTIONS(3111),
    [anon_sym___inline] = ACTIONS(3111),
    [anon_sym___inline__] = ACTIONS(3111),
    [anon_sym___forceinline] = ACTIONS(3111),
    [anon_sym_thread_local] = ACTIONS(3111),
    [anon_sym___thread] = ACTIONS(3111),
    [anon_sym_const] = ACTIONS(3111),
    [anon_sym_constexpr] = ACTIONS(3111),
    [anon_sym_volatile] = ACTIONS(3111),
    [anon_sym_restrict] = ACTIONS(3111),
    [anon_sym___restrict__] = ACTIONS(3111),
    [anon_sym__Atomic] = ACTIONS(3111),
    [anon_sym__Noreturn] = ACTIONS(3111),
    [anon_sym_noreturn] = ACTIONS(3111),
    [anon_sym_mutable] = ACTIONS(3111),
    [anon_sym_constinit] = ACTIONS(3111),
    [anon_sym_consteval] = ACTIONS(3111),
    [sym_primitive_type] = ACTIONS(3111),
    [anon_sym_enum] = ACTIONS(3111),
    [anon_sym_class] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(3111),
    [anon_sym_union] = ACTIONS(3111),
    [anon_sym_if] = ACTIONS(3111),
    [anon_sym_switch] = ACTIONS(3111),
    [anon_sym_case] = ACTIONS(3111),
    [anon_sym_default] = ACTIONS(3111),
    [anon_sym_while] = ACTIONS(3111),
    [anon_sym_do] = ACTIONS(3111),
    [anon_sym_for] = ACTIONS(3111),
    [anon_sym_return] = ACTIONS(3111),
    [anon_sym_break] = ACTIONS(3111),
    [anon_sym_continue] = ACTIONS(3111),
    [anon_sym_goto] = ACTIONS(3111),
    [anon_sym_not] = ACTIONS(3111),
    [anon_sym_compl] = ACTIONS(3111),
    [anon_sym_DASH_DASH] = ACTIONS(3113),
    [anon_sym_PLUS_PLUS] = ACTIONS(3113),
    [anon_sym_sizeof] = ACTIONS(3111),
    [anon_sym___alignof__] = ACTIONS(3111),
    [anon_sym___alignof] = ACTIONS(3111),
    [anon_sym__alignof] = ACTIONS(3111),
    [anon_sym_alignof] = ACTIONS(3111),
    [anon_sym__Alignof] = ACTIONS(3111),
    [anon_sym_offsetof] = ACTIONS(3111),
    [anon_sym__Generic] = ACTIONS(3111),
    [anon_sym_asm] = ACTIONS(3111),
    [anon_sym___asm__] = ACTIONS(3111),
    [sym_number_literal] = ACTIONS(3113),
    [anon_sym_L_SQUOTE] = ACTIONS(3113),
    [anon_sym_u_SQUOTE] = ACTIONS(3113),
    [anon_sym_U_SQUOTE] = ACTIONS(3113),
    [anon_sym_u8_SQUOTE] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(3113),
    [anon_sym_L_DQUOTE] = ACTIONS(3113),
    [anon_sym_u_DQUOTE] = ACTIONS(3113),
    [anon_sym_U_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8_DQUOTE] = ACTIONS(3113),
    [anon_sym_DQUOTE] = ACTIONS(3113),
    [sym_true] = ACTIONS(3111),
    [sym_false] = ACTIONS(3111),
    [anon_sym_NULL] = ACTIONS(3111),
    [anon_sym_nullptr] = ACTIONS(3111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3111),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3111),
    [anon_sym_alignas] = ACTIONS(3111),
    [anon_sym_explicit] = ACTIONS(3111),
    [anon_sym_typename] = ACTIONS(3111),
    [anon_sym_template] = ACTIONS(3111),
    [anon_sym_operator] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3111),
    [anon_sym_delete] = ACTIONS(3111),
    [anon_sym_throw] = ACTIONS(3111),
    [anon_sym_namespace] = ACTIONS(3111),
    [anon_sym_using] = ACTIONS(3111),
    [anon_sym_static_assert] = ACTIONS(3111),
    [anon_sym_concept] = ACTIONS(3111),
    [anon_sym_co_return] = ACTIONS(3111),
    [anon_sym_co_yield] = ACTIONS(3111),
    [anon_sym_R_DQUOTE] = ACTIONS(3113),
    [anon_sym_LR_DQUOTE] = ACTIONS(3113),
    [anon_sym_uR_DQUOTE] = ACTIONS(3113),
    [anon_sym_UR_DQUOTE] = ACTIONS(3113),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3113),
    [anon_sym_co_await] = ACTIONS(3111),
    [anon_sym_new] = ACTIONS(3111),
    [anon_sym_requires] = ACTIONS(3111),
    [sym_this] = ACTIONS(3111),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(3117),
    [sym_identifier] = ACTIONS(3115),
    [aux_sym_preproc_include_token1] = ACTIONS(3115),
    [aux_sym_preproc_def_token1] = ACTIONS(3115),
    [aux_sym_preproc_if_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3115),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3115),
    [sym_preproc_directive] = ACTIONS(3115),
    [anon_sym_LPAREN2] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(3117),
    [anon_sym_TILDE] = ACTIONS(3117),
    [anon_sym_DASH] = ACTIONS(3115),
    [anon_sym_PLUS] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_AMP_AMP] = ACTIONS(3117),
    [anon_sym_AMP] = ACTIONS(3115),
    [anon_sym___extension__] = ACTIONS(3115),
    [anon_sym_typedef] = ACTIONS(3115),
    [anon_sym_extern] = ACTIONS(3115),
    [anon_sym___attribute__] = ACTIONS(3115),
    [anon_sym_COLON_COLON] = ACTIONS(3117),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3117),
    [anon_sym___declspec] = ACTIONS(3115),
    [anon_sym___based] = ACTIONS(3115),
    [anon_sym___cdecl] = ACTIONS(3115),
    [anon_sym___clrcall] = ACTIONS(3115),
    [anon_sym___stdcall] = ACTIONS(3115),
    [anon_sym___fastcall] = ACTIONS(3115),
    [anon_sym___thiscall] = ACTIONS(3115),
    [anon_sym___vectorcall] = ACTIONS(3115),
    [anon_sym_LBRACE] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3115),
    [anon_sym_unsigned] = ACTIONS(3115),
    [anon_sym_long] = ACTIONS(3115),
    [anon_sym_short] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(3115),
    [anon_sym_static] = ACTIONS(3115),
    [anon_sym_register] = ACTIONS(3115),
    [anon_sym_inline] = ACTIONS(3115),
    [anon_sym___inline] = ACTIONS(3115),
    [anon_sym___inline__] = ACTIONS(3115),
    [anon_sym___forceinline] = ACTIONS(3115),
    [anon_sym_thread_local] = ACTIONS(3115),
    [anon_sym___thread] = ACTIONS(3115),
    [anon_sym_const] = ACTIONS(3115),
    [anon_sym_constexpr] = ACTIONS(3115),
    [anon_sym_volatile] = ACTIONS(3115),
    [anon_sym_restrict] = ACTIONS(3115),
    [anon_sym___restrict__] = ACTIONS(3115),
    [anon_sym__Atomic] = ACTIONS(3115),
    [anon_sym__Noreturn] = ACTIONS(3115),
    [anon_sym_noreturn] = ACTIONS(3115),
    [anon_sym_mutable] = ACTIONS(3115),
    [anon_sym_constinit] = ACTIONS(3115),
    [anon_sym_consteval] = ACTIONS(3115),
    [sym_primitive_type] = ACTIONS(3115),
    [anon_sym_enum] = ACTIONS(3115),
    [anon_sym_class] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(3115),
    [anon_sym_union] = ACTIONS(3115),
    [anon_sym_if] = ACTIONS(3115),
    [anon_sym_switch] = ACTIONS(3115),
    [anon_sym_case] = ACTIONS(3115),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_while] = ACTIONS(3115),
    [anon_sym_do] = ACTIONS(3115),
    [anon_sym_for] = ACTIONS(3115),
    [anon_sym_return] = ACTIONS(3115),
    [anon_sym_break] = ACTIONS(3115),
    [anon_sym_continue] = ACTIONS(3115),
    [anon_sym_goto] = ACTIONS(3115),
    [anon_sym_not] = ACTIONS(3115),
    [anon_sym_compl] = ACTIONS(3115),
    [anon_sym_DASH_DASH] = ACTIONS(3117),
    [anon_sym_PLUS_PLUS] = ACTIONS(3117),
    [anon_sym_sizeof] = ACTIONS(3115),
    [anon_sym___alignof__] = ACTIONS(3115),
    [anon_sym___alignof] = ACTIONS(3115),
    [anon_sym__alignof] = ACTIONS(3115),
    [anon_sym_alignof] = ACTIONS(3115),
    [anon_sym__Alignof] = ACTIONS(3115),
    [anon_sym_offsetof] = ACTIONS(3115),
    [anon_sym__Generic] = ACTIONS(3115),
    [anon_sym_asm] = ACTIONS(3115),
    [anon_sym___asm__] = ACTIONS(3115),
    [sym_number_literal] = ACTIONS(3117),
    [anon_sym_L_SQUOTE] = ACTIONS(3117),
    [anon_sym_u_SQUOTE] = ACTIONS(3117),
    [anon_sym_U_SQUOTE] = ACTIONS(3117),
    [anon_sym_u8_SQUOTE] = ACTIONS(3117),
    [anon_sym_SQUOTE] = ACTIONS(3117),
    [anon_sym_L_DQUOTE] = ACTIONS(3117),
    [anon_sym_u_DQUOTE] = ACTIONS(3117),
    [anon_sym_U_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8_DQUOTE] = ACTIONS(3117),
    [anon_sym_DQUOTE] = ACTIONS(3117),
    [sym_true] = ACTIONS(3115),
    [sym_false] = ACTIONS(3115),
    [anon_sym_NULL] = ACTIONS(3115),
    [anon_sym_nullptr] = ACTIONS(3115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3115),
    [anon_sym_decltype] = ACTIONS(3115),
    [anon_sym_virtual] = ACTIONS(3115),
    [anon_sym_alignas] = ACTIONS(3115),
    [anon_sym_explicit] = ACTIONS(3115),
    [anon_sym_typename] = ACTIONS(3115),
    [anon_sym_template] = ACTIONS(3115),
    [anon_sym_operator] = ACTIONS(3115),
    [anon_sym_try] = ACTIONS(3115),
    [anon_sym_delete] = ACTIONS(3115),
    [anon_sym_throw] = ACTIONS(3115),
    [anon_sym_namespace] = ACTIONS(3115),
    [anon_sym_using] = ACTIONS(3115),
    [anon_sym_static_assert] = ACTIONS(3115),
    [anon_sym_concept] = ACTIONS(3115),
    [anon_sym_co_return] = ACTIONS(3115),
    [anon_sym_co_yield] = ACTIONS(3115),
    [anon_sym_R_DQUOTE] = ACTIONS(3117),
    [anon_sym_LR_DQUOTE] = ACTIONS(3117),
    [anon_sym_uR_DQUOTE] = ACTIONS(3117),
    [anon_sym_UR_DQUOTE] = ACTIONS(3117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3117),
    [anon_sym_co_await] = ACTIONS(3115),
    [anon_sym_new] = ACTIONS(3115),
    [anon_sym_requires] = ACTIONS(3115),
    [sym_this] = ACTIONS(3115),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(3298),
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [1008] = {
    [sym_preproc_def] = STATE(1058),
    [sym_preproc_function_def] = STATE(1058),
    [sym_preproc_call] = STATE(1058),
    [sym_preproc_if_in_field_declaration_list] = STATE(1058),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1058),
    [sym_type_definition] = STATE(1058),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1058),
    [sym_field_declaration] = STATE(1058),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1058),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1058),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1058),
    [sym_operator_cast_declaration] = STATE(1058),
    [sym_constructor_or_destructor_definition] = STATE(1058),
    [sym_constructor_or_destructor_declaration] = STATE(1058),
    [sym_friend_declaration] = STATE(1058),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1058),
    [sym_alias_declaration] = STATE(1058),
    [sym_static_assert_declaration] = STATE(1058),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1058),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3799),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(3298),
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_include_token1] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_BANG] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym___cdecl] = ACTIONS(3296),
    [anon_sym___clrcall] = ACTIONS(3296),
    [anon_sym___stdcall] = ACTIONS(3296),
    [anon_sym___fastcall] = ACTIONS(3296),
    [anon_sym___thiscall] = ACTIONS(3296),
    [anon_sym___vectorcall] = ACTIONS(3296),
    [anon_sym_LBRACE] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [anon_sym_if] = ACTIONS(3296),
    [anon_sym_switch] = ACTIONS(3296),
    [anon_sym_case] = ACTIONS(3296),
    [anon_sym_default] = ACTIONS(3296),
    [anon_sym_while] = ACTIONS(3296),
    [anon_sym_do] = ACTIONS(3296),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_return] = ACTIONS(3296),
    [anon_sym_break] = ACTIONS(3296),
    [anon_sym_continue] = ACTIONS(3296),
    [anon_sym_goto] = ACTIONS(3296),
    [anon_sym_not] = ACTIONS(3296),
    [anon_sym_compl] = ACTIONS(3296),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_sizeof] = ACTIONS(3296),
    [anon_sym___alignof__] = ACTIONS(3296),
    [anon_sym___alignof] = ACTIONS(3296),
    [anon_sym__alignof] = ACTIONS(3296),
    [anon_sym_alignof] = ACTIONS(3296),
    [anon_sym__Alignof] = ACTIONS(3296),
    [anon_sym_offsetof] = ACTIONS(3296),
    [anon_sym__Generic] = ACTIONS(3296),
    [anon_sym_asm] = ACTIONS(3296),
    [anon_sym___asm__] = ACTIONS(3296),
    [sym_number_literal] = ACTIONS(3298),
    [anon_sym_L_SQUOTE] = ACTIONS(3298),
    [anon_sym_u_SQUOTE] = ACTIONS(3298),
    [anon_sym_U_SQUOTE] = ACTIONS(3298),
    [anon_sym_u8_SQUOTE] = ACTIONS(3298),
    [anon_sym_SQUOTE] = ACTIONS(3298),
    [anon_sym_L_DQUOTE] = ACTIONS(3298),
    [anon_sym_u_DQUOTE] = ACTIONS(3298),
    [anon_sym_U_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8_DQUOTE] = ACTIONS(3298),
    [anon_sym_DQUOTE] = ACTIONS(3298),
    [sym_true] = ACTIONS(3296),
    [sym_false] = ACTIONS(3296),
    [anon_sym_NULL] = ACTIONS(3296),
    [anon_sym_nullptr] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_try] = ACTIONS(3296),
    [anon_sym_delete] = ACTIONS(3296),
    [anon_sym_throw] = ACTIONS(3296),
    [anon_sym_namespace] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
    [anon_sym_concept] = ACTIONS(3296),
    [anon_sym_co_return] = ACTIONS(3296),
    [anon_sym_co_yield] = ACTIONS(3296),
    [anon_sym_R_DQUOTE] = ACTIONS(3298),
    [anon_sym_LR_DQUOTE] = ACTIONS(3298),
    [anon_sym_uR_DQUOTE] = ACTIONS(3298),
    [anon_sym_UR_DQUOTE] = ACTIONS(3298),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3298),
    [anon_sym_co_await] = ACTIONS(3296),
    [anon_sym_new] = ACTIONS(3296),
    [anon_sym_requires] = ACTIONS(3296),
    [sym_this] = ACTIONS(3296),
  },
  [1010] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3801),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(3105),
    [sym_identifier] = ACTIONS(3103),
    [aux_sym_preproc_include_token1] = ACTIONS(3103),
    [aux_sym_preproc_def_token1] = ACTIONS(3103),
    [aux_sym_preproc_if_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3103),
    [sym_preproc_directive] = ACTIONS(3103),
    [anon_sym_LPAREN2] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(3105),
    [anon_sym_TILDE] = ACTIONS(3105),
    [anon_sym_DASH] = ACTIONS(3103),
    [anon_sym_PLUS] = ACTIONS(3103),
    [anon_sym_STAR] = ACTIONS(3105),
    [anon_sym_AMP_AMP] = ACTIONS(3105),
    [anon_sym_AMP] = ACTIONS(3103),
    [anon_sym___extension__] = ACTIONS(3103),
    [anon_sym_typedef] = ACTIONS(3103),
    [anon_sym_extern] = ACTIONS(3103),
    [anon_sym___attribute__] = ACTIONS(3103),
    [anon_sym_COLON_COLON] = ACTIONS(3105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3105),
    [anon_sym___declspec] = ACTIONS(3103),
    [anon_sym___based] = ACTIONS(3103),
    [anon_sym___cdecl] = ACTIONS(3103),
    [anon_sym___clrcall] = ACTIONS(3103),
    [anon_sym___stdcall] = ACTIONS(3103),
    [anon_sym___fastcall] = ACTIONS(3103),
    [anon_sym___thiscall] = ACTIONS(3103),
    [anon_sym___vectorcall] = ACTIONS(3103),
    [anon_sym_LBRACE] = ACTIONS(3105),
    [anon_sym_signed] = ACTIONS(3103),
    [anon_sym_unsigned] = ACTIONS(3103),
    [anon_sym_long] = ACTIONS(3103),
    [anon_sym_short] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(3103),
    [anon_sym_static] = ACTIONS(3103),
    [anon_sym_register] = ACTIONS(3103),
    [anon_sym_inline] = ACTIONS(3103),
    [anon_sym___inline] = ACTIONS(3103),
    [anon_sym___inline__] = ACTIONS(3103),
    [anon_sym___forceinline] = ACTIONS(3103),
    [anon_sym_thread_local] = ACTIONS(3103),
    [anon_sym___thread] = ACTIONS(3103),
    [anon_sym_const] = ACTIONS(3103),
    [anon_sym_constexpr] = ACTIONS(3103),
    [anon_sym_volatile] = ACTIONS(3103),
    [anon_sym_restrict] = ACTIONS(3103),
    [anon_sym___restrict__] = ACTIONS(3103),
    [anon_sym__Atomic] = ACTIONS(3103),
    [anon_sym__Noreturn] = ACTIONS(3103),
    [anon_sym_noreturn] = ACTIONS(3103),
    [anon_sym_mutable] = ACTIONS(3103),
    [anon_sym_constinit] = ACTIONS(3103),
    [anon_sym_consteval] = ACTIONS(3103),
    [sym_primitive_type] = ACTIONS(3103),
    [anon_sym_enum] = ACTIONS(3103),
    [anon_sym_class] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(3103),
    [anon_sym_union] = ACTIONS(3103),
    [anon_sym_if] = ACTIONS(3103),
    [anon_sym_switch] = ACTIONS(3103),
    [anon_sym_case] = ACTIONS(3103),
    [anon_sym_default] = ACTIONS(3103),
    [anon_sym_while] = ACTIONS(3103),
    [anon_sym_do] = ACTIONS(3103),
    [anon_sym_for] = ACTIONS(3103),
    [anon_sym_return] = ACTIONS(3103),
    [anon_sym_break] = ACTIONS(3103),
    [anon_sym_continue] = ACTIONS(3103),
    [anon_sym_goto] = ACTIONS(3103),
    [anon_sym_not] = ACTIONS(3103),
    [anon_sym_compl] = ACTIONS(3103),
    [anon_sym_DASH_DASH] = ACTIONS(3105),
    [anon_sym_PLUS_PLUS] = ACTIONS(3105),
    [anon_sym_sizeof] = ACTIONS(3103),
    [anon_sym___alignof__] = ACTIONS(3103),
    [anon_sym___alignof] = ACTIONS(3103),
    [anon_sym__alignof] = ACTIONS(3103),
    [anon_sym_alignof] = ACTIONS(3103),
    [anon_sym__Alignof] = ACTIONS(3103),
    [anon_sym_offsetof] = ACTIONS(3103),
    [anon_sym__Generic] = ACTIONS(3103),
    [anon_sym_asm] = ACTIONS(3103),
    [anon_sym___asm__] = ACTIONS(3103),
    [sym_number_literal] = ACTIONS(3105),
    [anon_sym_L_SQUOTE] = ACTIONS(3105),
    [anon_sym_u_SQUOTE] = ACTIONS(3105),
    [anon_sym_U_SQUOTE] = ACTIONS(3105),
    [anon_sym_u8_SQUOTE] = ACTIONS(3105),
    [anon_sym_SQUOTE] = ACTIONS(3105),
    [anon_sym_L_DQUOTE] = ACTIONS(3105),
    [anon_sym_u_DQUOTE] = ACTIONS(3105),
    [anon_sym_U_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8_DQUOTE] = ACTIONS(3105),
    [anon_sym_DQUOTE] = ACTIONS(3105),
    [sym_true] = ACTIONS(3103),
    [sym_false] = ACTIONS(3103),
    [anon_sym_NULL] = ACTIONS(3103),
    [anon_sym_nullptr] = ACTIONS(3103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3103),
    [anon_sym_decltype] = ACTIONS(3103),
    [anon_sym_virtual] = ACTIONS(3103),
    [anon_sym_alignas] = ACTIONS(3103),
    [anon_sym_explicit] = ACTIONS(3103),
    [anon_sym_typename] = ACTIONS(3103),
    [anon_sym_template] = ACTIONS(3103),
    [anon_sym_operator] = ACTIONS(3103),
    [anon_sym_try] = ACTIONS(3103),
    [anon_sym_delete] = ACTIONS(3103),
    [anon_sym_throw] = ACTIONS(3103),
    [anon_sym_namespace] = ACTIONS(3103),
    [anon_sym_using] = ACTIONS(3103),
    [anon_sym_static_assert] = ACTIONS(3103),
    [anon_sym_concept] = ACTIONS(3103),
    [anon_sym_co_return] = ACTIONS(3103),
    [anon_sym_co_yield] = ACTIONS(3103),
    [anon_sym_R_DQUOTE] = ACTIONS(3105),
    [anon_sym_LR_DQUOTE] = ACTIONS(3105),
    [anon_sym_uR_DQUOTE] = ACTIONS(3105),
    [anon_sym_UR_DQUOTE] = ACTIONS(3105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3105),
    [anon_sym_co_await] = ACTIONS(3103),
    [anon_sym_new] = ACTIONS(3103),
    [anon_sym_requires] = ACTIONS(3103),
    [sym_this] = ACTIONS(3103),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(3124),
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_include_token1] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_BANG] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3122),
    [anon_sym_PLUS] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym___cdecl] = ACTIONS(3122),
    [anon_sym___clrcall] = ACTIONS(3122),
    [anon_sym___stdcall] = ACTIONS(3122),
    [anon_sym___fastcall] = ACTIONS(3122),
    [anon_sym___thiscall] = ACTIONS(3122),
    [anon_sym___vectorcall] = ACTIONS(3122),
    [anon_sym_LBRACE] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_switch] = ACTIONS(3122),
    [anon_sym_case] = ACTIONS(3122),
    [anon_sym_default] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_do] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3122),
    [anon_sym_return] = ACTIONS(3122),
    [anon_sym_break] = ACTIONS(3122),
    [anon_sym_continue] = ACTIONS(3122),
    [anon_sym_goto] = ACTIONS(3122),
    [anon_sym_not] = ACTIONS(3122),
    [anon_sym_compl] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3124),
    [anon_sym_PLUS_PLUS] = ACTIONS(3124),
    [anon_sym_sizeof] = ACTIONS(3122),
    [anon_sym___alignof__] = ACTIONS(3122),
    [anon_sym___alignof] = ACTIONS(3122),
    [anon_sym__alignof] = ACTIONS(3122),
    [anon_sym_alignof] = ACTIONS(3122),
    [anon_sym__Alignof] = ACTIONS(3122),
    [anon_sym_offsetof] = ACTIONS(3122),
    [anon_sym__Generic] = ACTIONS(3122),
    [anon_sym_asm] = ACTIONS(3122),
    [anon_sym___asm__] = ACTIONS(3122),
    [sym_number_literal] = ACTIONS(3124),
    [anon_sym_L_SQUOTE] = ACTIONS(3124),
    [anon_sym_u_SQUOTE] = ACTIONS(3124),
    [anon_sym_U_SQUOTE] = ACTIONS(3124),
    [anon_sym_u8_SQUOTE] = ACTIONS(3124),
    [anon_sym_SQUOTE] = ACTIONS(3124),
    [anon_sym_L_DQUOTE] = ACTIONS(3124),
    [anon_sym_u_DQUOTE] = ACTIONS(3124),
    [anon_sym_U_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8_DQUOTE] = ACTIONS(3124),
    [anon_sym_DQUOTE] = ACTIONS(3124),
    [sym_true] = ACTIONS(3122),
    [sym_false] = ACTIONS(3122),
    [anon_sym_NULL] = ACTIONS(3122),
    [anon_sym_nullptr] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_try] = ACTIONS(3122),
    [anon_sym_delete] = ACTIONS(3122),
    [anon_sym_throw] = ACTIONS(3122),
    [anon_sym_namespace] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
    [anon_sym_concept] = ACTIONS(3122),
    [anon_sym_co_return] = ACTIONS(3122),
    [anon_sym_co_yield] = ACTIONS(3122),
    [anon_sym_R_DQUOTE] = ACTIONS(3124),
    [anon_sym_LR_DQUOTE] = ACTIONS(3124),
    [anon_sym_uR_DQUOTE] = ACTIONS(3124),
    [anon_sym_UR_DQUOTE] = ACTIONS(3124),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3124),
    [anon_sym_co_await] = ACTIONS(3122),
    [anon_sym_new] = ACTIONS(3122),
    [anon_sym_requires] = ACTIONS(3122),
    [sym_this] = ACTIONS(3122),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(3228),
    [sym_identifier] = ACTIONS(3226),
    [aux_sym_preproc_include_token1] = ACTIONS(3226),
    [aux_sym_preproc_def_token1] = ACTIONS(3226),
    [aux_sym_preproc_if_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3226),
    [sym_preproc_directive] = ACTIONS(3226),
    [anon_sym_LPAREN2] = ACTIONS(3228),
    [anon_sym_BANG] = ACTIONS(3228),
    [anon_sym_TILDE] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3226),
    [anon_sym_PLUS] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3226),
    [anon_sym___extension__] = ACTIONS(3226),
    [anon_sym_typedef] = ACTIONS(3226),
    [anon_sym_extern] = ACTIONS(3226),
    [anon_sym___attribute__] = ACTIONS(3226),
    [anon_sym_COLON_COLON] = ACTIONS(3228),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3228),
    [anon_sym___declspec] = ACTIONS(3226),
    [anon_sym___based] = ACTIONS(3226),
    [anon_sym___cdecl] = ACTIONS(3226),
    [anon_sym___clrcall] = ACTIONS(3226),
    [anon_sym___stdcall] = ACTIONS(3226),
    [anon_sym___fastcall] = ACTIONS(3226),
    [anon_sym___thiscall] = ACTIONS(3226),
    [anon_sym___vectorcall] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3228),
    [anon_sym_signed] = ACTIONS(3226),
    [anon_sym_unsigned] = ACTIONS(3226),
    [anon_sym_long] = ACTIONS(3226),
    [anon_sym_short] = ACTIONS(3226),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_static] = ACTIONS(3226),
    [anon_sym_register] = ACTIONS(3226),
    [anon_sym_inline] = ACTIONS(3226),
    [anon_sym___inline] = ACTIONS(3226),
    [anon_sym___inline__] = ACTIONS(3226),
    [anon_sym___forceinline] = ACTIONS(3226),
    [anon_sym_thread_local] = ACTIONS(3226),
    [anon_sym___thread] = ACTIONS(3226),
    [anon_sym_const] = ACTIONS(3226),
    [anon_sym_constexpr] = ACTIONS(3226),
    [anon_sym_volatile] = ACTIONS(3226),
    [anon_sym_restrict] = ACTIONS(3226),
    [anon_sym___restrict__] = ACTIONS(3226),
    [anon_sym__Atomic] = ACTIONS(3226),
    [anon_sym__Noreturn] = ACTIONS(3226),
    [anon_sym_noreturn] = ACTIONS(3226),
    [anon_sym_mutable] = ACTIONS(3226),
    [anon_sym_constinit] = ACTIONS(3226),
    [anon_sym_consteval] = ACTIONS(3226),
    [sym_primitive_type] = ACTIONS(3226),
    [anon_sym_enum] = ACTIONS(3226),
    [anon_sym_class] = ACTIONS(3226),
    [anon_sym_struct] = ACTIONS(3226),
    [anon_sym_union] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_switch] = ACTIONS(3226),
    [anon_sym_case] = ACTIONS(3226),
    [anon_sym_default] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_do] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3226),
    [anon_sym_return] = ACTIONS(3226),
    [anon_sym_break] = ACTIONS(3226),
    [anon_sym_continue] = ACTIONS(3226),
    [anon_sym_goto] = ACTIONS(3226),
    [anon_sym_not] = ACTIONS(3226),
    [anon_sym_compl] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3228),
    [anon_sym_PLUS_PLUS] = ACTIONS(3228),
    [anon_sym_sizeof] = ACTIONS(3226),
    [anon_sym___alignof__] = ACTIONS(3226),
    [anon_sym___alignof] = ACTIONS(3226),
    [anon_sym__alignof] = ACTIONS(3226),
    [anon_sym_alignof] = ACTIONS(3226),
    [anon_sym__Alignof] = ACTIONS(3226),
    [anon_sym_offsetof] = ACTIONS(3226),
    [anon_sym__Generic] = ACTIONS(3226),
    [anon_sym_asm] = ACTIONS(3226),
    [anon_sym___asm__] = ACTIONS(3226),
    [sym_number_literal] = ACTIONS(3228),
    [anon_sym_L_SQUOTE] = ACTIONS(3228),
    [anon_sym_u_SQUOTE] = ACTIONS(3228),
    [anon_sym_U_SQUOTE] = ACTIONS(3228),
    [anon_sym_u8_SQUOTE] = ACTIONS(3228),
    [anon_sym_SQUOTE] = ACTIONS(3228),
    [anon_sym_L_DQUOTE] = ACTIONS(3228),
    [anon_sym_u_DQUOTE] = ACTIONS(3228),
    [anon_sym_U_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8_DQUOTE] = ACTIONS(3228),
    [anon_sym_DQUOTE] = ACTIONS(3228),
    [sym_true] = ACTIONS(3226),
    [sym_false] = ACTIONS(3226),
    [anon_sym_NULL] = ACTIONS(3226),
    [anon_sym_nullptr] = ACTIONS(3226),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3226),
    [anon_sym_decltype] = ACTIONS(3226),
    [anon_sym_virtual] = ACTIONS(3226),
    [anon_sym_alignas] = ACTIONS(3226),
    [anon_sym_explicit] = ACTIONS(3226),
    [anon_sym_typename] = ACTIONS(3226),
    [anon_sym_template] = ACTIONS(3226),
    [anon_sym_operator] = ACTIONS(3226),
    [anon_sym_try] = ACTIONS(3226),
    [anon_sym_delete] = ACTIONS(3226),
    [anon_sym_throw] = ACTIONS(3226),
    [anon_sym_namespace] = ACTIONS(3226),
    [anon_sym_using] = ACTIONS(3226),
    [anon_sym_static_assert] = ACTIONS(3226),
    [anon_sym_concept] = ACTIONS(3226),
    [anon_sym_co_return] = ACTIONS(3226),
    [anon_sym_co_yield] = ACTIONS(3226),
    [anon_sym_R_DQUOTE] = ACTIONS(3228),
    [anon_sym_LR_DQUOTE] = ACTIONS(3228),
    [anon_sym_uR_DQUOTE] = ACTIONS(3228),
    [anon_sym_UR_DQUOTE] = ACTIONS(3228),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3228),
    [anon_sym_co_await] = ACTIONS(3226),
    [anon_sym_new] = ACTIONS(3226),
    [anon_sym_requires] = ACTIONS(3226),
    [sym_this] = ACTIONS(3226),
  },
  [1014] = {
    [sym_preproc_def] = STATE(1010),
    [sym_preproc_function_def] = STATE(1010),
    [sym_preproc_call] = STATE(1010),
    [sym_preproc_if_in_field_declaration_list] = STATE(1010),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1010),
    [sym_type_definition] = STATE(1010),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1010),
    [sym_field_declaration] = STATE(1010),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1010),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1010),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1010),
    [sym_operator_cast_declaration] = STATE(1010),
    [sym_constructor_or_destructor_definition] = STATE(1010),
    [sym_constructor_or_destructor_declaration] = STATE(1010),
    [sym_friend_declaration] = STATE(1010),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1010),
    [sym_alias_declaration] = STATE(1010),
    [sym_static_assert_declaration] = STATE(1010),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1010),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3803),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1015] = {
    [ts_builtin_sym_end] = ACTIONS(3015),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [1016] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3807),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(3109),
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_include_token1] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym___cdecl] = ACTIONS(3107),
    [anon_sym___clrcall] = ACTIONS(3107),
    [anon_sym___stdcall] = ACTIONS(3107),
    [anon_sym___fastcall] = ACTIONS(3107),
    [anon_sym___thiscall] = ACTIONS(3107),
    [anon_sym___vectorcall] = ACTIONS(3107),
    [anon_sym_LBRACE] = ACTIONS(3109),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_switch] = ACTIONS(3107),
    [anon_sym_case] = ACTIONS(3107),
    [anon_sym_default] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(3107),
    [anon_sym_do] = ACTIONS(3107),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_return] = ACTIONS(3107),
    [anon_sym_break] = ACTIONS(3107),
    [anon_sym_continue] = ACTIONS(3107),
    [anon_sym_goto] = ACTIONS(3107),
    [anon_sym_not] = ACTIONS(3107),
    [anon_sym_compl] = ACTIONS(3107),
    [anon_sym_DASH_DASH] = ACTIONS(3109),
    [anon_sym_PLUS_PLUS] = ACTIONS(3109),
    [anon_sym_sizeof] = ACTIONS(3107),
    [anon_sym___alignof__] = ACTIONS(3107),
    [anon_sym___alignof] = ACTIONS(3107),
    [anon_sym__alignof] = ACTIONS(3107),
    [anon_sym_alignof] = ACTIONS(3107),
    [anon_sym__Alignof] = ACTIONS(3107),
    [anon_sym_offsetof] = ACTIONS(3107),
    [anon_sym__Generic] = ACTIONS(3107),
    [anon_sym_asm] = ACTIONS(3107),
    [anon_sym___asm__] = ACTIONS(3107),
    [sym_number_literal] = ACTIONS(3109),
    [anon_sym_L_SQUOTE] = ACTIONS(3109),
    [anon_sym_u_SQUOTE] = ACTIONS(3109),
    [anon_sym_U_SQUOTE] = ACTIONS(3109),
    [anon_sym_u8_SQUOTE] = ACTIONS(3109),
    [anon_sym_SQUOTE] = ACTIONS(3109),
    [anon_sym_L_DQUOTE] = ACTIONS(3109),
    [anon_sym_u_DQUOTE] = ACTIONS(3109),
    [anon_sym_U_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8_DQUOTE] = ACTIONS(3109),
    [anon_sym_DQUOTE] = ACTIONS(3109),
    [sym_true] = ACTIONS(3107),
    [sym_false] = ACTIONS(3107),
    [anon_sym_NULL] = ACTIONS(3107),
    [anon_sym_nullptr] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_try] = ACTIONS(3107),
    [anon_sym_delete] = ACTIONS(3107),
    [anon_sym_throw] = ACTIONS(3107),
    [anon_sym_namespace] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
    [anon_sym_concept] = ACTIONS(3107),
    [anon_sym_co_return] = ACTIONS(3107),
    [anon_sym_co_yield] = ACTIONS(3107),
    [anon_sym_R_DQUOTE] = ACTIONS(3109),
    [anon_sym_LR_DQUOTE] = ACTIONS(3109),
    [anon_sym_uR_DQUOTE] = ACTIONS(3109),
    [anon_sym_UR_DQUOTE] = ACTIONS(3109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3109),
    [anon_sym_co_await] = ACTIONS(3107),
    [anon_sym_new] = ACTIONS(3107),
    [anon_sym_requires] = ACTIONS(3107),
    [sym_this] = ACTIONS(3107),
  },
  [1018] = {
    [sym_preproc_def] = STATE(1052),
    [sym_preproc_function_def] = STATE(1052),
    [sym_preproc_call] = STATE(1052),
    [sym_preproc_if_in_field_declaration_list] = STATE(1052),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1052),
    [sym_type_definition] = STATE(1052),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1052),
    [sym_field_declaration] = STATE(1052),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1052),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1052),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1052),
    [sym_operator_cast_declaration] = STATE(1052),
    [sym_constructor_or_destructor_definition] = STATE(1052),
    [sym_constructor_or_destructor_declaration] = STATE(1052),
    [sym_friend_declaration] = STATE(1052),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1052),
    [sym_alias_declaration] = STATE(1052),
    [sym_static_assert_declaration] = STATE(1052),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1052),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3827),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1019] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3829),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(3011),
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_include_token1] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_BANG] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_DASH] = ACTIONS(3009),
    [anon_sym_PLUS] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym___cdecl] = ACTIONS(3009),
    [anon_sym___clrcall] = ACTIONS(3009),
    [anon_sym___stdcall] = ACTIONS(3009),
    [anon_sym___fastcall] = ACTIONS(3009),
    [anon_sym___thiscall] = ACTIONS(3009),
    [anon_sym___vectorcall] = ACTIONS(3009),
    [anon_sym_LBRACE] = ACTIONS(3011),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [anon_sym_if] = ACTIONS(3009),
    [anon_sym_switch] = ACTIONS(3009),
    [anon_sym_case] = ACTIONS(3009),
    [anon_sym_default] = ACTIONS(3009),
    [anon_sym_while] = ACTIONS(3009),
    [anon_sym_do] = ACTIONS(3009),
    [anon_sym_for] = ACTIONS(3009),
    [anon_sym_return] = ACTIONS(3009),
    [anon_sym_break] = ACTIONS(3009),
    [anon_sym_continue] = ACTIONS(3009),
    [anon_sym_goto] = ACTIONS(3009),
    [anon_sym_not] = ACTIONS(3009),
    [anon_sym_compl] = ACTIONS(3009),
    [anon_sym_DASH_DASH] = ACTIONS(3011),
    [anon_sym_PLUS_PLUS] = ACTIONS(3011),
    [anon_sym_sizeof] = ACTIONS(3009),
    [anon_sym___alignof__] = ACTIONS(3009),
    [anon_sym___alignof] = ACTIONS(3009),
    [anon_sym__alignof] = ACTIONS(3009),
    [anon_sym_alignof] = ACTIONS(3009),
    [anon_sym__Alignof] = ACTIONS(3009),
    [anon_sym_offsetof] = ACTIONS(3009),
    [anon_sym__Generic] = ACTIONS(3009),
    [anon_sym_asm] = ACTIONS(3009),
    [anon_sym___asm__] = ACTIONS(3009),
    [sym_number_literal] = ACTIONS(3011),
    [anon_sym_L_SQUOTE] = ACTIONS(3011),
    [anon_sym_u_SQUOTE] = ACTIONS(3011),
    [anon_sym_U_SQUOTE] = ACTIONS(3011),
    [anon_sym_u8_SQUOTE] = ACTIONS(3011),
    [anon_sym_SQUOTE] = ACTIONS(3011),
    [anon_sym_L_DQUOTE] = ACTIONS(3011),
    [anon_sym_u_DQUOTE] = ACTIONS(3011),
    [anon_sym_U_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8_DQUOTE] = ACTIONS(3011),
    [anon_sym_DQUOTE] = ACTIONS(3011),
    [sym_true] = ACTIONS(3009),
    [sym_false] = ACTIONS(3009),
    [anon_sym_NULL] = ACTIONS(3009),
    [anon_sym_nullptr] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_try] = ACTIONS(3009),
    [anon_sym_delete] = ACTIONS(3009),
    [anon_sym_throw] = ACTIONS(3009),
    [anon_sym_namespace] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
    [anon_sym_concept] = ACTIONS(3009),
    [anon_sym_co_return] = ACTIONS(3009),
    [anon_sym_co_yield] = ACTIONS(3009),
    [anon_sym_R_DQUOTE] = ACTIONS(3011),
    [anon_sym_LR_DQUOTE] = ACTIONS(3011),
    [anon_sym_uR_DQUOTE] = ACTIONS(3011),
    [anon_sym_UR_DQUOTE] = ACTIONS(3011),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3011),
    [anon_sym_co_await] = ACTIONS(3009),
    [anon_sym_new] = ACTIONS(3009),
    [anon_sym_requires] = ACTIONS(3009),
    [sym_this] = ACTIONS(3009),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(3091),
    [sym_identifier] = ACTIONS(3089),
    [aux_sym_preproc_include_token1] = ACTIONS(3089),
    [aux_sym_preproc_def_token1] = ACTIONS(3089),
    [aux_sym_preproc_if_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3089),
    [sym_preproc_directive] = ACTIONS(3089),
    [anon_sym_LPAREN2] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(3091),
    [anon_sym_DASH] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(3089),
    [anon_sym_STAR] = ACTIONS(3091),
    [anon_sym_AMP_AMP] = ACTIONS(3091),
    [anon_sym_AMP] = ACTIONS(3089),
    [anon_sym___extension__] = ACTIONS(3089),
    [anon_sym_typedef] = ACTIONS(3089),
    [anon_sym_extern] = ACTIONS(3089),
    [anon_sym___attribute__] = ACTIONS(3089),
    [anon_sym_COLON_COLON] = ACTIONS(3091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3091),
    [anon_sym___declspec] = ACTIONS(3089),
    [anon_sym___based] = ACTIONS(3089),
    [anon_sym___cdecl] = ACTIONS(3089),
    [anon_sym___clrcall] = ACTIONS(3089),
    [anon_sym___stdcall] = ACTIONS(3089),
    [anon_sym___fastcall] = ACTIONS(3089),
    [anon_sym___thiscall] = ACTIONS(3089),
    [anon_sym___vectorcall] = ACTIONS(3089),
    [anon_sym_LBRACE] = ACTIONS(3091),
    [anon_sym_signed] = ACTIONS(3089),
    [anon_sym_unsigned] = ACTIONS(3089),
    [anon_sym_long] = ACTIONS(3089),
    [anon_sym_short] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(3089),
    [anon_sym_static] = ACTIONS(3089),
    [anon_sym_register] = ACTIONS(3089),
    [anon_sym_inline] = ACTIONS(3089),
    [anon_sym___inline] = ACTIONS(3089),
    [anon_sym___inline__] = ACTIONS(3089),
    [anon_sym___forceinline] = ACTIONS(3089),
    [anon_sym_thread_local] = ACTIONS(3089),
    [anon_sym___thread] = ACTIONS(3089),
    [anon_sym_const] = ACTIONS(3089),
    [anon_sym_constexpr] = ACTIONS(3089),
    [anon_sym_volatile] = ACTIONS(3089),
    [anon_sym_restrict] = ACTIONS(3089),
    [anon_sym___restrict__] = ACTIONS(3089),
    [anon_sym__Atomic] = ACTIONS(3089),
    [anon_sym__Noreturn] = ACTIONS(3089),
    [anon_sym_noreturn] = ACTIONS(3089),
    [anon_sym_mutable] = ACTIONS(3089),
    [anon_sym_constinit] = ACTIONS(3089),
    [anon_sym_consteval] = ACTIONS(3089),
    [sym_primitive_type] = ACTIONS(3089),
    [anon_sym_enum] = ACTIONS(3089),
    [anon_sym_class] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(3089),
    [anon_sym_union] = ACTIONS(3089),
    [anon_sym_if] = ACTIONS(3089),
    [anon_sym_switch] = ACTIONS(3089),
    [anon_sym_case] = ACTIONS(3089),
    [anon_sym_default] = ACTIONS(3089),
    [anon_sym_while] = ACTIONS(3089),
    [anon_sym_do] = ACTIONS(3089),
    [anon_sym_for] = ACTIONS(3089),
    [anon_sym_return] = ACTIONS(3089),
    [anon_sym_break] = ACTIONS(3089),
    [anon_sym_continue] = ACTIONS(3089),
    [anon_sym_goto] = ACTIONS(3089),
    [anon_sym_not] = ACTIONS(3089),
    [anon_sym_compl] = ACTIONS(3089),
    [anon_sym_DASH_DASH] = ACTIONS(3091),
    [anon_sym_PLUS_PLUS] = ACTIONS(3091),
    [anon_sym_sizeof] = ACTIONS(3089),
    [anon_sym___alignof__] = ACTIONS(3089),
    [anon_sym___alignof] = ACTIONS(3089),
    [anon_sym__alignof] = ACTIONS(3089),
    [anon_sym_alignof] = ACTIONS(3089),
    [anon_sym__Alignof] = ACTIONS(3089),
    [anon_sym_offsetof] = ACTIONS(3089),
    [anon_sym__Generic] = ACTIONS(3089),
    [anon_sym_asm] = ACTIONS(3089),
    [anon_sym___asm__] = ACTIONS(3089),
    [sym_number_literal] = ACTIONS(3091),
    [anon_sym_L_SQUOTE] = ACTIONS(3091),
    [anon_sym_u_SQUOTE] = ACTIONS(3091),
    [anon_sym_U_SQUOTE] = ACTIONS(3091),
    [anon_sym_u8_SQUOTE] = ACTIONS(3091),
    [anon_sym_SQUOTE] = ACTIONS(3091),
    [anon_sym_L_DQUOTE] = ACTIONS(3091),
    [anon_sym_u_DQUOTE] = ACTIONS(3091),
    [anon_sym_U_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8_DQUOTE] = ACTIONS(3091),
    [anon_sym_DQUOTE] = ACTIONS(3091),
    [sym_true] = ACTIONS(3089),
    [sym_false] = ACTIONS(3089),
    [anon_sym_NULL] = ACTIONS(3089),
    [anon_sym_nullptr] = ACTIONS(3089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3089),
    [anon_sym_decltype] = ACTIONS(3089),
    [anon_sym_virtual] = ACTIONS(3089),
    [anon_sym_alignas] = ACTIONS(3089),
    [anon_sym_explicit] = ACTIONS(3089),
    [anon_sym_typename] = ACTIONS(3089),
    [anon_sym_template] = ACTIONS(3089),
    [anon_sym_operator] = ACTIONS(3089),
    [anon_sym_try] = ACTIONS(3089),
    [anon_sym_delete] = ACTIONS(3089),
    [anon_sym_throw] = ACTIONS(3089),
    [anon_sym_namespace] = ACTIONS(3089),
    [anon_sym_using] = ACTIONS(3089),
    [anon_sym_static_assert] = ACTIONS(3089),
    [anon_sym_concept] = ACTIONS(3089),
    [anon_sym_co_return] = ACTIONS(3089),
    [anon_sym_co_yield] = ACTIONS(3089),
    [anon_sym_R_DQUOTE] = ACTIONS(3091),
    [anon_sym_LR_DQUOTE] = ACTIONS(3091),
    [anon_sym_uR_DQUOTE] = ACTIONS(3091),
    [anon_sym_UR_DQUOTE] = ACTIONS(3091),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3091),
    [anon_sym_co_await] = ACTIONS(3089),
    [anon_sym_new] = ACTIONS(3089),
    [anon_sym_requires] = ACTIONS(3089),
    [sym_this] = ACTIONS(3089),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(3310),
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_include_token1] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_BANG] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym___cdecl] = ACTIONS(3308),
    [anon_sym___clrcall] = ACTIONS(3308),
    [anon_sym___stdcall] = ACTIONS(3308),
    [anon_sym___fastcall] = ACTIONS(3308),
    [anon_sym___thiscall] = ACTIONS(3308),
    [anon_sym___vectorcall] = ACTIONS(3308),
    [anon_sym_LBRACE] = ACTIONS(3310),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [anon_sym_if] = ACTIONS(3308),
    [anon_sym_switch] = ACTIONS(3308),
    [anon_sym_case] = ACTIONS(3308),
    [anon_sym_default] = ACTIONS(3308),
    [anon_sym_while] = ACTIONS(3308),
    [anon_sym_do] = ACTIONS(3308),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_return] = ACTIONS(3308),
    [anon_sym_break] = ACTIONS(3308),
    [anon_sym_continue] = ACTIONS(3308),
    [anon_sym_goto] = ACTIONS(3308),
    [anon_sym_not] = ACTIONS(3308),
    [anon_sym_compl] = ACTIONS(3308),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_sizeof] = ACTIONS(3308),
    [anon_sym___alignof__] = ACTIONS(3308),
    [anon_sym___alignof] = ACTIONS(3308),
    [anon_sym__alignof] = ACTIONS(3308),
    [anon_sym_alignof] = ACTIONS(3308),
    [anon_sym__Alignof] = ACTIONS(3308),
    [anon_sym_offsetof] = ACTIONS(3308),
    [anon_sym__Generic] = ACTIONS(3308),
    [anon_sym_asm] = ACTIONS(3308),
    [anon_sym___asm__] = ACTIONS(3308),
    [sym_number_literal] = ACTIONS(3310),
    [anon_sym_L_SQUOTE] = ACTIONS(3310),
    [anon_sym_u_SQUOTE] = ACTIONS(3310),
    [anon_sym_U_SQUOTE] = ACTIONS(3310),
    [anon_sym_u8_SQUOTE] = ACTIONS(3310),
    [anon_sym_SQUOTE] = ACTIONS(3310),
    [anon_sym_L_DQUOTE] = ACTIONS(3310),
    [anon_sym_u_DQUOTE] = ACTIONS(3310),
    [anon_sym_U_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8_DQUOTE] = ACTIONS(3310),
    [anon_sym_DQUOTE] = ACTIONS(3310),
    [sym_true] = ACTIONS(3308),
    [sym_false] = ACTIONS(3308),
    [anon_sym_NULL] = ACTIONS(3308),
    [anon_sym_nullptr] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_try] = ACTIONS(3308),
    [anon_sym_delete] = ACTIONS(3308),
    [anon_sym_throw] = ACTIONS(3308),
    [anon_sym_namespace] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
    [anon_sym_concept] = ACTIONS(3308),
    [anon_sym_co_return] = ACTIONS(3308),
    [anon_sym_co_yield] = ACTIONS(3308),
    [anon_sym_R_DQUOTE] = ACTIONS(3310),
    [anon_sym_LR_DQUOTE] = ACTIONS(3310),
    [anon_sym_uR_DQUOTE] = ACTIONS(3310),
    [anon_sym_UR_DQUOTE] = ACTIONS(3310),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3310),
    [anon_sym_co_await] = ACTIONS(3308),
    [anon_sym_new] = ACTIONS(3308),
    [anon_sym_requires] = ACTIONS(3308),
    [sym_this] = ACTIONS(3308),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(3232),
    [sym_identifier] = ACTIONS(3230),
    [aux_sym_preproc_include_token1] = ACTIONS(3230),
    [aux_sym_preproc_def_token1] = ACTIONS(3230),
    [aux_sym_preproc_if_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3230),
    [sym_preproc_directive] = ACTIONS(3230),
    [anon_sym_LPAREN2] = ACTIONS(3232),
    [anon_sym_BANG] = ACTIONS(3232),
    [anon_sym_TILDE] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3230),
    [anon_sym_PLUS] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3230),
    [anon_sym___extension__] = ACTIONS(3230),
    [anon_sym_typedef] = ACTIONS(3230),
    [anon_sym_extern] = ACTIONS(3230),
    [anon_sym___attribute__] = ACTIONS(3230),
    [anon_sym_COLON_COLON] = ACTIONS(3232),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3232),
    [anon_sym___declspec] = ACTIONS(3230),
    [anon_sym___based] = ACTIONS(3230),
    [anon_sym___cdecl] = ACTIONS(3230),
    [anon_sym___clrcall] = ACTIONS(3230),
    [anon_sym___stdcall] = ACTIONS(3230),
    [anon_sym___fastcall] = ACTIONS(3230),
    [anon_sym___thiscall] = ACTIONS(3230),
    [anon_sym___vectorcall] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(3232),
    [anon_sym_signed] = ACTIONS(3230),
    [anon_sym_unsigned] = ACTIONS(3230),
    [anon_sym_long] = ACTIONS(3230),
    [anon_sym_short] = ACTIONS(3230),
    [anon_sym_LBRACK] = ACTIONS(3230),
    [anon_sym_static] = ACTIONS(3230),
    [anon_sym_register] = ACTIONS(3230),
    [anon_sym_inline] = ACTIONS(3230),
    [anon_sym___inline] = ACTIONS(3230),
    [anon_sym___inline__] = ACTIONS(3230),
    [anon_sym___forceinline] = ACTIONS(3230),
    [anon_sym_thread_local] = ACTIONS(3230),
    [anon_sym___thread] = ACTIONS(3230),
    [anon_sym_const] = ACTIONS(3230),
    [anon_sym_constexpr] = ACTIONS(3230),
    [anon_sym_volatile] = ACTIONS(3230),
    [anon_sym_restrict] = ACTIONS(3230),
    [anon_sym___restrict__] = ACTIONS(3230),
    [anon_sym__Atomic] = ACTIONS(3230),
    [anon_sym__Noreturn] = ACTIONS(3230),
    [anon_sym_noreturn] = ACTIONS(3230),
    [anon_sym_mutable] = ACTIONS(3230),
    [anon_sym_constinit] = ACTIONS(3230),
    [anon_sym_consteval] = ACTIONS(3230),
    [sym_primitive_type] = ACTIONS(3230),
    [anon_sym_enum] = ACTIONS(3230),
    [anon_sym_class] = ACTIONS(3230),
    [anon_sym_struct] = ACTIONS(3230),
    [anon_sym_union] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_switch] = ACTIONS(3230),
    [anon_sym_case] = ACTIONS(3230),
    [anon_sym_default] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_do] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3230),
    [anon_sym_return] = ACTIONS(3230),
    [anon_sym_break] = ACTIONS(3230),
    [anon_sym_continue] = ACTIONS(3230),
    [anon_sym_goto] = ACTIONS(3230),
    [anon_sym_not] = ACTIONS(3230),
    [anon_sym_compl] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3232),
    [anon_sym_PLUS_PLUS] = ACTIONS(3232),
    [anon_sym_sizeof] = ACTIONS(3230),
    [anon_sym___alignof__] = ACTIONS(3230),
    [anon_sym___alignof] = ACTIONS(3230),
    [anon_sym__alignof] = ACTIONS(3230),
    [anon_sym_alignof] = ACTIONS(3230),
    [anon_sym__Alignof] = ACTIONS(3230),
    [anon_sym_offsetof] = ACTIONS(3230),
    [anon_sym__Generic] = ACTIONS(3230),
    [anon_sym_asm] = ACTIONS(3230),
    [anon_sym___asm__] = ACTIONS(3230),
    [sym_number_literal] = ACTIONS(3232),
    [anon_sym_L_SQUOTE] = ACTIONS(3232),
    [anon_sym_u_SQUOTE] = ACTIONS(3232),
    [anon_sym_U_SQUOTE] = ACTIONS(3232),
    [anon_sym_u8_SQUOTE] = ACTIONS(3232),
    [anon_sym_SQUOTE] = ACTIONS(3232),
    [anon_sym_L_DQUOTE] = ACTIONS(3232),
    [anon_sym_u_DQUOTE] = ACTIONS(3232),
    [anon_sym_U_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8_DQUOTE] = ACTIONS(3232),
    [anon_sym_DQUOTE] = ACTIONS(3232),
    [sym_true] = ACTIONS(3230),
    [sym_false] = ACTIONS(3230),
    [anon_sym_NULL] = ACTIONS(3230),
    [anon_sym_nullptr] = ACTIONS(3230),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3230),
    [anon_sym_decltype] = ACTIONS(3230),
    [anon_sym_virtual] = ACTIONS(3230),
    [anon_sym_alignas] = ACTIONS(3230),
    [anon_sym_explicit] = ACTIONS(3230),
    [anon_sym_typename] = ACTIONS(3230),
    [anon_sym_template] = ACTIONS(3230),
    [anon_sym_operator] = ACTIONS(3230),
    [anon_sym_try] = ACTIONS(3230),
    [anon_sym_delete] = ACTIONS(3230),
    [anon_sym_throw] = ACTIONS(3230),
    [anon_sym_namespace] = ACTIONS(3230),
    [anon_sym_using] = ACTIONS(3230),
    [anon_sym_static_assert] = ACTIONS(3230),
    [anon_sym_concept] = ACTIONS(3230),
    [anon_sym_co_return] = ACTIONS(3230),
    [anon_sym_co_yield] = ACTIONS(3230),
    [anon_sym_R_DQUOTE] = ACTIONS(3232),
    [anon_sym_LR_DQUOTE] = ACTIONS(3232),
    [anon_sym_uR_DQUOTE] = ACTIONS(3232),
    [anon_sym_UR_DQUOTE] = ACTIONS(3232),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3232),
    [anon_sym_co_await] = ACTIONS(3230),
    [anon_sym_new] = ACTIONS(3230),
    [anon_sym_requires] = ACTIONS(3230),
    [sym_this] = ACTIONS(3230),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(3214),
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_include_token1] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_BANG] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_DASH] = ACTIONS(3212),
    [anon_sym_PLUS] = ACTIONS(3212),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym___cdecl] = ACTIONS(3212),
    [anon_sym___clrcall] = ACTIONS(3212),
    [anon_sym___stdcall] = ACTIONS(3212),
    [anon_sym___fastcall] = ACTIONS(3212),
    [anon_sym___thiscall] = ACTIONS(3212),
    [anon_sym___vectorcall] = ACTIONS(3212),
    [anon_sym_LBRACE] = ACTIONS(3214),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [anon_sym_if] = ACTIONS(3212),
    [anon_sym_switch] = ACTIONS(3212),
    [anon_sym_case] = ACTIONS(3212),
    [anon_sym_default] = ACTIONS(3212),
    [anon_sym_while] = ACTIONS(3212),
    [anon_sym_do] = ACTIONS(3212),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_return] = ACTIONS(3212),
    [anon_sym_break] = ACTIONS(3212),
    [anon_sym_continue] = ACTIONS(3212),
    [anon_sym_goto] = ACTIONS(3212),
    [anon_sym_not] = ACTIONS(3212),
    [anon_sym_compl] = ACTIONS(3212),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_sizeof] = ACTIONS(3212),
    [anon_sym___alignof__] = ACTIONS(3212),
    [anon_sym___alignof] = ACTIONS(3212),
    [anon_sym__alignof] = ACTIONS(3212),
    [anon_sym_alignof] = ACTIONS(3212),
    [anon_sym__Alignof] = ACTIONS(3212),
    [anon_sym_offsetof] = ACTIONS(3212),
    [anon_sym__Generic] = ACTIONS(3212),
    [anon_sym_asm] = ACTIONS(3212),
    [anon_sym___asm__] = ACTIONS(3212),
    [sym_number_literal] = ACTIONS(3214),
    [anon_sym_L_SQUOTE] = ACTIONS(3214),
    [anon_sym_u_SQUOTE] = ACTIONS(3214),
    [anon_sym_U_SQUOTE] = ACTIONS(3214),
    [anon_sym_u8_SQUOTE] = ACTIONS(3214),
    [anon_sym_SQUOTE] = ACTIONS(3214),
    [anon_sym_L_DQUOTE] = ACTIONS(3214),
    [anon_sym_u_DQUOTE] = ACTIONS(3214),
    [anon_sym_U_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8_DQUOTE] = ACTIONS(3214),
    [anon_sym_DQUOTE] = ACTIONS(3214),
    [sym_true] = ACTIONS(3212),
    [sym_false] = ACTIONS(3212),
    [anon_sym_NULL] = ACTIONS(3212),
    [anon_sym_nullptr] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_try] = ACTIONS(3212),
    [anon_sym_delete] = ACTIONS(3212),
    [anon_sym_throw] = ACTIONS(3212),
    [anon_sym_namespace] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
    [anon_sym_concept] = ACTIONS(3212),
    [anon_sym_co_return] = ACTIONS(3212),
    [anon_sym_co_yield] = ACTIONS(3212),
    [anon_sym_R_DQUOTE] = ACTIONS(3214),
    [anon_sym_LR_DQUOTE] = ACTIONS(3214),
    [anon_sym_uR_DQUOTE] = ACTIONS(3214),
    [anon_sym_UR_DQUOTE] = ACTIONS(3214),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3214),
    [anon_sym_co_await] = ACTIONS(3212),
    [anon_sym_new] = ACTIONS(3212),
    [anon_sym_requires] = ACTIONS(3212),
    [sym_this] = ACTIONS(3212),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(3128),
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_include_token1] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_BANG] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3126),
    [anon_sym_PLUS] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym___cdecl] = ACTIONS(3126),
    [anon_sym___clrcall] = ACTIONS(3126),
    [anon_sym___stdcall] = ACTIONS(3126),
    [anon_sym___fastcall] = ACTIONS(3126),
    [anon_sym___thiscall] = ACTIONS(3126),
    [anon_sym___vectorcall] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_switch] = ACTIONS(3126),
    [anon_sym_case] = ACTIONS(3126),
    [anon_sym_default] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_do] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3126),
    [anon_sym_return] = ACTIONS(3126),
    [anon_sym_break] = ACTIONS(3126),
    [anon_sym_continue] = ACTIONS(3126),
    [anon_sym_goto] = ACTIONS(3126),
    [anon_sym_not] = ACTIONS(3126),
    [anon_sym_compl] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3128),
    [anon_sym_PLUS_PLUS] = ACTIONS(3128),
    [anon_sym_sizeof] = ACTIONS(3126),
    [anon_sym___alignof__] = ACTIONS(3126),
    [anon_sym___alignof] = ACTIONS(3126),
    [anon_sym__alignof] = ACTIONS(3126),
    [anon_sym_alignof] = ACTIONS(3126),
    [anon_sym__Alignof] = ACTIONS(3126),
    [anon_sym_offsetof] = ACTIONS(3126),
    [anon_sym__Generic] = ACTIONS(3126),
    [anon_sym_asm] = ACTIONS(3126),
    [anon_sym___asm__] = ACTIONS(3126),
    [sym_number_literal] = ACTIONS(3128),
    [anon_sym_L_SQUOTE] = ACTIONS(3128),
    [anon_sym_u_SQUOTE] = ACTIONS(3128),
    [anon_sym_U_SQUOTE] = ACTIONS(3128),
    [anon_sym_u8_SQUOTE] = ACTIONS(3128),
    [anon_sym_SQUOTE] = ACTIONS(3128),
    [anon_sym_L_DQUOTE] = ACTIONS(3128),
    [anon_sym_u_DQUOTE] = ACTIONS(3128),
    [anon_sym_U_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8_DQUOTE] = ACTIONS(3128),
    [anon_sym_DQUOTE] = ACTIONS(3128),
    [sym_true] = ACTIONS(3126),
    [sym_false] = ACTIONS(3126),
    [anon_sym_NULL] = ACTIONS(3126),
    [anon_sym_nullptr] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_try] = ACTIONS(3126),
    [anon_sym_delete] = ACTIONS(3126),
    [anon_sym_throw] = ACTIONS(3126),
    [anon_sym_namespace] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
    [anon_sym_concept] = ACTIONS(3126),
    [anon_sym_co_return] = ACTIONS(3126),
    [anon_sym_co_yield] = ACTIONS(3126),
    [anon_sym_R_DQUOTE] = ACTIONS(3128),
    [anon_sym_LR_DQUOTE] = ACTIONS(3128),
    [anon_sym_uR_DQUOTE] = ACTIONS(3128),
    [anon_sym_UR_DQUOTE] = ACTIONS(3128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3128),
    [anon_sym_co_await] = ACTIONS(3126),
    [anon_sym_new] = ACTIONS(3126),
    [anon_sym_requires] = ACTIONS(3126),
    [sym_this] = ACTIONS(3126),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(3246),
    [sym_identifier] = ACTIONS(3244),
    [aux_sym_preproc_include_token1] = ACTIONS(3244),
    [aux_sym_preproc_def_token1] = ACTIONS(3244),
    [aux_sym_preproc_if_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3244),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3244),
    [sym_preproc_directive] = ACTIONS(3244),
    [anon_sym_LPAREN2] = ACTIONS(3246),
    [anon_sym_BANG] = ACTIONS(3246),
    [anon_sym_TILDE] = ACTIONS(3246),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_STAR] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3246),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym___extension__] = ACTIONS(3244),
    [anon_sym_typedef] = ACTIONS(3244),
    [anon_sym_extern] = ACTIONS(3244),
    [anon_sym___attribute__] = ACTIONS(3244),
    [anon_sym_COLON_COLON] = ACTIONS(3246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3246),
    [anon_sym___declspec] = ACTIONS(3244),
    [anon_sym___based] = ACTIONS(3244),
    [anon_sym___cdecl] = ACTIONS(3244),
    [anon_sym___clrcall] = ACTIONS(3244),
    [anon_sym___stdcall] = ACTIONS(3244),
    [anon_sym___fastcall] = ACTIONS(3244),
    [anon_sym___thiscall] = ACTIONS(3244),
    [anon_sym___vectorcall] = ACTIONS(3244),
    [anon_sym_LBRACE] = ACTIONS(3246),
    [anon_sym_signed] = ACTIONS(3244),
    [anon_sym_unsigned] = ACTIONS(3244),
    [anon_sym_long] = ACTIONS(3244),
    [anon_sym_short] = ACTIONS(3244),
    [anon_sym_LBRACK] = ACTIONS(3244),
    [anon_sym_static] = ACTIONS(3244),
    [anon_sym_register] = ACTIONS(3244),
    [anon_sym_inline] = ACTIONS(3244),
    [anon_sym___inline] = ACTIONS(3244),
    [anon_sym___inline__] = ACTIONS(3244),
    [anon_sym___forceinline] = ACTIONS(3244),
    [anon_sym_thread_local] = ACTIONS(3244),
    [anon_sym___thread] = ACTIONS(3244),
    [anon_sym_const] = ACTIONS(3244),
    [anon_sym_constexpr] = ACTIONS(3244),
    [anon_sym_volatile] = ACTIONS(3244),
    [anon_sym_restrict] = ACTIONS(3244),
    [anon_sym___restrict__] = ACTIONS(3244),
    [anon_sym__Atomic] = ACTIONS(3244),
    [anon_sym__Noreturn] = ACTIONS(3244),
    [anon_sym_noreturn] = ACTIONS(3244),
    [anon_sym_mutable] = ACTIONS(3244),
    [anon_sym_constinit] = ACTIONS(3244),
    [anon_sym_consteval] = ACTIONS(3244),
    [sym_primitive_type] = ACTIONS(3244),
    [anon_sym_enum] = ACTIONS(3244),
    [anon_sym_class] = ACTIONS(3244),
    [anon_sym_struct] = ACTIONS(3244),
    [anon_sym_union] = ACTIONS(3244),
    [anon_sym_if] = ACTIONS(3244),
    [anon_sym_switch] = ACTIONS(3244),
    [anon_sym_case] = ACTIONS(3244),
    [anon_sym_default] = ACTIONS(3244),
    [anon_sym_while] = ACTIONS(3244),
    [anon_sym_do] = ACTIONS(3244),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_return] = ACTIONS(3244),
    [anon_sym_break] = ACTIONS(3244),
    [anon_sym_continue] = ACTIONS(3244),
    [anon_sym_goto] = ACTIONS(3244),
    [anon_sym_not] = ACTIONS(3244),
    [anon_sym_compl] = ACTIONS(3244),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_sizeof] = ACTIONS(3244),
    [anon_sym___alignof__] = ACTIONS(3244),
    [anon_sym___alignof] = ACTIONS(3244),
    [anon_sym__alignof] = ACTIONS(3244),
    [anon_sym_alignof] = ACTIONS(3244),
    [anon_sym__Alignof] = ACTIONS(3244),
    [anon_sym_offsetof] = ACTIONS(3244),
    [anon_sym__Generic] = ACTIONS(3244),
    [anon_sym_asm] = ACTIONS(3244),
    [anon_sym___asm__] = ACTIONS(3244),
    [sym_number_literal] = ACTIONS(3246),
    [anon_sym_L_SQUOTE] = ACTIONS(3246),
    [anon_sym_u_SQUOTE] = ACTIONS(3246),
    [anon_sym_U_SQUOTE] = ACTIONS(3246),
    [anon_sym_u8_SQUOTE] = ACTIONS(3246),
    [anon_sym_SQUOTE] = ACTIONS(3246),
    [anon_sym_L_DQUOTE] = ACTIONS(3246),
    [anon_sym_u_DQUOTE] = ACTIONS(3246),
    [anon_sym_U_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8_DQUOTE] = ACTIONS(3246),
    [anon_sym_DQUOTE] = ACTIONS(3246),
    [sym_true] = ACTIONS(3244),
    [sym_false] = ACTIONS(3244),
    [anon_sym_NULL] = ACTIONS(3244),
    [anon_sym_nullptr] = ACTIONS(3244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3244),
    [anon_sym_decltype] = ACTIONS(3244),
    [anon_sym_virtual] = ACTIONS(3244),
    [anon_sym_alignas] = ACTIONS(3244),
    [anon_sym_explicit] = ACTIONS(3244),
    [anon_sym_typename] = ACTIONS(3244),
    [anon_sym_template] = ACTIONS(3244),
    [anon_sym_operator] = ACTIONS(3244),
    [anon_sym_try] = ACTIONS(3244),
    [anon_sym_delete] = ACTIONS(3244),
    [anon_sym_throw] = ACTIONS(3244),
    [anon_sym_namespace] = ACTIONS(3244),
    [anon_sym_using] = ACTIONS(3244),
    [anon_sym_static_assert] = ACTIONS(3244),
    [anon_sym_concept] = ACTIONS(3244),
    [anon_sym_co_return] = ACTIONS(3244),
    [anon_sym_co_yield] = ACTIONS(3244),
    [anon_sym_R_DQUOTE] = ACTIONS(3246),
    [anon_sym_LR_DQUOTE] = ACTIONS(3246),
    [anon_sym_uR_DQUOTE] = ACTIONS(3246),
    [anon_sym_UR_DQUOTE] = ACTIONS(3246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3246),
    [anon_sym_co_await] = ACTIONS(3244),
    [anon_sym_new] = ACTIONS(3244),
    [anon_sym_requires] = ACTIONS(3244),
    [sym_this] = ACTIONS(3244),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(3306),
    [sym_identifier] = ACTIONS(3304),
    [aux_sym_preproc_include_token1] = ACTIONS(3304),
    [aux_sym_preproc_def_token1] = ACTIONS(3304),
    [aux_sym_preproc_if_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3304),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3304),
    [sym_preproc_directive] = ACTIONS(3304),
    [anon_sym_LPAREN2] = ACTIONS(3306),
    [anon_sym_BANG] = ACTIONS(3306),
    [anon_sym_TILDE] = ACTIONS(3306),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3306),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3304),
    [anon_sym_typedef] = ACTIONS(3304),
    [anon_sym_extern] = ACTIONS(3304),
    [anon_sym___attribute__] = ACTIONS(3304),
    [anon_sym_COLON_COLON] = ACTIONS(3306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3306),
    [anon_sym___declspec] = ACTIONS(3304),
    [anon_sym___based] = ACTIONS(3304),
    [anon_sym___cdecl] = ACTIONS(3304),
    [anon_sym___clrcall] = ACTIONS(3304),
    [anon_sym___stdcall] = ACTIONS(3304),
    [anon_sym___fastcall] = ACTIONS(3304),
    [anon_sym___thiscall] = ACTIONS(3304),
    [anon_sym___vectorcall] = ACTIONS(3304),
    [anon_sym_LBRACE] = ACTIONS(3306),
    [anon_sym_signed] = ACTIONS(3304),
    [anon_sym_unsigned] = ACTIONS(3304),
    [anon_sym_long] = ACTIONS(3304),
    [anon_sym_short] = ACTIONS(3304),
    [anon_sym_LBRACK] = ACTIONS(3304),
    [anon_sym_static] = ACTIONS(3304),
    [anon_sym_register] = ACTIONS(3304),
    [anon_sym_inline] = ACTIONS(3304),
    [anon_sym___inline] = ACTIONS(3304),
    [anon_sym___inline__] = ACTIONS(3304),
    [anon_sym___forceinline] = ACTIONS(3304),
    [anon_sym_thread_local] = ACTIONS(3304),
    [anon_sym___thread] = ACTIONS(3304),
    [anon_sym_const] = ACTIONS(3304),
    [anon_sym_constexpr] = ACTIONS(3304),
    [anon_sym_volatile] = ACTIONS(3304),
    [anon_sym_restrict] = ACTIONS(3304),
    [anon_sym___restrict__] = ACTIONS(3304),
    [anon_sym__Atomic] = ACTIONS(3304),
    [anon_sym__Noreturn] = ACTIONS(3304),
    [anon_sym_noreturn] = ACTIONS(3304),
    [anon_sym_mutable] = ACTIONS(3304),
    [anon_sym_constinit] = ACTIONS(3304),
    [anon_sym_consteval] = ACTIONS(3304),
    [sym_primitive_type] = ACTIONS(3304),
    [anon_sym_enum] = ACTIONS(3304),
    [anon_sym_class] = ACTIONS(3304),
    [anon_sym_struct] = ACTIONS(3304),
    [anon_sym_union] = ACTIONS(3304),
    [anon_sym_if] = ACTIONS(3304),
    [anon_sym_switch] = ACTIONS(3304),
    [anon_sym_case] = ACTIONS(3304),
    [anon_sym_default] = ACTIONS(3304),
    [anon_sym_while] = ACTIONS(3304),
    [anon_sym_do] = ACTIONS(3304),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_return] = ACTIONS(3304),
    [anon_sym_break] = ACTIONS(3304),
    [anon_sym_continue] = ACTIONS(3304),
    [anon_sym_goto] = ACTIONS(3304),
    [anon_sym_not] = ACTIONS(3304),
    [anon_sym_compl] = ACTIONS(3304),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_sizeof] = ACTIONS(3304),
    [anon_sym___alignof__] = ACTIONS(3304),
    [anon_sym___alignof] = ACTIONS(3304),
    [anon_sym__alignof] = ACTIONS(3304),
    [anon_sym_alignof] = ACTIONS(3304),
    [anon_sym__Alignof] = ACTIONS(3304),
    [anon_sym_offsetof] = ACTIONS(3304),
    [anon_sym__Generic] = ACTIONS(3304),
    [anon_sym_asm] = ACTIONS(3304),
    [anon_sym___asm__] = ACTIONS(3304),
    [sym_number_literal] = ACTIONS(3306),
    [anon_sym_L_SQUOTE] = ACTIONS(3306),
    [anon_sym_u_SQUOTE] = ACTIONS(3306),
    [anon_sym_U_SQUOTE] = ACTIONS(3306),
    [anon_sym_u8_SQUOTE] = ACTIONS(3306),
    [anon_sym_SQUOTE] = ACTIONS(3306),
    [anon_sym_L_DQUOTE] = ACTIONS(3306),
    [anon_sym_u_DQUOTE] = ACTIONS(3306),
    [anon_sym_U_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8_DQUOTE] = ACTIONS(3306),
    [anon_sym_DQUOTE] = ACTIONS(3306),
    [sym_true] = ACTIONS(3304),
    [sym_false] = ACTIONS(3304),
    [anon_sym_NULL] = ACTIONS(3304),
    [anon_sym_nullptr] = ACTIONS(3304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3304),
    [anon_sym_decltype] = ACTIONS(3304),
    [anon_sym_virtual] = ACTIONS(3304),
    [anon_sym_alignas] = ACTIONS(3304),
    [anon_sym_explicit] = ACTIONS(3304),
    [anon_sym_typename] = ACTIONS(3304),
    [anon_sym_template] = ACTIONS(3304),
    [anon_sym_operator] = ACTIONS(3304),
    [anon_sym_try] = ACTIONS(3304),
    [anon_sym_delete] = ACTIONS(3304),
    [anon_sym_throw] = ACTIONS(3304),
    [anon_sym_namespace] = ACTIONS(3304),
    [anon_sym_using] = ACTIONS(3304),
    [anon_sym_static_assert] = ACTIONS(3304),
    [anon_sym_concept] = ACTIONS(3304),
    [anon_sym_co_return] = ACTIONS(3304),
    [anon_sym_co_yield] = ACTIONS(3304),
    [anon_sym_R_DQUOTE] = ACTIONS(3306),
    [anon_sym_LR_DQUOTE] = ACTIONS(3306),
    [anon_sym_uR_DQUOTE] = ACTIONS(3306),
    [anon_sym_UR_DQUOTE] = ACTIONS(3306),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3306),
    [anon_sym_co_await] = ACTIONS(3304),
    [anon_sym_new] = ACTIONS(3304),
    [anon_sym_requires] = ACTIONS(3304),
    [sym_this] = ACTIONS(3304),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(3206),
    [sym_identifier] = ACTIONS(3204),
    [aux_sym_preproc_include_token1] = ACTIONS(3204),
    [aux_sym_preproc_def_token1] = ACTIONS(3204),
    [aux_sym_preproc_if_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3204),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3204),
    [sym_preproc_directive] = ACTIONS(3204),
    [anon_sym_LPAREN2] = ACTIONS(3206),
    [anon_sym_BANG] = ACTIONS(3206),
    [anon_sym_TILDE] = ACTIONS(3206),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_STAR] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3206),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym___extension__] = ACTIONS(3204),
    [anon_sym_typedef] = ACTIONS(3204),
    [anon_sym_extern] = ACTIONS(3204),
    [anon_sym___attribute__] = ACTIONS(3204),
    [anon_sym_COLON_COLON] = ACTIONS(3206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3206),
    [anon_sym___declspec] = ACTIONS(3204),
    [anon_sym___based] = ACTIONS(3204),
    [anon_sym___cdecl] = ACTIONS(3204),
    [anon_sym___clrcall] = ACTIONS(3204),
    [anon_sym___stdcall] = ACTIONS(3204),
    [anon_sym___fastcall] = ACTIONS(3204),
    [anon_sym___thiscall] = ACTIONS(3204),
    [anon_sym___vectorcall] = ACTIONS(3204),
    [anon_sym_LBRACE] = ACTIONS(3206),
    [anon_sym_signed] = ACTIONS(3204),
    [anon_sym_unsigned] = ACTIONS(3204),
    [anon_sym_long] = ACTIONS(3204),
    [anon_sym_short] = ACTIONS(3204),
    [anon_sym_LBRACK] = ACTIONS(3204),
    [anon_sym_static] = ACTIONS(3204),
    [anon_sym_register] = ACTIONS(3204),
    [anon_sym_inline] = ACTIONS(3204),
    [anon_sym___inline] = ACTIONS(3204),
    [anon_sym___inline__] = ACTIONS(3204),
    [anon_sym___forceinline] = ACTIONS(3204),
    [anon_sym_thread_local] = ACTIONS(3204),
    [anon_sym___thread] = ACTIONS(3204),
    [anon_sym_const] = ACTIONS(3204),
    [anon_sym_constexpr] = ACTIONS(3204),
    [anon_sym_volatile] = ACTIONS(3204),
    [anon_sym_restrict] = ACTIONS(3204),
    [anon_sym___restrict__] = ACTIONS(3204),
    [anon_sym__Atomic] = ACTIONS(3204),
    [anon_sym__Noreturn] = ACTIONS(3204),
    [anon_sym_noreturn] = ACTIONS(3204),
    [anon_sym_mutable] = ACTIONS(3204),
    [anon_sym_constinit] = ACTIONS(3204),
    [anon_sym_consteval] = ACTIONS(3204),
    [sym_primitive_type] = ACTIONS(3204),
    [anon_sym_enum] = ACTIONS(3204),
    [anon_sym_class] = ACTIONS(3204),
    [anon_sym_struct] = ACTIONS(3204),
    [anon_sym_union] = ACTIONS(3204),
    [anon_sym_if] = ACTIONS(3204),
    [anon_sym_switch] = ACTIONS(3204),
    [anon_sym_case] = ACTIONS(3204),
    [anon_sym_default] = ACTIONS(3204),
    [anon_sym_while] = ACTIONS(3204),
    [anon_sym_do] = ACTIONS(3204),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_return] = ACTIONS(3204),
    [anon_sym_break] = ACTIONS(3204),
    [anon_sym_continue] = ACTIONS(3204),
    [anon_sym_goto] = ACTIONS(3204),
    [anon_sym_not] = ACTIONS(3204),
    [anon_sym_compl] = ACTIONS(3204),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_sizeof] = ACTIONS(3204),
    [anon_sym___alignof__] = ACTIONS(3204),
    [anon_sym___alignof] = ACTIONS(3204),
    [anon_sym__alignof] = ACTIONS(3204),
    [anon_sym_alignof] = ACTIONS(3204),
    [anon_sym__Alignof] = ACTIONS(3204),
    [anon_sym_offsetof] = ACTIONS(3204),
    [anon_sym__Generic] = ACTIONS(3204),
    [anon_sym_asm] = ACTIONS(3204),
    [anon_sym___asm__] = ACTIONS(3204),
    [sym_number_literal] = ACTIONS(3206),
    [anon_sym_L_SQUOTE] = ACTIONS(3206),
    [anon_sym_u_SQUOTE] = ACTIONS(3206),
    [anon_sym_U_SQUOTE] = ACTIONS(3206),
    [anon_sym_u8_SQUOTE] = ACTIONS(3206),
    [anon_sym_SQUOTE] = ACTIONS(3206),
    [anon_sym_L_DQUOTE] = ACTIONS(3206),
    [anon_sym_u_DQUOTE] = ACTIONS(3206),
    [anon_sym_U_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8_DQUOTE] = ACTIONS(3206),
    [anon_sym_DQUOTE] = ACTIONS(3206),
    [sym_true] = ACTIONS(3204),
    [sym_false] = ACTIONS(3204),
    [anon_sym_NULL] = ACTIONS(3204),
    [anon_sym_nullptr] = ACTIONS(3204),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3204),
    [anon_sym_decltype] = ACTIONS(3204),
    [anon_sym_virtual] = ACTIONS(3204),
    [anon_sym_alignas] = ACTIONS(3204),
    [anon_sym_explicit] = ACTIONS(3204),
    [anon_sym_typename] = ACTIONS(3204),
    [anon_sym_template] = ACTIONS(3204),
    [anon_sym_operator] = ACTIONS(3204),
    [anon_sym_try] = ACTIONS(3204),
    [anon_sym_delete] = ACTIONS(3204),
    [anon_sym_throw] = ACTIONS(3204),
    [anon_sym_namespace] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3204),
    [anon_sym_static_assert] = ACTIONS(3204),
    [anon_sym_concept] = ACTIONS(3204),
    [anon_sym_co_return] = ACTIONS(3204),
    [anon_sym_co_yield] = ACTIONS(3204),
    [anon_sym_R_DQUOTE] = ACTIONS(3206),
    [anon_sym_LR_DQUOTE] = ACTIONS(3206),
    [anon_sym_uR_DQUOTE] = ACTIONS(3206),
    [anon_sym_UR_DQUOTE] = ACTIONS(3206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3206),
    [anon_sym_co_await] = ACTIONS(3204),
    [anon_sym_new] = ACTIONS(3204),
    [anon_sym_requires] = ACTIONS(3204),
    [sym_this] = ACTIONS(3204),
  },
  [1030] = {
    [sym_preproc_def] = STATE(1071),
    [sym_preproc_function_def] = STATE(1071),
    [sym_preproc_call] = STATE(1071),
    [sym_preproc_if_in_field_declaration_list] = STATE(1071),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1071),
    [sym_type_definition] = STATE(1071),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1071),
    [sym_field_declaration] = STATE(1071),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1071),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1071),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1071),
    [sym_operator_cast_declaration] = STATE(1071),
    [sym_constructor_or_destructor_definition] = STATE(1071),
    [sym_constructor_or_destructor_declaration] = STATE(1071),
    [sym_friend_declaration] = STATE(1071),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1071),
    [sym_alias_declaration] = STATE(1071),
    [sym_static_assert_declaration] = STATE(1071),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1071),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3831),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(3302),
    [sym_identifier] = ACTIONS(3300),
    [aux_sym_preproc_include_token1] = ACTIONS(3300),
    [aux_sym_preproc_def_token1] = ACTIONS(3300),
    [aux_sym_preproc_if_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3300),
    [sym_preproc_directive] = ACTIONS(3300),
    [anon_sym_LPAREN2] = ACTIONS(3302),
    [anon_sym_BANG] = ACTIONS(3302),
    [anon_sym_TILDE] = ACTIONS(3302),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3302),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3300),
    [anon_sym_typedef] = ACTIONS(3300),
    [anon_sym_extern] = ACTIONS(3300),
    [anon_sym___attribute__] = ACTIONS(3300),
    [anon_sym_COLON_COLON] = ACTIONS(3302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3302),
    [anon_sym___declspec] = ACTIONS(3300),
    [anon_sym___based] = ACTIONS(3300),
    [anon_sym___cdecl] = ACTIONS(3300),
    [anon_sym___clrcall] = ACTIONS(3300),
    [anon_sym___stdcall] = ACTIONS(3300),
    [anon_sym___fastcall] = ACTIONS(3300),
    [anon_sym___thiscall] = ACTIONS(3300),
    [anon_sym___vectorcall] = ACTIONS(3300),
    [anon_sym_LBRACE] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3300),
    [anon_sym_unsigned] = ACTIONS(3300),
    [anon_sym_long] = ACTIONS(3300),
    [anon_sym_short] = ACTIONS(3300),
    [anon_sym_LBRACK] = ACTIONS(3300),
    [anon_sym_static] = ACTIONS(3300),
    [anon_sym_register] = ACTIONS(3300),
    [anon_sym_inline] = ACTIONS(3300),
    [anon_sym___inline] = ACTIONS(3300),
    [anon_sym___inline__] = ACTIONS(3300),
    [anon_sym___forceinline] = ACTIONS(3300),
    [anon_sym_thread_local] = ACTIONS(3300),
    [anon_sym___thread] = ACTIONS(3300),
    [anon_sym_const] = ACTIONS(3300),
    [anon_sym_constexpr] = ACTIONS(3300),
    [anon_sym_volatile] = ACTIONS(3300),
    [anon_sym_restrict] = ACTIONS(3300),
    [anon_sym___restrict__] = ACTIONS(3300),
    [anon_sym__Atomic] = ACTIONS(3300),
    [anon_sym__Noreturn] = ACTIONS(3300),
    [anon_sym_noreturn] = ACTIONS(3300),
    [anon_sym_mutable] = ACTIONS(3300),
    [anon_sym_constinit] = ACTIONS(3300),
    [anon_sym_consteval] = ACTIONS(3300),
    [sym_primitive_type] = ACTIONS(3300),
    [anon_sym_enum] = ACTIONS(3300),
    [anon_sym_class] = ACTIONS(3300),
    [anon_sym_struct] = ACTIONS(3300),
    [anon_sym_union] = ACTIONS(3300),
    [anon_sym_if] = ACTIONS(3300),
    [anon_sym_switch] = ACTIONS(3300),
    [anon_sym_case] = ACTIONS(3300),
    [anon_sym_default] = ACTIONS(3300),
    [anon_sym_while] = ACTIONS(3300),
    [anon_sym_do] = ACTIONS(3300),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_return] = ACTIONS(3300),
    [anon_sym_break] = ACTIONS(3300),
    [anon_sym_continue] = ACTIONS(3300),
    [anon_sym_goto] = ACTIONS(3300),
    [anon_sym_not] = ACTIONS(3300),
    [anon_sym_compl] = ACTIONS(3300),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_sizeof] = ACTIONS(3300),
    [anon_sym___alignof__] = ACTIONS(3300),
    [anon_sym___alignof] = ACTIONS(3300),
    [anon_sym__alignof] = ACTIONS(3300),
    [anon_sym_alignof] = ACTIONS(3300),
    [anon_sym__Alignof] = ACTIONS(3300),
    [anon_sym_offsetof] = ACTIONS(3300),
    [anon_sym__Generic] = ACTIONS(3300),
    [anon_sym_asm] = ACTIONS(3300),
    [anon_sym___asm__] = ACTIONS(3300),
    [sym_number_literal] = ACTIONS(3302),
    [anon_sym_L_SQUOTE] = ACTIONS(3302),
    [anon_sym_u_SQUOTE] = ACTIONS(3302),
    [anon_sym_U_SQUOTE] = ACTIONS(3302),
    [anon_sym_u8_SQUOTE] = ACTIONS(3302),
    [anon_sym_SQUOTE] = ACTIONS(3302),
    [anon_sym_L_DQUOTE] = ACTIONS(3302),
    [anon_sym_u_DQUOTE] = ACTIONS(3302),
    [anon_sym_U_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8_DQUOTE] = ACTIONS(3302),
    [anon_sym_DQUOTE] = ACTIONS(3302),
    [sym_true] = ACTIONS(3300),
    [sym_false] = ACTIONS(3300),
    [anon_sym_NULL] = ACTIONS(3300),
    [anon_sym_nullptr] = ACTIONS(3300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3300),
    [anon_sym_decltype] = ACTIONS(3300),
    [anon_sym_virtual] = ACTIONS(3300),
    [anon_sym_alignas] = ACTIONS(3300),
    [anon_sym_explicit] = ACTIONS(3300),
    [anon_sym_typename] = ACTIONS(3300),
    [anon_sym_template] = ACTIONS(3300),
    [anon_sym_operator] = ACTIONS(3300),
    [anon_sym_try] = ACTIONS(3300),
    [anon_sym_delete] = ACTIONS(3300),
    [anon_sym_throw] = ACTIONS(3300),
    [anon_sym_namespace] = ACTIONS(3300),
    [anon_sym_using] = ACTIONS(3300),
    [anon_sym_static_assert] = ACTIONS(3300),
    [anon_sym_concept] = ACTIONS(3300),
    [anon_sym_co_return] = ACTIONS(3300),
    [anon_sym_co_yield] = ACTIONS(3300),
    [anon_sym_R_DQUOTE] = ACTIONS(3302),
    [anon_sym_LR_DQUOTE] = ACTIONS(3302),
    [anon_sym_uR_DQUOTE] = ACTIONS(3302),
    [anon_sym_UR_DQUOTE] = ACTIONS(3302),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3302),
    [anon_sym_co_await] = ACTIONS(3300),
    [anon_sym_new] = ACTIONS(3300),
    [anon_sym_requires] = ACTIONS(3300),
    [sym_this] = ACTIONS(3300),
  },
  [1032] = {
    [sym_preproc_def] = STATE(1074),
    [sym_preproc_function_def] = STATE(1074),
    [sym_preproc_call] = STATE(1074),
    [sym_preproc_if_in_field_declaration_list] = STATE(1074),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1074),
    [sym_type_definition] = STATE(1074),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1074),
    [sym_field_declaration] = STATE(1074),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1074),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1074),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1074),
    [sym_operator_cast_declaration] = STATE(1074),
    [sym_constructor_or_destructor_definition] = STATE(1074),
    [sym_constructor_or_destructor_declaration] = STATE(1074),
    [sym_friend_declaration] = STATE(1074),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1074),
    [sym_alias_declaration] = STATE(1074),
    [sym_static_assert_declaration] = STATE(1074),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1074),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3833),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(3254),
    [sym_identifier] = ACTIONS(3252),
    [aux_sym_preproc_include_token1] = ACTIONS(3252),
    [aux_sym_preproc_def_token1] = ACTIONS(3252),
    [aux_sym_preproc_if_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3252),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3252),
    [sym_preproc_directive] = ACTIONS(3252),
    [anon_sym_LPAREN2] = ACTIONS(3254),
    [anon_sym_BANG] = ACTIONS(3254),
    [anon_sym_TILDE] = ACTIONS(3254),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_STAR] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3254),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym___extension__] = ACTIONS(3252),
    [anon_sym_typedef] = ACTIONS(3252),
    [anon_sym_extern] = ACTIONS(3252),
    [anon_sym___attribute__] = ACTIONS(3252),
    [anon_sym_COLON_COLON] = ACTIONS(3254),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3254),
    [anon_sym___declspec] = ACTIONS(3252),
    [anon_sym___based] = ACTIONS(3252),
    [anon_sym___cdecl] = ACTIONS(3252),
    [anon_sym___clrcall] = ACTIONS(3252),
    [anon_sym___stdcall] = ACTIONS(3252),
    [anon_sym___fastcall] = ACTIONS(3252),
    [anon_sym___thiscall] = ACTIONS(3252),
    [anon_sym___vectorcall] = ACTIONS(3252),
    [anon_sym_LBRACE] = ACTIONS(3254),
    [anon_sym_signed] = ACTIONS(3252),
    [anon_sym_unsigned] = ACTIONS(3252),
    [anon_sym_long] = ACTIONS(3252),
    [anon_sym_short] = ACTIONS(3252),
    [anon_sym_LBRACK] = ACTIONS(3252),
    [anon_sym_static] = ACTIONS(3252),
    [anon_sym_register] = ACTIONS(3252),
    [anon_sym_inline] = ACTIONS(3252),
    [anon_sym___inline] = ACTIONS(3252),
    [anon_sym___inline__] = ACTIONS(3252),
    [anon_sym___forceinline] = ACTIONS(3252),
    [anon_sym_thread_local] = ACTIONS(3252),
    [anon_sym___thread] = ACTIONS(3252),
    [anon_sym_const] = ACTIONS(3252),
    [anon_sym_constexpr] = ACTIONS(3252),
    [anon_sym_volatile] = ACTIONS(3252),
    [anon_sym_restrict] = ACTIONS(3252),
    [anon_sym___restrict__] = ACTIONS(3252),
    [anon_sym__Atomic] = ACTIONS(3252),
    [anon_sym__Noreturn] = ACTIONS(3252),
    [anon_sym_noreturn] = ACTIONS(3252),
    [anon_sym_mutable] = ACTIONS(3252),
    [anon_sym_constinit] = ACTIONS(3252),
    [anon_sym_consteval] = ACTIONS(3252),
    [sym_primitive_type] = ACTIONS(3252),
    [anon_sym_enum] = ACTIONS(3252),
    [anon_sym_class] = ACTIONS(3252),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3252),
    [anon_sym_if] = ACTIONS(3252),
    [anon_sym_switch] = ACTIONS(3252),
    [anon_sym_case] = ACTIONS(3252),
    [anon_sym_default] = ACTIONS(3252),
    [anon_sym_while] = ACTIONS(3252),
    [anon_sym_do] = ACTIONS(3252),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_return] = ACTIONS(3252),
    [anon_sym_break] = ACTIONS(3252),
    [anon_sym_continue] = ACTIONS(3252),
    [anon_sym_goto] = ACTIONS(3252),
    [anon_sym_not] = ACTIONS(3252),
    [anon_sym_compl] = ACTIONS(3252),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_sizeof] = ACTIONS(3252),
    [anon_sym___alignof__] = ACTIONS(3252),
    [anon_sym___alignof] = ACTIONS(3252),
    [anon_sym__alignof] = ACTIONS(3252),
    [anon_sym_alignof] = ACTIONS(3252),
    [anon_sym__Alignof] = ACTIONS(3252),
    [anon_sym_offsetof] = ACTIONS(3252),
    [anon_sym__Generic] = ACTIONS(3252),
    [anon_sym_asm] = ACTIONS(3252),
    [anon_sym___asm__] = ACTIONS(3252),
    [sym_number_literal] = ACTIONS(3254),
    [anon_sym_L_SQUOTE] = ACTIONS(3254),
    [anon_sym_u_SQUOTE] = ACTIONS(3254),
    [anon_sym_U_SQUOTE] = ACTIONS(3254),
    [anon_sym_u8_SQUOTE] = ACTIONS(3254),
    [anon_sym_SQUOTE] = ACTIONS(3254),
    [anon_sym_L_DQUOTE] = ACTIONS(3254),
    [anon_sym_u_DQUOTE] = ACTIONS(3254),
    [anon_sym_U_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8_DQUOTE] = ACTIONS(3254),
    [anon_sym_DQUOTE] = ACTIONS(3254),
    [sym_true] = ACTIONS(3252),
    [sym_false] = ACTIONS(3252),
    [anon_sym_NULL] = ACTIONS(3252),
    [anon_sym_nullptr] = ACTIONS(3252),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3252),
    [anon_sym_decltype] = ACTIONS(3252),
    [anon_sym_virtual] = ACTIONS(3252),
    [anon_sym_alignas] = ACTIONS(3252),
    [anon_sym_explicit] = ACTIONS(3252),
    [anon_sym_typename] = ACTIONS(3252),
    [anon_sym_template] = ACTIONS(3252),
    [anon_sym_operator] = ACTIONS(3252),
    [anon_sym_try] = ACTIONS(3252),
    [anon_sym_delete] = ACTIONS(3252),
    [anon_sym_throw] = ACTIONS(3252),
    [anon_sym_namespace] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3252),
    [anon_sym_static_assert] = ACTIONS(3252),
    [anon_sym_concept] = ACTIONS(3252),
    [anon_sym_co_return] = ACTIONS(3252),
    [anon_sym_co_yield] = ACTIONS(3252),
    [anon_sym_R_DQUOTE] = ACTIONS(3254),
    [anon_sym_LR_DQUOTE] = ACTIONS(3254),
    [anon_sym_uR_DQUOTE] = ACTIONS(3254),
    [anon_sym_UR_DQUOTE] = ACTIONS(3254),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3254),
    [anon_sym_co_await] = ACTIONS(3252),
    [anon_sym_new] = ACTIONS(3252),
    [anon_sym_requires] = ACTIONS(3252),
    [sym_this] = ACTIONS(3252),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(3202),
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_include_token1] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_BANG] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym___cdecl] = ACTIONS(3200),
    [anon_sym___clrcall] = ACTIONS(3200),
    [anon_sym___stdcall] = ACTIONS(3200),
    [anon_sym___fastcall] = ACTIONS(3200),
    [anon_sym___thiscall] = ACTIONS(3200),
    [anon_sym___vectorcall] = ACTIONS(3200),
    [anon_sym_LBRACE] = ACTIONS(3202),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [anon_sym_if] = ACTIONS(3200),
    [anon_sym_switch] = ACTIONS(3200),
    [anon_sym_case] = ACTIONS(3200),
    [anon_sym_default] = ACTIONS(3200),
    [anon_sym_while] = ACTIONS(3200),
    [anon_sym_do] = ACTIONS(3200),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_return] = ACTIONS(3200),
    [anon_sym_break] = ACTIONS(3200),
    [anon_sym_continue] = ACTIONS(3200),
    [anon_sym_goto] = ACTIONS(3200),
    [anon_sym_not] = ACTIONS(3200),
    [anon_sym_compl] = ACTIONS(3200),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_sizeof] = ACTIONS(3200),
    [anon_sym___alignof__] = ACTIONS(3200),
    [anon_sym___alignof] = ACTIONS(3200),
    [anon_sym__alignof] = ACTIONS(3200),
    [anon_sym_alignof] = ACTIONS(3200),
    [anon_sym__Alignof] = ACTIONS(3200),
    [anon_sym_offsetof] = ACTIONS(3200),
    [anon_sym__Generic] = ACTIONS(3200),
    [anon_sym_asm] = ACTIONS(3200),
    [anon_sym___asm__] = ACTIONS(3200),
    [sym_number_literal] = ACTIONS(3202),
    [anon_sym_L_SQUOTE] = ACTIONS(3202),
    [anon_sym_u_SQUOTE] = ACTIONS(3202),
    [anon_sym_U_SQUOTE] = ACTIONS(3202),
    [anon_sym_u8_SQUOTE] = ACTIONS(3202),
    [anon_sym_SQUOTE] = ACTIONS(3202),
    [anon_sym_L_DQUOTE] = ACTIONS(3202),
    [anon_sym_u_DQUOTE] = ACTIONS(3202),
    [anon_sym_U_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8_DQUOTE] = ACTIONS(3202),
    [anon_sym_DQUOTE] = ACTIONS(3202),
    [sym_true] = ACTIONS(3200),
    [sym_false] = ACTIONS(3200),
    [anon_sym_NULL] = ACTIONS(3200),
    [anon_sym_nullptr] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_try] = ACTIONS(3200),
    [anon_sym_delete] = ACTIONS(3200),
    [anon_sym_throw] = ACTIONS(3200),
    [anon_sym_namespace] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
    [anon_sym_concept] = ACTIONS(3200),
    [anon_sym_co_return] = ACTIONS(3200),
    [anon_sym_co_yield] = ACTIONS(3200),
    [anon_sym_R_DQUOTE] = ACTIONS(3202),
    [anon_sym_LR_DQUOTE] = ACTIONS(3202),
    [anon_sym_uR_DQUOTE] = ACTIONS(3202),
    [anon_sym_UR_DQUOTE] = ACTIONS(3202),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3202),
    [anon_sym_co_await] = ACTIONS(3200),
    [anon_sym_new] = ACTIONS(3200),
    [anon_sym_requires] = ACTIONS(3200),
    [sym_this] = ACTIONS(3200),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [1036] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3835),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(3132),
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_include_token1] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_BANG] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3130),
    [anon_sym_PLUS] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym___cdecl] = ACTIONS(3130),
    [anon_sym___clrcall] = ACTIONS(3130),
    [anon_sym___stdcall] = ACTIONS(3130),
    [anon_sym___fastcall] = ACTIONS(3130),
    [anon_sym___thiscall] = ACTIONS(3130),
    [anon_sym___vectorcall] = ACTIONS(3130),
    [anon_sym_LBRACE] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_switch] = ACTIONS(3130),
    [anon_sym_case] = ACTIONS(3130),
    [anon_sym_default] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_do] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3130),
    [anon_sym_return] = ACTIONS(3130),
    [anon_sym_break] = ACTIONS(3130),
    [anon_sym_continue] = ACTIONS(3130),
    [anon_sym_goto] = ACTIONS(3130),
    [anon_sym_not] = ACTIONS(3130),
    [anon_sym_compl] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3132),
    [anon_sym_PLUS_PLUS] = ACTIONS(3132),
    [anon_sym_sizeof] = ACTIONS(3130),
    [anon_sym___alignof__] = ACTIONS(3130),
    [anon_sym___alignof] = ACTIONS(3130),
    [anon_sym__alignof] = ACTIONS(3130),
    [anon_sym_alignof] = ACTIONS(3130),
    [anon_sym__Alignof] = ACTIONS(3130),
    [anon_sym_offsetof] = ACTIONS(3130),
    [anon_sym__Generic] = ACTIONS(3130),
    [anon_sym_asm] = ACTIONS(3130),
    [anon_sym___asm__] = ACTIONS(3130),
    [sym_number_literal] = ACTIONS(3132),
    [anon_sym_L_SQUOTE] = ACTIONS(3132),
    [anon_sym_u_SQUOTE] = ACTIONS(3132),
    [anon_sym_U_SQUOTE] = ACTIONS(3132),
    [anon_sym_u8_SQUOTE] = ACTIONS(3132),
    [anon_sym_SQUOTE] = ACTIONS(3132),
    [anon_sym_L_DQUOTE] = ACTIONS(3132),
    [anon_sym_u_DQUOTE] = ACTIONS(3132),
    [anon_sym_U_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8_DQUOTE] = ACTIONS(3132),
    [anon_sym_DQUOTE] = ACTIONS(3132),
    [sym_true] = ACTIONS(3130),
    [sym_false] = ACTIONS(3130),
    [anon_sym_NULL] = ACTIONS(3130),
    [anon_sym_nullptr] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_try] = ACTIONS(3130),
    [anon_sym_delete] = ACTIONS(3130),
    [anon_sym_throw] = ACTIONS(3130),
    [anon_sym_namespace] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
    [anon_sym_concept] = ACTIONS(3130),
    [anon_sym_co_return] = ACTIONS(3130),
    [anon_sym_co_yield] = ACTIONS(3130),
    [anon_sym_R_DQUOTE] = ACTIONS(3132),
    [anon_sym_LR_DQUOTE] = ACTIONS(3132),
    [anon_sym_uR_DQUOTE] = ACTIONS(3132),
    [anon_sym_UR_DQUOTE] = ACTIONS(3132),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3132),
    [anon_sym_co_await] = ACTIONS(3130),
    [anon_sym_new] = ACTIONS(3130),
    [anon_sym_requires] = ACTIONS(3130),
    [sym_this] = ACTIONS(3130),
  },
  [1038] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3837),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(3290),
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_include_token1] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_BANG] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym___cdecl] = ACTIONS(3288),
    [anon_sym___clrcall] = ACTIONS(3288),
    [anon_sym___stdcall] = ACTIONS(3288),
    [anon_sym___fastcall] = ACTIONS(3288),
    [anon_sym___thiscall] = ACTIONS(3288),
    [anon_sym___vectorcall] = ACTIONS(3288),
    [anon_sym_LBRACE] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [anon_sym_if] = ACTIONS(3288),
    [anon_sym_switch] = ACTIONS(3288),
    [anon_sym_case] = ACTIONS(3288),
    [anon_sym_default] = ACTIONS(3288),
    [anon_sym_while] = ACTIONS(3288),
    [anon_sym_do] = ACTIONS(3288),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_return] = ACTIONS(3288),
    [anon_sym_break] = ACTIONS(3288),
    [anon_sym_continue] = ACTIONS(3288),
    [anon_sym_goto] = ACTIONS(3288),
    [anon_sym_not] = ACTIONS(3288),
    [anon_sym_compl] = ACTIONS(3288),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_sizeof] = ACTIONS(3288),
    [anon_sym___alignof__] = ACTIONS(3288),
    [anon_sym___alignof] = ACTIONS(3288),
    [anon_sym__alignof] = ACTIONS(3288),
    [anon_sym_alignof] = ACTIONS(3288),
    [anon_sym__Alignof] = ACTIONS(3288),
    [anon_sym_offsetof] = ACTIONS(3288),
    [anon_sym__Generic] = ACTIONS(3288),
    [anon_sym_asm] = ACTIONS(3288),
    [anon_sym___asm__] = ACTIONS(3288),
    [sym_number_literal] = ACTIONS(3290),
    [anon_sym_L_SQUOTE] = ACTIONS(3290),
    [anon_sym_u_SQUOTE] = ACTIONS(3290),
    [anon_sym_U_SQUOTE] = ACTIONS(3290),
    [anon_sym_u8_SQUOTE] = ACTIONS(3290),
    [anon_sym_SQUOTE] = ACTIONS(3290),
    [anon_sym_L_DQUOTE] = ACTIONS(3290),
    [anon_sym_u_DQUOTE] = ACTIONS(3290),
    [anon_sym_U_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8_DQUOTE] = ACTIONS(3290),
    [anon_sym_DQUOTE] = ACTIONS(3290),
    [sym_true] = ACTIONS(3288),
    [sym_false] = ACTIONS(3288),
    [anon_sym_NULL] = ACTIONS(3288),
    [anon_sym_nullptr] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_try] = ACTIONS(3288),
    [anon_sym_delete] = ACTIONS(3288),
    [anon_sym_throw] = ACTIONS(3288),
    [anon_sym_namespace] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
    [anon_sym_concept] = ACTIONS(3288),
    [anon_sym_co_return] = ACTIONS(3288),
    [anon_sym_co_yield] = ACTIONS(3288),
    [anon_sym_R_DQUOTE] = ACTIONS(3290),
    [anon_sym_LR_DQUOTE] = ACTIONS(3290),
    [anon_sym_uR_DQUOTE] = ACTIONS(3290),
    [anon_sym_UR_DQUOTE] = ACTIONS(3290),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3290),
    [anon_sym_co_await] = ACTIONS(3288),
    [anon_sym_new] = ACTIONS(3288),
    [anon_sym_requires] = ACTIONS(3288),
    [sym_this] = ACTIONS(3288),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(3314),
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_include_token1] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_BANG] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym___cdecl] = ACTIONS(3312),
    [anon_sym___clrcall] = ACTIONS(3312),
    [anon_sym___stdcall] = ACTIONS(3312),
    [anon_sym___fastcall] = ACTIONS(3312),
    [anon_sym___thiscall] = ACTIONS(3312),
    [anon_sym___vectorcall] = ACTIONS(3312),
    [anon_sym_LBRACE] = ACTIONS(3314),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [anon_sym_if] = ACTIONS(3312),
    [anon_sym_switch] = ACTIONS(3312),
    [anon_sym_case] = ACTIONS(3312),
    [anon_sym_default] = ACTIONS(3312),
    [anon_sym_while] = ACTIONS(3312),
    [anon_sym_do] = ACTIONS(3312),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_return] = ACTIONS(3312),
    [anon_sym_break] = ACTIONS(3312),
    [anon_sym_continue] = ACTIONS(3312),
    [anon_sym_goto] = ACTIONS(3312),
    [anon_sym_not] = ACTIONS(3312),
    [anon_sym_compl] = ACTIONS(3312),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_sizeof] = ACTIONS(3312),
    [anon_sym___alignof__] = ACTIONS(3312),
    [anon_sym___alignof] = ACTIONS(3312),
    [anon_sym__alignof] = ACTIONS(3312),
    [anon_sym_alignof] = ACTIONS(3312),
    [anon_sym__Alignof] = ACTIONS(3312),
    [anon_sym_offsetof] = ACTIONS(3312),
    [anon_sym__Generic] = ACTIONS(3312),
    [anon_sym_asm] = ACTIONS(3312),
    [anon_sym___asm__] = ACTIONS(3312),
    [sym_number_literal] = ACTIONS(3314),
    [anon_sym_L_SQUOTE] = ACTIONS(3314),
    [anon_sym_u_SQUOTE] = ACTIONS(3314),
    [anon_sym_U_SQUOTE] = ACTIONS(3314),
    [anon_sym_u8_SQUOTE] = ACTIONS(3314),
    [anon_sym_SQUOTE] = ACTIONS(3314),
    [anon_sym_L_DQUOTE] = ACTIONS(3314),
    [anon_sym_u_DQUOTE] = ACTIONS(3314),
    [anon_sym_U_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8_DQUOTE] = ACTIONS(3314),
    [anon_sym_DQUOTE] = ACTIONS(3314),
    [sym_true] = ACTIONS(3312),
    [sym_false] = ACTIONS(3312),
    [anon_sym_NULL] = ACTIONS(3312),
    [anon_sym_nullptr] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_try] = ACTIONS(3312),
    [anon_sym_delete] = ACTIONS(3312),
    [anon_sym_throw] = ACTIONS(3312),
    [anon_sym_namespace] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
    [anon_sym_concept] = ACTIONS(3312),
    [anon_sym_co_return] = ACTIONS(3312),
    [anon_sym_co_yield] = ACTIONS(3312),
    [anon_sym_R_DQUOTE] = ACTIONS(3314),
    [anon_sym_LR_DQUOTE] = ACTIONS(3314),
    [anon_sym_uR_DQUOTE] = ACTIONS(3314),
    [anon_sym_UR_DQUOTE] = ACTIONS(3314),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3314),
    [anon_sym_co_await] = ACTIONS(3312),
    [anon_sym_new] = ACTIONS(3312),
    [anon_sym_requires] = ACTIONS(3312),
    [sym_this] = ACTIONS(3312),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(3280),
    [sym_identifier] = ACTIONS(3278),
    [aux_sym_preproc_include_token1] = ACTIONS(3278),
    [aux_sym_preproc_def_token1] = ACTIONS(3278),
    [aux_sym_preproc_if_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3278),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3278),
    [sym_preproc_directive] = ACTIONS(3278),
    [anon_sym_LPAREN2] = ACTIONS(3280),
    [anon_sym_BANG] = ACTIONS(3280),
    [anon_sym_TILDE] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3278),
    [anon_sym_PLUS] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3278),
    [anon_sym___extension__] = ACTIONS(3278),
    [anon_sym_typedef] = ACTIONS(3278),
    [anon_sym_extern] = ACTIONS(3278),
    [anon_sym___attribute__] = ACTIONS(3278),
    [anon_sym_COLON_COLON] = ACTIONS(3280),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3280),
    [anon_sym___declspec] = ACTIONS(3278),
    [anon_sym___based] = ACTIONS(3278),
    [anon_sym___cdecl] = ACTIONS(3278),
    [anon_sym___clrcall] = ACTIONS(3278),
    [anon_sym___stdcall] = ACTIONS(3278),
    [anon_sym___fastcall] = ACTIONS(3278),
    [anon_sym___thiscall] = ACTIONS(3278),
    [anon_sym___vectorcall] = ACTIONS(3278),
    [anon_sym_LBRACE] = ACTIONS(3280),
    [anon_sym_signed] = ACTIONS(3278),
    [anon_sym_unsigned] = ACTIONS(3278),
    [anon_sym_long] = ACTIONS(3278),
    [anon_sym_short] = ACTIONS(3278),
    [anon_sym_LBRACK] = ACTIONS(3278),
    [anon_sym_static] = ACTIONS(3278),
    [anon_sym_register] = ACTIONS(3278),
    [anon_sym_inline] = ACTIONS(3278),
    [anon_sym___inline] = ACTIONS(3278),
    [anon_sym___inline__] = ACTIONS(3278),
    [anon_sym___forceinline] = ACTIONS(3278),
    [anon_sym_thread_local] = ACTIONS(3278),
    [anon_sym___thread] = ACTIONS(3278),
    [anon_sym_const] = ACTIONS(3278),
    [anon_sym_constexpr] = ACTIONS(3278),
    [anon_sym_volatile] = ACTIONS(3278),
    [anon_sym_restrict] = ACTIONS(3278),
    [anon_sym___restrict__] = ACTIONS(3278),
    [anon_sym__Atomic] = ACTIONS(3278),
    [anon_sym__Noreturn] = ACTIONS(3278),
    [anon_sym_noreturn] = ACTIONS(3278),
    [anon_sym_mutable] = ACTIONS(3278),
    [anon_sym_constinit] = ACTIONS(3278),
    [anon_sym_consteval] = ACTIONS(3278),
    [sym_primitive_type] = ACTIONS(3278),
    [anon_sym_enum] = ACTIONS(3278),
    [anon_sym_class] = ACTIONS(3278),
    [anon_sym_struct] = ACTIONS(3278),
    [anon_sym_union] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(3278),
    [anon_sym_case] = ACTIONS(3278),
    [anon_sym_default] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_do] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3278),
    [anon_sym_return] = ACTIONS(3278),
    [anon_sym_break] = ACTIONS(3278),
    [anon_sym_continue] = ACTIONS(3278),
    [anon_sym_goto] = ACTIONS(3278),
    [anon_sym_not] = ACTIONS(3278),
    [anon_sym_compl] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3280),
    [anon_sym_PLUS_PLUS] = ACTIONS(3280),
    [anon_sym_sizeof] = ACTIONS(3278),
    [anon_sym___alignof__] = ACTIONS(3278),
    [anon_sym___alignof] = ACTIONS(3278),
    [anon_sym__alignof] = ACTIONS(3278),
    [anon_sym_alignof] = ACTIONS(3278),
    [anon_sym__Alignof] = ACTIONS(3278),
    [anon_sym_offsetof] = ACTIONS(3278),
    [anon_sym__Generic] = ACTIONS(3278),
    [anon_sym_asm] = ACTIONS(3278),
    [anon_sym___asm__] = ACTIONS(3278),
    [sym_number_literal] = ACTIONS(3280),
    [anon_sym_L_SQUOTE] = ACTIONS(3280),
    [anon_sym_u_SQUOTE] = ACTIONS(3280),
    [anon_sym_U_SQUOTE] = ACTIONS(3280),
    [anon_sym_u8_SQUOTE] = ACTIONS(3280),
    [anon_sym_SQUOTE] = ACTIONS(3280),
    [anon_sym_L_DQUOTE] = ACTIONS(3280),
    [anon_sym_u_DQUOTE] = ACTIONS(3280),
    [anon_sym_U_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8_DQUOTE] = ACTIONS(3280),
    [anon_sym_DQUOTE] = ACTIONS(3280),
    [sym_true] = ACTIONS(3278),
    [sym_false] = ACTIONS(3278),
    [anon_sym_NULL] = ACTIONS(3278),
    [anon_sym_nullptr] = ACTIONS(3278),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3278),
    [anon_sym_decltype] = ACTIONS(3278),
    [anon_sym_virtual] = ACTIONS(3278),
    [anon_sym_alignas] = ACTIONS(3278),
    [anon_sym_explicit] = ACTIONS(3278),
    [anon_sym_typename] = ACTIONS(3278),
    [anon_sym_template] = ACTIONS(3278),
    [anon_sym_operator] = ACTIONS(3278),
    [anon_sym_try] = ACTIONS(3278),
    [anon_sym_delete] = ACTIONS(3278),
    [anon_sym_throw] = ACTIONS(3278),
    [anon_sym_namespace] = ACTIONS(3278),
    [anon_sym_using] = ACTIONS(3278),
    [anon_sym_static_assert] = ACTIONS(3278),
    [anon_sym_concept] = ACTIONS(3278),
    [anon_sym_co_return] = ACTIONS(3278),
    [anon_sym_co_yield] = ACTIONS(3278),
    [anon_sym_R_DQUOTE] = ACTIONS(3280),
    [anon_sym_LR_DQUOTE] = ACTIONS(3280),
    [anon_sym_uR_DQUOTE] = ACTIONS(3280),
    [anon_sym_UR_DQUOTE] = ACTIONS(3280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3280),
    [anon_sym_co_await] = ACTIONS(3278),
    [anon_sym_new] = ACTIONS(3278),
    [anon_sym_requires] = ACTIONS(3278),
    [sym_this] = ACTIONS(3278),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(3318),
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_include_token1] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym___cdecl] = ACTIONS(3316),
    [anon_sym___clrcall] = ACTIONS(3316),
    [anon_sym___stdcall] = ACTIONS(3316),
    [anon_sym___fastcall] = ACTIONS(3316),
    [anon_sym___thiscall] = ACTIONS(3316),
    [anon_sym___vectorcall] = ACTIONS(3316),
    [anon_sym_LBRACE] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_if] = ACTIONS(3316),
    [anon_sym_switch] = ACTIONS(3316),
    [anon_sym_case] = ACTIONS(3316),
    [anon_sym_default] = ACTIONS(3316),
    [anon_sym_while] = ACTIONS(3316),
    [anon_sym_do] = ACTIONS(3316),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_return] = ACTIONS(3316),
    [anon_sym_break] = ACTIONS(3316),
    [anon_sym_continue] = ACTIONS(3316),
    [anon_sym_goto] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_try] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_throw] = ACTIONS(3316),
    [anon_sym_namespace] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
    [anon_sym_concept] = ACTIONS(3316),
    [anon_sym_co_return] = ACTIONS(3316),
    [anon_sym_co_yield] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [1043] = {
    [sym_preproc_def] = STATE(1047),
    [sym_preproc_function_def] = STATE(1047),
    [sym_preproc_call] = STATE(1047),
    [sym_preproc_if_in_field_declaration_list] = STATE(1047),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1047),
    [sym_type_definition] = STATE(1047),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1047),
    [sym_field_declaration] = STATE(1047),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1047),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1047),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1047),
    [sym_operator_cast_declaration] = STATE(1047),
    [sym_constructor_or_destructor_definition] = STATE(1047),
    [sym_constructor_or_destructor_declaration] = STATE(1047),
    [sym_friend_declaration] = STATE(1047),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1047),
    [sym_alias_declaration] = STATE(1047),
    [sym_static_assert_declaration] = STATE(1047),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1047),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3839),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(3377),
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_include_token1] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym___cdecl] = ACTIONS(3375),
    [anon_sym___clrcall] = ACTIONS(3375),
    [anon_sym___stdcall] = ACTIONS(3375),
    [anon_sym___fastcall] = ACTIONS(3375),
    [anon_sym___thiscall] = ACTIONS(3375),
    [anon_sym___vectorcall] = ACTIONS(3375),
    [anon_sym_LBRACE] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(3375),
    [anon_sym_switch] = ACTIONS(3375),
    [anon_sym_case] = ACTIONS(3375),
    [anon_sym_default] = ACTIONS(3375),
    [anon_sym_while] = ACTIONS(3375),
    [anon_sym_do] = ACTIONS(3375),
    [anon_sym_for] = ACTIONS(3375),
    [anon_sym_return] = ACTIONS(3375),
    [anon_sym_break] = ACTIONS(3375),
    [anon_sym_continue] = ACTIONS(3375),
    [anon_sym_goto] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_throw] = ACTIONS(3375),
    [anon_sym_namespace] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
    [anon_sym_concept] = ACTIONS(3375),
    [anon_sym_co_return] = ACTIONS(3375),
    [anon_sym_co_yield] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [1045] = {
    [sym_preproc_def] = STATE(1019),
    [sym_preproc_function_def] = STATE(1019),
    [sym_preproc_call] = STATE(1019),
    [sym_preproc_if_in_field_declaration_list] = STATE(1019),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1019),
    [sym_type_definition] = STATE(1019),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1019),
    [sym_field_declaration] = STATE(1019),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1019),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1019),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1019),
    [sym_operator_cast_declaration] = STATE(1019),
    [sym_constructor_or_destructor_definition] = STATE(1019),
    [sym_constructor_or_destructor_declaration] = STATE(1019),
    [sym_friend_declaration] = STATE(1019),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1019),
    [sym_alias_declaration] = STATE(1019),
    [sym_static_assert_declaration] = STATE(1019),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3841),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(3322),
    [sym_identifier] = ACTIONS(3320),
    [aux_sym_preproc_include_token1] = ACTIONS(3320),
    [aux_sym_preproc_def_token1] = ACTIONS(3320),
    [aux_sym_preproc_if_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3320),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3320),
    [sym_preproc_directive] = ACTIONS(3320),
    [anon_sym_LPAREN2] = ACTIONS(3322),
    [anon_sym_BANG] = ACTIONS(3322),
    [anon_sym_TILDE] = ACTIONS(3322),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_STAR] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3322),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym___extension__] = ACTIONS(3320),
    [anon_sym_typedef] = ACTIONS(3320),
    [anon_sym_extern] = ACTIONS(3320),
    [anon_sym___attribute__] = ACTIONS(3320),
    [anon_sym_COLON_COLON] = ACTIONS(3322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3322),
    [anon_sym___declspec] = ACTIONS(3320),
    [anon_sym___based] = ACTIONS(3320),
    [anon_sym___cdecl] = ACTIONS(3320),
    [anon_sym___clrcall] = ACTIONS(3320),
    [anon_sym___stdcall] = ACTIONS(3320),
    [anon_sym___fastcall] = ACTIONS(3320),
    [anon_sym___thiscall] = ACTIONS(3320),
    [anon_sym___vectorcall] = ACTIONS(3320),
    [anon_sym_LBRACE] = ACTIONS(3322),
    [anon_sym_signed] = ACTIONS(3320),
    [anon_sym_unsigned] = ACTIONS(3320),
    [anon_sym_long] = ACTIONS(3320),
    [anon_sym_short] = ACTIONS(3320),
    [anon_sym_LBRACK] = ACTIONS(3320),
    [anon_sym_static] = ACTIONS(3320),
    [anon_sym_register] = ACTIONS(3320),
    [anon_sym_inline] = ACTIONS(3320),
    [anon_sym___inline] = ACTIONS(3320),
    [anon_sym___inline__] = ACTIONS(3320),
    [anon_sym___forceinline] = ACTIONS(3320),
    [anon_sym_thread_local] = ACTIONS(3320),
    [anon_sym___thread] = ACTIONS(3320),
    [anon_sym_const] = ACTIONS(3320),
    [anon_sym_constexpr] = ACTIONS(3320),
    [anon_sym_volatile] = ACTIONS(3320),
    [anon_sym_restrict] = ACTIONS(3320),
    [anon_sym___restrict__] = ACTIONS(3320),
    [anon_sym__Atomic] = ACTIONS(3320),
    [anon_sym__Noreturn] = ACTIONS(3320),
    [anon_sym_noreturn] = ACTIONS(3320),
    [anon_sym_mutable] = ACTIONS(3320),
    [anon_sym_constinit] = ACTIONS(3320),
    [anon_sym_consteval] = ACTIONS(3320),
    [sym_primitive_type] = ACTIONS(3320),
    [anon_sym_enum] = ACTIONS(3320),
    [anon_sym_class] = ACTIONS(3320),
    [anon_sym_struct] = ACTIONS(3320),
    [anon_sym_union] = ACTIONS(3320),
    [anon_sym_if] = ACTIONS(3320),
    [anon_sym_switch] = ACTIONS(3320),
    [anon_sym_case] = ACTIONS(3320),
    [anon_sym_default] = ACTIONS(3320),
    [anon_sym_while] = ACTIONS(3320),
    [anon_sym_do] = ACTIONS(3320),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_return] = ACTIONS(3320),
    [anon_sym_break] = ACTIONS(3320),
    [anon_sym_continue] = ACTIONS(3320),
    [anon_sym_goto] = ACTIONS(3320),
    [anon_sym_not] = ACTIONS(3320),
    [anon_sym_compl] = ACTIONS(3320),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_sizeof] = ACTIONS(3320),
    [anon_sym___alignof__] = ACTIONS(3320),
    [anon_sym___alignof] = ACTIONS(3320),
    [anon_sym__alignof] = ACTIONS(3320),
    [anon_sym_alignof] = ACTIONS(3320),
    [anon_sym__Alignof] = ACTIONS(3320),
    [anon_sym_offsetof] = ACTIONS(3320),
    [anon_sym__Generic] = ACTIONS(3320),
    [anon_sym_asm] = ACTIONS(3320),
    [anon_sym___asm__] = ACTIONS(3320),
    [sym_number_literal] = ACTIONS(3322),
    [anon_sym_L_SQUOTE] = ACTIONS(3322),
    [anon_sym_u_SQUOTE] = ACTIONS(3322),
    [anon_sym_U_SQUOTE] = ACTIONS(3322),
    [anon_sym_u8_SQUOTE] = ACTIONS(3322),
    [anon_sym_SQUOTE] = ACTIONS(3322),
    [anon_sym_L_DQUOTE] = ACTIONS(3322),
    [anon_sym_u_DQUOTE] = ACTIONS(3322),
    [anon_sym_U_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8_DQUOTE] = ACTIONS(3322),
    [anon_sym_DQUOTE] = ACTIONS(3322),
    [sym_true] = ACTIONS(3320),
    [sym_false] = ACTIONS(3320),
    [anon_sym_NULL] = ACTIONS(3320),
    [anon_sym_nullptr] = ACTIONS(3320),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3320),
    [anon_sym_decltype] = ACTIONS(3320),
    [anon_sym_virtual] = ACTIONS(3320),
    [anon_sym_alignas] = ACTIONS(3320),
    [anon_sym_explicit] = ACTIONS(3320),
    [anon_sym_typename] = ACTIONS(3320),
    [anon_sym_template] = ACTIONS(3320),
    [anon_sym_operator] = ACTIONS(3320),
    [anon_sym_try] = ACTIONS(3320),
    [anon_sym_delete] = ACTIONS(3320),
    [anon_sym_throw] = ACTIONS(3320),
    [anon_sym_namespace] = ACTIONS(3320),
    [anon_sym_using] = ACTIONS(3320),
    [anon_sym_static_assert] = ACTIONS(3320),
    [anon_sym_concept] = ACTIONS(3320),
    [anon_sym_co_return] = ACTIONS(3320),
    [anon_sym_co_yield] = ACTIONS(3320),
    [anon_sym_R_DQUOTE] = ACTIONS(3322),
    [anon_sym_LR_DQUOTE] = ACTIONS(3322),
    [anon_sym_uR_DQUOTE] = ACTIONS(3322),
    [anon_sym_UR_DQUOTE] = ACTIONS(3322),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3322),
    [anon_sym_co_await] = ACTIONS(3320),
    [anon_sym_new] = ACTIONS(3320),
    [anon_sym_requires] = ACTIONS(3320),
    [sym_this] = ACTIONS(3320),
  },
  [1047] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3843),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(3347),
    [sym_identifier] = ACTIONS(3345),
    [aux_sym_preproc_include_token1] = ACTIONS(3345),
    [aux_sym_preproc_def_token1] = ACTIONS(3345),
    [aux_sym_preproc_if_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3345),
    [sym_preproc_directive] = ACTIONS(3345),
    [anon_sym_LPAREN2] = ACTIONS(3347),
    [anon_sym_BANG] = ACTIONS(3347),
    [anon_sym_TILDE] = ACTIONS(3347),
    [anon_sym_DASH] = ACTIONS(3345),
    [anon_sym_PLUS] = ACTIONS(3345),
    [anon_sym_STAR] = ACTIONS(3347),
    [anon_sym_AMP_AMP] = ACTIONS(3347),
    [anon_sym_AMP] = ACTIONS(3345),
    [anon_sym___extension__] = ACTIONS(3345),
    [anon_sym_typedef] = ACTIONS(3345),
    [anon_sym_extern] = ACTIONS(3345),
    [anon_sym___attribute__] = ACTIONS(3345),
    [anon_sym_COLON_COLON] = ACTIONS(3347),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3347),
    [anon_sym___declspec] = ACTIONS(3345),
    [anon_sym___based] = ACTIONS(3345),
    [anon_sym___cdecl] = ACTIONS(3345),
    [anon_sym___clrcall] = ACTIONS(3345),
    [anon_sym___stdcall] = ACTIONS(3345),
    [anon_sym___fastcall] = ACTIONS(3345),
    [anon_sym___thiscall] = ACTIONS(3345),
    [anon_sym___vectorcall] = ACTIONS(3345),
    [anon_sym_LBRACE] = ACTIONS(3347),
    [anon_sym_signed] = ACTIONS(3345),
    [anon_sym_unsigned] = ACTIONS(3345),
    [anon_sym_long] = ACTIONS(3345),
    [anon_sym_short] = ACTIONS(3345),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_static] = ACTIONS(3345),
    [anon_sym_register] = ACTIONS(3345),
    [anon_sym_inline] = ACTIONS(3345),
    [anon_sym___inline] = ACTIONS(3345),
    [anon_sym___inline__] = ACTIONS(3345),
    [anon_sym___forceinline] = ACTIONS(3345),
    [anon_sym_thread_local] = ACTIONS(3345),
    [anon_sym___thread] = ACTIONS(3345),
    [anon_sym_const] = ACTIONS(3345),
    [anon_sym_constexpr] = ACTIONS(3345),
    [anon_sym_volatile] = ACTIONS(3345),
    [anon_sym_restrict] = ACTIONS(3345),
    [anon_sym___restrict__] = ACTIONS(3345),
    [anon_sym__Atomic] = ACTIONS(3345),
    [anon_sym__Noreturn] = ACTIONS(3345),
    [anon_sym_noreturn] = ACTIONS(3345),
    [anon_sym_mutable] = ACTIONS(3345),
    [anon_sym_constinit] = ACTIONS(3345),
    [anon_sym_consteval] = ACTIONS(3345),
    [sym_primitive_type] = ACTIONS(3345),
    [anon_sym_enum] = ACTIONS(3345),
    [anon_sym_class] = ACTIONS(3345),
    [anon_sym_struct] = ACTIONS(3345),
    [anon_sym_union] = ACTIONS(3345),
    [anon_sym_if] = ACTIONS(3345),
    [anon_sym_switch] = ACTIONS(3345),
    [anon_sym_case] = ACTIONS(3345),
    [anon_sym_default] = ACTIONS(3345),
    [anon_sym_while] = ACTIONS(3345),
    [anon_sym_do] = ACTIONS(3345),
    [anon_sym_for] = ACTIONS(3345),
    [anon_sym_return] = ACTIONS(3345),
    [anon_sym_break] = ACTIONS(3345),
    [anon_sym_continue] = ACTIONS(3345),
    [anon_sym_goto] = ACTIONS(3345),
    [anon_sym_not] = ACTIONS(3345),
    [anon_sym_compl] = ACTIONS(3345),
    [anon_sym_DASH_DASH] = ACTIONS(3347),
    [anon_sym_PLUS_PLUS] = ACTIONS(3347),
    [anon_sym_sizeof] = ACTIONS(3345),
    [anon_sym___alignof__] = ACTIONS(3345),
    [anon_sym___alignof] = ACTIONS(3345),
    [anon_sym__alignof] = ACTIONS(3345),
    [anon_sym_alignof] = ACTIONS(3345),
    [anon_sym__Alignof] = ACTIONS(3345),
    [anon_sym_offsetof] = ACTIONS(3345),
    [anon_sym__Generic] = ACTIONS(3345),
    [anon_sym_asm] = ACTIONS(3345),
    [anon_sym___asm__] = ACTIONS(3345),
    [sym_number_literal] = ACTIONS(3347),
    [anon_sym_L_SQUOTE] = ACTIONS(3347),
    [anon_sym_u_SQUOTE] = ACTIONS(3347),
    [anon_sym_U_SQUOTE] = ACTIONS(3347),
    [anon_sym_u8_SQUOTE] = ACTIONS(3347),
    [anon_sym_SQUOTE] = ACTIONS(3347),
    [anon_sym_L_DQUOTE] = ACTIONS(3347),
    [anon_sym_u_DQUOTE] = ACTIONS(3347),
    [anon_sym_U_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8_DQUOTE] = ACTIONS(3347),
    [anon_sym_DQUOTE] = ACTIONS(3347),
    [sym_true] = ACTIONS(3345),
    [sym_false] = ACTIONS(3345),
    [anon_sym_NULL] = ACTIONS(3345),
    [anon_sym_nullptr] = ACTIONS(3345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3345),
    [anon_sym_decltype] = ACTIONS(3345),
    [anon_sym_virtual] = ACTIONS(3345),
    [anon_sym_alignas] = ACTIONS(3345),
    [anon_sym_explicit] = ACTIONS(3345),
    [anon_sym_typename] = ACTIONS(3345),
    [anon_sym_template] = ACTIONS(3345),
    [anon_sym_operator] = ACTIONS(3345),
    [anon_sym_try] = ACTIONS(3345),
    [anon_sym_delete] = ACTIONS(3345),
    [anon_sym_throw] = ACTIONS(3345),
    [anon_sym_namespace] = ACTIONS(3345),
    [anon_sym_using] = ACTIONS(3345),
    [anon_sym_static_assert] = ACTIONS(3345),
    [anon_sym_concept] = ACTIONS(3345),
    [anon_sym_co_return] = ACTIONS(3345),
    [anon_sym_co_yield] = ACTIONS(3345),
    [anon_sym_R_DQUOTE] = ACTIONS(3347),
    [anon_sym_LR_DQUOTE] = ACTIONS(3347),
    [anon_sym_uR_DQUOTE] = ACTIONS(3347),
    [anon_sym_UR_DQUOTE] = ACTIONS(3347),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3347),
    [anon_sym_co_await] = ACTIONS(3345),
    [anon_sym_new] = ACTIONS(3345),
    [anon_sym_requires] = ACTIONS(3345),
    [sym_this] = ACTIONS(3345),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(3101),
    [sym_identifier] = ACTIONS(3099),
    [aux_sym_preproc_include_token1] = ACTIONS(3099),
    [aux_sym_preproc_def_token1] = ACTIONS(3099),
    [aux_sym_preproc_if_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3099),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3099),
    [sym_preproc_directive] = ACTIONS(3099),
    [anon_sym_LPAREN2] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(3101),
    [anon_sym_TILDE] = ACTIONS(3101),
    [anon_sym_DASH] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3101),
    [anon_sym_AMP_AMP] = ACTIONS(3101),
    [anon_sym_AMP] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3099),
    [anon_sym_typedef] = ACTIONS(3099),
    [anon_sym_extern] = ACTIONS(3099),
    [anon_sym___attribute__] = ACTIONS(3099),
    [anon_sym_COLON_COLON] = ACTIONS(3101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3101),
    [anon_sym___declspec] = ACTIONS(3099),
    [anon_sym___based] = ACTIONS(3099),
    [anon_sym___cdecl] = ACTIONS(3099),
    [anon_sym___clrcall] = ACTIONS(3099),
    [anon_sym___stdcall] = ACTIONS(3099),
    [anon_sym___fastcall] = ACTIONS(3099),
    [anon_sym___thiscall] = ACTIONS(3099),
    [anon_sym___vectorcall] = ACTIONS(3099),
    [anon_sym_LBRACE] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3099),
    [anon_sym_unsigned] = ACTIONS(3099),
    [anon_sym_long] = ACTIONS(3099),
    [anon_sym_short] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_static] = ACTIONS(3099),
    [anon_sym_register] = ACTIONS(3099),
    [anon_sym_inline] = ACTIONS(3099),
    [anon_sym___inline] = ACTIONS(3099),
    [anon_sym___inline__] = ACTIONS(3099),
    [anon_sym___forceinline] = ACTIONS(3099),
    [anon_sym_thread_local] = ACTIONS(3099),
    [anon_sym___thread] = ACTIONS(3099),
    [anon_sym_const] = ACTIONS(3099),
    [anon_sym_constexpr] = ACTIONS(3099),
    [anon_sym_volatile] = ACTIONS(3099),
    [anon_sym_restrict] = ACTIONS(3099),
    [anon_sym___restrict__] = ACTIONS(3099),
    [anon_sym__Atomic] = ACTIONS(3099),
    [anon_sym__Noreturn] = ACTIONS(3099),
    [anon_sym_noreturn] = ACTIONS(3099),
    [anon_sym_mutable] = ACTIONS(3099),
    [anon_sym_constinit] = ACTIONS(3099),
    [anon_sym_consteval] = ACTIONS(3099),
    [sym_primitive_type] = ACTIONS(3099),
    [anon_sym_enum] = ACTIONS(3099),
    [anon_sym_class] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(3099),
    [anon_sym_union] = ACTIONS(3099),
    [anon_sym_if] = ACTIONS(3099),
    [anon_sym_switch] = ACTIONS(3099),
    [anon_sym_case] = ACTIONS(3099),
    [anon_sym_default] = ACTIONS(3099),
    [anon_sym_while] = ACTIONS(3099),
    [anon_sym_do] = ACTIONS(3099),
    [anon_sym_for] = ACTIONS(3099),
    [anon_sym_return] = ACTIONS(3099),
    [anon_sym_break] = ACTIONS(3099),
    [anon_sym_continue] = ACTIONS(3099),
    [anon_sym_goto] = ACTIONS(3099),
    [anon_sym_not] = ACTIONS(3099),
    [anon_sym_compl] = ACTIONS(3099),
    [anon_sym_DASH_DASH] = ACTIONS(3101),
    [anon_sym_PLUS_PLUS] = ACTIONS(3101),
    [anon_sym_sizeof] = ACTIONS(3099),
    [anon_sym___alignof__] = ACTIONS(3099),
    [anon_sym___alignof] = ACTIONS(3099),
    [anon_sym__alignof] = ACTIONS(3099),
    [anon_sym_alignof] = ACTIONS(3099),
    [anon_sym__Alignof] = ACTIONS(3099),
    [anon_sym_offsetof] = ACTIONS(3099),
    [anon_sym__Generic] = ACTIONS(3099),
    [anon_sym_asm] = ACTIONS(3099),
    [anon_sym___asm__] = ACTIONS(3099),
    [sym_number_literal] = ACTIONS(3101),
    [anon_sym_L_SQUOTE] = ACTIONS(3101),
    [anon_sym_u_SQUOTE] = ACTIONS(3101),
    [anon_sym_U_SQUOTE] = ACTIONS(3101),
    [anon_sym_u8_SQUOTE] = ACTIONS(3101),
    [anon_sym_SQUOTE] = ACTIONS(3101),
    [anon_sym_L_DQUOTE] = ACTIONS(3101),
    [anon_sym_u_DQUOTE] = ACTIONS(3101),
    [anon_sym_U_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8_DQUOTE] = ACTIONS(3101),
    [anon_sym_DQUOTE] = ACTIONS(3101),
    [sym_true] = ACTIONS(3099),
    [sym_false] = ACTIONS(3099),
    [anon_sym_NULL] = ACTIONS(3099),
    [anon_sym_nullptr] = ACTIONS(3099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3099),
    [anon_sym_decltype] = ACTIONS(3099),
    [anon_sym_virtual] = ACTIONS(3099),
    [anon_sym_alignas] = ACTIONS(3099),
    [anon_sym_explicit] = ACTIONS(3099),
    [anon_sym_typename] = ACTIONS(3099),
    [anon_sym_template] = ACTIONS(3099),
    [anon_sym_operator] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_delete] = ACTIONS(3099),
    [anon_sym_throw] = ACTIONS(3099),
    [anon_sym_namespace] = ACTIONS(3099),
    [anon_sym_using] = ACTIONS(3099),
    [anon_sym_static_assert] = ACTIONS(3099),
    [anon_sym_concept] = ACTIONS(3099),
    [anon_sym_co_return] = ACTIONS(3099),
    [anon_sym_co_yield] = ACTIONS(3099),
    [anon_sym_R_DQUOTE] = ACTIONS(3101),
    [anon_sym_LR_DQUOTE] = ACTIONS(3101),
    [anon_sym_uR_DQUOTE] = ACTIONS(3101),
    [anon_sym_UR_DQUOTE] = ACTIONS(3101),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3101),
    [anon_sym_co_await] = ACTIONS(3099),
    [anon_sym_new] = ACTIONS(3099),
    [anon_sym_requires] = ACTIONS(3099),
    [sym_this] = ACTIONS(3099),
  },
  [1050] = {
    [sym_preproc_def] = STATE(1050),
    [sym_preproc_function_def] = STATE(1050),
    [sym_preproc_call] = STATE(1050),
    [sym_preproc_if_in_field_declaration_list] = STATE(1050),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1050),
    [sym_type_definition] = STATE(1050),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7060),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1050),
    [sym_field_declaration] = STATE(1050),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2110),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1050),
    [sym_operator_cast] = STATE(7481),
    [sym_inline_method_definition] = STATE(1050),
    [sym__constructor_specifiers] = STATE(2110),
    [sym_operator_cast_definition] = STATE(1050),
    [sym_operator_cast_declaration] = STATE(1050),
    [sym_constructor_or_destructor_definition] = STATE(1050),
    [sym_constructor_or_destructor_declaration] = STATE(1050),
    [sym_friend_declaration] = STATE(1050),
    [sym_access_specifier] = STATE(9123),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1050),
    [sym_alias_declaration] = STATE(1050),
    [sym_static_assert_declaration] = STATE(1050),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7481),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1050),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(3561),
    [aux_sym_preproc_def_token1] = ACTIONS(3845),
    [aux_sym_preproc_if_token1] = ACTIONS(3848),
    [aux_sym_preproc_if_token2] = ACTIONS(3570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3851),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3851),
    [sym_preproc_directive] = ACTIONS(3854),
    [anon_sym_LPAREN2] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_STAR] = ACTIONS(3584),
    [anon_sym_AMP_AMP] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(3857),
    [anon_sym_typedef] = ACTIONS(3860),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym___attribute__] = ACTIONS(3602),
    [anon_sym_COLON_COLON] = ACTIONS(3605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3608),
    [anon_sym___declspec] = ACTIONS(3611),
    [anon_sym___based] = ACTIONS(3614),
    [anon_sym_signed] = ACTIONS(3617),
    [anon_sym_unsigned] = ACTIONS(3617),
    [anon_sym_long] = ACTIONS(3617),
    [anon_sym_short] = ACTIONS(3617),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_register] = ACTIONS(3599),
    [anon_sym_inline] = ACTIONS(3599),
    [anon_sym___inline] = ACTIONS(3599),
    [anon_sym___inline__] = ACTIONS(3599),
    [anon_sym___forceinline] = ACTIONS(3599),
    [anon_sym_thread_local] = ACTIONS(3599),
    [anon_sym___thread] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3623),
    [anon_sym_constexpr] = ACTIONS(3623),
    [anon_sym_volatile] = ACTIONS(3623),
    [anon_sym_restrict] = ACTIONS(3623),
    [anon_sym___restrict__] = ACTIONS(3623),
    [anon_sym__Atomic] = ACTIONS(3623),
    [anon_sym__Noreturn] = ACTIONS(3623),
    [anon_sym_noreturn] = ACTIONS(3623),
    [anon_sym_mutable] = ACTIONS(3623),
    [anon_sym_constinit] = ACTIONS(3623),
    [anon_sym_consteval] = ACTIONS(3623),
    [sym_primitive_type] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3629),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_struct] = ACTIONS(3635),
    [anon_sym_union] = ACTIONS(3638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3641),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_virtual] = ACTIONS(3647),
    [anon_sym_alignas] = ACTIONS(3650),
    [anon_sym_explicit] = ACTIONS(3653),
    [anon_sym_typename] = ACTIONS(3656),
    [anon_sym_template] = ACTIONS(3863),
    [anon_sym_operator] = ACTIONS(3662),
    [anon_sym_friend] = ACTIONS(3866),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3869),
    [anon_sym_static_assert] = ACTIONS(3872),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(3079),
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [1052] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3875),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(3218),
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_include_token1] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_BANG] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym___cdecl] = ACTIONS(3216),
    [anon_sym___clrcall] = ACTIONS(3216),
    [anon_sym___stdcall] = ACTIONS(3216),
    [anon_sym___fastcall] = ACTIONS(3216),
    [anon_sym___thiscall] = ACTIONS(3216),
    [anon_sym___vectorcall] = ACTIONS(3216),
    [anon_sym_LBRACE] = ACTIONS(3218),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [anon_sym_if] = ACTIONS(3216),
    [anon_sym_switch] = ACTIONS(3216),
    [anon_sym_case] = ACTIONS(3216),
    [anon_sym_default] = ACTIONS(3216),
    [anon_sym_while] = ACTIONS(3216),
    [anon_sym_do] = ACTIONS(3216),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_return] = ACTIONS(3216),
    [anon_sym_break] = ACTIONS(3216),
    [anon_sym_continue] = ACTIONS(3216),
    [anon_sym_goto] = ACTIONS(3216),
    [anon_sym_not] = ACTIONS(3216),
    [anon_sym_compl] = ACTIONS(3216),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_sizeof] = ACTIONS(3216),
    [anon_sym___alignof__] = ACTIONS(3216),
    [anon_sym___alignof] = ACTIONS(3216),
    [anon_sym__alignof] = ACTIONS(3216),
    [anon_sym_alignof] = ACTIONS(3216),
    [anon_sym__Alignof] = ACTIONS(3216),
    [anon_sym_offsetof] = ACTIONS(3216),
    [anon_sym__Generic] = ACTIONS(3216),
    [anon_sym_asm] = ACTIONS(3216),
    [anon_sym___asm__] = ACTIONS(3216),
    [sym_number_literal] = ACTIONS(3218),
    [anon_sym_L_SQUOTE] = ACTIONS(3218),
    [anon_sym_u_SQUOTE] = ACTIONS(3218),
    [anon_sym_U_SQUOTE] = ACTIONS(3218),
    [anon_sym_u8_SQUOTE] = ACTIONS(3218),
    [anon_sym_SQUOTE] = ACTIONS(3218),
    [anon_sym_L_DQUOTE] = ACTIONS(3218),
    [anon_sym_u_DQUOTE] = ACTIONS(3218),
    [anon_sym_U_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8_DQUOTE] = ACTIONS(3218),
    [anon_sym_DQUOTE] = ACTIONS(3218),
    [sym_true] = ACTIONS(3216),
    [sym_false] = ACTIONS(3216),
    [anon_sym_NULL] = ACTIONS(3216),
    [anon_sym_nullptr] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_try] = ACTIONS(3216),
    [anon_sym_delete] = ACTIONS(3216),
    [anon_sym_throw] = ACTIONS(3216),
    [anon_sym_namespace] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
    [anon_sym_concept] = ACTIONS(3216),
    [anon_sym_co_return] = ACTIONS(3216),
    [anon_sym_co_yield] = ACTIONS(3216),
    [anon_sym_R_DQUOTE] = ACTIONS(3218),
    [anon_sym_LR_DQUOTE] = ACTIONS(3218),
    [anon_sym_uR_DQUOTE] = ACTIONS(3218),
    [anon_sym_UR_DQUOTE] = ACTIONS(3218),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3218),
    [anon_sym_co_await] = ACTIONS(3216),
    [anon_sym_new] = ACTIONS(3216),
    [anon_sym_requires] = ACTIONS(3216),
    [sym_this] = ACTIONS(3216),
  },
  [1054] = {
    [ts_builtin_sym_end] = ACTIONS(3270),
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_include_token1] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_BANG] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym___cdecl] = ACTIONS(3268),
    [anon_sym___clrcall] = ACTIONS(3268),
    [anon_sym___stdcall] = ACTIONS(3268),
    [anon_sym___fastcall] = ACTIONS(3268),
    [anon_sym___thiscall] = ACTIONS(3268),
    [anon_sym___vectorcall] = ACTIONS(3268),
    [anon_sym_LBRACE] = ACTIONS(3270),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [anon_sym_if] = ACTIONS(3268),
    [anon_sym_switch] = ACTIONS(3268),
    [anon_sym_case] = ACTIONS(3268),
    [anon_sym_default] = ACTIONS(3268),
    [anon_sym_while] = ACTIONS(3268),
    [anon_sym_do] = ACTIONS(3268),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_return] = ACTIONS(3268),
    [anon_sym_break] = ACTIONS(3268),
    [anon_sym_continue] = ACTIONS(3268),
    [anon_sym_goto] = ACTIONS(3268),
    [anon_sym_not] = ACTIONS(3268),
    [anon_sym_compl] = ACTIONS(3268),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_sizeof] = ACTIONS(3268),
    [anon_sym___alignof__] = ACTIONS(3268),
    [anon_sym___alignof] = ACTIONS(3268),
    [anon_sym__alignof] = ACTIONS(3268),
    [anon_sym_alignof] = ACTIONS(3268),
    [anon_sym__Alignof] = ACTIONS(3268),
    [anon_sym_offsetof] = ACTIONS(3268),
    [anon_sym__Generic] = ACTIONS(3268),
    [anon_sym_asm] = ACTIONS(3268),
    [anon_sym___asm__] = ACTIONS(3268),
    [sym_number_literal] = ACTIONS(3270),
    [anon_sym_L_SQUOTE] = ACTIONS(3270),
    [anon_sym_u_SQUOTE] = ACTIONS(3270),
    [anon_sym_U_SQUOTE] = ACTIONS(3270),
    [anon_sym_u8_SQUOTE] = ACTIONS(3270),
    [anon_sym_SQUOTE] = ACTIONS(3270),
    [anon_sym_L_DQUOTE] = ACTIONS(3270),
    [anon_sym_u_DQUOTE] = ACTIONS(3270),
    [anon_sym_U_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8_DQUOTE] = ACTIONS(3270),
    [anon_sym_DQUOTE] = ACTIONS(3270),
    [sym_true] = ACTIONS(3268),
    [sym_false] = ACTIONS(3268),
    [anon_sym_NULL] = ACTIONS(3268),
    [anon_sym_nullptr] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_try] = ACTIONS(3268),
    [anon_sym_delete] = ACTIONS(3268),
    [anon_sym_throw] = ACTIONS(3268),
    [anon_sym_namespace] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
    [anon_sym_concept] = ACTIONS(3268),
    [anon_sym_co_return] = ACTIONS(3268),
    [anon_sym_co_yield] = ACTIONS(3268),
    [anon_sym_R_DQUOTE] = ACTIONS(3270),
    [anon_sym_LR_DQUOTE] = ACTIONS(3270),
    [anon_sym_uR_DQUOTE] = ACTIONS(3270),
    [anon_sym_UR_DQUOTE] = ACTIONS(3270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3270),
    [anon_sym_co_await] = ACTIONS(3268),
    [anon_sym_new] = ACTIONS(3268),
    [anon_sym_requires] = ACTIONS(3268),
    [sym_this] = ACTIONS(3268),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(3087),
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_include_token1] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_DASH] = ACTIONS(3085),
    [anon_sym_PLUS] = ACTIONS(3085),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym___cdecl] = ACTIONS(3085),
    [anon_sym___clrcall] = ACTIONS(3085),
    [anon_sym___stdcall] = ACTIONS(3085),
    [anon_sym___fastcall] = ACTIONS(3085),
    [anon_sym___thiscall] = ACTIONS(3085),
    [anon_sym___vectorcall] = ACTIONS(3085),
    [anon_sym_LBRACE] = ACTIONS(3087),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_if] = ACTIONS(3085),
    [anon_sym_switch] = ACTIONS(3085),
    [anon_sym_case] = ACTIONS(3085),
    [anon_sym_default] = ACTIONS(3085),
    [anon_sym_while] = ACTIONS(3085),
    [anon_sym_do] = ACTIONS(3085),
    [anon_sym_for] = ACTIONS(3085),
    [anon_sym_return] = ACTIONS(3085),
    [anon_sym_break] = ACTIONS(3085),
    [anon_sym_continue] = ACTIONS(3085),
    [anon_sym_goto] = ACTIONS(3085),
    [anon_sym_not] = ACTIONS(3085),
    [anon_sym_compl] = ACTIONS(3085),
    [anon_sym_DASH_DASH] = ACTIONS(3087),
    [anon_sym_PLUS_PLUS] = ACTIONS(3087),
    [anon_sym_sizeof] = ACTIONS(3085),
    [anon_sym___alignof__] = ACTIONS(3085),
    [anon_sym___alignof] = ACTIONS(3085),
    [anon_sym__alignof] = ACTIONS(3085),
    [anon_sym_alignof] = ACTIONS(3085),
    [anon_sym__Alignof] = ACTIONS(3085),
    [anon_sym_offsetof] = ACTIONS(3085),
    [anon_sym__Generic] = ACTIONS(3085),
    [anon_sym_asm] = ACTIONS(3085),
    [anon_sym___asm__] = ACTIONS(3085),
    [sym_number_literal] = ACTIONS(3087),
    [anon_sym_L_SQUOTE] = ACTIONS(3087),
    [anon_sym_u_SQUOTE] = ACTIONS(3087),
    [anon_sym_U_SQUOTE] = ACTIONS(3087),
    [anon_sym_u8_SQUOTE] = ACTIONS(3087),
    [anon_sym_SQUOTE] = ACTIONS(3087),
    [anon_sym_L_DQUOTE] = ACTIONS(3087),
    [anon_sym_u_DQUOTE] = ACTIONS(3087),
    [anon_sym_U_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8_DQUOTE] = ACTIONS(3087),
    [anon_sym_DQUOTE] = ACTIONS(3087),
    [sym_true] = ACTIONS(3085),
    [sym_false] = ACTIONS(3085),
    [anon_sym_NULL] = ACTIONS(3085),
    [anon_sym_nullptr] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_delete] = ACTIONS(3085),
    [anon_sym_throw] = ACTIONS(3085),
    [anon_sym_namespace] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
    [anon_sym_concept] = ACTIONS(3085),
    [anon_sym_co_return] = ACTIONS(3085),
    [anon_sym_co_yield] = ACTIONS(3085),
    [anon_sym_R_DQUOTE] = ACTIONS(3087),
    [anon_sym_LR_DQUOTE] = ACTIONS(3087),
    [anon_sym_uR_DQUOTE] = ACTIONS(3087),
    [anon_sym_UR_DQUOTE] = ACTIONS(3087),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3087),
    [anon_sym_co_await] = ACTIONS(3085),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_requires] = ACTIONS(3085),
    [sym_this] = ACTIONS(3085),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [1057] = {
    [ts_builtin_sym_end] = ACTIONS(3158),
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [1058] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3877),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(3879),
    [sym_identifier] = ACTIONS(3881),
    [aux_sym_preproc_include_token1] = ACTIONS(3881),
    [aux_sym_preproc_def_token1] = ACTIONS(3881),
    [aux_sym_preproc_if_token1] = ACTIONS(3881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3881),
    [sym_preproc_directive] = ACTIONS(3881),
    [anon_sym_LPAREN2] = ACTIONS(3879),
    [anon_sym_BANG] = ACTIONS(3879),
    [anon_sym_TILDE] = ACTIONS(3879),
    [anon_sym_DASH] = ACTIONS(3881),
    [anon_sym_PLUS] = ACTIONS(3881),
    [anon_sym_STAR] = ACTIONS(3879),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_AMP] = ACTIONS(3881),
    [anon_sym___extension__] = ACTIONS(3881),
    [anon_sym_typedef] = ACTIONS(3881),
    [anon_sym_extern] = ACTIONS(3881),
    [anon_sym___attribute__] = ACTIONS(3881),
    [anon_sym_COLON_COLON] = ACTIONS(3879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3879),
    [anon_sym___declspec] = ACTIONS(3881),
    [anon_sym___based] = ACTIONS(3881),
    [anon_sym___cdecl] = ACTIONS(3881),
    [anon_sym___clrcall] = ACTIONS(3881),
    [anon_sym___stdcall] = ACTIONS(3881),
    [anon_sym___fastcall] = ACTIONS(3881),
    [anon_sym___thiscall] = ACTIONS(3881),
    [anon_sym___vectorcall] = ACTIONS(3881),
    [anon_sym_LBRACE] = ACTIONS(3879),
    [anon_sym_signed] = ACTIONS(3881),
    [anon_sym_unsigned] = ACTIONS(3881),
    [anon_sym_long] = ACTIONS(3881),
    [anon_sym_short] = ACTIONS(3881),
    [anon_sym_LBRACK] = ACTIONS(3881),
    [anon_sym_static] = ACTIONS(3881),
    [anon_sym_register] = ACTIONS(3881),
    [anon_sym_inline] = ACTIONS(3881),
    [anon_sym___inline] = ACTIONS(3881),
    [anon_sym___inline__] = ACTIONS(3881),
    [anon_sym___forceinline] = ACTIONS(3881),
    [anon_sym_thread_local] = ACTIONS(3881),
    [anon_sym___thread] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3881),
    [anon_sym_constexpr] = ACTIONS(3881),
    [anon_sym_volatile] = ACTIONS(3881),
    [anon_sym_restrict] = ACTIONS(3881),
    [anon_sym___restrict__] = ACTIONS(3881),
    [anon_sym__Atomic] = ACTIONS(3881),
    [anon_sym__Noreturn] = ACTIONS(3881),
    [anon_sym_noreturn] = ACTIONS(3881),
    [anon_sym_mutable] = ACTIONS(3881),
    [anon_sym_constinit] = ACTIONS(3881),
    [anon_sym_consteval] = ACTIONS(3881),
    [sym_primitive_type] = ACTIONS(3881),
    [anon_sym_enum] = ACTIONS(3881),
    [anon_sym_class] = ACTIONS(3881),
    [anon_sym_struct] = ACTIONS(3881),
    [anon_sym_union] = ACTIONS(3881),
    [anon_sym_if] = ACTIONS(3881),
    [anon_sym_switch] = ACTIONS(3881),
    [anon_sym_case] = ACTIONS(3881),
    [anon_sym_default] = ACTIONS(3881),
    [anon_sym_while] = ACTIONS(3881),
    [anon_sym_do] = ACTIONS(3881),
    [anon_sym_for] = ACTIONS(3881),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_break] = ACTIONS(3881),
    [anon_sym_continue] = ACTIONS(3881),
    [anon_sym_goto] = ACTIONS(3881),
    [anon_sym_not] = ACTIONS(3881),
    [anon_sym_compl] = ACTIONS(3881),
    [anon_sym_DASH_DASH] = ACTIONS(3879),
    [anon_sym_PLUS_PLUS] = ACTIONS(3879),
    [anon_sym_sizeof] = ACTIONS(3881),
    [anon_sym___alignof__] = ACTIONS(3881),
    [anon_sym___alignof] = ACTIONS(3881),
    [anon_sym__alignof] = ACTIONS(3881),
    [anon_sym_alignof] = ACTIONS(3881),
    [anon_sym__Alignof] = ACTIONS(3881),
    [anon_sym_offsetof] = ACTIONS(3881),
    [anon_sym__Generic] = ACTIONS(3881),
    [anon_sym_asm] = ACTIONS(3881),
    [anon_sym___asm__] = ACTIONS(3881),
    [sym_number_literal] = ACTIONS(3879),
    [anon_sym_L_SQUOTE] = ACTIONS(3879),
    [anon_sym_u_SQUOTE] = ACTIONS(3879),
    [anon_sym_U_SQUOTE] = ACTIONS(3879),
    [anon_sym_u8_SQUOTE] = ACTIONS(3879),
    [anon_sym_SQUOTE] = ACTIONS(3879),
    [anon_sym_L_DQUOTE] = ACTIONS(3879),
    [anon_sym_u_DQUOTE] = ACTIONS(3879),
    [anon_sym_U_DQUOTE] = ACTIONS(3879),
    [anon_sym_u8_DQUOTE] = ACTIONS(3879),
    [anon_sym_DQUOTE] = ACTIONS(3879),
    [sym_true] = ACTIONS(3881),
    [sym_false] = ACTIONS(3881),
    [anon_sym_NULL] = ACTIONS(3881),
    [anon_sym_nullptr] = ACTIONS(3881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3881),
    [anon_sym_decltype] = ACTIONS(3881),
    [anon_sym_virtual] = ACTIONS(3881),
    [anon_sym_alignas] = ACTIONS(3881),
    [anon_sym_explicit] = ACTIONS(3881),
    [anon_sym_typename] = ACTIONS(3881),
    [anon_sym_template] = ACTIONS(3881),
    [anon_sym_operator] = ACTIONS(3881),
    [anon_sym_try] = ACTIONS(3881),
    [anon_sym_delete] = ACTIONS(3881),
    [anon_sym_throw] = ACTIONS(3881),
    [anon_sym_namespace] = ACTIONS(3881),
    [anon_sym_using] = ACTIONS(3881),
    [anon_sym_static_assert] = ACTIONS(3881),
    [anon_sym_concept] = ACTIONS(3881),
    [anon_sym_co_return] = ACTIONS(3881),
    [anon_sym_co_yield] = ACTIONS(3881),
    [anon_sym_R_DQUOTE] = ACTIONS(3879),
    [anon_sym_LR_DQUOTE] = ACTIONS(3879),
    [anon_sym_uR_DQUOTE] = ACTIONS(3879),
    [anon_sym_UR_DQUOTE] = ACTIONS(3879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3879),
    [anon_sym_co_await] = ACTIONS(3881),
    [anon_sym_new] = ACTIONS(3881),
    [anon_sym_requires] = ACTIONS(3881),
    [sym_this] = ACTIONS(3881),
  },
  [1060] = {
    [sym_preproc_def] = STATE(1038),
    [sym_preproc_function_def] = STATE(1038),
    [sym_preproc_call] = STATE(1038),
    [sym_preproc_if_in_field_declaration_list] = STATE(1038),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1038),
    [sym_type_definition] = STATE(1038),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1038),
    [sym_field_declaration] = STATE(1038),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1038),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1038),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1038),
    [sym_operator_cast_declaration] = STATE(1038),
    [sym_constructor_or_destructor_definition] = STATE(1038),
    [sym_constructor_or_destructor_declaration] = STATE(1038),
    [sym_friend_declaration] = STATE(1038),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1038),
    [sym_alias_declaration] = STATE(1038),
    [sym_static_assert_declaration] = STATE(1038),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1038),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3883),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1061] = {
    [sym_preproc_def] = STATE(1094),
    [sym_preproc_function_def] = STATE(1094),
    [sym_preproc_call] = STATE(1094),
    [sym_preproc_if_in_field_declaration_list] = STATE(1094),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1094),
    [sym_type_definition] = STATE(1094),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1094),
    [sym_field_declaration] = STATE(1094),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1094),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1094),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1094),
    [sym_operator_cast_declaration] = STATE(1094),
    [sym_constructor_or_destructor_definition] = STATE(1094),
    [sym_constructor_or_destructor_declaration] = STATE(1094),
    [sym_friend_declaration] = STATE(1094),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1094),
    [sym_alias_declaration] = STATE(1094),
    [sym_static_assert_declaration] = STATE(1094),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1094),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3885),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1062] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3561),
    [aux_sym_preproc_def_token1] = ACTIONS(3887),
    [aux_sym_preproc_if_token1] = ACTIONS(3890),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3893),
    [sym_preproc_directive] = ACTIONS(3896),
    [anon_sym_LPAREN2] = ACTIONS(3578),
    [anon_sym_TILDE] = ACTIONS(3581),
    [anon_sym_STAR] = ACTIONS(3584),
    [anon_sym_AMP_AMP] = ACTIONS(3587),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym___extension__] = ACTIONS(3899),
    [anon_sym_typedef] = ACTIONS(3902),
    [anon_sym_extern] = ACTIONS(3599),
    [anon_sym___attribute__] = ACTIONS(3602),
    [anon_sym_COLON_COLON] = ACTIONS(3605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3608),
    [anon_sym___declspec] = ACTIONS(3611),
    [anon_sym___based] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(3905),
    [anon_sym_signed] = ACTIONS(3617),
    [anon_sym_unsigned] = ACTIONS(3617),
    [anon_sym_long] = ACTIONS(3617),
    [anon_sym_short] = ACTIONS(3617),
    [anon_sym_LBRACK] = ACTIONS(3620),
    [anon_sym_static] = ACTIONS(3599),
    [anon_sym_register] = ACTIONS(3599),
    [anon_sym_inline] = ACTIONS(3599),
    [anon_sym___inline] = ACTIONS(3599),
    [anon_sym___inline__] = ACTIONS(3599),
    [anon_sym___forceinline] = ACTIONS(3599),
    [anon_sym_thread_local] = ACTIONS(3599),
    [anon_sym___thread] = ACTIONS(3599),
    [anon_sym_const] = ACTIONS(3623),
    [anon_sym_constexpr] = ACTIONS(3623),
    [anon_sym_volatile] = ACTIONS(3623),
    [anon_sym_restrict] = ACTIONS(3623),
    [anon_sym___restrict__] = ACTIONS(3623),
    [anon_sym__Atomic] = ACTIONS(3623),
    [anon_sym__Noreturn] = ACTIONS(3623),
    [anon_sym_noreturn] = ACTIONS(3623),
    [anon_sym_mutable] = ACTIONS(3623),
    [anon_sym_constinit] = ACTIONS(3623),
    [anon_sym_consteval] = ACTIONS(3623),
    [sym_primitive_type] = ACTIONS(3626),
    [anon_sym_enum] = ACTIONS(3629),
    [anon_sym_class] = ACTIONS(3632),
    [anon_sym_struct] = ACTIONS(3635),
    [anon_sym_union] = ACTIONS(3638),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3641),
    [anon_sym_decltype] = ACTIONS(3644),
    [anon_sym_virtual] = ACTIONS(3647),
    [anon_sym_alignas] = ACTIONS(3650),
    [anon_sym_explicit] = ACTIONS(3653),
    [anon_sym_typename] = ACTIONS(3656),
    [anon_sym_template] = ACTIONS(3907),
    [anon_sym_operator] = ACTIONS(3662),
    [anon_sym_friend] = ACTIONS(3910),
    [anon_sym_public] = ACTIONS(3668),
    [anon_sym_private] = ACTIONS(3668),
    [anon_sym_protected] = ACTIONS(3668),
    [anon_sym_using] = ACTIONS(3913),
    [anon_sym_static_assert] = ACTIONS(3916),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(3083),
    [sym_identifier] = ACTIONS(3081),
    [aux_sym_preproc_include_token1] = ACTIONS(3081),
    [aux_sym_preproc_def_token1] = ACTIONS(3081),
    [aux_sym_preproc_if_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3081),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3081),
    [sym_preproc_directive] = ACTIONS(3081),
    [anon_sym_LPAREN2] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(3083),
    [anon_sym_TILDE] = ACTIONS(3083),
    [anon_sym_DASH] = ACTIONS(3081),
    [anon_sym_PLUS] = ACTIONS(3081),
    [anon_sym_STAR] = ACTIONS(3083),
    [anon_sym_AMP_AMP] = ACTIONS(3083),
    [anon_sym_AMP] = ACTIONS(3081),
    [anon_sym___extension__] = ACTIONS(3081),
    [anon_sym_typedef] = ACTIONS(3081),
    [anon_sym_extern] = ACTIONS(3081),
    [anon_sym___attribute__] = ACTIONS(3081),
    [anon_sym_COLON_COLON] = ACTIONS(3083),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3083),
    [anon_sym___declspec] = ACTIONS(3081),
    [anon_sym___based] = ACTIONS(3081),
    [anon_sym___cdecl] = ACTIONS(3081),
    [anon_sym___clrcall] = ACTIONS(3081),
    [anon_sym___stdcall] = ACTIONS(3081),
    [anon_sym___fastcall] = ACTIONS(3081),
    [anon_sym___thiscall] = ACTIONS(3081),
    [anon_sym___vectorcall] = ACTIONS(3081),
    [anon_sym_LBRACE] = ACTIONS(3083),
    [anon_sym_signed] = ACTIONS(3081),
    [anon_sym_unsigned] = ACTIONS(3081),
    [anon_sym_long] = ACTIONS(3081),
    [anon_sym_short] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(3081),
    [anon_sym_static] = ACTIONS(3081),
    [anon_sym_register] = ACTIONS(3081),
    [anon_sym_inline] = ACTIONS(3081),
    [anon_sym___inline] = ACTIONS(3081),
    [anon_sym___inline__] = ACTIONS(3081),
    [anon_sym___forceinline] = ACTIONS(3081),
    [anon_sym_thread_local] = ACTIONS(3081),
    [anon_sym___thread] = ACTIONS(3081),
    [anon_sym_const] = ACTIONS(3081),
    [anon_sym_constexpr] = ACTIONS(3081),
    [anon_sym_volatile] = ACTIONS(3081),
    [anon_sym_restrict] = ACTIONS(3081),
    [anon_sym___restrict__] = ACTIONS(3081),
    [anon_sym__Atomic] = ACTIONS(3081),
    [anon_sym__Noreturn] = ACTIONS(3081),
    [anon_sym_noreturn] = ACTIONS(3081),
    [anon_sym_mutable] = ACTIONS(3081),
    [anon_sym_constinit] = ACTIONS(3081),
    [anon_sym_consteval] = ACTIONS(3081),
    [sym_primitive_type] = ACTIONS(3081),
    [anon_sym_enum] = ACTIONS(3081),
    [anon_sym_class] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(3081),
    [anon_sym_union] = ACTIONS(3081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_switch] = ACTIONS(3081),
    [anon_sym_case] = ACTIONS(3081),
    [anon_sym_default] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(3081),
    [anon_sym_do] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(3081),
    [anon_sym_return] = ACTIONS(3081),
    [anon_sym_break] = ACTIONS(3081),
    [anon_sym_continue] = ACTIONS(3081),
    [anon_sym_goto] = ACTIONS(3081),
    [anon_sym_not] = ACTIONS(3081),
    [anon_sym_compl] = ACTIONS(3081),
    [anon_sym_DASH_DASH] = ACTIONS(3083),
    [anon_sym_PLUS_PLUS] = ACTIONS(3083),
    [anon_sym_sizeof] = ACTIONS(3081),
    [anon_sym___alignof__] = ACTIONS(3081),
    [anon_sym___alignof] = ACTIONS(3081),
    [anon_sym__alignof] = ACTIONS(3081),
    [anon_sym_alignof] = ACTIONS(3081),
    [anon_sym__Alignof] = ACTIONS(3081),
    [anon_sym_offsetof] = ACTIONS(3081),
    [anon_sym__Generic] = ACTIONS(3081),
    [anon_sym_asm] = ACTIONS(3081),
    [anon_sym___asm__] = ACTIONS(3081),
    [sym_number_literal] = ACTIONS(3083),
    [anon_sym_L_SQUOTE] = ACTIONS(3083),
    [anon_sym_u_SQUOTE] = ACTIONS(3083),
    [anon_sym_U_SQUOTE] = ACTIONS(3083),
    [anon_sym_u8_SQUOTE] = ACTIONS(3083),
    [anon_sym_SQUOTE] = ACTIONS(3083),
    [anon_sym_L_DQUOTE] = ACTIONS(3083),
    [anon_sym_u_DQUOTE] = ACTIONS(3083),
    [anon_sym_U_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8_DQUOTE] = ACTIONS(3083),
    [anon_sym_DQUOTE] = ACTIONS(3083),
    [sym_true] = ACTIONS(3081),
    [sym_false] = ACTIONS(3081),
    [anon_sym_NULL] = ACTIONS(3081),
    [anon_sym_nullptr] = ACTIONS(3081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3081),
    [anon_sym_decltype] = ACTIONS(3081),
    [anon_sym_virtual] = ACTIONS(3081),
    [anon_sym_alignas] = ACTIONS(3081),
    [anon_sym_explicit] = ACTIONS(3081),
    [anon_sym_typename] = ACTIONS(3081),
    [anon_sym_template] = ACTIONS(3081),
    [anon_sym_operator] = ACTIONS(3081),
    [anon_sym_try] = ACTIONS(3081),
    [anon_sym_delete] = ACTIONS(3081),
    [anon_sym_throw] = ACTIONS(3081),
    [anon_sym_namespace] = ACTIONS(3081),
    [anon_sym_using] = ACTIONS(3081),
    [anon_sym_static_assert] = ACTIONS(3081),
    [anon_sym_concept] = ACTIONS(3081),
    [anon_sym_co_return] = ACTIONS(3081),
    [anon_sym_co_yield] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(3083),
    [anon_sym_LR_DQUOTE] = ACTIONS(3083),
    [anon_sym_uR_DQUOTE] = ACTIONS(3083),
    [anon_sym_UR_DQUOTE] = ACTIONS(3083),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3083),
    [anon_sym_co_await] = ACTIONS(3081),
    [anon_sym_new] = ACTIONS(3081),
    [anon_sym_requires] = ACTIONS(3081),
    [sym_this] = ACTIONS(3081),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(3389),
    [sym_identifier] = ACTIONS(3387),
    [aux_sym_preproc_include_token1] = ACTIONS(3387),
    [aux_sym_preproc_def_token1] = ACTIONS(3387),
    [aux_sym_preproc_if_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3387),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3387),
    [sym_preproc_directive] = ACTIONS(3387),
    [anon_sym_LPAREN2] = ACTIONS(3389),
    [anon_sym_BANG] = ACTIONS(3389),
    [anon_sym_TILDE] = ACTIONS(3389),
    [anon_sym_DASH] = ACTIONS(3387),
    [anon_sym_PLUS] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(3389),
    [anon_sym_AMP_AMP] = ACTIONS(3389),
    [anon_sym_AMP] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3387),
    [anon_sym_typedef] = ACTIONS(3387),
    [anon_sym_extern] = ACTIONS(3387),
    [anon_sym___attribute__] = ACTIONS(3387),
    [anon_sym_COLON_COLON] = ACTIONS(3389),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3389),
    [anon_sym___declspec] = ACTIONS(3387),
    [anon_sym___based] = ACTIONS(3387),
    [anon_sym___cdecl] = ACTIONS(3387),
    [anon_sym___clrcall] = ACTIONS(3387),
    [anon_sym___stdcall] = ACTIONS(3387),
    [anon_sym___fastcall] = ACTIONS(3387),
    [anon_sym___thiscall] = ACTIONS(3387),
    [anon_sym___vectorcall] = ACTIONS(3387),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3387),
    [anon_sym_unsigned] = ACTIONS(3387),
    [anon_sym_long] = ACTIONS(3387),
    [anon_sym_short] = ACTIONS(3387),
    [anon_sym_LBRACK] = ACTIONS(3387),
    [anon_sym_static] = ACTIONS(3387),
    [anon_sym_register] = ACTIONS(3387),
    [anon_sym_inline] = ACTIONS(3387),
    [anon_sym___inline] = ACTIONS(3387),
    [anon_sym___inline__] = ACTIONS(3387),
    [anon_sym___forceinline] = ACTIONS(3387),
    [anon_sym_thread_local] = ACTIONS(3387),
    [anon_sym___thread] = ACTIONS(3387),
    [anon_sym_const] = ACTIONS(3387),
    [anon_sym_constexpr] = ACTIONS(3387),
    [anon_sym_volatile] = ACTIONS(3387),
    [anon_sym_restrict] = ACTIONS(3387),
    [anon_sym___restrict__] = ACTIONS(3387),
    [anon_sym__Atomic] = ACTIONS(3387),
    [anon_sym__Noreturn] = ACTIONS(3387),
    [anon_sym_noreturn] = ACTIONS(3387),
    [anon_sym_mutable] = ACTIONS(3387),
    [anon_sym_constinit] = ACTIONS(3387),
    [anon_sym_consteval] = ACTIONS(3387),
    [sym_primitive_type] = ACTIONS(3387),
    [anon_sym_enum] = ACTIONS(3387),
    [anon_sym_class] = ACTIONS(3387),
    [anon_sym_struct] = ACTIONS(3387),
    [anon_sym_union] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_switch] = ACTIONS(3387),
    [anon_sym_case] = ACTIONS(3387),
    [anon_sym_default] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(3387),
    [anon_sym_do] = ACTIONS(3387),
    [anon_sym_for] = ACTIONS(3387),
    [anon_sym_return] = ACTIONS(3387),
    [anon_sym_break] = ACTIONS(3387),
    [anon_sym_continue] = ACTIONS(3387),
    [anon_sym_goto] = ACTIONS(3387),
    [anon_sym_not] = ACTIONS(3387),
    [anon_sym_compl] = ACTIONS(3387),
    [anon_sym_DASH_DASH] = ACTIONS(3389),
    [anon_sym_PLUS_PLUS] = ACTIONS(3389),
    [anon_sym_sizeof] = ACTIONS(3387),
    [anon_sym___alignof__] = ACTIONS(3387),
    [anon_sym___alignof] = ACTIONS(3387),
    [anon_sym__alignof] = ACTIONS(3387),
    [anon_sym_alignof] = ACTIONS(3387),
    [anon_sym__Alignof] = ACTIONS(3387),
    [anon_sym_offsetof] = ACTIONS(3387),
    [anon_sym__Generic] = ACTIONS(3387),
    [anon_sym_asm] = ACTIONS(3387),
    [anon_sym___asm__] = ACTIONS(3387),
    [sym_number_literal] = ACTIONS(3389),
    [anon_sym_L_SQUOTE] = ACTIONS(3389),
    [anon_sym_u_SQUOTE] = ACTIONS(3389),
    [anon_sym_U_SQUOTE] = ACTIONS(3389),
    [anon_sym_u8_SQUOTE] = ACTIONS(3389),
    [anon_sym_SQUOTE] = ACTIONS(3389),
    [anon_sym_L_DQUOTE] = ACTIONS(3389),
    [anon_sym_u_DQUOTE] = ACTIONS(3389),
    [anon_sym_U_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8_DQUOTE] = ACTIONS(3389),
    [anon_sym_DQUOTE] = ACTIONS(3389),
    [sym_true] = ACTIONS(3387),
    [sym_false] = ACTIONS(3387),
    [anon_sym_NULL] = ACTIONS(3387),
    [anon_sym_nullptr] = ACTIONS(3387),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3387),
    [anon_sym_decltype] = ACTIONS(3387),
    [anon_sym_virtual] = ACTIONS(3387),
    [anon_sym_alignas] = ACTIONS(3387),
    [anon_sym_explicit] = ACTIONS(3387),
    [anon_sym_typename] = ACTIONS(3387),
    [anon_sym_template] = ACTIONS(3387),
    [anon_sym_operator] = ACTIONS(3387),
    [anon_sym_try] = ACTIONS(3387),
    [anon_sym_delete] = ACTIONS(3387),
    [anon_sym_throw] = ACTIONS(3387),
    [anon_sym_namespace] = ACTIONS(3387),
    [anon_sym_using] = ACTIONS(3387),
    [anon_sym_static_assert] = ACTIONS(3387),
    [anon_sym_concept] = ACTIONS(3387),
    [anon_sym_co_return] = ACTIONS(3387),
    [anon_sym_co_yield] = ACTIONS(3387),
    [anon_sym_R_DQUOTE] = ACTIONS(3389),
    [anon_sym_LR_DQUOTE] = ACTIONS(3389),
    [anon_sym_uR_DQUOTE] = ACTIONS(3389),
    [anon_sym_UR_DQUOTE] = ACTIONS(3389),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3389),
    [anon_sym_co_await] = ACTIONS(3387),
    [anon_sym_new] = ACTIONS(3387),
    [anon_sym_requires] = ACTIONS(3387),
    [sym_this] = ACTIONS(3387),
  },
  [1065] = {
    [sym_preproc_def] = STATE(1050),
    [sym_preproc_function_def] = STATE(1050),
    [sym_preproc_call] = STATE(1050),
    [sym_preproc_if_in_field_declaration_list] = STATE(1050),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1050),
    [sym_type_definition] = STATE(1050),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7060),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1050),
    [sym_field_declaration] = STATE(1050),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2110),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1050),
    [sym_operator_cast] = STATE(7481),
    [sym_inline_method_definition] = STATE(1050),
    [sym__constructor_specifiers] = STATE(2110),
    [sym_operator_cast_definition] = STATE(1050),
    [sym_operator_cast_declaration] = STATE(1050),
    [sym_constructor_or_destructor_definition] = STATE(1050),
    [sym_constructor_or_destructor_declaration] = STATE(1050),
    [sym_friend_declaration] = STATE(1050),
    [sym_access_specifier] = STATE(9123),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1050),
    [sym_alias_declaration] = STATE(1050),
    [sym_static_assert_declaration] = STATE(1050),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7481),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1050),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3921),
    [aux_sym_preproc_if_token2] = ACTIONS(3923),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3925),
    [sym_preproc_directive] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3929),
    [anon_sym_typedef] = ACTIONS(3931),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3933),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3935),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3937),
    [anon_sym_static_assert] = ACTIONS(3939),
  },
  [1066] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3941),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(3276),
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_include_token1] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_BANG] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_DASH] = ACTIONS(3274),
    [anon_sym_PLUS] = ACTIONS(3274),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym___cdecl] = ACTIONS(3274),
    [anon_sym___clrcall] = ACTIONS(3274),
    [anon_sym___stdcall] = ACTIONS(3274),
    [anon_sym___fastcall] = ACTIONS(3274),
    [anon_sym___thiscall] = ACTIONS(3274),
    [anon_sym___vectorcall] = ACTIONS(3274),
    [anon_sym_LBRACE] = ACTIONS(3276),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_switch] = ACTIONS(3274),
    [anon_sym_case] = ACTIONS(3274),
    [anon_sym_default] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_do] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3274),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_break] = ACTIONS(3274),
    [anon_sym_continue] = ACTIONS(3274),
    [anon_sym_goto] = ACTIONS(3274),
    [anon_sym_not] = ACTIONS(3274),
    [anon_sym_compl] = ACTIONS(3274),
    [anon_sym_DASH_DASH] = ACTIONS(3276),
    [anon_sym_PLUS_PLUS] = ACTIONS(3276),
    [anon_sym_sizeof] = ACTIONS(3274),
    [anon_sym___alignof__] = ACTIONS(3274),
    [anon_sym___alignof] = ACTIONS(3274),
    [anon_sym__alignof] = ACTIONS(3274),
    [anon_sym_alignof] = ACTIONS(3274),
    [anon_sym__Alignof] = ACTIONS(3274),
    [anon_sym_offsetof] = ACTIONS(3274),
    [anon_sym__Generic] = ACTIONS(3274),
    [anon_sym_asm] = ACTIONS(3274),
    [anon_sym___asm__] = ACTIONS(3274),
    [sym_number_literal] = ACTIONS(3276),
    [anon_sym_L_SQUOTE] = ACTIONS(3276),
    [anon_sym_u_SQUOTE] = ACTIONS(3276),
    [anon_sym_U_SQUOTE] = ACTIONS(3276),
    [anon_sym_u8_SQUOTE] = ACTIONS(3276),
    [anon_sym_SQUOTE] = ACTIONS(3276),
    [anon_sym_L_DQUOTE] = ACTIONS(3276),
    [anon_sym_u_DQUOTE] = ACTIONS(3276),
    [anon_sym_U_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8_DQUOTE] = ACTIONS(3276),
    [anon_sym_DQUOTE] = ACTIONS(3276),
    [sym_true] = ACTIONS(3274),
    [sym_false] = ACTIONS(3274),
    [anon_sym_NULL] = ACTIONS(3274),
    [anon_sym_nullptr] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_try] = ACTIONS(3274),
    [anon_sym_delete] = ACTIONS(3274),
    [anon_sym_throw] = ACTIONS(3274),
    [anon_sym_namespace] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
    [anon_sym_concept] = ACTIONS(3274),
    [anon_sym_co_return] = ACTIONS(3274),
    [anon_sym_co_yield] = ACTIONS(3274),
    [anon_sym_R_DQUOTE] = ACTIONS(3276),
    [anon_sym_LR_DQUOTE] = ACTIONS(3276),
    [anon_sym_uR_DQUOTE] = ACTIONS(3276),
    [anon_sym_UR_DQUOTE] = ACTIONS(3276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3276),
    [anon_sym_co_await] = ACTIONS(3274),
    [anon_sym_new] = ACTIONS(3274),
    [anon_sym_requires] = ACTIONS(3274),
    [sym_this] = ACTIONS(3274),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [1069] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(3210),
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_include_token1] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_BANG] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym___cdecl] = ACTIONS(3208),
    [anon_sym___clrcall] = ACTIONS(3208),
    [anon_sym___stdcall] = ACTIONS(3208),
    [anon_sym___fastcall] = ACTIONS(3208),
    [anon_sym___thiscall] = ACTIONS(3208),
    [anon_sym___vectorcall] = ACTIONS(3208),
    [anon_sym_LBRACE] = ACTIONS(3210),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [anon_sym_if] = ACTIONS(3208),
    [anon_sym_switch] = ACTIONS(3208),
    [anon_sym_case] = ACTIONS(3208),
    [anon_sym_default] = ACTIONS(3208),
    [anon_sym_while] = ACTIONS(3208),
    [anon_sym_do] = ACTIONS(3208),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_return] = ACTIONS(3208),
    [anon_sym_break] = ACTIONS(3208),
    [anon_sym_continue] = ACTIONS(3208),
    [anon_sym_goto] = ACTIONS(3208),
    [anon_sym_not] = ACTIONS(3208),
    [anon_sym_compl] = ACTIONS(3208),
    [anon_sym_DASH_DASH] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3210),
    [anon_sym_sizeof] = ACTIONS(3208),
    [anon_sym___alignof__] = ACTIONS(3208),
    [anon_sym___alignof] = ACTIONS(3208),
    [anon_sym__alignof] = ACTIONS(3208),
    [anon_sym_alignof] = ACTIONS(3208),
    [anon_sym__Alignof] = ACTIONS(3208),
    [anon_sym_offsetof] = ACTIONS(3208),
    [anon_sym__Generic] = ACTIONS(3208),
    [anon_sym_asm] = ACTIONS(3208),
    [anon_sym___asm__] = ACTIONS(3208),
    [sym_number_literal] = ACTIONS(3210),
    [anon_sym_L_SQUOTE] = ACTIONS(3210),
    [anon_sym_u_SQUOTE] = ACTIONS(3210),
    [anon_sym_U_SQUOTE] = ACTIONS(3210),
    [anon_sym_u8_SQUOTE] = ACTIONS(3210),
    [anon_sym_SQUOTE] = ACTIONS(3210),
    [anon_sym_L_DQUOTE] = ACTIONS(3210),
    [anon_sym_u_DQUOTE] = ACTIONS(3210),
    [anon_sym_U_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8_DQUOTE] = ACTIONS(3210),
    [anon_sym_DQUOTE] = ACTIONS(3210),
    [sym_true] = ACTIONS(3208),
    [sym_false] = ACTIONS(3208),
    [anon_sym_NULL] = ACTIONS(3208),
    [anon_sym_nullptr] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_try] = ACTIONS(3208),
    [anon_sym_delete] = ACTIONS(3208),
    [anon_sym_throw] = ACTIONS(3208),
    [anon_sym_namespace] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
    [anon_sym_concept] = ACTIONS(3208),
    [anon_sym_co_return] = ACTIONS(3208),
    [anon_sym_co_yield] = ACTIONS(3208),
    [anon_sym_R_DQUOTE] = ACTIONS(3210),
    [anon_sym_LR_DQUOTE] = ACTIONS(3210),
    [anon_sym_uR_DQUOTE] = ACTIONS(3210),
    [anon_sym_UR_DQUOTE] = ACTIONS(3210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3210),
    [anon_sym_co_await] = ACTIONS(3208),
    [anon_sym_new] = ACTIONS(3208),
    [anon_sym_requires] = ACTIONS(3208),
    [sym_this] = ACTIONS(3208),
  },
  [1071] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3943),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1072] = {
    [ts_builtin_sym_end] = ACTIONS(3373),
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_include_token1] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_BANG] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(3371),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym___cdecl] = ACTIONS(3371),
    [anon_sym___clrcall] = ACTIONS(3371),
    [anon_sym___stdcall] = ACTIONS(3371),
    [anon_sym___fastcall] = ACTIONS(3371),
    [anon_sym___thiscall] = ACTIONS(3371),
    [anon_sym___vectorcall] = ACTIONS(3371),
    [anon_sym_LBRACE] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_switch] = ACTIONS(3371),
    [anon_sym_case] = ACTIONS(3371),
    [anon_sym_default] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(3371),
    [anon_sym_do] = ACTIONS(3371),
    [anon_sym_for] = ACTIONS(3371),
    [anon_sym_return] = ACTIONS(3371),
    [anon_sym_break] = ACTIONS(3371),
    [anon_sym_continue] = ACTIONS(3371),
    [anon_sym_goto] = ACTIONS(3371),
    [anon_sym_not] = ACTIONS(3371),
    [anon_sym_compl] = ACTIONS(3371),
    [anon_sym_DASH_DASH] = ACTIONS(3373),
    [anon_sym_PLUS_PLUS] = ACTIONS(3373),
    [anon_sym_sizeof] = ACTIONS(3371),
    [anon_sym___alignof__] = ACTIONS(3371),
    [anon_sym___alignof] = ACTIONS(3371),
    [anon_sym__alignof] = ACTIONS(3371),
    [anon_sym_alignof] = ACTIONS(3371),
    [anon_sym__Alignof] = ACTIONS(3371),
    [anon_sym_offsetof] = ACTIONS(3371),
    [anon_sym__Generic] = ACTIONS(3371),
    [anon_sym_asm] = ACTIONS(3371),
    [anon_sym___asm__] = ACTIONS(3371),
    [sym_number_literal] = ACTIONS(3373),
    [anon_sym_L_SQUOTE] = ACTIONS(3373),
    [anon_sym_u_SQUOTE] = ACTIONS(3373),
    [anon_sym_U_SQUOTE] = ACTIONS(3373),
    [anon_sym_u8_SQUOTE] = ACTIONS(3373),
    [anon_sym_SQUOTE] = ACTIONS(3373),
    [anon_sym_L_DQUOTE] = ACTIONS(3373),
    [anon_sym_u_DQUOTE] = ACTIONS(3373),
    [anon_sym_U_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8_DQUOTE] = ACTIONS(3373),
    [anon_sym_DQUOTE] = ACTIONS(3373),
    [sym_true] = ACTIONS(3371),
    [sym_false] = ACTIONS(3371),
    [anon_sym_NULL] = ACTIONS(3371),
    [anon_sym_nullptr] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_try] = ACTIONS(3371),
    [anon_sym_delete] = ACTIONS(3371),
    [anon_sym_throw] = ACTIONS(3371),
    [anon_sym_namespace] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
    [anon_sym_concept] = ACTIONS(3371),
    [anon_sym_co_return] = ACTIONS(3371),
    [anon_sym_co_yield] = ACTIONS(3371),
    [anon_sym_R_DQUOTE] = ACTIONS(3373),
    [anon_sym_LR_DQUOTE] = ACTIONS(3373),
    [anon_sym_uR_DQUOTE] = ACTIONS(3373),
    [anon_sym_UR_DQUOTE] = ACTIONS(3373),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3373),
    [anon_sym_co_await] = ACTIONS(3371),
    [anon_sym_new] = ACTIONS(3371),
    [anon_sym_requires] = ACTIONS(3371),
    [sym_this] = ACTIONS(3371),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(3258),
    [sym_identifier] = ACTIONS(3256),
    [aux_sym_preproc_include_token1] = ACTIONS(3256),
    [aux_sym_preproc_def_token1] = ACTIONS(3256),
    [aux_sym_preproc_if_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3256),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3256),
    [sym_preproc_directive] = ACTIONS(3256),
    [anon_sym_LPAREN2] = ACTIONS(3258),
    [anon_sym_BANG] = ACTIONS(3258),
    [anon_sym_TILDE] = ACTIONS(3258),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_STAR] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3258),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym___extension__] = ACTIONS(3256),
    [anon_sym_typedef] = ACTIONS(3256),
    [anon_sym_extern] = ACTIONS(3256),
    [anon_sym___attribute__] = ACTIONS(3256),
    [anon_sym_COLON_COLON] = ACTIONS(3258),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3258),
    [anon_sym___declspec] = ACTIONS(3256),
    [anon_sym___based] = ACTIONS(3256),
    [anon_sym___cdecl] = ACTIONS(3256),
    [anon_sym___clrcall] = ACTIONS(3256),
    [anon_sym___stdcall] = ACTIONS(3256),
    [anon_sym___fastcall] = ACTIONS(3256),
    [anon_sym___thiscall] = ACTIONS(3256),
    [anon_sym___vectorcall] = ACTIONS(3256),
    [anon_sym_LBRACE] = ACTIONS(3258),
    [anon_sym_signed] = ACTIONS(3256),
    [anon_sym_unsigned] = ACTIONS(3256),
    [anon_sym_long] = ACTIONS(3256),
    [anon_sym_short] = ACTIONS(3256),
    [anon_sym_LBRACK] = ACTIONS(3256),
    [anon_sym_static] = ACTIONS(3256),
    [anon_sym_register] = ACTIONS(3256),
    [anon_sym_inline] = ACTIONS(3256),
    [anon_sym___inline] = ACTIONS(3256),
    [anon_sym___inline__] = ACTIONS(3256),
    [anon_sym___forceinline] = ACTIONS(3256),
    [anon_sym_thread_local] = ACTIONS(3256),
    [anon_sym___thread] = ACTIONS(3256),
    [anon_sym_const] = ACTIONS(3256),
    [anon_sym_constexpr] = ACTIONS(3256),
    [anon_sym_volatile] = ACTIONS(3256),
    [anon_sym_restrict] = ACTIONS(3256),
    [anon_sym___restrict__] = ACTIONS(3256),
    [anon_sym__Atomic] = ACTIONS(3256),
    [anon_sym__Noreturn] = ACTIONS(3256),
    [anon_sym_noreturn] = ACTIONS(3256),
    [anon_sym_mutable] = ACTIONS(3256),
    [anon_sym_constinit] = ACTIONS(3256),
    [anon_sym_consteval] = ACTIONS(3256),
    [sym_primitive_type] = ACTIONS(3256),
    [anon_sym_enum] = ACTIONS(3256),
    [anon_sym_class] = ACTIONS(3256),
    [anon_sym_struct] = ACTIONS(3256),
    [anon_sym_union] = ACTIONS(3256),
    [anon_sym_if] = ACTIONS(3256),
    [anon_sym_switch] = ACTIONS(3256),
    [anon_sym_case] = ACTIONS(3256),
    [anon_sym_default] = ACTIONS(3256),
    [anon_sym_while] = ACTIONS(3256),
    [anon_sym_do] = ACTIONS(3256),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_return] = ACTIONS(3256),
    [anon_sym_break] = ACTIONS(3256),
    [anon_sym_continue] = ACTIONS(3256),
    [anon_sym_goto] = ACTIONS(3256),
    [anon_sym_not] = ACTIONS(3256),
    [anon_sym_compl] = ACTIONS(3256),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_sizeof] = ACTIONS(3256),
    [anon_sym___alignof__] = ACTIONS(3256),
    [anon_sym___alignof] = ACTIONS(3256),
    [anon_sym__alignof] = ACTIONS(3256),
    [anon_sym_alignof] = ACTIONS(3256),
    [anon_sym__Alignof] = ACTIONS(3256),
    [anon_sym_offsetof] = ACTIONS(3256),
    [anon_sym__Generic] = ACTIONS(3256),
    [anon_sym_asm] = ACTIONS(3256),
    [anon_sym___asm__] = ACTIONS(3256),
    [sym_number_literal] = ACTIONS(3258),
    [anon_sym_L_SQUOTE] = ACTIONS(3258),
    [anon_sym_u_SQUOTE] = ACTIONS(3258),
    [anon_sym_U_SQUOTE] = ACTIONS(3258),
    [anon_sym_u8_SQUOTE] = ACTIONS(3258),
    [anon_sym_SQUOTE] = ACTIONS(3258),
    [anon_sym_L_DQUOTE] = ACTIONS(3258),
    [anon_sym_u_DQUOTE] = ACTIONS(3258),
    [anon_sym_U_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8_DQUOTE] = ACTIONS(3258),
    [anon_sym_DQUOTE] = ACTIONS(3258),
    [sym_true] = ACTIONS(3256),
    [sym_false] = ACTIONS(3256),
    [anon_sym_NULL] = ACTIONS(3256),
    [anon_sym_nullptr] = ACTIONS(3256),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3256),
    [anon_sym_decltype] = ACTIONS(3256),
    [anon_sym_virtual] = ACTIONS(3256),
    [anon_sym_alignas] = ACTIONS(3256),
    [anon_sym_explicit] = ACTIONS(3256),
    [anon_sym_typename] = ACTIONS(3256),
    [anon_sym_template] = ACTIONS(3256),
    [anon_sym_operator] = ACTIONS(3256),
    [anon_sym_try] = ACTIONS(3256),
    [anon_sym_delete] = ACTIONS(3256),
    [anon_sym_throw] = ACTIONS(3256),
    [anon_sym_namespace] = ACTIONS(3256),
    [anon_sym_using] = ACTIONS(3256),
    [anon_sym_static_assert] = ACTIONS(3256),
    [anon_sym_concept] = ACTIONS(3256),
    [anon_sym_co_return] = ACTIONS(3256),
    [anon_sym_co_yield] = ACTIONS(3256),
    [anon_sym_R_DQUOTE] = ACTIONS(3258),
    [anon_sym_LR_DQUOTE] = ACTIONS(3258),
    [anon_sym_uR_DQUOTE] = ACTIONS(3258),
    [anon_sym_UR_DQUOTE] = ACTIONS(3258),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3258),
    [anon_sym_co_await] = ACTIONS(3256),
    [anon_sym_new] = ACTIONS(3256),
    [anon_sym_requires] = ACTIONS(3256),
    [sym_this] = ACTIONS(3256),
  },
  [1074] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3945),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(3294),
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_include_token1] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_BANG] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym___cdecl] = ACTIONS(3292),
    [anon_sym___clrcall] = ACTIONS(3292),
    [anon_sym___stdcall] = ACTIONS(3292),
    [anon_sym___fastcall] = ACTIONS(3292),
    [anon_sym___thiscall] = ACTIONS(3292),
    [anon_sym___vectorcall] = ACTIONS(3292),
    [anon_sym_LBRACE] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [anon_sym_if] = ACTIONS(3292),
    [anon_sym_switch] = ACTIONS(3292),
    [anon_sym_case] = ACTIONS(3292),
    [anon_sym_default] = ACTIONS(3292),
    [anon_sym_while] = ACTIONS(3292),
    [anon_sym_do] = ACTIONS(3292),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_return] = ACTIONS(3292),
    [anon_sym_break] = ACTIONS(3292),
    [anon_sym_continue] = ACTIONS(3292),
    [anon_sym_goto] = ACTIONS(3292),
    [anon_sym_not] = ACTIONS(3292),
    [anon_sym_compl] = ACTIONS(3292),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_sizeof] = ACTIONS(3292),
    [anon_sym___alignof__] = ACTIONS(3292),
    [anon_sym___alignof] = ACTIONS(3292),
    [anon_sym__alignof] = ACTIONS(3292),
    [anon_sym_alignof] = ACTIONS(3292),
    [anon_sym__Alignof] = ACTIONS(3292),
    [anon_sym_offsetof] = ACTIONS(3292),
    [anon_sym__Generic] = ACTIONS(3292),
    [anon_sym_asm] = ACTIONS(3292),
    [anon_sym___asm__] = ACTIONS(3292),
    [sym_number_literal] = ACTIONS(3294),
    [anon_sym_L_SQUOTE] = ACTIONS(3294),
    [anon_sym_u_SQUOTE] = ACTIONS(3294),
    [anon_sym_U_SQUOTE] = ACTIONS(3294),
    [anon_sym_u8_SQUOTE] = ACTIONS(3294),
    [anon_sym_SQUOTE] = ACTIONS(3294),
    [anon_sym_L_DQUOTE] = ACTIONS(3294),
    [anon_sym_u_DQUOTE] = ACTIONS(3294),
    [anon_sym_U_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8_DQUOTE] = ACTIONS(3294),
    [anon_sym_DQUOTE] = ACTIONS(3294),
    [sym_true] = ACTIONS(3292),
    [sym_false] = ACTIONS(3292),
    [anon_sym_NULL] = ACTIONS(3292),
    [anon_sym_nullptr] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_try] = ACTIONS(3292),
    [anon_sym_delete] = ACTIONS(3292),
    [anon_sym_throw] = ACTIONS(3292),
    [anon_sym_namespace] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
    [anon_sym_concept] = ACTIONS(3292),
    [anon_sym_co_return] = ACTIONS(3292),
    [anon_sym_co_yield] = ACTIONS(3292),
    [anon_sym_R_DQUOTE] = ACTIONS(3294),
    [anon_sym_LR_DQUOTE] = ACTIONS(3294),
    [anon_sym_uR_DQUOTE] = ACTIONS(3294),
    [anon_sym_UR_DQUOTE] = ACTIONS(3294),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3294),
    [anon_sym_co_await] = ACTIONS(3292),
    [anon_sym_new] = ACTIONS(3292),
    [anon_sym_requires] = ACTIONS(3292),
    [sym_this] = ACTIONS(3292),
  },
  [1076] = {
    [ts_builtin_sym_end] = ACTIONS(3250),
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_include_token1] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_BANG] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym___cdecl] = ACTIONS(3248),
    [anon_sym___clrcall] = ACTIONS(3248),
    [anon_sym___stdcall] = ACTIONS(3248),
    [anon_sym___fastcall] = ACTIONS(3248),
    [anon_sym___thiscall] = ACTIONS(3248),
    [anon_sym___vectorcall] = ACTIONS(3248),
    [anon_sym_LBRACE] = ACTIONS(3250),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [anon_sym_if] = ACTIONS(3248),
    [anon_sym_switch] = ACTIONS(3248),
    [anon_sym_case] = ACTIONS(3248),
    [anon_sym_default] = ACTIONS(3248),
    [anon_sym_while] = ACTIONS(3248),
    [anon_sym_do] = ACTIONS(3248),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_return] = ACTIONS(3248),
    [anon_sym_break] = ACTIONS(3248),
    [anon_sym_continue] = ACTIONS(3248),
    [anon_sym_goto] = ACTIONS(3248),
    [anon_sym_not] = ACTIONS(3248),
    [anon_sym_compl] = ACTIONS(3248),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_sizeof] = ACTIONS(3248),
    [anon_sym___alignof__] = ACTIONS(3248),
    [anon_sym___alignof] = ACTIONS(3248),
    [anon_sym__alignof] = ACTIONS(3248),
    [anon_sym_alignof] = ACTIONS(3248),
    [anon_sym__Alignof] = ACTIONS(3248),
    [anon_sym_offsetof] = ACTIONS(3248),
    [anon_sym__Generic] = ACTIONS(3248),
    [anon_sym_asm] = ACTIONS(3248),
    [anon_sym___asm__] = ACTIONS(3248),
    [sym_number_literal] = ACTIONS(3250),
    [anon_sym_L_SQUOTE] = ACTIONS(3250),
    [anon_sym_u_SQUOTE] = ACTIONS(3250),
    [anon_sym_U_SQUOTE] = ACTIONS(3250),
    [anon_sym_u8_SQUOTE] = ACTIONS(3250),
    [anon_sym_SQUOTE] = ACTIONS(3250),
    [anon_sym_L_DQUOTE] = ACTIONS(3250),
    [anon_sym_u_DQUOTE] = ACTIONS(3250),
    [anon_sym_U_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8_DQUOTE] = ACTIONS(3250),
    [anon_sym_DQUOTE] = ACTIONS(3250),
    [sym_true] = ACTIONS(3248),
    [sym_false] = ACTIONS(3248),
    [anon_sym_NULL] = ACTIONS(3248),
    [anon_sym_nullptr] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_try] = ACTIONS(3248),
    [anon_sym_delete] = ACTIONS(3248),
    [anon_sym_throw] = ACTIONS(3248),
    [anon_sym_namespace] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
    [anon_sym_concept] = ACTIONS(3248),
    [anon_sym_co_return] = ACTIONS(3248),
    [anon_sym_co_yield] = ACTIONS(3248),
    [anon_sym_R_DQUOTE] = ACTIONS(3250),
    [anon_sym_LR_DQUOTE] = ACTIONS(3250),
    [anon_sym_uR_DQUOTE] = ACTIONS(3250),
    [anon_sym_UR_DQUOTE] = ACTIONS(3250),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3250),
    [anon_sym_co_await] = ACTIONS(3248),
    [anon_sym_new] = ACTIONS(3248),
    [anon_sym_requires] = ACTIONS(3248),
    [sym_this] = ACTIONS(3248),
  },
  [1077] = {
    [ts_builtin_sym_end] = ACTIONS(3242),
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_include_token1] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_BANG] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym___cdecl] = ACTIONS(3240),
    [anon_sym___clrcall] = ACTIONS(3240),
    [anon_sym___stdcall] = ACTIONS(3240),
    [anon_sym___fastcall] = ACTIONS(3240),
    [anon_sym___thiscall] = ACTIONS(3240),
    [anon_sym___vectorcall] = ACTIONS(3240),
    [anon_sym_LBRACE] = ACTIONS(3242),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [anon_sym_if] = ACTIONS(3240),
    [anon_sym_switch] = ACTIONS(3240),
    [anon_sym_case] = ACTIONS(3240),
    [anon_sym_default] = ACTIONS(3240),
    [anon_sym_while] = ACTIONS(3240),
    [anon_sym_do] = ACTIONS(3240),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_break] = ACTIONS(3240),
    [anon_sym_continue] = ACTIONS(3240),
    [anon_sym_goto] = ACTIONS(3240),
    [anon_sym_not] = ACTIONS(3240),
    [anon_sym_compl] = ACTIONS(3240),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_sizeof] = ACTIONS(3240),
    [anon_sym___alignof__] = ACTIONS(3240),
    [anon_sym___alignof] = ACTIONS(3240),
    [anon_sym__alignof] = ACTIONS(3240),
    [anon_sym_alignof] = ACTIONS(3240),
    [anon_sym__Alignof] = ACTIONS(3240),
    [anon_sym_offsetof] = ACTIONS(3240),
    [anon_sym__Generic] = ACTIONS(3240),
    [anon_sym_asm] = ACTIONS(3240),
    [anon_sym___asm__] = ACTIONS(3240),
    [sym_number_literal] = ACTIONS(3242),
    [anon_sym_L_SQUOTE] = ACTIONS(3242),
    [anon_sym_u_SQUOTE] = ACTIONS(3242),
    [anon_sym_U_SQUOTE] = ACTIONS(3242),
    [anon_sym_u8_SQUOTE] = ACTIONS(3242),
    [anon_sym_SQUOTE] = ACTIONS(3242),
    [anon_sym_L_DQUOTE] = ACTIONS(3242),
    [anon_sym_u_DQUOTE] = ACTIONS(3242),
    [anon_sym_U_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8_DQUOTE] = ACTIONS(3242),
    [anon_sym_DQUOTE] = ACTIONS(3242),
    [sym_true] = ACTIONS(3240),
    [sym_false] = ACTIONS(3240),
    [anon_sym_NULL] = ACTIONS(3240),
    [anon_sym_nullptr] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_try] = ACTIONS(3240),
    [anon_sym_delete] = ACTIONS(3240),
    [anon_sym_throw] = ACTIONS(3240),
    [anon_sym_namespace] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
    [anon_sym_concept] = ACTIONS(3240),
    [anon_sym_co_return] = ACTIONS(3240),
    [anon_sym_co_yield] = ACTIONS(3240),
    [anon_sym_R_DQUOTE] = ACTIONS(3242),
    [anon_sym_LR_DQUOTE] = ACTIONS(3242),
    [anon_sym_uR_DQUOTE] = ACTIONS(3242),
    [anon_sym_UR_DQUOTE] = ACTIONS(3242),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3242),
    [anon_sym_co_await] = ACTIONS(3240),
    [anon_sym_new] = ACTIONS(3240),
    [anon_sym_requires] = ACTIONS(3240),
    [sym_this] = ACTIONS(3240),
  },
  [1078] = {
    [ts_builtin_sym_end] = ACTIONS(3136),
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_include_token1] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_BANG] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3134),
    [anon_sym_PLUS] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym___cdecl] = ACTIONS(3134),
    [anon_sym___clrcall] = ACTIONS(3134),
    [anon_sym___stdcall] = ACTIONS(3134),
    [anon_sym___fastcall] = ACTIONS(3134),
    [anon_sym___thiscall] = ACTIONS(3134),
    [anon_sym___vectorcall] = ACTIONS(3134),
    [anon_sym_LBRACE] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_switch] = ACTIONS(3134),
    [anon_sym_case] = ACTIONS(3134),
    [anon_sym_default] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_do] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3134),
    [anon_sym_return] = ACTIONS(3134),
    [anon_sym_break] = ACTIONS(3134),
    [anon_sym_continue] = ACTIONS(3134),
    [anon_sym_goto] = ACTIONS(3134),
    [anon_sym_not] = ACTIONS(3134),
    [anon_sym_compl] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3136),
    [anon_sym_PLUS_PLUS] = ACTIONS(3136),
    [anon_sym_sizeof] = ACTIONS(3134),
    [anon_sym___alignof__] = ACTIONS(3134),
    [anon_sym___alignof] = ACTIONS(3134),
    [anon_sym__alignof] = ACTIONS(3134),
    [anon_sym_alignof] = ACTIONS(3134),
    [anon_sym__Alignof] = ACTIONS(3134),
    [anon_sym_offsetof] = ACTIONS(3134),
    [anon_sym__Generic] = ACTIONS(3134),
    [anon_sym_asm] = ACTIONS(3134),
    [anon_sym___asm__] = ACTIONS(3134),
    [sym_number_literal] = ACTIONS(3136),
    [anon_sym_L_SQUOTE] = ACTIONS(3136),
    [anon_sym_u_SQUOTE] = ACTIONS(3136),
    [anon_sym_U_SQUOTE] = ACTIONS(3136),
    [anon_sym_u8_SQUOTE] = ACTIONS(3136),
    [anon_sym_SQUOTE] = ACTIONS(3136),
    [anon_sym_L_DQUOTE] = ACTIONS(3136),
    [anon_sym_u_DQUOTE] = ACTIONS(3136),
    [anon_sym_U_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8_DQUOTE] = ACTIONS(3136),
    [anon_sym_DQUOTE] = ACTIONS(3136),
    [sym_true] = ACTIONS(3134),
    [sym_false] = ACTIONS(3134),
    [anon_sym_NULL] = ACTIONS(3134),
    [anon_sym_nullptr] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_try] = ACTIONS(3134),
    [anon_sym_delete] = ACTIONS(3134),
    [anon_sym_throw] = ACTIONS(3134),
    [anon_sym_namespace] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
    [anon_sym_concept] = ACTIONS(3134),
    [anon_sym_co_return] = ACTIONS(3134),
    [anon_sym_co_yield] = ACTIONS(3134),
    [anon_sym_R_DQUOTE] = ACTIONS(3136),
    [anon_sym_LR_DQUOTE] = ACTIONS(3136),
    [anon_sym_uR_DQUOTE] = ACTIONS(3136),
    [anon_sym_UR_DQUOTE] = ACTIONS(3136),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3136),
    [anon_sym_co_await] = ACTIONS(3134),
    [anon_sym_new] = ACTIONS(3134),
    [anon_sym_requires] = ACTIONS(3134),
    [sym_this] = ACTIONS(3134),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(3385),
    [sym_identifier] = ACTIONS(3383),
    [aux_sym_preproc_include_token1] = ACTIONS(3383),
    [aux_sym_preproc_def_token1] = ACTIONS(3383),
    [aux_sym_preproc_if_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3383),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3383),
    [sym_preproc_directive] = ACTIONS(3383),
    [anon_sym_LPAREN2] = ACTIONS(3385),
    [anon_sym_BANG] = ACTIONS(3385),
    [anon_sym_TILDE] = ACTIONS(3385),
    [anon_sym_DASH] = ACTIONS(3383),
    [anon_sym_PLUS] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3385),
    [anon_sym_AMP_AMP] = ACTIONS(3385),
    [anon_sym_AMP] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3383),
    [anon_sym_typedef] = ACTIONS(3383),
    [anon_sym_extern] = ACTIONS(3383),
    [anon_sym___attribute__] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(3385),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3385),
    [anon_sym___declspec] = ACTIONS(3383),
    [anon_sym___based] = ACTIONS(3383),
    [anon_sym___cdecl] = ACTIONS(3383),
    [anon_sym___clrcall] = ACTIONS(3383),
    [anon_sym___stdcall] = ACTIONS(3383),
    [anon_sym___fastcall] = ACTIONS(3383),
    [anon_sym___thiscall] = ACTIONS(3383),
    [anon_sym___vectorcall] = ACTIONS(3383),
    [anon_sym_LBRACE] = ACTIONS(3385),
    [anon_sym_signed] = ACTIONS(3383),
    [anon_sym_unsigned] = ACTIONS(3383),
    [anon_sym_long] = ACTIONS(3383),
    [anon_sym_short] = ACTIONS(3383),
    [anon_sym_LBRACK] = ACTIONS(3383),
    [anon_sym_static] = ACTIONS(3383),
    [anon_sym_register] = ACTIONS(3383),
    [anon_sym_inline] = ACTIONS(3383),
    [anon_sym___inline] = ACTIONS(3383),
    [anon_sym___inline__] = ACTIONS(3383),
    [anon_sym___forceinline] = ACTIONS(3383),
    [anon_sym_thread_local] = ACTIONS(3383),
    [anon_sym___thread] = ACTIONS(3383),
    [anon_sym_const] = ACTIONS(3383),
    [anon_sym_constexpr] = ACTIONS(3383),
    [anon_sym_volatile] = ACTIONS(3383),
    [anon_sym_restrict] = ACTIONS(3383),
    [anon_sym___restrict__] = ACTIONS(3383),
    [anon_sym__Atomic] = ACTIONS(3383),
    [anon_sym__Noreturn] = ACTIONS(3383),
    [anon_sym_noreturn] = ACTIONS(3383),
    [anon_sym_mutable] = ACTIONS(3383),
    [anon_sym_constinit] = ACTIONS(3383),
    [anon_sym_consteval] = ACTIONS(3383),
    [sym_primitive_type] = ACTIONS(3383),
    [anon_sym_enum] = ACTIONS(3383),
    [anon_sym_class] = ACTIONS(3383),
    [anon_sym_struct] = ACTIONS(3383),
    [anon_sym_union] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(3383),
    [anon_sym_switch] = ACTIONS(3383),
    [anon_sym_case] = ACTIONS(3383),
    [anon_sym_default] = ACTIONS(3383),
    [anon_sym_while] = ACTIONS(3383),
    [anon_sym_do] = ACTIONS(3383),
    [anon_sym_for] = ACTIONS(3383),
    [anon_sym_return] = ACTIONS(3383),
    [anon_sym_break] = ACTIONS(3383),
    [anon_sym_continue] = ACTIONS(3383),
    [anon_sym_goto] = ACTIONS(3383),
    [anon_sym_not] = ACTIONS(3383),
    [anon_sym_compl] = ACTIONS(3383),
    [anon_sym_DASH_DASH] = ACTIONS(3385),
    [anon_sym_PLUS_PLUS] = ACTIONS(3385),
    [anon_sym_sizeof] = ACTIONS(3383),
    [anon_sym___alignof__] = ACTIONS(3383),
    [anon_sym___alignof] = ACTIONS(3383),
    [anon_sym__alignof] = ACTIONS(3383),
    [anon_sym_alignof] = ACTIONS(3383),
    [anon_sym__Alignof] = ACTIONS(3383),
    [anon_sym_offsetof] = ACTIONS(3383),
    [anon_sym__Generic] = ACTIONS(3383),
    [anon_sym_asm] = ACTIONS(3383),
    [anon_sym___asm__] = ACTIONS(3383),
    [sym_number_literal] = ACTIONS(3385),
    [anon_sym_L_SQUOTE] = ACTIONS(3385),
    [anon_sym_u_SQUOTE] = ACTIONS(3385),
    [anon_sym_U_SQUOTE] = ACTIONS(3385),
    [anon_sym_u8_SQUOTE] = ACTIONS(3385),
    [anon_sym_SQUOTE] = ACTIONS(3385),
    [anon_sym_L_DQUOTE] = ACTIONS(3385),
    [anon_sym_u_DQUOTE] = ACTIONS(3385),
    [anon_sym_U_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8_DQUOTE] = ACTIONS(3385),
    [anon_sym_DQUOTE] = ACTIONS(3385),
    [sym_true] = ACTIONS(3383),
    [sym_false] = ACTIONS(3383),
    [anon_sym_NULL] = ACTIONS(3383),
    [anon_sym_nullptr] = ACTIONS(3383),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3383),
    [anon_sym_decltype] = ACTIONS(3383),
    [anon_sym_virtual] = ACTIONS(3383),
    [anon_sym_alignas] = ACTIONS(3383),
    [anon_sym_explicit] = ACTIONS(3383),
    [anon_sym_typename] = ACTIONS(3383),
    [anon_sym_template] = ACTIONS(3383),
    [anon_sym_operator] = ACTIONS(3383),
    [anon_sym_try] = ACTIONS(3383),
    [anon_sym_delete] = ACTIONS(3383),
    [anon_sym_throw] = ACTIONS(3383),
    [anon_sym_namespace] = ACTIONS(3383),
    [anon_sym_using] = ACTIONS(3383),
    [anon_sym_static_assert] = ACTIONS(3383),
    [anon_sym_concept] = ACTIONS(3383),
    [anon_sym_co_return] = ACTIONS(3383),
    [anon_sym_co_yield] = ACTIONS(3383),
    [anon_sym_R_DQUOTE] = ACTIONS(3385),
    [anon_sym_LR_DQUOTE] = ACTIONS(3385),
    [anon_sym_uR_DQUOTE] = ACTIONS(3385),
    [anon_sym_UR_DQUOTE] = ACTIONS(3385),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3385),
    [anon_sym_co_await] = ACTIONS(3383),
    [anon_sym_new] = ACTIONS(3383),
    [anon_sym_requires] = ACTIONS(3383),
    [sym_this] = ACTIONS(3383),
  },
  [1080] = {
    [ts_builtin_sym_end] = ACTIONS(3140),
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_include_token1] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_BANG] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3138),
    [anon_sym_PLUS] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym___cdecl] = ACTIONS(3138),
    [anon_sym___clrcall] = ACTIONS(3138),
    [anon_sym___stdcall] = ACTIONS(3138),
    [anon_sym___fastcall] = ACTIONS(3138),
    [anon_sym___thiscall] = ACTIONS(3138),
    [anon_sym___vectorcall] = ACTIONS(3138),
    [anon_sym_LBRACE] = ACTIONS(3140),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_switch] = ACTIONS(3138),
    [anon_sym_case] = ACTIONS(3138),
    [anon_sym_default] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_do] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3138),
    [anon_sym_return] = ACTIONS(3138),
    [anon_sym_break] = ACTIONS(3138),
    [anon_sym_continue] = ACTIONS(3138),
    [anon_sym_goto] = ACTIONS(3138),
    [anon_sym_not] = ACTIONS(3138),
    [anon_sym_compl] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3140),
    [anon_sym_PLUS_PLUS] = ACTIONS(3140),
    [anon_sym_sizeof] = ACTIONS(3138),
    [anon_sym___alignof__] = ACTIONS(3138),
    [anon_sym___alignof] = ACTIONS(3138),
    [anon_sym__alignof] = ACTIONS(3138),
    [anon_sym_alignof] = ACTIONS(3138),
    [anon_sym__Alignof] = ACTIONS(3138),
    [anon_sym_offsetof] = ACTIONS(3138),
    [anon_sym__Generic] = ACTIONS(3138),
    [anon_sym_asm] = ACTIONS(3138),
    [anon_sym___asm__] = ACTIONS(3138),
    [sym_number_literal] = ACTIONS(3140),
    [anon_sym_L_SQUOTE] = ACTIONS(3140),
    [anon_sym_u_SQUOTE] = ACTIONS(3140),
    [anon_sym_U_SQUOTE] = ACTIONS(3140),
    [anon_sym_u8_SQUOTE] = ACTIONS(3140),
    [anon_sym_SQUOTE] = ACTIONS(3140),
    [anon_sym_L_DQUOTE] = ACTIONS(3140),
    [anon_sym_u_DQUOTE] = ACTIONS(3140),
    [anon_sym_U_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8_DQUOTE] = ACTIONS(3140),
    [anon_sym_DQUOTE] = ACTIONS(3140),
    [sym_true] = ACTIONS(3138),
    [sym_false] = ACTIONS(3138),
    [anon_sym_NULL] = ACTIONS(3138),
    [anon_sym_nullptr] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_try] = ACTIONS(3138),
    [anon_sym_delete] = ACTIONS(3138),
    [anon_sym_throw] = ACTIONS(3138),
    [anon_sym_namespace] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
    [anon_sym_concept] = ACTIONS(3138),
    [anon_sym_co_return] = ACTIONS(3138),
    [anon_sym_co_yield] = ACTIONS(3138),
    [anon_sym_R_DQUOTE] = ACTIONS(3140),
    [anon_sym_LR_DQUOTE] = ACTIONS(3140),
    [anon_sym_uR_DQUOTE] = ACTIONS(3140),
    [anon_sym_UR_DQUOTE] = ACTIONS(3140),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3140),
    [anon_sym_co_await] = ACTIONS(3138),
    [anon_sym_new] = ACTIONS(3138),
    [anon_sym_requires] = ACTIONS(3138),
    [sym_this] = ACTIONS(3138),
  },
  [1081] = {
    [ts_builtin_sym_end] = ACTIONS(3369),
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_include_token1] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_BANG] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_DASH] = ACTIONS(3367),
    [anon_sym_PLUS] = ACTIONS(3367),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym___cdecl] = ACTIONS(3367),
    [anon_sym___clrcall] = ACTIONS(3367),
    [anon_sym___stdcall] = ACTIONS(3367),
    [anon_sym___fastcall] = ACTIONS(3367),
    [anon_sym___thiscall] = ACTIONS(3367),
    [anon_sym___vectorcall] = ACTIONS(3367),
    [anon_sym_LBRACE] = ACTIONS(3369),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(3367),
    [anon_sym_switch] = ACTIONS(3367),
    [anon_sym_case] = ACTIONS(3367),
    [anon_sym_default] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3367),
    [anon_sym_do] = ACTIONS(3367),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_return] = ACTIONS(3367),
    [anon_sym_break] = ACTIONS(3367),
    [anon_sym_continue] = ACTIONS(3367),
    [anon_sym_goto] = ACTIONS(3367),
    [anon_sym_not] = ACTIONS(3367),
    [anon_sym_compl] = ACTIONS(3367),
    [anon_sym_DASH_DASH] = ACTIONS(3369),
    [anon_sym_PLUS_PLUS] = ACTIONS(3369),
    [anon_sym_sizeof] = ACTIONS(3367),
    [anon_sym___alignof__] = ACTIONS(3367),
    [anon_sym___alignof] = ACTIONS(3367),
    [anon_sym__alignof] = ACTIONS(3367),
    [anon_sym_alignof] = ACTIONS(3367),
    [anon_sym__Alignof] = ACTIONS(3367),
    [anon_sym_offsetof] = ACTIONS(3367),
    [anon_sym__Generic] = ACTIONS(3367),
    [anon_sym_asm] = ACTIONS(3367),
    [anon_sym___asm__] = ACTIONS(3367),
    [sym_number_literal] = ACTIONS(3369),
    [anon_sym_L_SQUOTE] = ACTIONS(3369),
    [anon_sym_u_SQUOTE] = ACTIONS(3369),
    [anon_sym_U_SQUOTE] = ACTIONS(3369),
    [anon_sym_u8_SQUOTE] = ACTIONS(3369),
    [anon_sym_SQUOTE] = ACTIONS(3369),
    [anon_sym_L_DQUOTE] = ACTIONS(3369),
    [anon_sym_u_DQUOTE] = ACTIONS(3369),
    [anon_sym_U_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8_DQUOTE] = ACTIONS(3369),
    [anon_sym_DQUOTE] = ACTIONS(3369),
    [sym_true] = ACTIONS(3367),
    [sym_false] = ACTIONS(3367),
    [anon_sym_NULL] = ACTIONS(3367),
    [anon_sym_nullptr] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_try] = ACTIONS(3367),
    [anon_sym_delete] = ACTIONS(3367),
    [anon_sym_throw] = ACTIONS(3367),
    [anon_sym_namespace] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
    [anon_sym_concept] = ACTIONS(3367),
    [anon_sym_co_return] = ACTIONS(3367),
    [anon_sym_co_yield] = ACTIONS(3367),
    [anon_sym_R_DQUOTE] = ACTIONS(3369),
    [anon_sym_LR_DQUOTE] = ACTIONS(3369),
    [anon_sym_uR_DQUOTE] = ACTIONS(3369),
    [anon_sym_UR_DQUOTE] = ACTIONS(3369),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3369),
    [anon_sym_co_await] = ACTIONS(3367),
    [anon_sym_new] = ACTIONS(3367),
    [anon_sym_requires] = ACTIONS(3367),
    [sym_this] = ACTIONS(3367),
  },
  [1082] = {
    [ts_builtin_sym_end] = ACTIONS(3097),
    [sym_identifier] = ACTIONS(3095),
    [aux_sym_preproc_include_token1] = ACTIONS(3095),
    [aux_sym_preproc_def_token1] = ACTIONS(3095),
    [aux_sym_preproc_if_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3095),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3095),
    [sym_preproc_directive] = ACTIONS(3095),
    [anon_sym_LPAREN2] = ACTIONS(3097),
    [anon_sym_BANG] = ACTIONS(3097),
    [anon_sym_TILDE] = ACTIONS(3097),
    [anon_sym_DASH] = ACTIONS(3095),
    [anon_sym_PLUS] = ACTIONS(3095),
    [anon_sym_STAR] = ACTIONS(3097),
    [anon_sym_AMP_AMP] = ACTIONS(3097),
    [anon_sym_AMP] = ACTIONS(3095),
    [anon_sym___extension__] = ACTIONS(3095),
    [anon_sym_typedef] = ACTIONS(3095),
    [anon_sym_extern] = ACTIONS(3095),
    [anon_sym___attribute__] = ACTIONS(3095),
    [anon_sym_COLON_COLON] = ACTIONS(3097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3097),
    [anon_sym___declspec] = ACTIONS(3095),
    [anon_sym___based] = ACTIONS(3095),
    [anon_sym___cdecl] = ACTIONS(3095),
    [anon_sym___clrcall] = ACTIONS(3095),
    [anon_sym___stdcall] = ACTIONS(3095),
    [anon_sym___fastcall] = ACTIONS(3095),
    [anon_sym___thiscall] = ACTIONS(3095),
    [anon_sym___vectorcall] = ACTIONS(3095),
    [anon_sym_LBRACE] = ACTIONS(3097),
    [anon_sym_signed] = ACTIONS(3095),
    [anon_sym_unsigned] = ACTIONS(3095),
    [anon_sym_long] = ACTIONS(3095),
    [anon_sym_short] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(3095),
    [anon_sym_static] = ACTIONS(3095),
    [anon_sym_register] = ACTIONS(3095),
    [anon_sym_inline] = ACTIONS(3095),
    [anon_sym___inline] = ACTIONS(3095),
    [anon_sym___inline__] = ACTIONS(3095),
    [anon_sym___forceinline] = ACTIONS(3095),
    [anon_sym_thread_local] = ACTIONS(3095),
    [anon_sym___thread] = ACTIONS(3095),
    [anon_sym_const] = ACTIONS(3095),
    [anon_sym_constexpr] = ACTIONS(3095),
    [anon_sym_volatile] = ACTIONS(3095),
    [anon_sym_restrict] = ACTIONS(3095),
    [anon_sym___restrict__] = ACTIONS(3095),
    [anon_sym__Atomic] = ACTIONS(3095),
    [anon_sym__Noreturn] = ACTIONS(3095),
    [anon_sym_noreturn] = ACTIONS(3095),
    [anon_sym_mutable] = ACTIONS(3095),
    [anon_sym_constinit] = ACTIONS(3095),
    [anon_sym_consteval] = ACTIONS(3095),
    [sym_primitive_type] = ACTIONS(3095),
    [anon_sym_enum] = ACTIONS(3095),
    [anon_sym_class] = ACTIONS(3095),
    [anon_sym_struct] = ACTIONS(3095),
    [anon_sym_union] = ACTIONS(3095),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_switch] = ACTIONS(3095),
    [anon_sym_case] = ACTIONS(3095),
    [anon_sym_default] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(3095),
    [anon_sym_do] = ACTIONS(3095),
    [anon_sym_for] = ACTIONS(3095),
    [anon_sym_return] = ACTIONS(3095),
    [anon_sym_break] = ACTIONS(3095),
    [anon_sym_continue] = ACTIONS(3095),
    [anon_sym_goto] = ACTIONS(3095),
    [anon_sym_not] = ACTIONS(3095),
    [anon_sym_compl] = ACTIONS(3095),
    [anon_sym_DASH_DASH] = ACTIONS(3097),
    [anon_sym_PLUS_PLUS] = ACTIONS(3097),
    [anon_sym_sizeof] = ACTIONS(3095),
    [anon_sym___alignof__] = ACTIONS(3095),
    [anon_sym___alignof] = ACTIONS(3095),
    [anon_sym__alignof] = ACTIONS(3095),
    [anon_sym_alignof] = ACTIONS(3095),
    [anon_sym__Alignof] = ACTIONS(3095),
    [anon_sym_offsetof] = ACTIONS(3095),
    [anon_sym__Generic] = ACTIONS(3095),
    [anon_sym_asm] = ACTIONS(3095),
    [anon_sym___asm__] = ACTIONS(3095),
    [sym_number_literal] = ACTIONS(3097),
    [anon_sym_L_SQUOTE] = ACTIONS(3097),
    [anon_sym_u_SQUOTE] = ACTIONS(3097),
    [anon_sym_U_SQUOTE] = ACTIONS(3097),
    [anon_sym_u8_SQUOTE] = ACTIONS(3097),
    [anon_sym_SQUOTE] = ACTIONS(3097),
    [anon_sym_L_DQUOTE] = ACTIONS(3097),
    [anon_sym_u_DQUOTE] = ACTIONS(3097),
    [anon_sym_U_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8_DQUOTE] = ACTIONS(3097),
    [anon_sym_DQUOTE] = ACTIONS(3097),
    [sym_true] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
    [anon_sym_NULL] = ACTIONS(3095),
    [anon_sym_nullptr] = ACTIONS(3095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3095),
    [anon_sym_decltype] = ACTIONS(3095),
    [anon_sym_virtual] = ACTIONS(3095),
    [anon_sym_alignas] = ACTIONS(3095),
    [anon_sym_explicit] = ACTIONS(3095),
    [anon_sym_typename] = ACTIONS(3095),
    [anon_sym_template] = ACTIONS(3095),
    [anon_sym_operator] = ACTIONS(3095),
    [anon_sym_try] = ACTIONS(3095),
    [anon_sym_delete] = ACTIONS(3095),
    [anon_sym_throw] = ACTIONS(3095),
    [anon_sym_namespace] = ACTIONS(3095),
    [anon_sym_using] = ACTIONS(3095),
    [anon_sym_static_assert] = ACTIONS(3095),
    [anon_sym_concept] = ACTIONS(3095),
    [anon_sym_co_return] = ACTIONS(3095),
    [anon_sym_co_yield] = ACTIONS(3095),
    [anon_sym_R_DQUOTE] = ACTIONS(3097),
    [anon_sym_LR_DQUOTE] = ACTIONS(3097),
    [anon_sym_uR_DQUOTE] = ACTIONS(3097),
    [anon_sym_UR_DQUOTE] = ACTIONS(3097),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3097),
    [anon_sym_co_await] = ACTIONS(3095),
    [anon_sym_new] = ACTIONS(3095),
    [anon_sym_requires] = ACTIONS(3095),
    [sym_this] = ACTIONS(3095),
  },
  [1083] = {
    [ts_builtin_sym_end] = ACTIONS(3144),
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [1084] = {
    [ts_builtin_sym_end] = ACTIONS(3144),
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_include_token1] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_BANG] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3142),
    [anon_sym_PLUS] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym___cdecl] = ACTIONS(3142),
    [anon_sym___clrcall] = ACTIONS(3142),
    [anon_sym___stdcall] = ACTIONS(3142),
    [anon_sym___fastcall] = ACTIONS(3142),
    [anon_sym___thiscall] = ACTIONS(3142),
    [anon_sym___vectorcall] = ACTIONS(3142),
    [anon_sym_LBRACE] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_switch] = ACTIONS(3142),
    [anon_sym_case] = ACTIONS(3142),
    [anon_sym_default] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_do] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3142),
    [anon_sym_return] = ACTIONS(3142),
    [anon_sym_break] = ACTIONS(3142),
    [anon_sym_continue] = ACTIONS(3142),
    [anon_sym_goto] = ACTIONS(3142),
    [anon_sym_not] = ACTIONS(3142),
    [anon_sym_compl] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3144),
    [anon_sym_PLUS_PLUS] = ACTIONS(3144),
    [anon_sym_sizeof] = ACTIONS(3142),
    [anon_sym___alignof__] = ACTIONS(3142),
    [anon_sym___alignof] = ACTIONS(3142),
    [anon_sym__alignof] = ACTIONS(3142),
    [anon_sym_alignof] = ACTIONS(3142),
    [anon_sym__Alignof] = ACTIONS(3142),
    [anon_sym_offsetof] = ACTIONS(3142),
    [anon_sym__Generic] = ACTIONS(3142),
    [anon_sym_asm] = ACTIONS(3142),
    [anon_sym___asm__] = ACTIONS(3142),
    [sym_number_literal] = ACTIONS(3144),
    [anon_sym_L_SQUOTE] = ACTIONS(3144),
    [anon_sym_u_SQUOTE] = ACTIONS(3144),
    [anon_sym_U_SQUOTE] = ACTIONS(3144),
    [anon_sym_u8_SQUOTE] = ACTIONS(3144),
    [anon_sym_SQUOTE] = ACTIONS(3144),
    [anon_sym_L_DQUOTE] = ACTIONS(3144),
    [anon_sym_u_DQUOTE] = ACTIONS(3144),
    [anon_sym_U_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8_DQUOTE] = ACTIONS(3144),
    [anon_sym_DQUOTE] = ACTIONS(3144),
    [sym_true] = ACTIONS(3142),
    [sym_false] = ACTIONS(3142),
    [anon_sym_NULL] = ACTIONS(3142),
    [anon_sym_nullptr] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_try] = ACTIONS(3142),
    [anon_sym_delete] = ACTIONS(3142),
    [anon_sym_throw] = ACTIONS(3142),
    [anon_sym_namespace] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
    [anon_sym_concept] = ACTIONS(3142),
    [anon_sym_co_return] = ACTIONS(3142),
    [anon_sym_co_yield] = ACTIONS(3142),
    [anon_sym_R_DQUOTE] = ACTIONS(3144),
    [anon_sym_LR_DQUOTE] = ACTIONS(3144),
    [anon_sym_uR_DQUOTE] = ACTIONS(3144),
    [anon_sym_UR_DQUOTE] = ACTIONS(3144),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3144),
    [anon_sym_co_await] = ACTIONS(3142),
    [anon_sym_new] = ACTIONS(3142),
    [anon_sym_requires] = ACTIONS(3142),
    [sym_this] = ACTIONS(3142),
  },
  [1085] = {
    [sym_preproc_def] = STATE(1065),
    [sym_preproc_function_def] = STATE(1065),
    [sym_preproc_call] = STATE(1065),
    [sym_preproc_if_in_field_declaration_list] = STATE(1065),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1065),
    [sym_type_definition] = STATE(1065),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6416),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7060),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1065),
    [sym_field_declaration] = STATE(1065),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2110),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1065),
    [sym_operator_cast] = STATE(7481),
    [sym_inline_method_definition] = STATE(1065),
    [sym__constructor_specifiers] = STATE(2110),
    [sym_operator_cast_definition] = STATE(1065),
    [sym_operator_cast_declaration] = STATE(1065),
    [sym_constructor_or_destructor_definition] = STATE(1065),
    [sym_constructor_or_destructor_declaration] = STATE(1065),
    [sym_friend_declaration] = STATE(1065),
    [sym_access_specifier] = STATE(9123),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1065),
    [sym_alias_declaration] = STATE(1065),
    [sym_static_assert_declaration] = STATE(1065),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7481),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1065),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3919),
    [aux_sym_preproc_if_token1] = ACTIONS(3921),
    [aux_sym_preproc_if_token2] = ACTIONS(3947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3925),
    [sym_preproc_directive] = ACTIONS(3927),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3929),
    [anon_sym_typedef] = ACTIONS(3931),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3933),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3935),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3937),
    [anon_sym_static_assert] = ACTIONS(3939),
  },
  [1086] = {
    [sym_preproc_def] = STATE(1066),
    [sym_preproc_function_def] = STATE(1066),
    [sym_preproc_call] = STATE(1066),
    [sym_preproc_if_in_field_declaration_list] = STATE(1066),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1066),
    [sym_type_definition] = STATE(1066),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1066),
    [sym_field_declaration] = STATE(1066),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1066),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1066),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1066),
    [sym_operator_cast_declaration] = STATE(1066),
    [sym_constructor_or_destructor_definition] = STATE(1066),
    [sym_constructor_or_destructor_declaration] = STATE(1066),
    [sym_friend_declaration] = STATE(1066),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1066),
    [sym_alias_declaration] = STATE(1066),
    [sym_static_assert_declaration] = STATE(1066),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1066),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3949),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1087] = {
    [ts_builtin_sym_end] = ACTIONS(3262),
    [sym_identifier] = ACTIONS(3260),
    [aux_sym_preproc_include_token1] = ACTIONS(3260),
    [aux_sym_preproc_def_token1] = ACTIONS(3260),
    [aux_sym_preproc_if_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3260),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3260),
    [sym_preproc_directive] = ACTIONS(3260),
    [anon_sym_LPAREN2] = ACTIONS(3262),
    [anon_sym_BANG] = ACTIONS(3262),
    [anon_sym_TILDE] = ACTIONS(3262),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_STAR] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3262),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym___extension__] = ACTIONS(3260),
    [anon_sym_typedef] = ACTIONS(3260),
    [anon_sym_extern] = ACTIONS(3260),
    [anon_sym___attribute__] = ACTIONS(3260),
    [anon_sym_COLON_COLON] = ACTIONS(3262),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3262),
    [anon_sym___declspec] = ACTIONS(3260),
    [anon_sym___based] = ACTIONS(3260),
    [anon_sym___cdecl] = ACTIONS(3260),
    [anon_sym___clrcall] = ACTIONS(3260),
    [anon_sym___stdcall] = ACTIONS(3260),
    [anon_sym___fastcall] = ACTIONS(3260),
    [anon_sym___thiscall] = ACTIONS(3260),
    [anon_sym___vectorcall] = ACTIONS(3260),
    [anon_sym_LBRACE] = ACTIONS(3262),
    [anon_sym_signed] = ACTIONS(3260),
    [anon_sym_unsigned] = ACTIONS(3260),
    [anon_sym_long] = ACTIONS(3260),
    [anon_sym_short] = ACTIONS(3260),
    [anon_sym_LBRACK] = ACTIONS(3260),
    [anon_sym_static] = ACTIONS(3260),
    [anon_sym_register] = ACTIONS(3260),
    [anon_sym_inline] = ACTIONS(3260),
    [anon_sym___inline] = ACTIONS(3260),
    [anon_sym___inline__] = ACTIONS(3260),
    [anon_sym___forceinline] = ACTIONS(3260),
    [anon_sym_thread_local] = ACTIONS(3260),
    [anon_sym___thread] = ACTIONS(3260),
    [anon_sym_const] = ACTIONS(3260),
    [anon_sym_constexpr] = ACTIONS(3260),
    [anon_sym_volatile] = ACTIONS(3260),
    [anon_sym_restrict] = ACTIONS(3260),
    [anon_sym___restrict__] = ACTIONS(3260),
    [anon_sym__Atomic] = ACTIONS(3260),
    [anon_sym__Noreturn] = ACTIONS(3260),
    [anon_sym_noreturn] = ACTIONS(3260),
    [anon_sym_mutable] = ACTIONS(3260),
    [anon_sym_constinit] = ACTIONS(3260),
    [anon_sym_consteval] = ACTIONS(3260),
    [sym_primitive_type] = ACTIONS(3260),
    [anon_sym_enum] = ACTIONS(3260),
    [anon_sym_class] = ACTIONS(3260),
    [anon_sym_struct] = ACTIONS(3260),
    [anon_sym_union] = ACTIONS(3260),
    [anon_sym_if] = ACTIONS(3260),
    [anon_sym_switch] = ACTIONS(3260),
    [anon_sym_case] = ACTIONS(3260),
    [anon_sym_default] = ACTIONS(3260),
    [anon_sym_while] = ACTIONS(3260),
    [anon_sym_do] = ACTIONS(3260),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_return] = ACTIONS(3260),
    [anon_sym_break] = ACTIONS(3260),
    [anon_sym_continue] = ACTIONS(3260),
    [anon_sym_goto] = ACTIONS(3260),
    [anon_sym_not] = ACTIONS(3260),
    [anon_sym_compl] = ACTIONS(3260),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_sizeof] = ACTIONS(3260),
    [anon_sym___alignof__] = ACTIONS(3260),
    [anon_sym___alignof] = ACTIONS(3260),
    [anon_sym__alignof] = ACTIONS(3260),
    [anon_sym_alignof] = ACTIONS(3260),
    [anon_sym__Alignof] = ACTIONS(3260),
    [anon_sym_offsetof] = ACTIONS(3260),
    [anon_sym__Generic] = ACTIONS(3260),
    [anon_sym_asm] = ACTIONS(3260),
    [anon_sym___asm__] = ACTIONS(3260),
    [sym_number_literal] = ACTIONS(3262),
    [anon_sym_L_SQUOTE] = ACTIONS(3262),
    [anon_sym_u_SQUOTE] = ACTIONS(3262),
    [anon_sym_U_SQUOTE] = ACTIONS(3262),
    [anon_sym_u8_SQUOTE] = ACTIONS(3262),
    [anon_sym_SQUOTE] = ACTIONS(3262),
    [anon_sym_L_DQUOTE] = ACTIONS(3262),
    [anon_sym_u_DQUOTE] = ACTIONS(3262),
    [anon_sym_U_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8_DQUOTE] = ACTIONS(3262),
    [anon_sym_DQUOTE] = ACTIONS(3262),
    [sym_true] = ACTIONS(3260),
    [sym_false] = ACTIONS(3260),
    [anon_sym_NULL] = ACTIONS(3260),
    [anon_sym_nullptr] = ACTIONS(3260),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3260),
    [anon_sym_decltype] = ACTIONS(3260),
    [anon_sym_virtual] = ACTIONS(3260),
    [anon_sym_alignas] = ACTIONS(3260),
    [anon_sym_explicit] = ACTIONS(3260),
    [anon_sym_typename] = ACTIONS(3260),
    [anon_sym_template] = ACTIONS(3260),
    [anon_sym_operator] = ACTIONS(3260),
    [anon_sym_try] = ACTIONS(3260),
    [anon_sym_delete] = ACTIONS(3260),
    [anon_sym_throw] = ACTIONS(3260),
    [anon_sym_namespace] = ACTIONS(3260),
    [anon_sym_using] = ACTIONS(3260),
    [anon_sym_static_assert] = ACTIONS(3260),
    [anon_sym_concept] = ACTIONS(3260),
    [anon_sym_co_return] = ACTIONS(3260),
    [anon_sym_co_yield] = ACTIONS(3260),
    [anon_sym_R_DQUOTE] = ACTIONS(3262),
    [anon_sym_LR_DQUOTE] = ACTIONS(3262),
    [anon_sym_uR_DQUOTE] = ACTIONS(3262),
    [anon_sym_UR_DQUOTE] = ACTIONS(3262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3262),
    [anon_sym_co_await] = ACTIONS(3260),
    [anon_sym_new] = ACTIONS(3260),
    [anon_sym_requires] = ACTIONS(3260),
    [sym_this] = ACTIONS(3260),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(3266),
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_include_token1] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_BANG] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym___cdecl] = ACTIONS(3264),
    [anon_sym___clrcall] = ACTIONS(3264),
    [anon_sym___stdcall] = ACTIONS(3264),
    [anon_sym___fastcall] = ACTIONS(3264),
    [anon_sym___thiscall] = ACTIONS(3264),
    [anon_sym___vectorcall] = ACTIONS(3264),
    [anon_sym_LBRACE] = ACTIONS(3266),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [anon_sym_if] = ACTIONS(3264),
    [anon_sym_switch] = ACTIONS(3264),
    [anon_sym_case] = ACTIONS(3264),
    [anon_sym_default] = ACTIONS(3264),
    [anon_sym_while] = ACTIONS(3264),
    [anon_sym_do] = ACTIONS(3264),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_return] = ACTIONS(3264),
    [anon_sym_break] = ACTIONS(3264),
    [anon_sym_continue] = ACTIONS(3264),
    [anon_sym_goto] = ACTIONS(3264),
    [anon_sym_not] = ACTIONS(3264),
    [anon_sym_compl] = ACTIONS(3264),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_sizeof] = ACTIONS(3264),
    [anon_sym___alignof__] = ACTIONS(3264),
    [anon_sym___alignof] = ACTIONS(3264),
    [anon_sym__alignof] = ACTIONS(3264),
    [anon_sym_alignof] = ACTIONS(3264),
    [anon_sym__Alignof] = ACTIONS(3264),
    [anon_sym_offsetof] = ACTIONS(3264),
    [anon_sym__Generic] = ACTIONS(3264),
    [anon_sym_asm] = ACTIONS(3264),
    [anon_sym___asm__] = ACTIONS(3264),
    [sym_number_literal] = ACTIONS(3266),
    [anon_sym_L_SQUOTE] = ACTIONS(3266),
    [anon_sym_u_SQUOTE] = ACTIONS(3266),
    [anon_sym_U_SQUOTE] = ACTIONS(3266),
    [anon_sym_u8_SQUOTE] = ACTIONS(3266),
    [anon_sym_SQUOTE] = ACTIONS(3266),
    [anon_sym_L_DQUOTE] = ACTIONS(3266),
    [anon_sym_u_DQUOTE] = ACTIONS(3266),
    [anon_sym_U_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8_DQUOTE] = ACTIONS(3266),
    [anon_sym_DQUOTE] = ACTIONS(3266),
    [sym_true] = ACTIONS(3264),
    [sym_false] = ACTIONS(3264),
    [anon_sym_NULL] = ACTIONS(3264),
    [anon_sym_nullptr] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_try] = ACTIONS(3264),
    [anon_sym_delete] = ACTIONS(3264),
    [anon_sym_throw] = ACTIONS(3264),
    [anon_sym_namespace] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
    [anon_sym_concept] = ACTIONS(3264),
    [anon_sym_co_return] = ACTIONS(3264),
    [anon_sym_co_yield] = ACTIONS(3264),
    [anon_sym_R_DQUOTE] = ACTIONS(3266),
    [anon_sym_LR_DQUOTE] = ACTIONS(3266),
    [anon_sym_uR_DQUOTE] = ACTIONS(3266),
    [anon_sym_UR_DQUOTE] = ACTIONS(3266),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3266),
    [anon_sym_co_await] = ACTIONS(3264),
    [anon_sym_new] = ACTIONS(3264),
    [anon_sym_requires] = ACTIONS(3264),
    [sym_this] = ACTIONS(3264),
  },
  [1089] = {
    [ts_builtin_sym_end] = ACTIONS(3361),
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_include_token1] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_BANG] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_DASH] = ACTIONS(3359),
    [anon_sym_PLUS] = ACTIONS(3359),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym___cdecl] = ACTIONS(3359),
    [anon_sym___clrcall] = ACTIONS(3359),
    [anon_sym___stdcall] = ACTIONS(3359),
    [anon_sym___fastcall] = ACTIONS(3359),
    [anon_sym___thiscall] = ACTIONS(3359),
    [anon_sym___vectorcall] = ACTIONS(3359),
    [anon_sym_LBRACE] = ACTIONS(3361),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_switch] = ACTIONS(3359),
    [anon_sym_case] = ACTIONS(3359),
    [anon_sym_default] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(3359),
    [anon_sym_do] = ACTIONS(3359),
    [anon_sym_for] = ACTIONS(3359),
    [anon_sym_return] = ACTIONS(3359),
    [anon_sym_break] = ACTIONS(3359),
    [anon_sym_continue] = ACTIONS(3359),
    [anon_sym_goto] = ACTIONS(3359),
    [anon_sym_not] = ACTIONS(3359),
    [anon_sym_compl] = ACTIONS(3359),
    [anon_sym_DASH_DASH] = ACTIONS(3361),
    [anon_sym_PLUS_PLUS] = ACTIONS(3361),
    [anon_sym_sizeof] = ACTIONS(3359),
    [anon_sym___alignof__] = ACTIONS(3359),
    [anon_sym___alignof] = ACTIONS(3359),
    [anon_sym__alignof] = ACTIONS(3359),
    [anon_sym_alignof] = ACTIONS(3359),
    [anon_sym__Alignof] = ACTIONS(3359),
    [anon_sym_offsetof] = ACTIONS(3359),
    [anon_sym__Generic] = ACTIONS(3359),
    [anon_sym_asm] = ACTIONS(3359),
    [anon_sym___asm__] = ACTIONS(3359),
    [sym_number_literal] = ACTIONS(3361),
    [anon_sym_L_SQUOTE] = ACTIONS(3361),
    [anon_sym_u_SQUOTE] = ACTIONS(3361),
    [anon_sym_U_SQUOTE] = ACTIONS(3361),
    [anon_sym_u8_SQUOTE] = ACTIONS(3361),
    [anon_sym_SQUOTE] = ACTIONS(3361),
    [anon_sym_L_DQUOTE] = ACTIONS(3361),
    [anon_sym_u_DQUOTE] = ACTIONS(3361),
    [anon_sym_U_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8_DQUOTE] = ACTIONS(3361),
    [anon_sym_DQUOTE] = ACTIONS(3361),
    [sym_true] = ACTIONS(3359),
    [sym_false] = ACTIONS(3359),
    [anon_sym_NULL] = ACTIONS(3359),
    [anon_sym_nullptr] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_try] = ACTIONS(3359),
    [anon_sym_delete] = ACTIONS(3359),
    [anon_sym_throw] = ACTIONS(3359),
    [anon_sym_namespace] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
    [anon_sym_concept] = ACTIONS(3359),
    [anon_sym_co_return] = ACTIONS(3359),
    [anon_sym_co_yield] = ACTIONS(3359),
    [anon_sym_R_DQUOTE] = ACTIONS(3361),
    [anon_sym_LR_DQUOTE] = ACTIONS(3361),
    [anon_sym_uR_DQUOTE] = ACTIONS(3361),
    [anon_sym_UR_DQUOTE] = ACTIONS(3361),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3361),
    [anon_sym_co_await] = ACTIONS(3359),
    [anon_sym_new] = ACTIONS(3359),
    [anon_sym_requires] = ACTIONS(3359),
    [sym_this] = ACTIONS(3359),
  },
  [1090] = {
    [ts_builtin_sym_end] = ACTIONS(3355),
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_include_token1] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_BANG] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_DASH] = ACTIONS(3353),
    [anon_sym_PLUS] = ACTIONS(3353),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym___cdecl] = ACTIONS(3353),
    [anon_sym___clrcall] = ACTIONS(3353),
    [anon_sym___stdcall] = ACTIONS(3353),
    [anon_sym___fastcall] = ACTIONS(3353),
    [anon_sym___thiscall] = ACTIONS(3353),
    [anon_sym___vectorcall] = ACTIONS(3353),
    [anon_sym_LBRACE] = ACTIONS(3355),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [anon_sym_if] = ACTIONS(3353),
    [anon_sym_switch] = ACTIONS(3353),
    [anon_sym_case] = ACTIONS(3353),
    [anon_sym_default] = ACTIONS(3353),
    [anon_sym_while] = ACTIONS(3353),
    [anon_sym_do] = ACTIONS(3353),
    [anon_sym_for] = ACTIONS(3353),
    [anon_sym_return] = ACTIONS(3353),
    [anon_sym_break] = ACTIONS(3353),
    [anon_sym_continue] = ACTIONS(3353),
    [anon_sym_goto] = ACTIONS(3353),
    [anon_sym_not] = ACTIONS(3353),
    [anon_sym_compl] = ACTIONS(3353),
    [anon_sym_DASH_DASH] = ACTIONS(3355),
    [anon_sym_PLUS_PLUS] = ACTIONS(3355),
    [anon_sym_sizeof] = ACTIONS(3353),
    [anon_sym___alignof__] = ACTIONS(3353),
    [anon_sym___alignof] = ACTIONS(3353),
    [anon_sym__alignof] = ACTIONS(3353),
    [anon_sym_alignof] = ACTIONS(3353),
    [anon_sym__Alignof] = ACTIONS(3353),
    [anon_sym_offsetof] = ACTIONS(3353),
    [anon_sym__Generic] = ACTIONS(3353),
    [anon_sym_asm] = ACTIONS(3353),
    [anon_sym___asm__] = ACTIONS(3353),
    [sym_number_literal] = ACTIONS(3355),
    [anon_sym_L_SQUOTE] = ACTIONS(3355),
    [anon_sym_u_SQUOTE] = ACTIONS(3355),
    [anon_sym_U_SQUOTE] = ACTIONS(3355),
    [anon_sym_u8_SQUOTE] = ACTIONS(3355),
    [anon_sym_SQUOTE] = ACTIONS(3355),
    [anon_sym_L_DQUOTE] = ACTIONS(3355),
    [anon_sym_u_DQUOTE] = ACTIONS(3355),
    [anon_sym_U_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8_DQUOTE] = ACTIONS(3355),
    [anon_sym_DQUOTE] = ACTIONS(3355),
    [sym_true] = ACTIONS(3353),
    [sym_false] = ACTIONS(3353),
    [anon_sym_NULL] = ACTIONS(3353),
    [anon_sym_nullptr] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_try] = ACTIONS(3353),
    [anon_sym_delete] = ACTIONS(3353),
    [anon_sym_throw] = ACTIONS(3353),
    [anon_sym_namespace] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
    [anon_sym_concept] = ACTIONS(3353),
    [anon_sym_co_return] = ACTIONS(3353),
    [anon_sym_co_yield] = ACTIONS(3353),
    [anon_sym_R_DQUOTE] = ACTIONS(3355),
    [anon_sym_LR_DQUOTE] = ACTIONS(3355),
    [anon_sym_uR_DQUOTE] = ACTIONS(3355),
    [anon_sym_UR_DQUOTE] = ACTIONS(3355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3355),
    [anon_sym_co_await] = ACTIONS(3353),
    [anon_sym_new] = ACTIONS(3353),
    [anon_sym_requires] = ACTIONS(3353),
    [sym_this] = ACTIONS(3353),
  },
  [1091] = {
    [ts_builtin_sym_end] = ACTIONS(3351),
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_include_token1] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_BANG] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_DASH] = ACTIONS(3349),
    [anon_sym_PLUS] = ACTIONS(3349),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym___cdecl] = ACTIONS(3349),
    [anon_sym___clrcall] = ACTIONS(3349),
    [anon_sym___stdcall] = ACTIONS(3349),
    [anon_sym___fastcall] = ACTIONS(3349),
    [anon_sym___thiscall] = ACTIONS(3349),
    [anon_sym___vectorcall] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3351),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [anon_sym_if] = ACTIONS(3349),
    [anon_sym_switch] = ACTIONS(3349),
    [anon_sym_case] = ACTIONS(3349),
    [anon_sym_default] = ACTIONS(3349),
    [anon_sym_while] = ACTIONS(3349),
    [anon_sym_do] = ACTIONS(3349),
    [anon_sym_for] = ACTIONS(3349),
    [anon_sym_return] = ACTIONS(3349),
    [anon_sym_break] = ACTIONS(3349),
    [anon_sym_continue] = ACTIONS(3349),
    [anon_sym_goto] = ACTIONS(3349),
    [anon_sym_not] = ACTIONS(3349),
    [anon_sym_compl] = ACTIONS(3349),
    [anon_sym_DASH_DASH] = ACTIONS(3351),
    [anon_sym_PLUS_PLUS] = ACTIONS(3351),
    [anon_sym_sizeof] = ACTIONS(3349),
    [anon_sym___alignof__] = ACTIONS(3349),
    [anon_sym___alignof] = ACTIONS(3349),
    [anon_sym__alignof] = ACTIONS(3349),
    [anon_sym_alignof] = ACTIONS(3349),
    [anon_sym__Alignof] = ACTIONS(3349),
    [anon_sym_offsetof] = ACTIONS(3349),
    [anon_sym__Generic] = ACTIONS(3349),
    [anon_sym_asm] = ACTIONS(3349),
    [anon_sym___asm__] = ACTIONS(3349),
    [sym_number_literal] = ACTIONS(3351),
    [anon_sym_L_SQUOTE] = ACTIONS(3351),
    [anon_sym_u_SQUOTE] = ACTIONS(3351),
    [anon_sym_U_SQUOTE] = ACTIONS(3351),
    [anon_sym_u8_SQUOTE] = ACTIONS(3351),
    [anon_sym_SQUOTE] = ACTIONS(3351),
    [anon_sym_L_DQUOTE] = ACTIONS(3351),
    [anon_sym_u_DQUOTE] = ACTIONS(3351),
    [anon_sym_U_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8_DQUOTE] = ACTIONS(3351),
    [anon_sym_DQUOTE] = ACTIONS(3351),
    [sym_true] = ACTIONS(3349),
    [sym_false] = ACTIONS(3349),
    [anon_sym_NULL] = ACTIONS(3349),
    [anon_sym_nullptr] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_delete] = ACTIONS(3349),
    [anon_sym_throw] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
    [anon_sym_concept] = ACTIONS(3349),
    [anon_sym_co_return] = ACTIONS(3349),
    [anon_sym_co_yield] = ACTIONS(3349),
    [anon_sym_R_DQUOTE] = ACTIONS(3351),
    [anon_sym_LR_DQUOTE] = ACTIONS(3351),
    [anon_sym_uR_DQUOTE] = ACTIONS(3351),
    [anon_sym_UR_DQUOTE] = ACTIONS(3351),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3351),
    [anon_sym_co_await] = ACTIONS(3349),
    [anon_sym_new] = ACTIONS(3349),
    [anon_sym_requires] = ACTIONS(3349),
    [sym_this] = ACTIONS(3349),
  },
  [1092] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3951),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1093] = {
    [ts_builtin_sym_end] = ACTIONS(3326),
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_include_token1] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_BANG] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym___cdecl] = ACTIONS(3324),
    [anon_sym___clrcall] = ACTIONS(3324),
    [anon_sym___stdcall] = ACTIONS(3324),
    [anon_sym___fastcall] = ACTIONS(3324),
    [anon_sym___thiscall] = ACTIONS(3324),
    [anon_sym___vectorcall] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(3326),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [anon_sym_if] = ACTIONS(3324),
    [anon_sym_switch] = ACTIONS(3324),
    [anon_sym_case] = ACTIONS(3324),
    [anon_sym_default] = ACTIONS(3324),
    [anon_sym_while] = ACTIONS(3324),
    [anon_sym_do] = ACTIONS(3324),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_return] = ACTIONS(3324),
    [anon_sym_break] = ACTIONS(3324),
    [anon_sym_continue] = ACTIONS(3324),
    [anon_sym_goto] = ACTIONS(3324),
    [anon_sym_not] = ACTIONS(3324),
    [anon_sym_compl] = ACTIONS(3324),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_sizeof] = ACTIONS(3324),
    [anon_sym___alignof__] = ACTIONS(3324),
    [anon_sym___alignof] = ACTIONS(3324),
    [anon_sym__alignof] = ACTIONS(3324),
    [anon_sym_alignof] = ACTIONS(3324),
    [anon_sym__Alignof] = ACTIONS(3324),
    [anon_sym_offsetof] = ACTIONS(3324),
    [anon_sym__Generic] = ACTIONS(3324),
    [anon_sym_asm] = ACTIONS(3324),
    [anon_sym___asm__] = ACTIONS(3324),
    [sym_number_literal] = ACTIONS(3326),
    [anon_sym_L_SQUOTE] = ACTIONS(3326),
    [anon_sym_u_SQUOTE] = ACTIONS(3326),
    [anon_sym_U_SQUOTE] = ACTIONS(3326),
    [anon_sym_u8_SQUOTE] = ACTIONS(3326),
    [anon_sym_SQUOTE] = ACTIONS(3326),
    [anon_sym_L_DQUOTE] = ACTIONS(3326),
    [anon_sym_u_DQUOTE] = ACTIONS(3326),
    [anon_sym_U_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8_DQUOTE] = ACTIONS(3326),
    [anon_sym_DQUOTE] = ACTIONS(3326),
    [sym_true] = ACTIONS(3324),
    [sym_false] = ACTIONS(3324),
    [anon_sym_NULL] = ACTIONS(3324),
    [anon_sym_nullptr] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_try] = ACTIONS(3324),
    [anon_sym_delete] = ACTIONS(3324),
    [anon_sym_throw] = ACTIONS(3324),
    [anon_sym_namespace] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
    [anon_sym_concept] = ACTIONS(3324),
    [anon_sym_co_return] = ACTIONS(3324),
    [anon_sym_co_yield] = ACTIONS(3324),
    [anon_sym_R_DQUOTE] = ACTIONS(3326),
    [anon_sym_LR_DQUOTE] = ACTIONS(3326),
    [anon_sym_uR_DQUOTE] = ACTIONS(3326),
    [anon_sym_UR_DQUOTE] = ACTIONS(3326),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3326),
    [anon_sym_co_await] = ACTIONS(3324),
    [anon_sym_new] = ACTIONS(3324),
    [anon_sym_requires] = ACTIONS(3324),
    [sym_this] = ACTIONS(3324),
  },
  [1094] = {
    [sym_preproc_def] = STATE(1062),
    [sym_preproc_function_def] = STATE(1062),
    [sym_preproc_call] = STATE(1062),
    [sym_preproc_if_in_field_declaration_list] = STATE(1062),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1062),
    [sym_type_definition] = STATE(1062),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1062),
    [sym_field_declaration] = STATE(1062),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1062),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1062),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1062),
    [sym_operator_cast_declaration] = STATE(1062),
    [sym_constructor_or_destructor_definition] = STATE(1062),
    [sym_constructor_or_destructor_declaration] = STATE(1062),
    [sym_friend_declaration] = STATE(1062),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1062),
    [sym_alias_declaration] = STATE(1062),
    [sym_static_assert_declaration] = STATE(1062),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1062),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3953),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1095] = {
    [sym_preproc_def] = STATE(1036),
    [sym_preproc_function_def] = STATE(1036),
    [sym_preproc_call] = STATE(1036),
    [sym_preproc_if_in_field_declaration_list] = STATE(1036),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1036),
    [sym_type_definition] = STATE(1036),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(6415),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__field_declaration_list_item] = STATE(1036),
    [sym_field_declaration] = STATE(1036),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1036),
    [sym_operator_cast] = STATE(7499),
    [sym_inline_method_definition] = STATE(1036),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(1036),
    [sym_operator_cast_declaration] = STATE(1036),
    [sym_constructor_or_destructor_definition] = STATE(1036),
    [sym_constructor_or_destructor_declaration] = STATE(1036),
    [sym_friend_declaration] = STATE(1036),
    [sym_access_specifier] = STATE(8826),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_using_declaration] = STATE(1036),
    [sym_alias_declaration] = STATE(1036),
    [sym_static_assert_declaration] = STATE(1036),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6231),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1036),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2396),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3777),
    [aux_sym_preproc_if_token1] = ACTIONS(3779),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3781),
    [sym_preproc_directive] = ACTIONS(3783),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3785),
    [anon_sym_typedef] = ACTIONS(3787),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3955),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3795),
    [anon_sym_static_assert] = ACTIONS(3797),
  },
  [1096] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3959),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1097] = {
    [sym__expression] = STATE(5144),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_initializer_list] = STATE(5507),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1098] = {
    [sym__expression] = STATE(5148),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3981),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1099] = {
    [sym__expression] = STATE(5425),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3993),
    [anon_sym_COMMA] = ACTIONS(3993),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3959),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3993),
    [anon_sym_PIPE_PIPE] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(3993),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3993),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(3993),
    [anon_sym_BANG_EQ] = ACTIONS(3993),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_GT_EQ] = ACTIONS(3993),
    [anon_sym_LT_EQ] = ACTIONS(3997),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3993),
    [anon_sym_GT_GT] = ACTIONS(3993),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_LT_EQ_GT] = ACTIONS(3993),
    [anon_sym_or] = ACTIONS(3997),
    [anon_sym_and] = ACTIONS(3997),
    [anon_sym_bitor] = ACTIONS(3997),
    [anon_sym_xor] = ACTIONS(3997),
    [anon_sym_bitand] = ACTIONS(3997),
    [anon_sym_not_eq] = ACTIONS(3997),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(3997),
    [anon_sym_DOT_STAR] = ACTIONS(3993),
    [anon_sym_DASH_GT] = ACTIONS(3993),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1100] = {
    [sym__declaration_modifiers] = STATE(2426),
    [sym__declaration_specifiers] = STATE(7005),
    [sym_attribute_specifier] = STATE(2426),
    [sym_attribute_declaration] = STATE(2426),
    [sym_ms_declspec_modifier] = STATE(2426),
    [sym_storage_class_specifier] = STATE(2426),
    [sym_type_qualifier] = STATE(2426),
    [sym__type_specifier] = STATE(4737),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2426),
    [sym_alignas_specifier] = STATE(2426),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7281),
    [sym_qualified_type_identifier] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3892),
    [sym_identifier] = ACTIONS(4001),
    [anon_sym_COMMA] = ACTIONS(4003),
    [anon_sym_BANG] = ACTIONS(4005),
    [anon_sym_TILDE] = ACTIONS(4003),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4003),
    [anon_sym_AMP_AMP] = ACTIONS(4003),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4003),
    [anon_sym_BANG_EQ] = ACTIONS(4003),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4003),
    [anon_sym_LT_EQ] = ACTIONS(4005),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4009),
    [anon_sym_unsigned] = ACTIONS(4009),
    [anon_sym_long] = ACTIONS(4009),
    [anon_sym_short] = ACTIONS(4009),
    [anon_sym_EQ] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4011),
    [anon_sym_enum] = ACTIONS(4013),
    [anon_sym_class] = ACTIONS(4015),
    [anon_sym_struct] = ACTIONS(4017),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_STAR_EQ] = ACTIONS(4003),
    [anon_sym_SLASH_EQ] = ACTIONS(4003),
    [anon_sym_PERCENT_EQ] = ACTIONS(4003),
    [anon_sym_PLUS_EQ] = ACTIONS(4003),
    [anon_sym_DASH_EQ] = ACTIONS(4003),
    [anon_sym_LT_LT_EQ] = ACTIONS(4003),
    [anon_sym_GT_GT_EQ] = ACTIONS(4003),
    [anon_sym_AMP_EQ] = ACTIONS(4003),
    [anon_sym_CARET_EQ] = ACTIONS(4003),
    [anon_sym_PIPE_EQ] = ACTIONS(4003),
    [anon_sym_and_eq] = ACTIONS(4005),
    [anon_sym_or_eq] = ACTIONS(4005),
    [anon_sym_xor_eq] = ACTIONS(4005),
    [anon_sym_not] = ACTIONS(4005),
    [anon_sym_compl] = ACTIONS(4005),
    [anon_sym_LT_EQ_GT] = ACTIONS(4003),
    [anon_sym_or] = ACTIONS(4005),
    [anon_sym_and] = ACTIONS(4005),
    [anon_sym_bitor] = ACTIONS(4005),
    [anon_sym_xor] = ACTIONS(4005),
    [anon_sym_bitand] = ACTIONS(4005),
    [anon_sym_not_eq] = ACTIONS(4005),
    [anon_sym_DASH_DASH] = ACTIONS(4003),
    [anon_sym_PLUS_PLUS] = ACTIONS(4003),
    [anon_sym_DASH_GT] = ACTIONS(4005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4023),
    [anon_sym_co_await] = ACTIONS(4005),
    [anon_sym_new] = ACTIONS(4023),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4003),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4003),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4003),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4025),
  },
  [1101] = {
    [sym__declaration_modifiers] = STATE(2426),
    [sym__declaration_specifiers] = STATE(7005),
    [sym_attribute_specifier] = STATE(2426),
    [sym_attribute_declaration] = STATE(2426),
    [sym_ms_declspec_modifier] = STATE(2426),
    [sym_storage_class_specifier] = STATE(2426),
    [sym_type_qualifier] = STATE(2426),
    [sym__type_specifier] = STATE(4737),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2426),
    [sym_alignas_specifier] = STATE(2426),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7281),
    [sym_qualified_type_identifier] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3892),
    [sym_identifier] = ACTIONS(4001),
    [anon_sym_COMMA] = ACTIONS(4027),
    [anon_sym_BANG] = ACTIONS(4029),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_DASH] = ACTIONS(4029),
    [anon_sym_PLUS] = ACTIONS(4029),
    [anon_sym_STAR] = ACTIONS(4029),
    [anon_sym_SLASH] = ACTIONS(4029),
    [anon_sym_PERCENT] = ACTIONS(4029),
    [anon_sym_PIPE_PIPE] = ACTIONS(4027),
    [anon_sym_AMP_AMP] = ACTIONS(4027),
    [anon_sym_PIPE] = ACTIONS(4029),
    [anon_sym_CARET] = ACTIONS(4029),
    [anon_sym_AMP] = ACTIONS(4029),
    [anon_sym_EQ_EQ] = ACTIONS(4027),
    [anon_sym_BANG_EQ] = ACTIONS(4027),
    [anon_sym_GT] = ACTIONS(4029),
    [anon_sym_GT_EQ] = ACTIONS(4027),
    [anon_sym_LT_EQ] = ACTIONS(4029),
    [anon_sym_LT] = ACTIONS(4029),
    [anon_sym_LT_LT] = ACTIONS(4029),
    [anon_sym_GT_GT] = ACTIONS(4029),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4009),
    [anon_sym_unsigned] = ACTIONS(4009),
    [anon_sym_long] = ACTIONS(4009),
    [anon_sym_short] = ACTIONS(4009),
    [anon_sym_EQ] = ACTIONS(4029),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4011),
    [anon_sym_enum] = ACTIONS(4013),
    [anon_sym_class] = ACTIONS(4015),
    [anon_sym_struct] = ACTIONS(4017),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_STAR_EQ] = ACTIONS(4027),
    [anon_sym_SLASH_EQ] = ACTIONS(4027),
    [anon_sym_PERCENT_EQ] = ACTIONS(4027),
    [anon_sym_PLUS_EQ] = ACTIONS(4027),
    [anon_sym_DASH_EQ] = ACTIONS(4027),
    [anon_sym_LT_LT_EQ] = ACTIONS(4027),
    [anon_sym_GT_GT_EQ] = ACTIONS(4027),
    [anon_sym_AMP_EQ] = ACTIONS(4027),
    [anon_sym_CARET_EQ] = ACTIONS(4027),
    [anon_sym_PIPE_EQ] = ACTIONS(4027),
    [anon_sym_and_eq] = ACTIONS(4029),
    [anon_sym_or_eq] = ACTIONS(4029),
    [anon_sym_xor_eq] = ACTIONS(4029),
    [anon_sym_not] = ACTIONS(4029),
    [anon_sym_compl] = ACTIONS(4029),
    [anon_sym_LT_EQ_GT] = ACTIONS(4027),
    [anon_sym_or] = ACTIONS(4029),
    [anon_sym_and] = ACTIONS(4029),
    [anon_sym_bitor] = ACTIONS(4029),
    [anon_sym_xor] = ACTIONS(4029),
    [anon_sym_bitand] = ACTIONS(4029),
    [anon_sym_not_eq] = ACTIONS(4029),
    [anon_sym_DASH_DASH] = ACTIONS(4027),
    [anon_sym_PLUS_PLUS] = ACTIONS(4027),
    [anon_sym_DASH_GT] = ACTIONS(4029),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4031),
    [anon_sym_co_await] = ACTIONS(4029),
    [anon_sym_new] = ACTIONS(4031),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4027),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4027),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4027),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4033),
  },
  [1102] = {
    [sym_function_definition] = STATE(352),
    [sym_declaration] = STATE(352),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7038),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(352),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2092),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(352),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2092),
    [sym_operator_cast_definition] = STATE(352),
    [sym_operator_cast_declaration] = STATE(352),
    [sym_constructor_or_destructor_definition] = STATE(352),
    [sym_constructor_or_destructor_declaration] = STATE(352),
    [sym_friend_declaration] = STATE(352),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(352),
    [sym_concept_definition] = STATE(352),
    [sym_requires_clause] = STATE(1113),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2092),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4041),
    [anon_sym_using] = ACTIONS(4043),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1103] = {
    [sym_function_definition] = STATE(2409),
    [sym_declaration] = STATE(2409),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5324),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2317),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3264),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2409),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2409),
    [sym_operator_cast] = STATE(7457),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(2409),
    [sym_operator_cast_declaration] = STATE(2409),
    [sym_constructor_or_destructor_definition] = STATE(2409),
    [sym_constructor_or_destructor_declaration] = STATE(2409),
    [sym_friend_declaration] = STATE(2409),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2409),
    [sym_concept_definition] = STATE(2409),
    [sym_requires_clause] = STATE(1121),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_using] = ACTIONS(4047),
    [anon_sym_concept] = ACTIONS(4049),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1104] = {
    [sym_function_definition] = STATE(902),
    [sym_declaration] = STATE(902),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(902),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2100),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(902),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2100),
    [sym_operator_cast_definition] = STATE(902),
    [sym_operator_cast_declaration] = STATE(902),
    [sym_constructor_or_destructor_definition] = STATE(902),
    [sym_constructor_or_destructor_declaration] = STATE(902),
    [sym_friend_declaration] = STATE(902),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(902),
    [sym_concept_definition] = STATE(902),
    [sym_requires_clause] = STATE(1120),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2100),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4051),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4053),
    [anon_sym_using] = ACTIONS(4055),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1105] = {
    [sym_function_definition] = STATE(882),
    [sym_declaration] = STATE(882),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2261),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7064),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3315),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(882),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2096),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(882),
    [sym_operator_cast] = STATE(7485),
    [sym__constructor_specifiers] = STATE(2096),
    [sym_operator_cast_definition] = STATE(882),
    [sym_operator_cast_declaration] = STATE(882),
    [sym_constructor_or_destructor_definition] = STATE(882),
    [sym_constructor_or_destructor_declaration] = STATE(882),
    [sym_friend_declaration] = STATE(882),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(882),
    [sym_concept_definition] = STATE(882),
    [sym_requires_clause] = STATE(1114),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7485),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2096),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4057),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4059),
    [anon_sym_using] = ACTIONS(4061),
    [anon_sym_concept] = ACTIONS(1150),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1106] = {
    [sym_function_definition] = STATE(2590),
    [sym_declaration] = STATE(2590),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5404),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2319),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3295),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2590),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2590),
    [sym_operator_cast] = STATE(7499),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(2590),
    [sym_operator_cast_declaration] = STATE(2590),
    [sym_constructor_or_destructor_definition] = STATE(2590),
    [sym_constructor_or_destructor_declaration] = STATE(2590),
    [sym_friend_declaration] = STATE(2590),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2590),
    [sym_concept_definition] = STATE(2590),
    [sym_requires_clause] = STATE(1117),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(4063),
    [anon_sym_concept] = ACTIONS(4065),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1107] = {
    [sym_function_definition] = STATE(2226),
    [sym_declaration] = STATE(2226),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5360),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2318),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3276),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2226),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2226),
    [sym_operator_cast] = STATE(7445),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(2226),
    [sym_operator_cast_declaration] = STATE(2226),
    [sym_constructor_or_destructor_definition] = STATE(2226),
    [sym_constructor_or_destructor_declaration] = STATE(2226),
    [sym_friend_declaration] = STATE(2226),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2226),
    [sym_concept_definition] = STATE(2226),
    [sym_requires_clause] = STATE(1118),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(4067),
    [anon_sym_concept] = ACTIONS(4069),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1108] = {
    [sym_function_definition] = STATE(1020),
    [sym_declaration] = STATE(1020),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2307),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6972),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3327),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(1020),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2098),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1020),
    [sym_operator_cast] = STATE(7455),
    [sym__constructor_specifiers] = STATE(2098),
    [sym_operator_cast_definition] = STATE(1020),
    [sym_operator_cast_declaration] = STATE(1020),
    [sym_constructor_or_destructor_definition] = STATE(1020),
    [sym_constructor_or_destructor_declaration] = STATE(1020),
    [sym_friend_declaration] = STATE(1020),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(1020),
    [sym_concept_definition] = STATE(1020),
    [sym_requires_clause] = STATE(1116),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7455),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2098),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4071),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4073),
    [anon_sym_using] = ACTIONS(4075),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1109] = {
    [sym_function_definition] = STATE(2769),
    [sym_declaration] = STATE(2769),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5327),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2314),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7060),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3244),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2769),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2110),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2769),
    [sym_operator_cast] = STATE(7481),
    [sym__constructor_specifiers] = STATE(2110),
    [sym_operator_cast_definition] = STATE(2769),
    [sym_operator_cast_declaration] = STATE(2769),
    [sym_constructor_or_destructor_definition] = STATE(2769),
    [sym_constructor_or_destructor_declaration] = STATE(2769),
    [sym_friend_declaration] = STATE(2769),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2769),
    [sym_concept_definition] = STATE(2769),
    [sym_requires_clause] = STATE(1115),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7481),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3933),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3935),
    [anon_sym_using] = ACTIONS(4077),
    [anon_sym_concept] = ACTIONS(4079),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1110] = {
    [sym_function_definition] = STATE(563),
    [sym_declaration] = STATE(563),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7040),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(563),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2108),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(563),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2108),
    [sym_operator_cast_definition] = STATE(563),
    [sym_operator_cast_declaration] = STATE(563),
    [sym_constructor_or_destructor_definition] = STATE(563),
    [sym_constructor_or_destructor_declaration] = STATE(563),
    [sym_friend_declaration] = STATE(563),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(563),
    [sym_concept_definition] = STATE(563),
    [sym_requires_clause] = STATE(1119),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2108),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4081),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4083),
    [anon_sym_using] = ACTIONS(4085),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_requires] = ACTIONS(4045),
  },
  [1111] = {
    [sym_identifier] = ACTIONS(4087),
    [anon_sym_COMMA] = ACTIONS(4089),
    [anon_sym_RPAREN] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_TILDE] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4087),
    [anon_sym_PLUS] = ACTIONS(4087),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4087),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4087),
    [anon_sym_extern] = ACTIONS(4087),
    [anon_sym___attribute__] = ACTIONS(4087),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4087),
    [anon_sym___based] = ACTIONS(4087),
    [anon_sym_LBRACE] = ACTIONS(4089),
    [anon_sym_signed] = ACTIONS(4087),
    [anon_sym_unsigned] = ACTIONS(4087),
    [anon_sym_long] = ACTIONS(4087),
    [anon_sym_short] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_EQ] = ACTIONS(4089),
    [anon_sym_static] = ACTIONS(4087),
    [anon_sym_register] = ACTIONS(4087),
    [anon_sym_inline] = ACTIONS(4087),
    [anon_sym___inline] = ACTIONS(4087),
    [anon_sym___inline__] = ACTIONS(4087),
    [anon_sym___forceinline] = ACTIONS(4087),
    [anon_sym_thread_local] = ACTIONS(4087),
    [anon_sym___thread] = ACTIONS(4087),
    [anon_sym_const] = ACTIONS(4087),
    [anon_sym_constexpr] = ACTIONS(4087),
    [anon_sym_volatile] = ACTIONS(4087),
    [anon_sym_restrict] = ACTIONS(4087),
    [anon_sym___restrict__] = ACTIONS(4087),
    [anon_sym__Atomic] = ACTIONS(4087),
    [anon_sym__Noreturn] = ACTIONS(4087),
    [anon_sym_noreturn] = ACTIONS(4087),
    [anon_sym_mutable] = ACTIONS(4087),
    [anon_sym_constinit] = ACTIONS(4087),
    [anon_sym_consteval] = ACTIONS(4087),
    [sym_primitive_type] = ACTIONS(4087),
    [anon_sym_enum] = ACTIONS(4087),
    [anon_sym_class] = ACTIONS(4087),
    [anon_sym_struct] = ACTIONS(4087),
    [anon_sym_union] = ACTIONS(4087),
    [anon_sym_if] = ACTIONS(4087),
    [anon_sym_switch] = ACTIONS(4087),
    [anon_sym_case] = ACTIONS(4087),
    [anon_sym_default] = ACTIONS(4087),
    [anon_sym_while] = ACTIONS(4087),
    [anon_sym_do] = ACTIONS(4087),
    [anon_sym_for] = ACTIONS(4087),
    [anon_sym_return] = ACTIONS(4087),
    [anon_sym_break] = ACTIONS(4087),
    [anon_sym_continue] = ACTIONS(4087),
    [anon_sym_goto] = ACTIONS(4087),
    [anon_sym___try] = ACTIONS(4087),
    [anon_sym___leave] = ACTIONS(4087),
    [anon_sym_not] = ACTIONS(4087),
    [anon_sym_compl] = ACTIONS(4087),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_sizeof] = ACTIONS(4087),
    [anon_sym___alignof__] = ACTIONS(4087),
    [anon_sym___alignof] = ACTIONS(4087),
    [anon_sym__alignof] = ACTIONS(4087),
    [anon_sym_alignof] = ACTIONS(4087),
    [anon_sym__Alignof] = ACTIONS(4087),
    [anon_sym_offsetof] = ACTIONS(4087),
    [anon_sym__Generic] = ACTIONS(4087),
    [anon_sym_asm] = ACTIONS(4087),
    [anon_sym___asm__] = ACTIONS(4087),
    [sym_number_literal] = ACTIONS(4089),
    [anon_sym_L_SQUOTE] = ACTIONS(4089),
    [anon_sym_u_SQUOTE] = ACTIONS(4089),
    [anon_sym_U_SQUOTE] = ACTIONS(4089),
    [anon_sym_u8_SQUOTE] = ACTIONS(4089),
    [anon_sym_SQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [sym_true] = ACTIONS(4087),
    [sym_false] = ACTIONS(4087),
    [anon_sym_NULL] = ACTIONS(4087),
    [anon_sym_nullptr] = ACTIONS(4087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4087),
    [anon_sym_decltype] = ACTIONS(4087),
    [anon_sym_virtual] = ACTIONS(4087),
    [anon_sym_alignas] = ACTIONS(4087),
    [anon_sym_explicit] = ACTIONS(4087),
    [anon_sym_typename] = ACTIONS(4087),
    [anon_sym_template] = ACTIONS(4087),
    [anon_sym_GT2] = ACTIONS(4089),
    [anon_sym_operator] = ACTIONS(4087),
    [anon_sym_try] = ACTIONS(4087),
    [anon_sym_delete] = ACTIONS(4087),
    [anon_sym_throw] = ACTIONS(4087),
    [anon_sym_co_return] = ACTIONS(4087),
    [anon_sym_co_yield] = ACTIONS(4087),
    [anon_sym_R_DQUOTE] = ACTIONS(4089),
    [anon_sym_LR_DQUOTE] = ACTIONS(4089),
    [anon_sym_uR_DQUOTE] = ACTIONS(4089),
    [anon_sym_UR_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4089),
    [anon_sym_co_await] = ACTIONS(4087),
    [anon_sym_new] = ACTIONS(4087),
    [anon_sym_requires] = ACTIONS(4087),
    [sym_this] = ACTIONS(4087),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_COMMA] = ACTIONS(4093),
    [anon_sym_RPAREN] = ACTIONS(4093),
    [anon_sym_LPAREN2] = ACTIONS(4093),
    [anon_sym_BANG] = ACTIONS(4093),
    [anon_sym_TILDE] = ACTIONS(4093),
    [anon_sym_DASH] = ACTIONS(4091),
    [anon_sym_PLUS] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(4093),
    [anon_sym_AMP_AMP] = ACTIONS(4093),
    [anon_sym_AMP] = ACTIONS(4091),
    [anon_sym_SEMI] = ACTIONS(4093),
    [anon_sym___extension__] = ACTIONS(4091),
    [anon_sym_extern] = ACTIONS(4091),
    [anon_sym___attribute__] = ACTIONS(4091),
    [anon_sym_COLON_COLON] = ACTIONS(4093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4093),
    [anon_sym___declspec] = ACTIONS(4091),
    [anon_sym___based] = ACTIONS(4091),
    [anon_sym_LBRACE] = ACTIONS(4093),
    [anon_sym_signed] = ACTIONS(4091),
    [anon_sym_unsigned] = ACTIONS(4091),
    [anon_sym_long] = ACTIONS(4091),
    [anon_sym_short] = ACTIONS(4091),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_EQ] = ACTIONS(4093),
    [anon_sym_static] = ACTIONS(4091),
    [anon_sym_register] = ACTIONS(4091),
    [anon_sym_inline] = ACTIONS(4091),
    [anon_sym___inline] = ACTIONS(4091),
    [anon_sym___inline__] = ACTIONS(4091),
    [anon_sym___forceinline] = ACTIONS(4091),
    [anon_sym_thread_local] = ACTIONS(4091),
    [anon_sym___thread] = ACTIONS(4091),
    [anon_sym_const] = ACTIONS(4091),
    [anon_sym_constexpr] = ACTIONS(4091),
    [anon_sym_volatile] = ACTIONS(4091),
    [anon_sym_restrict] = ACTIONS(4091),
    [anon_sym___restrict__] = ACTIONS(4091),
    [anon_sym__Atomic] = ACTIONS(4091),
    [anon_sym__Noreturn] = ACTIONS(4091),
    [anon_sym_noreturn] = ACTIONS(4091),
    [anon_sym_mutable] = ACTIONS(4091),
    [anon_sym_constinit] = ACTIONS(4091),
    [anon_sym_consteval] = ACTIONS(4091),
    [sym_primitive_type] = ACTIONS(4091),
    [anon_sym_enum] = ACTIONS(4091),
    [anon_sym_class] = ACTIONS(4091),
    [anon_sym_struct] = ACTIONS(4091),
    [anon_sym_union] = ACTIONS(4091),
    [anon_sym_if] = ACTIONS(4091),
    [anon_sym_switch] = ACTIONS(4091),
    [anon_sym_case] = ACTIONS(4091),
    [anon_sym_default] = ACTIONS(4091),
    [anon_sym_while] = ACTIONS(4091),
    [anon_sym_do] = ACTIONS(4091),
    [anon_sym_for] = ACTIONS(4091),
    [anon_sym_return] = ACTIONS(4091),
    [anon_sym_break] = ACTIONS(4091),
    [anon_sym_continue] = ACTIONS(4091),
    [anon_sym_goto] = ACTIONS(4091),
    [anon_sym___try] = ACTIONS(4091),
    [anon_sym___leave] = ACTIONS(4091),
    [anon_sym_not] = ACTIONS(4091),
    [anon_sym_compl] = ACTIONS(4091),
    [anon_sym_DASH_DASH] = ACTIONS(4093),
    [anon_sym_PLUS_PLUS] = ACTIONS(4093),
    [anon_sym_sizeof] = ACTIONS(4091),
    [anon_sym___alignof__] = ACTIONS(4091),
    [anon_sym___alignof] = ACTIONS(4091),
    [anon_sym__alignof] = ACTIONS(4091),
    [anon_sym_alignof] = ACTIONS(4091),
    [anon_sym__Alignof] = ACTIONS(4091),
    [anon_sym_offsetof] = ACTIONS(4091),
    [anon_sym__Generic] = ACTIONS(4091),
    [anon_sym_asm] = ACTIONS(4091),
    [anon_sym___asm__] = ACTIONS(4091),
    [sym_number_literal] = ACTIONS(4093),
    [anon_sym_L_SQUOTE] = ACTIONS(4093),
    [anon_sym_u_SQUOTE] = ACTIONS(4093),
    [anon_sym_U_SQUOTE] = ACTIONS(4093),
    [anon_sym_u8_SQUOTE] = ACTIONS(4093),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_L_DQUOTE] = ACTIONS(4093),
    [anon_sym_u_DQUOTE] = ACTIONS(4093),
    [anon_sym_U_DQUOTE] = ACTIONS(4093),
    [anon_sym_u8_DQUOTE] = ACTIONS(4093),
    [anon_sym_DQUOTE] = ACTIONS(4093),
    [sym_true] = ACTIONS(4091),
    [sym_false] = ACTIONS(4091),
    [anon_sym_NULL] = ACTIONS(4091),
    [anon_sym_nullptr] = ACTIONS(4091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4091),
    [anon_sym_decltype] = ACTIONS(4091),
    [anon_sym_virtual] = ACTIONS(4091),
    [anon_sym_alignas] = ACTIONS(4091),
    [anon_sym_explicit] = ACTIONS(4091),
    [anon_sym_typename] = ACTIONS(4091),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_GT2] = ACTIONS(4093),
    [anon_sym_operator] = ACTIONS(4091),
    [anon_sym_try] = ACTIONS(4091),
    [anon_sym_delete] = ACTIONS(4091),
    [anon_sym_throw] = ACTIONS(4091),
    [anon_sym_co_return] = ACTIONS(4091),
    [anon_sym_co_yield] = ACTIONS(4091),
    [anon_sym_R_DQUOTE] = ACTIONS(4093),
    [anon_sym_LR_DQUOTE] = ACTIONS(4093),
    [anon_sym_uR_DQUOTE] = ACTIONS(4093),
    [anon_sym_UR_DQUOTE] = ACTIONS(4093),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4093),
    [anon_sym_co_await] = ACTIONS(4091),
    [anon_sym_new] = ACTIONS(4091),
    [anon_sym_requires] = ACTIONS(4091),
    [sym_this] = ACTIONS(4091),
  },
  [1113] = {
    [sym_function_definition] = STATE(387),
    [sym_declaration] = STATE(387),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2321),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7038),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3317),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(387),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2092),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(387),
    [sym_operator_cast] = STATE(7460),
    [sym__constructor_specifiers] = STATE(2092),
    [sym_operator_cast_definition] = STATE(387),
    [sym_operator_cast_declaration] = STATE(387),
    [sym_constructor_or_destructor_definition] = STATE(387),
    [sym_constructor_or_destructor_declaration] = STATE(387),
    [sym_friend_declaration] = STATE(387),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(387),
    [sym_concept_definition] = STATE(387),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7460),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2092),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4039),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4041),
    [anon_sym_using] = ACTIONS(4043),
    [anon_sym_concept] = ACTIONS(333),
  },
  [1114] = {
    [sym_function_definition] = STATE(878),
    [sym_declaration] = STATE(878),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2261),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7064),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3315),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(878),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2096),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(878),
    [sym_operator_cast] = STATE(7485),
    [sym__constructor_specifiers] = STATE(2096),
    [sym_operator_cast_definition] = STATE(878),
    [sym_operator_cast_declaration] = STATE(878),
    [sym_constructor_or_destructor_definition] = STATE(878),
    [sym_constructor_or_destructor_declaration] = STATE(878),
    [sym_friend_declaration] = STATE(878),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(878),
    [sym_concept_definition] = STATE(878),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7485),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2096),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4057),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4059),
    [anon_sym_using] = ACTIONS(4061),
    [anon_sym_concept] = ACTIONS(1150),
  },
  [1115] = {
    [sym_function_definition] = STATE(2782),
    [sym_declaration] = STATE(2782),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5327),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2314),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7060),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3244),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2782),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2110),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2782),
    [sym_operator_cast] = STATE(7481),
    [sym__constructor_specifiers] = STATE(2110),
    [sym_operator_cast_definition] = STATE(2782),
    [sym_operator_cast_declaration] = STATE(2782),
    [sym_constructor_or_destructor_definition] = STATE(2782),
    [sym_constructor_or_destructor_declaration] = STATE(2782),
    [sym_friend_declaration] = STATE(2782),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2782),
    [sym_concept_definition] = STATE(2782),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7481),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2110),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3933),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3935),
    [anon_sym_using] = ACTIONS(4077),
    [anon_sym_concept] = ACTIONS(4079),
  },
  [1116] = {
    [sym_function_definition] = STATE(1025),
    [sym_declaration] = STATE(1025),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2307),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6972),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3327),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(1025),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2098),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(1025),
    [sym_operator_cast] = STATE(7455),
    [sym__constructor_specifiers] = STATE(2098),
    [sym_operator_cast_definition] = STATE(1025),
    [sym_operator_cast_declaration] = STATE(1025),
    [sym_constructor_or_destructor_definition] = STATE(1025),
    [sym_constructor_or_destructor_declaration] = STATE(1025),
    [sym_friend_declaration] = STATE(1025),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(1025),
    [sym_concept_definition] = STATE(1025),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7455),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2098),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4071),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4073),
    [anon_sym_using] = ACTIONS(4075),
    [anon_sym_concept] = ACTIONS(145),
  },
  [1117] = {
    [sym_function_definition] = STATE(2646),
    [sym_declaration] = STATE(2646),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5404),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2319),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6980),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3295),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2646),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2106),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2646),
    [sym_operator_cast] = STATE(7499),
    [sym__constructor_specifiers] = STATE(2106),
    [sym_operator_cast_definition] = STATE(2646),
    [sym_operator_cast_declaration] = STATE(2646),
    [sym_constructor_or_destructor_definition] = STATE(2646),
    [sym_constructor_or_destructor_declaration] = STATE(2646),
    [sym_friend_declaration] = STATE(2646),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2646),
    [sym_concept_definition] = STATE(2646),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7499),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3791),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3793),
    [anon_sym_using] = ACTIONS(4063),
    [anon_sym_concept] = ACTIONS(4065),
  },
  [1118] = {
    [sym_function_definition] = STATE(2174),
    [sym_declaration] = STATE(2174),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5360),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2318),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7053),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3276),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2174),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2095),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2174),
    [sym_operator_cast] = STATE(7445),
    [sym__constructor_specifiers] = STATE(2095),
    [sym_operator_cast_definition] = STATE(2174),
    [sym_operator_cast_declaration] = STATE(2174),
    [sym_constructor_or_destructor_definition] = STATE(2174),
    [sym_constructor_or_destructor_declaration] = STATE(2174),
    [sym_friend_declaration] = STATE(2174),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2174),
    [sym_concept_definition] = STATE(2174),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7445),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2095),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(4067),
    [anon_sym_concept] = ACTIONS(4069),
  },
  [1119] = {
    [sym_function_definition] = STATE(556),
    [sym_declaration] = STATE(556),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2320),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7040),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3299),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(556),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2108),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(556),
    [sym_operator_cast] = STATE(7482),
    [sym__constructor_specifiers] = STATE(2108),
    [sym_operator_cast_definition] = STATE(556),
    [sym_operator_cast_declaration] = STATE(556),
    [sym_constructor_or_destructor_definition] = STATE(556),
    [sym_constructor_or_destructor_declaration] = STATE(556),
    [sym_friend_declaration] = STATE(556),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(556),
    [sym_concept_definition] = STATE(556),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7482),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2108),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4081),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4083),
    [anon_sym_using] = ACTIONS(4085),
    [anon_sym_concept] = ACTIONS(421),
  },
  [1120] = {
    [sym_function_definition] = STATE(963),
    [sym_declaration] = STATE(963),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2330),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7007),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3234),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(963),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2100),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(963),
    [sym_operator_cast] = STATE(7495),
    [sym__constructor_specifiers] = STATE(2100),
    [sym_operator_cast_definition] = STATE(963),
    [sym_operator_cast_declaration] = STATE(963),
    [sym_constructor_or_destructor_definition] = STATE(963),
    [sym_constructor_or_destructor_declaration] = STATE(963),
    [sym_friend_declaration] = STATE(963),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(963),
    [sym_concept_definition] = STATE(963),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7495),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2100),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4051),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4053),
    [anon_sym_using] = ACTIONS(4055),
    [anon_sym_concept] = ACTIONS(231),
  },
  [1121] = {
    [sym_function_definition] = STATE(2352),
    [sym_declaration] = STATE(2352),
    [sym__declaration_modifiers] = STATE(4303),
    [sym__declaration_specifiers] = STATE(5324),
    [sym_attribute_specifier] = STATE(4303),
    [sym_attribute_declaration] = STATE(4303),
    [sym_ms_declspec_modifier] = STATE(4303),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(2317),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6998),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4303),
    [sym_type_qualifier] = STATE(4303),
    [sym__type_specifier] = STATE(3264),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym__empty_declaration] = STATE(2352),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4303),
    [sym_alignas_specifier] = STATE(4303),
    [sym_explicit_function_specifier] = STATE(2093),
    [sym_dependent_type] = STATE(3102),
    [sym_template_declaration] = STATE(2352),
    [sym_operator_cast] = STATE(7457),
    [sym__constructor_specifiers] = STATE(2093),
    [sym_operator_cast_definition] = STATE(2352),
    [sym_operator_cast_declaration] = STATE(2352),
    [sym_constructor_or_destructor_definition] = STATE(2352),
    [sym_constructor_or_destructor_declaration] = STATE(2352),
    [sym_friend_declaration] = STATE(2352),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_alias_declaration] = STATE(2352),
    [sym_concept_definition] = STATE(2352),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6205),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_qualified_operator_cast_identifier] = STATE(7457),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2093),
    [sym_identifier] = ACTIONS(4035),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3535),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3537),
    [anon_sym_using] = ACTIONS(4047),
    [anon_sym_concept] = ACTIONS(4049),
  },
  [1122] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4131),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1123] = {
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_BANG] = ACTIONS(4141),
    [anon_sym_TILDE] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4143),
    [anon_sym_PLUS] = ACTIONS(4143),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4141),
    [anon_sym___extension__] = ACTIONS(4147),
    [anon_sym_extern] = ACTIONS(4147),
    [anon_sym___attribute__] = ACTIONS(4147),
    [anon_sym_COLON_COLON] = ACTIONS(4138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4138),
    [anon_sym___declspec] = ACTIONS(4147),
    [anon_sym___based] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4141),
    [anon_sym_signed] = ACTIONS(4147),
    [anon_sym_unsigned] = ACTIONS(4147),
    [anon_sym_long] = ACTIONS(4147),
    [anon_sym_short] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(4135),
    [anon_sym_static] = ACTIONS(4147),
    [anon_sym_register] = ACTIONS(4147),
    [anon_sym_inline] = ACTIONS(4147),
    [anon_sym___inline] = ACTIONS(4147),
    [anon_sym___inline__] = ACTIONS(4147),
    [anon_sym___forceinline] = ACTIONS(4147),
    [anon_sym_thread_local] = ACTIONS(4147),
    [anon_sym___thread] = ACTIONS(4147),
    [anon_sym_const] = ACTIONS(4147),
    [anon_sym_constexpr] = ACTIONS(4147),
    [anon_sym_volatile] = ACTIONS(4147),
    [anon_sym_restrict] = ACTIONS(4147),
    [anon_sym___restrict__] = ACTIONS(4147),
    [anon_sym__Atomic] = ACTIONS(4147),
    [anon_sym__Noreturn] = ACTIONS(4147),
    [anon_sym_noreturn] = ACTIONS(4147),
    [anon_sym_mutable] = ACTIONS(4147),
    [anon_sym_constinit] = ACTIONS(4147),
    [anon_sym_consteval] = ACTIONS(4147),
    [sym_primitive_type] = ACTIONS(4135),
    [anon_sym_enum] = ACTIONS(4147),
    [anon_sym_class] = ACTIONS(4147),
    [anon_sym_struct] = ACTIONS(4147),
    [anon_sym_union] = ACTIONS(4147),
    [anon_sym_if] = ACTIONS(4143),
    [anon_sym_switch] = ACTIONS(4143),
    [anon_sym_case] = ACTIONS(4143),
    [anon_sym_default] = ACTIONS(4143),
    [anon_sym_while] = ACTIONS(4143),
    [anon_sym_do] = ACTIONS(4143),
    [anon_sym_for] = ACTIONS(4143),
    [anon_sym_return] = ACTIONS(4143),
    [anon_sym_break] = ACTIONS(4143),
    [anon_sym_continue] = ACTIONS(4143),
    [anon_sym_goto] = ACTIONS(4143),
    [anon_sym___try] = ACTIONS(4143),
    [anon_sym___leave] = ACTIONS(4143),
    [anon_sym_not] = ACTIONS(4143),
    [anon_sym_compl] = ACTIONS(4143),
    [anon_sym_DASH_DASH] = ACTIONS(4141),
    [anon_sym_PLUS_PLUS] = ACTIONS(4141),
    [anon_sym_sizeof] = ACTIONS(4143),
    [anon_sym___alignof__] = ACTIONS(4143),
    [anon_sym___alignof] = ACTIONS(4143),
    [anon_sym__alignof] = ACTIONS(4143),
    [anon_sym_alignof] = ACTIONS(4143),
    [anon_sym__Alignof] = ACTIONS(4143),
    [anon_sym_offsetof] = ACTIONS(4143),
    [anon_sym__Generic] = ACTIONS(4143),
    [anon_sym_asm] = ACTIONS(4143),
    [anon_sym___asm__] = ACTIONS(4143),
    [sym_number_literal] = ACTIONS(4141),
    [anon_sym_L_SQUOTE] = ACTIONS(4141),
    [anon_sym_u_SQUOTE] = ACTIONS(4141),
    [anon_sym_U_SQUOTE] = ACTIONS(4141),
    [anon_sym_u8_SQUOTE] = ACTIONS(4141),
    [anon_sym_SQUOTE] = ACTIONS(4141),
    [anon_sym_L_DQUOTE] = ACTIONS(4141),
    [anon_sym_u_DQUOTE] = ACTIONS(4141),
    [anon_sym_U_DQUOTE] = ACTIONS(4141),
    [anon_sym_u8_DQUOTE] = ACTIONS(4141),
    [anon_sym_DQUOTE] = ACTIONS(4141),
    [sym_true] = ACTIONS(4143),
    [sym_false] = ACTIONS(4143),
    [anon_sym_NULL] = ACTIONS(4143),
    [anon_sym_nullptr] = ACTIONS(4143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4147),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4147),
    [anon_sym_alignas] = ACTIONS(4147),
    [anon_sym_explicit] = ACTIONS(4147),
    [anon_sym_typename] = ACTIONS(4147),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4147),
    [anon_sym_try] = ACTIONS(4143),
    [anon_sym_delete] = ACTIONS(4143),
    [anon_sym_throw] = ACTIONS(4143),
    [anon_sym_co_return] = ACTIONS(4143),
    [anon_sym_co_yield] = ACTIONS(4143),
    [anon_sym_R_DQUOTE] = ACTIONS(4141),
    [anon_sym_LR_DQUOTE] = ACTIONS(4141),
    [anon_sym_uR_DQUOTE] = ACTIONS(4141),
    [anon_sym_UR_DQUOTE] = ACTIONS(4141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4141),
    [anon_sym_co_await] = ACTIONS(4143),
    [anon_sym_new] = ACTIONS(4143),
    [anon_sym_requires] = ACTIONS(4143),
    [sym_this] = ACTIONS(4143),
  },
  [1124] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(5421),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4149),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4153),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1125] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5455),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4155),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4157),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1126] = {
    [sym_catch_clause] = STATE(1131),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1131),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_BANG] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_DASH] = ACTIONS(2830),
    [anon_sym_PLUS] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [anon_sym_if] = ACTIONS(2830),
    [anon_sym_else] = ACTIONS(2830),
    [anon_sym_switch] = ACTIONS(2830),
    [anon_sym_while] = ACTIONS(2830),
    [anon_sym_do] = ACTIONS(2830),
    [anon_sym_for] = ACTIONS(2830),
    [anon_sym_return] = ACTIONS(2830),
    [anon_sym_break] = ACTIONS(2830),
    [anon_sym_continue] = ACTIONS(2830),
    [anon_sym_goto] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2830),
    [anon_sym___leave] = ACTIONS(2830),
    [anon_sym_not] = ACTIONS(2830),
    [anon_sym_compl] = ACTIONS(2830),
    [anon_sym_DASH_DASH] = ACTIONS(2832),
    [anon_sym_PLUS_PLUS] = ACTIONS(2832),
    [anon_sym_sizeof] = ACTIONS(2830),
    [anon_sym___alignof__] = ACTIONS(2830),
    [anon_sym___alignof] = ACTIONS(2830),
    [anon_sym__alignof] = ACTIONS(2830),
    [anon_sym_alignof] = ACTIONS(2830),
    [anon_sym__Alignof] = ACTIONS(2830),
    [anon_sym_offsetof] = ACTIONS(2830),
    [anon_sym__Generic] = ACTIONS(2830),
    [anon_sym_asm] = ACTIONS(2830),
    [anon_sym___asm__] = ACTIONS(2830),
    [sym_number_literal] = ACTIONS(2832),
    [anon_sym_L_SQUOTE] = ACTIONS(2832),
    [anon_sym_u_SQUOTE] = ACTIONS(2832),
    [anon_sym_U_SQUOTE] = ACTIONS(2832),
    [anon_sym_u8_SQUOTE] = ACTIONS(2832),
    [anon_sym_SQUOTE] = ACTIONS(2832),
    [anon_sym_L_DQUOTE] = ACTIONS(2832),
    [anon_sym_u_DQUOTE] = ACTIONS(2832),
    [anon_sym_U_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8_DQUOTE] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2832),
    [sym_true] = ACTIONS(2830),
    [sym_false] = ACTIONS(2830),
    [anon_sym_NULL] = ACTIONS(2830),
    [anon_sym_nullptr] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_try] = ACTIONS(2830),
    [anon_sym_delete] = ACTIONS(2830),
    [anon_sym_throw] = ACTIONS(2830),
    [anon_sym_co_return] = ACTIONS(2830),
    [anon_sym_co_yield] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(4159),
    [anon_sym_R_DQUOTE] = ACTIONS(2832),
    [anon_sym_LR_DQUOTE] = ACTIONS(2832),
    [anon_sym_uR_DQUOTE] = ACTIONS(2832),
    [anon_sym_UR_DQUOTE] = ACTIONS(2832),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2832),
    [anon_sym_co_await] = ACTIONS(2830),
    [anon_sym_new] = ACTIONS(2830),
    [anon_sym_requires] = ACTIONS(2830),
    [sym_this] = ACTIONS(2830),
  },
  [1127] = {
    [sym_type_qualifier] = STATE(1138),
    [sym__expression] = STATE(5325),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1138),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4163),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1128] = {
    [sym_type_qualifier] = STATE(1150),
    [sym__expression] = STATE(5444),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1150),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4165),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4167),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1129] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1130] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1131] = {
    [sym_catch_clause] = STATE(1131),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1131),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(4173),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [1132] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5328),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4176),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4178),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1133] = {
    [sym_type_qualifier] = STATE(1141),
    [sym__expression] = STATE(5452),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1141),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4180),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4182),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1134] = {
    [sym_type_qualifier] = STATE(1139),
    [sym__expression] = STATE(5407),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1139),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1135] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5441),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1136] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4192),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4194),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1137] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1138] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5392),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1139] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5417),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4204),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1140] = {
    [sym_type_qualifier] = STATE(1132),
    [sym__expression] = STATE(5353),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1132),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4206),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4208),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1141] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4210),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4212),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1142] = {
    [sym_type_qualifier] = STATE(1149),
    [sym__expression] = STATE(5375),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1149),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4214),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4216),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1143] = {
    [sym_type_qualifier] = STATE(1150),
    [sym__expression] = STATE(5444),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1150),
    [sym_identifier] = ACTIONS(4218),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4165),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4167),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1144] = {
    [sym_type_qualifier] = STATE(1135),
    [sym__expression] = STATE(5367),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1135),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4220),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4222),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1145] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5413),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4224),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4226),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1146] = {
    [sym_type_qualifier] = STATE(1145),
    [sym__expression] = STATE(5372),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1145),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4228),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1147] = {
    [sym_type_qualifier] = STATE(1125),
    [sym__expression] = STATE(5446),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1125),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4232),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4234),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1148] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5434),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4236),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4238),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1149] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5331),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4240),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4242),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1150] = {
    [sym_type_qualifier] = STATE(2148),
    [sym__expression] = STATE(5354),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4244),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4246),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1151] = {
    [sym_type_qualifier] = STATE(1136),
    [sym__expression] = STATE(5418),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [aux_sym__type_definition_type_repeat1] = STATE(1136),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4248),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4151),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4250),
    [anon_sym_const] = ACTIONS(4151),
    [anon_sym_constexpr] = ACTIONS(4151),
    [anon_sym_volatile] = ACTIONS(4151),
    [anon_sym_restrict] = ACTIONS(4151),
    [anon_sym___restrict__] = ACTIONS(4151),
    [anon_sym__Atomic] = ACTIONS(4151),
    [anon_sym__Noreturn] = ACTIONS(4151),
    [anon_sym_noreturn] = ACTIONS(4151),
    [anon_sym_mutable] = ACTIONS(4151),
    [anon_sym_constinit] = ACTIONS(4151),
    [anon_sym_consteval] = ACTIONS(4151),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1152] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1153] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2017),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym___cdecl] = ACTIONS(4095),
    [anon_sym___clrcall] = ACTIONS(4095),
    [anon_sym___stdcall] = ACTIONS(4095),
    [anon_sym___fastcall] = ACTIONS(4095),
    [anon_sym___thiscall] = ACTIONS(4095),
    [anon_sym___vectorcall] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1154] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7184),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6392),
    [sym_qualified_identifier] = STATE(3878),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(3513),
    [anon_sym_LPAREN2] = ACTIONS(3515),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(3517),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1155] = {
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7184),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym__expression] = STATE(3637),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3918),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6379),
    [sym_qualified_identifier] = STATE(3920),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_operator_name] = STATE(6968),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(3499),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1156] = {
    [sym_else_clause] = STATE(1171),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(4256),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [1158] = {
    [sym_else_clause] = STATE(1187),
    [sym_identifier] = ACTIONS(2850),
    [anon_sym_LPAREN2] = ACTIONS(2852),
    [anon_sym_BANG] = ACTIONS(2852),
    [anon_sym_TILDE] = ACTIONS(2852),
    [anon_sym_DASH] = ACTIONS(2850),
    [anon_sym_PLUS] = ACTIONS(2850),
    [anon_sym_STAR] = ACTIONS(2852),
    [anon_sym_AMP] = ACTIONS(2852),
    [anon_sym_SEMI] = ACTIONS(2852),
    [anon_sym___extension__] = ACTIONS(2850),
    [anon_sym_typedef] = ACTIONS(2850),
    [anon_sym_extern] = ACTIONS(2850),
    [anon_sym___attribute__] = ACTIONS(2850),
    [anon_sym_COLON_COLON] = ACTIONS(2852),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2852),
    [anon_sym___declspec] = ACTIONS(2850),
    [anon_sym_LBRACE] = ACTIONS(2852),
    [anon_sym_signed] = ACTIONS(2850),
    [anon_sym_unsigned] = ACTIONS(2850),
    [anon_sym_long] = ACTIONS(2850),
    [anon_sym_short] = ACTIONS(2850),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_static] = ACTIONS(2850),
    [anon_sym_register] = ACTIONS(2850),
    [anon_sym_inline] = ACTIONS(2850),
    [anon_sym___inline] = ACTIONS(2850),
    [anon_sym___inline__] = ACTIONS(2850),
    [anon_sym___forceinline] = ACTIONS(2850),
    [anon_sym_thread_local] = ACTIONS(2850),
    [anon_sym___thread] = ACTIONS(2850),
    [anon_sym_const] = ACTIONS(2850),
    [anon_sym_constexpr] = ACTIONS(2850),
    [anon_sym_volatile] = ACTIONS(2850),
    [anon_sym_restrict] = ACTIONS(2850),
    [anon_sym___restrict__] = ACTIONS(2850),
    [anon_sym__Atomic] = ACTIONS(2850),
    [anon_sym__Noreturn] = ACTIONS(2850),
    [anon_sym_noreturn] = ACTIONS(2850),
    [anon_sym_mutable] = ACTIONS(2850),
    [anon_sym_constinit] = ACTIONS(2850),
    [anon_sym_consteval] = ACTIONS(2850),
    [sym_primitive_type] = ACTIONS(2850),
    [anon_sym_enum] = ACTIONS(2850),
    [anon_sym_class] = ACTIONS(2850),
    [anon_sym_struct] = ACTIONS(2850),
    [anon_sym_union] = ACTIONS(2850),
    [anon_sym_if] = ACTIONS(2850),
    [anon_sym_else] = ACTIONS(4256),
    [anon_sym_switch] = ACTIONS(2850),
    [anon_sym_while] = ACTIONS(2850),
    [anon_sym_do] = ACTIONS(2850),
    [anon_sym_for] = ACTIONS(2850),
    [anon_sym_return] = ACTIONS(2850),
    [anon_sym_break] = ACTIONS(2850),
    [anon_sym_continue] = ACTIONS(2850),
    [anon_sym_goto] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2850),
    [anon_sym___leave] = ACTIONS(2850),
    [anon_sym_not] = ACTIONS(2850),
    [anon_sym_compl] = ACTIONS(2850),
    [anon_sym_DASH_DASH] = ACTIONS(2852),
    [anon_sym_PLUS_PLUS] = ACTIONS(2852),
    [anon_sym_sizeof] = ACTIONS(2850),
    [anon_sym___alignof__] = ACTIONS(2850),
    [anon_sym___alignof] = ACTIONS(2850),
    [anon_sym__alignof] = ACTIONS(2850),
    [anon_sym_alignof] = ACTIONS(2850),
    [anon_sym__Alignof] = ACTIONS(2850),
    [anon_sym_offsetof] = ACTIONS(2850),
    [anon_sym__Generic] = ACTIONS(2850),
    [anon_sym_asm] = ACTIONS(2850),
    [anon_sym___asm__] = ACTIONS(2850),
    [sym_number_literal] = ACTIONS(2852),
    [anon_sym_L_SQUOTE] = ACTIONS(2852),
    [anon_sym_u_SQUOTE] = ACTIONS(2852),
    [anon_sym_U_SQUOTE] = ACTIONS(2852),
    [anon_sym_u8_SQUOTE] = ACTIONS(2852),
    [anon_sym_SQUOTE] = ACTIONS(2852),
    [anon_sym_L_DQUOTE] = ACTIONS(2852),
    [anon_sym_u_DQUOTE] = ACTIONS(2852),
    [anon_sym_U_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8_DQUOTE] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2852),
    [sym_true] = ACTIONS(2850),
    [sym_false] = ACTIONS(2850),
    [anon_sym_NULL] = ACTIONS(2850),
    [anon_sym_nullptr] = ACTIONS(2850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2850),
    [anon_sym_decltype] = ACTIONS(2850),
    [anon_sym_virtual] = ACTIONS(2850),
    [anon_sym_alignas] = ACTIONS(2850),
    [anon_sym_typename] = ACTIONS(2850),
    [anon_sym_template] = ACTIONS(2850),
    [anon_sym_try] = ACTIONS(2850),
    [anon_sym_delete] = ACTIONS(2850),
    [anon_sym_throw] = ACTIONS(2850),
    [anon_sym_co_return] = ACTIONS(2850),
    [anon_sym_co_yield] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2852),
    [anon_sym_LR_DQUOTE] = ACTIONS(2852),
    [anon_sym_uR_DQUOTE] = ACTIONS(2852),
    [anon_sym_UR_DQUOTE] = ACTIONS(2852),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2852),
    [anon_sym_co_await] = ACTIONS(2850),
    [anon_sym_new] = ACTIONS(2850),
    [anon_sym_requires] = ACTIONS(2850),
    [sym_this] = ACTIONS(2850),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_else] = ACTIONS(2184),
    [anon_sym_switch] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_do] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_goto] = ACTIONS(2184),
    [anon_sym___try] = ACTIONS(2184),
    [anon_sym___leave] = ACTIONS(2184),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2182),
    [anon_sym_PLUS_PLUS] = ACTIONS(2182),
    [anon_sym_sizeof] = ACTIONS(2184),
    [anon_sym___alignof__] = ACTIONS(2184),
    [anon_sym___alignof] = ACTIONS(2184),
    [anon_sym__alignof] = ACTIONS(2184),
    [anon_sym_alignof] = ACTIONS(2184),
    [anon_sym__Alignof] = ACTIONS(2184),
    [anon_sym_offsetof] = ACTIONS(2184),
    [anon_sym__Generic] = ACTIONS(2184),
    [anon_sym_asm] = ACTIONS(2184),
    [anon_sym___asm__] = ACTIONS(2184),
    [sym_number_literal] = ACTIONS(2182),
    [anon_sym_L_SQUOTE] = ACTIONS(2182),
    [anon_sym_u_SQUOTE] = ACTIONS(2182),
    [anon_sym_U_SQUOTE] = ACTIONS(2182),
    [anon_sym_u8_SQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2182),
    [anon_sym_L_DQUOTE] = ACTIONS(2182),
    [anon_sym_u_DQUOTE] = ACTIONS(2182),
    [anon_sym_U_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8_DQUOTE] = ACTIONS(2182),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [sym_true] = ACTIONS(2184),
    [sym_false] = ACTIONS(2184),
    [anon_sym_NULL] = ACTIONS(2184),
    [anon_sym_nullptr] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [anon_sym_delete] = ACTIONS(2184),
    [anon_sym_throw] = ACTIONS(2184),
    [anon_sym_co_return] = ACTIONS(2184),
    [anon_sym_co_yield] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
    [anon_sym_R_DQUOTE] = ACTIONS(2182),
    [anon_sym_LR_DQUOTE] = ACTIONS(2182),
    [anon_sym_uR_DQUOTE] = ACTIONS(2182),
    [anon_sym_UR_DQUOTE] = ACTIONS(2182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2182),
    [anon_sym_co_await] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2184),
    [anon_sym_requires] = ACTIONS(2184),
    [sym_this] = ACTIONS(2184),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(4091),
    [anon_sym_LPAREN2] = ACTIONS(4093),
    [anon_sym_BANG] = ACTIONS(4093),
    [anon_sym_TILDE] = ACTIONS(4093),
    [anon_sym_DASH] = ACTIONS(4091),
    [anon_sym_PLUS] = ACTIONS(4091),
    [anon_sym_STAR] = ACTIONS(4093),
    [anon_sym_AMP] = ACTIONS(4093),
    [anon_sym_SEMI] = ACTIONS(4093),
    [anon_sym___extension__] = ACTIONS(4091),
    [anon_sym_extern] = ACTIONS(4091),
    [anon_sym___attribute__] = ACTIONS(4091),
    [anon_sym_COLON_COLON] = ACTIONS(4093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4093),
    [anon_sym___declspec] = ACTIONS(4091),
    [anon_sym_LBRACE] = ACTIONS(4093),
    [anon_sym_signed] = ACTIONS(4091),
    [anon_sym_unsigned] = ACTIONS(4091),
    [anon_sym_long] = ACTIONS(4091),
    [anon_sym_short] = ACTIONS(4091),
    [anon_sym_LBRACK] = ACTIONS(4091),
    [anon_sym_static] = ACTIONS(4091),
    [anon_sym_register] = ACTIONS(4091),
    [anon_sym_inline] = ACTIONS(4091),
    [anon_sym___inline] = ACTIONS(4091),
    [anon_sym___inline__] = ACTIONS(4091),
    [anon_sym___forceinline] = ACTIONS(4091),
    [anon_sym_thread_local] = ACTIONS(4091),
    [anon_sym___thread] = ACTIONS(4091),
    [anon_sym_const] = ACTIONS(4091),
    [anon_sym_constexpr] = ACTIONS(4091),
    [anon_sym_volatile] = ACTIONS(4091),
    [anon_sym_restrict] = ACTIONS(4091),
    [anon_sym___restrict__] = ACTIONS(4091),
    [anon_sym__Atomic] = ACTIONS(4091),
    [anon_sym__Noreturn] = ACTIONS(4091),
    [anon_sym_noreturn] = ACTIONS(4091),
    [anon_sym_mutable] = ACTIONS(4091),
    [anon_sym_constinit] = ACTIONS(4091),
    [anon_sym_consteval] = ACTIONS(4091),
    [sym_primitive_type] = ACTIONS(4091),
    [anon_sym_enum] = ACTIONS(4091),
    [anon_sym_class] = ACTIONS(4091),
    [anon_sym_struct] = ACTIONS(4091),
    [anon_sym_union] = ACTIONS(4091),
    [anon_sym_if] = ACTIONS(4091),
    [anon_sym_switch] = ACTIONS(4091),
    [anon_sym_case] = ACTIONS(4091),
    [anon_sym_default] = ACTIONS(4091),
    [anon_sym_while] = ACTIONS(4091),
    [anon_sym_do] = ACTIONS(4091),
    [anon_sym_for] = ACTIONS(4091),
    [anon_sym_return] = ACTIONS(4091),
    [anon_sym_break] = ACTIONS(4091),
    [anon_sym_continue] = ACTIONS(4091),
    [anon_sym_goto] = ACTIONS(4091),
    [anon_sym___try] = ACTIONS(4091),
    [anon_sym___leave] = ACTIONS(4091),
    [anon_sym_not] = ACTIONS(4091),
    [anon_sym_compl] = ACTIONS(4091),
    [anon_sym_DASH_DASH] = ACTIONS(4093),
    [anon_sym_PLUS_PLUS] = ACTIONS(4093),
    [anon_sym_sizeof] = ACTIONS(4091),
    [anon_sym___alignof__] = ACTIONS(4091),
    [anon_sym___alignof] = ACTIONS(4091),
    [anon_sym__alignof] = ACTIONS(4091),
    [anon_sym_alignof] = ACTIONS(4091),
    [anon_sym__Alignof] = ACTIONS(4091),
    [anon_sym_offsetof] = ACTIONS(4091),
    [anon_sym__Generic] = ACTIONS(4091),
    [anon_sym_asm] = ACTIONS(4091),
    [anon_sym___asm__] = ACTIONS(4091),
    [sym_number_literal] = ACTIONS(4093),
    [anon_sym_L_SQUOTE] = ACTIONS(4093),
    [anon_sym_u_SQUOTE] = ACTIONS(4093),
    [anon_sym_U_SQUOTE] = ACTIONS(4093),
    [anon_sym_u8_SQUOTE] = ACTIONS(4093),
    [anon_sym_SQUOTE] = ACTIONS(4093),
    [anon_sym_L_DQUOTE] = ACTIONS(4093),
    [anon_sym_u_DQUOTE] = ACTIONS(4093),
    [anon_sym_U_DQUOTE] = ACTIONS(4093),
    [anon_sym_u8_DQUOTE] = ACTIONS(4093),
    [anon_sym_DQUOTE] = ACTIONS(4093),
    [sym_true] = ACTIONS(4091),
    [sym_false] = ACTIONS(4091),
    [anon_sym_NULL] = ACTIONS(4091),
    [anon_sym_nullptr] = ACTIONS(4091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4091),
    [anon_sym_decltype] = ACTIONS(4091),
    [anon_sym_virtual] = ACTIONS(4091),
    [anon_sym_alignas] = ACTIONS(4091),
    [anon_sym_typename] = ACTIONS(4091),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_try] = ACTIONS(4091),
    [anon_sym_delete] = ACTIONS(4091),
    [anon_sym_throw] = ACTIONS(4091),
    [anon_sym_co_return] = ACTIONS(4091),
    [anon_sym_co_yield] = ACTIONS(4091),
    [anon_sym_R_DQUOTE] = ACTIONS(4093),
    [anon_sym_LR_DQUOTE] = ACTIONS(4093),
    [anon_sym_uR_DQUOTE] = ACTIONS(4093),
    [anon_sym_UR_DQUOTE] = ACTIONS(4093),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4093),
    [anon_sym_co_await] = ACTIONS(4091),
    [anon_sym_new] = ACTIONS(4091),
    [anon_sym_requires] = ACTIONS(4091),
    [sym_this] = ACTIONS(4091),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [1181] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [1183] = {
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [1184] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_ms_based_modifier] = STATE(9543),
    [sym_ms_call_modifier] = STATE(5422),
    [sym__declarator] = STATE(7342),
    [sym__abstract_declarator] = STATE(7507),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_abstract_parenthesized_declarator] = STATE(6843),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_abstract_pointer_declarator] = STATE(6843),
    [sym_function_declarator] = STATE(6968),
    [sym_abstract_function_declarator] = STATE(6843),
    [sym_array_declarator] = STATE(6968),
    [sym_abstract_array_declarator] = STATE(6843),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_list] = STATE(4432),
    [sym_parameter_declaration] = STATE(8113),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8113),
    [sym_variadic_parameter_declaration] = STATE(8113),
    [sym_reference_declarator] = STATE(6968),
    [sym_abstract_reference_declarator] = STATE(6843),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym__function_declarator_seq] = STATE(6849),
    [sym_template_type] = STATE(3039),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6422),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(4258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4260),
    [anon_sym_LPAREN2] = ACTIONS(4262),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(4264),
    [anon_sym_AMP_AMP] = ACTIONS(4266),
    [anon_sym_AMP] = ACTIONS(4268),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4272),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1185] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [1186] = {
    [sym_identifier] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [1187] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [1188] = {
    [sym_identifier] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [1190] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1192] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1193] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1194] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1195] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1197] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1198] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1199] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1200] = {
    [sym_identifier] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [1201] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1202] = {
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_LPAREN2] = ACTIONS(4141),
    [anon_sym_BANG] = ACTIONS(4141),
    [anon_sym_TILDE] = ACTIONS(4141),
    [anon_sym_DASH] = ACTIONS(4143),
    [anon_sym_PLUS] = ACTIONS(4143),
    [anon_sym_STAR] = ACTIONS(4141),
    [anon_sym_AMP] = ACTIONS(4141),
    [anon_sym_SEMI] = ACTIONS(4141),
    [anon_sym___extension__] = ACTIONS(4147),
    [anon_sym_extern] = ACTIONS(4147),
    [anon_sym___attribute__] = ACTIONS(4147),
    [anon_sym_COLON_COLON] = ACTIONS(4138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4138),
    [anon_sym___declspec] = ACTIONS(4147),
    [anon_sym_LBRACE] = ACTIONS(4141),
    [anon_sym_signed] = ACTIONS(4147),
    [anon_sym_unsigned] = ACTIONS(4147),
    [anon_sym_long] = ACTIONS(4147),
    [anon_sym_short] = ACTIONS(4147),
    [anon_sym_LBRACK] = ACTIONS(4143),
    [anon_sym_static] = ACTIONS(4147),
    [anon_sym_register] = ACTIONS(4147),
    [anon_sym_inline] = ACTIONS(4147),
    [anon_sym___inline] = ACTIONS(4147),
    [anon_sym___inline__] = ACTIONS(4147),
    [anon_sym___forceinline] = ACTIONS(4147),
    [anon_sym_thread_local] = ACTIONS(4147),
    [anon_sym___thread] = ACTIONS(4147),
    [anon_sym_const] = ACTIONS(4147),
    [anon_sym_constexpr] = ACTIONS(4147),
    [anon_sym_volatile] = ACTIONS(4147),
    [anon_sym_restrict] = ACTIONS(4147),
    [anon_sym___restrict__] = ACTIONS(4147),
    [anon_sym__Atomic] = ACTIONS(4147),
    [anon_sym__Noreturn] = ACTIONS(4147),
    [anon_sym_noreturn] = ACTIONS(4147),
    [anon_sym_mutable] = ACTIONS(4147),
    [anon_sym_constinit] = ACTIONS(4147),
    [anon_sym_consteval] = ACTIONS(4147),
    [sym_primitive_type] = ACTIONS(4135),
    [anon_sym_enum] = ACTIONS(4147),
    [anon_sym_class] = ACTIONS(4147),
    [anon_sym_struct] = ACTIONS(4147),
    [anon_sym_union] = ACTIONS(4147),
    [anon_sym_if] = ACTIONS(4143),
    [anon_sym_switch] = ACTIONS(4143),
    [anon_sym_case] = ACTIONS(4143),
    [anon_sym_default] = ACTIONS(4143),
    [anon_sym_while] = ACTIONS(4143),
    [anon_sym_do] = ACTIONS(4143),
    [anon_sym_for] = ACTIONS(4143),
    [anon_sym_return] = ACTIONS(4143),
    [anon_sym_break] = ACTIONS(4143),
    [anon_sym_continue] = ACTIONS(4143),
    [anon_sym_goto] = ACTIONS(4143),
    [anon_sym___try] = ACTIONS(4143),
    [anon_sym___leave] = ACTIONS(4143),
    [anon_sym_not] = ACTIONS(4143),
    [anon_sym_compl] = ACTIONS(4143),
    [anon_sym_DASH_DASH] = ACTIONS(4141),
    [anon_sym_PLUS_PLUS] = ACTIONS(4141),
    [anon_sym_sizeof] = ACTIONS(4143),
    [anon_sym___alignof__] = ACTIONS(4143),
    [anon_sym___alignof] = ACTIONS(4143),
    [anon_sym__alignof] = ACTIONS(4143),
    [anon_sym_alignof] = ACTIONS(4143),
    [anon_sym__Alignof] = ACTIONS(4143),
    [anon_sym_offsetof] = ACTIONS(4143),
    [anon_sym__Generic] = ACTIONS(4143),
    [anon_sym_asm] = ACTIONS(4143),
    [anon_sym___asm__] = ACTIONS(4143),
    [sym_number_literal] = ACTIONS(4141),
    [anon_sym_L_SQUOTE] = ACTIONS(4141),
    [anon_sym_u_SQUOTE] = ACTIONS(4141),
    [anon_sym_U_SQUOTE] = ACTIONS(4141),
    [anon_sym_u8_SQUOTE] = ACTIONS(4141),
    [anon_sym_SQUOTE] = ACTIONS(4141),
    [anon_sym_L_DQUOTE] = ACTIONS(4141),
    [anon_sym_u_DQUOTE] = ACTIONS(4141),
    [anon_sym_U_DQUOTE] = ACTIONS(4141),
    [anon_sym_u8_DQUOTE] = ACTIONS(4141),
    [anon_sym_DQUOTE] = ACTIONS(4141),
    [sym_true] = ACTIONS(4143),
    [sym_false] = ACTIONS(4143),
    [anon_sym_NULL] = ACTIONS(4143),
    [anon_sym_nullptr] = ACTIONS(4143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4147),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4147),
    [anon_sym_alignas] = ACTIONS(4147),
    [anon_sym_typename] = ACTIONS(4147),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_try] = ACTIONS(4143),
    [anon_sym_delete] = ACTIONS(4143),
    [anon_sym_throw] = ACTIONS(4143),
    [anon_sym_co_return] = ACTIONS(4143),
    [anon_sym_co_yield] = ACTIONS(4143),
    [anon_sym_R_DQUOTE] = ACTIONS(4141),
    [anon_sym_LR_DQUOTE] = ACTIONS(4141),
    [anon_sym_uR_DQUOTE] = ACTIONS(4141),
    [anon_sym_UR_DQUOTE] = ACTIONS(4141),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4141),
    [anon_sym_co_await] = ACTIONS(4143),
    [anon_sym_new] = ACTIONS(4143),
    [anon_sym_requires] = ACTIONS(4143),
    [sym_this] = ACTIONS(4143),
  },
  [1203] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1204] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1205] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1206] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1207] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1208] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1209] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1210] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [1211] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1212] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1213] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1214] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1215] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1216] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1217] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1218] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1219] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1220] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1221] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1222] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1223] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1224] = {
    [sym_identifier] = ACTIONS(4087),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_BANG] = ACTIONS(4089),
    [anon_sym_TILDE] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4087),
    [anon_sym_PLUS] = ACTIONS(4087),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4087),
    [anon_sym_extern] = ACTIONS(4087),
    [anon_sym___attribute__] = ACTIONS(4087),
    [anon_sym_COLON_COLON] = ACTIONS(4089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4087),
    [anon_sym_LBRACE] = ACTIONS(4089),
    [anon_sym_signed] = ACTIONS(4087),
    [anon_sym_unsigned] = ACTIONS(4087),
    [anon_sym_long] = ACTIONS(4087),
    [anon_sym_short] = ACTIONS(4087),
    [anon_sym_LBRACK] = ACTIONS(4087),
    [anon_sym_static] = ACTIONS(4087),
    [anon_sym_register] = ACTIONS(4087),
    [anon_sym_inline] = ACTIONS(4087),
    [anon_sym___inline] = ACTIONS(4087),
    [anon_sym___inline__] = ACTIONS(4087),
    [anon_sym___forceinline] = ACTIONS(4087),
    [anon_sym_thread_local] = ACTIONS(4087),
    [anon_sym___thread] = ACTIONS(4087),
    [anon_sym_const] = ACTIONS(4087),
    [anon_sym_constexpr] = ACTIONS(4087),
    [anon_sym_volatile] = ACTIONS(4087),
    [anon_sym_restrict] = ACTIONS(4087),
    [anon_sym___restrict__] = ACTIONS(4087),
    [anon_sym__Atomic] = ACTIONS(4087),
    [anon_sym__Noreturn] = ACTIONS(4087),
    [anon_sym_noreturn] = ACTIONS(4087),
    [anon_sym_mutable] = ACTIONS(4087),
    [anon_sym_constinit] = ACTIONS(4087),
    [anon_sym_consteval] = ACTIONS(4087),
    [sym_primitive_type] = ACTIONS(4087),
    [anon_sym_enum] = ACTIONS(4087),
    [anon_sym_class] = ACTIONS(4087),
    [anon_sym_struct] = ACTIONS(4087),
    [anon_sym_union] = ACTIONS(4087),
    [anon_sym_if] = ACTIONS(4087),
    [anon_sym_switch] = ACTIONS(4087),
    [anon_sym_case] = ACTIONS(4087),
    [anon_sym_default] = ACTIONS(4087),
    [anon_sym_while] = ACTIONS(4087),
    [anon_sym_do] = ACTIONS(4087),
    [anon_sym_for] = ACTIONS(4087),
    [anon_sym_return] = ACTIONS(4087),
    [anon_sym_break] = ACTIONS(4087),
    [anon_sym_continue] = ACTIONS(4087),
    [anon_sym_goto] = ACTIONS(4087),
    [anon_sym___try] = ACTIONS(4087),
    [anon_sym___leave] = ACTIONS(4087),
    [anon_sym_not] = ACTIONS(4087),
    [anon_sym_compl] = ACTIONS(4087),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_sizeof] = ACTIONS(4087),
    [anon_sym___alignof__] = ACTIONS(4087),
    [anon_sym___alignof] = ACTIONS(4087),
    [anon_sym__alignof] = ACTIONS(4087),
    [anon_sym_alignof] = ACTIONS(4087),
    [anon_sym__Alignof] = ACTIONS(4087),
    [anon_sym_offsetof] = ACTIONS(4087),
    [anon_sym__Generic] = ACTIONS(4087),
    [anon_sym_asm] = ACTIONS(4087),
    [anon_sym___asm__] = ACTIONS(4087),
    [sym_number_literal] = ACTIONS(4089),
    [anon_sym_L_SQUOTE] = ACTIONS(4089),
    [anon_sym_u_SQUOTE] = ACTIONS(4089),
    [anon_sym_U_SQUOTE] = ACTIONS(4089),
    [anon_sym_u8_SQUOTE] = ACTIONS(4089),
    [anon_sym_SQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [sym_true] = ACTIONS(4087),
    [sym_false] = ACTIONS(4087),
    [anon_sym_NULL] = ACTIONS(4087),
    [anon_sym_nullptr] = ACTIONS(4087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4087),
    [anon_sym_decltype] = ACTIONS(4087),
    [anon_sym_virtual] = ACTIONS(4087),
    [anon_sym_alignas] = ACTIONS(4087),
    [anon_sym_typename] = ACTIONS(4087),
    [anon_sym_template] = ACTIONS(4087),
    [anon_sym_try] = ACTIONS(4087),
    [anon_sym_delete] = ACTIONS(4087),
    [anon_sym_throw] = ACTIONS(4087),
    [anon_sym_co_return] = ACTIONS(4087),
    [anon_sym_co_yield] = ACTIONS(4087),
    [anon_sym_R_DQUOTE] = ACTIONS(4089),
    [anon_sym_LR_DQUOTE] = ACTIONS(4089),
    [anon_sym_uR_DQUOTE] = ACTIONS(4089),
    [anon_sym_UR_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4089),
    [anon_sym_co_await] = ACTIONS(4087),
    [anon_sym_new] = ACTIONS(4087),
    [anon_sym_requires] = ACTIONS(4087),
    [sym_this] = ACTIONS(4087),
  },
  [1225] = {
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [1226] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [1227] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1228] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [1229] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1230] = {
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [1231] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1232] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1233] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1234] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1235] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1236] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1237] = {
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [1238] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1239] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1240] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1241] = {
    [sym__expression] = STATE(5098),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8181),
    [sym_initializer_pair] = STATE(8181),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4276),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4278),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1242] = {
    [sym__expression] = STATE(5086),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8098),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1243] = {
    [sym__expression] = STATE(5012),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8334),
    [sym_initializer_pair] = STATE(8334),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1244] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1251),
    [sym_compound_requirement] = STATE(1251),
    [sym__requirement] = STATE(1251),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1251),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1245] = {
    [sym__expression] = STATE(4956),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8178),
    [sym_initializer_pair] = STATE(8178),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4298),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1246] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1262),
    [sym_compound_requirement] = STATE(1262),
    [sym__requirement] = STATE(1262),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1262),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1247] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1267),
    [sym_compound_requirement] = STATE(1267),
    [sym__requirement] = STATE(1267),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1267),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1248] = {
    [sym__expression] = STATE(5080),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8171),
    [sym_initializer_pair] = STATE(8171),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4304),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4306),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1249] = {
    [sym__expression] = STATE(4998),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8023),
    [sym_initializer_pair] = STATE(8023),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4308),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4310),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1250] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1251] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1252] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1250),
    [sym_compound_requirement] = STATE(1250),
    [sym__requirement] = STATE(1250),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1250),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1253] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(4318),
    [anon_sym_LPAREN2] = ACTIONS(4321),
    [anon_sym_BANG] = ACTIONS(4324),
    [anon_sym_TILDE] = ACTIONS(4324),
    [anon_sym_DASH] = ACTIONS(4327),
    [anon_sym_PLUS] = ACTIONS(4327),
    [anon_sym_STAR] = ACTIONS(4330),
    [anon_sym_AMP] = ACTIONS(4330),
    [anon_sym_SEMI] = ACTIONS(4333),
    [anon_sym_COLON_COLON] = ACTIONS(4336),
    [anon_sym_LBRACE] = ACTIONS(4339),
    [anon_sym_RBRACE] = ACTIONS(4342),
    [anon_sym_LBRACK] = ACTIONS(4344),
    [sym_primitive_type] = ACTIONS(4347),
    [anon_sym_not] = ACTIONS(4327),
    [anon_sym_compl] = ACTIONS(4327),
    [anon_sym_DASH_DASH] = ACTIONS(4350),
    [anon_sym_PLUS_PLUS] = ACTIONS(4350),
    [anon_sym_sizeof] = ACTIONS(4353),
    [anon_sym___alignof__] = ACTIONS(4356),
    [anon_sym___alignof] = ACTIONS(4356),
    [anon_sym__alignof] = ACTIONS(4356),
    [anon_sym_alignof] = ACTIONS(4356),
    [anon_sym__Alignof] = ACTIONS(4356),
    [anon_sym_offsetof] = ACTIONS(4359),
    [anon_sym__Generic] = ACTIONS(4362),
    [anon_sym_asm] = ACTIONS(4365),
    [anon_sym___asm__] = ACTIONS(4365),
    [sym_number_literal] = ACTIONS(4368),
    [anon_sym_L_SQUOTE] = ACTIONS(4371),
    [anon_sym_u_SQUOTE] = ACTIONS(4371),
    [anon_sym_U_SQUOTE] = ACTIONS(4371),
    [anon_sym_u8_SQUOTE] = ACTIONS(4371),
    [anon_sym_SQUOTE] = ACTIONS(4371),
    [anon_sym_L_DQUOTE] = ACTIONS(4374),
    [anon_sym_u_DQUOTE] = ACTIONS(4374),
    [anon_sym_U_DQUOTE] = ACTIONS(4374),
    [anon_sym_u8_DQUOTE] = ACTIONS(4374),
    [anon_sym_DQUOTE] = ACTIONS(4374),
    [sym_true] = ACTIONS(4377),
    [sym_false] = ACTIONS(4377),
    [anon_sym_NULL] = ACTIONS(4380),
    [anon_sym_nullptr] = ACTIONS(4380),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4383),
    [anon_sym_typename] = ACTIONS(4386),
    [anon_sym_template] = ACTIONS(4389),
    [anon_sym_delete] = ACTIONS(4392),
    [anon_sym_R_DQUOTE] = ACTIONS(4395),
    [anon_sym_LR_DQUOTE] = ACTIONS(4395),
    [anon_sym_uR_DQUOTE] = ACTIONS(4395),
    [anon_sym_UR_DQUOTE] = ACTIONS(4395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4395),
    [anon_sym_co_await] = ACTIONS(4398),
    [anon_sym_new] = ACTIONS(4401),
    [anon_sym_requires] = ACTIONS(4404),
    [sym_this] = ACTIONS(4377),
  },
  [1254] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1270),
    [sym_compound_requirement] = STATE(1270),
    [sym__requirement] = STATE(1270),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1270),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4407),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1255] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1265),
    [sym_compound_requirement] = STATE(1265),
    [sym__requirement] = STATE(1265),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1265),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1256] = {
    [sym__expression] = STATE(5085),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8201),
    [sym_initializer_pair] = STATE(8201),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1257] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1258] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1257),
    [sym_compound_requirement] = STATE(1257),
    [sym__requirement] = STATE(1257),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1257),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1259] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1260] = {
    [sym__expression] = STATE(5044),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(7954),
    [sym_initializer_pair] = STATE(7954),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1261] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1266),
    [sym_compound_requirement] = STATE(1266),
    [sym__requirement] = STATE(1266),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1266),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1262] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4425),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1263] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1272),
    [sym_compound_requirement] = STATE(1272),
    [sym__requirement] = STATE(1272),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1272),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1264] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1259),
    [sym_compound_requirement] = STATE(1259),
    [sym__requirement] = STATE(1259),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1259),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1265] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1266] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4433),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1267] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1268] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4437),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1269] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1268),
    [sym_compound_requirement] = STATE(1268),
    [sym__requirement] = STATE(1268),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1268),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4439),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1270] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4441),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1271] = {
    [sym__expression] = STATE(5064),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8148),
    [sym_initializer_pair] = STATE(8148),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4443),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1272] = {
    [sym_expression_statement] = STATE(3301),
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9189),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_type_requirement] = STATE(1253),
    [sym_compound_requirement] = STATE(1253),
    [sym__requirement] = STATE(1253),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_requirement_seq_repeat1] = STATE(1253),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4290),
    [anon_sym_RBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4294),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1273] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4449),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1274] = {
    [sym_string_literal] = STATE(2641),
    [sym_template_argument_list] = STATE(2012),
    [sym_raw_string_literal] = STATE(2641),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4451),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4107),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4454),
    [anon_sym_or_eq] = ACTIONS(4454),
    [anon_sym_xor_eq] = ACTIONS(4454),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(4456),
    [anon_sym_u_DQUOTE] = ACTIONS(4456),
    [anon_sym_U_DQUOTE] = ACTIONS(4456),
    [anon_sym_u8_DQUOTE] = ACTIONS(4456),
    [anon_sym_DQUOTE] = ACTIONS(4456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(4458),
    [anon_sym_LR_DQUOTE] = ACTIONS(4458),
    [anon_sym_uR_DQUOTE] = ACTIONS(4458),
    [anon_sym_UR_DQUOTE] = ACTIONS(4458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4458),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [1275] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1276] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4462),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1277] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4464),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1278] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4466),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1279] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4468),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1280] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4470),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1281] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4472),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1282] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1283] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1284] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4476),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1285] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1286] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1287] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1288] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1289] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4478),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1290] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1291] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2055),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1292] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4480),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1293] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4482),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1294] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1295] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4486),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1296] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_RBRACE] = ACTIONS(4488),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1297] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(2056),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3164),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_TILDE] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4113),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4095),
    [anon_sym_extern] = ACTIONS(4095),
    [anon_sym___attribute__] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4103),
    [anon_sym___declspec] = ACTIONS(4095),
    [anon_sym___based] = ACTIONS(4095),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_static] = ACTIONS(4095),
    [anon_sym_register] = ACTIONS(4095),
    [anon_sym_inline] = ACTIONS(4095),
    [anon_sym___inline] = ACTIONS(4095),
    [anon_sym___inline__] = ACTIONS(4095),
    [anon_sym___forceinline] = ACTIONS(4095),
    [anon_sym_thread_local] = ACTIONS(4095),
    [anon_sym___thread] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4095),
    [anon_sym_volatile] = ACTIONS(4095),
    [anon_sym_restrict] = ACTIONS(4095),
    [anon_sym___restrict__] = ACTIONS(4095),
    [anon_sym__Atomic] = ACTIONS(4095),
    [anon_sym__Noreturn] = ACTIONS(4095),
    [anon_sym_noreturn] = ACTIONS(4095),
    [anon_sym_mutable] = ACTIONS(4095),
    [anon_sym_constinit] = ACTIONS(4095),
    [anon_sym_consteval] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4129),
    [anon_sym_or_eq] = ACTIONS(4129),
    [anon_sym_xor_eq] = ACTIONS(4129),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
    [anon_sym_virtual] = ACTIONS(4095),
    [anon_sym_alignas] = ACTIONS(4095),
    [anon_sym_template] = ACTIONS(4095),
    [anon_sym_operator] = ACTIONS(4095),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [1298] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8548),
    [sym_initializer_pair] = STATE(8548),
    [sym_subscript_designator] = STATE(7419),
    [sym_subscript_range_designator] = STATE(7419),
    [sym_field_designator] = STATE(7419),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [aux_sym_initializer_pair_repeat1] = STATE(7419),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(4280),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1299] = {
    [sym_compound_statement] = STATE(7958),
    [sym__expression] = STATE(5042),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(7958),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4490),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4492),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1300] = {
    [sym_compound_statement] = STATE(8239),
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8239),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4494),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4496),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1301] = {
    [sym_compound_statement] = STATE(8062),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8062),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4498),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4500),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1302] = {
    [sym_compound_statement] = STATE(8268),
    [sym__expression] = STATE(5010),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8268),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4504),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1303] = {
    [sym_compound_statement] = STATE(8167),
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8167),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4506),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4508),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1304] = {
    [sym_compound_statement] = STATE(8180),
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8180),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4510),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1305] = {
    [sym_compound_statement] = STATE(7961),
    [sym__expression] = STATE(5021),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(7961),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4516),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1306] = {
    [sym_compound_statement] = STATE(7904),
    [sym__expression] = STATE(5068),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(7904),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1307] = {
    [sym_compound_statement] = STATE(8030),
    [sym__expression] = STATE(4997),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8030),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1308] = {
    [sym__expression] = STATE(5207),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9649),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9649),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4526),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1309] = {
    [sym__expression] = STATE(3874),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9364),
    [sym__unary_right_fold] = STATE(9361),
    [sym__binary_fold] = STATE(9356),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1310] = {
    [sym__expression] = STATE(3792),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9177),
    [sym__unary_right_fold] = STATE(9080),
    [sym__binary_fold] = STATE(9175),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1311] = {
    [sym__expression] = STATE(5158),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9183),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9183),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1312] = {
    [sym__expression] = STATE(5283),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9340),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9340),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4530),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1313] = {
    [sym__expression] = STATE(3836),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9312),
    [sym__unary_right_fold] = STATE(9314),
    [sym__binary_fold] = STATE(9315),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1314] = {
    [sym__expression] = STATE(3825),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9163),
    [sym__unary_right_fold] = STATE(9164),
    [sym__binary_fold] = STATE(9170),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1315] = {
    [sym__expression] = STATE(3816),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(8861),
    [sym__unary_right_fold] = STATE(8858),
    [sym__binary_fold] = STATE(8856),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1316] = {
    [sym__expression] = STATE(3875),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9004),
    [sym__unary_right_fold] = STATE(9003),
    [sym__binary_fold] = STATE(9002),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1317] = {
    [sym__expression] = STATE(5195),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8794),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8794),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1318] = {
    [sym__expression] = STATE(3797),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9204),
    [sym__unary_right_fold] = STATE(9113),
    [sym__binary_fold] = STATE(9201),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1319] = {
    [sym__expression] = STATE(3855),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9011),
    [sym__unary_right_fold] = STATE(8918),
    [sym__binary_fold] = STATE(8920),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1320] = {
    [sym__expression] = STATE(5295),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8980),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8980),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4534),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1321] = {
    [sym_compound_statement] = STATE(8529),
    [sym__expression] = STATE(5241),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8529),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1322] = {
    [sym__expression] = STATE(3891),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9568),
    [sym__unary_right_fold] = STATE(9581),
    [sym__binary_fold] = STATE(9569),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1323] = {
    [sym__expression] = STATE(3804),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(9045),
    [sym__unary_right_fold] = STATE(9049),
    [sym__binary_fold] = STATE(9052),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1324] = {
    [sym__expression] = STATE(3789),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym__unary_left_fold] = STATE(8777),
    [sym__unary_right_fold] = STATE(8781),
    [sym__binary_fold] = STATE(8782),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1325] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8836),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8836),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4538),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1326] = {
    [sym__expression] = STATE(4882),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(7558),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4544),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4548),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1327] = {
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1328] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4558),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1329] = {
    [sym__expression] = STATE(3402),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1330] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4562),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1331] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4564),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1332] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4566),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1333] = {
    [sym__expression] = STATE(4775),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1334] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(4572),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4574),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1335] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4576),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1336] = {
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1337] = {
    [sym__expression] = STATE(3886),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1338] = {
    [sym__expression] = STATE(5265),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1339] = {
    [sym__expression] = STATE(4945),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(8045),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4582),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1340] = {
    [sym__expression] = STATE(3366),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1341] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4584),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1342] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4587),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1343] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4590),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1344] = {
    [sym__expression] = STATE(4923),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1345] = {
    [sym__expression] = STATE(3664),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1346] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4592),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1347] = {
    [sym__expression] = STATE(3827),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1348] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4596),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1349] = {
    [sym__expression] = STATE(3806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1350] = {
    [sym__expression] = STATE(5045),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4574),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1351] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4598),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1352] = {
    [sym__expression] = STATE(5105),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1353] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4601),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1354] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4604),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1355] = {
    [sym__expression] = STATE(4851),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1356] = {
    [sym__expression] = STATE(5151),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1357] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4610),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1358] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4613),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1359] = {
    [sym__expression] = STATE(5142),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1360] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4615),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1361] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1362] = {
    [sym__expression] = STATE(4894),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1363] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1364] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4623),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1365] = {
    [sym__expression] = STATE(4875),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(7527),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4625),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4627),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1366] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4574),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1367] = {
    [sym__expression] = STATE(3894),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1368] = {
    [sym__expression] = STATE(5045),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(4572),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4574),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1369] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4629),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1370] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4631),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1371] = {
    [sym__expression] = STATE(4925),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1372] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4634),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1373] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4637),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1374] = {
    [sym__expression] = STATE(4865),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(7539),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4639),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4641),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1375] = {
    [sym__expression] = STATE(5032),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(7993),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4643),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1376] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4645),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1377] = {
    [sym__expression] = STATE(3660),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1378] = {
    [sym__expression] = STATE(4242),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1379] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4647),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1380] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1381] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4651),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1382] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4653),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1383] = {
    [sym__expression] = STATE(3201),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1384] = {
    [sym__expression] = STATE(5186),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1385] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1386] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4659),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1387] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1388] = {
    [sym__expression] = STATE(4979),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(7970),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4664),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1389] = {
    [sym__expression] = STATE(3169),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1390] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4666),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1391] = {
    [sym__expression] = STATE(5092),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1392] = {
    [sym__expression] = STATE(3429),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1393] = {
    [sym__expression] = STATE(3359),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1394] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4673),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1395] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4675),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1396] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4677),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1397] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4679),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1398] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4681),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1399] = {
    [sym__expression] = STATE(4953),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(8157),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4683),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1400] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4685),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1401] = {
    [sym__expression] = STATE(4278),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1402] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4687),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1403] = {
    [sym__expression] = STATE(4756),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1404] = {
    [sym__expression] = STATE(3672),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1405] = {
    [sym__expression] = STATE(5154),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4550),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(4550),
    [anon_sym_AMP_AMP] = ACTIONS(4550),
    [anon_sym_AMP] = ACTIONS(4552),
    [anon_sym_LT] = ACTIONS(4550),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(4550),
    [anon_sym_LBRACK] = ACTIONS(4550),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1406] = {
    [sym__expression] = STATE(4870),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(7557),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4689),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4691),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1407] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4693),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1408] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_lambda_default_capture] = STATE(8609),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4556),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4695),
    [anon_sym_EQ] = ACTIONS(4560),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1409] = {
    [sym__expression] = STATE(5273),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8886),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4697),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1410] = {
    [sym__expression] = STATE(5220),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_initializer_list] = STATE(4491),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1411] = {
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8098),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4703),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1412] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1413] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8847),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4708),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1414] = {
    [sym__expression] = STATE(5242),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9103),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4710),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1415] = {
    [sym__expression] = STATE(5127),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8959),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4712),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1416] = {
    [sym__expression] = STATE(5318),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8957),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1417] = {
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9295),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1418] = {
    [sym__expression] = STATE(5157),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9544),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4714),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1419] = {
    [sym__expression] = STATE(3419),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_initializer_list] = STATE(3712),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1420] = {
    [sym__expression] = STATE(5308),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9281),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4720),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1421] = {
    [sym__expression] = STATE(5133),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9102),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4722),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1422] = {
    [sym__expression] = STATE(4968),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8434),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1423] = {
    [sym__expression] = STATE(5227),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8779),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4724),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1424] = {
    [sym__expression] = STATE(5200),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_initializer_list] = STATE(5500),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1425] = {
    [sym__expression] = STATE(5232),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8434),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1426] = {
    [sym__expression] = STATE(5153),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8979),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4726),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1427] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1428] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4732),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1429] = {
    [sym__expression] = STATE(5289),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8928),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4736),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1430] = {
    [sym__expression] = STATE(4912),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(4491),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1431] = {
    [sym__expression] = STATE(5206),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(8653),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1432] = {
    [sym__expression] = STATE(5279),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9580),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4738),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1433] = {
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9663),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4740),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1434] = {
    [sym__expression] = STATE(5238),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8870),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4742),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1435] = {
    [sym__expression] = STATE(5144),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_initializer_list] = STATE(5507),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACE] = ACTIONS(3975),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1436] = {
    [sym__expression] = STATE(3906),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_initializer_list] = STATE(4276),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1437] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1438] = {
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9665),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4746),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1439] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1440] = {
    [sym__expression] = STATE(5451),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(9583),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1441] = {
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9219),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4748),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1442] = {
    [sym__expression] = STATE(5148),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1443] = {
    [sym__expression] = STATE(3835),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym__assignment_expression_lhs] = STATE(9169),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1444] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1445] = {
    [sym__expression] = STATE(2804),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1446] = {
    [sym__expression] = STATE(4766),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_initializer_list] = STATE(4491),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1447] = {
    [sym__expression] = STATE(3851),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_initializer_list] = STATE(2966),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1448] = {
    [sym__expression] = STATE(4864),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_initializer_list] = STATE(5124),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1449] = {
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8543),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1450] = {
    [sym__expression] = STATE(5292),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_initializer_list] = STATE(8551),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1451] = {
    [sym__expression] = STATE(5140),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9564),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4756),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1452] = {
    [sym__expression] = STATE(4213),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_initializer_list] = STATE(4389),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1453] = {
    [sym__expression] = STATE(4854),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_initializer_list] = STATE(5058),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACE] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1454] = {
    [sym__expression] = STATE(5053),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(8049),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1455] = {
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_initializer_list] = STATE(4491),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1456] = {
    [sym__expression] = STATE(5185),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9553),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4758),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1457] = {
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9274),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4760),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1458] = {
    [sym__expression] = STATE(4427),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_initializer_list] = STATE(4465),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1459] = {
    [sym__expression] = STATE(5270),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9091),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4762),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1460] = {
    [sym__expression] = STATE(5141),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9593),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4764),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1461] = {
    [sym__expression] = STATE(3612),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_initializer_list] = STATE(3955),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1462] = {
    [sym__expression] = STATE(5057),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_initializer_list] = STATE(4491),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACE] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1463] = {
    [sym__expression] = STATE(4174),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_initializer_list] = STATE(4441),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1464] = {
    [sym__expression] = STATE(5211),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(9699),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4766),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1465] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4768),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1466] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4772),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1467] = {
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4774),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1468] = {
    [sym__expression] = STATE(4198),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4777),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1469] = {
    [sym__expression] = STATE(4197),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1470] = {
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8098),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1471] = {
    [sym__expression] = STATE(4196),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1472] = {
    [sym__expression] = STATE(3690),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4786),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1473] = {
    [sym__expression] = STATE(4194),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4789),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1474] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4786),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1475] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4792),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1476] = {
    [sym__expression] = STATE(4201),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1477] = {
    [sym__expression] = STATE(4201),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1478] = {
    [sym__expression] = STATE(4200),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4800),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1479] = {
    [sym__expression] = STATE(4200),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4803),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1480] = {
    [sym__expression] = STATE(4200),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1481] = {
    [sym__expression] = STATE(4200),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4809),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1482] = {
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1483] = {
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4815),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1484] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4818),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1485] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4820),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1486] = {
    [sym__expression] = STATE(4198),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1487] = {
    [sym__expression] = STATE(5196),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4827),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1488] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4829),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1489] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4831),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1490] = {
    [sym__expression] = STATE(3689),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4789),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1491] = {
    [sym__expression] = STATE(4197),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1492] = {
    [sym__expression] = STATE(5184),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_comma_expression] = STATE(8098),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1493] = {
    [sym__expression] = STATE(4196),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1494] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4839),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1495] = {
    [sym__expression] = STATE(4194),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1496] = {
    [sym__expression] = STATE(2818),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4846),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1497] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4848),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1498] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4850),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1499] = {
    [sym__expression] = STATE(5398),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4852),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1500] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1501] = {
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1502] = {
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1503] = {
    [sym__expression] = STATE(5339),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4863),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1504] = {
    [sym__expression] = STATE(4190),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4865),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1505] = {
    [sym__expression] = STATE(4190),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1506] = {
    [sym__expression] = STATE(5350),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4871),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1507] = {
    [sym__expression] = STATE(3406),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4873),
    [anon_sym_LPAREN2] = ACTIONS(4875),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1508] = {
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4877),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1509] = {
    [sym__expression] = STATE(3684),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1510] = {
    [sym__expression] = STATE(5330),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4879),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1511] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4881),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1512] = {
    [sym__expression] = STATE(5408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1513] = {
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4885),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1514] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4888),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1515] = {
    [sym__expression] = STATE(2818),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4890),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1516] = {
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1517] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4894),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1518] = {
    [sym__expression] = STATE(5332),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4896),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1519] = {
    [sym__expression] = STATE(3767),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4898),
    [anon_sym_LPAREN2] = ACTIONS(4900),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1520] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4902),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1521] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4904),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1522] = {
    [sym__expression] = STATE(5432),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4906),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1523] = {
    [sym__expression] = STATE(5345),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4908),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1524] = {
    [sym__expression] = STATE(5313),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4910),
    [anon_sym_LPAREN2] = ACTIONS(4912),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1525] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1526] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4865),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1527] = {
    [sym__expression] = STATE(5460),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4914),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1528] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4885),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1529] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4860),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1530] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4857),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1531] = {
    [sym__expression] = STATE(3690),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1532] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4916),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1533] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4918),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1534] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1535] = {
    [sym__expression] = STATE(3689),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4841),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1536] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4922),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1537] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4924),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1538] = {
    [sym__expression] = STATE(2818),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4926),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1539] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4928),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1540] = {
    [sym__expression] = STATE(5428),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_RPAREN] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1541] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1542] = {
    [sym__expression] = STATE(4188),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4934),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1543] = {
    [sym__expression] = STATE(5336),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4938),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1544] = {
    [sym__expression] = STATE(3669),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1545] = {
    [sym__expression] = STATE(5337),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4940),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1546] = {
    [sym__expression] = STATE(3668),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4822),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1547] = {
    [sym__expression] = STATE(3668),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4777),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1548] = {
    [sym__expression] = STATE(3665),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4774),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1549] = {
    [sym__expression] = STATE(3684),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1550] = {
    [sym__expression] = STATE(3665),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4815),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1551] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4942),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1552] = {
    [sym__expression] = STATE(3665),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1553] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4809),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1554] = {
    [sym__expression] = STATE(5426),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4944),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1555] = {
    [sym__expression] = STATE(4898),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4946),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1556] = {
    [sym__expression] = STATE(5398),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4950),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1557] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4806),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1558] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4803),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1559] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4800),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1560] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4952),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1561] = {
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4954),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1562] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4956),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1563] = {
    [sym__expression] = STATE(3653),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4797),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1564] = {
    [sym__expression] = STATE(3653),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4794),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1565] = {
    [sym__expression] = STATE(5423),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4958),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1566] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4960),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1567] = {
    [sym__expression] = STATE(5411),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4962),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1568] = {
    [sym__expression] = STATE(5373),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4964),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1569] = {
    [sym__expression] = STATE(5399),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4966),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1570] = {
    [sym__expression] = STATE(5415),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4968),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1571] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4970),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1572] = {
    [sym__expression] = STATE(3810),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4844),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1573] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1574] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4976),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1575] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4978),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1576] = {
    [sym__expression] = STATE(3822),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4980),
    [anon_sym_LPAREN2] = ACTIONS(4982),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1577] = {
    [sym__expression] = STATE(5314),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4984),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1578] = {
    [sym__expression] = STATE(5461),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1579] = {
    [sym__expression] = STATE(4420),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(4988),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1580] = {
    [sym__expression] = STATE(3669),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1581] = {
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1582] = {
    [sym__expression] = STATE(5076),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1583] = {
    [sym__expression] = STATE(4889),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1584] = {
    [sym__expression] = STATE(4897),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1585] = {
    [sym__expression] = STATE(3158),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1586] = {
    [sym__expression] = STATE(3821),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1587] = {
    [sym__expression] = STATE(3887),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1588] = {
    [sym__expression] = STATE(5011),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1589] = {
    [sym__expression] = STATE(4872),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1590] = {
    [sym__expression] = STATE(3161),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1591] = {
    [sym__expression] = STATE(3800),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1592] = {
    [sym__expression] = STATE(5326),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1593] = {
    [sym__expression] = STATE(4888),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1594] = {
    [sym__expression] = STATE(4846),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1595] = {
    [sym__expression] = STATE(5424),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1596] = {
    [sym__expression] = STATE(5349),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1597] = {
    [sym__expression] = STATE(5371),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1598] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1599] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(4994),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1600] = {
    [sym__expression] = STATE(5383),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1601] = {
    [sym__expression] = STATE(3600),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1602] = {
    [sym__expression] = STATE(5377),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1603] = {
    [sym__expression] = STATE(5384),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1604] = {
    [sym__expression] = STATE(4866),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1605] = {
    [sym__expression] = STATE(5356),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1606] = {
    [sym__expression] = STATE(3390),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1607] = {
    [sym__expression] = STATE(5431),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1608] = {
    [sym__expression] = STATE(3163),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1609] = {
    [sym__expression] = STATE(5355),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1610] = {
    [sym__expression] = STATE(4857),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1611] = {
    [sym__expression] = STATE(3703),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1612] = {
    [sym__expression] = STATE(3692),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1613] = {
    [sym__expression] = STATE(3685),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1614] = {
    [sym__expression] = STATE(5194),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1615] = {
    [sym__expression] = STATE(5274),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(4996),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1616] = {
    [sym__expression] = STATE(5254),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1617] = {
    [sym__expression] = STATE(5199),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1618] = {
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1619] = {
    [sym__expression] = STATE(3148),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(4998),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1620] = {
    [sym__expression] = STATE(3925),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1621] = {
    [sym__expression] = STATE(2829),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1622] = {
    [sym__expression] = STATE(5268),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1623] = {
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1624] = {
    [sym__expression] = STATE(3195),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(5000),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1625] = {
    [sym__expression] = STATE(5453),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1626] = {
    [sym__expression] = STATE(4929),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1627] = {
    [sym__expression] = STATE(5260),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1628] = {
    [sym__expression] = STATE(5259),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1629] = {
    [sym__expression] = STATE(3679),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1630] = {
    [sym__expression] = STATE(3872),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1631] = {
    [sym__expression] = STATE(5258),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1632] = {
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1633] = {
    [sym__expression] = STATE(3134),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1634] = {
    [sym__expression] = STATE(5359),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1635] = {
    [sym__expression] = STATE(3833),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1636] = {
    [sym__expression] = STATE(3830),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(5004),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1637] = {
    [sym__expression] = STATE(5256),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1638] = {
    [sym__expression] = STATE(3166),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1639] = {
    [sym__expression] = STATE(5454),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1640] = {
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1641] = {
    [sym__expression] = STATE(5321),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1642] = {
    [sym__expression] = STATE(3154),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1643] = {
    [sym__expression] = STATE(3831),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1644] = {
    [sym__expression] = STATE(5255),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1645] = {
    [sym__expression] = STATE(3151),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1646] = {
    [sym__expression] = STATE(5252),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1647] = {
    [sym__expression] = STATE(5159),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1648] = {
    [sym__expression] = STATE(3180),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1649] = {
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1650] = {
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1651] = {
    [sym__expression] = STATE(3771),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1652] = {
    [sym__expression] = STATE(3140),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1653] = {
    [sym__expression] = STATE(5234),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1654] = {
    [sym__expression] = STATE(5219),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(5006),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1655] = {
    [sym__expression] = STATE(4740),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1656] = {
    [sym__expression] = STATE(3144),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1657] = {
    [sym__expression] = STATE(3188),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1658] = {
    [sym__expression] = STATE(3407),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(5008),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1659] = {
    [sym__expression] = STATE(3408),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1660] = {
    [sym__expression] = STATE(3834),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1661] = {
    [sym__expression] = STATE(5174),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1662] = {
    [sym__expression] = STATE(3382),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(5010),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1663] = {
    [sym__expression] = STATE(3387),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1664] = {
    [sym__expression] = STATE(2828),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1665] = {
    [sym__expression] = STATE(3142),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1666] = {
    [sym__expression] = STATE(3697),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1667] = {
    [sym__expression] = STATE(3428),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1668] = {
    [sym__expression] = STATE(3809),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1669] = {
    [sym__expression] = STATE(4927),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5012),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1670] = {
    [sym__expression] = STATE(5458),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1671] = {
    [sym__expression] = STATE(5409),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1672] = {
    [sym__expression] = STATE(4954),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1673] = {
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1674] = {
    [sym__expression] = STATE(3381),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1675] = {
    [sym__expression] = STATE(5369),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1676] = {
    [sym__expression] = STATE(3908),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1677] = {
    [sym__expression] = STATE(3909),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1678] = {
    [sym__expression] = STATE(5357),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1679] = {
    [sym__expression] = STATE(4774),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1680] = {
    [sym__expression] = STATE(3787),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1681] = {
    [sym__expression] = STATE(3879),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(5014),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1682] = {
    [sym__expression] = STATE(3373),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1683] = {
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1684] = {
    [sym__expression] = STATE(3911),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1685] = {
    [sym__expression] = STATE(4975),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1686] = {
    [sym__expression] = STATE(5329),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1687] = {
    [sym__expression] = STATE(5397),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1688] = {
    [sym__expression] = STATE(3860),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1689] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1690] = {
    [sym__expression] = STATE(3817),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(5016),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1691] = {
    [sym__expression] = STATE(3785),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1692] = {
    [sym__expression] = STATE(5322),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1693] = {
    [sym__expression] = STATE(3783),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1694] = {
    [sym__expression] = STATE(3781),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1695] = {
    [sym__expression] = STATE(3812),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1696] = {
    [sym__expression] = STATE(3652),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1697] = {
    [sym__expression] = STATE(3859),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1698] = {
    [sym__expression] = STATE(3813),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1699] = {
    [sym__expression] = STATE(3646),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1700] = {
    [sym__expression] = STATE(5341),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1701] = {
    [sym__expression] = STATE(3818),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1702] = {
    [sym__expression] = STATE(3801),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1703] = {
    [sym__expression] = STATE(2828),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1704] = {
    [sym__expression] = STATE(3709),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1705] = {
    [sym__expression] = STATE(3913),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1706] = {
    [sym__expression] = STATE(4884),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1707] = {
    [sym__expression] = STATE(3845),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1708] = {
    [sym__expression] = STATE(3848),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1709] = {
    [sym__expression] = STATE(3838),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1710] = {
    [sym__expression] = STATE(3914),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1711] = {
    [sym__expression] = STATE(3823),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1712] = {
    [sym__expression] = STATE(5014),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1713] = {
    [sym__expression] = STATE(4246),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1714] = {
    [sym__expression] = STATE(4776),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1715] = {
    [sym__expression] = STATE(3591),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1716] = {
    [sym__expression] = STATE(5224),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1717] = {
    [sym__expression] = STATE(5307),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1718] = {
    [sym__expression] = STATE(5299),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1719] = {
    [sym__expression] = STATE(5175),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1720] = {
    [sym__expression] = STATE(5280),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1721] = {
    [sym__expression] = STATE(5378),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1722] = {
    [sym__expression] = STATE(5233),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1723] = {
    [sym__expression] = STATE(5212),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1724] = {
    [sym__expression] = STATE(5182),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1725] = {
    [sym__expression] = STATE(5204),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1726] = {
    [sym__expression] = STATE(3916),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1727] = {
    [sym__expression] = STATE(3917),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1728] = {
    [sym__expression] = STATE(5334),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1729] = {
    [sym__expression] = STATE(3919),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1730] = {
    [sym__expression] = STATE(3922),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1731] = {
    [sym__expression] = STATE(3923),
    [sym__expression_not_binary] = STATE(4184),
    [sym__string] = STATE(4184),
    [sym_conditional_expression] = STATE(4184),
    [sym_assignment_expression] = STATE(4184),
    [sym_pointer_expression] = STATE(4184),
    [sym_unary_expression] = STATE(4184),
    [sym_binary_expression] = STATE(4184),
    [sym_update_expression] = STATE(4184),
    [sym_cast_expression] = STATE(4184),
    [sym_sizeof_expression] = STATE(4184),
    [sym_alignof_expression] = STATE(4184),
    [sym_offsetof_expression] = STATE(4184),
    [sym_generic_expression] = STATE(4184),
    [sym_subscript_expression] = STATE(4184),
    [sym_call_expression] = STATE(4184),
    [sym_gnu_asm_expression] = STATE(4184),
    [sym_field_expression] = STATE(4184),
    [sym_compound_literal_expression] = STATE(4184),
    [sym_parenthesized_expression] = STATE(4184),
    [sym_char_literal] = STATE(4098),
    [sym_concatenated_string] = STATE(4105),
    [sym_string_literal] = STATE(2667),
    [sym_null] = STATE(4184),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8657),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4184),
    [sym_raw_string_literal] = STATE(2666),
    [sym_co_await_expression] = STATE(4184),
    [sym_new_expression] = STATE(4184),
    [sym_delete_expression] = STATE(4184),
    [sym_requires_clause] = STATE(4184),
    [sym_requires_expression] = STATE(4184),
    [sym_lambda_expression] = STATE(4184),
    [sym_lambda_capture_specifier] = STATE(6588),
    [sym_fold_expression] = STATE(4184),
    [sym_parameter_pack_expansion] = STATE(4184),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4184),
    [sym_qualified_type_identifier] = STATE(8657),
    [sym_user_defined_literal] = STATE(4184),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(4744),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_not] = ACTIONS(2448),
    [anon_sym_compl] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(4580),
    [anon_sym_PLUS_PLUS] = ACTIONS(4580),
    [anon_sym_sizeof] = ACTIONS(2458),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2462),
    [anon_sym__Generic] = ACTIONS(2464),
    [anon_sym_asm] = ACTIONS(2466),
    [anon_sym___asm__] = ACTIONS(2466),
    [sym_number_literal] = ACTIONS(2468),
    [anon_sym_L_SQUOTE] = ACTIONS(2470),
    [anon_sym_u_SQUOTE] = ACTIONS(2470),
    [anon_sym_U_SQUOTE] = ACTIONS(2470),
    [anon_sym_u8_SQUOTE] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2470),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2476),
    [anon_sym_nullptr] = ACTIONS(2476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2478),
    [anon_sym_R_DQUOTE] = ACTIONS(2480),
    [anon_sym_LR_DQUOTE] = ACTIONS(2480),
    [anon_sym_uR_DQUOTE] = ACTIONS(2480),
    [anon_sym_UR_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2480),
    [anon_sym_co_await] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(2484),
    [anon_sym_requires] = ACTIONS(2486),
    [sym_this] = ACTIONS(2474),
  },
  [1732] = {
    [sym__expression] = STATE(5347),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1733] = {
    [sym__expression] = STATE(3873),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1734] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1735] = {
    [sym__expression] = STATE(5430),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1736] = {
    [sym__expression] = STATE(5420),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1737] = {
    [sym__expression] = STATE(3758),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5020),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1738] = {
    [sym__expression] = STATE(3761),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1739] = {
    [sym__expression] = STATE(3622),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1740] = {
    [sym__expression] = STATE(3895),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4752),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_TILDE] = ACTIONS(2490),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2488),
    [anon_sym_compl] = ACTIONS(2488),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2494),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2496),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2498),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1741] = {
    [sym__expression] = STATE(3622),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(5022),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1742] = {
    [sym__expression] = STATE(5398),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1743] = {
    [sym__expression] = STATE(5284),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1744] = {
    [sym__expression] = STATE(4768),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(5024),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1745] = {
    [sym__expression] = STATE(5287),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1746] = {
    [sym__expression] = STATE(4896),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1747] = {
    [sym__expression] = STATE(3349),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1748] = {
    [sym__expression] = STATE(5352),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1749] = {
    [sym__expression] = STATE(3766),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1750] = {
    [sym__expression] = STATE(3653),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1751] = {
    [sym__expression] = STATE(3595),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1752] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1753] = {
    [sym__expression] = STATE(3665),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1754] = {
    [sym__expression] = STATE(3668),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1755] = {
    [sym__expression] = STATE(3669),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1756] = {
    [sym__expression] = STATE(3684),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1757] = {
    [sym__expression] = STATE(3689),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1758] = {
    [sym__expression] = STATE(3690),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1759] = {
    [sym__expression] = STATE(3644),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1760] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1761] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1762] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1763] = {
    [sym__expression] = STATE(5017),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1764] = {
    [sym__expression] = STATE(5126),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1765] = {
    [sym__expression] = STATE(2821),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1766] = {
    [sym__expression] = STATE(3609),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1767] = {
    [sym__expression] = STATE(3637),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1768] = {
    [sym__expression] = STATE(5231),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1769] = {
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1770] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1771] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1772] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1773] = {
    [sym__expression] = STATE(5358),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1774] = {
    [sym__expression] = STATE(4274),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1775] = {
    [sym__expression] = STATE(5362),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1776] = {
    [sym__expression] = STATE(5230),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1777] = {
    [sym__expression] = STATE(3430),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1778] = {
    [sym__expression] = STATE(2829),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1779] = {
    [sym__expression] = STATE(5311),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1780] = {
    [sym__expression] = STATE(5335),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1781] = {
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1782] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1783] = {
    [sym__expression] = STATE(3640),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1784] = {
    [sym__expression] = STATE(4995),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1785] = {
    [sym__expression] = STATE(5395),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(5032),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1786] = {
    [sym__expression] = STATE(5344),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1787] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1788] = {
    [sym__expression] = STATE(5094),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1789] = {
    [sym__expression] = STATE(2821),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1790] = {
    [sym__expression] = STATE(5393),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1791] = {
    [sym__expression] = STATE(3391),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1792] = {
    [sym__expression] = STATE(3403),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1793] = {
    [sym__expression] = STATE(2817),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1794] = {
    [sym__expression] = STATE(2821),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(5034),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1795] = {
    [sym__expression] = STATE(2821),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1796] = {
    [sym__expression] = STATE(3404),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1797] = {
    [sym__expression] = STATE(5041),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1798] = {
    [sym__expression] = STATE(5435),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1799] = {
    [sym__expression] = STATE(5381),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1800] = {
    [sym__expression] = STATE(5386),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1801] = {
    [sym__expression] = STATE(3439),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1802] = {
    [sym__expression] = STATE(5387),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1803] = {
    [sym__expression] = STATE(5046),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1804] = {
    [sym__expression] = STATE(5401),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1805] = {
    [sym__expression] = STATE(5119),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1806] = {
    [sym__expression] = STATE(3435),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1807] = {
    [sym__expression] = STATE(3432),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1808] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1809] = {
    [sym__expression] = STATE(5449),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1810] = {
    [sym__expression] = STATE(5176),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1811] = {
    [sym__expression] = STATE(3427),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1812] = {
    [sym__expression] = STATE(3405),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1813] = {
    [sym__expression] = STATE(5448),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1814] = {
    [sym__expression] = STATE(3420),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1815] = {
    [sym__expression] = STATE(5447),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1816] = {
    [sym__expression] = STATE(5100),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1817] = {
    [sym__expression] = STATE(4790),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1818] = {
    [sym__expression] = STATE(5445),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1819] = {
    [sym__expression] = STATE(4930),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1820] = {
    [sym__expression] = STATE(3361),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1821] = {
    [sym__expression] = STATE(2828),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1822] = {
    [sym__expression] = STATE(3360),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1823] = {
    [sym__expression] = STATE(3355),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1824] = {
    [sym__expression] = STATE(3354),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1825] = {
    [sym__expression] = STATE(3348),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1826] = {
    [sym__expression] = STATE(3343),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1827] = {
    [sym__expression] = STATE(3344),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1828] = {
    [sym__expression] = STATE(3345),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1829] = {
    [sym__expression] = STATE(3346),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1830] = {
    [sym__expression] = STATE(3639),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1831] = {
    [sym__expression] = STATE(4973),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1832] = {
    [sym__expression] = STATE(5462),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1833] = {
    [sym__expression] = STATE(4769),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1834] = {
    [sym__expression] = STATE(4440),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1835] = {
    [sym__expression] = STATE(4759),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1836] = {
    [sym__expression] = STATE(3425),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1837] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1838] = {
    [sym__expression] = STATE(5440),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1839] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1840] = {
    [sym__expression] = STATE(5363),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1841] = {
    [sym__expression] = STATE(5438),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1842] = {
    [sym__expression] = STATE(5457),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1843] = {
    [sym__expression] = STATE(5229),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1844] = {
    [sym__expression] = STATE(4772),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1845] = {
    [sym__expression] = STATE(4976),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1846] = {
    [sym__expression] = STATE(3378),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1847] = {
    [sym__expression] = STATE(5437),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1848] = {
    [sym__expression] = STATE(3417),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1849] = {
    [sym__expression] = STATE(2829),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1850] = {
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(3621),
    [sym__string] = STATE(3621),
    [sym_conditional_expression] = STATE(3621),
    [sym_assignment_expression] = STATE(3621),
    [sym_pointer_expression] = STATE(3621),
    [sym_unary_expression] = STATE(3621),
    [sym_binary_expression] = STATE(3621),
    [sym_update_expression] = STATE(3621),
    [sym_cast_expression] = STATE(3621),
    [sym_sizeof_expression] = STATE(3621),
    [sym_alignof_expression] = STATE(3621),
    [sym_offsetof_expression] = STATE(3621),
    [sym_generic_expression] = STATE(3621),
    [sym_subscript_expression] = STATE(3621),
    [sym_call_expression] = STATE(3621),
    [sym_gnu_asm_expression] = STATE(3621),
    [sym_field_expression] = STATE(3621),
    [sym_compound_literal_expression] = STATE(3621),
    [sym_parenthesized_expression] = STATE(3621),
    [sym_char_literal] = STATE(3505),
    [sym_concatenated_string] = STATE(3465),
    [sym_string_literal] = STATE(2298),
    [sym_null] = STATE(3621),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8633),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(3621),
    [sym_raw_string_literal] = STATE(2300),
    [sym_co_await_expression] = STATE(3621),
    [sym_new_expression] = STATE(3621),
    [sym_delete_expression] = STATE(3621),
    [sym_requires_clause] = STATE(3621),
    [sym_requires_expression] = STATE(3621),
    [sym_lambda_expression] = STATE(3621),
    [sym_lambda_capture_specifier] = STATE(6589),
    [sym_fold_expression] = STATE(3621),
    [sym_parameter_pack_expansion] = STATE(3621),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3621),
    [sym_qualified_type_identifier] = STATE(8633),
    [sym_user_defined_literal] = STATE(3621),
    [sym_identifier] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(4716),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4671),
    [anon_sym_PLUS_PLUS] = ACTIONS(4671),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1851] = {
    [sym__expression] = STATE(3422),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3358),
    [sym_concatenated_string] = STATE(3347),
    [sym_string_literal] = STATE(2192),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2190),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4734),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2188),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2188),
    [anon_sym_compl] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(3519),
    [anon_sym_PLUS_PLUS] = ACTIONS(3519),
    [anon_sym_sizeof] = ACTIONS(2194),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2196),
    [anon_sym_L_SQUOTE] = ACTIONS(2198),
    [anon_sym_u_SQUOTE] = ACTIONS(2198),
    [anon_sym_U_SQUOTE] = ACTIONS(2198),
    [anon_sym_u8_SQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2198),
    [anon_sym_L_DQUOTE] = ACTIONS(2200),
    [anon_sym_u_DQUOTE] = ACTIONS(2200),
    [anon_sym_U_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8_DQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2200),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2202),
    [anon_sym_R_DQUOTE] = ACTIONS(2204),
    [anon_sym_LR_DQUOTE] = ACTIONS(2204),
    [anon_sym_uR_DQUOTE] = ACTIONS(2204),
    [anon_sym_UR_DQUOTE] = ACTIONS(2204),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2204),
    [anon_sym_co_await] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1852] = {
    [sym__expression] = STATE(4202),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1853] = {
    [sym__expression] = STATE(5214),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1854] = {
    [sym__expression] = STATE(4750),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1855] = {
    [sym__expression] = STATE(3625),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3880),
    [sym_concatenated_string] = STATE(3888),
    [sym_string_literal] = STATE(2550),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2547),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_LPAREN2] = ACTIONS(4706),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2266),
    [anon_sym_compl] = ACTIONS(2266),
    [anon_sym_DASH_DASH] = ACTIONS(4554),
    [anon_sym_PLUS_PLUS] = ACTIONS(4554),
    [anon_sym_sizeof] = ACTIONS(2272),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2274),
    [anon_sym_L_SQUOTE] = ACTIONS(2276),
    [anon_sym_u_SQUOTE] = ACTIONS(2276),
    [anon_sym_U_SQUOTE] = ACTIONS(2276),
    [anon_sym_u8_SQUOTE] = ACTIONS(2276),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_L_DQUOTE] = ACTIONS(2278),
    [anon_sym_u_DQUOTE] = ACTIONS(2278),
    [anon_sym_U_DQUOTE] = ACTIONS(2278),
    [anon_sym_u8_DQUOTE] = ACTIONS(2278),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2280),
    [anon_sym_R_DQUOTE] = ACTIONS(2282),
    [anon_sym_LR_DQUOTE] = ACTIONS(2282),
    [anon_sym_uR_DQUOTE] = ACTIONS(2282),
    [anon_sym_UR_DQUOTE] = ACTIONS(2282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2282),
    [anon_sym_co_await] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1856] = {
    [sym__expression] = STATE(5286),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1857] = {
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1858] = {
    [sym__expression] = STATE(4948),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1859] = {
    [sym__expression] = STATE(4408),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1860] = {
    [sym__expression] = STATE(5228),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(5046),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1861] = {
    [sym__expression] = STATE(5436),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1862] = {
    [sym__expression] = STATE(4867),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1863] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(4770),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1864] = {
    [sym__expression] = STATE(4415),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1865] = {
    [sym__expression] = STATE(4887),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1866] = {
    [sym__expression] = STATE(5066),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1867] = {
    [sym__expression] = STATE(5433),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1868] = {
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1869] = {
    [sym__expression] = STATE(4886),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1870] = {
    [sym__expression] = STATE(5414),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1871] = {
    [sym__expression] = STATE(5135),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1872] = {
    [sym__expression] = STATE(5388),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1873] = {
    [sym__expression] = STATE(5122),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1874] = {
    [sym__expression] = STATE(3756),
    [sym__expression_not_binary] = STATE(4041),
    [sym__string] = STATE(4041),
    [sym_conditional_expression] = STATE(4041),
    [sym_assignment_expression] = STATE(4041),
    [sym_pointer_expression] = STATE(4041),
    [sym_unary_expression] = STATE(4041),
    [sym_binary_expression] = STATE(4041),
    [sym_update_expression] = STATE(4041),
    [sym_cast_expression] = STATE(4041),
    [sym_sizeof_expression] = STATE(4041),
    [sym_alignof_expression] = STATE(4041),
    [sym_offsetof_expression] = STATE(4041),
    [sym_generic_expression] = STATE(4041),
    [sym_subscript_expression] = STATE(4041),
    [sym_call_expression] = STATE(4041),
    [sym_gnu_asm_expression] = STATE(4041),
    [sym_field_expression] = STATE(4041),
    [sym_compound_literal_expression] = STATE(4041),
    [sym_parenthesized_expression] = STATE(4041),
    [sym_char_literal] = STATE(3882),
    [sym_concatenated_string] = STATE(3898),
    [sym_string_literal] = STATE(2525),
    [sym_null] = STATE(4041),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8419),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4041),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(4041),
    [sym_new_expression] = STATE(4041),
    [sym_delete_expression] = STATE(4041),
    [sym_requires_clause] = STATE(4041),
    [sym_requires_expression] = STATE(4041),
    [sym_lambda_expression] = STATE(4041),
    [sym_lambda_capture_specifier] = STATE(6624),
    [sym_fold_expression] = STATE(4041),
    [sym_parameter_pack_expansion] = STATE(4041),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4041),
    [sym_qualified_type_identifier] = STATE(8419),
    [sym_user_defined_literal] = STATE(4041),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2262),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1875] = {
    [sym__expression] = STATE(4370),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1876] = {
    [sym__expression] = STATE(4155),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1877] = {
    [sym__expression] = STATE(5106),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1878] = {
    [sym__expression] = STATE(5429),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1879] = {
    [sym__expression] = STATE(4748),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1880] = {
    [sym__expression] = STATE(4176),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1881] = {
    [sym__expression] = STATE(4182),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(5052),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1882] = {
    [sym__expression] = STATE(5003),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1883] = {
    [sym__expression] = STATE(5108),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1884] = {
    [sym__expression] = STATE(5109),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1885] = {
    [sym__expression] = STATE(4881),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1886] = {
    [sym__expression] = STATE(5113),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1887] = {
    [sym__expression] = STATE(4906),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1888] = {
    [sym__expression] = STATE(5115),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1889] = {
    [sym__expression] = STATE(4850),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1890] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1891] = {
    [sym__expression] = STATE(5120),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1892] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1893] = {
    [sym__expression] = STATE(4934),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1894] = {
    [sym__expression] = STATE(4931),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1895] = {
    [sym__expression] = STATE(5118),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1896] = {
    [sym__expression] = STATE(4924),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1897] = {
    [sym__expression] = STATE(4848),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1898] = {
    [sym__expression] = STATE(4909),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1899] = {
    [sym__expression] = STATE(4746),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1900] = {
    [sym__expression] = STATE(5166),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1901] = {
    [sym__expression] = STATE(5246),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1902] = {
    [sym__expression] = STATE(4921),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1903] = {
    [sym__expression] = STATE(4919),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1904] = {
    [sym__expression] = STATE(4744),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1905] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1906] = {
    [sym__expression] = STATE(5419),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1907] = {
    [sym__expression] = STATE(2806),
    [sym__expression_not_binary] = STATE(2928),
    [sym__string] = STATE(2928),
    [sym_conditional_expression] = STATE(2928),
    [sym_assignment_expression] = STATE(2928),
    [sym_pointer_expression] = STATE(2928),
    [sym_unary_expression] = STATE(2928),
    [sym_binary_expression] = STATE(2928),
    [sym_update_expression] = STATE(2928),
    [sym_cast_expression] = STATE(2928),
    [sym_sizeof_expression] = STATE(2928),
    [sym_alignof_expression] = STATE(2928),
    [sym_offsetof_expression] = STATE(2928),
    [sym_generic_expression] = STATE(2928),
    [sym_subscript_expression] = STATE(2928),
    [sym_call_expression] = STATE(2928),
    [sym_gnu_asm_expression] = STATE(2928),
    [sym_field_expression] = STATE(2928),
    [sym_compound_literal_expression] = STATE(2928),
    [sym_parenthesized_expression] = STATE(2928),
    [sym_char_literal] = STATE(3296),
    [sym_concatenated_string] = STATE(3289),
    [sym_string_literal] = STATE(2122),
    [sym_null] = STATE(2928),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8444),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(2928),
    [sym_raw_string_literal] = STATE(2121),
    [sym_co_await_expression] = STATE(2928),
    [sym_new_expression] = STATE(2928),
    [sym_delete_expression] = STATE(2928),
    [sym_requires_clause] = STATE(2928),
    [sym_requires_expression] = STATE(2928),
    [sym_lambda_expression] = STATE(2928),
    [sym_lambda_capture_specifier] = STATE(6675),
    [sym_fold_expression] = STATE(2928),
    [sym_parameter_pack_expansion] = STATE(2928),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(2928),
    [sym_qualified_type_identifier] = STATE(8444),
    [sym_user_defined_literal] = STATE(2928),
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4655),
    [anon_sym_PLUS_PLUS] = ACTIONS(4655),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1908] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1909] = {
    [sym__expression] = STATE(4370),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1910] = {
    [sym__expression] = STATE(4908),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1911] = {
    [sym__expression] = STATE(4849),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1912] = {
    [sym__expression] = STATE(5391),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4154),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4154),
    [sym_call_expression] = STATE(4154),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4154),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4154),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4154),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4154),
    [sym_identifier] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(4699),
    [anon_sym_BANG] = ACTIONS(3983),
    [anon_sym_TILDE] = ACTIONS(3983),
    [anon_sym_DASH] = ACTIONS(3981),
    [anon_sym_PLUS] = ACTIONS(3981),
    [anon_sym_STAR] = ACTIONS(4701),
    [anon_sym_AMP] = ACTIONS(4701),
    [anon_sym_COLON_COLON] = ACTIONS(3985),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3981),
    [anon_sym_compl] = ACTIONS(3981),
    [anon_sym_DASH_DASH] = ACTIONS(4578),
    [anon_sym_PLUS_PLUS] = ACTIONS(4578),
    [anon_sym_sizeof] = ACTIONS(3987),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3989),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3991),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1913] = {
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1914] = {
    [sym__expression] = STATE(5150),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1915] = {
    [sym__expression] = STATE(4370),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1916] = {
    [sym__expression] = STATE(5288),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1917] = {
    [sym__expression] = STATE(5394),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1918] = {
    [sym__expression] = STATE(5412),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1919] = {
    [sym__expression] = STATE(4791),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1920] = {
    [sym__expression] = STATE(5402),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1921] = {
    [sym__expression] = STATE(5366),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1922] = {
    [sym__expression] = STATE(5096),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1923] = {
    [sym__expression] = STATE(4853),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1924] = {
    [sym__expression] = STATE(4855),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1925] = {
    [sym__expression] = STATE(4208),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1926] = {
    [sym__expression] = STATE(4220),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1927] = {
    [sym__expression] = STATE(4201),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1928] = {
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1929] = {
    [sym__expression] = STATE(4200),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1930] = {
    [sym__expression] = STATE(5015),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1931] = {
    [sym__expression] = STATE(5285),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1932] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4996),
    [sym__string] = STATE(4996),
    [sym_conditional_expression] = STATE(4996),
    [sym_assignment_expression] = STATE(4996),
    [sym_pointer_expression] = STATE(3731),
    [sym_unary_expression] = STATE(4996),
    [sym_binary_expression] = STATE(4996),
    [sym_update_expression] = STATE(4996),
    [sym_cast_expression] = STATE(4996),
    [sym_sizeof_expression] = STATE(4996),
    [sym_alignof_expression] = STATE(4996),
    [sym_offsetof_expression] = STATE(4996),
    [sym_generic_expression] = STATE(4996),
    [sym_subscript_expression] = STATE(3731),
    [sym_call_expression] = STATE(3731),
    [sym_gnu_asm_expression] = STATE(4996),
    [sym_field_expression] = STATE(3731),
    [sym_compound_literal_expression] = STATE(4996),
    [sym_parenthesized_expression] = STATE(3731),
    [sym_char_literal] = STATE(4935),
    [sym_concatenated_string] = STATE(4933),
    [sym_string_literal] = STATE(3853),
    [sym_null] = STATE(4996),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8726),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4996),
    [sym_raw_string_literal] = STATE(3839),
    [sym_co_await_expression] = STATE(4996),
    [sym_new_expression] = STATE(4996),
    [sym_delete_expression] = STATE(4996),
    [sym_requires_clause] = STATE(4996),
    [sym_requires_expression] = STATE(4996),
    [sym_lambda_expression] = STATE(4996),
    [sym_lambda_capture_specifier] = STATE(6645),
    [sym_fold_expression] = STATE(4996),
    [sym_parameter_pack_expansion] = STATE(4996),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6425),
    [sym_qualified_identifier] = STATE(3731),
    [sym_qualified_type_identifier] = STATE(8726),
    [sym_user_defined_literal] = STATE(3731),
    [sym_identifier] = ACTIONS(4606),
    [anon_sym_LPAREN2] = ACTIONS(4754),
    [anon_sym_BANG] = ACTIONS(3739),
    [anon_sym_TILDE] = ACTIONS(3739),
    [anon_sym_DASH] = ACTIONS(3737),
    [anon_sym_PLUS] = ACTIONS(3737),
    [anon_sym_STAR] = ACTIONS(4718),
    [anon_sym_AMP] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3745),
    [anon_sym_not] = ACTIONS(3737),
    [anon_sym_compl] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(4608),
    [anon_sym_PLUS_PLUS] = ACTIONS(4608),
    [anon_sym_sizeof] = ACTIONS(3747),
    [anon_sym___alignof__] = ACTIONS(3749),
    [anon_sym___alignof] = ACTIONS(3749),
    [anon_sym__alignof] = ACTIONS(3749),
    [anon_sym_alignof] = ACTIONS(3749),
    [anon_sym__Alignof] = ACTIONS(3749),
    [anon_sym_offsetof] = ACTIONS(3751),
    [anon_sym__Generic] = ACTIONS(3753),
    [anon_sym_asm] = ACTIONS(3755),
    [anon_sym___asm__] = ACTIONS(3755),
    [sym_number_literal] = ACTIONS(3757),
    [anon_sym_L_SQUOTE] = ACTIONS(3759),
    [anon_sym_u_SQUOTE] = ACTIONS(3759),
    [anon_sym_U_SQUOTE] = ACTIONS(3759),
    [anon_sym_u8_SQUOTE] = ACTIONS(3759),
    [anon_sym_SQUOTE] = ACTIONS(3759),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_true] = ACTIONS(3763),
    [sym_false] = ACTIONS(3763),
    [anon_sym_NULL] = ACTIONS(3765),
    [anon_sym_nullptr] = ACTIONS(3765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3767),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
    [anon_sym_co_await] = ACTIONS(3771),
    [anon_sym_new] = ACTIONS(3773),
    [anon_sym_requires] = ACTIONS(3775),
    [sym_this] = ACTIONS(3763),
  },
  [1933] = {
    [sym__expression] = STATE(5065),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4008),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4008),
    [sym_call_expression] = STATE(4008),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4008),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4008),
    [sym_char_literal] = STATE(5129),
    [sym_concatenated_string] = STATE(5132),
    [sym_string_literal] = STATE(4161),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(4163),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4008),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4008),
    [sym_identifier] = ACTIONS(3805),
    [anon_sym_LPAREN2] = ACTIONS(4540),
    [anon_sym_BANG] = ACTIONS(3809),
    [anon_sym_TILDE] = ACTIONS(3809),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym_STAR] = ACTIONS(4542),
    [anon_sym_AMP] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(3811),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3807),
    [anon_sym_compl] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(4546),
    [anon_sym_PLUS_PLUS] = ACTIONS(4546),
    [anon_sym_sizeof] = ACTIONS(3813),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3815),
    [anon_sym_L_SQUOTE] = ACTIONS(3817),
    [anon_sym_u_SQUOTE] = ACTIONS(3817),
    [anon_sym_U_SQUOTE] = ACTIONS(3817),
    [anon_sym_u8_SQUOTE] = ACTIONS(3817),
    [anon_sym_SQUOTE] = ACTIONS(3817),
    [anon_sym_L_DQUOTE] = ACTIONS(3819),
    [anon_sym_u_DQUOTE] = ACTIONS(3819),
    [anon_sym_U_DQUOTE] = ACTIONS(3819),
    [anon_sym_u8_DQUOTE] = ACTIONS(3819),
    [anon_sym_DQUOTE] = ACTIONS(3819),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3821),
    [anon_sym_R_DQUOTE] = ACTIONS(3823),
    [anon_sym_LR_DQUOTE] = ACTIONS(3823),
    [anon_sym_uR_DQUOTE] = ACTIONS(3823),
    [anon_sym_UR_DQUOTE] = ACTIONS(3823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3823),
    [anon_sym_co_await] = ACTIONS(3825),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1934] = {
    [sym__expression] = STATE(4190),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1935] = {
    [sym__expression] = STATE(5180),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1936] = {
    [sym__expression] = STATE(5179),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1937] = {
    [sym__expression] = STATE(5177),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1938] = {
    [sym__expression] = STATE(5346),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(5056),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1939] = {
    [sym__expression] = STATE(5294),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1940] = {
    [sym__expression] = STATE(4191),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1941] = {
    [sym__expression] = STATE(4370),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1942] = {
    [sym__expression] = STATE(5296),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1943] = {
    [sym__expression] = STATE(4757),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3431),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3431),
    [sym_call_expression] = STATE(3431),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3431),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3431),
    [sym_char_literal] = STATE(4826),
    [sym_concatenated_string] = STATE(4819),
    [sym_string_literal] = STATE(3569),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3570),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3431),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3431),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4750),
    [anon_sym_BANG] = ACTIONS(3683),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_DASH] = ACTIONS(3681),
    [anon_sym_PLUS] = ACTIONS(3681),
    [anon_sym_STAR] = ACTIONS(4730),
    [anon_sym_AMP] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3681),
    [anon_sym_compl] = ACTIONS(3681),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3689),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3691),
    [anon_sym_L_SQUOTE] = ACTIONS(3693),
    [anon_sym_u_SQUOTE] = ACTIONS(3693),
    [anon_sym_U_SQUOTE] = ACTIONS(3693),
    [anon_sym_u8_SQUOTE] = ACTIONS(3693),
    [anon_sym_SQUOTE] = ACTIONS(3693),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3697),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
    [anon_sym_co_await] = ACTIONS(3701),
    [anon_sym_new] = ACTIONS(3703),
    [anon_sym_requires] = ACTIONS(3705),
    [sym_this] = ACTIONS(217),
  },
  [1944] = {
    [sym__expression] = STATE(4199),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1945] = {
    [sym__expression] = STATE(5304),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1946] = {
    [sym__expression] = STATE(5173),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1947] = {
    [sym__expression] = STATE(5305),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1948] = {
    [sym__expression] = STATE(5312),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1949] = {
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1950] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1951] = {
    [sym__expression] = STATE(4198),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1952] = {
    [sym__expression] = STATE(5171),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1953] = {
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1954] = {
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1955] = {
    [sym__expression] = STATE(4197),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1956] = {
    [sym__expression] = STATE(5364),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1957] = {
    [sym__expression] = STATE(5168),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1958] = {
    [sym__expression] = STATE(4196),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1959] = {
    [sym__expression] = STATE(5167),
    [sym__expression_not_binary] = STATE(5517),
    [sym__string] = STATE(5517),
    [sym_conditional_expression] = STATE(5517),
    [sym_assignment_expression] = STATE(5517),
    [sym_pointer_expression] = STATE(4207),
    [sym_unary_expression] = STATE(5517),
    [sym_binary_expression] = STATE(5517),
    [sym_update_expression] = STATE(5517),
    [sym_cast_expression] = STATE(5517),
    [sym_sizeof_expression] = STATE(5517),
    [sym_alignof_expression] = STATE(5517),
    [sym_offsetof_expression] = STATE(5517),
    [sym_generic_expression] = STATE(5517),
    [sym_subscript_expression] = STATE(4207),
    [sym_call_expression] = STATE(4207),
    [sym_gnu_asm_expression] = STATE(5517),
    [sym_field_expression] = STATE(4207),
    [sym_compound_literal_expression] = STATE(5517),
    [sym_parenthesized_expression] = STATE(4207),
    [sym_char_literal] = STATE(5315),
    [sym_concatenated_string] = STATE(5379),
    [sym_string_literal] = STATE(4313),
    [sym_null] = STATE(5517),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8492),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(5517),
    [sym_raw_string_literal] = STATE(4314),
    [sym_co_await_expression] = STATE(5517),
    [sym_new_expression] = STATE(5517),
    [sym_delete_expression] = STATE(5517),
    [sym_requires_clause] = STATE(5517),
    [sym_requires_expression] = STATE(5517),
    [sym_lambda_expression] = STATE(5517),
    [sym_lambda_capture_specifier] = STATE(6597),
    [sym_fold_expression] = STATE(5517),
    [sym_parameter_pack_expansion] = STATE(5517),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6352),
    [sym_qualified_identifier] = STATE(4207),
    [sym_qualified_type_identifier] = STATE(8492),
    [sym_user_defined_literal] = STATE(4207),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(3397),
    [anon_sym_DASH] = ACTIONS(3399),
    [anon_sym_PLUS] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3401),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_not] = ACTIONS(3399),
    [anon_sym_compl] = ACTIONS(3399),
    [anon_sym_DASH_DASH] = ACTIONS(3417),
    [anon_sym_PLUS_PLUS] = ACTIONS(3417),
    [anon_sym_sizeof] = ACTIONS(3419),
    [anon_sym___alignof__] = ACTIONS(3421),
    [anon_sym___alignof] = ACTIONS(3421),
    [anon_sym__alignof] = ACTIONS(3421),
    [anon_sym_alignof] = ACTIONS(3421),
    [anon_sym__Alignof] = ACTIONS(3421),
    [anon_sym_offsetof] = ACTIONS(3423),
    [anon_sym__Generic] = ACTIONS(3425),
    [anon_sym_asm] = ACTIONS(3427),
    [anon_sym___asm__] = ACTIONS(3427),
    [sym_number_literal] = ACTIONS(3429),
    [anon_sym_L_SQUOTE] = ACTIONS(3431),
    [anon_sym_u_SQUOTE] = ACTIONS(3431),
    [anon_sym_U_SQUOTE] = ACTIONS(3431),
    [anon_sym_u8_SQUOTE] = ACTIONS(3431),
    [anon_sym_SQUOTE] = ACTIONS(3431),
    [anon_sym_L_DQUOTE] = ACTIONS(3433),
    [anon_sym_u_DQUOTE] = ACTIONS(3433),
    [anon_sym_U_DQUOTE] = ACTIONS(3433),
    [anon_sym_u8_DQUOTE] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(3433),
    [sym_true] = ACTIONS(3435),
    [sym_false] = ACTIONS(3435),
    [anon_sym_NULL] = ACTIONS(3437),
    [anon_sym_nullptr] = ACTIONS(3437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3447),
    [anon_sym_R_DQUOTE] = ACTIONS(3449),
    [anon_sym_LR_DQUOTE] = ACTIONS(3449),
    [anon_sym_uR_DQUOTE] = ACTIONS(3449),
    [anon_sym_UR_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3449),
    [anon_sym_co_await] = ACTIONS(3451),
    [anon_sym_new] = ACTIONS(3453),
    [anon_sym_requires] = ACTIONS(3455),
    [sym_this] = ACTIONS(3435),
  },
  [1960] = {
    [sym__expression] = STATE(5300),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1961] = {
    [sym__expression] = STATE(5298),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1962] = {
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1963] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(4244),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(4244),
    [sym_call_expression] = STATE(4244),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(4244),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(4244),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(4244),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(4244),
    [sym_identifier] = ACTIONS(3957),
    [anon_sym_LPAREN2] = ACTIONS(3995),
    [anon_sym_BANG] = ACTIONS(3961),
    [anon_sym_TILDE] = ACTIONS(3961),
    [anon_sym_DASH] = ACTIONS(3959),
    [anon_sym_PLUS] = ACTIONS(3959),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3963),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3959),
    [anon_sym_compl] = ACTIONS(3959),
    [anon_sym_DASH_DASH] = ACTIONS(3999),
    [anon_sym_PLUS_PLUS] = ACTIONS(3999),
    [anon_sym_sizeof] = ACTIONS(3965),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3967),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3969),
    [anon_sym_new] = ACTIONS(3971),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1964] = {
    [sym__expression] = STATE(5368),
    [sym__expression_not_binary] = STATE(4495),
    [sym__string] = STATE(4495),
    [sym_conditional_expression] = STATE(4495),
    [sym_assignment_expression] = STATE(4495),
    [sym_pointer_expression] = STATE(3852),
    [sym_unary_expression] = STATE(4495),
    [sym_binary_expression] = STATE(4495),
    [sym_update_expression] = STATE(4495),
    [sym_cast_expression] = STATE(4495),
    [sym_sizeof_expression] = STATE(4495),
    [sym_alignof_expression] = STATE(4495),
    [sym_offsetof_expression] = STATE(4495),
    [sym_generic_expression] = STATE(4495),
    [sym_subscript_expression] = STATE(3852),
    [sym_call_expression] = STATE(3852),
    [sym_gnu_asm_expression] = STATE(4495),
    [sym_field_expression] = STATE(3852),
    [sym_compound_literal_expression] = STATE(4495),
    [sym_parenthesized_expression] = STATE(3852),
    [sym_char_literal] = STATE(4873),
    [sym_concatenated_string] = STATE(4874),
    [sym_string_literal] = STATE(3699),
    [sym_null] = STATE(4495),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8428),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4495),
    [sym_raw_string_literal] = STATE(3702),
    [sym_co_await_expression] = STATE(4495),
    [sym_new_expression] = STATE(4495),
    [sym_delete_expression] = STATE(4495),
    [sym_requires_clause] = STATE(4495),
    [sym_requires_expression] = STATE(4495),
    [sym_lambda_expression] = STATE(4495),
    [sym_lambda_capture_specifier] = STATE(6586),
    [sym_fold_expression] = STATE(4495),
    [sym_parameter_pack_expansion] = STATE(4495),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6424),
    [sym_qualified_identifier] = STATE(3852),
    [sym_qualified_type_identifier] = STATE(8428),
    [sym_user_defined_literal] = STATE(3852),
    [sym_identifier] = ACTIONS(3507),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1965] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1966] = {
    [sym__expression] = STATE(4194),
    [sym__expression_not_binary] = STATE(4354),
    [sym__string] = STATE(4354),
    [sym_conditional_expression] = STATE(4354),
    [sym_assignment_expression] = STATE(4354),
    [sym_pointer_expression] = STATE(4068),
    [sym_unary_expression] = STATE(4354),
    [sym_binary_expression] = STATE(4354),
    [sym_update_expression] = STATE(4354),
    [sym_cast_expression] = STATE(4354),
    [sym_sizeof_expression] = STATE(4354),
    [sym_alignof_expression] = STATE(4354),
    [sym_offsetof_expression] = STATE(4354),
    [sym_generic_expression] = STATE(4354),
    [sym_subscript_expression] = STATE(4068),
    [sym_call_expression] = STATE(4068),
    [sym_gnu_asm_expression] = STATE(4354),
    [sym_field_expression] = STATE(4068),
    [sym_compound_literal_expression] = STATE(4354),
    [sym_parenthesized_expression] = STATE(4068),
    [sym_char_literal] = STATE(4316),
    [sym_concatenated_string] = STATE(4338),
    [sym_string_literal] = STATE(2972),
    [sym_null] = STATE(4354),
    [sym_decltype] = STATE(9400),
    [sym__class_name] = STATE(8575),
    [sym_template_type] = STATE(2864),
    [sym_template_function] = STATE(4354),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4354),
    [sym_new_expression] = STATE(4354),
    [sym_delete_expression] = STATE(4354),
    [sym_requires_clause] = STATE(4354),
    [sym_requires_expression] = STATE(4354),
    [sym_lambda_expression] = STATE(4354),
    [sym_lambda_capture_specifier] = STATE(6616),
    [sym_fold_expression] = STATE(4354),
    [sym_parameter_pack_expansion] = STATE(4354),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6423),
    [sym_qualified_identifier] = STATE(4068),
    [sym_qualified_type_identifier] = STATE(8575),
    [sym_user_defined_literal] = STATE(4068),
    [sym_identifier] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1967] = {
    [sym_template_argument_list] = STATE(1975),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_TILDE] = ACTIONS(5065),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym_SEMI] = ACTIONS(5062),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym_extern] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5062),
    [anon_sym___declspec] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym___cdecl] = ACTIONS(5058),
    [anon_sym___clrcall] = ACTIONS(5058),
    [anon_sym___stdcall] = ACTIONS(5058),
    [anon_sym___fastcall] = ACTIONS(5058),
    [anon_sym___thiscall] = ACTIONS(5058),
    [anon_sym___vectorcall] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_static] = ACTIONS(5058),
    [anon_sym_register] = ACTIONS(5058),
    [anon_sym_inline] = ACTIONS(5058),
    [anon_sym___inline] = ACTIONS(5058),
    [anon_sym___inline__] = ACTIONS(5058),
    [anon_sym___forceinline] = ACTIONS(5058),
    [anon_sym_thread_local] = ACTIONS(5058),
    [anon_sym___thread] = ACTIONS(5058),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5067),
    [anon_sym_or_eq] = ACTIONS(5067),
    [anon_sym_xor_eq] = ACTIONS(5067),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5067),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5067),
    [anon_sym_not_eq] = ACTIONS(5067),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_virtual] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym_template] = ACTIONS(5058),
    [anon_sym_operator] = ACTIONS(5058),
  },
  [1968] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym___cdecl] = ACTIONS(5075),
    [anon_sym___clrcall] = ACTIONS(5075),
    [anon_sym___stdcall] = ACTIONS(5075),
    [anon_sym___fastcall] = ACTIONS(5075),
    [anon_sym___thiscall] = ACTIONS(5075),
    [anon_sym___vectorcall] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
  },
  [1969] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_TILDE] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym_SEMI] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5079),
    [anon_sym_extern] = ACTIONS(5079),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5081),
    [anon_sym___declspec] = ACTIONS(5079),
    [anon_sym___based] = ACTIONS(5079),
    [anon_sym___cdecl] = ACTIONS(5079),
    [anon_sym___clrcall] = ACTIONS(5079),
    [anon_sym___stdcall] = ACTIONS(5079),
    [anon_sym___fastcall] = ACTIONS(5079),
    [anon_sym___thiscall] = ACTIONS(5079),
    [anon_sym___vectorcall] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(5079),
    [anon_sym_register] = ACTIONS(5079),
    [anon_sym_inline] = ACTIONS(5079),
    [anon_sym___inline] = ACTIONS(5079),
    [anon_sym___inline__] = ACTIONS(5079),
    [anon_sym___forceinline] = ACTIONS(5079),
    [anon_sym_thread_local] = ACTIONS(5079),
    [anon_sym___thread] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5079),
    [anon_sym_volatile] = ACTIONS(5079),
    [anon_sym_restrict] = ACTIONS(5079),
    [anon_sym___restrict__] = ACTIONS(5079),
    [anon_sym__Atomic] = ACTIONS(5079),
    [anon_sym__Noreturn] = ACTIONS(5079),
    [anon_sym_noreturn] = ACTIONS(5079),
    [anon_sym_mutable] = ACTIONS(5079),
    [anon_sym_constinit] = ACTIONS(5079),
    [anon_sym_consteval] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5081),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_and_eq] = ACTIONS(5079),
    [anon_sym_or_eq] = ACTIONS(5079),
    [anon_sym_xor_eq] = ACTIONS(5079),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_virtual] = ACTIONS(5079),
    [anon_sym_alignas] = ACTIONS(5079),
    [anon_sym_template] = ACTIONS(5079),
    [anon_sym_operator] = ACTIONS(5079),
  },
  [1970] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym_SEMI] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym_extern] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5085),
    [anon_sym___declspec] = ACTIONS(5083),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym___cdecl] = ACTIONS(5083),
    [anon_sym___clrcall] = ACTIONS(5083),
    [anon_sym___stdcall] = ACTIONS(5083),
    [anon_sym___fastcall] = ACTIONS(5083),
    [anon_sym___thiscall] = ACTIONS(5083),
    [anon_sym___vectorcall] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_static] = ACTIONS(5083),
    [anon_sym_register] = ACTIONS(5083),
    [anon_sym_inline] = ACTIONS(5083),
    [anon_sym___inline] = ACTIONS(5083),
    [anon_sym___inline__] = ACTIONS(5083),
    [anon_sym___forceinline] = ACTIONS(5083),
    [anon_sym_thread_local] = ACTIONS(5083),
    [anon_sym___thread] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5085),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_and_eq] = ACTIONS(5083),
    [anon_sym_or_eq] = ACTIONS(5083),
    [anon_sym_xor_eq] = ACTIONS(5083),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_virtual] = ACTIONS(5083),
    [anon_sym_alignas] = ACTIONS(5083),
    [anon_sym_template] = ACTIONS(5083),
    [anon_sym_operator] = ACTIONS(5083),
  },
  [1971] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym_extern] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5089),
    [anon_sym___declspec] = ACTIONS(5087),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym___cdecl] = ACTIONS(5087),
    [anon_sym___clrcall] = ACTIONS(5087),
    [anon_sym___stdcall] = ACTIONS(5087),
    [anon_sym___fastcall] = ACTIONS(5087),
    [anon_sym___thiscall] = ACTIONS(5087),
    [anon_sym___vectorcall] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_RBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_static] = ACTIONS(5087),
    [anon_sym_register] = ACTIONS(5087),
    [anon_sym_inline] = ACTIONS(5087),
    [anon_sym___inline] = ACTIONS(5087),
    [anon_sym___inline__] = ACTIONS(5087),
    [anon_sym___forceinline] = ACTIONS(5087),
    [anon_sym_thread_local] = ACTIONS(5087),
    [anon_sym___thread] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5089),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_and_eq] = ACTIONS(5087),
    [anon_sym_or_eq] = ACTIONS(5087),
    [anon_sym_xor_eq] = ACTIONS(5087),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_virtual] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5087),
    [anon_sym_template] = ACTIONS(5087),
    [anon_sym_operator] = ACTIONS(5087),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_TILDE] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym_SEMI] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_extern] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5093),
    [anon_sym___declspec] = ACTIONS(5091),
    [anon_sym___based] = ACTIONS(5091),
    [anon_sym___cdecl] = ACTIONS(5091),
    [anon_sym___clrcall] = ACTIONS(5091),
    [anon_sym___stdcall] = ACTIONS(5091),
    [anon_sym___fastcall] = ACTIONS(5091),
    [anon_sym___thiscall] = ACTIONS(5091),
    [anon_sym___vectorcall] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_RBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_static] = ACTIONS(5091),
    [anon_sym_register] = ACTIONS(5091),
    [anon_sym_inline] = ACTIONS(5091),
    [anon_sym___inline] = ACTIONS(5091),
    [anon_sym___inline__] = ACTIONS(5091),
    [anon_sym___forceinline] = ACTIONS(5091),
    [anon_sym_thread_local] = ACTIONS(5091),
    [anon_sym___thread] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_and_eq] = ACTIONS(5091),
    [anon_sym_or_eq] = ACTIONS(5091),
    [anon_sym_xor_eq] = ACTIONS(5091),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_virtual] = ACTIONS(5091),
    [anon_sym_alignas] = ACTIONS(5091),
    [anon_sym_template] = ACTIONS(5091),
    [anon_sym_operator] = ACTIONS(5091),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym_SEMI] = ACTIONS(5097),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym___cdecl] = ACTIONS(5095),
    [anon_sym___clrcall] = ACTIONS(5095),
    [anon_sym___stdcall] = ACTIONS(5095),
    [anon_sym___fastcall] = ACTIONS(5095),
    [anon_sym___thiscall] = ACTIONS(5095),
    [anon_sym___vectorcall] = ACTIONS(5095),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5097),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_and_eq] = ACTIONS(5095),
    [anon_sym_or_eq] = ACTIONS(5095),
    [anon_sym_xor_eq] = ACTIONS(5095),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_virtual] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym_SEMI] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5099),
    [anon_sym_extern] = ACTIONS(5099),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5101),
    [anon_sym___declspec] = ACTIONS(5099),
    [anon_sym___based] = ACTIONS(5099),
    [anon_sym___cdecl] = ACTIONS(5099),
    [anon_sym___clrcall] = ACTIONS(5099),
    [anon_sym___stdcall] = ACTIONS(5099),
    [anon_sym___fastcall] = ACTIONS(5099),
    [anon_sym___thiscall] = ACTIONS(5099),
    [anon_sym___vectorcall] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_RBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_static] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5099),
    [anon_sym_inline] = ACTIONS(5099),
    [anon_sym___inline] = ACTIONS(5099),
    [anon_sym___inline__] = ACTIONS(5099),
    [anon_sym___forceinline] = ACTIONS(5099),
    [anon_sym_thread_local] = ACTIONS(5099),
    [anon_sym___thread] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5099),
    [anon_sym_volatile] = ACTIONS(5099),
    [anon_sym_restrict] = ACTIONS(5099),
    [anon_sym___restrict__] = ACTIONS(5099),
    [anon_sym__Atomic] = ACTIONS(5099),
    [anon_sym__Noreturn] = ACTIONS(5099),
    [anon_sym_noreturn] = ACTIONS(5099),
    [anon_sym_mutable] = ACTIONS(5099),
    [anon_sym_constinit] = ACTIONS(5099),
    [anon_sym_consteval] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_and_eq] = ACTIONS(5099),
    [anon_sym_or_eq] = ACTIONS(5099),
    [anon_sym_xor_eq] = ACTIONS(5099),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_virtual] = ACTIONS(5099),
    [anon_sym_alignas] = ACTIONS(5099),
    [anon_sym_template] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5099),
  },
  [1975] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym___cdecl] = ACTIONS(5103),
    [anon_sym___clrcall] = ACTIONS(5103),
    [anon_sym___stdcall] = ACTIONS(5103),
    [anon_sym___fastcall] = ACTIONS(5103),
    [anon_sym___thiscall] = ACTIONS(5103),
    [anon_sym___vectorcall] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_RBRACE] = ACTIONS(5105),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5112),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5112),
    [anon_sym_or_eq] = ACTIONS(5112),
    [anon_sym_xor_eq] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [1976] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_ms_call_modifier] = STATE(7045),
    [sym__abstract_declarator] = STATE(7518),
    [sym_abstract_parenthesized_declarator] = STATE(6843),
    [sym_abstract_pointer_declarator] = STATE(6843),
    [sym_abstract_function_declarator] = STATE(6843),
    [sym_abstract_array_declarator] = STATE(6843),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_list] = STATE(4432),
    [sym_parameter_declaration] = STATE(8113),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8113),
    [sym_variadic_parameter_declaration] = STATE(8113),
    [sym_abstract_reference_declarator] = STATE(6843),
    [sym__function_declarator_seq] = STATE(6849),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4260),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1977] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_ms_call_modifier] = STATE(6996),
    [sym__abstract_declarator] = STATE(7507),
    [sym_abstract_parenthesized_declarator] = STATE(6843),
    [sym_abstract_pointer_declarator] = STATE(6843),
    [sym_abstract_function_declarator] = STATE(6843),
    [sym_abstract_array_declarator] = STATE(6843),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_list] = STATE(4432),
    [sym_parameter_declaration] = STATE(8113),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8113),
    [sym_variadic_parameter_declaration] = STATE(8113),
    [sym_abstract_reference_declarator] = STATE(6843),
    [sym__function_declarator_seq] = STATE(6849),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4260),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1978] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5881),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7344),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_parameter_list] = STATE(1105),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(5020),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6361),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1979] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5944),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7330),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_parameter_list] = STATE(1108),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(5020),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6361),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1980] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5952),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7353),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_parameter_list] = STATE(1104),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(5020),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6361),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1981] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5895),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7360),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_parameter_list] = STATE(1110),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(5020),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6361),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1982] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5941),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7378),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_parameter_list] = STATE(1102),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(5020),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6361),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_type_identifier] = STATE(4092),
    [sym_operator_name] = STATE(6968),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(3182),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3182),
    [anon_sym_extern] = ACTIONS(3182),
    [anon_sym___attribute__] = ACTIONS(3182),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3182),
    [anon_sym_unsigned] = ACTIONS(3182),
    [anon_sym_long] = ACTIONS(3182),
    [anon_sym_short] = ACTIONS(3182),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym_static] = ACTIONS(3182),
    [anon_sym_register] = ACTIONS(3182),
    [anon_sym_inline] = ACTIONS(3182),
    [anon_sym___inline] = ACTIONS(3182),
    [anon_sym___inline__] = ACTIONS(3182),
    [anon_sym___forceinline] = ACTIONS(3182),
    [anon_sym_thread_local] = ACTIONS(3182),
    [anon_sym___thread] = ACTIONS(3182),
    [anon_sym_const] = ACTIONS(3182),
    [anon_sym_constexpr] = ACTIONS(3182),
    [anon_sym_volatile] = ACTIONS(3182),
    [anon_sym_restrict] = ACTIONS(3182),
    [anon_sym___restrict__] = ACTIONS(3182),
    [anon_sym__Atomic] = ACTIONS(3182),
    [anon_sym__Noreturn] = ACTIONS(3182),
    [anon_sym_noreturn] = ACTIONS(3182),
    [anon_sym_mutable] = ACTIONS(3182),
    [anon_sym_constinit] = ACTIONS(3182),
    [anon_sym_consteval] = ACTIONS(3182),
    [sym_primitive_type] = ACTIONS(3182),
    [anon_sym_enum] = ACTIONS(3182),
    [anon_sym_class] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3182),
    [anon_sym_union] = ACTIONS(3182),
    [anon_sym_not] = ACTIONS(3182),
    [anon_sym_compl] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3182),
    [anon_sym___alignof__] = ACTIONS(3182),
    [anon_sym___alignof] = ACTIONS(3182),
    [anon_sym__alignof] = ACTIONS(3182),
    [anon_sym_alignof] = ACTIONS(3182),
    [anon_sym__Alignof] = ACTIONS(3182),
    [anon_sym_offsetof] = ACTIONS(3182),
    [anon_sym__Generic] = ACTIONS(3182),
    [anon_sym_asm] = ACTIONS(3182),
    [anon_sym___asm__] = ACTIONS(3182),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3182),
    [sym_false] = ACTIONS(3182),
    [anon_sym_NULL] = ACTIONS(3182),
    [anon_sym_nullptr] = ACTIONS(3182),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3182),
    [anon_sym_decltype] = ACTIONS(3182),
    [anon_sym_virtual] = ACTIONS(3182),
    [anon_sym_alignas] = ACTIONS(3182),
    [anon_sym_typename] = ACTIONS(3182),
    [anon_sym_template] = ACTIONS(3182),
    [anon_sym_delete] = ACTIONS(3182),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3182),
    [anon_sym_new] = ACTIONS(3182),
    [anon_sym_requires] = ACTIONS(3182),
    [sym_this] = ACTIONS(3182),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_BANG] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [anon_sym_not] = ACTIONS(3375),
    [anon_sym_compl] = ACTIONS(3375),
    [anon_sym_DASH_DASH] = ACTIONS(3377),
    [anon_sym_PLUS_PLUS] = ACTIONS(3377),
    [anon_sym_sizeof] = ACTIONS(3375),
    [anon_sym___alignof__] = ACTIONS(3375),
    [anon_sym___alignof] = ACTIONS(3375),
    [anon_sym__alignof] = ACTIONS(3375),
    [anon_sym_alignof] = ACTIONS(3375),
    [anon_sym__Alignof] = ACTIONS(3375),
    [anon_sym_offsetof] = ACTIONS(3375),
    [anon_sym__Generic] = ACTIONS(3375),
    [anon_sym_asm] = ACTIONS(3375),
    [anon_sym___asm__] = ACTIONS(3375),
    [sym_number_literal] = ACTIONS(3377),
    [anon_sym_L_SQUOTE] = ACTIONS(3377),
    [anon_sym_u_SQUOTE] = ACTIONS(3377),
    [anon_sym_U_SQUOTE] = ACTIONS(3377),
    [anon_sym_u8_SQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3377),
    [anon_sym_L_DQUOTE] = ACTIONS(3377),
    [anon_sym_u_DQUOTE] = ACTIONS(3377),
    [anon_sym_U_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8_DQUOTE] = ACTIONS(3377),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [sym_true] = ACTIONS(3375),
    [sym_false] = ACTIONS(3375),
    [anon_sym_NULL] = ACTIONS(3375),
    [anon_sym_nullptr] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_delete] = ACTIONS(3375),
    [anon_sym_R_DQUOTE] = ACTIONS(3377),
    [anon_sym_LR_DQUOTE] = ACTIONS(3377),
    [anon_sym_uR_DQUOTE] = ACTIONS(3377),
    [anon_sym_UR_DQUOTE] = ACTIONS(3377),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3377),
    [anon_sym_co_await] = ACTIONS(3375),
    [anon_sym_new] = ACTIONS(3375),
    [anon_sym_requires] = ACTIONS(3375),
    [sym_this] = ACTIONS(3375),
  },
  [1985] = {
    [sym_identifier] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_BANG] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3318),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [anon_sym_not] = ACTIONS(3316),
    [anon_sym_compl] = ACTIONS(3316),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_sizeof] = ACTIONS(3316),
    [anon_sym___alignof__] = ACTIONS(3316),
    [anon_sym___alignof] = ACTIONS(3316),
    [anon_sym__alignof] = ACTIONS(3316),
    [anon_sym_alignof] = ACTIONS(3316),
    [anon_sym__Alignof] = ACTIONS(3316),
    [anon_sym_offsetof] = ACTIONS(3316),
    [anon_sym__Generic] = ACTIONS(3316),
    [anon_sym_asm] = ACTIONS(3316),
    [anon_sym___asm__] = ACTIONS(3316),
    [sym_number_literal] = ACTIONS(3318),
    [anon_sym_L_SQUOTE] = ACTIONS(3318),
    [anon_sym_u_SQUOTE] = ACTIONS(3318),
    [anon_sym_U_SQUOTE] = ACTIONS(3318),
    [anon_sym_u8_SQUOTE] = ACTIONS(3318),
    [anon_sym_SQUOTE] = ACTIONS(3318),
    [anon_sym_L_DQUOTE] = ACTIONS(3318),
    [anon_sym_u_DQUOTE] = ACTIONS(3318),
    [anon_sym_U_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8_DQUOTE] = ACTIONS(3318),
    [anon_sym_DQUOTE] = ACTIONS(3318),
    [sym_true] = ACTIONS(3316),
    [sym_false] = ACTIONS(3316),
    [anon_sym_NULL] = ACTIONS(3316),
    [anon_sym_nullptr] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_delete] = ACTIONS(3316),
    [anon_sym_R_DQUOTE] = ACTIONS(3318),
    [anon_sym_LR_DQUOTE] = ACTIONS(3318),
    [anon_sym_uR_DQUOTE] = ACTIONS(3318),
    [anon_sym_UR_DQUOTE] = ACTIONS(3318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3318),
    [anon_sym_co_await] = ACTIONS(3316),
    [anon_sym_new] = ACTIONS(3316),
    [anon_sym_requires] = ACTIONS(3316),
    [sym_this] = ACTIONS(3316),
  },
  [1986] = {
    [sym_template_argument_list] = STATE(1991),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_TILDE] = ACTIONS(5065),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym_SEMI] = ACTIONS(5060),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym_extern] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5065),
    [anon_sym___declspec] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_static] = ACTIONS(5058),
    [anon_sym_register] = ACTIONS(5058),
    [anon_sym_inline] = ACTIONS(5058),
    [anon_sym___inline] = ACTIONS(5058),
    [anon_sym___inline__] = ACTIONS(5058),
    [anon_sym___forceinline] = ACTIONS(5058),
    [anon_sym_thread_local] = ACTIONS(5058),
    [anon_sym___thread] = ACTIONS(5058),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5067),
    [anon_sym_or_eq] = ACTIONS(5067),
    [anon_sym_xor_eq] = ACTIONS(5067),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5067),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5067),
    [anon_sym_not_eq] = ACTIONS(5067),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_virtual] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym_template] = ACTIONS(5058),
    [anon_sym_operator] = ACTIONS(5058),
  },
  [1987] = {
    [sym_template_argument_list] = STATE(1996),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5062),
    [anon_sym_COMMA] = ACTIONS(5062),
    [anon_sym_RPAREN] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_TILDE] = ACTIONS(5065),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym_extern] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5065),
    [anon_sym___declspec] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5058),
    [anon_sym_register] = ACTIONS(5058),
    [anon_sym_inline] = ACTIONS(5058),
    [anon_sym___inline] = ACTIONS(5058),
    [anon_sym___inline__] = ACTIONS(5058),
    [anon_sym___forceinline] = ACTIONS(5058),
    [anon_sym_thread_local] = ACTIONS(5058),
    [anon_sym___thread] = ACTIONS(5058),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5067),
    [anon_sym_or_eq] = ACTIONS(5067),
    [anon_sym_xor_eq] = ACTIONS(5067),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5067),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5067),
    [anon_sym_not_eq] = ACTIONS(5067),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_virtual] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym_template] = ACTIONS(5058),
    [anon_sym_operator] = ACTIONS(5058),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5060),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym_extern] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5089),
    [anon_sym___declspec] = ACTIONS(5087),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_static] = ACTIONS(5087),
    [anon_sym_register] = ACTIONS(5087),
    [anon_sym_inline] = ACTIONS(5087),
    [anon_sym___inline] = ACTIONS(5087),
    [anon_sym___inline__] = ACTIONS(5087),
    [anon_sym___forceinline] = ACTIONS(5087),
    [anon_sym_thread_local] = ACTIONS(5087),
    [anon_sym___thread] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5089),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_and_eq] = ACTIONS(5087),
    [anon_sym_or_eq] = ACTIONS(5087),
    [anon_sym_xor_eq] = ACTIONS(5087),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_virtual] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5087),
    [anon_sym_template] = ACTIONS(5087),
    [anon_sym_operator] = ACTIONS(5087),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5089),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym_extern] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5085),
    [anon_sym___declspec] = ACTIONS(5083),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_static] = ACTIONS(5083),
    [anon_sym_register] = ACTIONS(5083),
    [anon_sym_inline] = ACTIONS(5083),
    [anon_sym___inline] = ACTIONS(5083),
    [anon_sym___inline__] = ACTIONS(5083),
    [anon_sym___forceinline] = ACTIONS(5083),
    [anon_sym_thread_local] = ACTIONS(5083),
    [anon_sym___thread] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5085),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_and_eq] = ACTIONS(5083),
    [anon_sym_or_eq] = ACTIONS(5083),
    [anon_sym_xor_eq] = ACTIONS(5083),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_virtual] = ACTIONS(5083),
    [anon_sym_alignas] = ACTIONS(5083),
    [anon_sym_template] = ACTIONS(5083),
    [anon_sym_operator] = ACTIONS(5083),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5085),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_RPAREN] = ACTIONS(5105),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5112),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5112),
    [anon_sym_or_eq] = ACTIONS(5112),
    [anon_sym_xor_eq] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [1992] = {
    [sym_string_literal] = STATE(2340),
    [sym_template_argument_list] = STATE(2107),
    [sym_raw_string_literal] = STATE(2340),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4099),
    [anon_sym_LPAREN2] = ACTIONS(4099),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5140),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(5145),
    [anon_sym_unsigned] = ACTIONS(5145),
    [anon_sym_long] = ACTIONS(5145),
    [anon_sym_short] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(4125),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4103),
    [anon_sym_volatile] = ACTIONS(4103),
    [anon_sym_restrict] = ACTIONS(4103),
    [anon_sym___restrict__] = ACTIONS(4103),
    [anon_sym__Atomic] = ACTIONS(4103),
    [anon_sym__Noreturn] = ACTIONS(4103),
    [anon_sym_noreturn] = ACTIONS(4103),
    [anon_sym_mutable] = ACTIONS(4103),
    [anon_sym_constinit] = ACTIONS(4103),
    [anon_sym_consteval] = ACTIONS(4103),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [1993] = {
    [sym_template_argument_list] = STATE(2003),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5062),
    [anon_sym_COMMA] = ACTIONS(5062),
    [anon_sym_RPAREN] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_TILDE] = ACTIONS(5065),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym_extern] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5065),
    [anon_sym___declspec] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5069),
    [anon_sym_static] = ACTIONS(5058),
    [anon_sym_register] = ACTIONS(5058),
    [anon_sym_inline] = ACTIONS(5058),
    [anon_sym___inline] = ACTIONS(5058),
    [anon_sym___inline__] = ACTIONS(5058),
    [anon_sym___forceinline] = ACTIONS(5058),
    [anon_sym_thread_local] = ACTIONS(5058),
    [anon_sym___thread] = ACTIONS(5058),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5067),
    [anon_sym_or_eq] = ACTIONS(5067),
    [anon_sym_xor_eq] = ACTIONS(5067),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5067),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5067),
    [anon_sym_not_eq] = ACTIONS(5067),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_virtual] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym_template] = ACTIONS(5058),
    [anon_sym_operator] = ACTIONS(5058),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_TILDE] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym___extension__] = ACTIONS(5079),
    [anon_sym_extern] = ACTIONS(5079),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5081),
    [anon_sym___declspec] = ACTIONS(5079),
    [anon_sym___based] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(5079),
    [anon_sym_register] = ACTIONS(5079),
    [anon_sym_inline] = ACTIONS(5079),
    [anon_sym___inline] = ACTIONS(5079),
    [anon_sym___inline__] = ACTIONS(5079),
    [anon_sym___forceinline] = ACTIONS(5079),
    [anon_sym_thread_local] = ACTIONS(5079),
    [anon_sym___thread] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5079),
    [anon_sym_volatile] = ACTIONS(5079),
    [anon_sym_restrict] = ACTIONS(5079),
    [anon_sym___restrict__] = ACTIONS(5079),
    [anon_sym__Atomic] = ACTIONS(5079),
    [anon_sym__Noreturn] = ACTIONS(5079),
    [anon_sym_noreturn] = ACTIONS(5079),
    [anon_sym_mutable] = ACTIONS(5079),
    [anon_sym_constinit] = ACTIONS(5079),
    [anon_sym_consteval] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5081),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_and_eq] = ACTIONS(5079),
    [anon_sym_or_eq] = ACTIONS(5079),
    [anon_sym_xor_eq] = ACTIONS(5079),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_virtual] = ACTIONS(5079),
    [anon_sym_alignas] = ACTIONS(5079),
    [anon_sym_template] = ACTIONS(5079),
    [anon_sym_operator] = ACTIONS(5079),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5081),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5097),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_and_eq] = ACTIONS(5095),
    [anon_sym_or_eq] = ACTIONS(5095),
    [anon_sym_xor_eq] = ACTIONS(5095),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_virtual] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5097),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5112),
    [anon_sym_or_eq] = ACTIONS(5112),
    [anon_sym_xor_eq] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5105),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_TILDE] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_extern] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5093),
    [anon_sym___declspec] = ACTIONS(5091),
    [anon_sym___based] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_static] = ACTIONS(5091),
    [anon_sym_register] = ACTIONS(5091),
    [anon_sym_inline] = ACTIONS(5091),
    [anon_sym___inline] = ACTIONS(5091),
    [anon_sym___inline__] = ACTIONS(5091),
    [anon_sym___forceinline] = ACTIONS(5091),
    [anon_sym_thread_local] = ACTIONS(5091),
    [anon_sym___thread] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_and_eq] = ACTIONS(5091),
    [anon_sym_or_eq] = ACTIONS(5091),
    [anon_sym_xor_eq] = ACTIONS(5091),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_virtual] = ACTIONS(5091),
    [anon_sym_alignas] = ACTIONS(5091),
    [anon_sym_template] = ACTIONS(5091),
    [anon_sym_operator] = ACTIONS(5091),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5093),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5099),
    [anon_sym_extern] = ACTIONS(5099),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5101),
    [anon_sym___declspec] = ACTIONS(5099),
    [anon_sym___based] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_static] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5099),
    [anon_sym_inline] = ACTIONS(5099),
    [anon_sym___inline] = ACTIONS(5099),
    [anon_sym___inline__] = ACTIONS(5099),
    [anon_sym___forceinline] = ACTIONS(5099),
    [anon_sym_thread_local] = ACTIONS(5099),
    [anon_sym___thread] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5099),
    [anon_sym_volatile] = ACTIONS(5099),
    [anon_sym_restrict] = ACTIONS(5099),
    [anon_sym___restrict__] = ACTIONS(5099),
    [anon_sym__Atomic] = ACTIONS(5099),
    [anon_sym__Noreturn] = ACTIONS(5099),
    [anon_sym_noreturn] = ACTIONS(5099),
    [anon_sym_mutable] = ACTIONS(5099),
    [anon_sym_constinit] = ACTIONS(5099),
    [anon_sym_consteval] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_and_eq] = ACTIONS(5099),
    [anon_sym_or_eq] = ACTIONS(5099),
    [anon_sym_xor_eq] = ACTIONS(5099),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_virtual] = ACTIONS(5099),
    [anon_sym_alignas] = ACTIONS(5099),
    [anon_sym_template] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5099),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5101),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5097),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5097),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5097),
    [anon_sym_GT_GT] = ACTIONS(5097),
    [anon_sym_SEMI] = ACTIONS(5097),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym___cdecl] = ACTIONS(5095),
    [anon_sym___clrcall] = ACTIONS(5095),
    [anon_sym___stdcall] = ACTIONS(5095),
    [anon_sym___fastcall] = ACTIONS(5095),
    [anon_sym___thiscall] = ACTIONS(5095),
    [anon_sym___vectorcall] = ACTIONS(5095),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_COLON] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_final] = ACTIONS(5095),
    [anon_sym_override] = ACTIONS(5095),
    [anon_sym_virtual] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_try] = ACTIONS(5095),
    [anon_sym_requires] = ACTIONS(5095),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_TILDE] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5093),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_extern] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5093),
    [anon_sym___declspec] = ACTIONS(5091),
    [anon_sym___based] = ACTIONS(5091),
    [anon_sym___cdecl] = ACTIONS(5091),
    [anon_sym___clrcall] = ACTIONS(5091),
    [anon_sym___stdcall] = ACTIONS(5091),
    [anon_sym___fastcall] = ACTIONS(5091),
    [anon_sym___thiscall] = ACTIONS(5091),
    [anon_sym___vectorcall] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_RBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_static] = ACTIONS(5091),
    [anon_sym_register] = ACTIONS(5091),
    [anon_sym_inline] = ACTIONS(5091),
    [anon_sym___inline] = ACTIONS(5091),
    [anon_sym___inline__] = ACTIONS(5091),
    [anon_sym___forceinline] = ACTIONS(5091),
    [anon_sym_thread_local] = ACTIONS(5091),
    [anon_sym___thread] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_COLON] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_final] = ACTIONS(5091),
    [anon_sym_override] = ACTIONS(5091),
    [anon_sym_virtual] = ACTIONS(5091),
    [anon_sym_alignas] = ACTIONS(5091),
    [anon_sym_template] = ACTIONS(5091),
    [anon_sym_operator] = ACTIONS(5091),
    [anon_sym_try] = ACTIONS(5091),
    [anon_sym_requires] = ACTIONS(5091),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym_SEMI] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5099),
    [anon_sym_extern] = ACTIONS(5099),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5101),
    [anon_sym___declspec] = ACTIONS(5099),
    [anon_sym___based] = ACTIONS(5099),
    [anon_sym___cdecl] = ACTIONS(5099),
    [anon_sym___clrcall] = ACTIONS(5099),
    [anon_sym___stdcall] = ACTIONS(5099),
    [anon_sym___fastcall] = ACTIONS(5099),
    [anon_sym___thiscall] = ACTIONS(5099),
    [anon_sym___vectorcall] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_RBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_static] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5099),
    [anon_sym_inline] = ACTIONS(5099),
    [anon_sym___inline] = ACTIONS(5099),
    [anon_sym___inline__] = ACTIONS(5099),
    [anon_sym___forceinline] = ACTIONS(5099),
    [anon_sym_thread_local] = ACTIONS(5099),
    [anon_sym___thread] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5099),
    [anon_sym_volatile] = ACTIONS(5099),
    [anon_sym_restrict] = ACTIONS(5099),
    [anon_sym___restrict__] = ACTIONS(5099),
    [anon_sym__Atomic] = ACTIONS(5099),
    [anon_sym__Noreturn] = ACTIONS(5099),
    [anon_sym_noreturn] = ACTIONS(5099),
    [anon_sym_mutable] = ACTIONS(5099),
    [anon_sym_constinit] = ACTIONS(5099),
    [anon_sym_consteval] = ACTIONS(5099),
    [anon_sym_COLON] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_final] = ACTIONS(5099),
    [anon_sym_override] = ACTIONS(5099),
    [anon_sym_virtual] = ACTIONS(5099),
    [anon_sym_alignas] = ACTIONS(5099),
    [anon_sym_template] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5099),
    [anon_sym_try] = ACTIONS(5099),
    [anon_sym_requires] = ACTIONS(5099),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_TILDE] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5081),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5081),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5081),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5081),
    [anon_sym_GT_GT] = ACTIONS(5081),
    [anon_sym_SEMI] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5079),
    [anon_sym_extern] = ACTIONS(5079),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5081),
    [anon_sym___declspec] = ACTIONS(5079),
    [anon_sym___based] = ACTIONS(5079),
    [anon_sym___cdecl] = ACTIONS(5079),
    [anon_sym___clrcall] = ACTIONS(5079),
    [anon_sym___stdcall] = ACTIONS(5079),
    [anon_sym___fastcall] = ACTIONS(5079),
    [anon_sym___thiscall] = ACTIONS(5079),
    [anon_sym___vectorcall] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(5079),
    [anon_sym_register] = ACTIONS(5079),
    [anon_sym_inline] = ACTIONS(5079),
    [anon_sym___inline] = ACTIONS(5079),
    [anon_sym___inline__] = ACTIONS(5079),
    [anon_sym___forceinline] = ACTIONS(5079),
    [anon_sym_thread_local] = ACTIONS(5079),
    [anon_sym___thread] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5079),
    [anon_sym_volatile] = ACTIONS(5079),
    [anon_sym_restrict] = ACTIONS(5079),
    [anon_sym___restrict__] = ACTIONS(5079),
    [anon_sym__Atomic] = ACTIONS(5079),
    [anon_sym__Noreturn] = ACTIONS(5079),
    [anon_sym_noreturn] = ACTIONS(5079),
    [anon_sym_mutable] = ACTIONS(5079),
    [anon_sym_constinit] = ACTIONS(5079),
    [anon_sym_consteval] = ACTIONS(5079),
    [anon_sym_COLON] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_final] = ACTIONS(5079),
    [anon_sym_override] = ACTIONS(5079),
    [anon_sym_virtual] = ACTIONS(5079),
    [anon_sym_alignas] = ACTIONS(5079),
    [anon_sym_template] = ACTIONS(5079),
    [anon_sym_operator] = ACTIONS(5079),
    [anon_sym_try] = ACTIONS(5079),
    [anon_sym_requires] = ACTIONS(5079),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5112),
    [anon_sym_or_eq] = ACTIONS(5112),
    [anon_sym_xor_eq] = ACTIONS(5112),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5077),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5077),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5077),
    [anon_sym_GT_GT] = ACTIONS(5077),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym___cdecl] = ACTIONS(5075),
    [anon_sym___clrcall] = ACTIONS(5075),
    [anon_sym___stdcall] = ACTIONS(5075),
    [anon_sym___fastcall] = ACTIONS(5075),
    [anon_sym___thiscall] = ACTIONS(5075),
    [anon_sym___vectorcall] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_try] = ACTIONS(5075),
    [anon_sym_requires] = ACTIONS(5075),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5085),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5085),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5085),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5085),
    [anon_sym_GT_GT] = ACTIONS(5085),
    [anon_sym_SEMI] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym_extern] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5085),
    [anon_sym___declspec] = ACTIONS(5083),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym___cdecl] = ACTIONS(5083),
    [anon_sym___clrcall] = ACTIONS(5083),
    [anon_sym___stdcall] = ACTIONS(5083),
    [anon_sym___fastcall] = ACTIONS(5083),
    [anon_sym___thiscall] = ACTIONS(5083),
    [anon_sym___vectorcall] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_static] = ACTIONS(5083),
    [anon_sym_register] = ACTIONS(5083),
    [anon_sym_inline] = ACTIONS(5083),
    [anon_sym___inline] = ACTIONS(5083),
    [anon_sym___inline__] = ACTIONS(5083),
    [anon_sym___forceinline] = ACTIONS(5083),
    [anon_sym_thread_local] = ACTIONS(5083),
    [anon_sym___thread] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [anon_sym_COLON] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_final] = ACTIONS(5083),
    [anon_sym_override] = ACTIONS(5083),
    [anon_sym_virtual] = ACTIONS(5083),
    [anon_sym_alignas] = ACTIONS(5083),
    [anon_sym_template] = ACTIONS(5083),
    [anon_sym_operator] = ACTIONS(5083),
    [anon_sym_try] = ACTIONS(5083),
    [anon_sym_requires] = ACTIONS(5083),
  },
  [2006] = {
    [sym_string_literal] = STATE(2340),
    [sym_template_argument_list] = STATE(2151),
    [sym_raw_string_literal] = STATE(2340),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5151),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(5145),
    [anon_sym_unsigned] = ACTIONS(5145),
    [anon_sym_long] = ACTIONS(5145),
    [anon_sym_short] = ACTIONS(5145),
    [anon_sym_LBRACK] = ACTIONS(4110),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4103),
    [anon_sym_volatile] = ACTIONS(4103),
    [anon_sym_restrict] = ACTIONS(4103),
    [anon_sym___restrict__] = ACTIONS(4103),
    [anon_sym__Atomic] = ACTIONS(4103),
    [anon_sym__Noreturn] = ACTIONS(4103),
    [anon_sym_noreturn] = ACTIONS(4103),
    [anon_sym_mutable] = ACTIONS(4103),
    [anon_sym_constinit] = ACTIONS(4103),
    [anon_sym_consteval] = ACTIONS(4103),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5089),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5089),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5089),
    [anon_sym_GT_GT] = ACTIONS(5089),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym_extern] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5089),
    [anon_sym___declspec] = ACTIONS(5087),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym___cdecl] = ACTIONS(5087),
    [anon_sym___clrcall] = ACTIONS(5087),
    [anon_sym___stdcall] = ACTIONS(5087),
    [anon_sym___fastcall] = ACTIONS(5087),
    [anon_sym___thiscall] = ACTIONS(5087),
    [anon_sym___vectorcall] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_RBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_static] = ACTIONS(5087),
    [anon_sym_register] = ACTIONS(5087),
    [anon_sym_inline] = ACTIONS(5087),
    [anon_sym___inline] = ACTIONS(5087),
    [anon_sym___inline__] = ACTIONS(5087),
    [anon_sym___forceinline] = ACTIONS(5087),
    [anon_sym_thread_local] = ACTIONS(5087),
    [anon_sym___thread] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_COLON] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_final] = ACTIONS(5087),
    [anon_sym_override] = ACTIONS(5087),
    [anon_sym_virtual] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5087),
    [anon_sym_template] = ACTIONS(5087),
    [anon_sym_operator] = ACTIONS(5087),
    [anon_sym_try] = ACTIONS(5087),
    [anon_sym_requires] = ACTIONS(5087),
  },
  [2008] = {
    [sym_string_literal] = STATE(4104),
    [sym_template_argument_list] = STATE(3808),
    [sym_raw_string_literal] = STATE(4104),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4107),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4105),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5154),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_signed] = ACTIONS(5157),
    [anon_sym_unsigned] = ACTIONS(5157),
    [anon_sym_long] = ACTIONS(5157),
    [anon_sym_short] = ACTIONS(5157),
    [anon_sym_LBRACK] = ACTIONS(4110),
    [anon_sym_EQ] = ACTIONS(5159),
    [anon_sym_const] = ACTIONS(4095),
    [anon_sym_constexpr] = ACTIONS(4103),
    [anon_sym_volatile] = ACTIONS(4103),
    [anon_sym_restrict] = ACTIONS(4103),
    [anon_sym___restrict__] = ACTIONS(4103),
    [anon_sym__Atomic] = ACTIONS(4103),
    [anon_sym__Noreturn] = ACTIONS(4103),
    [anon_sym_noreturn] = ACTIONS(4103),
    [anon_sym_mutable] = ACTIONS(4103),
    [anon_sym_constinit] = ACTIONS(4103),
    [anon_sym_consteval] = ACTIONS(4103),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5161),
    [anon_sym_SLASH_EQ] = ACTIONS(5161),
    [anon_sym_PERCENT_EQ] = ACTIONS(5161),
    [anon_sym_PLUS_EQ] = ACTIONS(5161),
    [anon_sym_DASH_EQ] = ACTIONS(5161),
    [anon_sym_LT_LT_EQ] = ACTIONS(5161),
    [anon_sym_GT_GT_EQ] = ACTIONS(5159),
    [anon_sym_AMP_EQ] = ACTIONS(5161),
    [anon_sym_CARET_EQ] = ACTIONS(5161),
    [anon_sym_PIPE_EQ] = ACTIONS(5161),
    [anon_sym_and_eq] = ACTIONS(5161),
    [anon_sym_or_eq] = ACTIONS(5161),
    [anon_sym_xor_eq] = ACTIONS(5161),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5163),
    [anon_sym_u_DQUOTE] = ACTIONS(5163),
    [anon_sym_U_DQUOTE] = ACTIONS(5163),
    [anon_sym_u8_DQUOTE] = ACTIONS(5163),
    [anon_sym_DQUOTE] = ACTIONS(5163),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
    [anon_sym_GT2] = ACTIONS(4110),
    [anon_sym_R_DQUOTE] = ACTIONS(5165),
    [anon_sym_LR_DQUOTE] = ACTIONS(5165),
    [anon_sym_uR_DQUOTE] = ACTIONS(5165),
    [anon_sym_UR_DQUOTE] = ACTIONS(5165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5165),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_TILDE] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5099),
    [anon_sym_extern] = ACTIONS(5099),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5101),
    [anon_sym___declspec] = ACTIONS(5099),
    [anon_sym___based] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5099),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_static] = ACTIONS(5099),
    [anon_sym_register] = ACTIONS(5099),
    [anon_sym_inline] = ACTIONS(5099),
    [anon_sym___inline] = ACTIONS(5099),
    [anon_sym___inline__] = ACTIONS(5099),
    [anon_sym___forceinline] = ACTIONS(5099),
    [anon_sym_thread_local] = ACTIONS(5099),
    [anon_sym___thread] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5099),
    [anon_sym_volatile] = ACTIONS(5099),
    [anon_sym_restrict] = ACTIONS(5099),
    [anon_sym___restrict__] = ACTIONS(5099),
    [anon_sym__Atomic] = ACTIONS(5099),
    [anon_sym__Noreturn] = ACTIONS(5099),
    [anon_sym_noreturn] = ACTIONS(5099),
    [anon_sym_mutable] = ACTIONS(5099),
    [anon_sym_constinit] = ACTIONS(5099),
    [anon_sym_consteval] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_virtual] = ACTIONS(5099),
    [anon_sym_alignas] = ACTIONS(5099),
    [anon_sym_template] = ACTIONS(5099),
    [anon_sym_operator] = ACTIONS(5099),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5101),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_TILDE] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym___extension__] = ACTIONS(5079),
    [anon_sym_extern] = ACTIONS(5079),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5081),
    [anon_sym___declspec] = ACTIONS(5079),
    [anon_sym___based] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(5079),
    [anon_sym_register] = ACTIONS(5079),
    [anon_sym_inline] = ACTIONS(5079),
    [anon_sym___inline] = ACTIONS(5079),
    [anon_sym___inline__] = ACTIONS(5079),
    [anon_sym___forceinline] = ACTIONS(5079),
    [anon_sym_thread_local] = ACTIONS(5079),
    [anon_sym___thread] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5079),
    [anon_sym_volatile] = ACTIONS(5079),
    [anon_sym_restrict] = ACTIONS(5079),
    [anon_sym___restrict__] = ACTIONS(5079),
    [anon_sym__Atomic] = ACTIONS(5079),
    [anon_sym__Noreturn] = ACTIONS(5079),
    [anon_sym_noreturn] = ACTIONS(5079),
    [anon_sym_mutable] = ACTIONS(5079),
    [anon_sym_constinit] = ACTIONS(5079),
    [anon_sym_consteval] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5081),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_virtual] = ACTIONS(5079),
    [anon_sym_alignas] = ACTIONS(5079),
    [anon_sym_template] = ACTIONS(5079),
    [anon_sym_operator] = ACTIONS(5079),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5081),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_TILDE] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym_extern] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5089),
    [anon_sym___declspec] = ACTIONS(5087),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5087),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_static] = ACTIONS(5087),
    [anon_sym_register] = ACTIONS(5087),
    [anon_sym_inline] = ACTIONS(5087),
    [anon_sym___inline] = ACTIONS(5087),
    [anon_sym___inline__] = ACTIONS(5087),
    [anon_sym___forceinline] = ACTIONS(5087),
    [anon_sym_thread_local] = ACTIONS(5087),
    [anon_sym___thread] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5089),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_virtual] = ACTIONS(5087),
    [anon_sym_alignas] = ACTIONS(5087),
    [anon_sym_template] = ACTIONS(5087),
    [anon_sym_operator] = ACTIONS(5087),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5089),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5105),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_TILDE] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym_extern] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5085),
    [anon_sym___declspec] = ACTIONS(5083),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5083),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_static] = ACTIONS(5083),
    [anon_sym_register] = ACTIONS(5083),
    [anon_sym_inline] = ACTIONS(5083),
    [anon_sym___inline] = ACTIONS(5083),
    [anon_sym___inline__] = ACTIONS(5083),
    [anon_sym___forceinline] = ACTIONS(5083),
    [anon_sym_thread_local] = ACTIONS(5083),
    [anon_sym___thread] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5085),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_virtual] = ACTIONS(5083),
    [anon_sym_alignas] = ACTIONS(5083),
    [anon_sym_template] = ACTIONS(5083),
    [anon_sym_operator] = ACTIONS(5083),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5085),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_TILDE] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_extern] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5093),
    [anon_sym___declspec] = ACTIONS(5091),
    [anon_sym___based] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_static] = ACTIONS(5091),
    [anon_sym_register] = ACTIONS(5091),
    [anon_sym_inline] = ACTIONS(5091),
    [anon_sym___inline] = ACTIONS(5091),
    [anon_sym___inline__] = ACTIONS(5091),
    [anon_sym___forceinline] = ACTIONS(5091),
    [anon_sym_thread_local] = ACTIONS(5091),
    [anon_sym___thread] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_virtual] = ACTIONS(5091),
    [anon_sym_alignas] = ACTIONS(5091),
    [anon_sym_template] = ACTIONS(5091),
    [anon_sym_operator] = ACTIONS(5091),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5093),
  },
  [2015] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_TILDE] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym_extern] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5077),
    [anon_sym___declspec] = ACTIONS(5075),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5075),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_static] = ACTIONS(5075),
    [anon_sym_register] = ACTIONS(5075),
    [anon_sym_inline] = ACTIONS(5075),
    [anon_sym___inline] = ACTIONS(5075),
    [anon_sym___inline__] = ACTIONS(5075),
    [anon_sym___forceinline] = ACTIONS(5075),
    [anon_sym_thread_local] = ACTIONS(5075),
    [anon_sym___thread] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_virtual] = ACTIONS(5075),
    [anon_sym_alignas] = ACTIONS(5075),
    [anon_sym_template] = ACTIONS(5075),
    [anon_sym_operator] = ACTIONS(5075),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_TILDE] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym_extern] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5097),
    [anon_sym___declspec] = ACTIONS(5095),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5095),
    [anon_sym_register] = ACTIONS(5095),
    [anon_sym_inline] = ACTIONS(5095),
    [anon_sym___inline] = ACTIONS(5095),
    [anon_sym___inline__] = ACTIONS(5095),
    [anon_sym___forceinline] = ACTIONS(5095),
    [anon_sym_thread_local] = ACTIONS(5095),
    [anon_sym___thread] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5097),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_virtual] = ACTIONS(5095),
    [anon_sym_alignas] = ACTIONS(5095),
    [anon_sym_template] = ACTIONS(5095),
    [anon_sym_operator] = ACTIONS(5095),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5097),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5107),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym___cdecl] = ACTIONS(5103),
    [anon_sym___clrcall] = ACTIONS(5103),
    [anon_sym___stdcall] = ACTIONS(5103),
    [anon_sym___fastcall] = ACTIONS(5103),
    [anon_sym___thiscall] = ACTIONS(5103),
    [anon_sym___vectorcall] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_RBRACE] = ACTIONS(5105),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [2018] = {
    [sym_function_definition] = STATE(609),
    [sym_declaration] = STATE(609),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2320),
    [sym_declaration_list] = STATE(609),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5171),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2019] = {
    [sym_function_definition] = STATE(1082),
    [sym_declaration] = STATE(1082),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2307),
    [sym_declaration_list] = STATE(1082),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5173),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2020] = {
    [sym_function_definition] = STATE(968),
    [sym_declaration] = STATE(968),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2261),
    [sym_declaration_list] = STATE(968),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5175),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2021] = {
    [sym_function_definition] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2321),
    [sym_declaration_list] = STATE(361),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5177),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2022] = {
    [sym_function_definition] = STATE(931),
    [sym_declaration] = STATE(931),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2330),
    [sym_declaration_list] = STATE(931),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5179),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2023] = {
    [sym_function_definition] = STATE(358),
    [sym_declaration] = STATE(358),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5406),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2321),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(9090),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5183),
    [anon_sym_struct] = ACTIONS(5185),
    [anon_sym_union] = ACTIONS(5187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2024] = {
    [sym_function_definition] = STATE(2157),
    [sym_declaration] = STATE(2157),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5360),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2318),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8917),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5189),
    [anon_sym_struct] = ACTIONS(5191),
    [anon_sym_union] = ACTIONS(5193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2025] = {
    [sym_function_definition] = STATE(872),
    [sym_declaration] = STATE(872),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5464),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2330),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(9269),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5195),
    [anon_sym_struct] = ACTIONS(5197),
    [anon_sym_union] = ACTIONS(5199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5103),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym___cdecl] = ACTIONS(5103),
    [anon_sym___clrcall] = ACTIONS(5103),
    [anon_sym___stdcall] = ACTIONS(5103),
    [anon_sym___fastcall] = ACTIONS(5103),
    [anon_sym___thiscall] = ACTIONS(5103),
    [anon_sym___vectorcall] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_signed] = ACTIONS(5103),
    [anon_sym_unsigned] = ACTIONS(5103),
    [anon_sym_long] = ACTIONS(5103),
    [anon_sym_short] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_EQ] = ACTIONS(5110),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [sym_primitive_type] = ACTIONS(5103),
    [anon_sym_enum] = ACTIONS(5103),
    [anon_sym_class] = ACTIONS(5103),
    [anon_sym_struct] = ACTIONS(5103),
    [anon_sym_union] = ACTIONS(5103),
    [anon_sym_COLON] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5103),
    [anon_sym_and] = ACTIONS(5103),
    [anon_sym_asm] = ACTIONS(5103),
    [anon_sym___asm__] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_final] = ACTIONS(5103),
    [anon_sym_override] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_explicit] = ACTIONS(5103),
    [anon_sym_typename] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_GT2] = ACTIONS(5110),
    [anon_sym_operator] = ACTIONS(5103),
    [anon_sym_try] = ACTIONS(5103),
    [anon_sym_friend] = ACTIONS(5103),
    [anon_sym_using] = ACTIONS(5103),
    [anon_sym_concept] = ACTIONS(5103),
    [anon_sym_requires] = ACTIONS(5103),
  },
  [2027] = {
    [sym_function_definition] = STATE(2636),
    [sym_declaration] = STATE(2636),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5404),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2319),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(9536),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5201),
    [anon_sym_struct] = ACTIONS(5203),
    [anon_sym_union] = ACTIONS(5205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2028] = {
    [sym_function_definition] = STATE(2783),
    [sym_declaration] = STATE(2783),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5327),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2314),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(9118),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5209),
    [anon_sym_union] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2029] = {
    [sym_function_definition] = STATE(2448),
    [sym_declaration] = STATE(2448),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5324),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2317),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8986),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5213),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_union] = ACTIONS(5217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2030] = {
    [sym_function_definition] = STATE(606),
    [sym_declaration] = STATE(606),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5450),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2320),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8770),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5219),
    [anon_sym_struct] = ACTIONS(5221),
    [anon_sym_union] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2031] = {
    [sym_function_definition] = STATE(1055),
    [sym_declaration] = STATE(1055),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5456),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2307),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(9542),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5225),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2032] = {
    [sym_function_definition] = STATE(988),
    [sym_declaration] = STATE(988),
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5439),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_ms_call_modifier] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym__class_name] = STATE(8866),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(4538),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4554),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5231),
    [anon_sym_struct] = ACTIONS(5233),
    [anon_sym_union] = ACTIONS(5235),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2033] = {
    [sym_string_literal] = STATE(2048),
    [sym_template_argument_list] = STATE(2603),
    [sym_raw_string_literal] = STATE(2048),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5237),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_RBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_COLON] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5242),
    [anon_sym_RPAREN] = ACTIONS(5242),
    [anon_sym_LPAREN2] = ACTIONS(5242),
    [anon_sym_TILDE] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5242),
    [anon_sym_AMP_AMP] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5240),
    [anon_sym_SEMI] = ACTIONS(5242),
    [anon_sym___extension__] = ACTIONS(5240),
    [anon_sym_extern] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5240),
    [anon_sym_COLON_COLON] = ACTIONS(5242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5242),
    [anon_sym___declspec] = ACTIONS(5240),
    [anon_sym___based] = ACTIONS(5240),
    [anon_sym___cdecl] = ACTIONS(5240),
    [anon_sym___clrcall] = ACTIONS(5240),
    [anon_sym___stdcall] = ACTIONS(5240),
    [anon_sym___fastcall] = ACTIONS(5240),
    [anon_sym___thiscall] = ACTIONS(5240),
    [anon_sym___vectorcall] = ACTIONS(5240),
    [anon_sym_LBRACE] = ACTIONS(5242),
    [anon_sym_signed] = ACTIONS(5240),
    [anon_sym_unsigned] = ACTIONS(5240),
    [anon_sym_long] = ACTIONS(5240),
    [anon_sym_short] = ACTIONS(5240),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_static] = ACTIONS(5240),
    [anon_sym_register] = ACTIONS(5240),
    [anon_sym_inline] = ACTIONS(5240),
    [anon_sym___inline] = ACTIONS(5240),
    [anon_sym___inline__] = ACTIONS(5240),
    [anon_sym___forceinline] = ACTIONS(5240),
    [anon_sym_thread_local] = ACTIONS(5240),
    [anon_sym___thread] = ACTIONS(5240),
    [anon_sym_const] = ACTIONS(5240),
    [anon_sym_constexpr] = ACTIONS(5240),
    [anon_sym_volatile] = ACTIONS(5240),
    [anon_sym_restrict] = ACTIONS(5240),
    [anon_sym___restrict__] = ACTIONS(5240),
    [anon_sym__Atomic] = ACTIONS(5240),
    [anon_sym__Noreturn] = ACTIONS(5240),
    [anon_sym_noreturn] = ACTIONS(5240),
    [anon_sym_mutable] = ACTIONS(5240),
    [anon_sym_constinit] = ACTIONS(5240),
    [anon_sym_consteval] = ACTIONS(5240),
    [sym_primitive_type] = ACTIONS(5240),
    [anon_sym_enum] = ACTIONS(5240),
    [anon_sym_class] = ACTIONS(5240),
    [anon_sym_struct] = ACTIONS(5240),
    [anon_sym_union] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5240),
    [anon_sym_and] = ACTIONS(5240),
    [anon_sym_asm] = ACTIONS(5240),
    [anon_sym___asm__] = ACTIONS(5240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5240),
    [anon_sym_decltype] = ACTIONS(5240),
    [anon_sym_final] = ACTIONS(5240),
    [anon_sym_override] = ACTIONS(5240),
    [anon_sym_virtual] = ACTIONS(5240),
    [anon_sym_alignas] = ACTIONS(5240),
    [anon_sym_explicit] = ACTIONS(5240),
    [anon_sym_typename] = ACTIONS(5240),
    [anon_sym_template] = ACTIONS(5240),
    [anon_sym_GT2] = ACTIONS(5242),
    [anon_sym_operator] = ACTIONS(5240),
    [anon_sym_try] = ACTIONS(5240),
    [anon_sym_friend] = ACTIONS(5240),
    [anon_sym_using] = ACTIONS(5240),
    [anon_sym_concept] = ACTIONS(5240),
    [anon_sym_requires] = ACTIONS(5240),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5244),
    [anon_sym_COMMA] = ACTIONS(5246),
    [anon_sym_RPAREN] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5246),
    [anon_sym_TILDE] = ACTIONS(5246),
    [anon_sym_STAR] = ACTIONS(5246),
    [anon_sym_PIPE_PIPE] = ACTIONS(5246),
    [anon_sym_AMP_AMP] = ACTIONS(5246),
    [anon_sym_AMP] = ACTIONS(5244),
    [anon_sym_SEMI] = ACTIONS(5246),
    [anon_sym___extension__] = ACTIONS(5244),
    [anon_sym_extern] = ACTIONS(5244),
    [anon_sym___attribute__] = ACTIONS(5244),
    [anon_sym_COLON_COLON] = ACTIONS(5246),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5246),
    [anon_sym___declspec] = ACTIONS(5244),
    [anon_sym___based] = ACTIONS(5244),
    [anon_sym___cdecl] = ACTIONS(5244),
    [anon_sym___clrcall] = ACTIONS(5244),
    [anon_sym___stdcall] = ACTIONS(5244),
    [anon_sym___fastcall] = ACTIONS(5244),
    [anon_sym___thiscall] = ACTIONS(5244),
    [anon_sym___vectorcall] = ACTIONS(5244),
    [anon_sym_LBRACE] = ACTIONS(5246),
    [anon_sym_signed] = ACTIONS(5244),
    [anon_sym_unsigned] = ACTIONS(5244),
    [anon_sym_long] = ACTIONS(5244),
    [anon_sym_short] = ACTIONS(5244),
    [anon_sym_LBRACK] = ACTIONS(5244),
    [anon_sym_EQ] = ACTIONS(5246),
    [anon_sym_static] = ACTIONS(5244),
    [anon_sym_register] = ACTIONS(5244),
    [anon_sym_inline] = ACTIONS(5244),
    [anon_sym___inline] = ACTIONS(5244),
    [anon_sym___inline__] = ACTIONS(5244),
    [anon_sym___forceinline] = ACTIONS(5244),
    [anon_sym_thread_local] = ACTIONS(5244),
    [anon_sym___thread] = ACTIONS(5244),
    [anon_sym_const] = ACTIONS(5244),
    [anon_sym_constexpr] = ACTIONS(5244),
    [anon_sym_volatile] = ACTIONS(5244),
    [anon_sym_restrict] = ACTIONS(5244),
    [anon_sym___restrict__] = ACTIONS(5244),
    [anon_sym__Atomic] = ACTIONS(5244),
    [anon_sym__Noreturn] = ACTIONS(5244),
    [anon_sym_noreturn] = ACTIONS(5244),
    [anon_sym_mutable] = ACTIONS(5244),
    [anon_sym_constinit] = ACTIONS(5244),
    [anon_sym_consteval] = ACTIONS(5244),
    [sym_primitive_type] = ACTIONS(5244),
    [anon_sym_enum] = ACTIONS(5244),
    [anon_sym_class] = ACTIONS(5244),
    [anon_sym_struct] = ACTIONS(5244),
    [anon_sym_union] = ACTIONS(5244),
    [anon_sym_or] = ACTIONS(5244),
    [anon_sym_and] = ACTIONS(5244),
    [anon_sym_asm] = ACTIONS(5244),
    [anon_sym___asm__] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5244),
    [anon_sym_decltype] = ACTIONS(5244),
    [anon_sym_final] = ACTIONS(5244),
    [anon_sym_override] = ACTIONS(5244),
    [anon_sym_virtual] = ACTIONS(5244),
    [anon_sym_alignas] = ACTIONS(5244),
    [anon_sym_explicit] = ACTIONS(5244),
    [anon_sym_typename] = ACTIONS(5244),
    [anon_sym_template] = ACTIONS(5244),
    [anon_sym_GT2] = ACTIONS(5246),
    [anon_sym_operator] = ACTIONS(5244),
    [anon_sym_try] = ACTIONS(5244),
    [anon_sym_friend] = ACTIONS(5244),
    [anon_sym_using] = ACTIONS(5244),
    [anon_sym_concept] = ACTIONS(5244),
    [anon_sym_requires] = ACTIONS(5244),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5248),
    [anon_sym_COMMA] = ACTIONS(5250),
    [anon_sym_RPAREN] = ACTIONS(5250),
    [anon_sym_LPAREN2] = ACTIONS(5250),
    [anon_sym_TILDE] = ACTIONS(5250),
    [anon_sym_STAR] = ACTIONS(5250),
    [anon_sym_PIPE_PIPE] = ACTIONS(5250),
    [anon_sym_AMP_AMP] = ACTIONS(5250),
    [anon_sym_AMP] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(5250),
    [anon_sym___extension__] = ACTIONS(5248),
    [anon_sym_extern] = ACTIONS(5248),
    [anon_sym___attribute__] = ACTIONS(5248),
    [anon_sym_COLON_COLON] = ACTIONS(5250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5250),
    [anon_sym___declspec] = ACTIONS(5248),
    [anon_sym___based] = ACTIONS(5248),
    [anon_sym___cdecl] = ACTIONS(5248),
    [anon_sym___clrcall] = ACTIONS(5248),
    [anon_sym___stdcall] = ACTIONS(5248),
    [anon_sym___fastcall] = ACTIONS(5248),
    [anon_sym___thiscall] = ACTIONS(5248),
    [anon_sym___vectorcall] = ACTIONS(5248),
    [anon_sym_LBRACE] = ACTIONS(5250),
    [anon_sym_signed] = ACTIONS(5248),
    [anon_sym_unsigned] = ACTIONS(5248),
    [anon_sym_long] = ACTIONS(5248),
    [anon_sym_short] = ACTIONS(5248),
    [anon_sym_LBRACK] = ACTIONS(5248),
    [anon_sym_EQ] = ACTIONS(5250),
    [anon_sym_static] = ACTIONS(5248),
    [anon_sym_register] = ACTIONS(5248),
    [anon_sym_inline] = ACTIONS(5248),
    [anon_sym___inline] = ACTIONS(5248),
    [anon_sym___inline__] = ACTIONS(5248),
    [anon_sym___forceinline] = ACTIONS(5248),
    [anon_sym_thread_local] = ACTIONS(5248),
    [anon_sym___thread] = ACTIONS(5248),
    [anon_sym_const] = ACTIONS(5248),
    [anon_sym_constexpr] = ACTIONS(5248),
    [anon_sym_volatile] = ACTIONS(5248),
    [anon_sym_restrict] = ACTIONS(5248),
    [anon_sym___restrict__] = ACTIONS(5248),
    [anon_sym__Atomic] = ACTIONS(5248),
    [anon_sym__Noreturn] = ACTIONS(5248),
    [anon_sym_noreturn] = ACTIONS(5248),
    [anon_sym_mutable] = ACTIONS(5248),
    [anon_sym_constinit] = ACTIONS(5248),
    [anon_sym_consteval] = ACTIONS(5248),
    [sym_primitive_type] = ACTIONS(5248),
    [anon_sym_enum] = ACTIONS(5248),
    [anon_sym_class] = ACTIONS(5248),
    [anon_sym_struct] = ACTIONS(5248),
    [anon_sym_union] = ACTIONS(5248),
    [anon_sym_or] = ACTIONS(5248),
    [anon_sym_and] = ACTIONS(5248),
    [anon_sym_asm] = ACTIONS(5248),
    [anon_sym___asm__] = ACTIONS(5248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5248),
    [anon_sym_decltype] = ACTIONS(5248),
    [anon_sym_final] = ACTIONS(5248),
    [anon_sym_override] = ACTIONS(5248),
    [anon_sym_virtual] = ACTIONS(5248),
    [anon_sym_alignas] = ACTIONS(5248),
    [anon_sym_explicit] = ACTIONS(5248),
    [anon_sym_typename] = ACTIONS(5248),
    [anon_sym_template] = ACTIONS(5248),
    [anon_sym_GT2] = ACTIONS(5250),
    [anon_sym_operator] = ACTIONS(5248),
    [anon_sym_try] = ACTIONS(5248),
    [anon_sym_friend] = ACTIONS(5248),
    [anon_sym_using] = ACTIONS(5248),
    [anon_sym_concept] = ACTIONS(5248),
    [anon_sym_requires] = ACTIONS(5248),
  },
  [2037] = {
    [sym_string_literal] = STATE(2037),
    [sym_raw_string_literal] = STATE(2037),
    [aux_sym_concatenated_string_repeat1] = STATE(2037),
    [sym_identifier] = ACTIONS(5252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_RPAREN] = ACTIONS(5255),
    [aux_sym_preproc_if_token2] = ACTIONS(5255),
    [aux_sym_preproc_else_token1] = ACTIONS(5255),
    [aux_sym_preproc_elif_token1] = ACTIONS(5257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5255),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_SEMI] = ACTIONS(5255),
    [anon_sym_RBRACE] = ACTIONS(5255),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_RBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_COLON] = ACTIONS(5255),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(5259),
    [anon_sym_u_DQUOTE] = ACTIONS(5259),
    [anon_sym_U_DQUOTE] = ACTIONS(5259),
    [anon_sym_u8_DQUOTE] = ACTIONS(5259),
    [anon_sym_DQUOTE] = ACTIONS(5259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5262),
    [anon_sym_LR_DQUOTE] = ACTIONS(5262),
    [anon_sym_uR_DQUOTE] = ACTIONS(5262),
    [anon_sym_UR_DQUOTE] = ACTIONS(5262),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5262),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(5265),
    [anon_sym_COMMA] = ACTIONS(5267),
    [anon_sym_RPAREN] = ACTIONS(5267),
    [anon_sym_LPAREN2] = ACTIONS(5267),
    [anon_sym_TILDE] = ACTIONS(5267),
    [anon_sym_STAR] = ACTIONS(5267),
    [anon_sym_PIPE_PIPE] = ACTIONS(5267),
    [anon_sym_AMP_AMP] = ACTIONS(5267),
    [anon_sym_AMP] = ACTIONS(5265),
    [anon_sym_SEMI] = ACTIONS(5267),
    [anon_sym___extension__] = ACTIONS(5265),
    [anon_sym_extern] = ACTIONS(5265),
    [anon_sym___attribute__] = ACTIONS(5265),
    [anon_sym_COLON_COLON] = ACTIONS(5267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5267),
    [anon_sym___declspec] = ACTIONS(5265),
    [anon_sym___based] = ACTIONS(5265),
    [anon_sym___cdecl] = ACTIONS(5265),
    [anon_sym___clrcall] = ACTIONS(5265),
    [anon_sym___stdcall] = ACTIONS(5265),
    [anon_sym___fastcall] = ACTIONS(5265),
    [anon_sym___thiscall] = ACTIONS(5265),
    [anon_sym___vectorcall] = ACTIONS(5265),
    [anon_sym_LBRACE] = ACTIONS(5267),
    [anon_sym_signed] = ACTIONS(5265),
    [anon_sym_unsigned] = ACTIONS(5265),
    [anon_sym_long] = ACTIONS(5265),
    [anon_sym_short] = ACTIONS(5265),
    [anon_sym_LBRACK] = ACTIONS(5265),
    [anon_sym_EQ] = ACTIONS(5267),
    [anon_sym_static] = ACTIONS(5265),
    [anon_sym_register] = ACTIONS(5265),
    [anon_sym_inline] = ACTIONS(5265),
    [anon_sym___inline] = ACTIONS(5265),
    [anon_sym___inline__] = ACTIONS(5265),
    [anon_sym___forceinline] = ACTIONS(5265),
    [anon_sym_thread_local] = ACTIONS(5265),
    [anon_sym___thread] = ACTIONS(5265),
    [anon_sym_const] = ACTIONS(5265),
    [anon_sym_constexpr] = ACTIONS(5265),
    [anon_sym_volatile] = ACTIONS(5265),
    [anon_sym_restrict] = ACTIONS(5265),
    [anon_sym___restrict__] = ACTIONS(5265),
    [anon_sym__Atomic] = ACTIONS(5265),
    [anon_sym__Noreturn] = ACTIONS(5265),
    [anon_sym_noreturn] = ACTIONS(5265),
    [anon_sym_mutable] = ACTIONS(5265),
    [anon_sym_constinit] = ACTIONS(5265),
    [anon_sym_consteval] = ACTIONS(5265),
    [sym_primitive_type] = ACTIONS(5265),
    [anon_sym_enum] = ACTIONS(5265),
    [anon_sym_class] = ACTIONS(5265),
    [anon_sym_struct] = ACTIONS(5265),
    [anon_sym_union] = ACTIONS(5265),
    [anon_sym_or] = ACTIONS(5265),
    [anon_sym_and] = ACTIONS(5265),
    [anon_sym_asm] = ACTIONS(5265),
    [anon_sym___asm__] = ACTIONS(5265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5265),
    [anon_sym_decltype] = ACTIONS(5265),
    [anon_sym_final] = ACTIONS(5265),
    [anon_sym_override] = ACTIONS(5265),
    [anon_sym_virtual] = ACTIONS(5265),
    [anon_sym_alignas] = ACTIONS(5265),
    [anon_sym_explicit] = ACTIONS(5265),
    [anon_sym_typename] = ACTIONS(5265),
    [anon_sym_template] = ACTIONS(5265),
    [anon_sym_GT2] = ACTIONS(5267),
    [anon_sym_operator] = ACTIONS(5265),
    [anon_sym_try] = ACTIONS(5265),
    [anon_sym_friend] = ACTIONS(5265),
    [anon_sym_using] = ACTIONS(5265),
    [anon_sym_concept] = ACTIONS(5265),
    [anon_sym_requires] = ACTIONS(5265),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(5269),
    [anon_sym_COMMA] = ACTIONS(5271),
    [anon_sym_RPAREN] = ACTIONS(5271),
    [anon_sym_LPAREN2] = ACTIONS(5271),
    [anon_sym_TILDE] = ACTIONS(5271),
    [anon_sym_STAR] = ACTIONS(5271),
    [anon_sym_PIPE_PIPE] = ACTIONS(5271),
    [anon_sym_AMP_AMP] = ACTIONS(5271),
    [anon_sym_AMP] = ACTIONS(5269),
    [anon_sym_SEMI] = ACTIONS(5271),
    [anon_sym___extension__] = ACTIONS(5269),
    [anon_sym_extern] = ACTIONS(5269),
    [anon_sym___attribute__] = ACTIONS(5269),
    [anon_sym_COLON_COLON] = ACTIONS(5271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5271),
    [anon_sym___declspec] = ACTIONS(5269),
    [anon_sym___based] = ACTIONS(5269),
    [anon_sym___cdecl] = ACTIONS(5269),
    [anon_sym___clrcall] = ACTIONS(5269),
    [anon_sym___stdcall] = ACTIONS(5269),
    [anon_sym___fastcall] = ACTIONS(5269),
    [anon_sym___thiscall] = ACTIONS(5269),
    [anon_sym___vectorcall] = ACTIONS(5269),
    [anon_sym_LBRACE] = ACTIONS(5271),
    [anon_sym_signed] = ACTIONS(5269),
    [anon_sym_unsigned] = ACTIONS(5269),
    [anon_sym_long] = ACTIONS(5269),
    [anon_sym_short] = ACTIONS(5269),
    [anon_sym_LBRACK] = ACTIONS(5269),
    [anon_sym_EQ] = ACTIONS(5271),
    [anon_sym_static] = ACTIONS(5269),
    [anon_sym_register] = ACTIONS(5269),
    [anon_sym_inline] = ACTIONS(5269),
    [anon_sym___inline] = ACTIONS(5269),
    [anon_sym___inline__] = ACTIONS(5269),
    [anon_sym___forceinline] = ACTIONS(5269),
    [anon_sym_thread_local] = ACTIONS(5269),
    [anon_sym___thread] = ACTIONS(5269),
    [anon_sym_const] = ACTIONS(5269),
    [anon_sym_constexpr] = ACTIONS(5269),
    [anon_sym_volatile] = ACTIONS(5269),
    [anon_sym_restrict] = ACTIONS(5269),
    [anon_sym___restrict__] = ACTIONS(5269),
    [anon_sym__Atomic] = ACTIONS(5269),
    [anon_sym__Noreturn] = ACTIONS(5269),
    [anon_sym_noreturn] = ACTIONS(5269),
    [anon_sym_mutable] = ACTIONS(5269),
    [anon_sym_constinit] = ACTIONS(5269),
    [anon_sym_consteval] = ACTIONS(5269),
    [sym_primitive_type] = ACTIONS(5269),
    [anon_sym_enum] = ACTIONS(5269),
    [anon_sym_class] = ACTIONS(5269),
    [anon_sym_struct] = ACTIONS(5269),
    [anon_sym_union] = ACTIONS(5269),
    [anon_sym_or] = ACTIONS(5269),
    [anon_sym_and] = ACTIONS(5269),
    [anon_sym_asm] = ACTIONS(5269),
    [anon_sym___asm__] = ACTIONS(5269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5269),
    [anon_sym_decltype] = ACTIONS(5269),
    [anon_sym_final] = ACTIONS(5269),
    [anon_sym_override] = ACTIONS(5269),
    [anon_sym_virtual] = ACTIONS(5269),
    [anon_sym_alignas] = ACTIONS(5269),
    [anon_sym_explicit] = ACTIONS(5269),
    [anon_sym_typename] = ACTIONS(5269),
    [anon_sym_template] = ACTIONS(5269),
    [anon_sym_GT2] = ACTIONS(5271),
    [anon_sym_operator] = ACTIONS(5269),
    [anon_sym_try] = ACTIONS(5269),
    [anon_sym_friend] = ACTIONS(5269),
    [anon_sym_using] = ACTIONS(5269),
    [anon_sym_concept] = ACTIONS(5269),
    [anon_sym_requires] = ACTIONS(5269),
  },
  [2040] = {
    [sym_identifier] = ACTIONS(5273),
    [anon_sym_COMMA] = ACTIONS(5275),
    [anon_sym_RPAREN] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5275),
    [anon_sym_TILDE] = ACTIONS(5275),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_PIPE_PIPE] = ACTIONS(5275),
    [anon_sym_AMP_AMP] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_SEMI] = ACTIONS(5275),
    [anon_sym___extension__] = ACTIONS(5273),
    [anon_sym_extern] = ACTIONS(5273),
    [anon_sym___attribute__] = ACTIONS(5273),
    [anon_sym_COLON_COLON] = ACTIONS(5275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5275),
    [anon_sym___declspec] = ACTIONS(5273),
    [anon_sym___based] = ACTIONS(5273),
    [anon_sym___cdecl] = ACTIONS(5273),
    [anon_sym___clrcall] = ACTIONS(5273),
    [anon_sym___stdcall] = ACTIONS(5273),
    [anon_sym___fastcall] = ACTIONS(5273),
    [anon_sym___thiscall] = ACTIONS(5273),
    [anon_sym___vectorcall] = ACTIONS(5273),
    [anon_sym_LBRACE] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5273),
    [anon_sym_unsigned] = ACTIONS(5273),
    [anon_sym_long] = ACTIONS(5273),
    [anon_sym_short] = ACTIONS(5273),
    [anon_sym_LBRACK] = ACTIONS(5273),
    [anon_sym_EQ] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5273),
    [anon_sym_register] = ACTIONS(5273),
    [anon_sym_inline] = ACTIONS(5273),
    [anon_sym___inline] = ACTIONS(5273),
    [anon_sym___inline__] = ACTIONS(5273),
    [anon_sym___forceinline] = ACTIONS(5273),
    [anon_sym_thread_local] = ACTIONS(5273),
    [anon_sym___thread] = ACTIONS(5273),
    [anon_sym_const] = ACTIONS(5273),
    [anon_sym_constexpr] = ACTIONS(5273),
    [anon_sym_volatile] = ACTIONS(5273),
    [anon_sym_restrict] = ACTIONS(5273),
    [anon_sym___restrict__] = ACTIONS(5273),
    [anon_sym__Atomic] = ACTIONS(5273),
    [anon_sym__Noreturn] = ACTIONS(5273),
    [anon_sym_noreturn] = ACTIONS(5273),
    [anon_sym_mutable] = ACTIONS(5273),
    [anon_sym_constinit] = ACTIONS(5273),
    [anon_sym_consteval] = ACTIONS(5273),
    [sym_primitive_type] = ACTIONS(5273),
    [anon_sym_enum] = ACTIONS(5273),
    [anon_sym_class] = ACTIONS(5273),
    [anon_sym_struct] = ACTIONS(5273),
    [anon_sym_union] = ACTIONS(5273),
    [anon_sym_or] = ACTIONS(5273),
    [anon_sym_and] = ACTIONS(5273),
    [anon_sym_asm] = ACTIONS(5273),
    [anon_sym___asm__] = ACTIONS(5273),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5273),
    [anon_sym_decltype] = ACTIONS(5273),
    [anon_sym_final] = ACTIONS(5273),
    [anon_sym_override] = ACTIONS(5273),
    [anon_sym_virtual] = ACTIONS(5273),
    [anon_sym_alignas] = ACTIONS(5273),
    [anon_sym_explicit] = ACTIONS(5273),
    [anon_sym_typename] = ACTIONS(5273),
    [anon_sym_template] = ACTIONS(5273),
    [anon_sym_GT2] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5273),
    [anon_sym_try] = ACTIONS(5273),
    [anon_sym_friend] = ACTIONS(5273),
    [anon_sym_using] = ACTIONS(5273),
    [anon_sym_concept] = ACTIONS(5273),
    [anon_sym_requires] = ACTIONS(5273),
  },
  [2041] = {
    [sym_identifier] = ACTIONS(5277),
    [anon_sym_COMMA] = ACTIONS(5279),
    [anon_sym_RPAREN] = ACTIONS(5279),
    [anon_sym_LPAREN2] = ACTIONS(5279),
    [anon_sym_TILDE] = ACTIONS(5279),
    [anon_sym_STAR] = ACTIONS(5279),
    [anon_sym_PIPE_PIPE] = ACTIONS(5279),
    [anon_sym_AMP_AMP] = ACTIONS(5279),
    [anon_sym_AMP] = ACTIONS(5277),
    [anon_sym_SEMI] = ACTIONS(5279),
    [anon_sym___extension__] = ACTIONS(5277),
    [anon_sym_extern] = ACTIONS(5277),
    [anon_sym___attribute__] = ACTIONS(5277),
    [anon_sym_COLON_COLON] = ACTIONS(5279),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5279),
    [anon_sym___declspec] = ACTIONS(5277),
    [anon_sym___based] = ACTIONS(5277),
    [anon_sym___cdecl] = ACTIONS(5277),
    [anon_sym___clrcall] = ACTIONS(5277),
    [anon_sym___stdcall] = ACTIONS(5277),
    [anon_sym___fastcall] = ACTIONS(5277),
    [anon_sym___thiscall] = ACTIONS(5277),
    [anon_sym___vectorcall] = ACTIONS(5277),
    [anon_sym_LBRACE] = ACTIONS(5279),
    [anon_sym_signed] = ACTIONS(5277),
    [anon_sym_unsigned] = ACTIONS(5277),
    [anon_sym_long] = ACTIONS(5277),
    [anon_sym_short] = ACTIONS(5277),
    [anon_sym_LBRACK] = ACTIONS(5277),
    [anon_sym_EQ] = ACTIONS(5279),
    [anon_sym_static] = ACTIONS(5277),
    [anon_sym_register] = ACTIONS(5277),
    [anon_sym_inline] = ACTIONS(5277),
    [anon_sym___inline] = ACTIONS(5277),
    [anon_sym___inline__] = ACTIONS(5277),
    [anon_sym___forceinline] = ACTIONS(5277),
    [anon_sym_thread_local] = ACTIONS(5277),
    [anon_sym___thread] = ACTIONS(5277),
    [anon_sym_const] = ACTIONS(5277),
    [anon_sym_constexpr] = ACTIONS(5277),
    [anon_sym_volatile] = ACTIONS(5277),
    [anon_sym_restrict] = ACTIONS(5277),
    [anon_sym___restrict__] = ACTIONS(5277),
    [anon_sym__Atomic] = ACTIONS(5277),
    [anon_sym__Noreturn] = ACTIONS(5277),
    [anon_sym_noreturn] = ACTIONS(5277),
    [anon_sym_mutable] = ACTIONS(5277),
    [anon_sym_constinit] = ACTIONS(5277),
    [anon_sym_consteval] = ACTIONS(5277),
    [sym_primitive_type] = ACTIONS(5277),
    [anon_sym_enum] = ACTIONS(5277),
    [anon_sym_class] = ACTIONS(5277),
    [anon_sym_struct] = ACTIONS(5277),
    [anon_sym_union] = ACTIONS(5277),
    [anon_sym_or] = ACTIONS(5277),
    [anon_sym_and] = ACTIONS(5277),
    [anon_sym_asm] = ACTIONS(5277),
    [anon_sym___asm__] = ACTIONS(5277),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5277),
    [anon_sym_decltype] = ACTIONS(5277),
    [anon_sym_final] = ACTIONS(5277),
    [anon_sym_override] = ACTIONS(5277),
    [anon_sym_virtual] = ACTIONS(5277),
    [anon_sym_alignas] = ACTIONS(5277),
    [anon_sym_explicit] = ACTIONS(5277),
    [anon_sym_typename] = ACTIONS(5277),
    [anon_sym_template] = ACTIONS(5277),
    [anon_sym_GT2] = ACTIONS(5279),
    [anon_sym_operator] = ACTIONS(5277),
    [anon_sym_try] = ACTIONS(5277),
    [anon_sym_friend] = ACTIONS(5277),
    [anon_sym_using] = ACTIONS(5277),
    [anon_sym_concept] = ACTIONS(5277),
    [anon_sym_requires] = ACTIONS(5277),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5281),
    [anon_sym_COMMA] = ACTIONS(5283),
    [anon_sym_RPAREN] = ACTIONS(5283),
    [anon_sym_LPAREN2] = ACTIONS(5283),
    [anon_sym_TILDE] = ACTIONS(5283),
    [anon_sym_STAR] = ACTIONS(5283),
    [anon_sym_PIPE_PIPE] = ACTIONS(5283),
    [anon_sym_AMP_AMP] = ACTIONS(5283),
    [anon_sym_AMP] = ACTIONS(5281),
    [anon_sym_SEMI] = ACTIONS(5283),
    [anon_sym___extension__] = ACTIONS(5281),
    [anon_sym_extern] = ACTIONS(5281),
    [anon_sym___attribute__] = ACTIONS(5281),
    [anon_sym_COLON_COLON] = ACTIONS(5283),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5283),
    [anon_sym___declspec] = ACTIONS(5281),
    [anon_sym___based] = ACTIONS(5281),
    [anon_sym___cdecl] = ACTIONS(5281),
    [anon_sym___clrcall] = ACTIONS(5281),
    [anon_sym___stdcall] = ACTIONS(5281),
    [anon_sym___fastcall] = ACTIONS(5281),
    [anon_sym___thiscall] = ACTIONS(5281),
    [anon_sym___vectorcall] = ACTIONS(5281),
    [anon_sym_LBRACE] = ACTIONS(5283),
    [anon_sym_signed] = ACTIONS(5281),
    [anon_sym_unsigned] = ACTIONS(5281),
    [anon_sym_long] = ACTIONS(5281),
    [anon_sym_short] = ACTIONS(5281),
    [anon_sym_LBRACK] = ACTIONS(5281),
    [anon_sym_EQ] = ACTIONS(5283),
    [anon_sym_static] = ACTIONS(5281),
    [anon_sym_register] = ACTIONS(5281),
    [anon_sym_inline] = ACTIONS(5281),
    [anon_sym___inline] = ACTIONS(5281),
    [anon_sym___inline__] = ACTIONS(5281),
    [anon_sym___forceinline] = ACTIONS(5281),
    [anon_sym_thread_local] = ACTIONS(5281),
    [anon_sym___thread] = ACTIONS(5281),
    [anon_sym_const] = ACTIONS(5281),
    [anon_sym_constexpr] = ACTIONS(5281),
    [anon_sym_volatile] = ACTIONS(5281),
    [anon_sym_restrict] = ACTIONS(5281),
    [anon_sym___restrict__] = ACTIONS(5281),
    [anon_sym__Atomic] = ACTIONS(5281),
    [anon_sym__Noreturn] = ACTIONS(5281),
    [anon_sym_noreturn] = ACTIONS(5281),
    [anon_sym_mutable] = ACTIONS(5281),
    [anon_sym_constinit] = ACTIONS(5281),
    [anon_sym_consteval] = ACTIONS(5281),
    [sym_primitive_type] = ACTIONS(5281),
    [anon_sym_enum] = ACTIONS(5281),
    [anon_sym_class] = ACTIONS(5281),
    [anon_sym_struct] = ACTIONS(5281),
    [anon_sym_union] = ACTIONS(5281),
    [anon_sym_or] = ACTIONS(5281),
    [anon_sym_and] = ACTIONS(5281),
    [anon_sym_asm] = ACTIONS(5281),
    [anon_sym___asm__] = ACTIONS(5281),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5281),
    [anon_sym_decltype] = ACTIONS(5281),
    [anon_sym_final] = ACTIONS(5281),
    [anon_sym_override] = ACTIONS(5281),
    [anon_sym_virtual] = ACTIONS(5281),
    [anon_sym_alignas] = ACTIONS(5281),
    [anon_sym_explicit] = ACTIONS(5281),
    [anon_sym_typename] = ACTIONS(5281),
    [anon_sym_template] = ACTIONS(5281),
    [anon_sym_GT2] = ACTIONS(5283),
    [anon_sym_operator] = ACTIONS(5281),
    [anon_sym_try] = ACTIONS(5281),
    [anon_sym_friend] = ACTIONS(5281),
    [anon_sym_using] = ACTIONS(5281),
    [anon_sym_concept] = ACTIONS(5281),
    [anon_sym_requires] = ACTIONS(5281),
  },
  [2043] = {
    [sym_identifier] = ACTIONS(5285),
    [anon_sym_COMMA] = ACTIONS(5287),
    [anon_sym_RPAREN] = ACTIONS(5287),
    [anon_sym_LPAREN2] = ACTIONS(5287),
    [anon_sym_TILDE] = ACTIONS(5287),
    [anon_sym_STAR] = ACTIONS(5287),
    [anon_sym_PIPE_PIPE] = ACTIONS(5287),
    [anon_sym_AMP_AMP] = ACTIONS(5287),
    [anon_sym_AMP] = ACTIONS(5285),
    [anon_sym_SEMI] = ACTIONS(5287),
    [anon_sym___extension__] = ACTIONS(5285),
    [anon_sym_extern] = ACTIONS(5285),
    [anon_sym___attribute__] = ACTIONS(5285),
    [anon_sym_COLON_COLON] = ACTIONS(5287),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5287),
    [anon_sym___declspec] = ACTIONS(5285),
    [anon_sym___based] = ACTIONS(5285),
    [anon_sym___cdecl] = ACTIONS(5285),
    [anon_sym___clrcall] = ACTIONS(5285),
    [anon_sym___stdcall] = ACTIONS(5285),
    [anon_sym___fastcall] = ACTIONS(5285),
    [anon_sym___thiscall] = ACTIONS(5285),
    [anon_sym___vectorcall] = ACTIONS(5285),
    [anon_sym_LBRACE] = ACTIONS(5287),
    [anon_sym_signed] = ACTIONS(5285),
    [anon_sym_unsigned] = ACTIONS(5285),
    [anon_sym_long] = ACTIONS(5285),
    [anon_sym_short] = ACTIONS(5285),
    [anon_sym_LBRACK] = ACTIONS(5285),
    [anon_sym_EQ] = ACTIONS(5287),
    [anon_sym_static] = ACTIONS(5285),
    [anon_sym_register] = ACTIONS(5285),
    [anon_sym_inline] = ACTIONS(5285),
    [anon_sym___inline] = ACTIONS(5285),
    [anon_sym___inline__] = ACTIONS(5285),
    [anon_sym___forceinline] = ACTIONS(5285),
    [anon_sym_thread_local] = ACTIONS(5285),
    [anon_sym___thread] = ACTIONS(5285),
    [anon_sym_const] = ACTIONS(5285),
    [anon_sym_constexpr] = ACTIONS(5285),
    [anon_sym_volatile] = ACTIONS(5285),
    [anon_sym_restrict] = ACTIONS(5285),
    [anon_sym___restrict__] = ACTIONS(5285),
    [anon_sym__Atomic] = ACTIONS(5285),
    [anon_sym__Noreturn] = ACTIONS(5285),
    [anon_sym_noreturn] = ACTIONS(5285),
    [anon_sym_mutable] = ACTIONS(5285),
    [anon_sym_constinit] = ACTIONS(5285),
    [anon_sym_consteval] = ACTIONS(5285),
    [sym_primitive_type] = ACTIONS(5285),
    [anon_sym_enum] = ACTIONS(5285),
    [anon_sym_class] = ACTIONS(5285),
    [anon_sym_struct] = ACTIONS(5285),
    [anon_sym_union] = ACTIONS(5285),
    [anon_sym_or] = ACTIONS(5285),
    [anon_sym_and] = ACTIONS(5285),
    [anon_sym_asm] = ACTIONS(5285),
    [anon_sym___asm__] = ACTIONS(5285),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5285),
    [anon_sym_decltype] = ACTIONS(5285),
    [anon_sym_final] = ACTIONS(5285),
    [anon_sym_override] = ACTIONS(5285),
    [anon_sym_virtual] = ACTIONS(5285),
    [anon_sym_alignas] = ACTIONS(5285),
    [anon_sym_explicit] = ACTIONS(5285),
    [anon_sym_typename] = ACTIONS(5285),
    [anon_sym_template] = ACTIONS(5285),
    [anon_sym_GT2] = ACTIONS(5287),
    [anon_sym_operator] = ACTIONS(5285),
    [anon_sym_try] = ACTIONS(5285),
    [anon_sym_friend] = ACTIONS(5285),
    [anon_sym_using] = ACTIONS(5285),
    [anon_sym_concept] = ACTIONS(5285),
    [anon_sym_requires] = ACTIONS(5285),
  },
  [2044] = {
    [sym_identifier] = ACTIONS(5289),
    [anon_sym_COMMA] = ACTIONS(5291),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym_LPAREN2] = ACTIONS(5291),
    [anon_sym_TILDE] = ACTIONS(5291),
    [anon_sym_STAR] = ACTIONS(5291),
    [anon_sym_PIPE_PIPE] = ACTIONS(5291),
    [anon_sym_AMP_AMP] = ACTIONS(5291),
    [anon_sym_AMP] = ACTIONS(5289),
    [anon_sym_SEMI] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(5289),
    [anon_sym_extern] = ACTIONS(5289),
    [anon_sym___attribute__] = ACTIONS(5289),
    [anon_sym_COLON_COLON] = ACTIONS(5291),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5291),
    [anon_sym___declspec] = ACTIONS(5289),
    [anon_sym___based] = ACTIONS(5289),
    [anon_sym___cdecl] = ACTIONS(5289),
    [anon_sym___clrcall] = ACTIONS(5289),
    [anon_sym___stdcall] = ACTIONS(5289),
    [anon_sym___fastcall] = ACTIONS(5289),
    [anon_sym___thiscall] = ACTIONS(5289),
    [anon_sym___vectorcall] = ACTIONS(5289),
    [anon_sym_LBRACE] = ACTIONS(5291),
    [anon_sym_signed] = ACTIONS(5289),
    [anon_sym_unsigned] = ACTIONS(5289),
    [anon_sym_long] = ACTIONS(5289),
    [anon_sym_short] = ACTIONS(5289),
    [anon_sym_LBRACK] = ACTIONS(5289),
    [anon_sym_EQ] = ACTIONS(5291),
    [anon_sym_static] = ACTIONS(5289),
    [anon_sym_register] = ACTIONS(5289),
    [anon_sym_inline] = ACTIONS(5289),
    [anon_sym___inline] = ACTIONS(5289),
    [anon_sym___inline__] = ACTIONS(5289),
    [anon_sym___forceinline] = ACTIONS(5289),
    [anon_sym_thread_local] = ACTIONS(5289),
    [anon_sym___thread] = ACTIONS(5289),
    [anon_sym_const] = ACTIONS(5289),
    [anon_sym_constexpr] = ACTIONS(5289),
    [anon_sym_volatile] = ACTIONS(5289),
    [anon_sym_restrict] = ACTIONS(5289),
    [anon_sym___restrict__] = ACTIONS(5289),
    [anon_sym__Atomic] = ACTIONS(5289),
    [anon_sym__Noreturn] = ACTIONS(5289),
    [anon_sym_noreturn] = ACTIONS(5289),
    [anon_sym_mutable] = ACTIONS(5289),
    [anon_sym_constinit] = ACTIONS(5289),
    [anon_sym_consteval] = ACTIONS(5289),
    [sym_primitive_type] = ACTIONS(5289),
    [anon_sym_enum] = ACTIONS(5289),
    [anon_sym_class] = ACTIONS(5289),
    [anon_sym_struct] = ACTIONS(5289),
    [anon_sym_union] = ACTIONS(5289),
    [anon_sym_or] = ACTIONS(5289),
    [anon_sym_and] = ACTIONS(5289),
    [anon_sym_asm] = ACTIONS(5289),
    [anon_sym___asm__] = ACTIONS(5289),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5289),
    [anon_sym_decltype] = ACTIONS(5289),
    [anon_sym_final] = ACTIONS(5289),
    [anon_sym_override] = ACTIONS(5289),
    [anon_sym_virtual] = ACTIONS(5289),
    [anon_sym_alignas] = ACTIONS(5289),
    [anon_sym_explicit] = ACTIONS(5289),
    [anon_sym_typename] = ACTIONS(5289),
    [anon_sym_template] = ACTIONS(5289),
    [anon_sym_GT2] = ACTIONS(5291),
    [anon_sym_operator] = ACTIONS(5289),
    [anon_sym_try] = ACTIONS(5289),
    [anon_sym_friend] = ACTIONS(5289),
    [anon_sym_using] = ACTIONS(5289),
    [anon_sym_concept] = ACTIONS(5289),
    [anon_sym_requires] = ACTIONS(5289),
  },
  [2045] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8103),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_type_parameter_declaration] = STATE(8103),
    [sym_variadic_type_parameter_declaration] = STATE(8103),
    [sym_optional_type_parameter_declaration] = STATE(8103),
    [sym_template_template_parameter_declaration] = STATE(8103),
    [sym_optional_parameter_declaration] = STATE(8103),
    [sym_variadic_parameter_declaration] = STATE(8103),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5297),
    [anon_sym_GT2] = ACTIONS(5299),
  },
  [2046] = {
    [sym_identifier] = ACTIONS(5301),
    [anon_sym_COMMA] = ACTIONS(5303),
    [anon_sym_RPAREN] = ACTIONS(5303),
    [anon_sym_LPAREN2] = ACTIONS(5303),
    [anon_sym_TILDE] = ACTIONS(5303),
    [anon_sym_STAR] = ACTIONS(5303),
    [anon_sym_PIPE_PIPE] = ACTIONS(5303),
    [anon_sym_AMP_AMP] = ACTIONS(5303),
    [anon_sym_AMP] = ACTIONS(5301),
    [anon_sym_SEMI] = ACTIONS(5303),
    [anon_sym___extension__] = ACTIONS(5301),
    [anon_sym_extern] = ACTIONS(5301),
    [anon_sym___attribute__] = ACTIONS(5301),
    [anon_sym_COLON_COLON] = ACTIONS(5303),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5303),
    [anon_sym___declspec] = ACTIONS(5301),
    [anon_sym___based] = ACTIONS(5301),
    [anon_sym___cdecl] = ACTIONS(5301),
    [anon_sym___clrcall] = ACTIONS(5301),
    [anon_sym___stdcall] = ACTIONS(5301),
    [anon_sym___fastcall] = ACTIONS(5301),
    [anon_sym___thiscall] = ACTIONS(5301),
    [anon_sym___vectorcall] = ACTIONS(5301),
    [anon_sym_LBRACE] = ACTIONS(5303),
    [anon_sym_signed] = ACTIONS(5301),
    [anon_sym_unsigned] = ACTIONS(5301),
    [anon_sym_long] = ACTIONS(5301),
    [anon_sym_short] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5301),
    [anon_sym_EQ] = ACTIONS(5303),
    [anon_sym_static] = ACTIONS(5301),
    [anon_sym_register] = ACTIONS(5301),
    [anon_sym_inline] = ACTIONS(5301),
    [anon_sym___inline] = ACTIONS(5301),
    [anon_sym___inline__] = ACTIONS(5301),
    [anon_sym___forceinline] = ACTIONS(5301),
    [anon_sym_thread_local] = ACTIONS(5301),
    [anon_sym___thread] = ACTIONS(5301),
    [anon_sym_const] = ACTIONS(5301),
    [anon_sym_constexpr] = ACTIONS(5301),
    [anon_sym_volatile] = ACTIONS(5301),
    [anon_sym_restrict] = ACTIONS(5301),
    [anon_sym___restrict__] = ACTIONS(5301),
    [anon_sym__Atomic] = ACTIONS(5301),
    [anon_sym__Noreturn] = ACTIONS(5301),
    [anon_sym_noreturn] = ACTIONS(5301),
    [anon_sym_mutable] = ACTIONS(5301),
    [anon_sym_constinit] = ACTIONS(5301),
    [anon_sym_consteval] = ACTIONS(5301),
    [sym_primitive_type] = ACTIONS(5301),
    [anon_sym_enum] = ACTIONS(5301),
    [anon_sym_class] = ACTIONS(5301),
    [anon_sym_struct] = ACTIONS(5301),
    [anon_sym_union] = ACTIONS(5301),
    [anon_sym_or] = ACTIONS(5301),
    [anon_sym_and] = ACTIONS(5301),
    [anon_sym_asm] = ACTIONS(5301),
    [anon_sym___asm__] = ACTIONS(5301),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5301),
    [anon_sym_decltype] = ACTIONS(5301),
    [anon_sym_final] = ACTIONS(5301),
    [anon_sym_override] = ACTIONS(5301),
    [anon_sym_virtual] = ACTIONS(5301),
    [anon_sym_alignas] = ACTIONS(5301),
    [anon_sym_explicit] = ACTIONS(5301),
    [anon_sym_typename] = ACTIONS(5301),
    [anon_sym_template] = ACTIONS(5301),
    [anon_sym_GT2] = ACTIONS(5303),
    [anon_sym_operator] = ACTIONS(5301),
    [anon_sym_try] = ACTIONS(5301),
    [anon_sym_friend] = ACTIONS(5301),
    [anon_sym_using] = ACTIONS(5301),
    [anon_sym_concept] = ACTIONS(5301),
    [anon_sym_requires] = ACTIONS(5301),
  },
  [2047] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8126),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_type_parameter_declaration] = STATE(8126),
    [sym_variadic_type_parameter_declaration] = STATE(8126),
    [sym_optional_type_parameter_declaration] = STATE(8126),
    [sym_template_template_parameter_declaration] = STATE(8126),
    [sym_optional_parameter_declaration] = STATE(8126),
    [sym_variadic_parameter_declaration] = STATE(8126),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5297),
    [anon_sym_GT2] = ACTIONS(5305),
  },
  [2048] = {
    [sym_string_literal] = STATE(2051),
    [sym_raw_string_literal] = STATE(2051),
    [aux_sym_concatenated_string_repeat1] = STATE(2051),
    [sym_identifier] = ACTIONS(5307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_RPAREN] = ACTIONS(5309),
    [aux_sym_preproc_if_token2] = ACTIONS(5309),
    [aux_sym_preproc_else_token1] = ACTIONS(5309),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5309),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym_RBRACE] = ACTIONS(5309),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_RBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5309),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5311),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5315),
    [anon_sym_RPAREN] = ACTIONS(5315),
    [anon_sym_LPAREN2] = ACTIONS(5315),
    [anon_sym_TILDE] = ACTIONS(5315),
    [anon_sym_STAR] = ACTIONS(5315),
    [anon_sym_PIPE_PIPE] = ACTIONS(5315),
    [anon_sym_AMP_AMP] = ACTIONS(5315),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5315),
    [anon_sym___extension__] = ACTIONS(5313),
    [anon_sym_extern] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym_COLON_COLON] = ACTIONS(5315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5315),
    [anon_sym___declspec] = ACTIONS(5313),
    [anon_sym___based] = ACTIONS(5313),
    [anon_sym___cdecl] = ACTIONS(5313),
    [anon_sym___clrcall] = ACTIONS(5313),
    [anon_sym___stdcall] = ACTIONS(5313),
    [anon_sym___fastcall] = ACTIONS(5313),
    [anon_sym___thiscall] = ACTIONS(5313),
    [anon_sym___vectorcall] = ACTIONS(5313),
    [anon_sym_LBRACE] = ACTIONS(5315),
    [anon_sym_signed] = ACTIONS(5313),
    [anon_sym_unsigned] = ACTIONS(5313),
    [anon_sym_long] = ACTIONS(5313),
    [anon_sym_short] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5315),
    [anon_sym_static] = ACTIONS(5313),
    [anon_sym_register] = ACTIONS(5313),
    [anon_sym_inline] = ACTIONS(5313),
    [anon_sym___inline] = ACTIONS(5313),
    [anon_sym___inline__] = ACTIONS(5313),
    [anon_sym___forceinline] = ACTIONS(5313),
    [anon_sym_thread_local] = ACTIONS(5313),
    [anon_sym___thread] = ACTIONS(5313),
    [anon_sym_const] = ACTIONS(5313),
    [anon_sym_constexpr] = ACTIONS(5313),
    [anon_sym_volatile] = ACTIONS(5313),
    [anon_sym_restrict] = ACTIONS(5313),
    [anon_sym___restrict__] = ACTIONS(5313),
    [anon_sym__Atomic] = ACTIONS(5313),
    [anon_sym__Noreturn] = ACTIONS(5313),
    [anon_sym_noreturn] = ACTIONS(5313),
    [anon_sym_mutable] = ACTIONS(5313),
    [anon_sym_constinit] = ACTIONS(5313),
    [anon_sym_consteval] = ACTIONS(5313),
    [sym_primitive_type] = ACTIONS(5313),
    [anon_sym_enum] = ACTIONS(5313),
    [anon_sym_class] = ACTIONS(5313),
    [anon_sym_struct] = ACTIONS(5313),
    [anon_sym_union] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_asm] = ACTIONS(5313),
    [anon_sym___asm__] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5313),
    [anon_sym_decltype] = ACTIONS(5313),
    [anon_sym_final] = ACTIONS(5313),
    [anon_sym_override] = ACTIONS(5313),
    [anon_sym_virtual] = ACTIONS(5313),
    [anon_sym_alignas] = ACTIONS(5313),
    [anon_sym_explicit] = ACTIONS(5313),
    [anon_sym_typename] = ACTIONS(5313),
    [anon_sym_template] = ACTIONS(5313),
    [anon_sym_GT2] = ACTIONS(5315),
    [anon_sym_operator] = ACTIONS(5313),
    [anon_sym_try] = ACTIONS(5313),
    [anon_sym_friend] = ACTIONS(5313),
    [anon_sym_using] = ACTIONS(5313),
    [anon_sym_concept] = ACTIONS(5313),
    [anon_sym_requires] = ACTIONS(5313),
  },
  [2050] = {
    [sym_identifier] = ACTIONS(5317),
    [anon_sym_COMMA] = ACTIONS(5319),
    [anon_sym_RPAREN] = ACTIONS(5319),
    [anon_sym_LPAREN2] = ACTIONS(5319),
    [anon_sym_TILDE] = ACTIONS(5319),
    [anon_sym_STAR] = ACTIONS(5319),
    [anon_sym_PIPE_PIPE] = ACTIONS(5319),
    [anon_sym_AMP_AMP] = ACTIONS(5319),
    [anon_sym_AMP] = ACTIONS(5317),
    [anon_sym_SEMI] = ACTIONS(5319),
    [anon_sym___extension__] = ACTIONS(5317),
    [anon_sym_extern] = ACTIONS(5317),
    [anon_sym___attribute__] = ACTIONS(5317),
    [anon_sym_COLON_COLON] = ACTIONS(5319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5319),
    [anon_sym___declspec] = ACTIONS(5317),
    [anon_sym___based] = ACTIONS(5317),
    [anon_sym___cdecl] = ACTIONS(5317),
    [anon_sym___clrcall] = ACTIONS(5317),
    [anon_sym___stdcall] = ACTIONS(5317),
    [anon_sym___fastcall] = ACTIONS(5317),
    [anon_sym___thiscall] = ACTIONS(5317),
    [anon_sym___vectorcall] = ACTIONS(5317),
    [anon_sym_LBRACE] = ACTIONS(5319),
    [anon_sym_signed] = ACTIONS(5317),
    [anon_sym_unsigned] = ACTIONS(5317),
    [anon_sym_long] = ACTIONS(5317),
    [anon_sym_short] = ACTIONS(5317),
    [anon_sym_LBRACK] = ACTIONS(5317),
    [anon_sym_EQ] = ACTIONS(5319),
    [anon_sym_static] = ACTIONS(5317),
    [anon_sym_register] = ACTIONS(5317),
    [anon_sym_inline] = ACTIONS(5317),
    [anon_sym___inline] = ACTIONS(5317),
    [anon_sym___inline__] = ACTIONS(5317),
    [anon_sym___forceinline] = ACTIONS(5317),
    [anon_sym_thread_local] = ACTIONS(5317),
    [anon_sym___thread] = ACTIONS(5317),
    [anon_sym_const] = ACTIONS(5317),
    [anon_sym_constexpr] = ACTIONS(5317),
    [anon_sym_volatile] = ACTIONS(5317),
    [anon_sym_restrict] = ACTIONS(5317),
    [anon_sym___restrict__] = ACTIONS(5317),
    [anon_sym__Atomic] = ACTIONS(5317),
    [anon_sym__Noreturn] = ACTIONS(5317),
    [anon_sym_noreturn] = ACTIONS(5317),
    [anon_sym_mutable] = ACTIONS(5317),
    [anon_sym_constinit] = ACTIONS(5317),
    [anon_sym_consteval] = ACTIONS(5317),
    [sym_primitive_type] = ACTIONS(5317),
    [anon_sym_enum] = ACTIONS(5317),
    [anon_sym_class] = ACTIONS(5317),
    [anon_sym_struct] = ACTIONS(5317),
    [anon_sym_union] = ACTIONS(5317),
    [anon_sym_or] = ACTIONS(5317),
    [anon_sym_and] = ACTIONS(5317),
    [anon_sym_asm] = ACTIONS(5317),
    [anon_sym___asm__] = ACTIONS(5317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5317),
    [anon_sym_decltype] = ACTIONS(5317),
    [anon_sym_final] = ACTIONS(5317),
    [anon_sym_override] = ACTIONS(5317),
    [anon_sym_virtual] = ACTIONS(5317),
    [anon_sym_alignas] = ACTIONS(5317),
    [anon_sym_explicit] = ACTIONS(5317),
    [anon_sym_typename] = ACTIONS(5317),
    [anon_sym_template] = ACTIONS(5317),
    [anon_sym_GT2] = ACTIONS(5319),
    [anon_sym_operator] = ACTIONS(5317),
    [anon_sym_try] = ACTIONS(5317),
    [anon_sym_friend] = ACTIONS(5317),
    [anon_sym_using] = ACTIONS(5317),
    [anon_sym_concept] = ACTIONS(5317),
    [anon_sym_requires] = ACTIONS(5317),
  },
  [2051] = {
    [sym_string_literal] = STATE(2037),
    [sym_raw_string_literal] = STATE(2037),
    [aux_sym_concatenated_string_repeat1] = STATE(2037),
    [sym_identifier] = ACTIONS(5321),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5325),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5323),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5325),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym_RBRACE] = ACTIONS(5323),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_RBRACK] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_COLON] = ACTIONS(5323),
    [anon_sym_QMARK] = ACTIONS(5323),
    [anon_sym_STAR_EQ] = ACTIONS(5323),
    [anon_sym_SLASH_EQ] = ACTIONS(5323),
    [anon_sym_PERCENT_EQ] = ACTIONS(5323),
    [anon_sym_PLUS_EQ] = ACTIONS(5323),
    [anon_sym_DASH_EQ] = ACTIONS(5323),
    [anon_sym_LT_LT_EQ] = ACTIONS(5323),
    [anon_sym_GT_GT_EQ] = ACTIONS(5323),
    [anon_sym_AMP_EQ] = ACTIONS(5323),
    [anon_sym_CARET_EQ] = ACTIONS(5323),
    [anon_sym_PIPE_EQ] = ACTIONS(5323),
    [anon_sym_and_eq] = ACTIONS(5325),
    [anon_sym_or_eq] = ACTIONS(5325),
    [anon_sym_xor_eq] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_and] = ACTIONS(5325),
    [anon_sym_bitor] = ACTIONS(5325),
    [anon_sym_xor] = ACTIONS(5325),
    [anon_sym_bitand] = ACTIONS(5325),
    [anon_sym_not_eq] = ACTIONS(5325),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_DOT_STAR] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5325),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5273),
    [anon_sym_COMMA] = ACTIONS(5275),
    [anon_sym_RPAREN] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5275),
    [anon_sym_TILDE] = ACTIONS(5275),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_PIPE_PIPE] = ACTIONS(5275),
    [anon_sym_AMP_AMP] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_SEMI] = ACTIONS(5275),
    [anon_sym___extension__] = ACTIONS(5273),
    [anon_sym_extern] = ACTIONS(5273),
    [anon_sym___attribute__] = ACTIONS(5273),
    [anon_sym_COLON_COLON] = ACTIONS(5275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5275),
    [anon_sym___declspec] = ACTIONS(5273),
    [anon_sym___based] = ACTIONS(5273),
    [anon_sym___cdecl] = ACTIONS(5273),
    [anon_sym___clrcall] = ACTIONS(5273),
    [anon_sym___stdcall] = ACTIONS(5273),
    [anon_sym___fastcall] = ACTIONS(5273),
    [anon_sym___thiscall] = ACTIONS(5273),
    [anon_sym___vectorcall] = ACTIONS(5273),
    [anon_sym_LBRACE] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5273),
    [anon_sym_unsigned] = ACTIONS(5273),
    [anon_sym_long] = ACTIONS(5273),
    [anon_sym_short] = ACTIONS(5273),
    [anon_sym_LBRACK] = ACTIONS(5273),
    [anon_sym_EQ] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5273),
    [anon_sym_register] = ACTIONS(5273),
    [anon_sym_inline] = ACTIONS(5273),
    [anon_sym___inline] = ACTIONS(5273),
    [anon_sym___inline__] = ACTIONS(5273),
    [anon_sym___forceinline] = ACTIONS(5273),
    [anon_sym_thread_local] = ACTIONS(5273),
    [anon_sym___thread] = ACTIONS(5273),
    [anon_sym_const] = ACTIONS(5273),
    [anon_sym_constexpr] = ACTIONS(5273),
    [anon_sym_volatile] = ACTIONS(5273),
    [anon_sym_restrict] = ACTIONS(5273),
    [anon_sym___restrict__] = ACTIONS(5273),
    [anon_sym__Atomic] = ACTIONS(5273),
    [anon_sym__Noreturn] = ACTIONS(5273),
    [anon_sym_noreturn] = ACTIONS(5273),
    [anon_sym_mutable] = ACTIONS(5273),
    [anon_sym_constinit] = ACTIONS(5273),
    [anon_sym_consteval] = ACTIONS(5273),
    [sym_primitive_type] = ACTIONS(5273),
    [anon_sym_enum] = ACTIONS(5273),
    [anon_sym_class] = ACTIONS(5273),
    [anon_sym_struct] = ACTIONS(5273),
    [anon_sym_union] = ACTIONS(5273),
    [anon_sym_or] = ACTIONS(5273),
    [anon_sym_and] = ACTIONS(5273),
    [anon_sym_asm] = ACTIONS(5273),
    [anon_sym___asm__] = ACTIONS(5273),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5273),
    [anon_sym_decltype] = ACTIONS(5273),
    [anon_sym_final] = ACTIONS(5273),
    [anon_sym_override] = ACTIONS(5273),
    [anon_sym_virtual] = ACTIONS(5273),
    [anon_sym_alignas] = ACTIONS(5273),
    [anon_sym_explicit] = ACTIONS(5273),
    [anon_sym_typename] = ACTIONS(5273),
    [anon_sym_template] = ACTIONS(5273),
    [anon_sym_GT2] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5273),
    [anon_sym_try] = ACTIONS(5273),
    [anon_sym_friend] = ACTIONS(5273),
    [anon_sym_using] = ACTIONS(5273),
    [anon_sym_concept] = ACTIONS(5273),
    [anon_sym_requires] = ACTIONS(5273),
  },
  [2053] = {
    [sym_identifier] = ACTIONS(5273),
    [anon_sym_COMMA] = ACTIONS(5275),
    [anon_sym_RPAREN] = ACTIONS(5275),
    [anon_sym_LPAREN2] = ACTIONS(5275),
    [anon_sym_TILDE] = ACTIONS(5275),
    [anon_sym_STAR] = ACTIONS(5275),
    [anon_sym_PIPE_PIPE] = ACTIONS(5275),
    [anon_sym_AMP_AMP] = ACTIONS(5275),
    [anon_sym_AMP] = ACTIONS(5273),
    [anon_sym_SEMI] = ACTIONS(5275),
    [anon_sym___extension__] = ACTIONS(5273),
    [anon_sym_extern] = ACTIONS(5273),
    [anon_sym___attribute__] = ACTIONS(5273),
    [anon_sym_COLON_COLON] = ACTIONS(5275),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5275),
    [anon_sym___declspec] = ACTIONS(5273),
    [anon_sym___based] = ACTIONS(5273),
    [anon_sym___cdecl] = ACTIONS(5273),
    [anon_sym___clrcall] = ACTIONS(5273),
    [anon_sym___stdcall] = ACTIONS(5273),
    [anon_sym___fastcall] = ACTIONS(5273),
    [anon_sym___thiscall] = ACTIONS(5273),
    [anon_sym___vectorcall] = ACTIONS(5273),
    [anon_sym_LBRACE] = ACTIONS(5275),
    [anon_sym_signed] = ACTIONS(5273),
    [anon_sym_unsigned] = ACTIONS(5273),
    [anon_sym_long] = ACTIONS(5273),
    [anon_sym_short] = ACTIONS(5273),
    [anon_sym_LBRACK] = ACTIONS(5273),
    [anon_sym_EQ] = ACTIONS(5275),
    [anon_sym_static] = ACTIONS(5273),
    [anon_sym_register] = ACTIONS(5273),
    [anon_sym_inline] = ACTIONS(5273),
    [anon_sym___inline] = ACTIONS(5273),
    [anon_sym___inline__] = ACTIONS(5273),
    [anon_sym___forceinline] = ACTIONS(5273),
    [anon_sym_thread_local] = ACTIONS(5273),
    [anon_sym___thread] = ACTIONS(5273),
    [anon_sym_const] = ACTIONS(5273),
    [anon_sym_constexpr] = ACTIONS(5273),
    [anon_sym_volatile] = ACTIONS(5273),
    [anon_sym_restrict] = ACTIONS(5273),
    [anon_sym___restrict__] = ACTIONS(5273),
    [anon_sym__Atomic] = ACTIONS(5273),
    [anon_sym__Noreturn] = ACTIONS(5273),
    [anon_sym_noreturn] = ACTIONS(5273),
    [anon_sym_mutable] = ACTIONS(5273),
    [anon_sym_constinit] = ACTIONS(5273),
    [anon_sym_consteval] = ACTIONS(5273),
    [sym_primitive_type] = ACTIONS(5273),
    [anon_sym_enum] = ACTIONS(5273),
    [anon_sym_class] = ACTIONS(5273),
    [anon_sym_struct] = ACTIONS(5273),
    [anon_sym_union] = ACTIONS(5273),
    [anon_sym_or] = ACTIONS(5273),
    [anon_sym_and] = ACTIONS(5273),
    [anon_sym_asm] = ACTIONS(5273),
    [anon_sym___asm__] = ACTIONS(5273),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5273),
    [anon_sym_decltype] = ACTIONS(5273),
    [anon_sym_final] = ACTIONS(5273),
    [anon_sym_override] = ACTIONS(5273),
    [anon_sym_virtual] = ACTIONS(5273),
    [anon_sym_alignas] = ACTIONS(5273),
    [anon_sym_explicit] = ACTIONS(5273),
    [anon_sym_typename] = ACTIONS(5273),
    [anon_sym_template] = ACTIONS(5273),
    [anon_sym_GT2] = ACTIONS(5275),
    [anon_sym_operator] = ACTIONS(5273),
    [anon_sym_try] = ACTIONS(5273),
    [anon_sym_friend] = ACTIONS(5273),
    [anon_sym_using] = ACTIONS(5273),
    [anon_sym_concept] = ACTIONS(5273),
    [anon_sym_requires] = ACTIONS(5273),
  },
  [2054] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4743),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8714),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_type_parameter_declaration] = STATE(8714),
    [sym_variadic_type_parameter_declaration] = STATE(8714),
    [sym_optional_type_parameter_declaration] = STATE(8714),
    [sym_template_template_parameter_declaration] = STATE(8714),
    [sym_optional_parameter_declaration] = STATE(8714),
    [sym_variadic_parameter_declaration] = STATE(8714),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5293),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5295),
    [anon_sym_template] = ACTIONS(5297),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_RPAREN] = ACTIONS(5105),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5107),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym_SEMI] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5107),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5110),
    [anon_sym___declspec] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5112),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5112),
    [anon_sym_not_eq] = ACTIONS(5112),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_virtual] = ACTIONS(5103),
    [anon_sym_alignas] = ACTIONS(5103),
    [anon_sym_template] = ACTIONS(5103),
    [anon_sym_operator] = ACTIONS(5103),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5329),
    [anon_sym_BANG] = ACTIONS(5329),
    [anon_sym_TILDE] = ACTIONS(5329),
    [anon_sym_DASH] = ACTIONS(5327),
    [anon_sym_PLUS] = ACTIONS(5327),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5329),
    [anon_sym_COLON_COLON] = ACTIONS(5329),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5329),
    [anon_sym_LBRACE] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [sym_primitive_type] = ACTIONS(5327),
    [anon_sym_if] = ACTIONS(5327),
    [anon_sym_switch] = ACTIONS(5327),
    [anon_sym_case] = ACTIONS(5327),
    [anon_sym_default] = ACTIONS(5327),
    [anon_sym_while] = ACTIONS(5327),
    [anon_sym_do] = ACTIONS(5327),
    [anon_sym_for] = ACTIONS(5327),
    [anon_sym_return] = ACTIONS(5327),
    [anon_sym_break] = ACTIONS(5327),
    [anon_sym_continue] = ACTIONS(5327),
    [anon_sym_goto] = ACTIONS(5327),
    [anon_sym___try] = ACTIONS(5327),
    [anon_sym___leave] = ACTIONS(5327),
    [anon_sym_not] = ACTIONS(5327),
    [anon_sym_compl] = ACTIONS(5327),
    [anon_sym_DASH_DASH] = ACTIONS(5329),
    [anon_sym_PLUS_PLUS] = ACTIONS(5329),
    [anon_sym_sizeof] = ACTIONS(5327),
    [anon_sym___alignof__] = ACTIONS(5327),
    [anon_sym___alignof] = ACTIONS(5327),
    [anon_sym__alignof] = ACTIONS(5327),
    [anon_sym_alignof] = ACTIONS(5327),
    [anon_sym__Alignof] = ACTIONS(5327),
    [anon_sym_offsetof] = ACTIONS(5327),
    [anon_sym__Generic] = ACTIONS(5327),
    [anon_sym_asm] = ACTIONS(5327),
    [anon_sym___asm__] = ACTIONS(5327),
    [sym_number_literal] = ACTIONS(5329),
    [anon_sym_L_SQUOTE] = ACTIONS(5329),
    [anon_sym_u_SQUOTE] = ACTIONS(5329),
    [anon_sym_U_SQUOTE] = ACTIONS(5329),
    [anon_sym_u8_SQUOTE] = ACTIONS(5329),
    [anon_sym_SQUOTE] = ACTIONS(5329),
    [anon_sym_L_DQUOTE] = ACTIONS(5329),
    [anon_sym_u_DQUOTE] = ACTIONS(5329),
    [anon_sym_U_DQUOTE] = ACTIONS(5329),
    [anon_sym_u8_DQUOTE] = ACTIONS(5329),
    [anon_sym_DQUOTE] = ACTIONS(5329),
    [sym_true] = ACTIONS(5327),
    [sym_false] = ACTIONS(5327),
    [anon_sym_NULL] = ACTIONS(5327),
    [anon_sym_nullptr] = ACTIONS(5327),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5327),
    [anon_sym_template] = ACTIONS(5327),
    [anon_sym_try] = ACTIONS(5327),
    [anon_sym_delete] = ACTIONS(5327),
    [anon_sym_throw] = ACTIONS(5327),
    [anon_sym_co_return] = ACTIONS(5327),
    [anon_sym_co_yield] = ACTIONS(5327),
    [anon_sym_R_DQUOTE] = ACTIONS(5329),
    [anon_sym_LR_DQUOTE] = ACTIONS(5329),
    [anon_sym_uR_DQUOTE] = ACTIONS(5329),
    [anon_sym_UR_DQUOTE] = ACTIONS(5329),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5329),
    [anon_sym_co_await] = ACTIONS(5327),
    [anon_sym_new] = ACTIONS(5327),
    [anon_sym_requires] = ACTIONS(5327),
    [sym_this] = ACTIONS(5327),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5331),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_BANG] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_DASH] = ACTIONS(5331),
    [anon_sym_PLUS] = ACTIONS(5331),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5333),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym_LBRACE] = ACTIONS(5333),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_if] = ACTIONS(5331),
    [anon_sym_switch] = ACTIONS(5331),
    [anon_sym_case] = ACTIONS(5331),
    [anon_sym_default] = ACTIONS(5331),
    [anon_sym_while] = ACTIONS(5331),
    [anon_sym_do] = ACTIONS(5331),
    [anon_sym_for] = ACTIONS(5331),
    [anon_sym_return] = ACTIONS(5331),
    [anon_sym_break] = ACTIONS(5331),
    [anon_sym_continue] = ACTIONS(5331),
    [anon_sym_goto] = ACTIONS(5331),
    [anon_sym___try] = ACTIONS(5331),
    [anon_sym___leave] = ACTIONS(5331),
    [anon_sym_not] = ACTIONS(5331),
    [anon_sym_compl] = ACTIONS(5331),
    [anon_sym_DASH_DASH] = ACTIONS(5333),
    [anon_sym_PLUS_PLUS] = ACTIONS(5333),
    [anon_sym_sizeof] = ACTIONS(5331),
    [anon_sym___alignof__] = ACTIONS(5331),
    [anon_sym___alignof] = ACTIONS(5331),
    [anon_sym__alignof] = ACTIONS(5331),
    [anon_sym_alignof] = ACTIONS(5331),
    [anon_sym__Alignof] = ACTIONS(5331),
    [anon_sym_offsetof] = ACTIONS(5331),
    [anon_sym__Generic] = ACTIONS(5331),
    [anon_sym_asm] = ACTIONS(5331),
    [anon_sym___asm__] = ACTIONS(5331),
    [sym_number_literal] = ACTIONS(5333),
    [anon_sym_L_SQUOTE] = ACTIONS(5333),
    [anon_sym_u_SQUOTE] = ACTIONS(5333),
    [anon_sym_U_SQUOTE] = ACTIONS(5333),
    [anon_sym_u8_SQUOTE] = ACTIONS(5333),
    [anon_sym_SQUOTE] = ACTIONS(5333),
    [anon_sym_L_DQUOTE] = ACTIONS(5333),
    [anon_sym_u_DQUOTE] = ACTIONS(5333),
    [anon_sym_U_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8_DQUOTE] = ACTIONS(5333),
    [anon_sym_DQUOTE] = ACTIONS(5333),
    [sym_true] = ACTIONS(5331),
    [sym_false] = ACTIONS(5331),
    [anon_sym_NULL] = ACTIONS(5331),
    [anon_sym_nullptr] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_try] = ACTIONS(5331),
    [anon_sym_delete] = ACTIONS(5331),
    [anon_sym_throw] = ACTIONS(5331),
    [anon_sym_co_return] = ACTIONS(5331),
    [anon_sym_co_yield] = ACTIONS(5331),
    [anon_sym_R_DQUOTE] = ACTIONS(5333),
    [anon_sym_LR_DQUOTE] = ACTIONS(5333),
    [anon_sym_uR_DQUOTE] = ACTIONS(5333),
    [anon_sym_UR_DQUOTE] = ACTIONS(5333),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5333),
    [anon_sym_co_await] = ACTIONS(5331),
    [anon_sym_new] = ACTIONS(5331),
    [anon_sym_requires] = ACTIONS(5331),
    [sym_this] = ACTIONS(5331),
  },
  [2059] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8075),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8075),
    [sym_variadic_parameter_declaration] = STATE(8075),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5335),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2060] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym___extension__] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_restrict] = ACTIONS(5081),
    [anon_sym___restrict__] = ACTIONS(5081),
    [anon_sym__Atomic] = ACTIONS(5081),
    [anon_sym__Noreturn] = ACTIONS(5081),
    [anon_sym_noreturn] = ACTIONS(5081),
    [anon_sym_mutable] = ACTIONS(5081),
    [anon_sym_constinit] = ACTIONS(5081),
    [anon_sym_consteval] = ACTIONS(5081),
    [anon_sym_COLON] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5081),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_and_eq] = ACTIONS(5081),
    [anon_sym_or_eq] = ACTIONS(5081),
    [anon_sym_xor_eq] = ACTIONS(5081),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5081),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5081),
    [anon_sym_not_eq] = ACTIONS(5081),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5079),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5081),
    [anon_sym_decltype] = ACTIONS(5081),
    [anon_sym_final] = ACTIONS(5081),
    [anon_sym_override] = ACTIONS(5081),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5081),
  },
  [2061] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8113),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8113),
    [sym_variadic_parameter_declaration] = STATE(8113),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4260),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2062] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8310),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8310),
    [sym_variadic_parameter_declaration] = STATE(8310),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5339),
    [anon_sym_RPAREN] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2063] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5345),
    [anon_sym_COMMA] = ACTIONS(5345),
    [anon_sym_RPAREN] = ACTIONS(5345),
    [aux_sym_preproc_if_token2] = ACTIONS(5345),
    [aux_sym_preproc_else_token1] = ACTIONS(5345),
    [aux_sym_preproc_elif_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_DASH] = ACTIONS(5343),
    [anon_sym_PLUS] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_SLASH] = ACTIONS(5343),
    [anon_sym_PERCENT] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_PIPE] = ACTIONS(5343),
    [anon_sym_CARET] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5345),
    [anon_sym_BANG_EQ] = ACTIONS(5345),
    [anon_sym_GT] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5343),
    [anon_sym_LT] = ACTIONS(5343),
    [anon_sym_LT_LT] = ACTIONS(5345),
    [anon_sym_GT_GT] = ACTIONS(5345),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_RBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_RBRACK] = ACTIONS(5345),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_COLON] = ACTIONS(5345),
    [anon_sym_QMARK] = ACTIONS(5345),
    [anon_sym_LT_EQ_GT] = ACTIONS(5345),
    [anon_sym_or] = ACTIONS(5343),
    [anon_sym_and] = ACTIONS(5343),
    [anon_sym_bitor] = ACTIONS(5343),
    [anon_sym_xor] = ACTIONS(5343),
    [anon_sym_bitand] = ACTIONS(5343),
    [anon_sym_not_eq] = ACTIONS(5343),
    [anon_sym_DASH_DASH] = ACTIONS(5345),
    [anon_sym_PLUS_PLUS] = ACTIONS(5345),
    [anon_sym_DOT] = ACTIONS(5343),
    [anon_sym_DOT_STAR] = ACTIONS(5345),
    [anon_sym_DASH_GT] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_final] = ACTIONS(5343),
    [anon_sym_override] = ACTIONS(5343),
    [anon_sym_requires] = ACTIONS(5343),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [2065] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(5093),
    [anon_sym___attribute__] = ACTIONS(5093),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5093),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5093),
    [anon_sym_volatile] = ACTIONS(5093),
    [anon_sym_restrict] = ACTIONS(5093),
    [anon_sym___restrict__] = ACTIONS(5093),
    [anon_sym__Atomic] = ACTIONS(5093),
    [anon_sym__Noreturn] = ACTIONS(5093),
    [anon_sym_noreturn] = ACTIONS(5093),
    [anon_sym_mutable] = ACTIONS(5093),
    [anon_sym_constinit] = ACTIONS(5093),
    [anon_sym_consteval] = ACTIONS(5093),
    [anon_sym_COLON] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5093),
    [anon_sym_decltype] = ACTIONS(5093),
    [anon_sym_final] = ACTIONS(5093),
    [anon_sym_override] = ACTIONS(5093),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5093),
  },
  [2066] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(5089),
    [anon_sym___attribute__] = ACTIONS(5089),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5089),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5089),
    [anon_sym_volatile] = ACTIONS(5089),
    [anon_sym_restrict] = ACTIONS(5089),
    [anon_sym___restrict__] = ACTIONS(5089),
    [anon_sym__Atomic] = ACTIONS(5089),
    [anon_sym__Noreturn] = ACTIONS(5089),
    [anon_sym_noreturn] = ACTIONS(5089),
    [anon_sym_mutable] = ACTIONS(5089),
    [anon_sym_constinit] = ACTIONS(5089),
    [anon_sym_consteval] = ACTIONS(5089),
    [anon_sym_COLON] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5089),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_and_eq] = ACTIONS(5089),
    [anon_sym_or_eq] = ACTIONS(5089),
    [anon_sym_xor_eq] = ACTIONS(5089),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5089),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5089),
    [anon_sym_not_eq] = ACTIONS(5089),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5087),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5089),
    [anon_sym_decltype] = ACTIONS(5089),
    [anon_sym_final] = ACTIONS(5089),
    [anon_sym_override] = ACTIONS(5089),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5089),
  },
  [2067] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5097),
    [anon_sym___attribute__] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5097),
    [anon_sym_volatile] = ACTIONS(5097),
    [anon_sym_restrict] = ACTIONS(5097),
    [anon_sym___restrict__] = ACTIONS(5097),
    [anon_sym__Atomic] = ACTIONS(5097),
    [anon_sym__Noreturn] = ACTIONS(5097),
    [anon_sym_noreturn] = ACTIONS(5097),
    [anon_sym_mutable] = ACTIONS(5097),
    [anon_sym_constinit] = ACTIONS(5097),
    [anon_sym_consteval] = ACTIONS(5097),
    [anon_sym_COLON] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5097),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_and_eq] = ACTIONS(5097),
    [anon_sym_or_eq] = ACTIONS(5097),
    [anon_sym_xor_eq] = ACTIONS(5097),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5097),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5097),
    [anon_sym_not_eq] = ACTIONS(5097),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5097),
    [anon_sym_decltype] = ACTIONS(5097),
    [anon_sym_final] = ACTIONS(5097),
    [anon_sym_override] = ACTIONS(5097),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5097),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5354),
    [anon_sym_or_eq] = ACTIONS(5354),
    [anon_sym_xor_eq] = ACTIONS(5354),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5354),
    [anon_sym_and] = ACTIONS(5354),
    [anon_sym_bitor] = ACTIONS(5354),
    [anon_sym_xor] = ACTIONS(5354),
    [anon_sym_bitand] = ACTIONS(5354),
    [anon_sym_not_eq] = ACTIONS(5354),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5356),
    [anon_sym_u_DQUOTE] = ACTIONS(5356),
    [anon_sym_U_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8_DQUOTE] = ACTIONS(5356),
    [anon_sym_DQUOTE] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5356),
    [anon_sym_LR_DQUOTE] = ACTIONS(5356),
    [anon_sym_uR_DQUOTE] = ACTIONS(5356),
    [anon_sym_UR_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5356),
    [sym_literal_suffix] = ACTIONS(5354),
  },
  [2069] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5077),
    [anon_sym_or_eq] = ACTIONS(5077),
    [anon_sym_xor_eq] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5077),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5077),
    [anon_sym_not_eq] = ACTIONS(5077),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5075),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [anon_sym_final] = ACTIONS(5077),
    [anon_sym_override] = ACTIONS(5077),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5077),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(5358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5360),
    [anon_sym_COMMA] = ACTIONS(5360),
    [anon_sym_RPAREN] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_else_token1] = ACTIONS(5360),
    [aux_sym_preproc_elif_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5360),
    [anon_sym_BANG_EQ] = ACTIONS(5360),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5360),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym_RBRACE] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_RBRACK] = ACTIONS(5360),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_COLON] = ACTIONS(5360),
    [anon_sym_QMARK] = ACTIONS(5360),
    [anon_sym_STAR_EQ] = ACTIONS(5360),
    [anon_sym_SLASH_EQ] = ACTIONS(5360),
    [anon_sym_PERCENT_EQ] = ACTIONS(5360),
    [anon_sym_PLUS_EQ] = ACTIONS(5360),
    [anon_sym_DASH_EQ] = ACTIONS(5360),
    [anon_sym_LT_LT_EQ] = ACTIONS(5360),
    [anon_sym_GT_GT_EQ] = ACTIONS(5360),
    [anon_sym_AMP_EQ] = ACTIONS(5360),
    [anon_sym_CARET_EQ] = ACTIONS(5360),
    [anon_sym_PIPE_EQ] = ACTIONS(5360),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5360),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5360),
    [anon_sym_PLUS_PLUS] = ACTIONS(5360),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5360),
    [anon_sym_DASH_GT] = ACTIONS(5360),
    [anon_sym_L_DQUOTE] = ACTIONS(5360),
    [anon_sym_u_DQUOTE] = ACTIONS(5360),
    [anon_sym_U_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8_DQUOTE] = ACTIONS(5360),
    [anon_sym_DQUOTE] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5360),
    [anon_sym_LR_DQUOTE] = ACTIONS(5360),
    [anon_sym_uR_DQUOTE] = ACTIONS(5360),
    [anon_sym_UR_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5360),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(5362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5364),
    [anon_sym_COMMA] = ACTIONS(5364),
    [anon_sym_RPAREN] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_else_token1] = ACTIONS(5364),
    [aux_sym_preproc_elif_token1] = ACTIONS(5362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5362),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_PIPE] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5364),
    [anon_sym_BANG_EQ] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5364),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5362),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym_RBRACE] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_RBRACK] = ACTIONS(5364),
    [anon_sym_EQ] = ACTIONS(5362),
    [anon_sym_COLON] = ACTIONS(5364),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_STAR_EQ] = ACTIONS(5364),
    [anon_sym_SLASH_EQ] = ACTIONS(5364),
    [anon_sym_PERCENT_EQ] = ACTIONS(5364),
    [anon_sym_PLUS_EQ] = ACTIONS(5364),
    [anon_sym_DASH_EQ] = ACTIONS(5364),
    [anon_sym_LT_LT_EQ] = ACTIONS(5364),
    [anon_sym_GT_GT_EQ] = ACTIONS(5364),
    [anon_sym_AMP_EQ] = ACTIONS(5364),
    [anon_sym_CARET_EQ] = ACTIONS(5364),
    [anon_sym_PIPE_EQ] = ACTIONS(5364),
    [anon_sym_and_eq] = ACTIONS(5362),
    [anon_sym_or_eq] = ACTIONS(5362),
    [anon_sym_xor_eq] = ACTIONS(5362),
    [anon_sym_LT_EQ_GT] = ACTIONS(5364),
    [anon_sym_or] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_bitor] = ACTIONS(5362),
    [anon_sym_xor] = ACTIONS(5362),
    [anon_sym_bitand] = ACTIONS(5362),
    [anon_sym_not_eq] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5364),
    [anon_sym_DOT] = ACTIONS(5362),
    [anon_sym_DOT_STAR] = ACTIONS(5364),
    [anon_sym_DASH_GT] = ACTIONS(5364),
    [anon_sym_L_DQUOTE] = ACTIONS(5364),
    [anon_sym_u_DQUOTE] = ACTIONS(5364),
    [anon_sym_U_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8_DQUOTE] = ACTIONS(5364),
    [anon_sym_DQUOTE] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5364),
    [anon_sym_LR_DQUOTE] = ACTIONS(5364),
    [anon_sym_uR_DQUOTE] = ACTIONS(5364),
    [anon_sym_UR_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5364),
    [sym_literal_suffix] = ACTIONS(5362),
  },
  [2072] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_COLON] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_and_eq] = ACTIONS(5101),
    [anon_sym_or_eq] = ACTIONS(5101),
    [anon_sym_xor_eq] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5099),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_final] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5101),
  },
  [2073] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(7964),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(7964),
    [sym_variadic_parameter_declaration] = STATE(7964),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5366),
    [anon_sym_RPAREN] = ACTIONS(5368),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2074] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(7981),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(7981),
    [sym_variadic_parameter_declaration] = STATE(7981),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_RPAREN] = ACTIONS(5372),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2075] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym___extension__] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5085),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_restrict] = ACTIONS(5085),
    [anon_sym___restrict__] = ACTIONS(5085),
    [anon_sym__Atomic] = ACTIONS(5085),
    [anon_sym__Noreturn] = ACTIONS(5085),
    [anon_sym_noreturn] = ACTIONS(5085),
    [anon_sym_mutable] = ACTIONS(5085),
    [anon_sym_constinit] = ACTIONS(5085),
    [anon_sym_consteval] = ACTIONS(5085),
    [anon_sym_COLON] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5085),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_and_eq] = ACTIONS(5085),
    [anon_sym_or_eq] = ACTIONS(5085),
    [anon_sym_xor_eq] = ACTIONS(5085),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5085),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5085),
    [anon_sym_not_eq] = ACTIONS(5085),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5083),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5085),
    [anon_sym_decltype] = ACTIONS(5085),
    [anon_sym_final] = ACTIONS(5085),
    [anon_sym_override] = ACTIONS(5085),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5085),
  },
  [2076] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5099),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_COLON] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5099),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_and_eq] = ACTIONS(5101),
    [anon_sym_or_eq] = ACTIONS(5101),
    [anon_sym_xor_eq] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_final] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
    [anon_sym_GT2] = ACTIONS(5101),
  },
  [2077] = {
    [sym_catch_clause] = STATE(2077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2077),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5374),
  },
  [2078] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5075),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5077),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5077),
    [anon_sym_volatile] = ACTIONS(5077),
    [anon_sym_restrict] = ACTIONS(5077),
    [anon_sym___restrict__] = ACTIONS(5077),
    [anon_sym__Atomic] = ACTIONS(5077),
    [anon_sym__Noreturn] = ACTIONS(5077),
    [anon_sym_noreturn] = ACTIONS(5077),
    [anon_sym_mutable] = ACTIONS(5077),
    [anon_sym_constinit] = ACTIONS(5077),
    [anon_sym_consteval] = ACTIONS(5077),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5075),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5077),
    [anon_sym_or_eq] = ACTIONS(5077),
    [anon_sym_xor_eq] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5077),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5077),
    [anon_sym_not_eq] = ACTIONS(5077),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5077),
    [anon_sym_decltype] = ACTIONS(5077),
    [anon_sym_final] = ACTIONS(5077),
    [anon_sym_override] = ACTIONS(5077),
    [anon_sym_GT2] = ACTIONS(5077),
  },
  [2079] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5345),
    [anon_sym_COMMA] = ACTIONS(5345),
    [anon_sym_RPAREN] = ACTIONS(5345),
    [aux_sym_preproc_if_token2] = ACTIONS(5345),
    [aux_sym_preproc_else_token1] = ACTIONS(5345),
    [aux_sym_preproc_elif_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_DASH] = ACTIONS(5343),
    [anon_sym_PLUS] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5343),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_PIPE] = ACTIONS(5343),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5345),
    [anon_sym_BANG_EQ] = ACTIONS(5345),
    [anon_sym_GT] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5343),
    [anon_sym_LT] = ACTIONS(5343),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_RBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_RBRACK] = ACTIONS(5345),
    [anon_sym_EQ] = ACTIONS(5343),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_COLON] = ACTIONS(5345),
    [anon_sym_QMARK] = ACTIONS(5345),
    [anon_sym_STAR_EQ] = ACTIONS(5345),
    [anon_sym_SLASH_EQ] = ACTIONS(5345),
    [anon_sym_PERCENT_EQ] = ACTIONS(5345),
    [anon_sym_PLUS_EQ] = ACTIONS(5345),
    [anon_sym_DASH_EQ] = ACTIONS(5345),
    [anon_sym_LT_LT_EQ] = ACTIONS(5345),
    [anon_sym_GT_GT_EQ] = ACTIONS(5345),
    [anon_sym_AMP_EQ] = ACTIONS(5345),
    [anon_sym_CARET_EQ] = ACTIONS(5345),
    [anon_sym_PIPE_EQ] = ACTIONS(5345),
    [anon_sym_and_eq] = ACTIONS(5343),
    [anon_sym_or_eq] = ACTIONS(5343),
    [anon_sym_xor_eq] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5345),
    [anon_sym_or] = ACTIONS(5343),
    [anon_sym_and] = ACTIONS(5343),
    [anon_sym_bitor] = ACTIONS(5343),
    [anon_sym_xor] = ACTIONS(5343),
    [anon_sym_bitand] = ACTIONS(5343),
    [anon_sym_not_eq] = ACTIONS(5343),
    [anon_sym_DASH_DASH] = ACTIONS(5345),
    [anon_sym_PLUS_PLUS] = ACTIONS(5345),
    [anon_sym_DOT] = ACTIONS(5343),
    [anon_sym_DOT_STAR] = ACTIONS(5345),
    [anon_sym_DASH_GT] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
  },
  [2080] = {
    [sym_catch_clause] = STATE(2077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2077),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5380),
  },
  [2081] = {
    [sym_catch_clause] = STATE(2077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2077),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5380),
  },
  [2082] = {
    [sym_catch_clause] = STATE(2077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2077),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(5380),
  },
  [2083] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5083),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym___extension__] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5085),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5085),
    [anon_sym_volatile] = ACTIONS(5085),
    [anon_sym_restrict] = ACTIONS(5085),
    [anon_sym___restrict__] = ACTIONS(5085),
    [anon_sym__Atomic] = ACTIONS(5085),
    [anon_sym__Noreturn] = ACTIONS(5085),
    [anon_sym_noreturn] = ACTIONS(5085),
    [anon_sym_mutable] = ACTIONS(5085),
    [anon_sym_constinit] = ACTIONS(5085),
    [anon_sym_consteval] = ACTIONS(5085),
    [anon_sym_COLON] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5083),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_and_eq] = ACTIONS(5085),
    [anon_sym_or_eq] = ACTIONS(5085),
    [anon_sym_xor_eq] = ACTIONS(5085),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5085),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5085),
    [anon_sym_not_eq] = ACTIONS(5085),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5085),
    [anon_sym_decltype] = ACTIONS(5085),
    [anon_sym_final] = ACTIONS(5085),
    [anon_sym_override] = ACTIONS(5085),
    [anon_sym_GT2] = ACTIONS(5085),
  },
  [2084] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5079),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym___extension__] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5081),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5081),
    [anon_sym_volatile] = ACTIONS(5081),
    [anon_sym_restrict] = ACTIONS(5081),
    [anon_sym___restrict__] = ACTIONS(5081),
    [anon_sym__Atomic] = ACTIONS(5081),
    [anon_sym__Noreturn] = ACTIONS(5081),
    [anon_sym_noreturn] = ACTIONS(5081),
    [anon_sym_mutable] = ACTIONS(5081),
    [anon_sym_constinit] = ACTIONS(5081),
    [anon_sym_consteval] = ACTIONS(5081),
    [anon_sym_COLON] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5079),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_and_eq] = ACTIONS(5081),
    [anon_sym_or_eq] = ACTIONS(5081),
    [anon_sym_xor_eq] = ACTIONS(5081),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5081),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5081),
    [anon_sym_not_eq] = ACTIONS(5081),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5081),
    [anon_sym_decltype] = ACTIONS(5081),
    [anon_sym_final] = ACTIONS(5081),
    [anon_sym_override] = ACTIONS(5081),
    [anon_sym_GT2] = ACTIONS(5081),
  },
  [2085] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8721),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8721),
    [sym_variadic_parameter_declaration] = STATE(8721),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2086] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5091),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym___extension__] = ACTIONS(5093),
    [anon_sym___attribute__] = ACTIONS(5093),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5093),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5093),
    [anon_sym_volatile] = ACTIONS(5093),
    [anon_sym_restrict] = ACTIONS(5093),
    [anon_sym___restrict__] = ACTIONS(5093),
    [anon_sym__Atomic] = ACTIONS(5093),
    [anon_sym__Noreturn] = ACTIONS(5093),
    [anon_sym_noreturn] = ACTIONS(5093),
    [anon_sym_mutable] = ACTIONS(5093),
    [anon_sym_constinit] = ACTIONS(5093),
    [anon_sym_consteval] = ACTIONS(5093),
    [anon_sym_COLON] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5091),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5093),
    [anon_sym_decltype] = ACTIONS(5093),
    [anon_sym_final] = ACTIONS(5093),
    [anon_sym_override] = ACTIONS(5093),
    [anon_sym_GT2] = ACTIONS(5093),
  },
  [2087] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5384),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5387),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5389),
    [anon_sym_SLASH_EQ] = ACTIONS(5389),
    [anon_sym_PERCENT_EQ] = ACTIONS(5389),
    [anon_sym_PLUS_EQ] = ACTIONS(5389),
    [anon_sym_DASH_EQ] = ACTIONS(5389),
    [anon_sym_LT_LT_EQ] = ACTIONS(5389),
    [anon_sym_GT_GT_EQ] = ACTIONS(5389),
    [anon_sym_AMP_EQ] = ACTIONS(5389),
    [anon_sym_CARET_EQ] = ACTIONS(5389),
    [anon_sym_PIPE_EQ] = ACTIONS(5389),
    [anon_sym_and_eq] = ACTIONS(5387),
    [anon_sym_or_eq] = ACTIONS(5387),
    [anon_sym_xor_eq] = ACTIONS(5387),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2088] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8326),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8326),
    [sym_variadic_parameter_declaration] = STATE(8326),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2089] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5087),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym___extension__] = ACTIONS(5089),
    [anon_sym___attribute__] = ACTIONS(5089),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5089),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5089),
    [anon_sym_volatile] = ACTIONS(5089),
    [anon_sym_restrict] = ACTIONS(5089),
    [anon_sym___restrict__] = ACTIONS(5089),
    [anon_sym__Atomic] = ACTIONS(5089),
    [anon_sym__Noreturn] = ACTIONS(5089),
    [anon_sym_noreturn] = ACTIONS(5089),
    [anon_sym_mutable] = ACTIONS(5089),
    [anon_sym_constinit] = ACTIONS(5089),
    [anon_sym_consteval] = ACTIONS(5089),
    [anon_sym_COLON] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5087),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_and_eq] = ACTIONS(5089),
    [anon_sym_or_eq] = ACTIONS(5089),
    [anon_sym_xor_eq] = ACTIONS(5089),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5089),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5089),
    [anon_sym_not_eq] = ACTIONS(5089),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5089),
    [anon_sym_decltype] = ACTIONS(5089),
    [anon_sym_final] = ACTIONS(5089),
    [anon_sym_override] = ACTIONS(5089),
    [anon_sym_GT2] = ACTIONS(5089),
  },
  [2090] = {
    [sym_attribute_specifier] = STATE(2526),
    [sym_field_declaration_list] = STATE(2439),
    [sym_virtual_specifier] = STATE(7689),
    [sym_base_class_clause] = STATE(8520),
    [sym_identifier] = ACTIONS(5391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5393),
    [anon_sym_COMMA] = ACTIONS(5393),
    [anon_sym_RPAREN] = ACTIONS(5393),
    [aux_sym_preproc_if_token2] = ACTIONS(5393),
    [aux_sym_preproc_else_token1] = ACTIONS(5393),
    [aux_sym_preproc_elif_token1] = ACTIONS(5391),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym_STAR] = ACTIONS(5391),
    [anon_sym_SLASH] = ACTIONS(5391),
    [anon_sym_PERCENT] = ACTIONS(5391),
    [anon_sym_PIPE_PIPE] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_PIPE] = ACTIONS(5391),
    [anon_sym_CARET] = ACTIONS(5391),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_EQ_EQ] = ACTIONS(5393),
    [anon_sym_BANG_EQ] = ACTIONS(5393),
    [anon_sym_GT] = ACTIONS(5391),
    [anon_sym_GT_EQ] = ACTIONS(5393),
    [anon_sym_LT_EQ] = ACTIONS(5391),
    [anon_sym_LT] = ACTIONS(5391),
    [anon_sym_LT_LT] = ACTIONS(5391),
    [anon_sym_GT_GT] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5397),
    [anon_sym_RBRACE] = ACTIONS(5393),
    [anon_sym_LBRACK] = ACTIONS(5393),
    [anon_sym_RBRACK] = ACTIONS(5393),
    [anon_sym_EQ] = ACTIONS(5391),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5393),
    [anon_sym_STAR_EQ] = ACTIONS(5393),
    [anon_sym_SLASH_EQ] = ACTIONS(5393),
    [anon_sym_PERCENT_EQ] = ACTIONS(5393),
    [anon_sym_PLUS_EQ] = ACTIONS(5393),
    [anon_sym_DASH_EQ] = ACTIONS(5393),
    [anon_sym_LT_LT_EQ] = ACTIONS(5393),
    [anon_sym_GT_GT_EQ] = ACTIONS(5393),
    [anon_sym_AMP_EQ] = ACTIONS(5393),
    [anon_sym_CARET_EQ] = ACTIONS(5393),
    [anon_sym_PIPE_EQ] = ACTIONS(5393),
    [anon_sym_and_eq] = ACTIONS(5391),
    [anon_sym_or_eq] = ACTIONS(5391),
    [anon_sym_xor_eq] = ACTIONS(5391),
    [anon_sym_LT_EQ_GT] = ACTIONS(5393),
    [anon_sym_or] = ACTIONS(5391),
    [anon_sym_and] = ACTIONS(5391),
    [anon_sym_bitor] = ACTIONS(5391),
    [anon_sym_xor] = ACTIONS(5391),
    [anon_sym_bitand] = ACTIONS(5391),
    [anon_sym_not_eq] = ACTIONS(5391),
    [anon_sym_DASH_DASH] = ACTIONS(5393),
    [anon_sym_PLUS_PLUS] = ACTIONS(5393),
    [anon_sym_DOT] = ACTIONS(5391),
    [anon_sym_DOT_STAR] = ACTIONS(5393),
    [anon_sym_DASH_GT] = ACTIONS(5393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_final] = ACTIONS(5401),
    [anon_sym_override] = ACTIONS(5401),
  },
  [2091] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5095),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym___extension__] = ACTIONS(5097),
    [anon_sym___attribute__] = ACTIONS(5097),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5097),
    [anon_sym_volatile] = ACTIONS(5097),
    [anon_sym_restrict] = ACTIONS(5097),
    [anon_sym___restrict__] = ACTIONS(5097),
    [anon_sym__Atomic] = ACTIONS(5097),
    [anon_sym__Noreturn] = ACTIONS(5097),
    [anon_sym_noreturn] = ACTIONS(5097),
    [anon_sym_mutable] = ACTIONS(5097),
    [anon_sym_constinit] = ACTIONS(5097),
    [anon_sym_consteval] = ACTIONS(5097),
    [anon_sym_COLON] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5095),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_and_eq] = ACTIONS(5097),
    [anon_sym_or_eq] = ACTIONS(5097),
    [anon_sym_xor_eq] = ACTIONS(5097),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5097),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5097),
    [anon_sym_not_eq] = ACTIONS(5097),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5097),
    [anon_sym_decltype] = ACTIONS(5097),
    [anon_sym_final] = ACTIONS(5097),
    [anon_sym_override] = ACTIONS(5097),
    [anon_sym_GT2] = ACTIONS(5097),
  },
  [2092] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6976),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7471),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7471),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2093] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6975),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7476),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7476),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2094] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7138),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7443),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7443),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2095] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7036),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7494),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7494),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2096] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6950),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7443),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7443),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2097] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7119),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7466),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7466),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2098] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6959),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7466),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7466),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2099] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7144),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7451),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7451),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2100] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6978),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7451),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7451),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2102] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7077),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7441),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7441),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2103] = {
    [sym_template_argument_list] = STATE(2107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5137),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5060),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5069),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5060),
    [anon_sym_or_eq] = ACTIONS(5060),
    [anon_sym_xor_eq] = ACTIONS(5060),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5060),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5060),
    [anon_sym_not_eq] = ACTIONS(5060),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5060),
  },
  [2104] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7078),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7471),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7471),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2105] = {
    [sym__declaration_modifiers] = STATE(2485),
    [sym__declaration_specifiers] = STATE(4785),
    [sym_attribute_specifier] = STATE(2485),
    [sym_attribute_declaration] = STATE(2485),
    [sym_ms_declspec_modifier] = STATE(2485),
    [sym_storage_class_specifier] = STATE(2485),
    [sym_type_qualifier] = STATE(2485),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_parameter_declaration] = STATE(8734),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2485),
    [sym_alignas_specifier] = STATE(2485),
    [sym_dependent_type] = STATE(3102),
    [sym_optional_parameter_declaration] = STATE(8734),
    [sym_variadic_parameter_declaration] = STATE(8734),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2485),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2106] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6986),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7504),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7504),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2107] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym_SEMI] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5110),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5114),
    [anon_sym_EQ] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5110),
    [anon_sym_volatile] = ACTIONS(5110),
    [anon_sym_restrict] = ACTIONS(5110),
    [anon_sym___restrict__] = ACTIONS(5110),
    [anon_sym__Atomic] = ACTIONS(5110),
    [anon_sym__Noreturn] = ACTIONS(5110),
    [anon_sym_noreturn] = ACTIONS(5110),
    [anon_sym_mutable] = ACTIONS(5110),
    [anon_sym_constinit] = ACTIONS(5110),
    [anon_sym_consteval] = ACTIONS(5110),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5110),
    [anon_sym_decltype] = ACTIONS(5110),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5105),
  },
  [2108] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7441),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7441),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2110] = {
    [sym__declaration_modifiers] = STATE(4175),
    [sym_attribute_specifier] = STATE(4175),
    [sym_attribute_declaration] = STATE(4175),
    [sym_ms_declspec_modifier] = STATE(4175),
    [sym_ms_based_modifier] = STATE(9543),
    [sym__declarator] = STATE(7387),
    [sym_parenthesized_declarator] = STATE(6968),
    [sym_attributed_declarator] = STATE(6968),
    [sym_pointer_declarator] = STATE(6968),
    [sym_function_declarator] = STATE(6955),
    [sym_array_declarator] = STATE(6968),
    [sym_storage_class_specifier] = STATE(4175),
    [sym_type_qualifier] = STATE(4175),
    [sym_decltype] = STATE(9400),
    [sym_virtual] = STATE(4175),
    [sym_alignas_specifier] = STATE(4175),
    [sym_explicit_function_specifier] = STATE(4175),
    [sym_operator_cast] = STATE(7503),
    [sym__constructor_specifiers] = STATE(4175),
    [sym_reference_declarator] = STATE(6968),
    [sym_structured_binding_declarator] = STATE(6968),
    [sym_template_type] = STATE(9400),
    [sym_template_function] = STATE(6968),
    [sym_destructor_name] = STATE(6968),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(6348),
    [sym_qualified_identifier] = STATE(6968),
    [sym_qualified_operator_cast_identifier] = STATE(7503),
    [sym_operator_name] = STATE(6968),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4175),
    [sym_identifier] = ACTIONS(5403),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym_COLON_COLON] = ACTIONS(5411),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5413),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5407),
    [anon_sym_register] = ACTIONS(5407),
    [anon_sym_inline] = ACTIONS(5407),
    [anon_sym___inline] = ACTIONS(5407),
    [anon_sym___inline__] = ACTIONS(5407),
    [anon_sym___forceinline] = ACTIONS(5407),
    [anon_sym_thread_local] = ACTIONS(5407),
    [anon_sym___thread] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5417),
    [anon_sym_alignas] = ACTIONS(5419),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2111] = {
    [sym_catch_clause] = STATE(2123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5423),
  },
  [2112] = {
    [sym_argument_list] = STATE(2932),
    [sym_initializer_list] = STATE(2932),
    [sym_decltype_auto] = STATE(2568),
    [sym_new_declarator] = STATE(2540),
    [sym_identifier] = ACTIONS(5425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5427),
    [anon_sym_COMMA] = ACTIONS(5427),
    [anon_sym_RPAREN] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5425),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5427),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5425),
    [anon_sym_PLUS] = ACTIONS(5425),
    [anon_sym_STAR] = ACTIONS(5425),
    [anon_sym_SLASH] = ACTIONS(5425),
    [anon_sym_PERCENT] = ACTIONS(5425),
    [anon_sym_PIPE_PIPE] = ACTIONS(5427),
    [anon_sym_AMP_AMP] = ACTIONS(5427),
    [anon_sym_PIPE] = ACTIONS(5425),
    [anon_sym_CARET] = ACTIONS(5425),
    [anon_sym_AMP] = ACTIONS(5425),
    [anon_sym_EQ_EQ] = ACTIONS(5427),
    [anon_sym_BANG_EQ] = ACTIONS(5427),
    [anon_sym_GT] = ACTIONS(5425),
    [anon_sym_GT_EQ] = ACTIONS(5427),
    [anon_sym_LT_EQ] = ACTIONS(5425),
    [anon_sym_LT] = ACTIONS(5425),
    [anon_sym_LT_LT] = ACTIONS(5425),
    [anon_sym_GT_GT] = ACTIONS(5425),
    [anon_sym_SEMI] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5425),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5427),
    [anon_sym_EQ] = ACTIONS(5425),
    [anon_sym_COLON] = ACTIONS(5427),
    [anon_sym_QMARK] = ACTIONS(5427),
    [anon_sym_STAR_EQ] = ACTIONS(5427),
    [anon_sym_SLASH_EQ] = ACTIONS(5427),
    [anon_sym_PERCENT_EQ] = ACTIONS(5427),
    [anon_sym_PLUS_EQ] = ACTIONS(5427),
    [anon_sym_DASH_EQ] = ACTIONS(5427),
    [anon_sym_LT_LT_EQ] = ACTIONS(5427),
    [anon_sym_GT_GT_EQ] = ACTIONS(5427),
    [anon_sym_AMP_EQ] = ACTIONS(5427),
    [anon_sym_CARET_EQ] = ACTIONS(5427),
    [anon_sym_PIPE_EQ] = ACTIONS(5427),
    [anon_sym_and_eq] = ACTIONS(5425),
    [anon_sym_or_eq] = ACTIONS(5425),
    [anon_sym_xor_eq] = ACTIONS(5425),
    [anon_sym_LT_EQ_GT] = ACTIONS(5427),
    [anon_sym_or] = ACTIONS(5425),
    [anon_sym_and] = ACTIONS(5425),
    [anon_sym_bitor] = ACTIONS(5425),
    [anon_sym_xor] = ACTIONS(5425),
    [anon_sym_bitand] = ACTIONS(5425),
    [anon_sym_not_eq] = ACTIONS(5425),
    [anon_sym_DASH_DASH] = ACTIONS(5427),
    [anon_sym_PLUS_PLUS] = ACTIONS(5427),
    [anon_sym_DOT] = ACTIONS(5425),
    [anon_sym_DOT_STAR] = ACTIONS(5427),
    [anon_sym_DASH_GT] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5435),
  },
  [2113] = {
    [sym_argument_list] = STATE(2963),
    [sym_initializer_list] = STATE(2963),
    [sym_decltype_auto] = STATE(2568),
    [sym_new_declarator] = STATE(2574),
    [sym_identifier] = ACTIONS(5437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5439),
    [anon_sym_COMMA] = ACTIONS(5439),
    [anon_sym_RPAREN] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5439),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5437),
    [anon_sym_PLUS] = ACTIONS(5437),
    [anon_sym_STAR] = ACTIONS(5437),
    [anon_sym_SLASH] = ACTIONS(5437),
    [anon_sym_PERCENT] = ACTIONS(5437),
    [anon_sym_PIPE_PIPE] = ACTIONS(5439),
    [anon_sym_AMP_AMP] = ACTIONS(5439),
    [anon_sym_PIPE] = ACTIONS(5437),
    [anon_sym_CARET] = ACTIONS(5437),
    [anon_sym_AMP] = ACTIONS(5437),
    [anon_sym_EQ_EQ] = ACTIONS(5439),
    [anon_sym_BANG_EQ] = ACTIONS(5439),
    [anon_sym_GT] = ACTIONS(5437),
    [anon_sym_GT_EQ] = ACTIONS(5439),
    [anon_sym_LT_EQ] = ACTIONS(5437),
    [anon_sym_LT] = ACTIONS(5437),
    [anon_sym_LT_LT] = ACTIONS(5437),
    [anon_sym_GT_GT] = ACTIONS(5437),
    [anon_sym_SEMI] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_EQ] = ACTIONS(5437),
    [anon_sym_COLON] = ACTIONS(5439),
    [anon_sym_QMARK] = ACTIONS(5439),
    [anon_sym_STAR_EQ] = ACTIONS(5439),
    [anon_sym_SLASH_EQ] = ACTIONS(5439),
    [anon_sym_PERCENT_EQ] = ACTIONS(5439),
    [anon_sym_PLUS_EQ] = ACTIONS(5439),
    [anon_sym_DASH_EQ] = ACTIONS(5439),
    [anon_sym_LT_LT_EQ] = ACTIONS(5439),
    [anon_sym_GT_GT_EQ] = ACTIONS(5439),
    [anon_sym_AMP_EQ] = ACTIONS(5439),
    [anon_sym_CARET_EQ] = ACTIONS(5439),
    [anon_sym_PIPE_EQ] = ACTIONS(5439),
    [anon_sym_and_eq] = ACTIONS(5437),
    [anon_sym_or_eq] = ACTIONS(5437),
    [anon_sym_xor_eq] = ACTIONS(5437),
    [anon_sym_LT_EQ_GT] = ACTIONS(5439),
    [anon_sym_or] = ACTIONS(5437),
    [anon_sym_and] = ACTIONS(5437),
    [anon_sym_bitor] = ACTIONS(5437),
    [anon_sym_xor] = ACTIONS(5437),
    [anon_sym_bitand] = ACTIONS(5437),
    [anon_sym_not_eq] = ACTIONS(5437),
    [anon_sym_DASH_DASH] = ACTIONS(5439),
    [anon_sym_PLUS_PLUS] = ACTIONS(5439),
    [anon_sym_DOT] = ACTIONS(5437),
    [anon_sym_DOT_STAR] = ACTIONS(5439),
    [anon_sym_DASH_GT] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5435),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
  },
  [2115] = {
    [sym_template_argument_list] = STATE(2151),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5441),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5060),
    [anon_sym_or_eq] = ACTIONS(5060),
    [anon_sym_xor_eq] = ACTIONS(5060),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5060),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5060),
    [anon_sym_not_eq] = ACTIONS(5060),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5067),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5060),
  },
  [2116] = {
    [sym_argument_list] = STATE(2926),
    [sym_initializer_list] = STATE(2926),
    [sym_decltype_auto] = STATE(2568),
    [sym_new_declarator] = STATE(2511),
    [sym_identifier] = ACTIONS(5444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5446),
    [anon_sym_COMMA] = ACTIONS(5446),
    [anon_sym_RPAREN] = ACTIONS(5446),
    [aux_sym_preproc_if_token2] = ACTIONS(5446),
    [aux_sym_preproc_else_token1] = ACTIONS(5446),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5446),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5446),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5444),
    [anon_sym_STAR] = ACTIONS(5444),
    [anon_sym_SLASH] = ACTIONS(5444),
    [anon_sym_PERCENT] = ACTIONS(5444),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_PIPE] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5444),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym_EQ_EQ] = ACTIONS(5446),
    [anon_sym_BANG_EQ] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5444),
    [anon_sym_GT_EQ] = ACTIONS(5446),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5444),
    [anon_sym_LT_LT] = ACTIONS(5444),
    [anon_sym_GT_GT] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5446),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5446),
    [anon_sym_EQ] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_QMARK] = ACTIONS(5446),
    [anon_sym_STAR_EQ] = ACTIONS(5446),
    [anon_sym_SLASH_EQ] = ACTIONS(5446),
    [anon_sym_PERCENT_EQ] = ACTIONS(5446),
    [anon_sym_PLUS_EQ] = ACTIONS(5446),
    [anon_sym_DASH_EQ] = ACTIONS(5446),
    [anon_sym_LT_LT_EQ] = ACTIONS(5446),
    [anon_sym_GT_GT_EQ] = ACTIONS(5446),
    [anon_sym_AMP_EQ] = ACTIONS(5446),
    [anon_sym_CARET_EQ] = ACTIONS(5446),
    [anon_sym_PIPE_EQ] = ACTIONS(5446),
    [anon_sym_and_eq] = ACTIONS(5444),
    [anon_sym_or_eq] = ACTIONS(5444),
    [anon_sym_xor_eq] = ACTIONS(5444),
    [anon_sym_LT_EQ_GT] = ACTIONS(5446),
    [anon_sym_or] = ACTIONS(5444),
    [anon_sym_and] = ACTIONS(5444),
    [anon_sym_bitor] = ACTIONS(5444),
    [anon_sym_xor] = ACTIONS(5444),
    [anon_sym_bitand] = ACTIONS(5444),
    [anon_sym_not_eq] = ACTIONS(5444),
    [anon_sym_DASH_DASH] = ACTIONS(5446),
    [anon_sym_PLUS_PLUS] = ACTIONS(5446),
    [anon_sym_DOT] = ACTIONS(5444),
    [anon_sym_DOT_STAR] = ACTIONS(5446),
    [anon_sym_DASH_GT] = ACTIONS(5446),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5435),
  },
  [2117] = {
    [sym_catch_clause] = STATE(2123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [aux_sym_preproc_else_token1] = ACTIONS(2830),
    [aux_sym_preproc_elif_token1] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(5423),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [aux_sym_preproc_else_token1] = ACTIONS(2184),
    [aux_sym_preproc_elif_token1] = ACTIONS(2184),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_friend] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
  },
  [2119] = {
    [sym_template_argument_list] = STATE(2173),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5065),
    [anon_sym_COMMA] = ACTIONS(5065),
    [anon_sym_RPAREN] = ACTIONS(5065),
    [aux_sym_preproc_if_token2] = ACTIONS(5065),
    [aux_sym_preproc_else_token1] = ACTIONS(5065),
    [aux_sym_preproc_elif_token1] = ACTIONS(5058),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5065),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5065),
    [anon_sym_LPAREN2] = ACTIONS(5065),
    [anon_sym_DASH] = ACTIONS(5058),
    [anon_sym_PLUS] = ACTIONS(5058),
    [anon_sym_STAR] = ACTIONS(5058),
    [anon_sym_SLASH] = ACTIONS(5058),
    [anon_sym_PERCENT] = ACTIONS(5058),
    [anon_sym_PIPE_PIPE] = ACTIONS(5065),
    [anon_sym_AMP_AMP] = ACTIONS(5065),
    [anon_sym_PIPE] = ACTIONS(5058),
    [anon_sym_CARET] = ACTIONS(5058),
    [anon_sym_AMP] = ACTIONS(5058),
    [anon_sym_EQ_EQ] = ACTIONS(5065),
    [anon_sym_BANG_EQ] = ACTIONS(5065),
    [anon_sym_GT] = ACTIONS(5058),
    [anon_sym_GT_EQ] = ACTIONS(5065),
    [anon_sym_LT_EQ] = ACTIONS(5058),
    [anon_sym_LT] = ACTIONS(5448),
    [anon_sym_LT_LT] = ACTIONS(5058),
    [anon_sym_GT_GT] = ACTIONS(5058),
    [anon_sym_SEMI] = ACTIONS(5065),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5065),
    [anon_sym_RBRACK] = ACTIONS(5065),
    [anon_sym_EQ] = ACTIONS(5058),
    [anon_sym_COLON] = ACTIONS(5058),
    [anon_sym_QMARK] = ACTIONS(5065),
    [anon_sym_STAR_EQ] = ACTIONS(5065),
    [anon_sym_SLASH_EQ] = ACTIONS(5065),
    [anon_sym_PERCENT_EQ] = ACTIONS(5065),
    [anon_sym_PLUS_EQ] = ACTIONS(5065),
    [anon_sym_DASH_EQ] = ACTIONS(5065),
    [anon_sym_LT_LT_EQ] = ACTIONS(5065),
    [anon_sym_GT_GT_EQ] = ACTIONS(5065),
    [anon_sym_AMP_EQ] = ACTIONS(5065),
    [anon_sym_CARET_EQ] = ACTIONS(5065),
    [anon_sym_PIPE_EQ] = ACTIONS(5065),
    [anon_sym_and_eq] = ACTIONS(5058),
    [anon_sym_or_eq] = ACTIONS(5058),
    [anon_sym_xor_eq] = ACTIONS(5058),
    [anon_sym_LT_EQ_GT] = ACTIONS(5065),
    [anon_sym_or] = ACTIONS(5058),
    [anon_sym_and] = ACTIONS(5058),
    [anon_sym_bitor] = ACTIONS(5058),
    [anon_sym_xor] = ACTIONS(5058),
    [anon_sym_bitand] = ACTIONS(5058),
    [anon_sym_not_eq] = ACTIONS(5058),
    [anon_sym_DASH_DASH] = ACTIONS(5065),
    [anon_sym_PLUS_PLUS] = ACTIONS(5065),
    [anon_sym_DOT] = ACTIONS(5058),
    [anon_sym_DOT_STAR] = ACTIONS(5065),
    [anon_sym_DASH_GT] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_final] = ACTIONS(5058),
    [anon_sym_override] = ACTIONS(5058),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2121] = {
    [sym_string_literal] = STATE(2048),
    [sym_raw_string_literal] = STATE(2048),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4105),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2122] = {
    [sym_string_literal] = STATE(2048),
    [sym_raw_string_literal] = STATE(2048),
    [sym_identifier] = ACTIONS(5453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [aux_sym_preproc_if_token2] = ACTIONS(5455),
    [aux_sym_preproc_else_token1] = ACTIONS(5455),
    [aux_sym_preproc_elif_token1] = ACTIONS(5453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5455),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2123] = {
    [sym_catch_clause] = STATE(2123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5457),
  },
  [2124] = {
    [sym_catch_clause] = STATE(2123),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5423),
  },
  [2125] = {
    [sym_template_argument_list] = STATE(2173),
    [sym_identifier] = ACTIONS(5460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4121),
    [anon_sym_COMMA] = ACTIONS(4121),
    [anon_sym_RPAREN] = ACTIONS(4121),
    [aux_sym_preproc_if_token2] = ACTIONS(4121),
    [aux_sym_preproc_else_token1] = ACTIONS(4121),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4121),
    [anon_sym_LPAREN2] = ACTIONS(4121),
    [anon_sym_DASH] = ACTIONS(5460),
    [anon_sym_PLUS] = ACTIONS(5460),
    [anon_sym_STAR] = ACTIONS(5460),
    [anon_sym_SLASH] = ACTIONS(5460),
    [anon_sym_PERCENT] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE] = ACTIONS(4121),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_PIPE] = ACTIONS(5460),
    [anon_sym_CARET] = ACTIONS(5460),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_EQ_EQ] = ACTIONS(4121),
    [anon_sym_BANG_EQ] = ACTIONS(4121),
    [anon_sym_GT] = ACTIONS(5460),
    [anon_sym_GT_EQ] = ACTIONS(4121),
    [anon_sym_LT_EQ] = ACTIONS(5460),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5460),
    [anon_sym_GT_GT] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(4121),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4121),
    [anon_sym_RBRACK] = ACTIONS(4121),
    [anon_sym_EQ] = ACTIONS(5460),
    [anon_sym_COLON] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(4121),
    [anon_sym_STAR_EQ] = ACTIONS(4121),
    [anon_sym_SLASH_EQ] = ACTIONS(4121),
    [anon_sym_PERCENT_EQ] = ACTIONS(4121),
    [anon_sym_PLUS_EQ] = ACTIONS(4121),
    [anon_sym_DASH_EQ] = ACTIONS(4121),
    [anon_sym_LT_LT_EQ] = ACTIONS(4121),
    [anon_sym_GT_GT_EQ] = ACTIONS(4121),
    [anon_sym_AMP_EQ] = ACTIONS(4121),
    [anon_sym_CARET_EQ] = ACTIONS(4121),
    [anon_sym_PIPE_EQ] = ACTIONS(4121),
    [anon_sym_and_eq] = ACTIONS(5460),
    [anon_sym_or_eq] = ACTIONS(5460),
    [anon_sym_xor_eq] = ACTIONS(5460),
    [anon_sym_LT_EQ_GT] = ACTIONS(4121),
    [anon_sym_or] = ACTIONS(5460),
    [anon_sym_and] = ACTIONS(5460),
    [anon_sym_bitor] = ACTIONS(5460),
    [anon_sym_xor] = ACTIONS(5460),
    [anon_sym_bitand] = ACTIONS(5460),
    [anon_sym_not_eq] = ACTIONS(5460),
    [anon_sym_DASH_DASH] = ACTIONS(4121),
    [anon_sym_PLUS_PLUS] = ACTIONS(4121),
    [anon_sym_DOT] = ACTIONS(5460),
    [anon_sym_DOT_STAR] = ACTIONS(4121),
    [anon_sym_DASH_GT] = ACTIONS(4121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_final] = ACTIONS(5460),
    [anon_sym_override] = ACTIONS(5460),
  },
  [2126] = {
    [sym_argument_list] = STATE(2882),
    [sym_initializer_list] = STATE(2882),
    [sym_decltype_auto] = STATE(2568),
    [sym_new_declarator] = STATE(2489),
    [sym_identifier] = ACTIONS(5464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5466),
    [anon_sym_COMMA] = ACTIONS(5466),
    [anon_sym_RPAREN] = ACTIONS(5466),
    [aux_sym_preproc_if_token2] = ACTIONS(5466),
    [aux_sym_preproc_else_token1] = ACTIONS(5466),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5466),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5466),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5464),
    [anon_sym_STAR] = ACTIONS(5464),
    [anon_sym_SLASH] = ACTIONS(5464),
    [anon_sym_PERCENT] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_PIPE] = ACTIONS(5464),
    [anon_sym_CARET] = ACTIONS(5464),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym_EQ_EQ] = ACTIONS(5466),
    [anon_sym_BANG_EQ] = ACTIONS(5466),
    [anon_sym_GT] = ACTIONS(5464),
    [anon_sym_GT_EQ] = ACTIONS(5466),
    [anon_sym_LT_EQ] = ACTIONS(5464),
    [anon_sym_LT] = ACTIONS(5464),
    [anon_sym_LT_LT] = ACTIONS(5464),
    [anon_sym_GT_GT] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5466),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5431),
    [anon_sym_RBRACK] = ACTIONS(5466),
    [anon_sym_EQ] = ACTIONS(5464),
    [anon_sym_COLON] = ACTIONS(5466),
    [anon_sym_QMARK] = ACTIONS(5466),
    [anon_sym_STAR_EQ] = ACTIONS(5466),
    [anon_sym_SLASH_EQ] = ACTIONS(5466),
    [anon_sym_PERCENT_EQ] = ACTIONS(5466),
    [anon_sym_PLUS_EQ] = ACTIONS(5466),
    [anon_sym_DASH_EQ] = ACTIONS(5466),
    [anon_sym_LT_LT_EQ] = ACTIONS(5466),
    [anon_sym_GT_GT_EQ] = ACTIONS(5466),
    [anon_sym_AMP_EQ] = ACTIONS(5466),
    [anon_sym_CARET_EQ] = ACTIONS(5466),
    [anon_sym_PIPE_EQ] = ACTIONS(5466),
    [anon_sym_and_eq] = ACTIONS(5464),
    [anon_sym_or_eq] = ACTIONS(5464),
    [anon_sym_xor_eq] = ACTIONS(5464),
    [anon_sym_LT_EQ_GT] = ACTIONS(5466),
    [anon_sym_or] = ACTIONS(5464),
    [anon_sym_and] = ACTIONS(5464),
    [anon_sym_bitor] = ACTIONS(5464),
    [anon_sym_xor] = ACTIONS(5464),
    [anon_sym_bitand] = ACTIONS(5464),
    [anon_sym_not_eq] = ACTIONS(5464),
    [anon_sym_DASH_DASH] = ACTIONS(5466),
    [anon_sym_PLUS_PLUS] = ACTIONS(5466),
    [anon_sym_DOT] = ACTIONS(5464),
    [anon_sym_DOT_STAR] = ACTIONS(5466),
    [anon_sym_DASH_GT] = ACTIONS(5466),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5435),
  },
  [2127] = {
    [sym_string_literal] = STATE(3779),
    [sym_template_argument_list] = STATE(4892),
    [sym_raw_string_literal] = STATE(3779),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5468),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5471),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5473),
    [anon_sym_SLASH_EQ] = ACTIONS(5473),
    [anon_sym_PERCENT_EQ] = ACTIONS(5473),
    [anon_sym_PLUS_EQ] = ACTIONS(5473),
    [anon_sym_DASH_EQ] = ACTIONS(5473),
    [anon_sym_LT_LT_EQ] = ACTIONS(5473),
    [anon_sym_GT_GT_EQ] = ACTIONS(5473),
    [anon_sym_AMP_EQ] = ACTIONS(5473),
    [anon_sym_CARET_EQ] = ACTIONS(5473),
    [anon_sym_PIPE_EQ] = ACTIONS(5473),
    [anon_sym_and_eq] = ACTIONS(5471),
    [anon_sym_or_eq] = ACTIONS(5471),
    [anon_sym_xor_eq] = ACTIONS(5471),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3761),
    [anon_sym_u_DQUOTE] = ACTIONS(3761),
    [anon_sym_U_DQUOTE] = ACTIONS(3761),
    [anon_sym_u8_DQUOTE] = ACTIONS(3761),
    [anon_sym_DQUOTE] = ACTIONS(3761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3769),
    [anon_sym_LR_DQUOTE] = ACTIONS(3769),
    [anon_sym_uR_DQUOTE] = ACTIONS(3769),
    [anon_sym_UR_DQUOTE] = ACTIONS(3769),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3769),
  },
  [2128] = {
    [sym_string_literal] = STATE(2132),
    [sym_template_argument_list] = STATE(3383),
    [sym_raw_string_literal] = STATE(2132),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5475),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
  },
  [2129] = {
    [sym_string_literal] = STATE(2048),
    [sym_template_argument_list] = STATE(2603),
    [sym_raw_string_literal] = STATE(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5237),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5077),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5077),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5077),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5077),
    [anon_sym_GT_GT] = ACTIONS(5077),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___extension__] = ACTIONS(5075),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym___based] = ACTIONS(5075),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_signed] = ACTIONS(5075),
    [anon_sym_unsigned] = ACTIONS(5075),
    [anon_sym_long] = ACTIONS(5075),
    [anon_sym_short] = ACTIONS(5075),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_RBRACK] = ACTIONS(5077),
    [anon_sym_const] = ACTIONS(5075),
    [anon_sym_constexpr] = ACTIONS(5075),
    [anon_sym_volatile] = ACTIONS(5075),
    [anon_sym_restrict] = ACTIONS(5075),
    [anon_sym___restrict__] = ACTIONS(5075),
    [anon_sym__Atomic] = ACTIONS(5075),
    [anon_sym__Noreturn] = ACTIONS(5075),
    [anon_sym_noreturn] = ACTIONS(5075),
    [anon_sym_mutable] = ACTIONS(5075),
    [anon_sym_constinit] = ACTIONS(5075),
    [anon_sym_consteval] = ACTIONS(5075),
    [sym_primitive_type] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
    [anon_sym_requires] = ACTIONS(5075),
  },
  [2132] = {
    [sym_string_literal] = STATE(2138),
    [sym_raw_string_literal] = STATE(2138),
    [aux_sym_concatenated_string_repeat1] = STATE(2138),
    [sym_identifier] = ACTIONS(5482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [aux_sym_preproc_if_token2] = ACTIONS(5309),
    [aux_sym_preproc_else_token1] = ACTIONS(5309),
    [aux_sym_preproc_elif_token1] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5311),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [2136] = {
    [sym_template_argument_list] = STATE(2315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5062),
    [anon_sym_COMMA] = ACTIONS(5062),
    [anon_sym_LPAREN2] = ACTIONS(5062),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5069),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5062),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5069),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5067),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(5065),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5065),
    [anon_sym_volatile] = ACTIONS(5065),
    [anon_sym_restrict] = ACTIONS(5065),
    [anon_sym___restrict__] = ACTIONS(5065),
    [anon_sym__Atomic] = ACTIONS(5065),
    [anon_sym__Noreturn] = ACTIONS(5065),
    [anon_sym_noreturn] = ACTIONS(5065),
    [anon_sym_mutable] = ACTIONS(5065),
    [anon_sym_constinit] = ACTIONS(5065),
    [anon_sym_consteval] = ACTIONS(5065),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5067),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5060),
    [anon_sym_or_eq] = ACTIONS(5060),
    [anon_sym_xor_eq] = ACTIONS(5060),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5060),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5060),
    [anon_sym_not_eq] = ACTIONS(5060),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5065),
    [anon_sym_decltype] = ACTIONS(5065),
    [anon_sym_GT2] = ACTIONS(5062),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(5491),
    [aux_sym_preproc_def_token1] = ACTIONS(5491),
    [aux_sym_preproc_if_token1] = ACTIONS(5491),
    [aux_sym_preproc_if_token2] = ACTIONS(5491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5491),
    [aux_sym_preproc_else_token1] = ACTIONS(5491),
    [aux_sym_preproc_elif_token1] = ACTIONS(5491),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5491),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5491),
    [sym_preproc_directive] = ACTIONS(5491),
    [anon_sym_LPAREN2] = ACTIONS(5493),
    [anon_sym_TILDE] = ACTIONS(5493),
    [anon_sym_STAR] = ACTIONS(5493),
    [anon_sym_AMP_AMP] = ACTIONS(5493),
    [anon_sym_AMP] = ACTIONS(5491),
    [anon_sym___extension__] = ACTIONS(5491),
    [anon_sym_typedef] = ACTIONS(5491),
    [anon_sym_extern] = ACTIONS(5491),
    [anon_sym___attribute__] = ACTIONS(5491),
    [anon_sym_COLON_COLON] = ACTIONS(5493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5493),
    [anon_sym___declspec] = ACTIONS(5491),
    [anon_sym___based] = ACTIONS(5491),
    [anon_sym_signed] = ACTIONS(5491),
    [anon_sym_unsigned] = ACTIONS(5491),
    [anon_sym_long] = ACTIONS(5491),
    [anon_sym_short] = ACTIONS(5491),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [anon_sym_static] = ACTIONS(5491),
    [anon_sym_register] = ACTIONS(5491),
    [anon_sym_inline] = ACTIONS(5491),
    [anon_sym___inline] = ACTIONS(5491),
    [anon_sym___inline__] = ACTIONS(5491),
    [anon_sym___forceinline] = ACTIONS(5491),
    [anon_sym_thread_local] = ACTIONS(5491),
    [anon_sym___thread] = ACTIONS(5491),
    [anon_sym_const] = ACTIONS(5491),
    [anon_sym_constexpr] = ACTIONS(5491),
    [anon_sym_volatile] = ACTIONS(5491),
    [anon_sym_restrict] = ACTIONS(5491),
    [anon_sym___restrict__] = ACTIONS(5491),
    [anon_sym__Atomic] = ACTIONS(5491),
    [anon_sym__Noreturn] = ACTIONS(5491),
    [anon_sym_noreturn] = ACTIONS(5491),
    [anon_sym_mutable] = ACTIONS(5491),
    [anon_sym_constinit] = ACTIONS(5491),
    [anon_sym_consteval] = ACTIONS(5491),
    [sym_primitive_type] = ACTIONS(5491),
    [anon_sym_enum] = ACTIONS(5491),
    [anon_sym_class] = ACTIONS(5491),
    [anon_sym_struct] = ACTIONS(5491),
    [anon_sym_union] = ACTIONS(5491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5491),
    [anon_sym_decltype] = ACTIONS(5491),
    [anon_sym_virtual] = ACTIONS(5491),
    [anon_sym_alignas] = ACTIONS(5491),
    [anon_sym_explicit] = ACTIONS(5491),
    [anon_sym_typename] = ACTIONS(5491),
    [anon_sym_template] = ACTIONS(5491),
    [anon_sym_operator] = ACTIONS(5491),
    [anon_sym_friend] = ACTIONS(5491),
    [anon_sym_public] = ACTIONS(5491),
    [anon_sym_private] = ACTIONS(5491),
    [anon_sym_protected] = ACTIONS(5491),
    [anon_sym_using] = ACTIONS(5491),
    [anon_sym_static_assert] = ACTIONS(5491),
  },
  [2138] = {
    [sym_string_literal] = STATE(2142),
    [sym_raw_string_literal] = STATE(2142),
    [aux_sym_concatenated_string_repeat1] = STATE(2142),
    [sym_identifier] = ACTIONS(5495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [aux_sym_preproc_if_token2] = ACTIONS(5323),
    [aux_sym_preproc_else_token1] = ACTIONS(5323),
    [aux_sym_preproc_elif_token1] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5325),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5323),
    [anon_sym_STAR_EQ] = ACTIONS(5323),
    [anon_sym_SLASH_EQ] = ACTIONS(5323),
    [anon_sym_PERCENT_EQ] = ACTIONS(5323),
    [anon_sym_PLUS_EQ] = ACTIONS(5323),
    [anon_sym_DASH_EQ] = ACTIONS(5323),
    [anon_sym_LT_LT_EQ] = ACTIONS(5323),
    [anon_sym_GT_GT_EQ] = ACTIONS(5323),
    [anon_sym_AMP_EQ] = ACTIONS(5323),
    [anon_sym_CARET_EQ] = ACTIONS(5323),
    [anon_sym_PIPE_EQ] = ACTIONS(5323),
    [anon_sym_and_eq] = ACTIONS(5325),
    [anon_sym_or_eq] = ACTIONS(5325),
    [anon_sym_xor_eq] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_and] = ACTIONS(5325),
    [anon_sym_bitor] = ACTIONS(5325),
    [anon_sym_xor] = ACTIONS(5325),
    [anon_sym_bitand] = ACTIONS(5325),
    [anon_sym_not_eq] = ACTIONS(5325),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_DOT_STAR] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5325),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_friend] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_friend] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5093),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym___based] = ACTIONS(5091),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_RBRACE] = ACTIONS(5093),
    [anon_sym_signed] = ACTIONS(5091),
    [anon_sym_unsigned] = ACTIONS(5091),
    [anon_sym_long] = ACTIONS(5091),
    [anon_sym_short] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5093),
    [anon_sym_RBRACK] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5091),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [sym_primitive_type] = ACTIONS(5091),
    [anon_sym_COLON] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_final] = ACTIONS(5091),
    [anon_sym_override] = ACTIONS(5091),
    [anon_sym_requires] = ACTIONS(5091),
  },
  [2142] = {
    [sym_string_literal] = STATE(2142),
    [sym_raw_string_literal] = STATE(2142),
    [aux_sym_concatenated_string_repeat1] = STATE(2142),
    [sym_identifier] = ACTIONS(5497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [aux_sym_preproc_if_token2] = ACTIONS(5255),
    [aux_sym_preproc_else_token1] = ACTIONS(5255),
    [aux_sym_preproc_elif_token1] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(5500),
    [anon_sym_u_DQUOTE] = ACTIONS(5500),
    [anon_sym_U_DQUOTE] = ACTIONS(5500),
    [anon_sym_u8_DQUOTE] = ACTIONS(5500),
    [anon_sym_DQUOTE] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5503),
    [anon_sym_LR_DQUOTE] = ACTIONS(5503),
    [anon_sym_uR_DQUOTE] = ACTIONS(5503),
    [anon_sym_UR_DQUOTE] = ACTIONS(5503),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5503),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_friend] = ACTIONS(2893),
    [anon_sym_public] = ACTIONS(2893),
    [anon_sym_private] = ACTIONS(2893),
    [anon_sym_protected] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [aux_sym_preproc_if_token2] = ACTIONS(5089),
    [aux_sym_preproc_else_token1] = ACTIONS(5089),
    [aux_sym_preproc_elif_token1] = ACTIONS(5087),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5087),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5087),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5087),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5087),
    [anon_sym_GT_GT] = ACTIONS(5087),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_RBRACE] = ACTIONS(5089),
    [anon_sym_LBRACK] = ACTIONS(5089),
    [anon_sym_RBRACK] = ACTIONS(5089),
    [anon_sym_EQ] = ACTIONS(5087),
    [anon_sym_COLON] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_STAR_EQ] = ACTIONS(5089),
    [anon_sym_SLASH_EQ] = ACTIONS(5089),
    [anon_sym_PERCENT_EQ] = ACTIONS(5089),
    [anon_sym_PLUS_EQ] = ACTIONS(5089),
    [anon_sym_DASH_EQ] = ACTIONS(5089),
    [anon_sym_LT_LT_EQ] = ACTIONS(5089),
    [anon_sym_GT_GT_EQ] = ACTIONS(5089),
    [anon_sym_AMP_EQ] = ACTIONS(5089),
    [anon_sym_CARET_EQ] = ACTIONS(5089),
    [anon_sym_PIPE_EQ] = ACTIONS(5089),
    [anon_sym_and_eq] = ACTIONS(5087),
    [anon_sym_or_eq] = ACTIONS(5087),
    [anon_sym_xor_eq] = ACTIONS(5087),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_final] = ACTIONS(5087),
    [anon_sym_override] = ACTIONS(5087),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_friend] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_friend] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
  },
  [2148] = {
    [sym_type_qualifier] = STATE(2148),
    [aux_sym__type_definition_type_repeat1] = STATE(2148),
    [sym_identifier] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5508),
    [anon_sym_BANG] = ACTIONS(5508),
    [anon_sym_TILDE] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5506),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym___extension__] = ACTIONS(5510),
    [anon_sym_COLON_COLON] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5508),
    [anon_sym_RBRACK] = ACTIONS(5508),
    [anon_sym_const] = ACTIONS(5510),
    [anon_sym_constexpr] = ACTIONS(5510),
    [anon_sym_volatile] = ACTIONS(5510),
    [anon_sym_restrict] = ACTIONS(5510),
    [anon_sym___restrict__] = ACTIONS(5510),
    [anon_sym__Atomic] = ACTIONS(5510),
    [anon_sym__Noreturn] = ACTIONS(5510),
    [anon_sym_noreturn] = ACTIONS(5510),
    [anon_sym_mutable] = ACTIONS(5510),
    [anon_sym_constinit] = ACTIONS(5510),
    [anon_sym_consteval] = ACTIONS(5510),
    [sym_primitive_type] = ACTIONS(5506),
    [anon_sym_not] = ACTIONS(5506),
    [anon_sym_compl] = ACTIONS(5506),
    [anon_sym_DASH_DASH] = ACTIONS(5508),
    [anon_sym_PLUS_PLUS] = ACTIONS(5508),
    [anon_sym_sizeof] = ACTIONS(5506),
    [anon_sym___alignof__] = ACTIONS(5506),
    [anon_sym___alignof] = ACTIONS(5506),
    [anon_sym__alignof] = ACTIONS(5506),
    [anon_sym_alignof] = ACTIONS(5506),
    [anon_sym__Alignof] = ACTIONS(5506),
    [anon_sym_offsetof] = ACTIONS(5506),
    [anon_sym__Generic] = ACTIONS(5506),
    [anon_sym_asm] = ACTIONS(5506),
    [anon_sym___asm__] = ACTIONS(5506),
    [sym_number_literal] = ACTIONS(5508),
    [anon_sym_L_SQUOTE] = ACTIONS(5508),
    [anon_sym_u_SQUOTE] = ACTIONS(5508),
    [anon_sym_U_SQUOTE] = ACTIONS(5508),
    [anon_sym_u8_SQUOTE] = ACTIONS(5508),
    [anon_sym_SQUOTE] = ACTIONS(5508),
    [anon_sym_L_DQUOTE] = ACTIONS(5508),
    [anon_sym_u_DQUOTE] = ACTIONS(5508),
    [anon_sym_U_DQUOTE] = ACTIONS(5508),
    [anon_sym_u8_DQUOTE] = ACTIONS(5508),
    [anon_sym_DQUOTE] = ACTIONS(5508),
    [sym_true] = ACTIONS(5506),
    [sym_false] = ACTIONS(5506),
    [anon_sym_NULL] = ACTIONS(5506),
    [anon_sym_nullptr] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5506),
    [anon_sym_template] = ACTIONS(5506),
    [anon_sym_delete] = ACTIONS(5506),
    [anon_sym_R_DQUOTE] = ACTIONS(5508),
    [anon_sym_LR_DQUOTE] = ACTIONS(5508),
    [anon_sym_uR_DQUOTE] = ACTIONS(5508),
    [anon_sym_UR_DQUOTE] = ACTIONS(5508),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5508),
    [anon_sym_co_await] = ACTIONS(5506),
    [anon_sym_new] = ACTIONS(5506),
    [anon_sym_requires] = ACTIONS(5506),
    [sym_this] = ACTIONS(5506),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [aux_sym_preproc_if_token2] = ACTIONS(5097),
    [aux_sym_preproc_else_token1] = ACTIONS(5097),
    [aux_sym_preproc_elif_token1] = ACTIONS(5095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5097),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5095),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5095),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5095),
    [anon_sym_GT_GT] = ACTIONS(5095),
    [anon_sym_SEMI] = ACTIONS(5097),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(5097),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_RBRACK] = ACTIONS(5097),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_COLON] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_STAR_EQ] = ACTIONS(5097),
    [anon_sym_SLASH_EQ] = ACTIONS(5097),
    [anon_sym_PERCENT_EQ] = ACTIONS(5097),
    [anon_sym_PLUS_EQ] = ACTIONS(5097),
    [anon_sym_DASH_EQ] = ACTIONS(5097),
    [anon_sym_LT_LT_EQ] = ACTIONS(5097),
    [anon_sym_GT_GT_EQ] = ACTIONS(5097),
    [anon_sym_AMP_EQ] = ACTIONS(5097),
    [anon_sym_CARET_EQ] = ACTIONS(5097),
    [anon_sym_PIPE_EQ] = ACTIONS(5097),
    [anon_sym_and_eq] = ACTIONS(5095),
    [anon_sym_or_eq] = ACTIONS(5095),
    [anon_sym_xor_eq] = ACTIONS(5095),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_final] = ACTIONS(5095),
    [anon_sym_override] = ACTIONS(5095),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [aux_sym_preproc_else_token1] = ACTIONS(3324),
    [aux_sym_preproc_elif_token1] = ACTIONS(3324),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_friend] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
  },
  [2151] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5105),
    [anon_sym_COMMA] = ACTIONS(5105),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5110),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5110),
    [anon_sym_volatile] = ACTIONS(5110),
    [anon_sym_restrict] = ACTIONS(5110),
    [anon_sym___restrict__] = ACTIONS(5110),
    [anon_sym__Atomic] = ACTIONS(5110),
    [anon_sym__Noreturn] = ACTIONS(5110),
    [anon_sym_noreturn] = ACTIONS(5110),
    [anon_sym_mutable] = ACTIONS(5110),
    [anon_sym_constinit] = ACTIONS(5110),
    [anon_sym_consteval] = ACTIONS(5110),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5110),
    [anon_sym_decltype] = ACTIONS(5110),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5105),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token2] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [aux_sym_preproc_else_token1] = ACTIONS(3353),
    [aux_sym_preproc_elif_token1] = ACTIONS(3353),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_friend] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5513),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_friend] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_friend] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_friend] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(5519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5521),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5521),
    [anon_sym_DASH] = ACTIONS(5519),
    [anon_sym_PLUS] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5521),
    [anon_sym_SLASH] = ACTIONS(5519),
    [anon_sym_PERCENT] = ACTIONS(5521),
    [anon_sym_PIPE_PIPE] = ACTIONS(5521),
    [anon_sym_AMP_AMP] = ACTIONS(5521),
    [anon_sym_PIPE] = ACTIONS(5519),
    [anon_sym_CARET] = ACTIONS(5521),
    [anon_sym_AMP] = ACTIONS(5519),
    [anon_sym_EQ_EQ] = ACTIONS(5521),
    [anon_sym_BANG_EQ] = ACTIONS(5521),
    [anon_sym_GT] = ACTIONS(5519),
    [anon_sym_GT_EQ] = ACTIONS(5521),
    [anon_sym_LT_EQ] = ACTIONS(5519),
    [anon_sym_LT] = ACTIONS(5519),
    [anon_sym_LT_LT] = ACTIONS(5521),
    [anon_sym_GT_GT] = ACTIONS(5521),
    [anon_sym_SEMI] = ACTIONS(5521),
    [anon_sym___extension__] = ACTIONS(5519),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5519),
    [anon_sym_LBRACE] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5521),
    [anon_sym_signed] = ACTIONS(5519),
    [anon_sym_unsigned] = ACTIONS(5519),
    [anon_sym_long] = ACTIONS(5519),
    [anon_sym_short] = ACTIONS(5519),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_RBRACK] = ACTIONS(5521),
    [anon_sym_const] = ACTIONS(5519),
    [anon_sym_constexpr] = ACTIONS(5519),
    [anon_sym_volatile] = ACTIONS(5519),
    [anon_sym_restrict] = ACTIONS(5519),
    [anon_sym___restrict__] = ACTIONS(5519),
    [anon_sym__Atomic] = ACTIONS(5519),
    [anon_sym__Noreturn] = ACTIONS(5519),
    [anon_sym_noreturn] = ACTIONS(5519),
    [anon_sym_mutable] = ACTIONS(5519),
    [anon_sym_constinit] = ACTIONS(5519),
    [anon_sym_consteval] = ACTIONS(5519),
    [sym_primitive_type] = ACTIONS(5519),
    [anon_sym_COLON] = ACTIONS(5519),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_LT_EQ_GT] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5519),
    [anon_sym_and] = ACTIONS(5519),
    [anon_sym_bitor] = ACTIONS(5519),
    [anon_sym_xor] = ACTIONS(5519),
    [anon_sym_bitand] = ACTIONS(5519),
    [anon_sym_not_eq] = ACTIONS(5519),
    [anon_sym_DASH_DASH] = ACTIONS(5521),
    [anon_sym_PLUS_PLUS] = ACTIONS(5521),
    [anon_sym_DOT] = ACTIONS(5519),
    [anon_sym_DOT_STAR] = ACTIONS(5521),
    [anon_sym_DASH_GT] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5519),
    [anon_sym_decltype] = ACTIONS(5519),
    [anon_sym_final] = ACTIONS(5519),
    [anon_sym_override] = ACTIONS(5519),
    [anon_sym_requires] = ACTIONS(5519),
  },
  [2159] = {
    [sym_string_literal] = STATE(2340),
    [sym_template_argument_list] = STATE(3599),
    [sym_raw_string_literal] = STATE(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5151),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [2160] = {
    [sym_string_literal] = STATE(2340),
    [sym_template_argument_list] = STATE(3500),
    [sym_raw_string_literal] = STATE(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(5523),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5140),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [aux_sym_preproc_else_token1] = ACTIONS(3288),
    [aux_sym_preproc_elif_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_friend] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2163] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2164] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2165] = {
    [sym_string_literal] = STATE(2048),
    [sym_template_argument_list] = STATE(3219),
    [sym_raw_string_literal] = STATE(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(5523),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5532),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5143),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2166] = {
    [sym_decltype_auto] = STATE(2345),
    [sym_identifier] = ACTIONS(5535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5537),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5537),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5537),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5537),
    [anon_sym_GT_GT] = ACTIONS(5537),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym___based] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_signed] = ACTIONS(5535),
    [anon_sym_unsigned] = ACTIONS(5535),
    [anon_sym_long] = ACTIONS(5535),
    [anon_sym_short] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_const] = ACTIONS(5535),
    [anon_sym_constexpr] = ACTIONS(5535),
    [anon_sym_volatile] = ACTIONS(5535),
    [anon_sym_restrict] = ACTIONS(5535),
    [anon_sym___restrict__] = ACTIONS(5535),
    [anon_sym__Atomic] = ACTIONS(5535),
    [anon_sym__Noreturn] = ACTIONS(5535),
    [anon_sym_noreturn] = ACTIONS(5535),
    [anon_sym_mutable] = ACTIONS(5535),
    [anon_sym_constinit] = ACTIONS(5535),
    [anon_sym_consteval] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5539),
    [anon_sym_decltype] = ACTIONS(5541),
    [anon_sym_final] = ACTIONS(5535),
    [anon_sym_override] = ACTIONS(5535),
    [anon_sym_requires] = ACTIONS(5535),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5085),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5085),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5085),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5085),
    [anon_sym_GT_GT] = ACTIONS(5085),
    [anon_sym_SEMI] = ACTIONS(5085),
    [anon_sym___extension__] = ACTIONS(5083),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym___based] = ACTIONS(5083),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5085),
    [anon_sym_signed] = ACTIONS(5083),
    [anon_sym_unsigned] = ACTIONS(5083),
    [anon_sym_long] = ACTIONS(5083),
    [anon_sym_short] = ACTIONS(5083),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_RBRACK] = ACTIONS(5085),
    [anon_sym_const] = ACTIONS(5083),
    [anon_sym_constexpr] = ACTIONS(5083),
    [anon_sym_volatile] = ACTIONS(5083),
    [anon_sym_restrict] = ACTIONS(5083),
    [anon_sym___restrict__] = ACTIONS(5083),
    [anon_sym__Atomic] = ACTIONS(5083),
    [anon_sym__Noreturn] = ACTIONS(5083),
    [anon_sym_noreturn] = ACTIONS(5083),
    [anon_sym_mutable] = ACTIONS(5083),
    [anon_sym_constinit] = ACTIONS(5083),
    [anon_sym_consteval] = ACTIONS(5083),
    [sym_primitive_type] = ACTIONS(5083),
    [anon_sym_COLON] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_final] = ACTIONS(5083),
    [anon_sym_override] = ACTIONS(5083),
    [anon_sym_requires] = ACTIONS(5083),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5081),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5081),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5081),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5081),
    [anon_sym_GT_GT] = ACTIONS(5081),
    [anon_sym_SEMI] = ACTIONS(5081),
    [anon_sym___extension__] = ACTIONS(5079),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym___based] = ACTIONS(5079),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5081),
    [anon_sym_signed] = ACTIONS(5079),
    [anon_sym_unsigned] = ACTIONS(5079),
    [anon_sym_long] = ACTIONS(5079),
    [anon_sym_short] = ACTIONS(5079),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_RBRACK] = ACTIONS(5081),
    [anon_sym_const] = ACTIONS(5079),
    [anon_sym_constexpr] = ACTIONS(5079),
    [anon_sym_volatile] = ACTIONS(5079),
    [anon_sym_restrict] = ACTIONS(5079),
    [anon_sym___restrict__] = ACTIONS(5079),
    [anon_sym__Atomic] = ACTIONS(5079),
    [anon_sym__Noreturn] = ACTIONS(5079),
    [anon_sym_noreturn] = ACTIONS(5079),
    [anon_sym_mutable] = ACTIONS(5079),
    [anon_sym_constinit] = ACTIONS(5079),
    [anon_sym_consteval] = ACTIONS(5079),
    [sym_primitive_type] = ACTIONS(5079),
    [anon_sym_COLON] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_final] = ACTIONS(5079),
    [anon_sym_override] = ACTIONS(5079),
    [anon_sym_requires] = ACTIONS(5079),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(5075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5077),
    [anon_sym_COMMA] = ACTIONS(5077),
    [anon_sym_RPAREN] = ACTIONS(5077),
    [aux_sym_preproc_if_token2] = ACTIONS(5077),
    [aux_sym_preproc_else_token1] = ACTIONS(5077),
    [aux_sym_preproc_elif_token1] = ACTIONS(5075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5077),
    [anon_sym_LPAREN2] = ACTIONS(5077),
    [anon_sym_DASH] = ACTIONS(5075),
    [anon_sym_PLUS] = ACTIONS(5075),
    [anon_sym_STAR] = ACTIONS(5075),
    [anon_sym_SLASH] = ACTIONS(5075),
    [anon_sym_PERCENT] = ACTIONS(5075),
    [anon_sym_PIPE_PIPE] = ACTIONS(5077),
    [anon_sym_AMP_AMP] = ACTIONS(5077),
    [anon_sym_PIPE] = ACTIONS(5075),
    [anon_sym_CARET] = ACTIONS(5075),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym_EQ_EQ] = ACTIONS(5077),
    [anon_sym_BANG_EQ] = ACTIONS(5077),
    [anon_sym_GT] = ACTIONS(5075),
    [anon_sym_GT_EQ] = ACTIONS(5077),
    [anon_sym_LT_EQ] = ACTIONS(5075),
    [anon_sym_LT] = ACTIONS(5075),
    [anon_sym_LT_LT] = ACTIONS(5075),
    [anon_sym_GT_GT] = ACTIONS(5075),
    [anon_sym_SEMI] = ACTIONS(5077),
    [anon_sym___attribute__] = ACTIONS(5075),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACE] = ACTIONS(5077),
    [anon_sym_RBRACE] = ACTIONS(5077),
    [anon_sym_LBRACK] = ACTIONS(5077),
    [anon_sym_RBRACK] = ACTIONS(5077),
    [anon_sym_EQ] = ACTIONS(5075),
    [anon_sym_COLON] = ACTIONS(5075),
    [anon_sym_QMARK] = ACTIONS(5077),
    [anon_sym_STAR_EQ] = ACTIONS(5077),
    [anon_sym_SLASH_EQ] = ACTIONS(5077),
    [anon_sym_PERCENT_EQ] = ACTIONS(5077),
    [anon_sym_PLUS_EQ] = ACTIONS(5077),
    [anon_sym_DASH_EQ] = ACTIONS(5077),
    [anon_sym_LT_LT_EQ] = ACTIONS(5077),
    [anon_sym_GT_GT_EQ] = ACTIONS(5077),
    [anon_sym_AMP_EQ] = ACTIONS(5077),
    [anon_sym_CARET_EQ] = ACTIONS(5077),
    [anon_sym_PIPE_EQ] = ACTIONS(5077),
    [anon_sym_and_eq] = ACTIONS(5075),
    [anon_sym_or_eq] = ACTIONS(5075),
    [anon_sym_xor_eq] = ACTIONS(5075),
    [anon_sym_LT_EQ_GT] = ACTIONS(5077),
    [anon_sym_or] = ACTIONS(5075),
    [anon_sym_and] = ACTIONS(5075),
    [anon_sym_bitor] = ACTIONS(5075),
    [anon_sym_xor] = ACTIONS(5075),
    [anon_sym_bitand] = ACTIONS(5075),
    [anon_sym_not_eq] = ACTIONS(5075),
    [anon_sym_DASH_DASH] = ACTIONS(5077),
    [anon_sym_PLUS_PLUS] = ACTIONS(5077),
    [anon_sym_DOT] = ACTIONS(5075),
    [anon_sym_DOT_STAR] = ACTIONS(5077),
    [anon_sym_DASH_GT] = ACTIONS(5077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5075),
    [anon_sym_decltype] = ACTIONS(5075),
    [anon_sym_final] = ACTIONS(5075),
    [anon_sym_override] = ACTIONS(5075),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym_SEMI] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5099),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym___based] = ACTIONS(5099),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_RBRACE] = ACTIONS(5101),
    [anon_sym_signed] = ACTIONS(5099),
    [anon_sym_unsigned] = ACTIONS(5099),
    [anon_sym_long] = ACTIONS(5099),
    [anon_sym_short] = ACTIONS(5099),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_RBRACK] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5099),
    [anon_sym_constexpr] = ACTIONS(5099),
    [anon_sym_volatile] = ACTIONS(5099),
    [anon_sym_restrict] = ACTIONS(5099),
    [anon_sym___restrict__] = ACTIONS(5099),
    [anon_sym__Atomic] = ACTIONS(5099),
    [anon_sym__Noreturn] = ACTIONS(5099),
    [anon_sym_noreturn] = ACTIONS(5099),
    [anon_sym_mutable] = ACTIONS(5099),
    [anon_sym_constinit] = ACTIONS(5099),
    [anon_sym_consteval] = ACTIONS(5099),
    [sym_primitive_type] = ACTIONS(5099),
    [anon_sym_COLON] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_final] = ACTIONS(5099),
    [anon_sym_override] = ACTIONS(5099),
    [anon_sym_requires] = ACTIONS(5099),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_friend] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_friend] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [aux_sym_preproc_if_token2] = ACTIONS(5110),
    [aux_sym_preproc_else_token1] = ACTIONS(5110),
    [aux_sym_preproc_elif_token1] = ACTIONS(5103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5110),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5103),
    [anon_sym_PLUS] = ACTIONS(5103),
    [anon_sym_STAR] = ACTIONS(5103),
    [anon_sym_SLASH] = ACTIONS(5103),
    [anon_sym_PERCENT] = ACTIONS(5103),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_PIPE] = ACTIONS(5103),
    [anon_sym_CARET] = ACTIONS(5103),
    [anon_sym_AMP] = ACTIONS(5103),
    [anon_sym_EQ_EQ] = ACTIONS(5110),
    [anon_sym_BANG_EQ] = ACTIONS(5110),
    [anon_sym_GT] = ACTIONS(5103),
    [anon_sym_GT_EQ] = ACTIONS(5110),
    [anon_sym_LT_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(5103),
    [anon_sym_LT_LT] = ACTIONS(5103),
    [anon_sym_GT_GT] = ACTIONS(5103),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_RBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_RBRACK] = ACTIONS(5110),
    [anon_sym_EQ] = ACTIONS(5103),
    [anon_sym_COLON] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5110),
    [anon_sym_STAR_EQ] = ACTIONS(5110),
    [anon_sym_SLASH_EQ] = ACTIONS(5110),
    [anon_sym_PERCENT_EQ] = ACTIONS(5110),
    [anon_sym_PLUS_EQ] = ACTIONS(5110),
    [anon_sym_DASH_EQ] = ACTIONS(5110),
    [anon_sym_LT_LT_EQ] = ACTIONS(5110),
    [anon_sym_GT_GT_EQ] = ACTIONS(5110),
    [anon_sym_AMP_EQ] = ACTIONS(5110),
    [anon_sym_CARET_EQ] = ACTIONS(5110),
    [anon_sym_PIPE_EQ] = ACTIONS(5110),
    [anon_sym_and_eq] = ACTIONS(5103),
    [anon_sym_or_eq] = ACTIONS(5103),
    [anon_sym_xor_eq] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5110),
    [anon_sym_or] = ACTIONS(5103),
    [anon_sym_and] = ACTIONS(5103),
    [anon_sym_bitor] = ACTIONS(5103),
    [anon_sym_xor] = ACTIONS(5103),
    [anon_sym_bitand] = ACTIONS(5103),
    [anon_sym_not_eq] = ACTIONS(5103),
    [anon_sym_DASH_DASH] = ACTIONS(5110),
    [anon_sym_PLUS_PLUS] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5103),
    [anon_sym_DOT_STAR] = ACTIONS(5110),
    [anon_sym_DASH_GT] = ACTIONS(5110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_final] = ACTIONS(5103),
    [anon_sym_override] = ACTIONS(5103),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_friend] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_friend] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5089),
    [anon_sym_COMMA] = ACTIONS(5089),
    [anon_sym_RPAREN] = ACTIONS(5089),
    [anon_sym_LPAREN2] = ACTIONS(5089),
    [anon_sym_DASH] = ACTIONS(5087),
    [anon_sym_PLUS] = ACTIONS(5087),
    [anon_sym_STAR] = ACTIONS(5089),
    [anon_sym_SLASH] = ACTIONS(5087),
    [anon_sym_PERCENT] = ACTIONS(5089),
    [anon_sym_PIPE_PIPE] = ACTIONS(5089),
    [anon_sym_AMP_AMP] = ACTIONS(5089),
    [anon_sym_PIPE] = ACTIONS(5087),
    [anon_sym_CARET] = ACTIONS(5089),
    [anon_sym_AMP] = ACTIONS(5087),
    [anon_sym_EQ_EQ] = ACTIONS(5089),
    [anon_sym_BANG_EQ] = ACTIONS(5089),
    [anon_sym_GT] = ACTIONS(5087),
    [anon_sym_GT_EQ] = ACTIONS(5089),
    [anon_sym_LT_EQ] = ACTIONS(5087),
    [anon_sym_LT] = ACTIONS(5087),
    [anon_sym_LT_LT] = ACTIONS(5089),
    [anon_sym_GT_GT] = ACTIONS(5089),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym___extension__] = ACTIONS(5087),
    [anon_sym___attribute__] = ACTIONS(5087),
    [anon_sym_COLON_COLON] = ACTIONS(5089),
    [anon_sym___based] = ACTIONS(5087),
    [anon_sym_LBRACE] = ACTIONS(5089),
    [anon_sym_RBRACE] = ACTIONS(5089),
    [anon_sym_signed] = ACTIONS(5087),
    [anon_sym_unsigned] = ACTIONS(5087),
    [anon_sym_long] = ACTIONS(5087),
    [anon_sym_short] = ACTIONS(5087),
    [anon_sym_LBRACK] = ACTIONS(5089),
    [anon_sym_RBRACK] = ACTIONS(5089),
    [anon_sym_const] = ACTIONS(5087),
    [anon_sym_constexpr] = ACTIONS(5087),
    [anon_sym_volatile] = ACTIONS(5087),
    [anon_sym_restrict] = ACTIONS(5087),
    [anon_sym___restrict__] = ACTIONS(5087),
    [anon_sym__Atomic] = ACTIONS(5087),
    [anon_sym__Noreturn] = ACTIONS(5087),
    [anon_sym_noreturn] = ACTIONS(5087),
    [anon_sym_mutable] = ACTIONS(5087),
    [anon_sym_constinit] = ACTIONS(5087),
    [anon_sym_consteval] = ACTIONS(5087),
    [sym_primitive_type] = ACTIONS(5087),
    [anon_sym_COLON] = ACTIONS(5087),
    [anon_sym_QMARK] = ACTIONS(5089),
    [anon_sym_LT_EQ_GT] = ACTIONS(5089),
    [anon_sym_or] = ACTIONS(5087),
    [anon_sym_and] = ACTIONS(5087),
    [anon_sym_bitor] = ACTIONS(5087),
    [anon_sym_xor] = ACTIONS(5087),
    [anon_sym_bitand] = ACTIONS(5087),
    [anon_sym_not_eq] = ACTIONS(5087),
    [anon_sym_DASH_DASH] = ACTIONS(5089),
    [anon_sym_PLUS_PLUS] = ACTIONS(5089),
    [anon_sym_DOT] = ACTIONS(5087),
    [anon_sym_DOT_STAR] = ACTIONS(5089),
    [anon_sym_DASH_GT] = ACTIONS(5089),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5087),
    [anon_sym_decltype] = ACTIONS(5087),
    [anon_sym_final] = ACTIONS(5087),
    [anon_sym_override] = ACTIONS(5087),
    [anon_sym_requires] = ACTIONS(5087),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(5519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5521),
    [anon_sym_COMMA] = ACTIONS(5521),
    [anon_sym_RPAREN] = ACTIONS(5521),
    [aux_sym_preproc_if_token2] = ACTIONS(5521),
    [aux_sym_preproc_else_token1] = ACTIONS(5521),
    [aux_sym_preproc_elif_token1] = ACTIONS(5519),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5521),
    [anon_sym_LPAREN2] = ACTIONS(5521),
    [anon_sym_DASH] = ACTIONS(5519),
    [anon_sym_PLUS] = ACTIONS(5519),
    [anon_sym_STAR] = ACTIONS(5519),
    [anon_sym_SLASH] = ACTIONS(5519),
    [anon_sym_PERCENT] = ACTIONS(5519),
    [anon_sym_PIPE_PIPE] = ACTIONS(5521),
    [anon_sym_AMP_AMP] = ACTIONS(5521),
    [anon_sym_PIPE] = ACTIONS(5519),
    [anon_sym_CARET] = ACTIONS(5519),
    [anon_sym_AMP] = ACTIONS(5519),
    [anon_sym_EQ_EQ] = ACTIONS(5521),
    [anon_sym_BANG_EQ] = ACTIONS(5521),
    [anon_sym_GT] = ACTIONS(5519),
    [anon_sym_GT_EQ] = ACTIONS(5521),
    [anon_sym_LT_EQ] = ACTIONS(5519),
    [anon_sym_LT] = ACTIONS(5519),
    [anon_sym_LT_LT] = ACTIONS(5519),
    [anon_sym_GT_GT] = ACTIONS(5519),
    [anon_sym_SEMI] = ACTIONS(5521),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5521),
    [anon_sym_RBRACE] = ACTIONS(5521),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym_RBRACK] = ACTIONS(5521),
    [anon_sym_EQ] = ACTIONS(5519),
    [anon_sym_COLON] = ACTIONS(5519),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_STAR_EQ] = ACTIONS(5521),
    [anon_sym_SLASH_EQ] = ACTIONS(5521),
    [anon_sym_PERCENT_EQ] = ACTIONS(5521),
    [anon_sym_PLUS_EQ] = ACTIONS(5521),
    [anon_sym_DASH_EQ] = ACTIONS(5521),
    [anon_sym_LT_LT_EQ] = ACTIONS(5521),
    [anon_sym_GT_GT_EQ] = ACTIONS(5521),
    [anon_sym_AMP_EQ] = ACTIONS(5521),
    [anon_sym_CARET_EQ] = ACTIONS(5521),
    [anon_sym_PIPE_EQ] = ACTIONS(5521),
    [anon_sym_and_eq] = ACTIONS(5519),
    [anon_sym_or_eq] = ACTIONS(5519),
    [anon_sym_xor_eq] = ACTIONS(5519),
    [anon_sym_LT_EQ_GT] = ACTIONS(5521),
    [anon_sym_or] = ACTIONS(5519),
    [anon_sym_and] = ACTIONS(5519),
    [anon_sym_bitor] = ACTIONS(5519),
    [anon_sym_xor] = ACTIONS(5519),
    [anon_sym_bitand] = ACTIONS(5519),
    [anon_sym_not_eq] = ACTIONS(5519),
    [anon_sym_DASH_DASH] = ACTIONS(5521),
    [anon_sym_PLUS_PLUS] = ACTIONS(5521),
    [anon_sym_DOT] = ACTIONS(5519),
    [anon_sym_DOT_STAR] = ACTIONS(5521),
    [anon_sym_DASH_GT] = ACTIONS(5521),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5519),
    [anon_sym_decltype] = ACTIONS(5519),
    [anon_sym_final] = ACTIONS(5519),
    [anon_sym_override] = ACTIONS(5519),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_mutable] = ACTIONS(5543),
    [anon_sym_constinit] = ACTIONS(5543),
    [anon_sym_consteval] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
    [anon_sym_requires] = ACTIONS(5543),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(5547),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [aux_sym_preproc_if_token2] = ACTIONS(5549),
    [aux_sym_preproc_else_token1] = ACTIONS(5549),
    [aux_sym_preproc_elif_token1] = ACTIONS(5547),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5547),
    [anon_sym_PLUS] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5547),
    [anon_sym_SLASH] = ACTIONS(5547),
    [anon_sym_PERCENT] = ACTIONS(5547),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5547),
    [anon_sym_CARET] = ACTIONS(5547),
    [anon_sym_AMP] = ACTIONS(5547),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5547),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5547),
    [anon_sym_LT] = ACTIONS(5547),
    [anon_sym_LT_LT] = ACTIONS(5547),
    [anon_sym_GT_GT] = ACTIONS(5547),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_RBRACE] = ACTIONS(5549),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_EQ] = ACTIONS(5547),
    [anon_sym_COLON] = ACTIONS(5547),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_STAR_EQ] = ACTIONS(5549),
    [anon_sym_SLASH_EQ] = ACTIONS(5549),
    [anon_sym_PERCENT_EQ] = ACTIONS(5549),
    [anon_sym_PLUS_EQ] = ACTIONS(5549),
    [anon_sym_DASH_EQ] = ACTIONS(5549),
    [anon_sym_LT_LT_EQ] = ACTIONS(5549),
    [anon_sym_GT_GT_EQ] = ACTIONS(5549),
    [anon_sym_AMP_EQ] = ACTIONS(5549),
    [anon_sym_CARET_EQ] = ACTIONS(5549),
    [anon_sym_PIPE_EQ] = ACTIONS(5549),
    [anon_sym_and_eq] = ACTIONS(5547),
    [anon_sym_or_eq] = ACTIONS(5547),
    [anon_sym_xor_eq] = ACTIONS(5547),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_bitor] = ACTIONS(5547),
    [anon_sym_xor] = ACTIONS(5547),
    [anon_sym_bitand] = ACTIONS(5547),
    [anon_sym_not_eq] = ACTIONS(5547),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5547),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5547),
    [anon_sym_decltype] = ACTIONS(5547),
    [anon_sym_final] = ACTIONS(5547),
    [anon_sym_override] = ACTIONS(5547),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_friend] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5551),
    [aux_sym_preproc_def_token1] = ACTIONS(5551),
    [aux_sym_preproc_if_token1] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5551),
    [sym_preproc_directive] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5553),
    [anon_sym_TILDE] = ACTIONS(5553),
    [anon_sym_STAR] = ACTIONS(5553),
    [anon_sym_AMP_AMP] = ACTIONS(5553),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5551),
    [anon_sym_typedef] = ACTIONS(5551),
    [anon_sym_extern] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym_COLON_COLON] = ACTIONS(5553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5553),
    [anon_sym___declspec] = ACTIONS(5551),
    [anon_sym___based] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5551),
    [anon_sym_unsigned] = ACTIONS(5551),
    [anon_sym_long] = ACTIONS(5551),
    [anon_sym_short] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_static] = ACTIONS(5551),
    [anon_sym_register] = ACTIONS(5551),
    [anon_sym_inline] = ACTIONS(5551),
    [anon_sym___inline] = ACTIONS(5551),
    [anon_sym___inline__] = ACTIONS(5551),
    [anon_sym___forceinline] = ACTIONS(5551),
    [anon_sym_thread_local] = ACTIONS(5551),
    [anon_sym___thread] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5551),
    [anon_sym_constexpr] = ACTIONS(5551),
    [anon_sym_volatile] = ACTIONS(5551),
    [anon_sym_restrict] = ACTIONS(5551),
    [anon_sym___restrict__] = ACTIONS(5551),
    [anon_sym__Atomic] = ACTIONS(5551),
    [anon_sym__Noreturn] = ACTIONS(5551),
    [anon_sym_noreturn] = ACTIONS(5551),
    [anon_sym_mutable] = ACTIONS(5551),
    [anon_sym_constinit] = ACTIONS(5551),
    [anon_sym_consteval] = ACTIONS(5551),
    [sym_primitive_type] = ACTIONS(5551),
    [anon_sym_enum] = ACTIONS(5551),
    [anon_sym_class] = ACTIONS(5551),
    [anon_sym_struct] = ACTIONS(5551),
    [anon_sym_union] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_virtual] = ACTIONS(5551),
    [anon_sym_alignas] = ACTIONS(5551),
    [anon_sym_explicit] = ACTIONS(5551),
    [anon_sym_typename] = ACTIONS(5551),
    [anon_sym_template] = ACTIONS(5551),
    [anon_sym_operator] = ACTIONS(5551),
    [anon_sym_friend] = ACTIONS(5551),
    [anon_sym_public] = ACTIONS(5551),
    [anon_sym_private] = ACTIONS(5551),
    [anon_sym_protected] = ACTIONS(5551),
    [anon_sym_using] = ACTIONS(5551),
    [anon_sym_static_assert] = ACTIONS(5551),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym___based] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_mutable] = ACTIONS(5543),
    [anon_sym_constinit] = ACTIONS(5543),
    [anon_sym_consteval] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
    [anon_sym_requires] = ACTIONS(5543),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5555),
    [aux_sym_preproc_def_token1] = ACTIONS(5555),
    [aux_sym_preproc_if_token1] = ACTIONS(5555),
    [aux_sym_preproc_if_token2] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5555),
    [aux_sym_preproc_else_token1] = ACTIONS(5555),
    [aux_sym_preproc_elif_token1] = ACTIONS(5555),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5555),
    [sym_preproc_directive] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5557),
    [anon_sym_TILDE] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_AMP_AMP] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5555),
    [anon_sym___extension__] = ACTIONS(5555),
    [anon_sym_typedef] = ACTIONS(5555),
    [anon_sym_extern] = ACTIONS(5555),
    [anon_sym___attribute__] = ACTIONS(5555),
    [anon_sym_COLON_COLON] = ACTIONS(5557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5557),
    [anon_sym___declspec] = ACTIONS(5555),
    [anon_sym___based] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5555),
    [anon_sym_unsigned] = ACTIONS(5555),
    [anon_sym_long] = ACTIONS(5555),
    [anon_sym_short] = ACTIONS(5555),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_static] = ACTIONS(5555),
    [anon_sym_register] = ACTIONS(5555),
    [anon_sym_inline] = ACTIONS(5555),
    [anon_sym___inline] = ACTIONS(5555),
    [anon_sym___inline__] = ACTIONS(5555),
    [anon_sym___forceinline] = ACTIONS(5555),
    [anon_sym_thread_local] = ACTIONS(5555),
    [anon_sym___thread] = ACTIONS(5555),
    [anon_sym_const] = ACTIONS(5555),
    [anon_sym_constexpr] = ACTIONS(5555),
    [anon_sym_volatile] = ACTIONS(5555),
    [anon_sym_restrict] = ACTIONS(5555),
    [anon_sym___restrict__] = ACTIONS(5555),
    [anon_sym__Atomic] = ACTIONS(5555),
    [anon_sym__Noreturn] = ACTIONS(5555),
    [anon_sym_noreturn] = ACTIONS(5555),
    [anon_sym_mutable] = ACTIONS(5555),
    [anon_sym_constinit] = ACTIONS(5555),
    [anon_sym_consteval] = ACTIONS(5555),
    [sym_primitive_type] = ACTIONS(5555),
    [anon_sym_enum] = ACTIONS(5555),
    [anon_sym_class] = ACTIONS(5555),
    [anon_sym_struct] = ACTIONS(5555),
    [anon_sym_union] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5555),
    [anon_sym_decltype] = ACTIONS(5555),
    [anon_sym_virtual] = ACTIONS(5555),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym_explicit] = ACTIONS(5555),
    [anon_sym_typename] = ACTIONS(5555),
    [anon_sym_template] = ACTIONS(5555),
    [anon_sym_operator] = ACTIONS(5555),
    [anon_sym_friend] = ACTIONS(5555),
    [anon_sym_public] = ACTIONS(5555),
    [anon_sym_private] = ACTIONS(5555),
    [anon_sym_protected] = ACTIONS(5555),
    [anon_sym_using] = ACTIONS(5555),
    [anon_sym_static_assert] = ACTIONS(5555),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5559),
    [aux_sym_preproc_def_token1] = ACTIONS(5559),
    [aux_sym_preproc_if_token1] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5559),
    [sym_preproc_directive] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5561),
    [anon_sym_TILDE] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_AMP_AMP] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5559),
    [anon_sym_typedef] = ACTIONS(5559),
    [anon_sym_extern] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5559),
    [anon_sym_COLON_COLON] = ACTIONS(5561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5561),
    [anon_sym___declspec] = ACTIONS(5559),
    [anon_sym___based] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5559),
    [anon_sym_unsigned] = ACTIONS(5559),
    [anon_sym_long] = ACTIONS(5559),
    [anon_sym_short] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_static] = ACTIONS(5559),
    [anon_sym_register] = ACTIONS(5559),
    [anon_sym_inline] = ACTIONS(5559),
    [anon_sym___inline] = ACTIONS(5559),
    [anon_sym___inline__] = ACTIONS(5559),
    [anon_sym___forceinline] = ACTIONS(5559),
    [anon_sym_thread_local] = ACTIONS(5559),
    [anon_sym___thread] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5559),
    [anon_sym_constexpr] = ACTIONS(5559),
    [anon_sym_volatile] = ACTIONS(5559),
    [anon_sym_restrict] = ACTIONS(5559),
    [anon_sym___restrict__] = ACTIONS(5559),
    [anon_sym__Atomic] = ACTIONS(5559),
    [anon_sym__Noreturn] = ACTIONS(5559),
    [anon_sym_noreturn] = ACTIONS(5559),
    [anon_sym_mutable] = ACTIONS(5559),
    [anon_sym_constinit] = ACTIONS(5559),
    [anon_sym_consteval] = ACTIONS(5559),
    [sym_primitive_type] = ACTIONS(5559),
    [anon_sym_enum] = ACTIONS(5559),
    [anon_sym_class] = ACTIONS(5559),
    [anon_sym_struct] = ACTIONS(5559),
    [anon_sym_union] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5559),
    [anon_sym_decltype] = ACTIONS(5559),
    [anon_sym_virtual] = ACTIONS(5559),
    [anon_sym_alignas] = ACTIONS(5559),
    [anon_sym_explicit] = ACTIONS(5559),
    [anon_sym_typename] = ACTIONS(5559),
    [anon_sym_template] = ACTIONS(5559),
    [anon_sym_operator] = ACTIONS(5559),
    [anon_sym_friend] = ACTIONS(5559),
    [anon_sym_public] = ACTIONS(5559),
    [anon_sym_private] = ACTIONS(5559),
    [anon_sym_protected] = ACTIONS(5559),
    [anon_sym_using] = ACTIONS(5559),
    [anon_sym_static_assert] = ACTIONS(5559),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5563),
    [aux_sym_preproc_def_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [sym_preproc_directive] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_AMP_AMP] = ACTIONS(5565),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym_typedef] = ACTIONS(5563),
    [anon_sym_extern] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym_COLON_COLON] = ACTIONS(5565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5565),
    [anon_sym___declspec] = ACTIONS(5563),
    [anon_sym___based] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5563),
    [anon_sym_unsigned] = ACTIONS(5563),
    [anon_sym_long] = ACTIONS(5563),
    [anon_sym_short] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_static] = ACTIONS(5563),
    [anon_sym_register] = ACTIONS(5563),
    [anon_sym_inline] = ACTIONS(5563),
    [anon_sym___inline] = ACTIONS(5563),
    [anon_sym___inline__] = ACTIONS(5563),
    [anon_sym___forceinline] = ACTIONS(5563),
    [anon_sym_thread_local] = ACTIONS(5563),
    [anon_sym___thread] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [sym_primitive_type] = ACTIONS(5563),
    [anon_sym_enum] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_struct] = ACTIONS(5563),
    [anon_sym_union] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5563),
    [anon_sym_decltype] = ACTIONS(5563),
    [anon_sym_virtual] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5563),
    [anon_sym_explicit] = ACTIONS(5563),
    [anon_sym_typename] = ACTIONS(5563),
    [anon_sym_template] = ACTIONS(5563),
    [anon_sym_operator] = ACTIONS(5563),
    [anon_sym_friend] = ACTIONS(5563),
    [anon_sym_public] = ACTIONS(5563),
    [anon_sym_private] = ACTIONS(5563),
    [anon_sym_protected] = ACTIONS(5563),
    [anon_sym_using] = ACTIONS(5563),
    [anon_sym_static_assert] = ACTIONS(5563),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5567),
    [aux_sym_preproc_def_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token2] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5567),
    [aux_sym_preproc_else_token1] = ACTIONS(5567),
    [aux_sym_preproc_elif_token1] = ACTIONS(5567),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5567),
    [sym_preproc_directive] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5569),
    [anon_sym_TILDE] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5567),
    [anon_sym___extension__] = ACTIONS(5567),
    [anon_sym_typedef] = ACTIONS(5567),
    [anon_sym_extern] = ACTIONS(5567),
    [anon_sym___attribute__] = ACTIONS(5567),
    [anon_sym_COLON_COLON] = ACTIONS(5569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5569),
    [anon_sym___declspec] = ACTIONS(5567),
    [anon_sym___based] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5567),
    [anon_sym_unsigned] = ACTIONS(5567),
    [anon_sym_long] = ACTIONS(5567),
    [anon_sym_short] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_static] = ACTIONS(5567),
    [anon_sym_register] = ACTIONS(5567),
    [anon_sym_inline] = ACTIONS(5567),
    [anon_sym___inline] = ACTIONS(5567),
    [anon_sym___inline__] = ACTIONS(5567),
    [anon_sym___forceinline] = ACTIONS(5567),
    [anon_sym_thread_local] = ACTIONS(5567),
    [anon_sym___thread] = ACTIONS(5567),
    [anon_sym_const] = ACTIONS(5567),
    [anon_sym_constexpr] = ACTIONS(5567),
    [anon_sym_volatile] = ACTIONS(5567),
    [anon_sym_restrict] = ACTIONS(5567),
    [anon_sym___restrict__] = ACTIONS(5567),
    [anon_sym__Atomic] = ACTIONS(5567),
    [anon_sym__Noreturn] = ACTIONS(5567),
    [anon_sym_noreturn] = ACTIONS(5567),
    [anon_sym_mutable] = ACTIONS(5567),
    [anon_sym_constinit] = ACTIONS(5567),
    [anon_sym_consteval] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5567),
    [anon_sym_enum] = ACTIONS(5567),
    [anon_sym_class] = ACTIONS(5567),
    [anon_sym_struct] = ACTIONS(5567),
    [anon_sym_union] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5567),
    [anon_sym_decltype] = ACTIONS(5567),
    [anon_sym_virtual] = ACTIONS(5567),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym_explicit] = ACTIONS(5567),
    [anon_sym_typename] = ACTIONS(5567),
    [anon_sym_template] = ACTIONS(5567),
    [anon_sym_operator] = ACTIONS(5567),
    [anon_sym_friend] = ACTIONS(5567),
    [anon_sym_public] = ACTIONS(5567),
    [anon_sym_private] = ACTIONS(5567),
    [anon_sym_protected] = ACTIONS(5567),
    [anon_sym_using] = ACTIONS(5567),
    [anon_sym_static_assert] = ACTIONS(5567),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(5567),
    [aux_sym_preproc_def_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token2] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5567),
    [aux_sym_preproc_else_token1] = ACTIONS(5567),
    [aux_sym_preproc_elif_token1] = ACTIONS(5567),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5567),
    [sym_preproc_directive] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5569),
    [anon_sym_TILDE] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5567),
    [anon_sym___extension__] = ACTIONS(5567),
    [anon_sym_typedef] = ACTIONS(5567),
    [anon_sym_extern] = ACTIONS(5567),
    [anon_sym___attribute__] = ACTIONS(5567),
    [anon_sym_COLON_COLON] = ACTIONS(5569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5569),
    [anon_sym___declspec] = ACTIONS(5567),
    [anon_sym___based] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5567),
    [anon_sym_unsigned] = ACTIONS(5567),
    [anon_sym_long] = ACTIONS(5567),
    [anon_sym_short] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_static] = ACTIONS(5567),
    [anon_sym_register] = ACTIONS(5567),
    [anon_sym_inline] = ACTIONS(5567),
    [anon_sym___inline] = ACTIONS(5567),
    [anon_sym___inline__] = ACTIONS(5567),
    [anon_sym___forceinline] = ACTIONS(5567),
    [anon_sym_thread_local] = ACTIONS(5567),
    [anon_sym___thread] = ACTIONS(5567),
    [anon_sym_const] = ACTIONS(5567),
    [anon_sym_constexpr] = ACTIONS(5567),
    [anon_sym_volatile] = ACTIONS(5567),
    [anon_sym_restrict] = ACTIONS(5567),
    [anon_sym___restrict__] = ACTIONS(5567),
    [anon_sym__Atomic] = ACTIONS(5567),
    [anon_sym__Noreturn] = ACTIONS(5567),
    [anon_sym_noreturn] = ACTIONS(5567),
    [anon_sym_mutable] = ACTIONS(5567),
    [anon_sym_constinit] = ACTIONS(5567),
    [anon_sym_consteval] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5567),
    [anon_sym_enum] = ACTIONS(5567),
    [anon_sym_class] = ACTIONS(5567),
    [anon_sym_struct] = ACTIONS(5567),
    [anon_sym_union] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5567),
    [anon_sym_decltype] = ACTIONS(5567),
    [anon_sym_virtual] = ACTIONS(5567),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym_explicit] = ACTIONS(5567),
    [anon_sym_typename] = ACTIONS(5567),
    [anon_sym_template] = ACTIONS(5567),
    [anon_sym_operator] = ACTIONS(5567),
    [anon_sym_friend] = ACTIONS(5567),
    [anon_sym_public] = ACTIONS(5567),
    [anon_sym_private] = ACTIONS(5567),
    [anon_sym_protected] = ACTIONS(5567),
    [anon_sym_using] = ACTIONS(5567),
    [anon_sym_static_assert] = ACTIONS(5567),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5563),
    [aux_sym_preproc_def_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5563),
    [sym_preproc_directive] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_AMP_AMP] = ACTIONS(5565),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym_typedef] = ACTIONS(5563),
    [anon_sym_extern] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym_COLON_COLON] = ACTIONS(5565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5565),
    [anon_sym___declspec] = ACTIONS(5563),
    [anon_sym___based] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5563),
    [anon_sym_unsigned] = ACTIONS(5563),
    [anon_sym_long] = ACTIONS(5563),
    [anon_sym_short] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_static] = ACTIONS(5563),
    [anon_sym_register] = ACTIONS(5563),
    [anon_sym_inline] = ACTIONS(5563),
    [anon_sym___inline] = ACTIONS(5563),
    [anon_sym___inline__] = ACTIONS(5563),
    [anon_sym___forceinline] = ACTIONS(5563),
    [anon_sym_thread_local] = ACTIONS(5563),
    [anon_sym___thread] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [sym_primitive_type] = ACTIONS(5563),
    [anon_sym_enum] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_struct] = ACTIONS(5563),
    [anon_sym_union] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5563),
    [anon_sym_decltype] = ACTIONS(5563),
    [anon_sym_virtual] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5563),
    [anon_sym_explicit] = ACTIONS(5563),
    [anon_sym_typename] = ACTIONS(5563),
    [anon_sym_template] = ACTIONS(5563),
    [anon_sym_operator] = ACTIONS(5563),
    [anon_sym_friend] = ACTIONS(5563),
    [anon_sym_public] = ACTIONS(5563),
    [anon_sym_private] = ACTIONS(5563),
    [anon_sym_protected] = ACTIONS(5563),
    [anon_sym_using] = ACTIONS(5563),
    [anon_sym_static_assert] = ACTIONS(5563),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2190] = {
    [sym_string_literal] = STATE(2048),
    [sym_raw_string_literal] = STATE(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4105),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_RBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_COLON] = ACTIONS(4097),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_friend] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
  },
  [2192] = {
    [sym_string_literal] = STATE(2048),
    [sym_raw_string_literal] = STATE(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [anon_sym_RPAREN] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym_RBRACE] = ACTIONS(5455),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_RBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_COLON] = ACTIONS(5455),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5455),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5571),
    [aux_sym_preproc_def_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5571),
    [sym_preproc_directive] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_TILDE] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5571),
    [anon_sym_typedef] = ACTIONS(5571),
    [anon_sym_extern] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym_COLON_COLON] = ACTIONS(5573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5573),
    [anon_sym___declspec] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5571),
    [anon_sym_unsigned] = ACTIONS(5571),
    [anon_sym_long] = ACTIONS(5571),
    [anon_sym_short] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_static] = ACTIONS(5571),
    [anon_sym_register] = ACTIONS(5571),
    [anon_sym_inline] = ACTIONS(5571),
    [anon_sym___inline] = ACTIONS(5571),
    [anon_sym___inline__] = ACTIONS(5571),
    [anon_sym___forceinline] = ACTIONS(5571),
    [anon_sym_thread_local] = ACTIONS(5571),
    [anon_sym___thread] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5571),
    [anon_sym_constexpr] = ACTIONS(5571),
    [anon_sym_volatile] = ACTIONS(5571),
    [anon_sym_restrict] = ACTIONS(5571),
    [anon_sym___restrict__] = ACTIONS(5571),
    [anon_sym__Atomic] = ACTIONS(5571),
    [anon_sym__Noreturn] = ACTIONS(5571),
    [anon_sym_noreturn] = ACTIONS(5571),
    [anon_sym_mutable] = ACTIONS(5571),
    [anon_sym_constinit] = ACTIONS(5571),
    [anon_sym_consteval] = ACTIONS(5571),
    [sym_primitive_type] = ACTIONS(5571),
    [anon_sym_enum] = ACTIONS(5571),
    [anon_sym_class] = ACTIONS(5571),
    [anon_sym_struct] = ACTIONS(5571),
    [anon_sym_union] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
    [anon_sym_virtual] = ACTIONS(5571),
    [anon_sym_alignas] = ACTIONS(5571),
    [anon_sym_explicit] = ACTIONS(5571),
    [anon_sym_typename] = ACTIONS(5571),
    [anon_sym_template] = ACTIONS(5571),
    [anon_sym_operator] = ACTIONS(5571),
    [anon_sym_friend] = ACTIONS(5571),
    [anon_sym_public] = ACTIONS(5571),
    [anon_sym_private] = ACTIONS(5571),
    [anon_sym_protected] = ACTIONS(5571),
    [anon_sym_using] = ACTIONS(5571),
    [anon_sym_static_assert] = ACTIONS(5571),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5097),
    [anon_sym_COMMA] = ACTIONS(5097),
    [anon_sym_RPAREN] = ACTIONS(5097),
    [anon_sym_LPAREN2] = ACTIONS(5097),
    [anon_sym_DASH] = ACTIONS(5095),
    [anon_sym_PLUS] = ACTIONS(5095),
    [anon_sym_STAR] = ACTIONS(5097),
    [anon_sym_SLASH] = ACTIONS(5095),
    [anon_sym_PERCENT] = ACTIONS(5097),
    [anon_sym_PIPE_PIPE] = ACTIONS(5097),
    [anon_sym_AMP_AMP] = ACTIONS(5097),
    [anon_sym_PIPE] = ACTIONS(5095),
    [anon_sym_CARET] = ACTIONS(5097),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5097),
    [anon_sym_BANG_EQ] = ACTIONS(5097),
    [anon_sym_GT] = ACTIONS(5095),
    [anon_sym_GT_EQ] = ACTIONS(5097),
    [anon_sym_LT_EQ] = ACTIONS(5095),
    [anon_sym_LT] = ACTIONS(5095),
    [anon_sym_LT_LT] = ACTIONS(5097),
    [anon_sym_GT_GT] = ACTIONS(5097),
    [anon_sym_SEMI] = ACTIONS(5097),
    [anon_sym___extension__] = ACTIONS(5095),
    [anon_sym___attribute__] = ACTIONS(5095),
    [anon_sym_COLON_COLON] = ACTIONS(5097),
    [anon_sym___based] = ACTIONS(5095),
    [anon_sym_LBRACE] = ACTIONS(5097),
    [anon_sym_RBRACE] = ACTIONS(5097),
    [anon_sym_signed] = ACTIONS(5095),
    [anon_sym_unsigned] = ACTIONS(5095),
    [anon_sym_long] = ACTIONS(5095),
    [anon_sym_short] = ACTIONS(5095),
    [anon_sym_LBRACK] = ACTIONS(5097),
    [anon_sym_RBRACK] = ACTIONS(5097),
    [anon_sym_const] = ACTIONS(5095),
    [anon_sym_constexpr] = ACTIONS(5095),
    [anon_sym_volatile] = ACTIONS(5095),
    [anon_sym_restrict] = ACTIONS(5095),
    [anon_sym___restrict__] = ACTIONS(5095),
    [anon_sym__Atomic] = ACTIONS(5095),
    [anon_sym__Noreturn] = ACTIONS(5095),
    [anon_sym_noreturn] = ACTIONS(5095),
    [anon_sym_mutable] = ACTIONS(5095),
    [anon_sym_constinit] = ACTIONS(5095),
    [anon_sym_consteval] = ACTIONS(5095),
    [sym_primitive_type] = ACTIONS(5095),
    [anon_sym_COLON] = ACTIONS(5095),
    [anon_sym_QMARK] = ACTIONS(5097),
    [anon_sym_LT_EQ_GT] = ACTIONS(5097),
    [anon_sym_or] = ACTIONS(5095),
    [anon_sym_and] = ACTIONS(5095),
    [anon_sym_bitor] = ACTIONS(5095),
    [anon_sym_xor] = ACTIONS(5095),
    [anon_sym_bitand] = ACTIONS(5095),
    [anon_sym_not_eq] = ACTIONS(5095),
    [anon_sym_DASH_DASH] = ACTIONS(5097),
    [anon_sym_PLUS_PLUS] = ACTIONS(5097),
    [anon_sym_DOT] = ACTIONS(5095),
    [anon_sym_DOT_STAR] = ACTIONS(5097),
    [anon_sym_DASH_GT] = ACTIONS(5097),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5095),
    [anon_sym_decltype] = ACTIONS(5095),
    [anon_sym_final] = ACTIONS(5095),
    [anon_sym_override] = ACTIONS(5095),
    [anon_sym_requires] = ACTIONS(5095),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_friend] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5571),
    [aux_sym_preproc_def_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5571),
    [sym_preproc_directive] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_TILDE] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5571),
    [anon_sym_typedef] = ACTIONS(5571),
    [anon_sym_extern] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym_COLON_COLON] = ACTIONS(5573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5573),
    [anon_sym___declspec] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5571),
    [anon_sym_unsigned] = ACTIONS(5571),
    [anon_sym_long] = ACTIONS(5571),
    [anon_sym_short] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_static] = ACTIONS(5571),
    [anon_sym_register] = ACTIONS(5571),
    [anon_sym_inline] = ACTIONS(5571),
    [anon_sym___inline] = ACTIONS(5571),
    [anon_sym___inline__] = ACTIONS(5571),
    [anon_sym___forceinline] = ACTIONS(5571),
    [anon_sym_thread_local] = ACTIONS(5571),
    [anon_sym___thread] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5571),
    [anon_sym_constexpr] = ACTIONS(5571),
    [anon_sym_volatile] = ACTIONS(5571),
    [anon_sym_restrict] = ACTIONS(5571),
    [anon_sym___restrict__] = ACTIONS(5571),
    [anon_sym__Atomic] = ACTIONS(5571),
    [anon_sym__Noreturn] = ACTIONS(5571),
    [anon_sym_noreturn] = ACTIONS(5571),
    [anon_sym_mutable] = ACTIONS(5571),
    [anon_sym_constinit] = ACTIONS(5571),
    [anon_sym_consteval] = ACTIONS(5571),
    [sym_primitive_type] = ACTIONS(5571),
    [anon_sym_enum] = ACTIONS(5571),
    [anon_sym_class] = ACTIONS(5571),
    [anon_sym_struct] = ACTIONS(5571),
    [anon_sym_union] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
    [anon_sym_virtual] = ACTIONS(5571),
    [anon_sym_alignas] = ACTIONS(5571),
    [anon_sym_explicit] = ACTIONS(5571),
    [anon_sym_typename] = ACTIONS(5571),
    [anon_sym_template] = ACTIONS(5571),
    [anon_sym_operator] = ACTIONS(5571),
    [anon_sym_friend] = ACTIONS(5571),
    [anon_sym_public] = ACTIONS(5571),
    [anon_sym_private] = ACTIONS(5571),
    [anon_sym_protected] = ACTIONS(5571),
    [anon_sym_using] = ACTIONS(5571),
    [anon_sym_static_assert] = ACTIONS(5571),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5575),
    [aux_sym_preproc_def_token1] = ACTIONS(5575),
    [aux_sym_preproc_if_token1] = ACTIONS(5575),
    [aux_sym_preproc_if_token2] = ACTIONS(5575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5575),
    [aux_sym_preproc_else_token1] = ACTIONS(5575),
    [aux_sym_preproc_elif_token1] = ACTIONS(5575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5575),
    [sym_preproc_directive] = ACTIONS(5575),
    [anon_sym_LPAREN2] = ACTIONS(5577),
    [anon_sym_TILDE] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(5577),
    [anon_sym_AMP_AMP] = ACTIONS(5577),
    [anon_sym_AMP] = ACTIONS(5575),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_typedef] = ACTIONS(5575),
    [anon_sym_extern] = ACTIONS(5575),
    [anon_sym___attribute__] = ACTIONS(5575),
    [anon_sym_COLON_COLON] = ACTIONS(5577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5577),
    [anon_sym___declspec] = ACTIONS(5575),
    [anon_sym___based] = ACTIONS(5575),
    [anon_sym_signed] = ACTIONS(5575),
    [anon_sym_unsigned] = ACTIONS(5575),
    [anon_sym_long] = ACTIONS(5575),
    [anon_sym_short] = ACTIONS(5575),
    [anon_sym_LBRACK] = ACTIONS(5575),
    [anon_sym_static] = ACTIONS(5575),
    [anon_sym_register] = ACTIONS(5575),
    [anon_sym_inline] = ACTIONS(5575),
    [anon_sym___inline] = ACTIONS(5575),
    [anon_sym___inline__] = ACTIONS(5575),
    [anon_sym___forceinline] = ACTIONS(5575),
    [anon_sym_thread_local] = ACTIONS(5575),
    [anon_sym___thread] = ACTIONS(5575),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_primitive_type] = ACTIONS(5575),
    [anon_sym_enum] = ACTIONS(5575),
    [anon_sym_class] = ACTIONS(5575),
    [anon_sym_struct] = ACTIONS(5575),
    [anon_sym_union] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5575),
    [anon_sym_decltype] = ACTIONS(5575),
    [anon_sym_virtual] = ACTIONS(5575),
    [anon_sym_alignas] = ACTIONS(5575),
    [anon_sym_explicit] = ACTIONS(5575),
    [anon_sym_typename] = ACTIONS(5575),
    [anon_sym_template] = ACTIONS(5575),
    [anon_sym_operator] = ACTIONS(5575),
    [anon_sym_friend] = ACTIONS(5575),
    [anon_sym_public] = ACTIONS(5575),
    [anon_sym_private] = ACTIONS(5575),
    [anon_sym_protected] = ACTIONS(5575),
    [anon_sym_using] = ACTIONS(5575),
    [anon_sym_static_assert] = ACTIONS(5575),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5579),
    [aux_sym_preproc_def_token1] = ACTIONS(5579),
    [aux_sym_preproc_if_token1] = ACTIONS(5579),
    [aux_sym_preproc_if_token2] = ACTIONS(5579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5579),
    [aux_sym_preproc_else_token1] = ACTIONS(5579),
    [aux_sym_preproc_elif_token1] = ACTIONS(5579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5579),
    [sym_preproc_directive] = ACTIONS(5579),
    [anon_sym_LPAREN2] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5581),
    [anon_sym_AMP_AMP] = ACTIONS(5581),
    [anon_sym_AMP] = ACTIONS(5579),
    [anon_sym___extension__] = ACTIONS(5579),
    [anon_sym_typedef] = ACTIONS(5579),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5579),
    [anon_sym_COLON_COLON] = ACTIONS(5581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5581),
    [anon_sym___declspec] = ACTIONS(5579),
    [anon_sym___based] = ACTIONS(5579),
    [anon_sym_signed] = ACTIONS(5579),
    [anon_sym_unsigned] = ACTIONS(5579),
    [anon_sym_long] = ACTIONS(5579),
    [anon_sym_short] = ACTIONS(5579),
    [anon_sym_LBRACK] = ACTIONS(5579),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5579),
    [anon_sym_constexpr] = ACTIONS(5579),
    [anon_sym_volatile] = ACTIONS(5579),
    [anon_sym_restrict] = ACTIONS(5579),
    [anon_sym___restrict__] = ACTIONS(5579),
    [anon_sym__Atomic] = ACTIONS(5579),
    [anon_sym__Noreturn] = ACTIONS(5579),
    [anon_sym_noreturn] = ACTIONS(5579),
    [anon_sym_mutable] = ACTIONS(5579),
    [anon_sym_constinit] = ACTIONS(5579),
    [anon_sym_consteval] = ACTIONS(5579),
    [sym_primitive_type] = ACTIONS(5579),
    [anon_sym_enum] = ACTIONS(5579),
    [anon_sym_class] = ACTIONS(5579),
    [anon_sym_struct] = ACTIONS(5579),
    [anon_sym_union] = ACTIONS(5579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5579),
    [anon_sym_decltype] = ACTIONS(5579),
    [anon_sym_virtual] = ACTIONS(5579),
    [anon_sym_alignas] = ACTIONS(5579),
    [anon_sym_explicit] = ACTIONS(5579),
    [anon_sym_typename] = ACTIONS(5579),
    [anon_sym_template] = ACTIONS(5579),
    [anon_sym_operator] = ACTIONS(5579),
    [anon_sym_friend] = ACTIONS(5579),
    [anon_sym_public] = ACTIONS(5579),
    [anon_sym_private] = ACTIONS(5579),
    [anon_sym_protected] = ACTIONS(5579),
    [anon_sym_using] = ACTIONS(5579),
    [anon_sym_static_assert] = ACTIONS(5579),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5583),
    [aux_sym_preproc_def_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5583),
    [sym_preproc_directive] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5585),
    [anon_sym_TILDE] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5585),
    [anon_sym_AMP_AMP] = ACTIONS(5585),
    [anon_sym_AMP] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5583),
    [anon_sym_typedef] = ACTIONS(5583),
    [anon_sym_extern] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5583),
    [anon_sym_COLON_COLON] = ACTIONS(5585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5583),
    [anon_sym___based] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5583),
    [anon_sym_unsigned] = ACTIONS(5583),
    [anon_sym_long] = ACTIONS(5583),
    [anon_sym_short] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_static] = ACTIONS(5583),
    [anon_sym_register] = ACTIONS(5583),
    [anon_sym_inline] = ACTIONS(5583),
    [anon_sym___inline] = ACTIONS(5583),
    [anon_sym___inline__] = ACTIONS(5583),
    [anon_sym___forceinline] = ACTIONS(5583),
    [anon_sym_thread_local] = ACTIONS(5583),
    [anon_sym___thread] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5583),
    [anon_sym_constexpr] = ACTIONS(5583),
    [anon_sym_volatile] = ACTIONS(5583),
    [anon_sym_restrict] = ACTIONS(5583),
    [anon_sym___restrict__] = ACTIONS(5583),
    [anon_sym__Atomic] = ACTIONS(5583),
    [anon_sym__Noreturn] = ACTIONS(5583),
    [anon_sym_noreturn] = ACTIONS(5583),
    [anon_sym_mutable] = ACTIONS(5583),
    [anon_sym_constinit] = ACTIONS(5583),
    [anon_sym_consteval] = ACTIONS(5583),
    [sym_primitive_type] = ACTIONS(5583),
    [anon_sym_enum] = ACTIONS(5583),
    [anon_sym_class] = ACTIONS(5583),
    [anon_sym_struct] = ACTIONS(5583),
    [anon_sym_union] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5583),
    [anon_sym_decltype] = ACTIONS(5583),
    [anon_sym_virtual] = ACTIONS(5583),
    [anon_sym_alignas] = ACTIONS(5583),
    [anon_sym_explicit] = ACTIONS(5583),
    [anon_sym_typename] = ACTIONS(5583),
    [anon_sym_template] = ACTIONS(5583),
    [anon_sym_operator] = ACTIONS(5583),
    [anon_sym_friend] = ACTIONS(5583),
    [anon_sym_public] = ACTIONS(5583),
    [anon_sym_private] = ACTIONS(5583),
    [anon_sym_protected] = ACTIONS(5583),
    [anon_sym_using] = ACTIONS(5583),
    [anon_sym_static_assert] = ACTIONS(5583),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [aux_sym_preproc_else_token1] = ACTIONS(3292),
    [aux_sym_preproc_elif_token1] = ACTIONS(3292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_friend] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5587),
    [aux_sym_preproc_def_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token2] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5587),
    [aux_sym_preproc_else_token1] = ACTIONS(5587),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5587),
    [sym_preproc_directive] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_typedef] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym_signed] = ACTIONS(5587),
    [anon_sym_unsigned] = ACTIONS(5587),
    [anon_sym_long] = ACTIONS(5587),
    [anon_sym_short] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_enum] = ACTIONS(5587),
    [anon_sym_class] = ACTIONS(5587),
    [anon_sym_struct] = ACTIONS(5587),
    [anon_sym_union] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym_explicit] = ACTIONS(5587),
    [anon_sym_typename] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_friend] = ACTIONS(5587),
    [anon_sym_public] = ACTIONS(5587),
    [anon_sym_private] = ACTIONS(5587),
    [anon_sym_protected] = ACTIONS(5587),
    [anon_sym_using] = ACTIONS(5587),
    [anon_sym_static_assert] = ACTIONS(5587),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5583),
    [aux_sym_preproc_def_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5583),
    [sym_preproc_directive] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5585),
    [anon_sym_TILDE] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5585),
    [anon_sym_AMP_AMP] = ACTIONS(5585),
    [anon_sym_AMP] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5583),
    [anon_sym_typedef] = ACTIONS(5583),
    [anon_sym_extern] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5583),
    [anon_sym_COLON_COLON] = ACTIONS(5585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5583),
    [anon_sym___based] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5583),
    [anon_sym_unsigned] = ACTIONS(5583),
    [anon_sym_long] = ACTIONS(5583),
    [anon_sym_short] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_static] = ACTIONS(5583),
    [anon_sym_register] = ACTIONS(5583),
    [anon_sym_inline] = ACTIONS(5583),
    [anon_sym___inline] = ACTIONS(5583),
    [anon_sym___inline__] = ACTIONS(5583),
    [anon_sym___forceinline] = ACTIONS(5583),
    [anon_sym_thread_local] = ACTIONS(5583),
    [anon_sym___thread] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5583),
    [anon_sym_constexpr] = ACTIONS(5583),
    [anon_sym_volatile] = ACTIONS(5583),
    [anon_sym_restrict] = ACTIONS(5583),
    [anon_sym___restrict__] = ACTIONS(5583),
    [anon_sym__Atomic] = ACTIONS(5583),
    [anon_sym__Noreturn] = ACTIONS(5583),
    [anon_sym_noreturn] = ACTIONS(5583),
    [anon_sym_mutable] = ACTIONS(5583),
    [anon_sym_constinit] = ACTIONS(5583),
    [anon_sym_consteval] = ACTIONS(5583),
    [sym_primitive_type] = ACTIONS(5583),
    [anon_sym_enum] = ACTIONS(5583),
    [anon_sym_class] = ACTIONS(5583),
    [anon_sym_struct] = ACTIONS(5583),
    [anon_sym_union] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5583),
    [anon_sym_decltype] = ACTIONS(5583),
    [anon_sym_virtual] = ACTIONS(5583),
    [anon_sym_alignas] = ACTIONS(5583),
    [anon_sym_explicit] = ACTIONS(5583),
    [anon_sym_typename] = ACTIONS(5583),
    [anon_sym_template] = ACTIONS(5583),
    [anon_sym_operator] = ACTIONS(5583),
    [anon_sym_friend] = ACTIONS(5583),
    [anon_sym_public] = ACTIONS(5583),
    [anon_sym_private] = ACTIONS(5583),
    [anon_sym_protected] = ACTIONS(5583),
    [anon_sym_using] = ACTIONS(5583),
    [anon_sym_static_assert] = ACTIONS(5583),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(5587),
    [aux_sym_preproc_def_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token2] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5587),
    [aux_sym_preproc_else_token1] = ACTIONS(5587),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5587),
    [sym_preproc_directive] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_typedef] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym_signed] = ACTIONS(5587),
    [anon_sym_unsigned] = ACTIONS(5587),
    [anon_sym_long] = ACTIONS(5587),
    [anon_sym_short] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_enum] = ACTIONS(5587),
    [anon_sym_class] = ACTIONS(5587),
    [anon_sym_struct] = ACTIONS(5587),
    [anon_sym_union] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym_explicit] = ACTIONS(5587),
    [anon_sym_typename] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_friend] = ACTIONS(5587),
    [anon_sym_public] = ACTIONS(5587),
    [anon_sym_private] = ACTIONS(5587),
    [anon_sym_protected] = ACTIONS(5587),
    [anon_sym_using] = ACTIONS(5587),
    [anon_sym_static_assert] = ACTIONS(5587),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5591),
    [aux_sym_preproc_def_token1] = ACTIONS(5591),
    [aux_sym_preproc_if_token1] = ACTIONS(5591),
    [aux_sym_preproc_if_token2] = ACTIONS(5591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5591),
    [aux_sym_preproc_else_token1] = ACTIONS(5591),
    [aux_sym_preproc_elif_token1] = ACTIONS(5591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5591),
    [sym_preproc_directive] = ACTIONS(5591),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym___extension__] = ACTIONS(5591),
    [anon_sym_typedef] = ACTIONS(5591),
    [anon_sym_extern] = ACTIONS(5591),
    [anon_sym___attribute__] = ACTIONS(5591),
    [anon_sym_COLON_COLON] = ACTIONS(5593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5593),
    [anon_sym___declspec] = ACTIONS(5591),
    [anon_sym___based] = ACTIONS(5591),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5591),
    [anon_sym_static] = ACTIONS(5591),
    [anon_sym_register] = ACTIONS(5591),
    [anon_sym_inline] = ACTIONS(5591),
    [anon_sym___inline] = ACTIONS(5591),
    [anon_sym___inline__] = ACTIONS(5591),
    [anon_sym___forceinline] = ACTIONS(5591),
    [anon_sym_thread_local] = ACTIONS(5591),
    [anon_sym___thread] = ACTIONS(5591),
    [anon_sym_const] = ACTIONS(5591),
    [anon_sym_constexpr] = ACTIONS(5591),
    [anon_sym_volatile] = ACTIONS(5591),
    [anon_sym_restrict] = ACTIONS(5591),
    [anon_sym___restrict__] = ACTIONS(5591),
    [anon_sym__Atomic] = ACTIONS(5591),
    [anon_sym__Noreturn] = ACTIONS(5591),
    [anon_sym_noreturn] = ACTIONS(5591),
    [anon_sym_mutable] = ACTIONS(5591),
    [anon_sym_constinit] = ACTIONS(5591),
    [anon_sym_consteval] = ACTIONS(5591),
    [sym_primitive_type] = ACTIONS(5591),
    [anon_sym_enum] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_struct] = ACTIONS(5591),
    [anon_sym_union] = ACTIONS(5591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5591),
    [anon_sym_decltype] = ACTIONS(5591),
    [anon_sym_virtual] = ACTIONS(5591),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(5591),
    [anon_sym_typename] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5591),
    [anon_sym_operator] = ACTIONS(5591),
    [anon_sym_friend] = ACTIONS(5591),
    [anon_sym_public] = ACTIONS(5591),
    [anon_sym_private] = ACTIONS(5591),
    [anon_sym_protected] = ACTIONS(5591),
    [anon_sym_using] = ACTIONS(5591),
    [anon_sym_static_assert] = ACTIONS(5591),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5595),
    [aux_sym_preproc_def_token1] = ACTIONS(5595),
    [aux_sym_preproc_if_token1] = ACTIONS(5595),
    [aux_sym_preproc_if_token2] = ACTIONS(5595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5595),
    [aux_sym_preproc_else_token1] = ACTIONS(5595),
    [aux_sym_preproc_elif_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5595),
    [sym_preproc_directive] = ACTIONS(5595),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_TILDE] = ACTIONS(5597),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym___extension__] = ACTIONS(5595),
    [anon_sym_typedef] = ACTIONS(5595),
    [anon_sym_extern] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym_COLON_COLON] = ACTIONS(5597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5597),
    [anon_sym___declspec] = ACTIONS(5595),
    [anon_sym___based] = ACTIONS(5595),
    [anon_sym_signed] = ACTIONS(5595),
    [anon_sym_unsigned] = ACTIONS(5595),
    [anon_sym_long] = ACTIONS(5595),
    [anon_sym_short] = ACTIONS(5595),
    [anon_sym_LBRACK] = ACTIONS(5595),
    [anon_sym_static] = ACTIONS(5595),
    [anon_sym_register] = ACTIONS(5595),
    [anon_sym_inline] = ACTIONS(5595),
    [anon_sym___inline] = ACTIONS(5595),
    [anon_sym___inline__] = ACTIONS(5595),
    [anon_sym___forceinline] = ACTIONS(5595),
    [anon_sym_thread_local] = ACTIONS(5595),
    [anon_sym___thread] = ACTIONS(5595),
    [anon_sym_const] = ACTIONS(5595),
    [anon_sym_constexpr] = ACTIONS(5595),
    [anon_sym_volatile] = ACTIONS(5595),
    [anon_sym_restrict] = ACTIONS(5595),
    [anon_sym___restrict__] = ACTIONS(5595),
    [anon_sym__Atomic] = ACTIONS(5595),
    [anon_sym__Noreturn] = ACTIONS(5595),
    [anon_sym_noreturn] = ACTIONS(5595),
    [anon_sym_mutable] = ACTIONS(5595),
    [anon_sym_constinit] = ACTIONS(5595),
    [anon_sym_consteval] = ACTIONS(5595),
    [sym_primitive_type] = ACTIONS(5595),
    [anon_sym_enum] = ACTIONS(5595),
    [anon_sym_class] = ACTIONS(5595),
    [anon_sym_struct] = ACTIONS(5595),
    [anon_sym_union] = ACTIONS(5595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
    [anon_sym_virtual] = ACTIONS(5595),
    [anon_sym_alignas] = ACTIONS(5595),
    [anon_sym_explicit] = ACTIONS(5595),
    [anon_sym_typename] = ACTIONS(5595),
    [anon_sym_template] = ACTIONS(5595),
    [anon_sym_operator] = ACTIONS(5595),
    [anon_sym_friend] = ACTIONS(5595),
    [anon_sym_public] = ACTIONS(5595),
    [anon_sym_private] = ACTIONS(5595),
    [anon_sym_protected] = ACTIONS(5595),
    [anon_sym_using] = ACTIONS(5595),
    [anon_sym_static_assert] = ACTIONS(5595),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5599),
    [aux_sym_preproc_def_token1] = ACTIONS(5599),
    [aux_sym_preproc_if_token1] = ACTIONS(5599),
    [aux_sym_preproc_if_token2] = ACTIONS(5599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5599),
    [aux_sym_preproc_else_token1] = ACTIONS(5599),
    [aux_sym_preproc_elif_token1] = ACTIONS(5599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5599),
    [sym_preproc_directive] = ACTIONS(5599),
    [anon_sym_LPAREN2] = ACTIONS(5601),
    [anon_sym_TILDE] = ACTIONS(5601),
    [anon_sym_STAR] = ACTIONS(5601),
    [anon_sym_AMP_AMP] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5599),
    [anon_sym___extension__] = ACTIONS(5599),
    [anon_sym_typedef] = ACTIONS(5599),
    [anon_sym_extern] = ACTIONS(5599),
    [anon_sym___attribute__] = ACTIONS(5599),
    [anon_sym_COLON_COLON] = ACTIONS(5601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5601),
    [anon_sym___declspec] = ACTIONS(5599),
    [anon_sym___based] = ACTIONS(5599),
    [anon_sym_signed] = ACTIONS(5599),
    [anon_sym_unsigned] = ACTIONS(5599),
    [anon_sym_long] = ACTIONS(5599),
    [anon_sym_short] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5599),
    [anon_sym_static] = ACTIONS(5599),
    [anon_sym_register] = ACTIONS(5599),
    [anon_sym_inline] = ACTIONS(5599),
    [anon_sym___inline] = ACTIONS(5599),
    [anon_sym___inline__] = ACTIONS(5599),
    [anon_sym___forceinline] = ACTIONS(5599),
    [anon_sym_thread_local] = ACTIONS(5599),
    [anon_sym___thread] = ACTIONS(5599),
    [anon_sym_const] = ACTIONS(5599),
    [anon_sym_constexpr] = ACTIONS(5599),
    [anon_sym_volatile] = ACTIONS(5599),
    [anon_sym_restrict] = ACTIONS(5599),
    [anon_sym___restrict__] = ACTIONS(5599),
    [anon_sym__Atomic] = ACTIONS(5599),
    [anon_sym__Noreturn] = ACTIONS(5599),
    [anon_sym_noreturn] = ACTIONS(5599),
    [anon_sym_mutable] = ACTIONS(5599),
    [anon_sym_constinit] = ACTIONS(5599),
    [anon_sym_consteval] = ACTIONS(5599),
    [sym_primitive_type] = ACTIONS(5599),
    [anon_sym_enum] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_struct] = ACTIONS(5599),
    [anon_sym_union] = ACTIONS(5599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5599),
    [anon_sym_decltype] = ACTIONS(5599),
    [anon_sym_virtual] = ACTIONS(5599),
    [anon_sym_alignas] = ACTIONS(5599),
    [anon_sym_explicit] = ACTIONS(5599),
    [anon_sym_typename] = ACTIONS(5599),
    [anon_sym_template] = ACTIONS(5599),
    [anon_sym_operator] = ACTIONS(5599),
    [anon_sym_friend] = ACTIONS(5599),
    [anon_sym_public] = ACTIONS(5599),
    [anon_sym_private] = ACTIONS(5599),
    [anon_sym_protected] = ACTIONS(5599),
    [anon_sym_using] = ACTIONS(5599),
    [anon_sym_static_assert] = ACTIONS(5599),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5603),
    [aux_sym_preproc_def_token1] = ACTIONS(5603),
    [aux_sym_preproc_if_token1] = ACTIONS(5603),
    [aux_sym_preproc_if_token2] = ACTIONS(5603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5603),
    [aux_sym_preproc_else_token1] = ACTIONS(5603),
    [aux_sym_preproc_elif_token1] = ACTIONS(5603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5603),
    [sym_preproc_directive] = ACTIONS(5603),
    [anon_sym_LPAREN2] = ACTIONS(5605),
    [anon_sym_TILDE] = ACTIONS(5605),
    [anon_sym_STAR] = ACTIONS(5605),
    [anon_sym_AMP_AMP] = ACTIONS(5605),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym___extension__] = ACTIONS(5603),
    [anon_sym_typedef] = ACTIONS(5603),
    [anon_sym_extern] = ACTIONS(5603),
    [anon_sym___attribute__] = ACTIONS(5603),
    [anon_sym_COLON_COLON] = ACTIONS(5605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5605),
    [anon_sym___declspec] = ACTIONS(5603),
    [anon_sym___based] = ACTIONS(5603),
    [anon_sym_signed] = ACTIONS(5603),
    [anon_sym_unsigned] = ACTIONS(5603),
    [anon_sym_long] = ACTIONS(5603),
    [anon_sym_short] = ACTIONS(5603),
    [anon_sym_LBRACK] = ACTIONS(5603),
    [anon_sym_static] = ACTIONS(5603),
    [anon_sym_register] = ACTIONS(5603),
    [anon_sym_inline] = ACTIONS(5603),
    [anon_sym___inline] = ACTIONS(5603),
    [anon_sym___inline__] = ACTIONS(5603),
    [anon_sym___forceinline] = ACTIONS(5603),
    [anon_sym_thread_local] = ACTIONS(5603),
    [anon_sym___thread] = ACTIONS(5603),
    [anon_sym_const] = ACTIONS(5603),
    [anon_sym_constexpr] = ACTIONS(5603),
    [anon_sym_volatile] = ACTIONS(5603),
    [anon_sym_restrict] = ACTIONS(5603),
    [anon_sym___restrict__] = ACTIONS(5603),
    [anon_sym__Atomic] = ACTIONS(5603),
    [anon_sym__Noreturn] = ACTIONS(5603),
    [anon_sym_noreturn] = ACTIONS(5603),
    [anon_sym_mutable] = ACTIONS(5603),
    [anon_sym_constinit] = ACTIONS(5603),
    [anon_sym_consteval] = ACTIONS(5603),
    [sym_primitive_type] = ACTIONS(5603),
    [anon_sym_enum] = ACTIONS(5603),
    [anon_sym_class] = ACTIONS(5603),
    [anon_sym_struct] = ACTIONS(5603),
    [anon_sym_union] = ACTIONS(5603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5603),
    [anon_sym_decltype] = ACTIONS(5603),
    [anon_sym_virtual] = ACTIONS(5603),
    [anon_sym_alignas] = ACTIONS(5603),
    [anon_sym_explicit] = ACTIONS(5603),
    [anon_sym_typename] = ACTIONS(5603),
    [anon_sym_template] = ACTIONS(5603),
    [anon_sym_operator] = ACTIONS(5603),
    [anon_sym_friend] = ACTIONS(5603),
    [anon_sym_public] = ACTIONS(5603),
    [anon_sym_private] = ACTIONS(5603),
    [anon_sym_protected] = ACTIONS(5603),
    [anon_sym_using] = ACTIONS(5603),
    [anon_sym_static_assert] = ACTIONS(5603),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_friend] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [aux_sym_preproc_else_token1] = ACTIONS(5623),
    [aux_sym_preproc_elif_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_friend] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [2224] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(5631),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(5091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5093),
    [anon_sym_COMMA] = ACTIONS(5093),
    [anon_sym_RPAREN] = ACTIONS(5093),
    [aux_sym_preproc_if_token2] = ACTIONS(5093),
    [aux_sym_preproc_else_token1] = ACTIONS(5093),
    [aux_sym_preproc_elif_token1] = ACTIONS(5091),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5093),
    [anon_sym_LPAREN2] = ACTIONS(5093),
    [anon_sym_DASH] = ACTIONS(5091),
    [anon_sym_PLUS] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_SLASH] = ACTIONS(5091),
    [anon_sym_PERCENT] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5093),
    [anon_sym_AMP_AMP] = ACTIONS(5093),
    [anon_sym_PIPE] = ACTIONS(5091),
    [anon_sym_CARET] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5091),
    [anon_sym_EQ_EQ] = ACTIONS(5093),
    [anon_sym_BANG_EQ] = ACTIONS(5093),
    [anon_sym_GT] = ACTIONS(5091),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5091),
    [anon_sym_LT] = ACTIONS(5091),
    [anon_sym_LT_LT] = ACTIONS(5091),
    [anon_sym_GT_GT] = ACTIONS(5091),
    [anon_sym_SEMI] = ACTIONS(5093),
    [anon_sym___attribute__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(5093),
    [anon_sym_LBRACE] = ACTIONS(5093),
    [anon_sym_RBRACE] = ACTIONS(5093),
    [anon_sym_LBRACK] = ACTIONS(5093),
    [anon_sym_RBRACK] = ACTIONS(5093),
    [anon_sym_EQ] = ACTIONS(5091),
    [anon_sym_COLON] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5093),
    [anon_sym_STAR_EQ] = ACTIONS(5093),
    [anon_sym_SLASH_EQ] = ACTIONS(5093),
    [anon_sym_PERCENT_EQ] = ACTIONS(5093),
    [anon_sym_PLUS_EQ] = ACTIONS(5093),
    [anon_sym_DASH_EQ] = ACTIONS(5093),
    [anon_sym_LT_LT_EQ] = ACTIONS(5093),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5093),
    [anon_sym_CARET_EQ] = ACTIONS(5093),
    [anon_sym_PIPE_EQ] = ACTIONS(5093),
    [anon_sym_and_eq] = ACTIONS(5091),
    [anon_sym_or_eq] = ACTIONS(5091),
    [anon_sym_xor_eq] = ACTIONS(5091),
    [anon_sym_LT_EQ_GT] = ACTIONS(5093),
    [anon_sym_or] = ACTIONS(5091),
    [anon_sym_and] = ACTIONS(5091),
    [anon_sym_bitor] = ACTIONS(5091),
    [anon_sym_xor] = ACTIONS(5091),
    [anon_sym_bitand] = ACTIONS(5091),
    [anon_sym_not_eq] = ACTIONS(5091),
    [anon_sym_DASH_DASH] = ACTIONS(5093),
    [anon_sym_PLUS_PLUS] = ACTIONS(5093),
    [anon_sym_DOT] = ACTIONS(5091),
    [anon_sym_DOT_STAR] = ACTIONS(5093),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_final] = ACTIONS(5091),
    [anon_sym_override] = ACTIONS(5091),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token2] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [aux_sym_preproc_else_token1] = ACTIONS(3349),
    [aux_sym_preproc_elif_token1] = ACTIONS(3349),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_friend] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
  },
  [2229] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_RBRACE] = ACTIONS(4097),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_friend] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_friend] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_friend] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_friend] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_else_token1] = ACTIONS(5545),
    [aux_sym_preproc_elif_token1] = ACTIONS(5543),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5543),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5543),
    [anon_sym_GT_GT] = ACTIONS(5543),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_EQ] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_STAR_EQ] = ACTIONS(5545),
    [anon_sym_SLASH_EQ] = ACTIONS(5545),
    [anon_sym_PERCENT_EQ] = ACTIONS(5545),
    [anon_sym_PLUS_EQ] = ACTIONS(5545),
    [anon_sym_DASH_EQ] = ACTIONS(5545),
    [anon_sym_LT_LT_EQ] = ACTIONS(5545),
    [anon_sym_GT_GT_EQ] = ACTIONS(5545),
    [anon_sym_AMP_EQ] = ACTIONS(5545),
    [anon_sym_CARET_EQ] = ACTIONS(5545),
    [anon_sym_PIPE_EQ] = ACTIONS(5545),
    [anon_sym_and_eq] = ACTIONS(5543),
    [anon_sym_or_eq] = ACTIONS(5543),
    [anon_sym_xor_eq] = ACTIONS(5543),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_else_token1] = ACTIONS(5545),
    [aux_sym_preproc_elif_token1] = ACTIONS(5543),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5543),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5543),
    [anon_sym_GT_GT] = ACTIONS(5543),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_EQ] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5543),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_STAR_EQ] = ACTIONS(5545),
    [anon_sym_SLASH_EQ] = ACTIONS(5545),
    [anon_sym_PERCENT_EQ] = ACTIONS(5545),
    [anon_sym_PLUS_EQ] = ACTIONS(5545),
    [anon_sym_DASH_EQ] = ACTIONS(5545),
    [anon_sym_LT_LT_EQ] = ACTIONS(5545),
    [anon_sym_GT_GT_EQ] = ACTIONS(5545),
    [anon_sym_AMP_EQ] = ACTIONS(5545),
    [anon_sym_CARET_EQ] = ACTIONS(5545),
    [anon_sym_PIPE_EQ] = ACTIONS(5545),
    [anon_sym_and_eq] = ACTIONS(5543),
    [anon_sym_or_eq] = ACTIONS(5543),
    [anon_sym_xor_eq] = ACTIONS(5543),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_friend] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_friend] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_friend] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_friend] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5547),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5549),
    [anon_sym_COMMA] = ACTIONS(5549),
    [anon_sym_RPAREN] = ACTIONS(5549),
    [anon_sym_LPAREN2] = ACTIONS(5549),
    [anon_sym_DASH] = ACTIONS(5547),
    [anon_sym_PLUS] = ACTIONS(5547),
    [anon_sym_STAR] = ACTIONS(5549),
    [anon_sym_SLASH] = ACTIONS(5547),
    [anon_sym_PERCENT] = ACTIONS(5549),
    [anon_sym_PIPE_PIPE] = ACTIONS(5549),
    [anon_sym_AMP_AMP] = ACTIONS(5549),
    [anon_sym_PIPE] = ACTIONS(5547),
    [anon_sym_CARET] = ACTIONS(5549),
    [anon_sym_AMP] = ACTIONS(5547),
    [anon_sym_EQ_EQ] = ACTIONS(5549),
    [anon_sym_BANG_EQ] = ACTIONS(5549),
    [anon_sym_GT] = ACTIONS(5547),
    [anon_sym_GT_EQ] = ACTIONS(5549),
    [anon_sym_LT_EQ] = ACTIONS(5547),
    [anon_sym_LT] = ACTIONS(5547),
    [anon_sym_LT_LT] = ACTIONS(5549),
    [anon_sym_GT_GT] = ACTIONS(5549),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5547),
    [anon_sym___attribute__] = ACTIONS(5547),
    [anon_sym_COLON_COLON] = ACTIONS(5549),
    [anon_sym___based] = ACTIONS(5547),
    [anon_sym_LBRACE] = ACTIONS(5549),
    [anon_sym_RBRACE] = ACTIONS(5549),
    [anon_sym_signed] = ACTIONS(5547),
    [anon_sym_unsigned] = ACTIONS(5547),
    [anon_sym_long] = ACTIONS(5547),
    [anon_sym_short] = ACTIONS(5547),
    [anon_sym_LBRACK] = ACTIONS(5549),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_const] = ACTIONS(5547),
    [anon_sym_constexpr] = ACTIONS(5547),
    [anon_sym_volatile] = ACTIONS(5547),
    [anon_sym_restrict] = ACTIONS(5547),
    [anon_sym___restrict__] = ACTIONS(5547),
    [anon_sym__Atomic] = ACTIONS(5547),
    [anon_sym__Noreturn] = ACTIONS(5547),
    [anon_sym_noreturn] = ACTIONS(5547),
    [anon_sym_mutable] = ACTIONS(5547),
    [anon_sym_constinit] = ACTIONS(5547),
    [anon_sym_consteval] = ACTIONS(5547),
    [sym_primitive_type] = ACTIONS(5547),
    [anon_sym_COLON] = ACTIONS(5547),
    [anon_sym_QMARK] = ACTIONS(5549),
    [anon_sym_LT_EQ_GT] = ACTIONS(5549),
    [anon_sym_or] = ACTIONS(5547),
    [anon_sym_and] = ACTIONS(5547),
    [anon_sym_bitor] = ACTIONS(5547),
    [anon_sym_xor] = ACTIONS(5547),
    [anon_sym_bitand] = ACTIONS(5547),
    [anon_sym_not_eq] = ACTIONS(5547),
    [anon_sym_DASH_DASH] = ACTIONS(5549),
    [anon_sym_PLUS_PLUS] = ACTIONS(5549),
    [anon_sym_DOT] = ACTIONS(5547),
    [anon_sym_DOT_STAR] = ACTIONS(5549),
    [anon_sym_DASH_GT] = ACTIONS(5549),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5547),
    [anon_sym_decltype] = ACTIONS(5547),
    [anon_sym_final] = ACTIONS(5547),
    [anon_sym_override] = ACTIONS(5547),
    [anon_sym_requires] = ACTIONS(5547),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_friend] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(5083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5085),
    [anon_sym_COMMA] = ACTIONS(5085),
    [anon_sym_RPAREN] = ACTIONS(5085),
    [aux_sym_preproc_if_token2] = ACTIONS(5085),
    [aux_sym_preproc_else_token1] = ACTIONS(5085),
    [aux_sym_preproc_elif_token1] = ACTIONS(5083),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5085),
    [anon_sym_LPAREN2] = ACTIONS(5085),
    [anon_sym_DASH] = ACTIONS(5083),
    [anon_sym_PLUS] = ACTIONS(5083),
    [anon_sym_STAR] = ACTIONS(5083),
    [anon_sym_SLASH] = ACTIONS(5083),
    [anon_sym_PERCENT] = ACTIONS(5083),
    [anon_sym_PIPE_PIPE] = ACTIONS(5085),
    [anon_sym_AMP_AMP] = ACTIONS(5085),
    [anon_sym_PIPE] = ACTIONS(5083),
    [anon_sym_CARET] = ACTIONS(5083),
    [anon_sym_AMP] = ACTIONS(5083),
    [anon_sym_EQ_EQ] = ACTIONS(5085),
    [anon_sym_BANG_EQ] = ACTIONS(5085),
    [anon_sym_GT] = ACTIONS(5083),
    [anon_sym_GT_EQ] = ACTIONS(5085),
    [anon_sym_LT_EQ] = ACTIONS(5083),
    [anon_sym_LT] = ACTIONS(5083),
    [anon_sym_LT_LT] = ACTIONS(5083),
    [anon_sym_GT_GT] = ACTIONS(5083),
    [anon_sym_SEMI] = ACTIONS(5085),
    [anon_sym___attribute__] = ACTIONS(5083),
    [anon_sym_COLON_COLON] = ACTIONS(5085),
    [anon_sym_LBRACE] = ACTIONS(5085),
    [anon_sym_RBRACE] = ACTIONS(5085),
    [anon_sym_LBRACK] = ACTIONS(5085),
    [anon_sym_RBRACK] = ACTIONS(5085),
    [anon_sym_EQ] = ACTIONS(5083),
    [anon_sym_COLON] = ACTIONS(5083),
    [anon_sym_QMARK] = ACTIONS(5085),
    [anon_sym_STAR_EQ] = ACTIONS(5085),
    [anon_sym_SLASH_EQ] = ACTIONS(5085),
    [anon_sym_PERCENT_EQ] = ACTIONS(5085),
    [anon_sym_PLUS_EQ] = ACTIONS(5085),
    [anon_sym_DASH_EQ] = ACTIONS(5085),
    [anon_sym_LT_LT_EQ] = ACTIONS(5085),
    [anon_sym_GT_GT_EQ] = ACTIONS(5085),
    [anon_sym_AMP_EQ] = ACTIONS(5085),
    [anon_sym_CARET_EQ] = ACTIONS(5085),
    [anon_sym_PIPE_EQ] = ACTIONS(5085),
    [anon_sym_and_eq] = ACTIONS(5083),
    [anon_sym_or_eq] = ACTIONS(5083),
    [anon_sym_xor_eq] = ACTIONS(5083),
    [anon_sym_LT_EQ_GT] = ACTIONS(5085),
    [anon_sym_or] = ACTIONS(5083),
    [anon_sym_and] = ACTIONS(5083),
    [anon_sym_bitor] = ACTIONS(5083),
    [anon_sym_xor] = ACTIONS(5083),
    [anon_sym_bitand] = ACTIONS(5083),
    [anon_sym_not_eq] = ACTIONS(5083),
    [anon_sym_DASH_DASH] = ACTIONS(5085),
    [anon_sym_PLUS_PLUS] = ACTIONS(5085),
    [anon_sym_DOT] = ACTIONS(5083),
    [anon_sym_DOT_STAR] = ACTIONS(5085),
    [anon_sym_DASH_GT] = ACTIONS(5085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5083),
    [anon_sym_decltype] = ACTIONS(5083),
    [anon_sym_final] = ACTIONS(5083),
    [anon_sym_override] = ACTIONS(5083),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5081),
    [anon_sym_COMMA] = ACTIONS(5081),
    [anon_sym_RPAREN] = ACTIONS(5081),
    [aux_sym_preproc_if_token2] = ACTIONS(5081),
    [aux_sym_preproc_else_token1] = ACTIONS(5081),
    [aux_sym_preproc_elif_token1] = ACTIONS(5079),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5081),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5081),
    [anon_sym_LPAREN2] = ACTIONS(5081),
    [anon_sym_DASH] = ACTIONS(5079),
    [anon_sym_PLUS] = ACTIONS(5079),
    [anon_sym_STAR] = ACTIONS(5079),
    [anon_sym_SLASH] = ACTIONS(5079),
    [anon_sym_PERCENT] = ACTIONS(5079),
    [anon_sym_PIPE_PIPE] = ACTIONS(5081),
    [anon_sym_AMP_AMP] = ACTIONS(5081),
    [anon_sym_PIPE] = ACTIONS(5079),
    [anon_sym_CARET] = ACTIONS(5079),
    [anon_sym_AMP] = ACTIONS(5079),
    [anon_sym_EQ_EQ] = ACTIONS(5081),
    [anon_sym_BANG_EQ] = ACTIONS(5081),
    [anon_sym_GT] = ACTIONS(5079),
    [anon_sym_GT_EQ] = ACTIONS(5081),
    [anon_sym_LT_EQ] = ACTIONS(5079),
    [anon_sym_LT] = ACTIONS(5079),
    [anon_sym_LT_LT] = ACTIONS(5079),
    [anon_sym_GT_GT] = ACTIONS(5079),
    [anon_sym_SEMI] = ACTIONS(5081),
    [anon_sym___attribute__] = ACTIONS(5079),
    [anon_sym_COLON_COLON] = ACTIONS(5081),
    [anon_sym_LBRACE] = ACTIONS(5081),
    [anon_sym_RBRACE] = ACTIONS(5081),
    [anon_sym_LBRACK] = ACTIONS(5081),
    [anon_sym_RBRACK] = ACTIONS(5081),
    [anon_sym_EQ] = ACTIONS(5079),
    [anon_sym_COLON] = ACTIONS(5079),
    [anon_sym_QMARK] = ACTIONS(5081),
    [anon_sym_STAR_EQ] = ACTIONS(5081),
    [anon_sym_SLASH_EQ] = ACTIONS(5081),
    [anon_sym_PERCENT_EQ] = ACTIONS(5081),
    [anon_sym_PLUS_EQ] = ACTIONS(5081),
    [anon_sym_DASH_EQ] = ACTIONS(5081),
    [anon_sym_LT_LT_EQ] = ACTIONS(5081),
    [anon_sym_GT_GT_EQ] = ACTIONS(5081),
    [anon_sym_AMP_EQ] = ACTIONS(5081),
    [anon_sym_CARET_EQ] = ACTIONS(5081),
    [anon_sym_PIPE_EQ] = ACTIONS(5081),
    [anon_sym_and_eq] = ACTIONS(5079),
    [anon_sym_or_eq] = ACTIONS(5079),
    [anon_sym_xor_eq] = ACTIONS(5079),
    [anon_sym_LT_EQ_GT] = ACTIONS(5081),
    [anon_sym_or] = ACTIONS(5079),
    [anon_sym_and] = ACTIONS(5079),
    [anon_sym_bitor] = ACTIONS(5079),
    [anon_sym_xor] = ACTIONS(5079),
    [anon_sym_bitand] = ACTIONS(5079),
    [anon_sym_not_eq] = ACTIONS(5079),
    [anon_sym_DASH_DASH] = ACTIONS(5081),
    [anon_sym_PLUS_PLUS] = ACTIONS(5081),
    [anon_sym_DOT] = ACTIONS(5079),
    [anon_sym_DOT_STAR] = ACTIONS(5081),
    [anon_sym_DASH_GT] = ACTIONS(5081),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5079),
    [anon_sym_decltype] = ACTIONS(5079),
    [anon_sym_final] = ACTIONS(5079),
    [anon_sym_override] = ACTIONS(5079),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(5099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5101),
    [anon_sym_COMMA] = ACTIONS(5101),
    [anon_sym_RPAREN] = ACTIONS(5101),
    [aux_sym_preproc_if_token2] = ACTIONS(5101),
    [aux_sym_preproc_else_token1] = ACTIONS(5101),
    [aux_sym_preproc_elif_token1] = ACTIONS(5099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5101),
    [anon_sym_LPAREN2] = ACTIONS(5101),
    [anon_sym_DASH] = ACTIONS(5099),
    [anon_sym_PLUS] = ACTIONS(5099),
    [anon_sym_STAR] = ACTIONS(5099),
    [anon_sym_SLASH] = ACTIONS(5099),
    [anon_sym_PERCENT] = ACTIONS(5099),
    [anon_sym_PIPE_PIPE] = ACTIONS(5101),
    [anon_sym_AMP_AMP] = ACTIONS(5101),
    [anon_sym_PIPE] = ACTIONS(5099),
    [anon_sym_CARET] = ACTIONS(5099),
    [anon_sym_AMP] = ACTIONS(5099),
    [anon_sym_EQ_EQ] = ACTIONS(5101),
    [anon_sym_BANG_EQ] = ACTIONS(5101),
    [anon_sym_GT] = ACTIONS(5099),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5099),
    [anon_sym_LT] = ACTIONS(5099),
    [anon_sym_LT_LT] = ACTIONS(5099),
    [anon_sym_GT_GT] = ACTIONS(5099),
    [anon_sym_SEMI] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5099),
    [anon_sym_COLON_COLON] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5101),
    [anon_sym_RBRACE] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_RBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5099),
    [anon_sym_COLON] = ACTIONS(5099),
    [anon_sym_QMARK] = ACTIONS(5101),
    [anon_sym_STAR_EQ] = ACTIONS(5101),
    [anon_sym_SLASH_EQ] = ACTIONS(5101),
    [anon_sym_PERCENT_EQ] = ACTIONS(5101),
    [anon_sym_PLUS_EQ] = ACTIONS(5101),
    [anon_sym_DASH_EQ] = ACTIONS(5101),
    [anon_sym_LT_LT_EQ] = ACTIONS(5101),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5101),
    [anon_sym_CARET_EQ] = ACTIONS(5101),
    [anon_sym_PIPE_EQ] = ACTIONS(5101),
    [anon_sym_and_eq] = ACTIONS(5099),
    [anon_sym_or_eq] = ACTIONS(5099),
    [anon_sym_xor_eq] = ACTIONS(5099),
    [anon_sym_LT_EQ_GT] = ACTIONS(5101),
    [anon_sym_or] = ACTIONS(5099),
    [anon_sym_and] = ACTIONS(5099),
    [anon_sym_bitor] = ACTIONS(5099),
    [anon_sym_xor] = ACTIONS(5099),
    [anon_sym_bitand] = ACTIONS(5099),
    [anon_sym_not_eq] = ACTIONS(5099),
    [anon_sym_DASH_DASH] = ACTIONS(5101),
    [anon_sym_PLUS_PLUS] = ACTIONS(5101),
    [anon_sym_DOT] = ACTIONS(5099),
    [anon_sym_DOT_STAR] = ACTIONS(5101),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5099),
    [anon_sym_decltype] = ACTIONS(5099),
    [anon_sym_final] = ACTIONS(5099),
    [anon_sym_override] = ACTIONS(5099),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_friend] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5635),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5635),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5635),
    [anon_sym_GT_GT] = ACTIONS(5635),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_COLON_COLON] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5633),
    [anon_sym_unsigned] = ACTIONS(5633),
    [anon_sym_long] = ACTIONS(5633),
    [anon_sym_short] = ACTIONS(5633),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5633),
    [anon_sym_constexpr] = ACTIONS(5633),
    [anon_sym_volatile] = ACTIONS(5633),
    [anon_sym_restrict] = ACTIONS(5633),
    [anon_sym___restrict__] = ACTIONS(5633),
    [anon_sym__Atomic] = ACTIONS(5633),
    [anon_sym__Noreturn] = ACTIONS(5633),
    [anon_sym_noreturn] = ACTIONS(5633),
    [anon_sym_mutable] = ACTIONS(5633),
    [anon_sym_constinit] = ACTIONS(5633),
    [anon_sym_consteval] = ACTIONS(5633),
    [sym_primitive_type] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5633),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_final] = ACTIONS(5633),
    [anon_sym_override] = ACTIONS(5633),
    [anon_sym_requires] = ACTIONS(5633),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_friend] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(5637),
    [aux_sym_preproc_def_token1] = ACTIONS(5637),
    [aux_sym_preproc_if_token1] = ACTIONS(5637),
    [aux_sym_preproc_if_token2] = ACTIONS(5637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5637),
    [aux_sym_preproc_else_token1] = ACTIONS(5637),
    [aux_sym_preproc_elif_token1] = ACTIONS(5637),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5637),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5637),
    [sym_preproc_directive] = ACTIONS(5637),
    [anon_sym_LPAREN2] = ACTIONS(5639),
    [anon_sym_TILDE] = ACTIONS(5639),
    [anon_sym_STAR] = ACTIONS(5639),
    [anon_sym_AMP_AMP] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym___extension__] = ACTIONS(5637),
    [anon_sym_typedef] = ACTIONS(5637),
    [anon_sym_extern] = ACTIONS(5637),
    [anon_sym___attribute__] = ACTIONS(5637),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5639),
    [anon_sym___declspec] = ACTIONS(5637),
    [anon_sym___based] = ACTIONS(5637),
    [anon_sym_signed] = ACTIONS(5637),
    [anon_sym_unsigned] = ACTIONS(5637),
    [anon_sym_long] = ACTIONS(5637),
    [anon_sym_short] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(5637),
    [anon_sym_static] = ACTIONS(5637),
    [anon_sym_register] = ACTIONS(5637),
    [anon_sym_inline] = ACTIONS(5637),
    [anon_sym___inline] = ACTIONS(5637),
    [anon_sym___inline__] = ACTIONS(5637),
    [anon_sym___forceinline] = ACTIONS(5637),
    [anon_sym_thread_local] = ACTIONS(5637),
    [anon_sym___thread] = ACTIONS(5637),
    [anon_sym_const] = ACTIONS(5637),
    [anon_sym_constexpr] = ACTIONS(5637),
    [anon_sym_volatile] = ACTIONS(5637),
    [anon_sym_restrict] = ACTIONS(5637),
    [anon_sym___restrict__] = ACTIONS(5637),
    [anon_sym__Atomic] = ACTIONS(5637),
    [anon_sym__Noreturn] = ACTIONS(5637),
    [anon_sym_noreturn] = ACTIONS(5637),
    [anon_sym_mutable] = ACTIONS(5637),
    [anon_sym_constinit] = ACTIONS(5637),
    [anon_sym_consteval] = ACTIONS(5637),
    [sym_primitive_type] = ACTIONS(5637),
    [anon_sym_enum] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_struct] = ACTIONS(5637),
    [anon_sym_union] = ACTIONS(5637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5637),
    [anon_sym_virtual] = ACTIONS(5637),
    [anon_sym_alignas] = ACTIONS(5637),
    [anon_sym_explicit] = ACTIONS(5637),
    [anon_sym_typename] = ACTIONS(5637),
    [anon_sym_template] = ACTIONS(5637),
    [anon_sym_operator] = ACTIONS(5637),
    [anon_sym_friend] = ACTIONS(5637),
    [anon_sym_public] = ACTIONS(5637),
    [anon_sym_private] = ACTIONS(5637),
    [anon_sym_protected] = ACTIONS(5637),
    [anon_sym_using] = ACTIONS(5637),
    [anon_sym_static_assert] = ACTIONS(5637),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5641),
    [aux_sym_preproc_def_token1] = ACTIONS(5641),
    [aux_sym_preproc_if_token1] = ACTIONS(5641),
    [aux_sym_preproc_if_token2] = ACTIONS(5641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5641),
    [aux_sym_preproc_else_token1] = ACTIONS(5641),
    [aux_sym_preproc_elif_token1] = ACTIONS(5641),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5641),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5641),
    [sym_preproc_directive] = ACTIONS(5641),
    [anon_sym_LPAREN2] = ACTIONS(5643),
    [anon_sym_TILDE] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(5643),
    [anon_sym_AMP_AMP] = ACTIONS(5643),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym___extension__] = ACTIONS(5641),
    [anon_sym_typedef] = ACTIONS(5641),
    [anon_sym_extern] = ACTIONS(5641),
    [anon_sym___attribute__] = ACTIONS(5641),
    [anon_sym_COLON_COLON] = ACTIONS(5643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5643),
    [anon_sym___declspec] = ACTIONS(5641),
    [anon_sym___based] = ACTIONS(5641),
    [anon_sym_signed] = ACTIONS(5641),
    [anon_sym_unsigned] = ACTIONS(5641),
    [anon_sym_long] = ACTIONS(5641),
    [anon_sym_short] = ACTIONS(5641),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_static] = ACTIONS(5641),
    [anon_sym_register] = ACTIONS(5641),
    [anon_sym_inline] = ACTIONS(5641),
    [anon_sym___inline] = ACTIONS(5641),
    [anon_sym___inline__] = ACTIONS(5641),
    [anon_sym___forceinline] = ACTIONS(5641),
    [anon_sym_thread_local] = ACTIONS(5641),
    [anon_sym___thread] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(5641),
    [anon_sym_constexpr] = ACTIONS(5641),
    [anon_sym_volatile] = ACTIONS(5641),
    [anon_sym_restrict] = ACTIONS(5641),
    [anon_sym___restrict__] = ACTIONS(5641),
    [anon_sym__Atomic] = ACTIONS(5641),
    [anon_sym__Noreturn] = ACTIONS(5641),
    [anon_sym_noreturn] = ACTIONS(5641),
    [anon_sym_mutable] = ACTIONS(5641),
    [anon_sym_constinit] = ACTIONS(5641),
    [anon_sym_consteval] = ACTIONS(5641),
    [sym_primitive_type] = ACTIONS(5641),
    [anon_sym_enum] = ACTIONS(5641),
    [anon_sym_class] = ACTIONS(5641),
    [anon_sym_struct] = ACTIONS(5641),
    [anon_sym_union] = ACTIONS(5641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5641),
    [anon_sym_decltype] = ACTIONS(5641),
    [anon_sym_virtual] = ACTIONS(5641),
    [anon_sym_alignas] = ACTIONS(5641),
    [anon_sym_explicit] = ACTIONS(5641),
    [anon_sym_typename] = ACTIONS(5641),
    [anon_sym_template] = ACTIONS(5641),
    [anon_sym_operator] = ACTIONS(5641),
    [anon_sym_friend] = ACTIONS(5641),
    [anon_sym_public] = ACTIONS(5641),
    [anon_sym_private] = ACTIONS(5641),
    [anon_sym_protected] = ACTIONS(5641),
    [anon_sym_using] = ACTIONS(5641),
    [anon_sym_static_assert] = ACTIONS(5641),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(5645),
    [aux_sym_preproc_def_token1] = ACTIONS(5645),
    [aux_sym_preproc_if_token1] = ACTIONS(5645),
    [aux_sym_preproc_if_token2] = ACTIONS(5645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5645),
    [aux_sym_preproc_else_token1] = ACTIONS(5645),
    [aux_sym_preproc_elif_token1] = ACTIONS(5645),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5645),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5645),
    [sym_preproc_directive] = ACTIONS(5645),
    [anon_sym_LPAREN2] = ACTIONS(5647),
    [anon_sym_TILDE] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_AMP_AMP] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5645),
    [anon_sym___extension__] = ACTIONS(5645),
    [anon_sym_typedef] = ACTIONS(5645),
    [anon_sym_extern] = ACTIONS(5645),
    [anon_sym___attribute__] = ACTIONS(5645),
    [anon_sym_COLON_COLON] = ACTIONS(5647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5647),
    [anon_sym___declspec] = ACTIONS(5645),
    [anon_sym___based] = ACTIONS(5645),
    [anon_sym_signed] = ACTIONS(5645),
    [anon_sym_unsigned] = ACTIONS(5645),
    [anon_sym_long] = ACTIONS(5645),
    [anon_sym_short] = ACTIONS(5645),
    [anon_sym_LBRACK] = ACTIONS(5645),
    [anon_sym_static] = ACTIONS(5645),
    [anon_sym_register] = ACTIONS(5645),
    [anon_sym_inline] = ACTIONS(5645),
    [anon_sym___inline] = ACTIONS(5645),
    [anon_sym___inline__] = ACTIONS(5645),
    [anon_sym___forceinline] = ACTIONS(5645),
    [anon_sym_thread_local] = ACTIONS(5645),
    [anon_sym___thread] = ACTIONS(5645),
    [anon_sym_const] = ACTIONS(5645),
    [anon_sym_constexpr] = ACTIONS(5645),
    [anon_sym_volatile] = ACTIONS(5645),
    [anon_sym_restrict] = ACTIONS(5645),
    [anon_sym___restrict__] = ACTIONS(5645),
    [anon_sym__Atomic] = ACTIONS(5645),
    [anon_sym__Noreturn] = ACTIONS(5645),
    [anon_sym_noreturn] = ACTIONS(5645),
    [anon_sym_mutable] = ACTIONS(5645),
    [anon_sym_constinit] = ACTIONS(5645),
    [anon_sym_consteval] = ACTIONS(5645),
    [sym_primitive_type] = ACTIONS(5645),
    [anon_sym_enum] = ACTIONS(5645),
    [anon_sym_class] = ACTIONS(5645),
    [anon_sym_struct] = ACTIONS(5645),
    [anon_sym_union] = ACTIONS(5645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5645),
    [anon_sym_decltype] = ACTIONS(5645),
    [anon_sym_virtual] = ACTIONS(5645),
    [anon_sym_alignas] = ACTIONS(5645),
    [anon_sym_explicit] = ACTIONS(5645),
    [anon_sym_typename] = ACTIONS(5645),
    [anon_sym_template] = ACTIONS(5645),
    [anon_sym_operator] = ACTIONS(5645),
    [anon_sym_friend] = ACTIONS(5645),
    [anon_sym_public] = ACTIONS(5645),
    [anon_sym_private] = ACTIONS(5645),
    [anon_sym_protected] = ACTIONS(5645),
    [anon_sym_using] = ACTIONS(5645),
    [anon_sym_static_assert] = ACTIONS(5645),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5649),
    [aux_sym_preproc_def_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token2] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5649),
    [aux_sym_preproc_else_token1] = ACTIONS(5649),
    [aux_sym_preproc_elif_token1] = ACTIONS(5649),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5649),
    [sym_preproc_directive] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5651),
    [anon_sym_TILDE] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_AMP_AMP] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5649),
    [anon_sym___extension__] = ACTIONS(5649),
    [anon_sym_typedef] = ACTIONS(5649),
    [anon_sym_extern] = ACTIONS(5649),
    [anon_sym___attribute__] = ACTIONS(5649),
    [anon_sym_COLON_COLON] = ACTIONS(5651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5651),
    [anon_sym___declspec] = ACTIONS(5649),
    [anon_sym___based] = ACTIONS(5649),
    [anon_sym_signed] = ACTIONS(5649),
    [anon_sym_unsigned] = ACTIONS(5649),
    [anon_sym_long] = ACTIONS(5649),
    [anon_sym_short] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_static] = ACTIONS(5649),
    [anon_sym_register] = ACTIONS(5649),
    [anon_sym_inline] = ACTIONS(5649),
    [anon_sym___inline] = ACTIONS(5649),
    [anon_sym___inline__] = ACTIONS(5649),
    [anon_sym___forceinline] = ACTIONS(5649),
    [anon_sym_thread_local] = ACTIONS(5649),
    [anon_sym___thread] = ACTIONS(5649),
    [anon_sym_const] = ACTIONS(5649),
    [anon_sym_constexpr] = ACTIONS(5649),
    [anon_sym_volatile] = ACTIONS(5649),
    [anon_sym_restrict] = ACTIONS(5649),
    [anon_sym___restrict__] = ACTIONS(5649),
    [anon_sym__Atomic] = ACTIONS(5649),
    [anon_sym__Noreturn] = ACTIONS(5649),
    [anon_sym_noreturn] = ACTIONS(5649),
    [anon_sym_mutable] = ACTIONS(5649),
    [anon_sym_constinit] = ACTIONS(5649),
    [anon_sym_consteval] = ACTIONS(5649),
    [sym_primitive_type] = ACTIONS(5649),
    [anon_sym_enum] = ACTIONS(5649),
    [anon_sym_class] = ACTIONS(5649),
    [anon_sym_struct] = ACTIONS(5649),
    [anon_sym_union] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5649),
    [anon_sym_decltype] = ACTIONS(5649),
    [anon_sym_virtual] = ACTIONS(5649),
    [anon_sym_alignas] = ACTIONS(5649),
    [anon_sym_explicit] = ACTIONS(5649),
    [anon_sym_typename] = ACTIONS(5649),
    [anon_sym_template] = ACTIONS(5649),
    [anon_sym_operator] = ACTIONS(5649),
    [anon_sym_friend] = ACTIONS(5649),
    [anon_sym_public] = ACTIONS(5649),
    [anon_sym_private] = ACTIONS(5649),
    [anon_sym_protected] = ACTIONS(5649),
    [anon_sym_using] = ACTIONS(5649),
    [anon_sym_static_assert] = ACTIONS(5649),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5649),
    [aux_sym_preproc_def_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token2] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5649),
    [aux_sym_preproc_else_token1] = ACTIONS(5649),
    [aux_sym_preproc_elif_token1] = ACTIONS(5649),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5649),
    [sym_preproc_directive] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5651),
    [anon_sym_TILDE] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_AMP_AMP] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5649),
    [anon_sym___extension__] = ACTIONS(5649),
    [anon_sym_typedef] = ACTIONS(5649),
    [anon_sym_extern] = ACTIONS(5649),
    [anon_sym___attribute__] = ACTIONS(5649),
    [anon_sym_COLON_COLON] = ACTIONS(5651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5651),
    [anon_sym___declspec] = ACTIONS(5649),
    [anon_sym___based] = ACTIONS(5649),
    [anon_sym_signed] = ACTIONS(5649),
    [anon_sym_unsigned] = ACTIONS(5649),
    [anon_sym_long] = ACTIONS(5649),
    [anon_sym_short] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_static] = ACTIONS(5649),
    [anon_sym_register] = ACTIONS(5649),
    [anon_sym_inline] = ACTIONS(5649),
    [anon_sym___inline] = ACTIONS(5649),
    [anon_sym___inline__] = ACTIONS(5649),
    [anon_sym___forceinline] = ACTIONS(5649),
    [anon_sym_thread_local] = ACTIONS(5649),
    [anon_sym___thread] = ACTIONS(5649),
    [anon_sym_const] = ACTIONS(5649),
    [anon_sym_constexpr] = ACTIONS(5649),
    [anon_sym_volatile] = ACTIONS(5649),
    [anon_sym_restrict] = ACTIONS(5649),
    [anon_sym___restrict__] = ACTIONS(5649),
    [anon_sym__Atomic] = ACTIONS(5649),
    [anon_sym__Noreturn] = ACTIONS(5649),
    [anon_sym_noreturn] = ACTIONS(5649),
    [anon_sym_mutable] = ACTIONS(5649),
    [anon_sym_constinit] = ACTIONS(5649),
    [anon_sym_consteval] = ACTIONS(5649),
    [sym_primitive_type] = ACTIONS(5649),
    [anon_sym_enum] = ACTIONS(5649),
    [anon_sym_class] = ACTIONS(5649),
    [anon_sym_struct] = ACTIONS(5649),
    [anon_sym_union] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5649),
    [anon_sym_decltype] = ACTIONS(5649),
    [anon_sym_virtual] = ACTIONS(5649),
    [anon_sym_alignas] = ACTIONS(5649),
    [anon_sym_explicit] = ACTIONS(5649),
    [anon_sym_typename] = ACTIONS(5649),
    [anon_sym_template] = ACTIONS(5649),
    [anon_sym_operator] = ACTIONS(5649),
    [anon_sym_friend] = ACTIONS(5649),
    [anon_sym_public] = ACTIONS(5649),
    [anon_sym_private] = ACTIONS(5649),
    [anon_sym_protected] = ACTIONS(5649),
    [anon_sym_using] = ACTIONS(5649),
    [anon_sym_static_assert] = ACTIONS(5649),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5653),
    [aux_sym_preproc_def_token1] = ACTIONS(5653),
    [aux_sym_preproc_if_token1] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5653),
    [sym_preproc_directive] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5655),
    [anon_sym_TILDE] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_AMP_AMP] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5653),
    [anon_sym___extension__] = ACTIONS(5653),
    [anon_sym_typedef] = ACTIONS(5653),
    [anon_sym_extern] = ACTIONS(5653),
    [anon_sym___attribute__] = ACTIONS(5653),
    [anon_sym_COLON_COLON] = ACTIONS(5655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5655),
    [anon_sym___declspec] = ACTIONS(5653),
    [anon_sym___based] = ACTIONS(5653),
    [anon_sym_signed] = ACTIONS(5653),
    [anon_sym_unsigned] = ACTIONS(5653),
    [anon_sym_long] = ACTIONS(5653),
    [anon_sym_short] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_static] = ACTIONS(5653),
    [anon_sym_register] = ACTIONS(5653),
    [anon_sym_inline] = ACTIONS(5653),
    [anon_sym___inline] = ACTIONS(5653),
    [anon_sym___inline__] = ACTIONS(5653),
    [anon_sym___forceinline] = ACTIONS(5653),
    [anon_sym_thread_local] = ACTIONS(5653),
    [anon_sym___thread] = ACTIONS(5653),
    [anon_sym_const] = ACTIONS(5653),
    [anon_sym_constexpr] = ACTIONS(5653),
    [anon_sym_volatile] = ACTIONS(5653),
    [anon_sym_restrict] = ACTIONS(5653),
    [anon_sym___restrict__] = ACTIONS(5653),
    [anon_sym__Atomic] = ACTIONS(5653),
    [anon_sym__Noreturn] = ACTIONS(5653),
    [anon_sym_noreturn] = ACTIONS(5653),
    [anon_sym_mutable] = ACTIONS(5653),
    [anon_sym_constinit] = ACTIONS(5653),
    [anon_sym_consteval] = ACTIONS(5653),
    [sym_primitive_type] = ACTIONS(5653),
    [anon_sym_enum] = ACTIONS(5653),
    [anon_sym_class] = ACTIONS(5653),
    [anon_sym_struct] = ACTIONS(5653),
    [anon_sym_union] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5653),
    [anon_sym_decltype] = ACTIONS(5653),
    [anon_sym_virtual] = ACTIONS(5653),
    [anon_sym_alignas] = ACTIONS(5653),
    [anon_sym_explicit] = ACTIONS(5653),
    [anon_sym_typename] = ACTIONS(5653),
    [anon_sym_template] = ACTIONS(5653),
    [anon_sym_operator] = ACTIONS(5653),
    [anon_sym_friend] = ACTIONS(5653),
    [anon_sym_public] = ACTIONS(5653),
    [anon_sym_private] = ACTIONS(5653),
    [anon_sym_protected] = ACTIONS(5653),
    [anon_sym_using] = ACTIONS(5653),
    [anon_sym_static_assert] = ACTIONS(5653),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5657),
    [aux_sym_preproc_def_token1] = ACTIONS(5657),
    [aux_sym_preproc_if_token1] = ACTIONS(5657),
    [aux_sym_preproc_if_token2] = ACTIONS(5657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5657),
    [aux_sym_preproc_else_token1] = ACTIONS(5657),
    [aux_sym_preproc_elif_token1] = ACTIONS(5657),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5657),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5657),
    [sym_preproc_directive] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5659),
    [anon_sym_TILDE] = ACTIONS(5659),
    [anon_sym_STAR] = ACTIONS(5659),
    [anon_sym_AMP_AMP] = ACTIONS(5659),
    [anon_sym_AMP] = ACTIONS(5657),
    [anon_sym___extension__] = ACTIONS(5657),
    [anon_sym_typedef] = ACTIONS(5657),
    [anon_sym_extern] = ACTIONS(5657),
    [anon_sym___attribute__] = ACTIONS(5657),
    [anon_sym_COLON_COLON] = ACTIONS(5659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5659),
    [anon_sym___declspec] = ACTIONS(5657),
    [anon_sym___based] = ACTIONS(5657),
    [anon_sym_signed] = ACTIONS(5657),
    [anon_sym_unsigned] = ACTIONS(5657),
    [anon_sym_long] = ACTIONS(5657),
    [anon_sym_short] = ACTIONS(5657),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_static] = ACTIONS(5657),
    [anon_sym_register] = ACTIONS(5657),
    [anon_sym_inline] = ACTIONS(5657),
    [anon_sym___inline] = ACTIONS(5657),
    [anon_sym___inline__] = ACTIONS(5657),
    [anon_sym___forceinline] = ACTIONS(5657),
    [anon_sym_thread_local] = ACTIONS(5657),
    [anon_sym___thread] = ACTIONS(5657),
    [anon_sym_const] = ACTIONS(5657),
    [anon_sym_constexpr] = ACTIONS(5657),
    [anon_sym_volatile] = ACTIONS(5657),
    [anon_sym_restrict] = ACTIONS(5657),
    [anon_sym___restrict__] = ACTIONS(5657),
    [anon_sym__Atomic] = ACTIONS(5657),
    [anon_sym__Noreturn] = ACTIONS(5657),
    [anon_sym_noreturn] = ACTIONS(5657),
    [anon_sym_mutable] = ACTIONS(5657),
    [anon_sym_constinit] = ACTIONS(5657),
    [anon_sym_consteval] = ACTIONS(5657),
    [sym_primitive_type] = ACTIONS(5657),
    [anon_sym_enum] = ACTIONS(5657),
    [anon_sym_class] = ACTIONS(5657),
    [anon_sym_struct] = ACTIONS(5657),
    [anon_sym_union] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5657),
    [anon_sym_decltype] = ACTIONS(5657),
    [anon_sym_virtual] = ACTIONS(5657),
    [anon_sym_alignas] = ACTIONS(5657),
    [anon_sym_explicit] = ACTIONS(5657),
    [anon_sym_typename] = ACTIONS(5657),
    [anon_sym_template] = ACTIONS(5657),
    [anon_sym_operator] = ACTIONS(5657),
    [anon_sym_friend] = ACTIONS(5657),
    [anon_sym_public] = ACTIONS(5657),
    [anon_sym_private] = ACTIONS(5657),
    [anon_sym_protected] = ACTIONS(5657),
    [anon_sym_using] = ACTIONS(5657),
    [anon_sym_static_assert] = ACTIONS(5657),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_friend] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2261] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5467),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(5661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5663),
    [anon_sym_COMMA] = ACTIONS(5663),
    [anon_sym_RPAREN] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5663),
    [anon_sym_DASH] = ACTIONS(5661),
    [anon_sym_PLUS] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5663),
    [anon_sym_SLASH] = ACTIONS(5661),
    [anon_sym_PERCENT] = ACTIONS(5663),
    [anon_sym_PIPE_PIPE] = ACTIONS(5663),
    [anon_sym_AMP_AMP] = ACTIONS(5663),
    [anon_sym_PIPE] = ACTIONS(5661),
    [anon_sym_CARET] = ACTIONS(5663),
    [anon_sym_AMP] = ACTIONS(5661),
    [anon_sym_EQ_EQ] = ACTIONS(5663),
    [anon_sym_BANG_EQ] = ACTIONS(5663),
    [anon_sym_GT] = ACTIONS(5661),
    [anon_sym_GT_EQ] = ACTIONS(5663),
    [anon_sym_LT_EQ] = ACTIONS(5661),
    [anon_sym_LT] = ACTIONS(5661),
    [anon_sym_LT_LT] = ACTIONS(5663),
    [anon_sym_GT_GT] = ACTIONS(5663),
    [anon_sym_SEMI] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5661),
    [anon_sym___attribute__] = ACTIONS(5661),
    [anon_sym___based] = ACTIONS(5661),
    [anon_sym_LBRACE] = ACTIONS(5663),
    [anon_sym_RBRACE] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5661),
    [anon_sym_unsigned] = ACTIONS(5661),
    [anon_sym_long] = ACTIONS(5661),
    [anon_sym_short] = ACTIONS(5661),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_RBRACK] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5661),
    [anon_sym_constexpr] = ACTIONS(5661),
    [anon_sym_volatile] = ACTIONS(5661),
    [anon_sym_restrict] = ACTIONS(5661),
    [anon_sym___restrict__] = ACTIONS(5661),
    [anon_sym__Atomic] = ACTIONS(5661),
    [anon_sym__Noreturn] = ACTIONS(5661),
    [anon_sym_noreturn] = ACTIONS(5661),
    [anon_sym_mutable] = ACTIONS(5661),
    [anon_sym_constinit] = ACTIONS(5661),
    [anon_sym_consteval] = ACTIONS(5661),
    [sym_primitive_type] = ACTIONS(5661),
    [anon_sym_COLON] = ACTIONS(5663),
    [anon_sym_QMARK] = ACTIONS(5663),
    [anon_sym_LT_EQ_GT] = ACTIONS(5663),
    [anon_sym_or] = ACTIONS(5661),
    [anon_sym_and] = ACTIONS(5661),
    [anon_sym_bitor] = ACTIONS(5661),
    [anon_sym_xor] = ACTIONS(5661),
    [anon_sym_bitand] = ACTIONS(5661),
    [anon_sym_not_eq] = ACTIONS(5661),
    [anon_sym_DASH_DASH] = ACTIONS(5663),
    [anon_sym_PLUS_PLUS] = ACTIONS(5663),
    [anon_sym_DOT] = ACTIONS(5661),
    [anon_sym_DOT_STAR] = ACTIONS(5663),
    [anon_sym_DASH_GT] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5661),
    [anon_sym_decltype] = ACTIONS(5661),
    [anon_sym_final] = ACTIONS(5661),
    [anon_sym_override] = ACTIONS(5661),
    [anon_sym_requires] = ACTIONS(5661),
  },
  [2263] = {
    [sym_catch_clause] = STATE(2270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token2] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(5665),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [aux_sym_preproc_if_token2] = ACTIONS(5545),
    [aux_sym_preproc_else_token1] = ACTIONS(5545),
    [aux_sym_preproc_elif_token1] = ACTIONS(5543),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5543),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5543),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5543),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5543),
    [anon_sym_GT_GT] = ACTIONS(5543),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_EQ] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5545),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_STAR_EQ] = ACTIONS(5545),
    [anon_sym_SLASH_EQ] = ACTIONS(5545),
    [anon_sym_PERCENT_EQ] = ACTIONS(5545),
    [anon_sym_PLUS_EQ] = ACTIONS(5545),
    [anon_sym_DASH_EQ] = ACTIONS(5545),
    [anon_sym_LT_LT_EQ] = ACTIONS(5545),
    [anon_sym_GT_GT_EQ] = ACTIONS(5545),
    [anon_sym_AMP_EQ] = ACTIONS(5545),
    [anon_sym_CARET_EQ] = ACTIONS(5545),
    [anon_sym_PIPE_EQ] = ACTIONS(5545),
    [anon_sym_and_eq] = ACTIONS(5543),
    [anon_sym_or_eq] = ACTIONS(5543),
    [anon_sym_xor_eq] = ACTIONS(5543),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5669),
    [anon_sym_COMMA] = ACTIONS(5669),
    [anon_sym_RPAREN] = ACTIONS(5669),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_DASH] = ACTIONS(5667),
    [anon_sym_PLUS] = ACTIONS(5667),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_SLASH] = ACTIONS(5667),
    [anon_sym_PERCENT] = ACTIONS(5669),
    [anon_sym_PIPE_PIPE] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_PIPE] = ACTIONS(5667),
    [anon_sym_CARET] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym_EQ_EQ] = ACTIONS(5669),
    [anon_sym_BANG_EQ] = ACTIONS(5669),
    [anon_sym_GT] = ACTIONS(5667),
    [anon_sym_GT_EQ] = ACTIONS(5669),
    [anon_sym_LT_EQ] = ACTIONS(5667),
    [anon_sym_LT] = ACTIONS(5667),
    [anon_sym_LT_LT] = ACTIONS(5669),
    [anon_sym_GT_GT] = ACTIONS(5669),
    [anon_sym_SEMI] = ACTIONS(5669),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_LBRACE] = ACTIONS(5669),
    [anon_sym_RBRACE] = ACTIONS(5669),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5669),
    [anon_sym_RBRACK] = ACTIONS(5669),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_COLON] = ACTIONS(5669),
    [anon_sym_QMARK] = ACTIONS(5669),
    [anon_sym_LT_EQ_GT] = ACTIONS(5669),
    [anon_sym_or] = ACTIONS(5667),
    [anon_sym_and] = ACTIONS(5667),
    [anon_sym_bitor] = ACTIONS(5667),
    [anon_sym_xor] = ACTIONS(5667),
    [anon_sym_bitand] = ACTIONS(5667),
    [anon_sym_not_eq] = ACTIONS(5667),
    [anon_sym_DASH_DASH] = ACTIONS(5669),
    [anon_sym_PLUS_PLUS] = ACTIONS(5669),
    [anon_sym_DOT] = ACTIONS(5667),
    [anon_sym_DOT_STAR] = ACTIONS(5669),
    [anon_sym_DASH_GT] = ACTIONS(5669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_final] = ACTIONS(5667),
    [anon_sym_override] = ACTIONS(5667),
    [anon_sym_requires] = ACTIONS(5667),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5673),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5673),
    [anon_sym_GT_GT] = ACTIONS(5673),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5671),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym___based] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_signed] = ACTIONS(5671),
    [anon_sym_unsigned] = ACTIONS(5671),
    [anon_sym_long] = ACTIONS(5671),
    [anon_sym_short] = ACTIONS(5671),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5671),
    [anon_sym_constexpr] = ACTIONS(5671),
    [anon_sym_volatile] = ACTIONS(5671),
    [anon_sym_restrict] = ACTIONS(5671),
    [anon_sym___restrict__] = ACTIONS(5671),
    [anon_sym__Atomic] = ACTIONS(5671),
    [anon_sym__Noreturn] = ACTIONS(5671),
    [anon_sym_noreturn] = ACTIONS(5671),
    [anon_sym_mutable] = ACTIONS(5671),
    [anon_sym_constinit] = ACTIONS(5671),
    [anon_sym_consteval] = ACTIONS(5671),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_final] = ACTIONS(5671),
    [anon_sym_override] = ACTIONS(5671),
    [anon_sym_requires] = ACTIONS(5671),
  },
  [2267] = {
    [sym_catch_clause] = STATE(2271),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(2830),
    [aux_sym_preproc_def_token1] = ACTIONS(2830),
    [aux_sym_preproc_if_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2830),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2830),
    [sym_preproc_directive] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2832),
    [anon_sym_TILDE] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2832),
    [anon_sym_AMP_AMP] = ACTIONS(2832),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2830),
    [anon_sym_typedef] = ACTIONS(2830),
    [anon_sym_extern] = ACTIONS(2830),
    [anon_sym___attribute__] = ACTIONS(2830),
    [anon_sym_COLON_COLON] = ACTIONS(2832),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2832),
    [anon_sym___declspec] = ACTIONS(2830),
    [anon_sym___based] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2830),
    [anon_sym_unsigned] = ACTIONS(2830),
    [anon_sym_long] = ACTIONS(2830),
    [anon_sym_short] = ACTIONS(2830),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym_static] = ACTIONS(2830),
    [anon_sym_register] = ACTIONS(2830),
    [anon_sym_inline] = ACTIONS(2830),
    [anon_sym___inline] = ACTIONS(2830),
    [anon_sym___inline__] = ACTIONS(2830),
    [anon_sym___forceinline] = ACTIONS(2830),
    [anon_sym_thread_local] = ACTIONS(2830),
    [anon_sym___thread] = ACTIONS(2830),
    [anon_sym_const] = ACTIONS(2830),
    [anon_sym_constexpr] = ACTIONS(2830),
    [anon_sym_volatile] = ACTIONS(2830),
    [anon_sym_restrict] = ACTIONS(2830),
    [anon_sym___restrict__] = ACTIONS(2830),
    [anon_sym__Atomic] = ACTIONS(2830),
    [anon_sym__Noreturn] = ACTIONS(2830),
    [anon_sym_noreturn] = ACTIONS(2830),
    [anon_sym_mutable] = ACTIONS(2830),
    [anon_sym_constinit] = ACTIONS(2830),
    [anon_sym_consteval] = ACTIONS(2830),
    [sym_primitive_type] = ACTIONS(2830),
    [anon_sym_enum] = ACTIONS(2830),
    [anon_sym_class] = ACTIONS(2830),
    [anon_sym_struct] = ACTIONS(2830),
    [anon_sym_union] = ACTIONS(2830),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2830),
    [anon_sym_decltype] = ACTIONS(2830),
    [anon_sym_virtual] = ACTIONS(2830),
    [anon_sym_alignas] = ACTIONS(2830),
    [anon_sym_explicit] = ACTIONS(2830),
    [anon_sym_typename] = ACTIONS(2830),
    [anon_sym_template] = ACTIONS(2830),
    [anon_sym_operator] = ACTIONS(2830),
    [anon_sym_friend] = ACTIONS(2830),
    [anon_sym_public] = ACTIONS(2830),
    [anon_sym_private] = ACTIONS(2830),
    [anon_sym_protected] = ACTIONS(2830),
    [anon_sym_using] = ACTIONS(2830),
    [anon_sym_static_assert] = ACTIONS(2830),
    [anon_sym_catch] = ACTIONS(5675),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5679),
    [anon_sym_COMMA] = ACTIONS(5679),
    [anon_sym_RPAREN] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5679),
    [anon_sym_TILDE] = ACTIONS(5679),
    [anon_sym_STAR] = ACTIONS(5679),
    [anon_sym_AMP_AMP] = ACTIONS(5679),
    [anon_sym_AMP] = ACTIONS(5677),
    [anon_sym_SEMI] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5677),
    [anon_sym_extern] = ACTIONS(5677),
    [anon_sym___attribute__] = ACTIONS(5677),
    [anon_sym_COLON_COLON] = ACTIONS(5679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5679),
    [anon_sym___declspec] = ACTIONS(5677),
    [anon_sym___based] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(5679),
    [anon_sym_signed] = ACTIONS(5677),
    [anon_sym_unsigned] = ACTIONS(5677),
    [anon_sym_long] = ACTIONS(5677),
    [anon_sym_short] = ACTIONS(5677),
    [anon_sym_LBRACK] = ACTIONS(5677),
    [anon_sym_EQ] = ACTIONS(5679),
    [anon_sym_static] = ACTIONS(5677),
    [anon_sym_register] = ACTIONS(5677),
    [anon_sym_inline] = ACTIONS(5677),
    [anon_sym___inline] = ACTIONS(5677),
    [anon_sym___inline__] = ACTIONS(5677),
    [anon_sym___forceinline] = ACTIONS(5677),
    [anon_sym_thread_local] = ACTIONS(5677),
    [anon_sym___thread] = ACTIONS(5677),
    [anon_sym_const] = ACTIONS(5677),
    [anon_sym_constexpr] = ACTIONS(5677),
    [anon_sym_volatile] = ACTIONS(5677),
    [anon_sym_restrict] = ACTIONS(5677),
    [anon_sym___restrict__] = ACTIONS(5677),
    [anon_sym__Atomic] = ACTIONS(5677),
    [anon_sym__Noreturn] = ACTIONS(5677),
    [anon_sym_noreturn] = ACTIONS(5677),
    [anon_sym_mutable] = ACTIONS(5677),
    [anon_sym_constinit] = ACTIONS(5677),
    [anon_sym_consteval] = ACTIONS(5677),
    [sym_primitive_type] = ACTIONS(5677),
    [anon_sym_enum] = ACTIONS(5677),
    [anon_sym_class] = ACTIONS(5677),
    [anon_sym_struct] = ACTIONS(5677),
    [anon_sym_union] = ACTIONS(5677),
    [anon_sym_asm] = ACTIONS(5677),
    [anon_sym___asm__] = ACTIONS(5677),
    [anon_sym_DASH_GT] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5677),
    [anon_sym_decltype] = ACTIONS(5677),
    [anon_sym_final] = ACTIONS(5677),
    [anon_sym_override] = ACTIONS(5677),
    [anon_sym_virtual] = ACTIONS(5677),
    [anon_sym_alignas] = ACTIONS(5677),
    [anon_sym_explicit] = ACTIONS(5677),
    [anon_sym_typename] = ACTIONS(5677),
    [anon_sym_template] = ACTIONS(5677),
    [anon_sym_GT2] = ACTIONS(5679),
    [anon_sym_operator] = ACTIONS(5677),
    [anon_sym_try] = ACTIONS(5677),
    [anon_sym_noexcept] = ACTIONS(5677),
    [anon_sym_throw] = ACTIONS(5677),
    [anon_sym_requires] = ACTIONS(5677),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5683),
    [anon_sym_COMMA] = ACTIONS(5683),
    [anon_sym_RPAREN] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5683),
    [anon_sym_DASH] = ACTIONS(5681),
    [anon_sym_PLUS] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5683),
    [anon_sym_SLASH] = ACTIONS(5681),
    [anon_sym_PERCENT] = ACTIONS(5683),
    [anon_sym_PIPE_PIPE] = ACTIONS(5683),
    [anon_sym_AMP_AMP] = ACTIONS(5683),
    [anon_sym_PIPE] = ACTIONS(5681),
    [anon_sym_CARET] = ACTIONS(5683),
    [anon_sym_AMP] = ACTIONS(5681),
    [anon_sym_EQ_EQ] = ACTIONS(5683),
    [anon_sym_BANG_EQ] = ACTIONS(5683),
    [anon_sym_GT] = ACTIONS(5681),
    [anon_sym_GT_EQ] = ACTIONS(5683),
    [anon_sym_LT_EQ] = ACTIONS(5681),
    [anon_sym_LT] = ACTIONS(5681),
    [anon_sym_LT_LT] = ACTIONS(5683),
    [anon_sym_GT_GT] = ACTIONS(5683),
    [anon_sym_SEMI] = ACTIONS(5683),
    [anon_sym___extension__] = ACTIONS(5681),
    [anon_sym___attribute__] = ACTIONS(5681),
    [anon_sym___based] = ACTIONS(5681),
    [anon_sym_LBRACE] = ACTIONS(5683),
    [anon_sym_RBRACE] = ACTIONS(5683),
    [anon_sym_signed] = ACTIONS(5681),
    [anon_sym_unsigned] = ACTIONS(5681),
    [anon_sym_long] = ACTIONS(5681),
    [anon_sym_short] = ACTIONS(5681),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_RBRACK] = ACTIONS(5683),
    [anon_sym_const] = ACTIONS(5681),
    [anon_sym_constexpr] = ACTIONS(5681),
    [anon_sym_volatile] = ACTIONS(5681),
    [anon_sym_restrict] = ACTIONS(5681),
    [anon_sym___restrict__] = ACTIONS(5681),
    [anon_sym__Atomic] = ACTIONS(5681),
    [anon_sym__Noreturn] = ACTIONS(5681),
    [anon_sym_noreturn] = ACTIONS(5681),
    [anon_sym_mutable] = ACTIONS(5681),
    [anon_sym_constinit] = ACTIONS(5681),
    [anon_sym_consteval] = ACTIONS(5681),
    [sym_primitive_type] = ACTIONS(5681),
    [anon_sym_COLON] = ACTIONS(5683),
    [anon_sym_QMARK] = ACTIONS(5683),
    [anon_sym_LT_EQ_GT] = ACTIONS(5683),
    [anon_sym_or] = ACTIONS(5681),
    [anon_sym_and] = ACTIONS(5681),
    [anon_sym_bitor] = ACTIONS(5681),
    [anon_sym_xor] = ACTIONS(5681),
    [anon_sym_bitand] = ACTIONS(5681),
    [anon_sym_not_eq] = ACTIONS(5681),
    [anon_sym_DASH_DASH] = ACTIONS(5683),
    [anon_sym_PLUS_PLUS] = ACTIONS(5683),
    [anon_sym_DOT] = ACTIONS(5681),
    [anon_sym_DOT_STAR] = ACTIONS(5683),
    [anon_sym_DASH_GT] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5681),
    [anon_sym_decltype] = ACTIONS(5681),
    [anon_sym_final] = ACTIONS(5681),
    [anon_sym_override] = ACTIONS(5681),
    [anon_sym_requires] = ACTIONS(5681),
  },
  [2270] = {
    [sym_catch_clause] = STATE(2270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5685),
  },
  [2271] = {
    [sym_catch_clause] = STATE(2271),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5688),
  },
  [2272] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(8116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(5691),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_RBRACK] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(5697),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5699),
    [anon_sym_SLASH_EQ] = ACTIONS(5699),
    [anon_sym_PERCENT_EQ] = ACTIONS(5699),
    [anon_sym_PLUS_EQ] = ACTIONS(5699),
    [anon_sym_DASH_EQ] = ACTIONS(5699),
    [anon_sym_LT_LT_EQ] = ACTIONS(5699),
    [anon_sym_GT_GT_EQ] = ACTIONS(5699),
    [anon_sym_AMP_EQ] = ACTIONS(5699),
    [anon_sym_CARET_EQ] = ACTIONS(5699),
    [anon_sym_PIPE_EQ] = ACTIONS(5699),
    [anon_sym_and_eq] = ACTIONS(5699),
    [anon_sym_or_eq] = ACTIONS(5699),
    [anon_sym_xor_eq] = ACTIONS(5699),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2273] = {
    [sym_string_literal] = STATE(2322),
    [sym_raw_string_literal] = STATE(2322),
    [aux_sym_concatenated_string_repeat1] = STATE(2322),
    [sym_identifier] = ACTIONS(5701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5325),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5323),
    [anon_sym_STAR_EQ] = ACTIONS(5323),
    [anon_sym_SLASH_EQ] = ACTIONS(5323),
    [anon_sym_PERCENT_EQ] = ACTIONS(5323),
    [anon_sym_PLUS_EQ] = ACTIONS(5323),
    [anon_sym_DASH_EQ] = ACTIONS(5323),
    [anon_sym_LT_LT_EQ] = ACTIONS(5323),
    [anon_sym_GT_GT_EQ] = ACTIONS(5323),
    [anon_sym_AMP_EQ] = ACTIONS(5323),
    [anon_sym_CARET_EQ] = ACTIONS(5323),
    [anon_sym_PIPE_EQ] = ACTIONS(5323),
    [anon_sym_and_eq] = ACTIONS(5325),
    [anon_sym_or_eq] = ACTIONS(5325),
    [anon_sym_xor_eq] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_and] = ACTIONS(5325),
    [anon_sym_bitor] = ACTIONS(5325),
    [anon_sym_xor] = ACTIONS(5325),
    [anon_sym_bitand] = ACTIONS(5325),
    [anon_sym_not_eq] = ACTIONS(5325),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_DOT_STAR] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5325),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5323),
    [sym_literal_suffix] = ACTIONS(5325),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(5703),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5705),
    [anon_sym_COMMA] = ACTIONS(5705),
    [anon_sym_RPAREN] = ACTIONS(5705),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_DASH] = ACTIONS(5703),
    [anon_sym_PLUS] = ACTIONS(5703),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_SLASH] = ACTIONS(5703),
    [anon_sym_PERCENT] = ACTIONS(5705),
    [anon_sym_PIPE_PIPE] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_PIPE] = ACTIONS(5703),
    [anon_sym_CARET] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym_EQ_EQ] = ACTIONS(5705),
    [anon_sym_BANG_EQ] = ACTIONS(5705),
    [anon_sym_GT] = ACTIONS(5703),
    [anon_sym_GT_EQ] = ACTIONS(5705),
    [anon_sym_LT_EQ] = ACTIONS(5703),
    [anon_sym_LT] = ACTIONS(5703),
    [anon_sym_LT_LT] = ACTIONS(5705),
    [anon_sym_GT_GT] = ACTIONS(5705),
    [anon_sym_SEMI] = ACTIONS(5705),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5705),
    [anon_sym_RBRACK] = ACTIONS(5705),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_COLON] = ACTIONS(5705),
    [anon_sym_QMARK] = ACTIONS(5705),
    [anon_sym_LT_EQ_GT] = ACTIONS(5705),
    [anon_sym_or] = ACTIONS(5703),
    [anon_sym_and] = ACTIONS(5703),
    [anon_sym_bitor] = ACTIONS(5703),
    [anon_sym_xor] = ACTIONS(5703),
    [anon_sym_bitand] = ACTIONS(5703),
    [anon_sym_not_eq] = ACTIONS(5703),
    [anon_sym_DASH_DASH] = ACTIONS(5705),
    [anon_sym_PLUS_PLUS] = ACTIONS(5705),
    [anon_sym_DOT] = ACTIONS(5703),
    [anon_sym_DOT_STAR] = ACTIONS(5705),
    [anon_sym_DASH_GT] = ACTIONS(5705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_final] = ACTIONS(5703),
    [anon_sym_override] = ACTIONS(5703),
    [anon_sym_requires] = ACTIONS(5703),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3511),
    [anon_sym_COMMA] = ACTIONS(3511),
    [anon_sym_RPAREN] = ACTIONS(3511),
    [anon_sym_LPAREN2] = ACTIONS(3511),
    [anon_sym_TILDE] = ACTIONS(3511),
    [anon_sym_STAR] = ACTIONS(3511),
    [anon_sym_AMP_AMP] = ACTIONS(3511),
    [anon_sym_AMP] = ACTIONS(3509),
    [anon_sym_SEMI] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_extern] = ACTIONS(3509),
    [anon_sym___attribute__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3511),
    [anon_sym___declspec] = ACTIONS(3509),
    [anon_sym___based] = ACTIONS(3509),
    [anon_sym_LBRACE] = ACTIONS(3511),
    [anon_sym_signed] = ACTIONS(3509),
    [anon_sym_unsigned] = ACTIONS(3509),
    [anon_sym_long] = ACTIONS(3509),
    [anon_sym_short] = ACTIONS(3509),
    [anon_sym_LBRACK] = ACTIONS(3509),
    [anon_sym_EQ] = ACTIONS(3511),
    [anon_sym_static] = ACTIONS(3509),
    [anon_sym_register] = ACTIONS(3509),
    [anon_sym_inline] = ACTIONS(3509),
    [anon_sym___inline] = ACTIONS(3509),
    [anon_sym___inline__] = ACTIONS(3509),
    [anon_sym___forceinline] = ACTIONS(3509),
    [anon_sym_thread_local] = ACTIONS(3509),
    [anon_sym___thread] = ACTIONS(3509),
    [anon_sym_const] = ACTIONS(3509),
    [anon_sym_constexpr] = ACTIONS(3509),
    [anon_sym_volatile] = ACTIONS(3509),
    [anon_sym_restrict] = ACTIONS(3509),
    [anon_sym___restrict__] = ACTIONS(3509),
    [anon_sym__Atomic] = ACTIONS(3509),
    [anon_sym__Noreturn] = ACTIONS(3509),
    [anon_sym_noreturn] = ACTIONS(3509),
    [anon_sym_mutable] = ACTIONS(3509),
    [anon_sym_constinit] = ACTIONS(3509),
    [anon_sym_consteval] = ACTIONS(3509),
    [sym_primitive_type] = ACTIONS(3509),
    [anon_sym_enum] = ACTIONS(3509),
    [anon_sym_class] = ACTIONS(3509),
    [anon_sym_struct] = ACTIONS(3509),
    [anon_sym_union] = ACTIONS(3509),
    [anon_sym_asm] = ACTIONS(3509),
    [anon_sym___asm__] = ACTIONS(3509),
    [anon_sym_DASH_GT] = ACTIONS(3511),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3509),
    [anon_sym_decltype] = ACTIONS(3509),
    [anon_sym_final] = ACTIONS(3509),
    [anon_sym_override] = ACTIONS(3509),
    [anon_sym_virtual] = ACTIONS(3509),
    [anon_sym_alignas] = ACTIONS(3509),
    [anon_sym_explicit] = ACTIONS(3509),
    [anon_sym_typename] = ACTIONS(3509),
    [anon_sym_template] = ACTIONS(3509),
    [anon_sym_GT2] = ACTIONS(3511),
    [anon_sym_operator] = ACTIONS(3509),
    [anon_sym_try] = ACTIONS(3509),
    [anon_sym_noexcept] = ACTIONS(3509),
    [anon_sym_throw] = ACTIONS(3509),
    [anon_sym_requires] = ACTIONS(3509),
  },
  [2276] = {
    [sym_catch_clause] = STATE(2270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5665),
  },
  [2277] = {
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5709),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_DASH] = ACTIONS(5707),
    [anon_sym_PLUS] = ACTIONS(5707),
    [anon_sym_STAR] = ACTIONS(5709),
    [anon_sym_SLASH] = ACTIONS(5707),
    [anon_sym_PERCENT] = ACTIONS(5709),
    [anon_sym_PIPE_PIPE] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_PIPE] = ACTIONS(5707),
    [anon_sym_CARET] = ACTIONS(5709),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym_EQ_EQ] = ACTIONS(5709),
    [anon_sym_BANG_EQ] = ACTIONS(5709),
    [anon_sym_GT] = ACTIONS(5707),
    [anon_sym_GT_EQ] = ACTIONS(5709),
    [anon_sym_LT_EQ] = ACTIONS(5707),
    [anon_sym_LT] = ACTIONS(5707),
    [anon_sym_LT_LT] = ACTIONS(5709),
    [anon_sym_GT_GT] = ACTIONS(5709),
    [anon_sym_SEMI] = ACTIONS(5709),
    [anon_sym___extension__] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym___based] = ACTIONS(5707),
    [anon_sym_LBRACE] = ACTIONS(5709),
    [anon_sym_RBRACE] = ACTIONS(5709),
    [anon_sym_signed] = ACTIONS(5707),
    [anon_sym_unsigned] = ACTIONS(5707),
    [anon_sym_long] = ACTIONS(5707),
    [anon_sym_short] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5709),
    [anon_sym_RBRACK] = ACTIONS(5709),
    [anon_sym_const] = ACTIONS(5707),
    [anon_sym_constexpr] = ACTIONS(5707),
    [anon_sym_volatile] = ACTIONS(5707),
    [anon_sym_restrict] = ACTIONS(5707),
    [anon_sym___restrict__] = ACTIONS(5707),
    [anon_sym__Atomic] = ACTIONS(5707),
    [anon_sym__Noreturn] = ACTIONS(5707),
    [anon_sym_noreturn] = ACTIONS(5707),
    [anon_sym_mutable] = ACTIONS(5707),
    [anon_sym_constinit] = ACTIONS(5707),
    [anon_sym_consteval] = ACTIONS(5707),
    [sym_primitive_type] = ACTIONS(5707),
    [anon_sym_COLON] = ACTIONS(5709),
    [anon_sym_QMARK] = ACTIONS(5709),
    [anon_sym_LT_EQ_GT] = ACTIONS(5709),
    [anon_sym_or] = ACTIONS(5707),
    [anon_sym_and] = ACTIONS(5707),
    [anon_sym_bitor] = ACTIONS(5707),
    [anon_sym_xor] = ACTIONS(5707),
    [anon_sym_bitand] = ACTIONS(5707),
    [anon_sym_not_eq] = ACTIONS(5707),
    [anon_sym_DASH_DASH] = ACTIONS(5709),
    [anon_sym_PLUS_PLUS] = ACTIONS(5709),
    [anon_sym_DOT] = ACTIONS(5707),
    [anon_sym_DOT_STAR] = ACTIONS(5709),
    [anon_sym_DASH_GT] = ACTIONS(5709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
    [anon_sym_final] = ACTIONS(5707),
    [anon_sym_override] = ACTIONS(5707),
    [anon_sym_requires] = ACTIONS(5707),
  },
  [2278] = {
    [sym_identifier] = ACTIONS(5103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5110),
    [anon_sym_COMMA] = ACTIONS(5110),
    [anon_sym_RPAREN] = ACTIONS(5110),
    [aux_sym_preproc_if_token2] = ACTIONS(5110),
    [aux_sym_preproc_else_token1] = ACTIONS(5110),
    [aux_sym_preproc_elif_token1] = ACTIONS(5103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5110),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5110),
    [anon_sym_LPAREN2] = ACTIONS(5110),
    [anon_sym_DASH] = ACTIONS(5103),
    [anon_sym_PLUS] = ACTIONS(5103),
    [anon_sym_STAR] = ACTIONS(5110),
    [anon_sym_SLASH] = ACTIONS(5103),
    [anon_sym_PERCENT] = ACTIONS(5110),
    [anon_sym_PIPE_PIPE] = ACTIONS(5110),
    [anon_sym_AMP_AMP] = ACTIONS(5110),
    [anon_sym_PIPE] = ACTIONS(5103),
    [anon_sym_CARET] = ACTIONS(5110),
    [anon_sym_AMP] = ACTIONS(5103),
    [anon_sym_EQ_EQ] = ACTIONS(5110),
    [anon_sym_BANG_EQ] = ACTIONS(5110),
    [anon_sym_GT] = ACTIONS(5103),
    [anon_sym_GT_EQ] = ACTIONS(5110),
    [anon_sym_LT_EQ] = ACTIONS(5103),
    [anon_sym_LT] = ACTIONS(5103),
    [anon_sym_LT_LT] = ACTIONS(5110),
    [anon_sym_GT_GT] = ACTIONS(5110),
    [anon_sym_SEMI] = ACTIONS(5110),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_RBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_RBRACK] = ACTIONS(5110),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_COLON] = ACTIONS(5103),
    [anon_sym_QMARK] = ACTIONS(5110),
    [anon_sym_LT_EQ_GT] = ACTIONS(5110),
    [anon_sym_or] = ACTIONS(5103),
    [anon_sym_and] = ACTIONS(5103),
    [anon_sym_bitor] = ACTIONS(5103),
    [anon_sym_xor] = ACTIONS(5103),
    [anon_sym_bitand] = ACTIONS(5103),
    [anon_sym_not_eq] = ACTIONS(5103),
    [anon_sym_DASH_DASH] = ACTIONS(5110),
    [anon_sym_PLUS_PLUS] = ACTIONS(5110),
    [anon_sym_DOT] = ACTIONS(5103),
    [anon_sym_DOT_STAR] = ACTIONS(5110),
    [anon_sym_DASH_GT] = ACTIONS(5110),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_final] = ACTIONS(5103),
    [anon_sym_override] = ACTIONS(5103),
    [anon_sym_requires] = ACTIONS(5103),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5713),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5713),
    [anon_sym_GT_GT] = ACTIONS(5713),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_final] = ACTIONS(5711),
    [anon_sym_override] = ACTIONS(5711),
    [anon_sym_requires] = ACTIONS(5711),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5717),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5717),
    [anon_sym_GT_GT] = ACTIONS(5717),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_final] = ACTIONS(5715),
    [anon_sym_override] = ACTIONS(5715),
    [anon_sym_requires] = ACTIONS(5715),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5721),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5721),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5721),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5721),
    [anon_sym_GT_GT] = ACTIONS(5721),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5719),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5719),
    [anon_sym_constexpr] = ACTIONS(5719),
    [anon_sym_volatile] = ACTIONS(5719),
    [anon_sym_restrict] = ACTIONS(5719),
    [anon_sym___restrict__] = ACTIONS(5719),
    [anon_sym__Atomic] = ACTIONS(5719),
    [anon_sym__Noreturn] = ACTIONS(5719),
    [anon_sym_noreturn] = ACTIONS(5719),
    [anon_sym_mutable] = ACTIONS(5719),
    [anon_sym_constinit] = ACTIONS(5719),
    [anon_sym_consteval] = ACTIONS(5719),
    [sym_primitive_type] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
    [anon_sym_final] = ACTIONS(5719),
    [anon_sym_override] = ACTIONS(5719),
    [anon_sym_requires] = ACTIONS(5719),
  },
  [2282] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5713),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5713),
    [anon_sym_GT_GT] = ACTIONS(5713),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_final] = ACTIONS(5711),
    [anon_sym_override] = ACTIONS(5711),
    [anon_sym_requires] = ACTIONS(5711),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(5703),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5705),
    [anon_sym_COMMA] = ACTIONS(5705),
    [anon_sym_RPAREN] = ACTIONS(5705),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_DASH] = ACTIONS(5703),
    [anon_sym_PLUS] = ACTIONS(5703),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_SLASH] = ACTIONS(5703),
    [anon_sym_PERCENT] = ACTIONS(5705),
    [anon_sym_PIPE_PIPE] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_PIPE] = ACTIONS(5703),
    [anon_sym_CARET] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym_EQ_EQ] = ACTIONS(5705),
    [anon_sym_BANG_EQ] = ACTIONS(5705),
    [anon_sym_GT] = ACTIONS(5703),
    [anon_sym_GT_EQ] = ACTIONS(5705),
    [anon_sym_LT_EQ] = ACTIONS(5703),
    [anon_sym_LT] = ACTIONS(5703),
    [anon_sym_LT_LT] = ACTIONS(5705),
    [anon_sym_GT_GT] = ACTIONS(5705),
    [anon_sym_SEMI] = ACTIONS(5705),
    [anon_sym___extension__] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym___based] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_signed] = ACTIONS(5703),
    [anon_sym_unsigned] = ACTIONS(5703),
    [anon_sym_long] = ACTIONS(5703),
    [anon_sym_short] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5705),
    [anon_sym_RBRACK] = ACTIONS(5705),
    [anon_sym_const] = ACTIONS(5703),
    [anon_sym_constexpr] = ACTIONS(5703),
    [anon_sym_volatile] = ACTIONS(5703),
    [anon_sym_restrict] = ACTIONS(5703),
    [anon_sym___restrict__] = ACTIONS(5703),
    [anon_sym__Atomic] = ACTIONS(5703),
    [anon_sym__Noreturn] = ACTIONS(5703),
    [anon_sym_noreturn] = ACTIONS(5703),
    [anon_sym_mutable] = ACTIONS(5703),
    [anon_sym_constinit] = ACTIONS(5703),
    [anon_sym_consteval] = ACTIONS(5703),
    [sym_primitive_type] = ACTIONS(5703),
    [anon_sym_COLON] = ACTIONS(5705),
    [anon_sym_QMARK] = ACTIONS(5705),
    [anon_sym_LT_EQ_GT] = ACTIONS(5705),
    [anon_sym_or] = ACTIONS(5703),
    [anon_sym_and] = ACTIONS(5703),
    [anon_sym_bitor] = ACTIONS(5703),
    [anon_sym_xor] = ACTIONS(5703),
    [anon_sym_bitand] = ACTIONS(5703),
    [anon_sym_not_eq] = ACTIONS(5703),
    [anon_sym_DASH_DASH] = ACTIONS(5705),
    [anon_sym_PLUS_PLUS] = ACTIONS(5705),
    [anon_sym_DOT] = ACTIONS(5703),
    [anon_sym_DOT_STAR] = ACTIONS(5705),
    [anon_sym_DASH_GT] = ACTIONS(5705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
    [anon_sym_final] = ACTIONS(5703),
    [anon_sym_override] = ACTIONS(5703),
    [anon_sym_requires] = ACTIONS(5703),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5723),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym___based] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_signed] = ACTIONS(5723),
    [anon_sym_unsigned] = ACTIONS(5723),
    [anon_sym_long] = ACTIONS(5723),
    [anon_sym_short] = ACTIONS(5723),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5723),
    [anon_sym_constexpr] = ACTIONS(5723),
    [anon_sym_volatile] = ACTIONS(5723),
    [anon_sym_restrict] = ACTIONS(5723),
    [anon_sym___restrict__] = ACTIONS(5723),
    [anon_sym__Atomic] = ACTIONS(5723),
    [anon_sym__Noreturn] = ACTIONS(5723),
    [anon_sym_noreturn] = ACTIONS(5723),
    [anon_sym_mutable] = ACTIONS(5723),
    [anon_sym_constinit] = ACTIONS(5723),
    [anon_sym_consteval] = ACTIONS(5723),
    [sym_primitive_type] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
    [anon_sym_final] = ACTIONS(5723),
    [anon_sym_override] = ACTIONS(5723),
    [anon_sym_requires] = ACTIONS(5723),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5729),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5729),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(5729),
    [anon_sym_SLASH] = ACTIONS(5727),
    [anon_sym_PERCENT] = ACTIONS(5729),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_PIPE] = ACTIONS(5727),
    [anon_sym_CARET] = ACTIONS(5729),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym_EQ_EQ] = ACTIONS(5729),
    [anon_sym_BANG_EQ] = ACTIONS(5729),
    [anon_sym_GT] = ACTIONS(5727),
    [anon_sym_GT_EQ] = ACTIONS(5729),
    [anon_sym_LT_EQ] = ACTIONS(5727),
    [anon_sym_LT] = ACTIONS(5727),
    [anon_sym_LT_LT] = ACTIONS(5729),
    [anon_sym_GT_GT] = ACTIONS(5729),
    [anon_sym_SEMI] = ACTIONS(5729),
    [anon_sym___extension__] = ACTIONS(5727),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym___based] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(5729),
    [anon_sym_RBRACE] = ACTIONS(5729),
    [anon_sym_signed] = ACTIONS(5727),
    [anon_sym_unsigned] = ACTIONS(5727),
    [anon_sym_long] = ACTIONS(5727),
    [anon_sym_short] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_const] = ACTIONS(5727),
    [anon_sym_constexpr] = ACTIONS(5727),
    [anon_sym_volatile] = ACTIONS(5727),
    [anon_sym_restrict] = ACTIONS(5727),
    [anon_sym___restrict__] = ACTIONS(5727),
    [anon_sym__Atomic] = ACTIONS(5727),
    [anon_sym__Noreturn] = ACTIONS(5727),
    [anon_sym_noreturn] = ACTIONS(5727),
    [anon_sym_mutable] = ACTIONS(5727),
    [anon_sym_constinit] = ACTIONS(5727),
    [anon_sym_consteval] = ACTIONS(5727),
    [sym_primitive_type] = ACTIONS(5727),
    [anon_sym_COLON] = ACTIONS(5729),
    [anon_sym_QMARK] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(5729),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [anon_sym_bitor] = ACTIONS(5727),
    [anon_sym_xor] = ACTIONS(5727),
    [anon_sym_bitand] = ACTIONS(5727),
    [anon_sym_not_eq] = ACTIONS(5727),
    [anon_sym_DASH_DASH] = ACTIONS(5729),
    [anon_sym_PLUS_PLUS] = ACTIONS(5729),
    [anon_sym_DOT] = ACTIONS(5727),
    [anon_sym_DOT_STAR] = ACTIONS(5729),
    [anon_sym_DASH_GT] = ACTIONS(5729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5727),
    [anon_sym_decltype] = ACTIONS(5727),
    [anon_sym_final] = ACTIONS(5727),
    [anon_sym_override] = ACTIONS(5727),
    [anon_sym_requires] = ACTIONS(5727),
  },
  [2286] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5733),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5733),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5733),
    [anon_sym_GT_GT] = ACTIONS(5733),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___extension__] = ACTIONS(5731),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym___based] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_signed] = ACTIONS(5731),
    [anon_sym_unsigned] = ACTIONS(5731),
    [anon_sym_long] = ACTIONS(5731),
    [anon_sym_short] = ACTIONS(5731),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_const] = ACTIONS(5731),
    [anon_sym_constexpr] = ACTIONS(5731),
    [anon_sym_volatile] = ACTIONS(5731),
    [anon_sym_restrict] = ACTIONS(5731),
    [anon_sym___restrict__] = ACTIONS(5731),
    [anon_sym__Atomic] = ACTIONS(5731),
    [anon_sym__Noreturn] = ACTIONS(5731),
    [anon_sym_noreturn] = ACTIONS(5731),
    [anon_sym_mutable] = ACTIONS(5731),
    [anon_sym_constinit] = ACTIONS(5731),
    [anon_sym_consteval] = ACTIONS(5731),
    [sym_primitive_type] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
    [anon_sym_final] = ACTIONS(5731),
    [anon_sym_override] = ACTIONS(5731),
    [anon_sym_requires] = ACTIONS(5731),
  },
  [2287] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(5735),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2288] = {
    [sym_string_literal] = STATE(2641),
    [sym_template_argument_list] = STATE(4224),
    [sym_raw_string_literal] = STATE(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5737),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(5740),
    [anon_sym_or_eq] = ACTIONS(5740),
    [anon_sym_xor_eq] = ACTIONS(5740),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(4456),
    [anon_sym_u_DQUOTE] = ACTIONS(4456),
    [anon_sym_U_DQUOTE] = ACTIONS(4456),
    [anon_sym_u8_DQUOTE] = ACTIONS(4456),
    [anon_sym_DQUOTE] = ACTIONS(4456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4458),
    [anon_sym_LR_DQUOTE] = ACTIONS(4458),
    [anon_sym_uR_DQUOTE] = ACTIONS(4458),
    [anon_sym_UR_DQUOTE] = ACTIONS(4458),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4458),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
  },
  [2290] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5744),
    [anon_sym_COMMA] = ACTIONS(5744),
    [anon_sym_RPAREN] = ACTIONS(5744),
    [anon_sym_LPAREN2] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5742),
    [anon_sym_STAR] = ACTIONS(5744),
    [anon_sym_SLASH] = ACTIONS(5742),
    [anon_sym_PERCENT] = ACTIONS(5744),
    [anon_sym_PIPE_PIPE] = ACTIONS(5744),
    [anon_sym_AMP_AMP] = ACTIONS(5744),
    [anon_sym_PIPE] = ACTIONS(5742),
    [anon_sym_CARET] = ACTIONS(5744),
    [anon_sym_AMP] = ACTIONS(5742),
    [anon_sym_EQ_EQ] = ACTIONS(5744),
    [anon_sym_BANG_EQ] = ACTIONS(5744),
    [anon_sym_GT] = ACTIONS(5742),
    [anon_sym_GT_EQ] = ACTIONS(5744),
    [anon_sym_LT_EQ] = ACTIONS(5742),
    [anon_sym_LT] = ACTIONS(5742),
    [anon_sym_LT_LT] = ACTIONS(5744),
    [anon_sym_GT_GT] = ACTIONS(5744),
    [anon_sym_SEMI] = ACTIONS(5744),
    [anon_sym___extension__] = ACTIONS(5742),
    [anon_sym___attribute__] = ACTIONS(5742),
    [anon_sym___based] = ACTIONS(5742),
    [anon_sym_LBRACE] = ACTIONS(5744),
    [anon_sym_RBRACE] = ACTIONS(5744),
    [anon_sym_signed] = ACTIONS(5742),
    [anon_sym_unsigned] = ACTIONS(5742),
    [anon_sym_long] = ACTIONS(5742),
    [anon_sym_short] = ACTIONS(5742),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [anon_sym_RBRACK] = ACTIONS(5744),
    [anon_sym_const] = ACTIONS(5742),
    [anon_sym_constexpr] = ACTIONS(5742),
    [anon_sym_volatile] = ACTIONS(5742),
    [anon_sym_restrict] = ACTIONS(5742),
    [anon_sym___restrict__] = ACTIONS(5742),
    [anon_sym__Atomic] = ACTIONS(5742),
    [anon_sym__Noreturn] = ACTIONS(5742),
    [anon_sym_noreturn] = ACTIONS(5742),
    [anon_sym_mutable] = ACTIONS(5742),
    [anon_sym_constinit] = ACTIONS(5742),
    [anon_sym_consteval] = ACTIONS(5742),
    [sym_primitive_type] = ACTIONS(5742),
    [anon_sym_COLON] = ACTIONS(5744),
    [anon_sym_QMARK] = ACTIONS(5744),
    [anon_sym_LT_EQ_GT] = ACTIONS(5744),
    [anon_sym_or] = ACTIONS(5742),
    [anon_sym_and] = ACTIONS(5742),
    [anon_sym_bitor] = ACTIONS(5742),
    [anon_sym_xor] = ACTIONS(5742),
    [anon_sym_bitand] = ACTIONS(5742),
    [anon_sym_not_eq] = ACTIONS(5742),
    [anon_sym_DASH_DASH] = ACTIONS(5744),
    [anon_sym_PLUS_PLUS] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_DOT_STAR] = ACTIONS(5744),
    [anon_sym_DASH_GT] = ACTIONS(5744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5742),
    [anon_sym_decltype] = ACTIONS(5742),
    [anon_sym_final] = ACTIONS(5742),
    [anon_sym_override] = ACTIONS(5742),
    [anon_sym_requires] = ACTIONS(5742),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5746),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5748),
    [anon_sym_COMMA] = ACTIONS(5748),
    [anon_sym_RPAREN] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5746),
    [anon_sym_STAR] = ACTIONS(5748),
    [anon_sym_SLASH] = ACTIONS(5746),
    [anon_sym_PERCENT] = ACTIONS(5748),
    [anon_sym_PIPE_PIPE] = ACTIONS(5748),
    [anon_sym_AMP_AMP] = ACTIONS(5748),
    [anon_sym_PIPE] = ACTIONS(5746),
    [anon_sym_CARET] = ACTIONS(5748),
    [anon_sym_AMP] = ACTIONS(5746),
    [anon_sym_EQ_EQ] = ACTIONS(5748),
    [anon_sym_BANG_EQ] = ACTIONS(5748),
    [anon_sym_GT] = ACTIONS(5746),
    [anon_sym_GT_EQ] = ACTIONS(5748),
    [anon_sym_LT_EQ] = ACTIONS(5746),
    [anon_sym_LT] = ACTIONS(5746),
    [anon_sym_LT_LT] = ACTIONS(5748),
    [anon_sym_GT_GT] = ACTIONS(5748),
    [anon_sym_SEMI] = ACTIONS(5748),
    [anon_sym___extension__] = ACTIONS(5746),
    [anon_sym___attribute__] = ACTIONS(5746),
    [anon_sym___based] = ACTIONS(5746),
    [anon_sym_LBRACE] = ACTIONS(5748),
    [anon_sym_RBRACE] = ACTIONS(5748),
    [anon_sym_signed] = ACTIONS(5746),
    [anon_sym_unsigned] = ACTIONS(5746),
    [anon_sym_long] = ACTIONS(5746),
    [anon_sym_short] = ACTIONS(5746),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [anon_sym_RBRACK] = ACTIONS(5748),
    [anon_sym_const] = ACTIONS(5746),
    [anon_sym_constexpr] = ACTIONS(5746),
    [anon_sym_volatile] = ACTIONS(5746),
    [anon_sym_restrict] = ACTIONS(5746),
    [anon_sym___restrict__] = ACTIONS(5746),
    [anon_sym__Atomic] = ACTIONS(5746),
    [anon_sym__Noreturn] = ACTIONS(5746),
    [anon_sym_noreturn] = ACTIONS(5746),
    [anon_sym_mutable] = ACTIONS(5746),
    [anon_sym_constinit] = ACTIONS(5746),
    [anon_sym_consteval] = ACTIONS(5746),
    [sym_primitive_type] = ACTIONS(5746),
    [anon_sym_COLON] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5748),
    [anon_sym_LT_EQ_GT] = ACTIONS(5748),
    [anon_sym_or] = ACTIONS(5746),
    [anon_sym_and] = ACTIONS(5746),
    [anon_sym_bitor] = ACTIONS(5746),
    [anon_sym_xor] = ACTIONS(5746),
    [anon_sym_bitand] = ACTIONS(5746),
    [anon_sym_not_eq] = ACTIONS(5746),
    [anon_sym_DASH_DASH] = ACTIONS(5748),
    [anon_sym_PLUS_PLUS] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_DOT_STAR] = ACTIONS(5748),
    [anon_sym_DASH_GT] = ACTIONS(5748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5746),
    [anon_sym_decltype] = ACTIONS(5746),
    [anon_sym_final] = ACTIONS(5746),
    [anon_sym_override] = ACTIONS(5746),
    [anon_sym_requires] = ACTIONS(5746),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5750),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5750),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5750),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5750),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5750),
    [anon_sym_LT] = ACTIONS(5750),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___extension__] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym___based] = ACTIONS(5750),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(5750),
    [anon_sym_unsigned] = ACTIONS(5750),
    [anon_sym_long] = ACTIONS(5750),
    [anon_sym_short] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_const] = ACTIONS(5750),
    [anon_sym_constexpr] = ACTIONS(5750),
    [anon_sym_volatile] = ACTIONS(5750),
    [anon_sym_restrict] = ACTIONS(5750),
    [anon_sym___restrict__] = ACTIONS(5750),
    [anon_sym__Atomic] = ACTIONS(5750),
    [anon_sym__Noreturn] = ACTIONS(5750),
    [anon_sym_noreturn] = ACTIONS(5750),
    [anon_sym_mutable] = ACTIONS(5750),
    [anon_sym_constinit] = ACTIONS(5750),
    [anon_sym_consteval] = ACTIONS(5750),
    [sym_primitive_type] = ACTIONS(5750),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
    [anon_sym_final] = ACTIONS(5750),
    [anon_sym_override] = ACTIONS(5750),
    [anon_sym_requires] = ACTIONS(5750),
  },
  [2294] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5756),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5756),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5756),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5756),
    [anon_sym_GT_GT] = ACTIONS(5756),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___extension__] = ACTIONS(5754),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym___based] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_signed] = ACTIONS(5754),
    [anon_sym_unsigned] = ACTIONS(5754),
    [anon_sym_long] = ACTIONS(5754),
    [anon_sym_short] = ACTIONS(5754),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_const] = ACTIONS(5754),
    [anon_sym_constexpr] = ACTIONS(5754),
    [anon_sym_volatile] = ACTIONS(5754),
    [anon_sym_restrict] = ACTIONS(5754),
    [anon_sym___restrict__] = ACTIONS(5754),
    [anon_sym__Atomic] = ACTIONS(5754),
    [anon_sym__Noreturn] = ACTIONS(5754),
    [anon_sym_noreturn] = ACTIONS(5754),
    [anon_sym_mutable] = ACTIONS(5754),
    [anon_sym_constinit] = ACTIONS(5754),
    [anon_sym_consteval] = ACTIONS(5754),
    [sym_primitive_type] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
    [anon_sym_final] = ACTIONS(5754),
    [anon_sym_override] = ACTIONS(5754),
    [anon_sym_requires] = ACTIONS(5754),
  },
  [2296] = {
    [sym_catch_clause] = STATE(2270),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2270),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5665),
  },
  [2297] = {
    [sym_string_literal] = STATE(2327),
    [sym_template_argument_list] = STATE(2603),
    [sym_raw_string_literal] = STATE(2327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5237),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___attribute__] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5758),
    [anon_sym_u_DQUOTE] = ACTIONS(5758),
    [anon_sym_U_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8_DQUOTE] = ACTIONS(5758),
    [anon_sym_DQUOTE] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5760),
    [anon_sym_LR_DQUOTE] = ACTIONS(5760),
    [anon_sym_uR_DQUOTE] = ACTIONS(5760),
    [anon_sym_UR_DQUOTE] = ACTIONS(5760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5760),
  },
  [2298] = {
    [sym_string_literal] = STATE(2132),
    [sym_raw_string_literal] = STATE(2132),
    [sym_identifier] = ACTIONS(5453),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [aux_sym_preproc_if_token2] = ACTIONS(5455),
    [aux_sym_preproc_else_token1] = ACTIONS(5455),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5455),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5762),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5713),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5713),
    [anon_sym_GT_GT] = ACTIONS(5713),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_final] = ACTIONS(5711),
    [anon_sym_override] = ACTIONS(5711),
    [anon_sym_requires] = ACTIONS(5711),
  },
  [2300] = {
    [sym_string_literal] = STATE(2132),
    [sym_raw_string_literal] = STATE(2132),
    [sym_identifier] = ACTIONS(4105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [aux_sym_preproc_if_token2] = ACTIONS(4097),
    [aux_sym_preproc_else_token1] = ACTIONS(4097),
    [aux_sym_preproc_elif_token1] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4105),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5762),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(5764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5764),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5764),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5764),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5764),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5764),
    [anon_sym_LT] = ACTIONS(5764),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___extension__] = ACTIONS(5764),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym___based] = ACTIONS(5764),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_signed] = ACTIONS(5764),
    [anon_sym_unsigned] = ACTIONS(5764),
    [anon_sym_long] = ACTIONS(5764),
    [anon_sym_short] = ACTIONS(5764),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_const] = ACTIONS(5764),
    [anon_sym_constexpr] = ACTIONS(5764),
    [anon_sym_volatile] = ACTIONS(5764),
    [anon_sym_restrict] = ACTIONS(5764),
    [anon_sym___restrict__] = ACTIONS(5764),
    [anon_sym__Atomic] = ACTIONS(5764),
    [anon_sym__Noreturn] = ACTIONS(5764),
    [anon_sym_noreturn] = ACTIONS(5764),
    [anon_sym_mutable] = ACTIONS(5764),
    [anon_sym_constinit] = ACTIONS(5764),
    [anon_sym_consteval] = ACTIONS(5764),
    [sym_primitive_type] = ACTIONS(5764),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5764),
    [anon_sym_and] = ACTIONS(5764),
    [anon_sym_bitor] = ACTIONS(5764),
    [anon_sym_xor] = ACTIONS(5764),
    [anon_sym_bitand] = ACTIONS(5764),
    [anon_sym_not_eq] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
    [anon_sym_final] = ACTIONS(5764),
    [anon_sym_override] = ACTIONS(5764),
    [anon_sym_requires] = ACTIONS(5764),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym___based] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(5768),
    [anon_sym_unsigned] = ACTIONS(5768),
    [anon_sym_long] = ACTIONS(5768),
    [anon_sym_short] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5768),
    [anon_sym_volatile] = ACTIONS(5768),
    [anon_sym_restrict] = ACTIONS(5768),
    [anon_sym___restrict__] = ACTIONS(5768),
    [anon_sym__Atomic] = ACTIONS(5768),
    [anon_sym__Noreturn] = ACTIONS(5768),
    [anon_sym_noreturn] = ACTIONS(5768),
    [anon_sym_mutable] = ACTIONS(5768),
    [anon_sym_constinit] = ACTIONS(5768),
    [anon_sym_consteval] = ACTIONS(5768),
    [sym_primitive_type] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
    [anon_sym_final] = ACTIONS(5768),
    [anon_sym_override] = ACTIONS(5768),
    [anon_sym_requires] = ACTIONS(5768),
  },
  [2303] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4478),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2304] = {
    [sym_string_literal] = STATE(2304),
    [sym_raw_string_literal] = STATE(2304),
    [aux_sym_concatenated_string_repeat1] = STATE(2304),
    [sym_identifier] = ACTIONS(5772),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_SEMI] = ACTIONS(5255),
    [anon_sym___attribute__] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(5775),
    [anon_sym_u_DQUOTE] = ACTIONS(5775),
    [anon_sym_U_DQUOTE] = ACTIONS(5775),
    [anon_sym_u8_DQUOTE] = ACTIONS(5775),
    [anon_sym_DQUOTE] = ACTIONS(5775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5778),
    [anon_sym_LR_DQUOTE] = ACTIONS(5778),
    [anon_sym_uR_DQUOTE] = ACTIONS(5778),
    [anon_sym_UR_DQUOTE] = ACTIONS(5778),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5778),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2305] = {
    [sym_attribute_specifier] = STATE(2537),
    [sym_enumerator_list] = STATE(2446),
    [sym_identifier] = ACTIONS(5781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5783),
    [anon_sym_COMMA] = ACTIONS(5783),
    [anon_sym_RPAREN] = ACTIONS(5783),
    [aux_sym_preproc_if_token2] = ACTIONS(5783),
    [aux_sym_preproc_else_token1] = ACTIONS(5783),
    [aux_sym_preproc_elif_token1] = ACTIONS(5781),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5783),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5783),
    [anon_sym_LPAREN2] = ACTIONS(5783),
    [anon_sym_DASH] = ACTIONS(5781),
    [anon_sym_PLUS] = ACTIONS(5781),
    [anon_sym_STAR] = ACTIONS(5781),
    [anon_sym_SLASH] = ACTIONS(5781),
    [anon_sym_PERCENT] = ACTIONS(5781),
    [anon_sym_PIPE_PIPE] = ACTIONS(5783),
    [anon_sym_AMP_AMP] = ACTIONS(5783),
    [anon_sym_PIPE] = ACTIONS(5781),
    [anon_sym_CARET] = ACTIONS(5781),
    [anon_sym_AMP] = ACTIONS(5781),
    [anon_sym_EQ_EQ] = ACTIONS(5783),
    [anon_sym_BANG_EQ] = ACTIONS(5783),
    [anon_sym_GT] = ACTIONS(5781),
    [anon_sym_GT_EQ] = ACTIONS(5783),
    [anon_sym_LT_EQ] = ACTIONS(5781),
    [anon_sym_LT] = ACTIONS(5781),
    [anon_sym_LT_LT] = ACTIONS(5781),
    [anon_sym_GT_GT] = ACTIONS(5781),
    [anon_sym_SEMI] = ACTIONS(5783),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5783),
    [anon_sym_LBRACK] = ACTIONS(5783),
    [anon_sym_RBRACK] = ACTIONS(5783),
    [anon_sym_EQ] = ACTIONS(5781),
    [anon_sym_COLON] = ACTIONS(5783),
    [anon_sym_QMARK] = ACTIONS(5783),
    [anon_sym_STAR_EQ] = ACTIONS(5783),
    [anon_sym_SLASH_EQ] = ACTIONS(5783),
    [anon_sym_PERCENT_EQ] = ACTIONS(5783),
    [anon_sym_PLUS_EQ] = ACTIONS(5783),
    [anon_sym_DASH_EQ] = ACTIONS(5783),
    [anon_sym_LT_LT_EQ] = ACTIONS(5783),
    [anon_sym_GT_GT_EQ] = ACTIONS(5783),
    [anon_sym_AMP_EQ] = ACTIONS(5783),
    [anon_sym_CARET_EQ] = ACTIONS(5783),
    [anon_sym_PIPE_EQ] = ACTIONS(5783),
    [anon_sym_and_eq] = ACTIONS(5781),
    [anon_sym_or_eq] = ACTIONS(5781),
    [anon_sym_xor_eq] = ACTIONS(5781),
    [anon_sym_LT_EQ_GT] = ACTIONS(5783),
    [anon_sym_or] = ACTIONS(5781),
    [anon_sym_and] = ACTIONS(5781),
    [anon_sym_bitor] = ACTIONS(5781),
    [anon_sym_xor] = ACTIONS(5781),
    [anon_sym_bitand] = ACTIONS(5781),
    [anon_sym_not_eq] = ACTIONS(5781),
    [anon_sym_DASH_DASH] = ACTIONS(5783),
    [anon_sym_PLUS_PLUS] = ACTIONS(5783),
    [anon_sym_DOT] = ACTIONS(5781),
    [anon_sym_DOT_STAR] = ACTIONS(5783),
    [anon_sym_DASH_GT] = ACTIONS(5783),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5781),
    [anon_sym_decltype] = ACTIONS(5781),
  },
  [2306] = {
    [sym_template_argument_list] = STATE(2026),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2499),
    [sym_identifier] = ACTIONS(5787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5789),
    [anon_sym_COMMA] = ACTIONS(5789),
    [aux_sym_preproc_if_token2] = ACTIONS(5789),
    [aux_sym_preproc_else_token1] = ACTIONS(5789),
    [aux_sym_preproc_elif_token1] = ACTIONS(5787),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5789),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5789),
    [anon_sym_LPAREN2] = ACTIONS(5789),
    [anon_sym_DASH] = ACTIONS(5787),
    [anon_sym_PLUS] = ACTIONS(5787),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_SLASH] = ACTIONS(5787),
    [anon_sym_PERCENT] = ACTIONS(5787),
    [anon_sym_PIPE_PIPE] = ACTIONS(5789),
    [anon_sym_AMP_AMP] = ACTIONS(5789),
    [anon_sym_PIPE] = ACTIONS(5787),
    [anon_sym_CARET] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5787),
    [anon_sym_EQ_EQ] = ACTIONS(5789),
    [anon_sym_BANG_EQ] = ACTIONS(5789),
    [anon_sym_GT] = ACTIONS(5787),
    [anon_sym_GT_EQ] = ACTIONS(5789),
    [anon_sym_LT_EQ] = ACTIONS(5787),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym_LT_LT] = ACTIONS(5787),
    [anon_sym_GT_GT] = ACTIONS(5787),
    [anon_sym___attribute__] = ACTIONS(5787),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5789),
    [anon_sym_signed] = ACTIONS(5791),
    [anon_sym_unsigned] = ACTIONS(5791),
    [anon_sym_long] = ACTIONS(5791),
    [anon_sym_short] = ACTIONS(5791),
    [anon_sym_LBRACK] = ACTIONS(5789),
    [anon_sym_EQ] = ACTIONS(5787),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_STAR_EQ] = ACTIONS(5789),
    [anon_sym_SLASH_EQ] = ACTIONS(5789),
    [anon_sym_PERCENT_EQ] = ACTIONS(5789),
    [anon_sym_PLUS_EQ] = ACTIONS(5789),
    [anon_sym_DASH_EQ] = ACTIONS(5789),
    [anon_sym_LT_LT_EQ] = ACTIONS(5789),
    [anon_sym_GT_GT_EQ] = ACTIONS(5789),
    [anon_sym_AMP_EQ] = ACTIONS(5789),
    [anon_sym_CARET_EQ] = ACTIONS(5789),
    [anon_sym_PIPE_EQ] = ACTIONS(5789),
    [anon_sym_and_eq] = ACTIONS(5787),
    [anon_sym_or_eq] = ACTIONS(5787),
    [anon_sym_xor_eq] = ACTIONS(5787),
    [anon_sym_LT_EQ_GT] = ACTIONS(5789),
    [anon_sym_or] = ACTIONS(5787),
    [anon_sym_and] = ACTIONS(5787),
    [anon_sym_bitor] = ACTIONS(5787),
    [anon_sym_xor] = ACTIONS(5787),
    [anon_sym_bitand] = ACTIONS(5787),
    [anon_sym_not_eq] = ACTIONS(5787),
    [anon_sym_DASH_DASH] = ACTIONS(5789),
    [anon_sym_PLUS_PLUS] = ACTIONS(5789),
    [anon_sym_DOT] = ACTIONS(5787),
    [anon_sym_DOT_STAR] = ACTIONS(5789),
    [anon_sym_DASH_GT] = ACTIONS(5789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5787),
    [anon_sym_decltype] = ACTIONS(5787),
  },
  [2307] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5502),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5795),
    [anon_sym_DASH] = ACTIONS(5793),
    [anon_sym_PLUS] = ACTIONS(5793),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_SLASH] = ACTIONS(5793),
    [anon_sym_PERCENT] = ACTIONS(5795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_PIPE] = ACTIONS(5793),
    [anon_sym_CARET] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_EQ_EQ] = ACTIONS(5795),
    [anon_sym_BANG_EQ] = ACTIONS(5795),
    [anon_sym_GT] = ACTIONS(5793),
    [anon_sym_GT_EQ] = ACTIONS(5795),
    [anon_sym_LT_EQ] = ACTIONS(5793),
    [anon_sym_LT] = ACTIONS(5793),
    [anon_sym_LT_LT] = ACTIONS(5795),
    [anon_sym_GT_GT] = ACTIONS(5795),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___extension__] = ACTIONS(5793),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym___based] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_RBRACE] = ACTIONS(5795),
    [anon_sym_signed] = ACTIONS(5793),
    [anon_sym_unsigned] = ACTIONS(5793),
    [anon_sym_long] = ACTIONS(5793),
    [anon_sym_short] = ACTIONS(5793),
    [anon_sym_LBRACK] = ACTIONS(5795),
    [anon_sym_RBRACK] = ACTIONS(5795),
    [anon_sym_const] = ACTIONS(5793),
    [anon_sym_constexpr] = ACTIONS(5793),
    [anon_sym_volatile] = ACTIONS(5793),
    [anon_sym_restrict] = ACTIONS(5793),
    [anon_sym___restrict__] = ACTIONS(5793),
    [anon_sym__Atomic] = ACTIONS(5793),
    [anon_sym__Noreturn] = ACTIONS(5793),
    [anon_sym_noreturn] = ACTIONS(5793),
    [anon_sym_mutable] = ACTIONS(5793),
    [anon_sym_constinit] = ACTIONS(5793),
    [anon_sym_consteval] = ACTIONS(5793),
    [sym_primitive_type] = ACTIONS(5793),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5795),
    [anon_sym_LT_EQ_GT] = ACTIONS(5795),
    [anon_sym_or] = ACTIONS(5793),
    [anon_sym_and] = ACTIONS(5793),
    [anon_sym_bitor] = ACTIONS(5793),
    [anon_sym_xor] = ACTIONS(5793),
    [anon_sym_bitand] = ACTIONS(5793),
    [anon_sym_not_eq] = ACTIONS(5793),
    [anon_sym_DASH_DASH] = ACTIONS(5795),
    [anon_sym_PLUS_PLUS] = ACTIONS(5795),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_DOT_STAR] = ACTIONS(5795),
    [anon_sym_DASH_GT] = ACTIONS(5795),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5793),
    [anon_sym_decltype] = ACTIONS(5793),
    [anon_sym_final] = ACTIONS(5793),
    [anon_sym_override] = ACTIONS(5793),
    [anon_sym_requires] = ACTIONS(5793),
  },
  [2309] = {
    [sym_identifier] = ACTIONS(5797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5799),
    [anon_sym_COMMA] = ACTIONS(5799),
    [anon_sym_RPAREN] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_STAR] = ACTIONS(5799),
    [anon_sym_SLASH] = ACTIONS(5797),
    [anon_sym_PERCENT] = ACTIONS(5799),
    [anon_sym_PIPE_PIPE] = ACTIONS(5799),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_PIPE] = ACTIONS(5797),
    [anon_sym_CARET] = ACTIONS(5799),
    [anon_sym_AMP] = ACTIONS(5797),
    [anon_sym_EQ_EQ] = ACTIONS(5799),
    [anon_sym_BANG_EQ] = ACTIONS(5799),
    [anon_sym_GT] = ACTIONS(5797),
    [anon_sym_GT_EQ] = ACTIONS(5799),
    [anon_sym_LT_EQ] = ACTIONS(5797),
    [anon_sym_LT] = ACTIONS(5797),
    [anon_sym_LT_LT] = ACTIONS(5799),
    [anon_sym_GT_GT] = ACTIONS(5799),
    [anon_sym_SEMI] = ACTIONS(5799),
    [anon_sym___extension__] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym___based] = ACTIONS(5797),
    [anon_sym_LBRACE] = ACTIONS(5799),
    [anon_sym_RBRACE] = ACTIONS(5799),
    [anon_sym_signed] = ACTIONS(5797),
    [anon_sym_unsigned] = ACTIONS(5797),
    [anon_sym_long] = ACTIONS(5797),
    [anon_sym_short] = ACTIONS(5797),
    [anon_sym_LBRACK] = ACTIONS(5799),
    [anon_sym_RBRACK] = ACTIONS(5799),
    [anon_sym_const] = ACTIONS(5797),
    [anon_sym_constexpr] = ACTIONS(5797),
    [anon_sym_volatile] = ACTIONS(5797),
    [anon_sym_restrict] = ACTIONS(5797),
    [anon_sym___restrict__] = ACTIONS(5797),
    [anon_sym__Atomic] = ACTIONS(5797),
    [anon_sym__Noreturn] = ACTIONS(5797),
    [anon_sym_noreturn] = ACTIONS(5797),
    [anon_sym_mutable] = ACTIONS(5797),
    [anon_sym_constinit] = ACTIONS(5797),
    [anon_sym_consteval] = ACTIONS(5797),
    [sym_primitive_type] = ACTIONS(5797),
    [anon_sym_COLON] = ACTIONS(5799),
    [anon_sym_QMARK] = ACTIONS(5799),
    [anon_sym_LT_EQ_GT] = ACTIONS(5799),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5799),
    [anon_sym_PLUS_PLUS] = ACTIONS(5799),
    [anon_sym_DOT] = ACTIONS(5797),
    [anon_sym_DOT_STAR] = ACTIONS(5799),
    [anon_sym_DASH_GT] = ACTIONS(5799),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
    [anon_sym_final] = ACTIONS(5797),
    [anon_sym_override] = ACTIONS(5797),
    [anon_sym_requires] = ACTIONS(5797),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5803),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5803),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___extension__] = ACTIONS(5801),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym___based] = ACTIONS(5801),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(5801),
    [anon_sym_unsigned] = ACTIONS(5801),
    [anon_sym_long] = ACTIONS(5801),
    [anon_sym_short] = ACTIONS(5801),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_const] = ACTIONS(5801),
    [anon_sym_constexpr] = ACTIONS(5801),
    [anon_sym_volatile] = ACTIONS(5801),
    [anon_sym_restrict] = ACTIONS(5801),
    [anon_sym___restrict__] = ACTIONS(5801),
    [anon_sym__Atomic] = ACTIONS(5801),
    [anon_sym__Noreturn] = ACTIONS(5801),
    [anon_sym_noreturn] = ACTIONS(5801),
    [anon_sym_mutable] = ACTIONS(5801),
    [anon_sym_constinit] = ACTIONS(5801),
    [anon_sym_consteval] = ACTIONS(5801),
    [sym_primitive_type] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
    [anon_sym_final] = ACTIONS(5801),
    [anon_sym_override] = ACTIONS(5801),
    [anon_sym_requires] = ACTIONS(5801),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2312] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [aux_sym_preproc_else_token1] = ACTIONS(2184),
    [aux_sym_preproc_elif_token1] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_friend] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
  },
  [2313] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5805),
    [anon_sym_COMMA] = ACTIONS(5805),
    [anon_sym_RPAREN] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_STAR] = ACTIONS(5805),
    [anon_sym_SLASH] = ACTIONS(5808),
    [anon_sym_PERCENT] = ACTIONS(5805),
    [anon_sym_PIPE_PIPE] = ACTIONS(5805),
    [anon_sym_AMP_AMP] = ACTIONS(5805),
    [anon_sym_PIPE] = ACTIONS(5808),
    [anon_sym_CARET] = ACTIONS(5805),
    [anon_sym_AMP] = ACTIONS(5808),
    [anon_sym_EQ_EQ] = ACTIONS(5805),
    [anon_sym_BANG_EQ] = ACTIONS(5805),
    [anon_sym_GT] = ACTIONS(5808),
    [anon_sym_GT_EQ] = ACTIONS(5805),
    [anon_sym_LT_EQ] = ACTIONS(5808),
    [anon_sym_LT] = ACTIONS(5808),
    [anon_sym_LT_LT] = ACTIONS(5805),
    [anon_sym_GT_GT] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5805),
    [anon_sym___extension__] = ACTIONS(5808),
    [anon_sym___attribute__] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(5805),
    [anon_sym_RBRACE] = ACTIONS(5805),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5805),
    [anon_sym_RBRACK] = ACTIONS(5805),
    [anon_sym_const] = ACTIONS(5808),
    [anon_sym_constexpr] = ACTIONS(5808),
    [anon_sym_volatile] = ACTIONS(5808),
    [anon_sym_restrict] = ACTIONS(5808),
    [anon_sym___restrict__] = ACTIONS(5808),
    [anon_sym__Atomic] = ACTIONS(5808),
    [anon_sym__Noreturn] = ACTIONS(5808),
    [anon_sym_noreturn] = ACTIONS(5808),
    [anon_sym_mutable] = ACTIONS(5808),
    [anon_sym_constinit] = ACTIONS(5808),
    [anon_sym_consteval] = ACTIONS(5808),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_COLON] = ACTIONS(5805),
    [anon_sym_QMARK] = ACTIONS(5805),
    [anon_sym_LT_EQ_GT] = ACTIONS(5805),
    [anon_sym_or] = ACTIONS(5808),
    [anon_sym_and] = ACTIONS(5808),
    [anon_sym_bitor] = ACTIONS(5808),
    [anon_sym_xor] = ACTIONS(5808),
    [anon_sym_bitand] = ACTIONS(5808),
    [anon_sym_not_eq] = ACTIONS(5808),
    [anon_sym_DASH_DASH] = ACTIONS(5805),
    [anon_sym_PLUS_PLUS] = ACTIONS(5805),
    [anon_sym_DOT] = ACTIONS(5808),
    [anon_sym_DOT_STAR] = ACTIONS(5805),
    [anon_sym_DASH_GT] = ACTIONS(5805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5808),
    [anon_sym_decltype] = ACTIONS(5808),
    [anon_sym_final] = ACTIONS(5808),
    [anon_sym_override] = ACTIONS(5808),
    [anon_sym_requires] = ACTIONS(5808),
  },
  [2314] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5533),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2315] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(5112),
    [anon_sym_STAR] = ACTIONS(5114),
    [anon_sym_SLASH] = ACTIONS(5112),
    [anon_sym_PERCENT] = ACTIONS(5112),
    [anon_sym_PIPE_PIPE] = ACTIONS(5105),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5112),
    [anon_sym_CARET] = ACTIONS(5112),
    [anon_sym_AMP] = ACTIONS(5114),
    [anon_sym_EQ_EQ] = ACTIONS(5105),
    [anon_sym_BANG_EQ] = ACTIONS(5105),
    [anon_sym_GT] = ACTIONS(5112),
    [anon_sym_GT_EQ] = ACTIONS(5112),
    [anon_sym_LT_EQ] = ACTIONS(5112),
    [anon_sym_LT] = ACTIONS(5112),
    [anon_sym_LT_LT] = ACTIONS(5112),
    [anon_sym_GT_GT] = ACTIONS(5112),
    [anon_sym___extension__] = ACTIONS(5110),
    [anon_sym_COLON_COLON] = ACTIONS(5110),
    [anon_sym_LBRACE] = ACTIONS(5110),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5112),
    [anon_sym_const] = ACTIONS(5103),
    [anon_sym_constexpr] = ACTIONS(5110),
    [anon_sym_volatile] = ACTIONS(5110),
    [anon_sym_restrict] = ACTIONS(5110),
    [anon_sym___restrict__] = ACTIONS(5110),
    [anon_sym__Atomic] = ACTIONS(5110),
    [anon_sym__Noreturn] = ACTIONS(5110),
    [anon_sym_noreturn] = ACTIONS(5110),
    [anon_sym_mutable] = ACTIONS(5110),
    [anon_sym_constinit] = ACTIONS(5110),
    [anon_sym_consteval] = ACTIONS(5110),
    [anon_sym_QMARK] = ACTIONS(5105),
    [anon_sym_STAR_EQ] = ACTIONS(5105),
    [anon_sym_SLASH_EQ] = ACTIONS(5105),
    [anon_sym_PERCENT_EQ] = ACTIONS(5105),
    [anon_sym_PLUS_EQ] = ACTIONS(5105),
    [anon_sym_DASH_EQ] = ACTIONS(5105),
    [anon_sym_LT_LT_EQ] = ACTIONS(5105),
    [anon_sym_GT_GT_EQ] = ACTIONS(5112),
    [anon_sym_AMP_EQ] = ACTIONS(5105),
    [anon_sym_CARET_EQ] = ACTIONS(5105),
    [anon_sym_PIPE_EQ] = ACTIONS(5105),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5105),
    [anon_sym_or] = ACTIONS(5112),
    [anon_sym_and] = ACTIONS(5112),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5112),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5105),
    [anon_sym_PLUS_PLUS] = ACTIONS(5105),
    [anon_sym_DOT] = ACTIONS(5112),
    [anon_sym_DOT_STAR] = ACTIONS(5105),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5110),
    [anon_sym_decltype] = ACTIONS(5110),
    [anon_sym_GT2] = ACTIONS(5107),
  },
  [2316] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5904),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2317] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5501),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2318] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5526),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2319] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5524),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2320] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5489),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2321] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5495),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2322] = {
    [sym_string_literal] = STATE(2322),
    [sym_raw_string_literal] = STATE(2322),
    [aux_sym_concatenated_string_repeat1] = STATE(2322),
    [sym_identifier] = ACTIONS(5811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_RPAREN] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5255),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5255),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5257),
    [anon_sym_L_DQUOTE] = ACTIONS(5814),
    [anon_sym_u_DQUOTE] = ACTIONS(5814),
    [anon_sym_U_DQUOTE] = ACTIONS(5814),
    [anon_sym_u8_DQUOTE] = ACTIONS(5814),
    [anon_sym_DQUOTE] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5817),
    [anon_sym_LR_DQUOTE] = ACTIONS(5817),
    [anon_sym_uR_DQUOTE] = ACTIONS(5817),
    [anon_sym_UR_DQUOTE] = ACTIONS(5817),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5817),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5255),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2323] = {
    [sym_string_literal] = STATE(2304),
    [sym_raw_string_literal] = STATE(2304),
    [aux_sym_concatenated_string_repeat1] = STATE(2304),
    [sym_identifier] = ACTIONS(5820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_GT_EQ] = ACTIONS(5323),
    [anon_sym_LT_EQ] = ACTIONS(5325),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym___attribute__] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5323),
    [anon_sym_STAR_EQ] = ACTIONS(5323),
    [anon_sym_SLASH_EQ] = ACTIONS(5323),
    [anon_sym_PERCENT_EQ] = ACTIONS(5323),
    [anon_sym_PLUS_EQ] = ACTIONS(5323),
    [anon_sym_DASH_EQ] = ACTIONS(5323),
    [anon_sym_LT_LT_EQ] = ACTIONS(5323),
    [anon_sym_GT_GT_EQ] = ACTIONS(5323),
    [anon_sym_AMP_EQ] = ACTIONS(5323),
    [anon_sym_CARET_EQ] = ACTIONS(5323),
    [anon_sym_PIPE_EQ] = ACTIONS(5323),
    [anon_sym_and_eq] = ACTIONS(5325),
    [anon_sym_or_eq] = ACTIONS(5325),
    [anon_sym_xor_eq] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_and] = ACTIONS(5325),
    [anon_sym_bitor] = ACTIONS(5325),
    [anon_sym_xor] = ACTIONS(5325),
    [anon_sym_bitand] = ACTIONS(5325),
    [anon_sym_not_eq] = ACTIONS(5325),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_DOT_STAR] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_L_DQUOTE] = ACTIONS(5758),
    [anon_sym_u_DQUOTE] = ACTIONS(5758),
    [anon_sym_U_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8_DQUOTE] = ACTIONS(5758),
    [anon_sym_DQUOTE] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5760),
    [anon_sym_LR_DQUOTE] = ACTIONS(5760),
    [anon_sym_uR_DQUOTE] = ACTIONS(5760),
    [anon_sym_UR_DQUOTE] = ACTIONS(5760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5760),
    [sym_literal_suffix] = ACTIONS(5325),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_RPAREN] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5824),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5824),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5824),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5824),
    [anon_sym_GT_GT] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5824),
    [anon_sym___extension__] = ACTIONS(5822),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym___based] = ACTIONS(5822),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_signed] = ACTIONS(5822),
    [anon_sym_unsigned] = ACTIONS(5822),
    [anon_sym_long] = ACTIONS(5822),
    [anon_sym_short] = ACTIONS(5822),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_RBRACK] = ACTIONS(5824),
    [anon_sym_const] = ACTIONS(5822),
    [anon_sym_constexpr] = ACTIONS(5822),
    [anon_sym_volatile] = ACTIONS(5822),
    [anon_sym_restrict] = ACTIONS(5822),
    [anon_sym___restrict__] = ACTIONS(5822),
    [anon_sym__Atomic] = ACTIONS(5822),
    [anon_sym__Noreturn] = ACTIONS(5822),
    [anon_sym_noreturn] = ACTIONS(5822),
    [anon_sym_mutable] = ACTIONS(5822),
    [anon_sym_constinit] = ACTIONS(5822),
    [anon_sym_consteval] = ACTIONS(5822),
    [sym_primitive_type] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
    [anon_sym_final] = ACTIONS(5822),
    [anon_sym_override] = ACTIONS(5822),
    [anon_sym_requires] = ACTIONS(5822),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym___based] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
  },
  [2326] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2313),
    [sym_identifier] = ACTIONS(5826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5828),
    [anon_sym_COMMA] = ACTIONS(5828),
    [anon_sym_RPAREN] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_STAR] = ACTIONS(5828),
    [anon_sym_SLASH] = ACTIONS(5830),
    [anon_sym_PERCENT] = ACTIONS(5828),
    [anon_sym_PIPE_PIPE] = ACTIONS(5828),
    [anon_sym_AMP_AMP] = ACTIONS(5828),
    [anon_sym_PIPE] = ACTIONS(5830),
    [anon_sym_CARET] = ACTIONS(5828),
    [anon_sym_AMP] = ACTIONS(5830),
    [anon_sym_EQ_EQ] = ACTIONS(5828),
    [anon_sym_BANG_EQ] = ACTIONS(5828),
    [anon_sym_GT] = ACTIONS(5830),
    [anon_sym_GT_EQ] = ACTIONS(5828),
    [anon_sym_LT_EQ] = ACTIONS(5830),
    [anon_sym_LT] = ACTIONS(5830),
    [anon_sym_LT_LT] = ACTIONS(5828),
    [anon_sym_GT_GT] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5828),
    [anon_sym___extension__] = ACTIONS(5830),
    [anon_sym___attribute__] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(5828),
    [anon_sym_RBRACE] = ACTIONS(5828),
    [anon_sym_signed] = ACTIONS(5832),
    [anon_sym_unsigned] = ACTIONS(5832),
    [anon_sym_long] = ACTIONS(5832),
    [anon_sym_short] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5828),
    [anon_sym_RBRACK] = ACTIONS(5828),
    [anon_sym_const] = ACTIONS(5830),
    [anon_sym_constexpr] = ACTIONS(5830),
    [anon_sym_volatile] = ACTIONS(5830),
    [anon_sym_restrict] = ACTIONS(5830),
    [anon_sym___restrict__] = ACTIONS(5830),
    [anon_sym__Atomic] = ACTIONS(5830),
    [anon_sym__Noreturn] = ACTIONS(5830),
    [anon_sym_noreturn] = ACTIONS(5830),
    [anon_sym_mutable] = ACTIONS(5830),
    [anon_sym_constinit] = ACTIONS(5830),
    [anon_sym_consteval] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(5834),
    [anon_sym_COLON] = ACTIONS(5828),
    [anon_sym_QMARK] = ACTIONS(5828),
    [anon_sym_LT_EQ_GT] = ACTIONS(5828),
    [anon_sym_or] = ACTIONS(5830),
    [anon_sym_and] = ACTIONS(5830),
    [anon_sym_bitor] = ACTIONS(5830),
    [anon_sym_xor] = ACTIONS(5830),
    [anon_sym_bitand] = ACTIONS(5830),
    [anon_sym_not_eq] = ACTIONS(5830),
    [anon_sym_DASH_DASH] = ACTIONS(5828),
    [anon_sym_PLUS_PLUS] = ACTIONS(5828),
    [anon_sym_DOT] = ACTIONS(5830),
    [anon_sym_DOT_STAR] = ACTIONS(5828),
    [anon_sym_DASH_GT] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5830),
    [anon_sym_decltype] = ACTIONS(5830),
    [anon_sym_final] = ACTIONS(5830),
    [anon_sym_override] = ACTIONS(5830),
    [anon_sym_requires] = ACTIONS(5830),
  },
  [2327] = {
    [sym_string_literal] = STATE(2323),
    [sym_raw_string_literal] = STATE(2323),
    [aux_sym_concatenated_string_repeat1] = STATE(2323),
    [sym_identifier] = ACTIONS(5836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5309),
    [anon_sym___attribute__] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [anon_sym_L_DQUOTE] = ACTIONS(5758),
    [anon_sym_u_DQUOTE] = ACTIONS(5758),
    [anon_sym_U_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8_DQUOTE] = ACTIONS(5758),
    [anon_sym_DQUOTE] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5760),
    [anon_sym_LR_DQUOTE] = ACTIONS(5760),
    [anon_sym_uR_DQUOTE] = ACTIONS(5760),
    [anon_sym_UR_DQUOTE] = ACTIONS(5760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5760),
    [sym_literal_suffix] = ACTIONS(5311),
  },
  [2328] = {
    [sym_string_literal] = STATE(2340),
    [sym_template_argument_list] = STATE(3599),
    [sym_raw_string_literal] = STATE(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5151),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
  },
  [2329] = {
    [sym_attribute_specifier] = STATE(2506),
    [sym_enumerator_list] = STATE(2466),
    [sym_identifier] = ACTIONS(5838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5840),
    [anon_sym_COMMA] = ACTIONS(5840),
    [anon_sym_RPAREN] = ACTIONS(5840),
    [aux_sym_preproc_if_token2] = ACTIONS(5840),
    [aux_sym_preproc_else_token1] = ACTIONS(5840),
    [aux_sym_preproc_elif_token1] = ACTIONS(5838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5840),
    [anon_sym_LPAREN2] = ACTIONS(5840),
    [anon_sym_DASH] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5838),
    [anon_sym_STAR] = ACTIONS(5838),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [anon_sym_PIPE_PIPE] = ACTIONS(5840),
    [anon_sym_AMP_AMP] = ACTIONS(5840),
    [anon_sym_PIPE] = ACTIONS(5838),
    [anon_sym_CARET] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5838),
    [anon_sym_EQ_EQ] = ACTIONS(5840),
    [anon_sym_BANG_EQ] = ACTIONS(5840),
    [anon_sym_GT] = ACTIONS(5838),
    [anon_sym_GT_EQ] = ACTIONS(5840),
    [anon_sym_LT_EQ] = ACTIONS(5838),
    [anon_sym_LT] = ACTIONS(5838),
    [anon_sym_LT_LT] = ACTIONS(5838),
    [anon_sym_GT_GT] = ACTIONS(5838),
    [anon_sym_SEMI] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5785),
    [anon_sym_RBRACE] = ACTIONS(5840),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_RBRACK] = ACTIONS(5840),
    [anon_sym_EQ] = ACTIONS(5838),
    [anon_sym_COLON] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_STAR_EQ] = ACTIONS(5840),
    [anon_sym_SLASH_EQ] = ACTIONS(5840),
    [anon_sym_PERCENT_EQ] = ACTIONS(5840),
    [anon_sym_PLUS_EQ] = ACTIONS(5840),
    [anon_sym_DASH_EQ] = ACTIONS(5840),
    [anon_sym_LT_LT_EQ] = ACTIONS(5840),
    [anon_sym_GT_GT_EQ] = ACTIONS(5840),
    [anon_sym_AMP_EQ] = ACTIONS(5840),
    [anon_sym_CARET_EQ] = ACTIONS(5840),
    [anon_sym_PIPE_EQ] = ACTIONS(5840),
    [anon_sym_and_eq] = ACTIONS(5838),
    [anon_sym_or_eq] = ACTIONS(5838),
    [anon_sym_xor_eq] = ACTIONS(5838),
    [anon_sym_LT_EQ_GT] = ACTIONS(5840),
    [anon_sym_or] = ACTIONS(5838),
    [anon_sym_and] = ACTIONS(5838),
    [anon_sym_bitor] = ACTIONS(5838),
    [anon_sym_xor] = ACTIONS(5838),
    [anon_sym_bitand] = ACTIONS(5838),
    [anon_sym_not_eq] = ACTIONS(5838),
    [anon_sym_DASH_DASH] = ACTIONS(5840),
    [anon_sym_PLUS_PLUS] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(5838),
    [anon_sym_DOT_STAR] = ACTIONS(5840),
    [anon_sym_DASH_GT] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5838),
    [anon_sym_decltype] = ACTIONS(5838),
  },
  [2330] = {
    [sym__declaration_modifiers] = STATE(2452),
    [sym__declaration_specifiers] = STATE(5466),
    [sym_attribute_specifier] = STATE(2452),
    [sym_attribute_declaration] = STATE(2452),
    [sym_ms_declspec_modifier] = STATE(2452),
    [sym_storage_class_specifier] = STATE(2452),
    [sym_type_qualifier] = STATE(2452),
    [sym__type_specifier] = STATE(2916),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(2452),
    [sym_alignas_specifier] = STATE(2452),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2452),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2331] = {
    [sym_string_literal] = STATE(3902),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___attribute__] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5842),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5844),
    [anon_sym_SLASH_EQ] = ACTIONS(5844),
    [anon_sym_PERCENT_EQ] = ACTIONS(5844),
    [anon_sym_PLUS_EQ] = ACTIONS(5844),
    [anon_sym_DASH_EQ] = ACTIONS(5844),
    [anon_sym_LT_LT_EQ] = ACTIONS(5844),
    [anon_sym_GT_GT_EQ] = ACTIONS(5844),
    [anon_sym_AMP_EQ] = ACTIONS(5844),
    [anon_sym_CARET_EQ] = ACTIONS(5844),
    [anon_sym_PIPE_EQ] = ACTIONS(5844),
    [anon_sym_and_eq] = ACTIONS(5844),
    [anon_sym_or_eq] = ACTIONS(5844),
    [anon_sym_xor_eq] = ACTIONS(5844),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5846),
    [anon_sym_u_DQUOTE] = ACTIONS(5846),
    [anon_sym_U_DQUOTE] = ACTIONS(5846),
    [anon_sym_u8_DQUOTE] = ACTIONS(5846),
    [anon_sym_DQUOTE] = ACTIONS(5846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5848),
    [anon_sym_LR_DQUOTE] = ACTIONS(5848),
    [anon_sym_uR_DQUOTE] = ACTIONS(5848),
    [anon_sym_UR_DQUOTE] = ACTIONS(5848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5848),
  },
  [2332] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(8116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(5850),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_RBRACK] = ACTIONS(5694),
    [anon_sym_EQ] = ACTIONS(5697),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5699),
    [anon_sym_SLASH_EQ] = ACTIONS(5699),
    [anon_sym_PERCENT_EQ] = ACTIONS(5699),
    [anon_sym_PLUS_EQ] = ACTIONS(5699),
    [anon_sym_DASH_EQ] = ACTIONS(5699),
    [anon_sym_LT_LT_EQ] = ACTIONS(5699),
    [anon_sym_GT_GT_EQ] = ACTIONS(5699),
    [anon_sym_AMP_EQ] = ACTIONS(5699),
    [anon_sym_CARET_EQ] = ACTIONS(5699),
    [anon_sym_PIPE_EQ] = ACTIONS(5699),
    [anon_sym_and_eq] = ACTIONS(5699),
    [anon_sym_or_eq] = ACTIONS(5699),
    [anon_sym_xor_eq] = ACTIONS(5699),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(5852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5854),
    [anon_sym_COMMA] = ACTIONS(5854),
    [anon_sym_RPAREN] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(5854),
    [anon_sym_DASH] = ACTIONS(5852),
    [anon_sym_PLUS] = ACTIONS(5852),
    [anon_sym_STAR] = ACTIONS(5854),
    [anon_sym_SLASH] = ACTIONS(5852),
    [anon_sym_PERCENT] = ACTIONS(5854),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_PIPE] = ACTIONS(5852),
    [anon_sym_CARET] = ACTIONS(5854),
    [anon_sym_AMP] = ACTIONS(5852),
    [anon_sym_EQ_EQ] = ACTIONS(5854),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_GT] = ACTIONS(5852),
    [anon_sym_GT_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5852),
    [anon_sym_LT] = ACTIONS(5852),
    [anon_sym_LT_LT] = ACTIONS(5854),
    [anon_sym_GT_GT] = ACTIONS(5854),
    [anon_sym_SEMI] = ACTIONS(5854),
    [anon_sym___extension__] = ACTIONS(5852),
    [anon_sym___attribute__] = ACTIONS(5852),
    [anon_sym___based] = ACTIONS(5852),
    [anon_sym_LBRACE] = ACTIONS(5854),
    [anon_sym_RBRACE] = ACTIONS(5854),
    [anon_sym_signed] = ACTIONS(5852),
    [anon_sym_unsigned] = ACTIONS(5852),
    [anon_sym_long] = ACTIONS(5852),
    [anon_sym_short] = ACTIONS(5852),
    [anon_sym_LBRACK] = ACTIONS(5854),
    [anon_sym_RBRACK] = ACTIONS(5854),
    [anon_sym_const] = ACTIONS(5852),
    [anon_sym_constexpr] = ACTIONS(5852),
    [anon_sym_volatile] = ACTIONS(5852),
    [anon_sym_restrict] = ACTIONS(5852),
    [anon_sym___restrict__] = ACTIONS(5852),
    [anon_sym__Atomic] = ACTIONS(5852),
    [anon_sym__Noreturn] = ACTIONS(5852),
    [anon_sym_noreturn] = ACTIONS(5852),
    [anon_sym_mutable] = ACTIONS(5852),
    [anon_sym_constinit] = ACTIONS(5852),
    [anon_sym_consteval] = ACTIONS(5852),
    [sym_primitive_type] = ACTIONS(5852),
    [anon_sym_COLON] = ACTIONS(5854),
    [anon_sym_QMARK] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_bitor] = ACTIONS(5852),
    [anon_sym_xor] = ACTIONS(5852),
    [anon_sym_bitand] = ACTIONS(5852),
    [anon_sym_not_eq] = ACTIONS(5852),
    [anon_sym_DASH_DASH] = ACTIONS(5854),
    [anon_sym_PLUS_PLUS] = ACTIONS(5854),
    [anon_sym_DOT] = ACTIONS(5852),
    [anon_sym_DOT_STAR] = ACTIONS(5854),
    [anon_sym_DASH_GT] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5852),
    [anon_sym_decltype] = ACTIONS(5852),
    [anon_sym_final] = ACTIONS(5852),
    [anon_sym_override] = ACTIONS(5852),
    [anon_sym_requires] = ACTIONS(5852),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(5856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5858),
    [anon_sym_COMMA] = ACTIONS(5858),
    [anon_sym_RPAREN] = ACTIONS(5858),
    [anon_sym_LPAREN2] = ACTIONS(5858),
    [anon_sym_DASH] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5856),
    [anon_sym_STAR] = ACTIONS(5858),
    [anon_sym_SLASH] = ACTIONS(5856),
    [anon_sym_PERCENT] = ACTIONS(5858),
    [anon_sym_PIPE_PIPE] = ACTIONS(5858),
    [anon_sym_AMP_AMP] = ACTIONS(5858),
    [anon_sym_PIPE] = ACTIONS(5856),
    [anon_sym_CARET] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(5856),
    [anon_sym_GT_EQ] = ACTIONS(5858),
    [anon_sym_LT_EQ] = ACTIONS(5856),
    [anon_sym_LT] = ACTIONS(5856),
    [anon_sym_LT_LT] = ACTIONS(5858),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_SEMI] = ACTIONS(5858),
    [anon_sym___extension__] = ACTIONS(5856),
    [anon_sym___attribute__] = ACTIONS(5856),
    [anon_sym___based] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5858),
    [anon_sym_RBRACE] = ACTIONS(5858),
    [anon_sym_signed] = ACTIONS(5856),
    [anon_sym_unsigned] = ACTIONS(5856),
    [anon_sym_long] = ACTIONS(5856),
    [anon_sym_short] = ACTIONS(5856),
    [anon_sym_LBRACK] = ACTIONS(5858),
    [anon_sym_RBRACK] = ACTIONS(5858),
    [anon_sym_const] = ACTIONS(5856),
    [anon_sym_constexpr] = ACTIONS(5856),
    [anon_sym_volatile] = ACTIONS(5856),
    [anon_sym_restrict] = ACTIONS(5856),
    [anon_sym___restrict__] = ACTIONS(5856),
    [anon_sym__Atomic] = ACTIONS(5856),
    [anon_sym__Noreturn] = ACTIONS(5856),
    [anon_sym_noreturn] = ACTIONS(5856),
    [anon_sym_mutable] = ACTIONS(5856),
    [anon_sym_constinit] = ACTIONS(5856),
    [anon_sym_consteval] = ACTIONS(5856),
    [sym_primitive_type] = ACTIONS(5856),
    [anon_sym_COLON] = ACTIONS(5858),
    [anon_sym_QMARK] = ACTIONS(5858),
    [anon_sym_LT_EQ_GT] = ACTIONS(5858),
    [anon_sym_or] = ACTIONS(5856),
    [anon_sym_and] = ACTIONS(5856),
    [anon_sym_bitor] = ACTIONS(5856),
    [anon_sym_xor] = ACTIONS(5856),
    [anon_sym_bitand] = ACTIONS(5856),
    [anon_sym_not_eq] = ACTIONS(5856),
    [anon_sym_DASH_DASH] = ACTIONS(5858),
    [anon_sym_PLUS_PLUS] = ACTIONS(5858),
    [anon_sym_DOT] = ACTIONS(5856),
    [anon_sym_DOT_STAR] = ACTIONS(5858),
    [anon_sym_DASH_GT] = ACTIONS(5858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5856),
    [anon_sym_decltype] = ACTIONS(5856),
    [anon_sym_final] = ACTIONS(5856),
    [anon_sym_override] = ACTIONS(5856),
    [anon_sym_requires] = ACTIONS(5856),
  },
  [2335] = {
    [sym_catch_clause] = STATE(2271),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5675),
  },
  [2336] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2337] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4129),
    [anon_sym_COLON] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5862),
    [anon_sym_COMMA] = ACTIONS(5862),
    [anon_sym_RPAREN] = ACTIONS(5862),
    [anon_sym_LPAREN2] = ACTIONS(5862),
    [anon_sym_DASH] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5860),
    [anon_sym_STAR] = ACTIONS(5862),
    [anon_sym_SLASH] = ACTIONS(5860),
    [anon_sym_PERCENT] = ACTIONS(5862),
    [anon_sym_PIPE_PIPE] = ACTIONS(5862),
    [anon_sym_AMP_AMP] = ACTIONS(5862),
    [anon_sym_PIPE] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_AMP] = ACTIONS(5860),
    [anon_sym_EQ_EQ] = ACTIONS(5862),
    [anon_sym_BANG_EQ] = ACTIONS(5862),
    [anon_sym_GT] = ACTIONS(5860),
    [anon_sym_GT_EQ] = ACTIONS(5862),
    [anon_sym_LT_EQ] = ACTIONS(5860),
    [anon_sym_LT] = ACTIONS(5860),
    [anon_sym_LT_LT] = ACTIONS(5862),
    [anon_sym_GT_GT] = ACTIONS(5862),
    [anon_sym_SEMI] = ACTIONS(5862),
    [anon_sym___extension__] = ACTIONS(5860),
    [anon_sym___attribute__] = ACTIONS(5860),
    [anon_sym___based] = ACTIONS(5860),
    [anon_sym_LBRACE] = ACTIONS(5862),
    [anon_sym_RBRACE] = ACTIONS(5862),
    [anon_sym_signed] = ACTIONS(5860),
    [anon_sym_unsigned] = ACTIONS(5860),
    [anon_sym_long] = ACTIONS(5860),
    [anon_sym_short] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5862),
    [anon_sym_RBRACK] = ACTIONS(5862),
    [anon_sym_const] = ACTIONS(5860),
    [anon_sym_constexpr] = ACTIONS(5860),
    [anon_sym_volatile] = ACTIONS(5860),
    [anon_sym_restrict] = ACTIONS(5860),
    [anon_sym___restrict__] = ACTIONS(5860),
    [anon_sym__Atomic] = ACTIONS(5860),
    [anon_sym__Noreturn] = ACTIONS(5860),
    [anon_sym_noreturn] = ACTIONS(5860),
    [anon_sym_mutable] = ACTIONS(5860),
    [anon_sym_constinit] = ACTIONS(5860),
    [anon_sym_consteval] = ACTIONS(5860),
    [sym_primitive_type] = ACTIONS(5860),
    [anon_sym_COLON] = ACTIONS(5862),
    [anon_sym_QMARK] = ACTIONS(5862),
    [anon_sym_LT_EQ_GT] = ACTIONS(5862),
    [anon_sym_or] = ACTIONS(5860),
    [anon_sym_and] = ACTIONS(5860),
    [anon_sym_bitor] = ACTIONS(5860),
    [anon_sym_xor] = ACTIONS(5860),
    [anon_sym_bitand] = ACTIONS(5860),
    [anon_sym_not_eq] = ACTIONS(5860),
    [anon_sym_DASH_DASH] = ACTIONS(5862),
    [anon_sym_PLUS_PLUS] = ACTIONS(5862),
    [anon_sym_DOT] = ACTIONS(5860),
    [anon_sym_DOT_STAR] = ACTIONS(5862),
    [anon_sym_DASH_GT] = ACTIONS(5862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5860),
    [anon_sym_decltype] = ACTIONS(5860),
    [anon_sym_final] = ACTIONS(5860),
    [anon_sym_override] = ACTIONS(5860),
    [anon_sym_requires] = ACTIONS(5860),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(5864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5866),
    [anon_sym_COMMA] = ACTIONS(5866),
    [anon_sym_RPAREN] = ACTIONS(5866),
    [anon_sym_LPAREN2] = ACTIONS(5866),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5866),
    [anon_sym_SLASH] = ACTIONS(5864),
    [anon_sym_PERCENT] = ACTIONS(5866),
    [anon_sym_PIPE_PIPE] = ACTIONS(5866),
    [anon_sym_AMP_AMP] = ACTIONS(5866),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_CARET] = ACTIONS(5866),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5866),
    [anon_sym_BANG_EQ] = ACTIONS(5866),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5866),
    [anon_sym_LT_EQ] = ACTIONS(5864),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5866),
    [anon_sym_GT_GT] = ACTIONS(5866),
    [anon_sym_SEMI] = ACTIONS(5866),
    [anon_sym___extension__] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5864),
    [anon_sym___based] = ACTIONS(5864),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_RBRACE] = ACTIONS(5866),
    [anon_sym_signed] = ACTIONS(5864),
    [anon_sym_unsigned] = ACTIONS(5864),
    [anon_sym_long] = ACTIONS(5864),
    [anon_sym_short] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5866),
    [anon_sym_RBRACK] = ACTIONS(5866),
    [anon_sym_const] = ACTIONS(5864),
    [anon_sym_constexpr] = ACTIONS(5864),
    [anon_sym_volatile] = ACTIONS(5864),
    [anon_sym_restrict] = ACTIONS(5864),
    [anon_sym___restrict__] = ACTIONS(5864),
    [anon_sym__Atomic] = ACTIONS(5864),
    [anon_sym__Noreturn] = ACTIONS(5864),
    [anon_sym_noreturn] = ACTIONS(5864),
    [anon_sym_mutable] = ACTIONS(5864),
    [anon_sym_constinit] = ACTIONS(5864),
    [anon_sym_consteval] = ACTIONS(5864),
    [sym_primitive_type] = ACTIONS(5864),
    [anon_sym_COLON] = ACTIONS(5866),
    [anon_sym_QMARK] = ACTIONS(5866),
    [anon_sym_LT_EQ_GT] = ACTIONS(5866),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5866),
    [anon_sym_PLUS_PLUS] = ACTIONS(5866),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_DOT_STAR] = ACTIONS(5866),
    [anon_sym_DASH_GT] = ACTIONS(5866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
    [anon_sym_final] = ACTIONS(5864),
    [anon_sym_override] = ACTIONS(5864),
    [anon_sym_requires] = ACTIONS(5864),
  },
  [2340] = {
    [sym_string_literal] = STATE(2273),
    [sym_raw_string_literal] = STATE(2273),
    [aux_sym_concatenated_string_repeat1] = STATE(2273),
    [sym_identifier] = ACTIONS(5868),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_RPAREN] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5309),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5309),
    [sym_literal_suffix] = ACTIONS(5311),
  },
  [2341] = {
    [sym_catch_clause] = STATE(2271),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5675),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(5543),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5545),
    [anon_sym_COMMA] = ACTIONS(5545),
    [anon_sym_RPAREN] = ACTIONS(5545),
    [anon_sym_LPAREN2] = ACTIONS(5545),
    [anon_sym_DASH] = ACTIONS(5543),
    [anon_sym_PLUS] = ACTIONS(5543),
    [anon_sym_STAR] = ACTIONS(5545),
    [anon_sym_SLASH] = ACTIONS(5543),
    [anon_sym_PERCENT] = ACTIONS(5545),
    [anon_sym_PIPE_PIPE] = ACTIONS(5545),
    [anon_sym_AMP_AMP] = ACTIONS(5545),
    [anon_sym_PIPE] = ACTIONS(5543),
    [anon_sym_CARET] = ACTIONS(5545),
    [anon_sym_AMP] = ACTIONS(5543),
    [anon_sym_EQ_EQ] = ACTIONS(5545),
    [anon_sym_BANG_EQ] = ACTIONS(5545),
    [anon_sym_GT] = ACTIONS(5543),
    [anon_sym_GT_EQ] = ACTIONS(5545),
    [anon_sym_LT_EQ] = ACTIONS(5543),
    [anon_sym_LT] = ACTIONS(5543),
    [anon_sym_LT_LT] = ACTIONS(5545),
    [anon_sym_GT_GT] = ACTIONS(5545),
    [anon_sym_SEMI] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym___based] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(5545),
    [anon_sym_RBRACE] = ACTIONS(5545),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_mutable] = ACTIONS(5543),
    [anon_sym_constinit] = ACTIONS(5543),
    [anon_sym_consteval] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_COLON] = ACTIONS(5545),
    [anon_sym_QMARK] = ACTIONS(5545),
    [anon_sym_LT_EQ_GT] = ACTIONS(5545),
    [anon_sym_or] = ACTIONS(5543),
    [anon_sym_and] = ACTIONS(5543),
    [anon_sym_bitor] = ACTIONS(5543),
    [anon_sym_xor] = ACTIONS(5543),
    [anon_sym_bitand] = ACTIONS(5543),
    [anon_sym_not_eq] = ACTIONS(5543),
    [anon_sym_DASH_DASH] = ACTIONS(5545),
    [anon_sym_PLUS_PLUS] = ACTIONS(5545),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_DOT_STAR] = ACTIONS(5545),
    [anon_sym_DASH_GT] = ACTIONS(5545),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5543),
    [anon_sym_decltype] = ACTIONS(5543),
    [anon_sym_final] = ACTIONS(5543),
    [anon_sym_override] = ACTIONS(5543),
    [anon_sym_requires] = ACTIONS(5543),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5872),
    [anon_sym_COMMA] = ACTIONS(5872),
    [anon_sym_RPAREN] = ACTIONS(5872),
    [anon_sym_LPAREN2] = ACTIONS(5872),
    [anon_sym_DASH] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5870),
    [anon_sym_STAR] = ACTIONS(5872),
    [anon_sym_SLASH] = ACTIONS(5870),
    [anon_sym_PERCENT] = ACTIONS(5872),
    [anon_sym_PIPE_PIPE] = ACTIONS(5872),
    [anon_sym_AMP_AMP] = ACTIONS(5872),
    [anon_sym_PIPE] = ACTIONS(5870),
    [anon_sym_CARET] = ACTIONS(5872),
    [anon_sym_AMP] = ACTIONS(5870),
    [anon_sym_EQ_EQ] = ACTIONS(5872),
    [anon_sym_BANG_EQ] = ACTIONS(5872),
    [anon_sym_GT] = ACTIONS(5870),
    [anon_sym_GT_EQ] = ACTIONS(5872),
    [anon_sym_LT_EQ] = ACTIONS(5870),
    [anon_sym_LT] = ACTIONS(5870),
    [anon_sym_LT_LT] = ACTIONS(5872),
    [anon_sym_GT_GT] = ACTIONS(5872),
    [anon_sym_SEMI] = ACTIONS(5872),
    [anon_sym___extension__] = ACTIONS(5870),
    [anon_sym___attribute__] = ACTIONS(5870),
    [anon_sym___based] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(5872),
    [anon_sym_RBRACE] = ACTIONS(5872),
    [anon_sym_signed] = ACTIONS(5870),
    [anon_sym_unsigned] = ACTIONS(5870),
    [anon_sym_long] = ACTIONS(5870),
    [anon_sym_short] = ACTIONS(5870),
    [anon_sym_LBRACK] = ACTIONS(5872),
    [anon_sym_RBRACK] = ACTIONS(5872),
    [anon_sym_const] = ACTIONS(5870),
    [anon_sym_constexpr] = ACTIONS(5870),
    [anon_sym_volatile] = ACTIONS(5870),
    [anon_sym_restrict] = ACTIONS(5870),
    [anon_sym___restrict__] = ACTIONS(5870),
    [anon_sym__Atomic] = ACTIONS(5870),
    [anon_sym__Noreturn] = ACTIONS(5870),
    [anon_sym_noreturn] = ACTIONS(5870),
    [anon_sym_mutable] = ACTIONS(5870),
    [anon_sym_constinit] = ACTIONS(5870),
    [anon_sym_consteval] = ACTIONS(5870),
    [sym_primitive_type] = ACTIONS(5870),
    [anon_sym_COLON] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5872),
    [anon_sym_LT_EQ_GT] = ACTIONS(5872),
    [anon_sym_or] = ACTIONS(5870),
    [anon_sym_and] = ACTIONS(5870),
    [anon_sym_bitor] = ACTIONS(5870),
    [anon_sym_xor] = ACTIONS(5870),
    [anon_sym_bitand] = ACTIONS(5870),
    [anon_sym_not_eq] = ACTIONS(5870),
    [anon_sym_DASH_DASH] = ACTIONS(5872),
    [anon_sym_PLUS_PLUS] = ACTIONS(5872),
    [anon_sym_DOT] = ACTIONS(5870),
    [anon_sym_DOT_STAR] = ACTIONS(5872),
    [anon_sym_DASH_GT] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5870),
    [anon_sym_decltype] = ACTIONS(5870),
    [anon_sym_final] = ACTIONS(5870),
    [anon_sym_override] = ACTIONS(5870),
    [anon_sym_requires] = ACTIONS(5870),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [anon_sym_RPAREN] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5876),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5876),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5876),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5876),
    [anon_sym_GT_GT] = ACTIONS(5876),
    [anon_sym_SEMI] = ACTIONS(5876),
    [anon_sym___extension__] = ACTIONS(5874),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym___based] = ACTIONS(5874),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_signed] = ACTIONS(5874),
    [anon_sym_unsigned] = ACTIONS(5874),
    [anon_sym_long] = ACTIONS(5874),
    [anon_sym_short] = ACTIONS(5874),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_RBRACK] = ACTIONS(5876),
    [anon_sym_const] = ACTIONS(5874),
    [anon_sym_constexpr] = ACTIONS(5874),
    [anon_sym_volatile] = ACTIONS(5874),
    [anon_sym_restrict] = ACTIONS(5874),
    [anon_sym___restrict__] = ACTIONS(5874),
    [anon_sym__Atomic] = ACTIONS(5874),
    [anon_sym__Noreturn] = ACTIONS(5874),
    [anon_sym_noreturn] = ACTIONS(5874),
    [anon_sym_mutable] = ACTIONS(5874),
    [anon_sym_constinit] = ACTIONS(5874),
    [anon_sym_consteval] = ACTIONS(5874),
    [sym_primitive_type] = ACTIONS(5874),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5874),
    [anon_sym_and] = ACTIONS(5874),
    [anon_sym_bitor] = ACTIONS(5874),
    [anon_sym_xor] = ACTIONS(5874),
    [anon_sym_bitand] = ACTIONS(5874),
    [anon_sym_not_eq] = ACTIONS(5874),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
    [anon_sym_final] = ACTIONS(5874),
    [anon_sym_override] = ACTIONS(5874),
    [anon_sym_requires] = ACTIONS(5874),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(5878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5880),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5880),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5880),
    [anon_sym_GT_GT] = ACTIONS(5880),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___extension__] = ACTIONS(5878),
    [anon_sym___attribute__] = ACTIONS(5878),
    [anon_sym___based] = ACTIONS(5878),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_signed] = ACTIONS(5878),
    [anon_sym_unsigned] = ACTIONS(5878),
    [anon_sym_long] = ACTIONS(5878),
    [anon_sym_short] = ACTIONS(5878),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_const] = ACTIONS(5878),
    [anon_sym_constexpr] = ACTIONS(5878),
    [anon_sym_volatile] = ACTIONS(5878),
    [anon_sym_restrict] = ACTIONS(5878),
    [anon_sym___restrict__] = ACTIONS(5878),
    [anon_sym__Atomic] = ACTIONS(5878),
    [anon_sym__Noreturn] = ACTIONS(5878),
    [anon_sym_noreturn] = ACTIONS(5878),
    [anon_sym_mutable] = ACTIONS(5878),
    [anon_sym_constinit] = ACTIONS(5878),
    [anon_sym_consteval] = ACTIONS(5878),
    [sym_primitive_type] = ACTIONS(5878),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5878),
    [anon_sym_and] = ACTIONS(5878),
    [anon_sym_bitor] = ACTIONS(5878),
    [anon_sym_xor] = ACTIONS(5878),
    [anon_sym_bitand] = ACTIONS(5878),
    [anon_sym_not_eq] = ACTIONS(5878),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5878),
    [anon_sym_decltype] = ACTIONS(5878),
    [anon_sym_final] = ACTIONS(5878),
    [anon_sym_override] = ACTIONS(5878),
    [anon_sym_requires] = ACTIONS(5878),
  },
  [2346] = {
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5884),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5884),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5884),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5884),
    [anon_sym_GT_GT] = ACTIONS(5884),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___extension__] = ACTIONS(5882),
    [anon_sym___attribute__] = ACTIONS(5882),
    [anon_sym___based] = ACTIONS(5882),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_signed] = ACTIONS(5882),
    [anon_sym_unsigned] = ACTIONS(5882),
    [anon_sym_long] = ACTIONS(5882),
    [anon_sym_short] = ACTIONS(5882),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_const] = ACTIONS(5882),
    [anon_sym_constexpr] = ACTIONS(5882),
    [anon_sym_volatile] = ACTIONS(5882),
    [anon_sym_restrict] = ACTIONS(5882),
    [anon_sym___restrict__] = ACTIONS(5882),
    [anon_sym__Atomic] = ACTIONS(5882),
    [anon_sym__Noreturn] = ACTIONS(5882),
    [anon_sym_noreturn] = ACTIONS(5882),
    [anon_sym_mutable] = ACTIONS(5882),
    [anon_sym_constinit] = ACTIONS(5882),
    [anon_sym_consteval] = ACTIONS(5882),
    [sym_primitive_type] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5882),
    [anon_sym_and] = ACTIONS(5882),
    [anon_sym_bitor] = ACTIONS(5882),
    [anon_sym_xor] = ACTIONS(5882),
    [anon_sym_bitand] = ACTIONS(5882),
    [anon_sym_not_eq] = ACTIONS(5882),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5882),
    [anon_sym_decltype] = ACTIONS(5882),
    [anon_sym_final] = ACTIONS(5882),
    [anon_sym_override] = ACTIONS(5882),
    [anon_sym_requires] = ACTIONS(5882),
  },
  [2347] = {
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5888),
    [anon_sym_COMMA] = ACTIONS(5888),
    [anon_sym_RPAREN] = ACTIONS(5888),
    [anon_sym_LPAREN2] = ACTIONS(5888),
    [anon_sym_DASH] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5886),
    [anon_sym_STAR] = ACTIONS(5888),
    [anon_sym_SLASH] = ACTIONS(5886),
    [anon_sym_PERCENT] = ACTIONS(5888),
    [anon_sym_PIPE_PIPE] = ACTIONS(5888),
    [anon_sym_AMP_AMP] = ACTIONS(5888),
    [anon_sym_PIPE] = ACTIONS(5886),
    [anon_sym_CARET] = ACTIONS(5888),
    [anon_sym_AMP] = ACTIONS(5886),
    [anon_sym_EQ_EQ] = ACTIONS(5888),
    [anon_sym_BANG_EQ] = ACTIONS(5888),
    [anon_sym_GT] = ACTIONS(5886),
    [anon_sym_GT_EQ] = ACTIONS(5888),
    [anon_sym_LT_EQ] = ACTIONS(5886),
    [anon_sym_LT] = ACTIONS(5886),
    [anon_sym_LT_LT] = ACTIONS(5888),
    [anon_sym_GT_GT] = ACTIONS(5888),
    [anon_sym_SEMI] = ACTIONS(5888),
    [anon_sym___extension__] = ACTIONS(5886),
    [anon_sym___attribute__] = ACTIONS(5886),
    [anon_sym___based] = ACTIONS(5886),
    [anon_sym_LBRACE] = ACTIONS(5888),
    [anon_sym_RBRACE] = ACTIONS(5888),
    [anon_sym_signed] = ACTIONS(5886),
    [anon_sym_unsigned] = ACTIONS(5886),
    [anon_sym_long] = ACTIONS(5886),
    [anon_sym_short] = ACTIONS(5886),
    [anon_sym_LBRACK] = ACTIONS(5888),
    [anon_sym_RBRACK] = ACTIONS(5888),
    [anon_sym_const] = ACTIONS(5886),
    [anon_sym_constexpr] = ACTIONS(5886),
    [anon_sym_volatile] = ACTIONS(5886),
    [anon_sym_restrict] = ACTIONS(5886),
    [anon_sym___restrict__] = ACTIONS(5886),
    [anon_sym__Atomic] = ACTIONS(5886),
    [anon_sym__Noreturn] = ACTIONS(5886),
    [anon_sym_noreturn] = ACTIONS(5886),
    [anon_sym_mutable] = ACTIONS(5886),
    [anon_sym_constinit] = ACTIONS(5886),
    [anon_sym_consteval] = ACTIONS(5886),
    [sym_primitive_type] = ACTIONS(5886),
    [anon_sym_COLON] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5888),
    [anon_sym_LT_EQ_GT] = ACTIONS(5888),
    [anon_sym_or] = ACTIONS(5886),
    [anon_sym_and] = ACTIONS(5886),
    [anon_sym_bitor] = ACTIONS(5886),
    [anon_sym_xor] = ACTIONS(5886),
    [anon_sym_bitand] = ACTIONS(5886),
    [anon_sym_not_eq] = ACTIONS(5886),
    [anon_sym_DASH_DASH] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(5888),
    [anon_sym_DOT] = ACTIONS(5886),
    [anon_sym_DOT_STAR] = ACTIONS(5888),
    [anon_sym_DASH_GT] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5886),
    [anon_sym_decltype] = ACTIONS(5886),
    [anon_sym_final] = ACTIONS(5886),
    [anon_sym_override] = ACTIONS(5886),
    [anon_sym_requires] = ACTIONS(5886),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5892),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5892),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5892),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5892),
    [anon_sym_GT_GT] = ACTIONS(5892),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___extension__] = ACTIONS(5890),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym___based] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_signed] = ACTIONS(5890),
    [anon_sym_unsigned] = ACTIONS(5890),
    [anon_sym_long] = ACTIONS(5890),
    [anon_sym_short] = ACTIONS(5890),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_const] = ACTIONS(5890),
    [anon_sym_constexpr] = ACTIONS(5890),
    [anon_sym_volatile] = ACTIONS(5890),
    [anon_sym_restrict] = ACTIONS(5890),
    [anon_sym___restrict__] = ACTIONS(5890),
    [anon_sym__Atomic] = ACTIONS(5890),
    [anon_sym__Noreturn] = ACTIONS(5890),
    [anon_sym_noreturn] = ACTIONS(5890),
    [anon_sym_mutable] = ACTIONS(5890),
    [anon_sym_constinit] = ACTIONS(5890),
    [anon_sym_consteval] = ACTIONS(5890),
    [sym_primitive_type] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
    [anon_sym_final] = ACTIONS(5890),
    [anon_sym_override] = ACTIONS(5890),
    [anon_sym_requires] = ACTIONS(5890),
  },
  [2349] = {
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___extension__] = ACTIONS(5894),
    [anon_sym___attribute__] = ACTIONS(5894),
    [anon_sym___based] = ACTIONS(5894),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_signed] = ACTIONS(5894),
    [anon_sym_unsigned] = ACTIONS(5894),
    [anon_sym_long] = ACTIONS(5894),
    [anon_sym_short] = ACTIONS(5894),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_const] = ACTIONS(5894),
    [anon_sym_constexpr] = ACTIONS(5894),
    [anon_sym_volatile] = ACTIONS(5894),
    [anon_sym_restrict] = ACTIONS(5894),
    [anon_sym___restrict__] = ACTIONS(5894),
    [anon_sym__Atomic] = ACTIONS(5894),
    [anon_sym__Noreturn] = ACTIONS(5894),
    [anon_sym_noreturn] = ACTIONS(5894),
    [anon_sym_mutable] = ACTIONS(5894),
    [anon_sym_constinit] = ACTIONS(5894),
    [anon_sym_consteval] = ACTIONS(5894),
    [sym_primitive_type] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5894),
    [anon_sym_and] = ACTIONS(5894),
    [anon_sym_bitor] = ACTIONS(5894),
    [anon_sym_xor] = ACTIONS(5894),
    [anon_sym_bitand] = ACTIONS(5894),
    [anon_sym_not_eq] = ACTIONS(5894),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5894),
    [anon_sym_decltype] = ACTIONS(5894),
    [anon_sym_final] = ACTIONS(5894),
    [anon_sym_override] = ACTIONS(5894),
    [anon_sym_requires] = ACTIONS(5894),
  },
  [2350] = {
    [sym_identifier] = ACTIONS(5587),
    [aux_sym_preproc_def_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token2] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5587),
    [aux_sym_preproc_else_token1] = ACTIONS(5587),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [sym_preproc_directive] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_typedef] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym_signed] = ACTIONS(5587),
    [anon_sym_unsigned] = ACTIONS(5587),
    [anon_sym_long] = ACTIONS(5587),
    [anon_sym_short] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_enum] = ACTIONS(5587),
    [anon_sym_class] = ACTIONS(5587),
    [anon_sym_struct] = ACTIONS(5587),
    [anon_sym_union] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym_explicit] = ACTIONS(5587),
    [anon_sym_typename] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_friend] = ACTIONS(5587),
    [anon_sym_public] = ACTIONS(5587),
    [anon_sym_private] = ACTIONS(5587),
    [anon_sym_protected] = ACTIONS(5587),
    [anon_sym_using] = ACTIONS(5587),
    [anon_sym_static_assert] = ACTIONS(5587),
  },
  [2351] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(3212),
    [aux_sym_preproc_def_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token1] = ACTIONS(3212),
    [aux_sym_preproc_if_token2] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3212),
    [aux_sym_preproc_else_token1] = ACTIONS(3212),
    [aux_sym_preproc_elif_token1] = ACTIONS(3212),
    [sym_preproc_directive] = ACTIONS(3212),
    [anon_sym_LPAREN2] = ACTIONS(3214),
    [anon_sym_TILDE] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3214),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym___extension__] = ACTIONS(3212),
    [anon_sym_typedef] = ACTIONS(3212),
    [anon_sym_extern] = ACTIONS(3212),
    [anon_sym___attribute__] = ACTIONS(3212),
    [anon_sym_COLON_COLON] = ACTIONS(3214),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3214),
    [anon_sym___declspec] = ACTIONS(3212),
    [anon_sym___based] = ACTIONS(3212),
    [anon_sym_signed] = ACTIONS(3212),
    [anon_sym_unsigned] = ACTIONS(3212),
    [anon_sym_long] = ACTIONS(3212),
    [anon_sym_short] = ACTIONS(3212),
    [anon_sym_LBRACK] = ACTIONS(3212),
    [anon_sym_static] = ACTIONS(3212),
    [anon_sym_register] = ACTIONS(3212),
    [anon_sym_inline] = ACTIONS(3212),
    [anon_sym___inline] = ACTIONS(3212),
    [anon_sym___inline__] = ACTIONS(3212),
    [anon_sym___forceinline] = ACTIONS(3212),
    [anon_sym_thread_local] = ACTIONS(3212),
    [anon_sym___thread] = ACTIONS(3212),
    [anon_sym_const] = ACTIONS(3212),
    [anon_sym_constexpr] = ACTIONS(3212),
    [anon_sym_volatile] = ACTIONS(3212),
    [anon_sym_restrict] = ACTIONS(3212),
    [anon_sym___restrict__] = ACTIONS(3212),
    [anon_sym__Atomic] = ACTIONS(3212),
    [anon_sym__Noreturn] = ACTIONS(3212),
    [anon_sym_noreturn] = ACTIONS(3212),
    [anon_sym_mutable] = ACTIONS(3212),
    [anon_sym_constinit] = ACTIONS(3212),
    [anon_sym_consteval] = ACTIONS(3212),
    [sym_primitive_type] = ACTIONS(3212),
    [anon_sym_enum] = ACTIONS(3212),
    [anon_sym_class] = ACTIONS(3212),
    [anon_sym_struct] = ACTIONS(3212),
    [anon_sym_union] = ACTIONS(3212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3212),
    [anon_sym_decltype] = ACTIONS(3212),
    [anon_sym_virtual] = ACTIONS(3212),
    [anon_sym_alignas] = ACTIONS(3212),
    [anon_sym_explicit] = ACTIONS(3212),
    [anon_sym_typename] = ACTIONS(3212),
    [anon_sym_template] = ACTIONS(3212),
    [anon_sym_operator] = ACTIONS(3212),
    [anon_sym_friend] = ACTIONS(3212),
    [anon_sym_public] = ACTIONS(3212),
    [anon_sym_private] = ACTIONS(3212),
    [anon_sym_protected] = ACTIONS(3212),
    [anon_sym_using] = ACTIONS(3212),
    [anon_sym_static_assert] = ACTIONS(3212),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(5591),
    [aux_sym_preproc_def_token1] = ACTIONS(5591),
    [aux_sym_preproc_if_token1] = ACTIONS(5591),
    [aux_sym_preproc_if_token2] = ACTIONS(5591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5591),
    [aux_sym_preproc_else_token1] = ACTIONS(5591),
    [aux_sym_preproc_elif_token1] = ACTIONS(5591),
    [sym_preproc_directive] = ACTIONS(5591),
    [anon_sym_LPAREN2] = ACTIONS(5593),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_STAR] = ACTIONS(5593),
    [anon_sym_AMP_AMP] = ACTIONS(5593),
    [anon_sym_AMP] = ACTIONS(5591),
    [anon_sym___extension__] = ACTIONS(5591),
    [anon_sym_typedef] = ACTIONS(5591),
    [anon_sym_extern] = ACTIONS(5591),
    [anon_sym___attribute__] = ACTIONS(5591),
    [anon_sym_COLON_COLON] = ACTIONS(5593),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5593),
    [anon_sym___declspec] = ACTIONS(5591),
    [anon_sym___based] = ACTIONS(5591),
    [anon_sym_signed] = ACTIONS(5591),
    [anon_sym_unsigned] = ACTIONS(5591),
    [anon_sym_long] = ACTIONS(5591),
    [anon_sym_short] = ACTIONS(5591),
    [anon_sym_LBRACK] = ACTIONS(5591),
    [anon_sym_static] = ACTIONS(5591),
    [anon_sym_register] = ACTIONS(5591),
    [anon_sym_inline] = ACTIONS(5591),
    [anon_sym___inline] = ACTIONS(5591),
    [anon_sym___inline__] = ACTIONS(5591),
    [anon_sym___forceinline] = ACTIONS(5591),
    [anon_sym_thread_local] = ACTIONS(5591),
    [anon_sym___thread] = ACTIONS(5591),
    [anon_sym_const] = ACTIONS(5591),
    [anon_sym_constexpr] = ACTIONS(5591),
    [anon_sym_volatile] = ACTIONS(5591),
    [anon_sym_restrict] = ACTIONS(5591),
    [anon_sym___restrict__] = ACTIONS(5591),
    [anon_sym__Atomic] = ACTIONS(5591),
    [anon_sym__Noreturn] = ACTIONS(5591),
    [anon_sym_noreturn] = ACTIONS(5591),
    [anon_sym_mutable] = ACTIONS(5591),
    [anon_sym_constinit] = ACTIONS(5591),
    [anon_sym_consteval] = ACTIONS(5591),
    [sym_primitive_type] = ACTIONS(5591),
    [anon_sym_enum] = ACTIONS(5591),
    [anon_sym_class] = ACTIONS(5591),
    [anon_sym_struct] = ACTIONS(5591),
    [anon_sym_union] = ACTIONS(5591),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5591),
    [anon_sym_decltype] = ACTIONS(5591),
    [anon_sym_virtual] = ACTIONS(5591),
    [anon_sym_alignas] = ACTIONS(5591),
    [anon_sym_explicit] = ACTIONS(5591),
    [anon_sym_typename] = ACTIONS(5591),
    [anon_sym_template] = ACTIONS(5591),
    [anon_sym_operator] = ACTIONS(5591),
    [anon_sym_friend] = ACTIONS(5591),
    [anon_sym_public] = ACTIONS(5591),
    [anon_sym_private] = ACTIONS(5591),
    [anon_sym_protected] = ACTIONS(5591),
    [anon_sym_using] = ACTIONS(5591),
    [anon_sym_static_assert] = ACTIONS(5591),
  },
  [2354] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [anon_sym_RPAREN] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_SEMI] = ACTIONS(5352),
    [anon_sym_RBRACE] = ACTIONS(5352),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_RBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_COLON] = ACTIONS(5352),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [2355] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [2356] = {
    [sym_identifier] = ACTIONS(5595),
    [aux_sym_preproc_def_token1] = ACTIONS(5595),
    [aux_sym_preproc_if_token1] = ACTIONS(5595),
    [aux_sym_preproc_if_token2] = ACTIONS(5595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5595),
    [aux_sym_preproc_else_token1] = ACTIONS(5595),
    [aux_sym_preproc_elif_token1] = ACTIONS(5595),
    [sym_preproc_directive] = ACTIONS(5595),
    [anon_sym_LPAREN2] = ACTIONS(5597),
    [anon_sym_TILDE] = ACTIONS(5597),
    [anon_sym_STAR] = ACTIONS(5597),
    [anon_sym_AMP_AMP] = ACTIONS(5597),
    [anon_sym_AMP] = ACTIONS(5595),
    [anon_sym___extension__] = ACTIONS(5595),
    [anon_sym_typedef] = ACTIONS(5595),
    [anon_sym_extern] = ACTIONS(5595),
    [anon_sym___attribute__] = ACTIONS(5595),
    [anon_sym_COLON_COLON] = ACTIONS(5597),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5597),
    [anon_sym___declspec] = ACTIONS(5595),
    [anon_sym___based] = ACTIONS(5595),
    [anon_sym_signed] = ACTIONS(5595),
    [anon_sym_unsigned] = ACTIONS(5595),
    [anon_sym_long] = ACTIONS(5595),
    [anon_sym_short] = ACTIONS(5595),
    [anon_sym_LBRACK] = ACTIONS(5595),
    [anon_sym_static] = ACTIONS(5595),
    [anon_sym_register] = ACTIONS(5595),
    [anon_sym_inline] = ACTIONS(5595),
    [anon_sym___inline] = ACTIONS(5595),
    [anon_sym___inline__] = ACTIONS(5595),
    [anon_sym___forceinline] = ACTIONS(5595),
    [anon_sym_thread_local] = ACTIONS(5595),
    [anon_sym___thread] = ACTIONS(5595),
    [anon_sym_const] = ACTIONS(5595),
    [anon_sym_constexpr] = ACTIONS(5595),
    [anon_sym_volatile] = ACTIONS(5595),
    [anon_sym_restrict] = ACTIONS(5595),
    [anon_sym___restrict__] = ACTIONS(5595),
    [anon_sym__Atomic] = ACTIONS(5595),
    [anon_sym__Noreturn] = ACTIONS(5595),
    [anon_sym_noreturn] = ACTIONS(5595),
    [anon_sym_mutable] = ACTIONS(5595),
    [anon_sym_constinit] = ACTIONS(5595),
    [anon_sym_consteval] = ACTIONS(5595),
    [sym_primitive_type] = ACTIONS(5595),
    [anon_sym_enum] = ACTIONS(5595),
    [anon_sym_class] = ACTIONS(5595),
    [anon_sym_struct] = ACTIONS(5595),
    [anon_sym_union] = ACTIONS(5595),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5595),
    [anon_sym_decltype] = ACTIONS(5595),
    [anon_sym_virtual] = ACTIONS(5595),
    [anon_sym_alignas] = ACTIONS(5595),
    [anon_sym_explicit] = ACTIONS(5595),
    [anon_sym_typename] = ACTIONS(5595),
    [anon_sym_template] = ACTIONS(5595),
    [anon_sym_operator] = ACTIONS(5595),
    [anon_sym_friend] = ACTIONS(5595),
    [anon_sym_public] = ACTIONS(5595),
    [anon_sym_private] = ACTIONS(5595),
    [anon_sym_protected] = ACTIONS(5595),
    [anon_sym_using] = ACTIONS(5595),
    [anon_sym_static_assert] = ACTIONS(5595),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(5599),
    [aux_sym_preproc_def_token1] = ACTIONS(5599),
    [aux_sym_preproc_if_token1] = ACTIONS(5599),
    [aux_sym_preproc_if_token2] = ACTIONS(5599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5599),
    [aux_sym_preproc_else_token1] = ACTIONS(5599),
    [aux_sym_preproc_elif_token1] = ACTIONS(5599),
    [sym_preproc_directive] = ACTIONS(5599),
    [anon_sym_LPAREN2] = ACTIONS(5601),
    [anon_sym_TILDE] = ACTIONS(5601),
    [anon_sym_STAR] = ACTIONS(5601),
    [anon_sym_AMP_AMP] = ACTIONS(5601),
    [anon_sym_AMP] = ACTIONS(5599),
    [anon_sym___extension__] = ACTIONS(5599),
    [anon_sym_typedef] = ACTIONS(5599),
    [anon_sym_extern] = ACTIONS(5599),
    [anon_sym___attribute__] = ACTIONS(5599),
    [anon_sym_COLON_COLON] = ACTIONS(5601),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5601),
    [anon_sym___declspec] = ACTIONS(5599),
    [anon_sym___based] = ACTIONS(5599),
    [anon_sym_signed] = ACTIONS(5599),
    [anon_sym_unsigned] = ACTIONS(5599),
    [anon_sym_long] = ACTIONS(5599),
    [anon_sym_short] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5599),
    [anon_sym_static] = ACTIONS(5599),
    [anon_sym_register] = ACTIONS(5599),
    [anon_sym_inline] = ACTIONS(5599),
    [anon_sym___inline] = ACTIONS(5599),
    [anon_sym___inline__] = ACTIONS(5599),
    [anon_sym___forceinline] = ACTIONS(5599),
    [anon_sym_thread_local] = ACTIONS(5599),
    [anon_sym___thread] = ACTIONS(5599),
    [anon_sym_const] = ACTIONS(5599),
    [anon_sym_constexpr] = ACTIONS(5599),
    [anon_sym_volatile] = ACTIONS(5599),
    [anon_sym_restrict] = ACTIONS(5599),
    [anon_sym___restrict__] = ACTIONS(5599),
    [anon_sym__Atomic] = ACTIONS(5599),
    [anon_sym__Noreturn] = ACTIONS(5599),
    [anon_sym_noreturn] = ACTIONS(5599),
    [anon_sym_mutable] = ACTIONS(5599),
    [anon_sym_constinit] = ACTIONS(5599),
    [anon_sym_consteval] = ACTIONS(5599),
    [sym_primitive_type] = ACTIONS(5599),
    [anon_sym_enum] = ACTIONS(5599),
    [anon_sym_class] = ACTIONS(5599),
    [anon_sym_struct] = ACTIONS(5599),
    [anon_sym_union] = ACTIONS(5599),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5599),
    [anon_sym_decltype] = ACTIONS(5599),
    [anon_sym_virtual] = ACTIONS(5599),
    [anon_sym_alignas] = ACTIONS(5599),
    [anon_sym_explicit] = ACTIONS(5599),
    [anon_sym_typename] = ACTIONS(5599),
    [anon_sym_template] = ACTIONS(5599),
    [anon_sym_operator] = ACTIONS(5599),
    [anon_sym_friend] = ACTIONS(5599),
    [anon_sym_public] = ACTIONS(5599),
    [anon_sym_private] = ACTIONS(5599),
    [anon_sym_protected] = ACTIONS(5599),
    [anon_sym_using] = ACTIONS(5599),
    [anon_sym_static_assert] = ACTIONS(5599),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(5603),
    [aux_sym_preproc_def_token1] = ACTIONS(5603),
    [aux_sym_preproc_if_token1] = ACTIONS(5603),
    [aux_sym_preproc_if_token2] = ACTIONS(5603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5603),
    [aux_sym_preproc_else_token1] = ACTIONS(5603),
    [aux_sym_preproc_elif_token1] = ACTIONS(5603),
    [sym_preproc_directive] = ACTIONS(5603),
    [anon_sym_LPAREN2] = ACTIONS(5605),
    [anon_sym_TILDE] = ACTIONS(5605),
    [anon_sym_STAR] = ACTIONS(5605),
    [anon_sym_AMP_AMP] = ACTIONS(5605),
    [anon_sym_AMP] = ACTIONS(5603),
    [anon_sym___extension__] = ACTIONS(5603),
    [anon_sym_typedef] = ACTIONS(5603),
    [anon_sym_extern] = ACTIONS(5603),
    [anon_sym___attribute__] = ACTIONS(5603),
    [anon_sym_COLON_COLON] = ACTIONS(5605),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5605),
    [anon_sym___declspec] = ACTIONS(5603),
    [anon_sym___based] = ACTIONS(5603),
    [anon_sym_signed] = ACTIONS(5603),
    [anon_sym_unsigned] = ACTIONS(5603),
    [anon_sym_long] = ACTIONS(5603),
    [anon_sym_short] = ACTIONS(5603),
    [anon_sym_LBRACK] = ACTIONS(5603),
    [anon_sym_static] = ACTIONS(5603),
    [anon_sym_register] = ACTIONS(5603),
    [anon_sym_inline] = ACTIONS(5603),
    [anon_sym___inline] = ACTIONS(5603),
    [anon_sym___inline__] = ACTIONS(5603),
    [anon_sym___forceinline] = ACTIONS(5603),
    [anon_sym_thread_local] = ACTIONS(5603),
    [anon_sym___thread] = ACTIONS(5603),
    [anon_sym_const] = ACTIONS(5603),
    [anon_sym_constexpr] = ACTIONS(5603),
    [anon_sym_volatile] = ACTIONS(5603),
    [anon_sym_restrict] = ACTIONS(5603),
    [anon_sym___restrict__] = ACTIONS(5603),
    [anon_sym__Atomic] = ACTIONS(5603),
    [anon_sym__Noreturn] = ACTIONS(5603),
    [anon_sym_noreturn] = ACTIONS(5603),
    [anon_sym_mutable] = ACTIONS(5603),
    [anon_sym_constinit] = ACTIONS(5603),
    [anon_sym_consteval] = ACTIONS(5603),
    [sym_primitive_type] = ACTIONS(5603),
    [anon_sym_enum] = ACTIONS(5603),
    [anon_sym_class] = ACTIONS(5603),
    [anon_sym_struct] = ACTIONS(5603),
    [anon_sym_union] = ACTIONS(5603),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5603),
    [anon_sym_decltype] = ACTIONS(5603),
    [anon_sym_virtual] = ACTIONS(5603),
    [anon_sym_alignas] = ACTIONS(5603),
    [anon_sym_explicit] = ACTIONS(5603),
    [anon_sym_typename] = ACTIONS(5603),
    [anon_sym_template] = ACTIONS(5603),
    [anon_sym_operator] = ACTIONS(5603),
    [anon_sym_friend] = ACTIONS(5603),
    [anon_sym_public] = ACTIONS(5603),
    [anon_sym_private] = ACTIONS(5603),
    [anon_sym_protected] = ACTIONS(5603),
    [anon_sym_using] = ACTIONS(5603),
    [anon_sym_static_assert] = ACTIONS(5603),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(5607),
    [aux_sym_preproc_def_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token1] = ACTIONS(5607),
    [aux_sym_preproc_if_token2] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5607),
    [aux_sym_preproc_else_token1] = ACTIONS(5607),
    [aux_sym_preproc_elif_token1] = ACTIONS(5607),
    [sym_preproc_directive] = ACTIONS(5607),
    [anon_sym_LPAREN2] = ACTIONS(5609),
    [anon_sym_TILDE] = ACTIONS(5609),
    [anon_sym_STAR] = ACTIONS(5609),
    [anon_sym_AMP_AMP] = ACTIONS(5609),
    [anon_sym_AMP] = ACTIONS(5607),
    [anon_sym___extension__] = ACTIONS(5607),
    [anon_sym_typedef] = ACTIONS(5607),
    [anon_sym_extern] = ACTIONS(5607),
    [anon_sym___attribute__] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(5609),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5609),
    [anon_sym___declspec] = ACTIONS(5607),
    [anon_sym___based] = ACTIONS(5607),
    [anon_sym_signed] = ACTIONS(5607),
    [anon_sym_unsigned] = ACTIONS(5607),
    [anon_sym_long] = ACTIONS(5607),
    [anon_sym_short] = ACTIONS(5607),
    [anon_sym_LBRACK] = ACTIONS(5607),
    [anon_sym_static] = ACTIONS(5607),
    [anon_sym_register] = ACTIONS(5607),
    [anon_sym_inline] = ACTIONS(5607),
    [anon_sym___inline] = ACTIONS(5607),
    [anon_sym___inline__] = ACTIONS(5607),
    [anon_sym___forceinline] = ACTIONS(5607),
    [anon_sym_thread_local] = ACTIONS(5607),
    [anon_sym___thread] = ACTIONS(5607),
    [anon_sym_const] = ACTIONS(5607),
    [anon_sym_constexpr] = ACTIONS(5607),
    [anon_sym_volatile] = ACTIONS(5607),
    [anon_sym_restrict] = ACTIONS(5607),
    [anon_sym___restrict__] = ACTIONS(5607),
    [anon_sym__Atomic] = ACTIONS(5607),
    [anon_sym__Noreturn] = ACTIONS(5607),
    [anon_sym_noreturn] = ACTIONS(5607),
    [anon_sym_mutable] = ACTIONS(5607),
    [anon_sym_constinit] = ACTIONS(5607),
    [anon_sym_consteval] = ACTIONS(5607),
    [sym_primitive_type] = ACTIONS(5607),
    [anon_sym_enum] = ACTIONS(5607),
    [anon_sym_class] = ACTIONS(5607),
    [anon_sym_struct] = ACTIONS(5607),
    [anon_sym_union] = ACTIONS(5607),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5607),
    [anon_sym_decltype] = ACTIONS(5607),
    [anon_sym_virtual] = ACTIONS(5607),
    [anon_sym_alignas] = ACTIONS(5607),
    [anon_sym_explicit] = ACTIONS(5607),
    [anon_sym_typename] = ACTIONS(5607),
    [anon_sym_template] = ACTIONS(5607),
    [anon_sym_operator] = ACTIONS(5607),
    [anon_sym_friend] = ACTIONS(5607),
    [anon_sym_public] = ACTIONS(5607),
    [anon_sym_private] = ACTIONS(5607),
    [anon_sym_protected] = ACTIONS(5607),
    [anon_sym_using] = ACTIONS(5607),
    [anon_sym_static_assert] = ACTIONS(5607),
  },
  [2360] = {
    [sym_identifier] = ACTIONS(5611),
    [aux_sym_preproc_def_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token1] = ACTIONS(5611),
    [aux_sym_preproc_if_token2] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5611),
    [aux_sym_preproc_else_token1] = ACTIONS(5611),
    [aux_sym_preproc_elif_token1] = ACTIONS(5611),
    [sym_preproc_directive] = ACTIONS(5611),
    [anon_sym_LPAREN2] = ACTIONS(5613),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_STAR] = ACTIONS(5613),
    [anon_sym_AMP_AMP] = ACTIONS(5613),
    [anon_sym_AMP] = ACTIONS(5611),
    [anon_sym___extension__] = ACTIONS(5611),
    [anon_sym_typedef] = ACTIONS(5611),
    [anon_sym_extern] = ACTIONS(5611),
    [anon_sym___attribute__] = ACTIONS(5611),
    [anon_sym_COLON_COLON] = ACTIONS(5613),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5613),
    [anon_sym___declspec] = ACTIONS(5611),
    [anon_sym___based] = ACTIONS(5611),
    [anon_sym_signed] = ACTIONS(5611),
    [anon_sym_unsigned] = ACTIONS(5611),
    [anon_sym_long] = ACTIONS(5611),
    [anon_sym_short] = ACTIONS(5611),
    [anon_sym_LBRACK] = ACTIONS(5611),
    [anon_sym_static] = ACTIONS(5611),
    [anon_sym_register] = ACTIONS(5611),
    [anon_sym_inline] = ACTIONS(5611),
    [anon_sym___inline] = ACTIONS(5611),
    [anon_sym___inline__] = ACTIONS(5611),
    [anon_sym___forceinline] = ACTIONS(5611),
    [anon_sym_thread_local] = ACTIONS(5611),
    [anon_sym___thread] = ACTIONS(5611),
    [anon_sym_const] = ACTIONS(5611),
    [anon_sym_constexpr] = ACTIONS(5611),
    [anon_sym_volatile] = ACTIONS(5611),
    [anon_sym_restrict] = ACTIONS(5611),
    [anon_sym___restrict__] = ACTIONS(5611),
    [anon_sym__Atomic] = ACTIONS(5611),
    [anon_sym__Noreturn] = ACTIONS(5611),
    [anon_sym_noreturn] = ACTIONS(5611),
    [anon_sym_mutable] = ACTIONS(5611),
    [anon_sym_constinit] = ACTIONS(5611),
    [anon_sym_consteval] = ACTIONS(5611),
    [sym_primitive_type] = ACTIONS(5611),
    [anon_sym_enum] = ACTIONS(5611),
    [anon_sym_class] = ACTIONS(5611),
    [anon_sym_struct] = ACTIONS(5611),
    [anon_sym_union] = ACTIONS(5611),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5611),
    [anon_sym_decltype] = ACTIONS(5611),
    [anon_sym_virtual] = ACTIONS(5611),
    [anon_sym_alignas] = ACTIONS(5611),
    [anon_sym_explicit] = ACTIONS(5611),
    [anon_sym_typename] = ACTIONS(5611),
    [anon_sym_template] = ACTIONS(5611),
    [anon_sym_operator] = ACTIONS(5611),
    [anon_sym_friend] = ACTIONS(5611),
    [anon_sym_public] = ACTIONS(5611),
    [anon_sym_private] = ACTIONS(5611),
    [anon_sym_protected] = ACTIONS(5611),
    [anon_sym_using] = ACTIONS(5611),
    [anon_sym_static_assert] = ACTIONS(5611),
  },
  [2361] = {
    [sym_identifier] = ACTIONS(3138),
    [aux_sym_preproc_def_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token1] = ACTIONS(3138),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3138),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3138),
    [sym_preproc_directive] = ACTIONS(3138),
    [anon_sym_LPAREN2] = ACTIONS(3140),
    [anon_sym_TILDE] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3138),
    [anon_sym_typedef] = ACTIONS(3138),
    [anon_sym_extern] = ACTIONS(3138),
    [anon_sym___attribute__] = ACTIONS(3138),
    [anon_sym_COLON_COLON] = ACTIONS(3140),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3140),
    [anon_sym___declspec] = ACTIONS(3138),
    [anon_sym___based] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3138),
    [anon_sym_unsigned] = ACTIONS(3138),
    [anon_sym_long] = ACTIONS(3138),
    [anon_sym_short] = ACTIONS(3138),
    [anon_sym_LBRACK] = ACTIONS(3138),
    [anon_sym_static] = ACTIONS(3138),
    [anon_sym_register] = ACTIONS(3138),
    [anon_sym_inline] = ACTIONS(3138),
    [anon_sym___inline] = ACTIONS(3138),
    [anon_sym___inline__] = ACTIONS(3138),
    [anon_sym___forceinline] = ACTIONS(3138),
    [anon_sym_thread_local] = ACTIONS(3138),
    [anon_sym___thread] = ACTIONS(3138),
    [anon_sym_const] = ACTIONS(3138),
    [anon_sym_constexpr] = ACTIONS(3138),
    [anon_sym_volatile] = ACTIONS(3138),
    [anon_sym_restrict] = ACTIONS(3138),
    [anon_sym___restrict__] = ACTIONS(3138),
    [anon_sym__Atomic] = ACTIONS(3138),
    [anon_sym__Noreturn] = ACTIONS(3138),
    [anon_sym_noreturn] = ACTIONS(3138),
    [anon_sym_mutable] = ACTIONS(3138),
    [anon_sym_constinit] = ACTIONS(3138),
    [anon_sym_consteval] = ACTIONS(3138),
    [sym_primitive_type] = ACTIONS(3138),
    [anon_sym_enum] = ACTIONS(3138),
    [anon_sym_class] = ACTIONS(3138),
    [anon_sym_struct] = ACTIONS(3138),
    [anon_sym_union] = ACTIONS(3138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3138),
    [anon_sym_decltype] = ACTIONS(3138),
    [anon_sym_virtual] = ACTIONS(3138),
    [anon_sym_alignas] = ACTIONS(3138),
    [anon_sym_explicit] = ACTIONS(3138),
    [anon_sym_typename] = ACTIONS(3138),
    [anon_sym_template] = ACTIONS(3138),
    [anon_sym_operator] = ACTIONS(3138),
    [anon_sym_friend] = ACTIONS(3138),
    [anon_sym_public] = ACTIONS(3138),
    [anon_sym_private] = ACTIONS(3138),
    [anon_sym_protected] = ACTIONS(3138),
    [anon_sym_using] = ACTIONS(3138),
    [anon_sym_static_assert] = ACTIONS(3138),
  },
  [2362] = {
    [sym_identifier] = ACTIONS(3134),
    [aux_sym_preproc_def_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token1] = ACTIONS(3134),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3134),
    [aux_sym_preproc_else_token1] = ACTIONS(3134),
    [aux_sym_preproc_elif_token1] = ACTIONS(3134),
    [sym_preproc_directive] = ACTIONS(3134),
    [anon_sym_LPAREN2] = ACTIONS(3136),
    [anon_sym_TILDE] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3134),
    [anon_sym_typedef] = ACTIONS(3134),
    [anon_sym_extern] = ACTIONS(3134),
    [anon_sym___attribute__] = ACTIONS(3134),
    [anon_sym_COLON_COLON] = ACTIONS(3136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3136),
    [anon_sym___declspec] = ACTIONS(3134),
    [anon_sym___based] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3134),
    [anon_sym_unsigned] = ACTIONS(3134),
    [anon_sym_long] = ACTIONS(3134),
    [anon_sym_short] = ACTIONS(3134),
    [anon_sym_LBRACK] = ACTIONS(3134),
    [anon_sym_static] = ACTIONS(3134),
    [anon_sym_register] = ACTIONS(3134),
    [anon_sym_inline] = ACTIONS(3134),
    [anon_sym___inline] = ACTIONS(3134),
    [anon_sym___inline__] = ACTIONS(3134),
    [anon_sym___forceinline] = ACTIONS(3134),
    [anon_sym_thread_local] = ACTIONS(3134),
    [anon_sym___thread] = ACTIONS(3134),
    [anon_sym_const] = ACTIONS(3134),
    [anon_sym_constexpr] = ACTIONS(3134),
    [anon_sym_volatile] = ACTIONS(3134),
    [anon_sym_restrict] = ACTIONS(3134),
    [anon_sym___restrict__] = ACTIONS(3134),
    [anon_sym__Atomic] = ACTIONS(3134),
    [anon_sym__Noreturn] = ACTIONS(3134),
    [anon_sym_noreturn] = ACTIONS(3134),
    [anon_sym_mutable] = ACTIONS(3134),
    [anon_sym_constinit] = ACTIONS(3134),
    [anon_sym_consteval] = ACTIONS(3134),
    [sym_primitive_type] = ACTIONS(3134),
    [anon_sym_enum] = ACTIONS(3134),
    [anon_sym_class] = ACTIONS(3134),
    [anon_sym_struct] = ACTIONS(3134),
    [anon_sym_union] = ACTIONS(3134),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3134),
    [anon_sym_decltype] = ACTIONS(3134),
    [anon_sym_virtual] = ACTIONS(3134),
    [anon_sym_alignas] = ACTIONS(3134),
    [anon_sym_explicit] = ACTIONS(3134),
    [anon_sym_typename] = ACTIONS(3134),
    [anon_sym_template] = ACTIONS(3134),
    [anon_sym_operator] = ACTIONS(3134),
    [anon_sym_friend] = ACTIONS(3134),
    [anon_sym_public] = ACTIONS(3134),
    [anon_sym_private] = ACTIONS(3134),
    [anon_sym_protected] = ACTIONS(3134),
    [anon_sym_using] = ACTIONS(3134),
    [anon_sym_static_assert] = ACTIONS(3134),
  },
  [2363] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
  },
  [2364] = {
    [sym_identifier] = ACTIONS(5615),
    [aux_sym_preproc_def_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token1] = ACTIONS(5615),
    [aux_sym_preproc_if_token2] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5615),
    [aux_sym_preproc_else_token1] = ACTIONS(5615),
    [aux_sym_preproc_elif_token1] = ACTIONS(5615),
    [sym_preproc_directive] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(5617),
    [anon_sym_TILDE] = ACTIONS(5617),
    [anon_sym_STAR] = ACTIONS(5617),
    [anon_sym_AMP_AMP] = ACTIONS(5617),
    [anon_sym_AMP] = ACTIONS(5615),
    [anon_sym___extension__] = ACTIONS(5615),
    [anon_sym_typedef] = ACTIONS(5615),
    [anon_sym_extern] = ACTIONS(5615),
    [anon_sym___attribute__] = ACTIONS(5615),
    [anon_sym_COLON_COLON] = ACTIONS(5617),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5617),
    [anon_sym___declspec] = ACTIONS(5615),
    [anon_sym___based] = ACTIONS(5615),
    [anon_sym_signed] = ACTIONS(5615),
    [anon_sym_unsigned] = ACTIONS(5615),
    [anon_sym_long] = ACTIONS(5615),
    [anon_sym_short] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5615),
    [anon_sym_static] = ACTIONS(5615),
    [anon_sym_register] = ACTIONS(5615),
    [anon_sym_inline] = ACTIONS(5615),
    [anon_sym___inline] = ACTIONS(5615),
    [anon_sym___inline__] = ACTIONS(5615),
    [anon_sym___forceinline] = ACTIONS(5615),
    [anon_sym_thread_local] = ACTIONS(5615),
    [anon_sym___thread] = ACTIONS(5615),
    [anon_sym_const] = ACTIONS(5615),
    [anon_sym_constexpr] = ACTIONS(5615),
    [anon_sym_volatile] = ACTIONS(5615),
    [anon_sym_restrict] = ACTIONS(5615),
    [anon_sym___restrict__] = ACTIONS(5615),
    [anon_sym__Atomic] = ACTIONS(5615),
    [anon_sym__Noreturn] = ACTIONS(5615),
    [anon_sym_noreturn] = ACTIONS(5615),
    [anon_sym_mutable] = ACTIONS(5615),
    [anon_sym_constinit] = ACTIONS(5615),
    [anon_sym_consteval] = ACTIONS(5615),
    [sym_primitive_type] = ACTIONS(5615),
    [anon_sym_enum] = ACTIONS(5615),
    [anon_sym_class] = ACTIONS(5615),
    [anon_sym_struct] = ACTIONS(5615),
    [anon_sym_union] = ACTIONS(5615),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5615),
    [anon_sym_decltype] = ACTIONS(5615),
    [anon_sym_virtual] = ACTIONS(5615),
    [anon_sym_alignas] = ACTIONS(5615),
    [anon_sym_explicit] = ACTIONS(5615),
    [anon_sym_typename] = ACTIONS(5615),
    [anon_sym_template] = ACTIONS(5615),
    [anon_sym_operator] = ACTIONS(5615),
    [anon_sym_friend] = ACTIONS(5615),
    [anon_sym_public] = ACTIONS(5615),
    [anon_sym_private] = ACTIONS(5615),
    [anon_sym_protected] = ACTIONS(5615),
    [anon_sym_using] = ACTIONS(5615),
    [anon_sym_static_assert] = ACTIONS(5615),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(5619),
    [aux_sym_preproc_def_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token1] = ACTIONS(5619),
    [aux_sym_preproc_if_token2] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5619),
    [aux_sym_preproc_else_token1] = ACTIONS(5619),
    [aux_sym_preproc_elif_token1] = ACTIONS(5619),
    [sym_preproc_directive] = ACTIONS(5619),
    [anon_sym_LPAREN2] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5621),
    [anon_sym_STAR] = ACTIONS(5621),
    [anon_sym_AMP_AMP] = ACTIONS(5621),
    [anon_sym_AMP] = ACTIONS(5619),
    [anon_sym___extension__] = ACTIONS(5619),
    [anon_sym_typedef] = ACTIONS(5619),
    [anon_sym_extern] = ACTIONS(5619),
    [anon_sym___attribute__] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(5621),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5621),
    [anon_sym___declspec] = ACTIONS(5619),
    [anon_sym___based] = ACTIONS(5619),
    [anon_sym_signed] = ACTIONS(5619),
    [anon_sym_unsigned] = ACTIONS(5619),
    [anon_sym_long] = ACTIONS(5619),
    [anon_sym_short] = ACTIONS(5619),
    [anon_sym_LBRACK] = ACTIONS(5619),
    [anon_sym_static] = ACTIONS(5619),
    [anon_sym_register] = ACTIONS(5619),
    [anon_sym_inline] = ACTIONS(5619),
    [anon_sym___inline] = ACTIONS(5619),
    [anon_sym___inline__] = ACTIONS(5619),
    [anon_sym___forceinline] = ACTIONS(5619),
    [anon_sym_thread_local] = ACTIONS(5619),
    [anon_sym___thread] = ACTIONS(5619),
    [anon_sym_const] = ACTIONS(5619),
    [anon_sym_constexpr] = ACTIONS(5619),
    [anon_sym_volatile] = ACTIONS(5619),
    [anon_sym_restrict] = ACTIONS(5619),
    [anon_sym___restrict__] = ACTIONS(5619),
    [anon_sym__Atomic] = ACTIONS(5619),
    [anon_sym__Noreturn] = ACTIONS(5619),
    [anon_sym_noreturn] = ACTIONS(5619),
    [anon_sym_mutable] = ACTIONS(5619),
    [anon_sym_constinit] = ACTIONS(5619),
    [anon_sym_consteval] = ACTIONS(5619),
    [sym_primitive_type] = ACTIONS(5619),
    [anon_sym_enum] = ACTIONS(5619),
    [anon_sym_class] = ACTIONS(5619),
    [anon_sym_struct] = ACTIONS(5619),
    [anon_sym_union] = ACTIONS(5619),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5619),
    [anon_sym_decltype] = ACTIONS(5619),
    [anon_sym_virtual] = ACTIONS(5619),
    [anon_sym_alignas] = ACTIONS(5619),
    [anon_sym_explicit] = ACTIONS(5619),
    [anon_sym_typename] = ACTIONS(5619),
    [anon_sym_template] = ACTIONS(5619),
    [anon_sym_operator] = ACTIONS(5619),
    [anon_sym_friend] = ACTIONS(5619),
    [anon_sym_public] = ACTIONS(5619),
    [anon_sym_private] = ACTIONS(5619),
    [anon_sym_protected] = ACTIONS(5619),
    [anon_sym_using] = ACTIONS(5619),
    [anon_sym_static_assert] = ACTIONS(5619),
  },
  [2366] = {
    [sym_identifier] = ACTIONS(5623),
    [aux_sym_preproc_def_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token1] = ACTIONS(5623),
    [aux_sym_preproc_if_token2] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5623),
    [aux_sym_preproc_else_token1] = ACTIONS(5623),
    [aux_sym_preproc_elif_token1] = ACTIONS(5623),
    [sym_preproc_directive] = ACTIONS(5623),
    [anon_sym_LPAREN2] = ACTIONS(5625),
    [anon_sym_TILDE] = ACTIONS(5625),
    [anon_sym_STAR] = ACTIONS(5625),
    [anon_sym_AMP_AMP] = ACTIONS(5625),
    [anon_sym_AMP] = ACTIONS(5623),
    [anon_sym___extension__] = ACTIONS(5623),
    [anon_sym_typedef] = ACTIONS(5623),
    [anon_sym_extern] = ACTIONS(5623),
    [anon_sym___attribute__] = ACTIONS(5623),
    [anon_sym_COLON_COLON] = ACTIONS(5625),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5625),
    [anon_sym___declspec] = ACTIONS(5623),
    [anon_sym___based] = ACTIONS(5623),
    [anon_sym_signed] = ACTIONS(5623),
    [anon_sym_unsigned] = ACTIONS(5623),
    [anon_sym_long] = ACTIONS(5623),
    [anon_sym_short] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5623),
    [anon_sym_static] = ACTIONS(5623),
    [anon_sym_register] = ACTIONS(5623),
    [anon_sym_inline] = ACTIONS(5623),
    [anon_sym___inline] = ACTIONS(5623),
    [anon_sym___inline__] = ACTIONS(5623),
    [anon_sym___forceinline] = ACTIONS(5623),
    [anon_sym_thread_local] = ACTIONS(5623),
    [anon_sym___thread] = ACTIONS(5623),
    [anon_sym_const] = ACTIONS(5623),
    [anon_sym_constexpr] = ACTIONS(5623),
    [anon_sym_volatile] = ACTIONS(5623),
    [anon_sym_restrict] = ACTIONS(5623),
    [anon_sym___restrict__] = ACTIONS(5623),
    [anon_sym__Atomic] = ACTIONS(5623),
    [anon_sym__Noreturn] = ACTIONS(5623),
    [anon_sym_noreturn] = ACTIONS(5623),
    [anon_sym_mutable] = ACTIONS(5623),
    [anon_sym_constinit] = ACTIONS(5623),
    [anon_sym_consteval] = ACTIONS(5623),
    [sym_primitive_type] = ACTIONS(5623),
    [anon_sym_enum] = ACTIONS(5623),
    [anon_sym_class] = ACTIONS(5623),
    [anon_sym_struct] = ACTIONS(5623),
    [anon_sym_union] = ACTIONS(5623),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5623),
    [anon_sym_decltype] = ACTIONS(5623),
    [anon_sym_virtual] = ACTIONS(5623),
    [anon_sym_alignas] = ACTIONS(5623),
    [anon_sym_explicit] = ACTIONS(5623),
    [anon_sym_typename] = ACTIONS(5623),
    [anon_sym_template] = ACTIONS(5623),
    [anon_sym_operator] = ACTIONS(5623),
    [anon_sym_friend] = ACTIONS(5623),
    [anon_sym_public] = ACTIONS(5623),
    [anon_sym_private] = ACTIONS(5623),
    [anon_sym_protected] = ACTIONS(5623),
    [anon_sym_using] = ACTIONS(5623),
    [anon_sym_static_assert] = ACTIONS(5623),
  },
  [2367] = {
    [sym_identifier] = ACTIONS(5627),
    [aux_sym_preproc_def_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token1] = ACTIONS(5627),
    [aux_sym_preproc_if_token2] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5627),
    [aux_sym_preproc_else_token1] = ACTIONS(5627),
    [aux_sym_preproc_elif_token1] = ACTIONS(5627),
    [sym_preproc_directive] = ACTIONS(5627),
    [anon_sym_LPAREN2] = ACTIONS(5629),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_STAR] = ACTIONS(5629),
    [anon_sym_AMP_AMP] = ACTIONS(5629),
    [anon_sym_AMP] = ACTIONS(5627),
    [anon_sym___extension__] = ACTIONS(5627),
    [anon_sym_typedef] = ACTIONS(5627),
    [anon_sym_extern] = ACTIONS(5627),
    [anon_sym___attribute__] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(5629),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5629),
    [anon_sym___declspec] = ACTIONS(5627),
    [anon_sym___based] = ACTIONS(5627),
    [anon_sym_signed] = ACTIONS(5627),
    [anon_sym_unsigned] = ACTIONS(5627),
    [anon_sym_long] = ACTIONS(5627),
    [anon_sym_short] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(5627),
    [anon_sym_static] = ACTIONS(5627),
    [anon_sym_register] = ACTIONS(5627),
    [anon_sym_inline] = ACTIONS(5627),
    [anon_sym___inline] = ACTIONS(5627),
    [anon_sym___inline__] = ACTIONS(5627),
    [anon_sym___forceinline] = ACTIONS(5627),
    [anon_sym_thread_local] = ACTIONS(5627),
    [anon_sym___thread] = ACTIONS(5627),
    [anon_sym_const] = ACTIONS(5627),
    [anon_sym_constexpr] = ACTIONS(5627),
    [anon_sym_volatile] = ACTIONS(5627),
    [anon_sym_restrict] = ACTIONS(5627),
    [anon_sym___restrict__] = ACTIONS(5627),
    [anon_sym__Atomic] = ACTIONS(5627),
    [anon_sym__Noreturn] = ACTIONS(5627),
    [anon_sym_noreturn] = ACTIONS(5627),
    [anon_sym_mutable] = ACTIONS(5627),
    [anon_sym_constinit] = ACTIONS(5627),
    [anon_sym_consteval] = ACTIONS(5627),
    [sym_primitive_type] = ACTIONS(5627),
    [anon_sym_enum] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_struct] = ACTIONS(5627),
    [anon_sym_union] = ACTIONS(5627),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5627),
    [anon_sym_decltype] = ACTIONS(5627),
    [anon_sym_virtual] = ACTIONS(5627),
    [anon_sym_alignas] = ACTIONS(5627),
    [anon_sym_explicit] = ACTIONS(5627),
    [anon_sym_typename] = ACTIONS(5627),
    [anon_sym_template] = ACTIONS(5627),
    [anon_sym_operator] = ACTIONS(5627),
    [anon_sym_friend] = ACTIONS(5627),
    [anon_sym_public] = ACTIONS(5627),
    [anon_sym_private] = ACTIONS(5627),
    [anon_sym_protected] = ACTIONS(5627),
    [anon_sym_using] = ACTIONS(5627),
    [anon_sym_static_assert] = ACTIONS(5627),
  },
  [2368] = {
    [sym_identifier] = ACTIONS(5657),
    [aux_sym_preproc_def_token1] = ACTIONS(5657),
    [aux_sym_preproc_if_token1] = ACTIONS(5657),
    [aux_sym_preproc_if_token2] = ACTIONS(5657),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5657),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5657),
    [aux_sym_preproc_else_token1] = ACTIONS(5657),
    [aux_sym_preproc_elif_token1] = ACTIONS(5657),
    [sym_preproc_directive] = ACTIONS(5657),
    [anon_sym_LPAREN2] = ACTIONS(5659),
    [anon_sym_TILDE] = ACTIONS(5659),
    [anon_sym_STAR] = ACTIONS(5659),
    [anon_sym_AMP_AMP] = ACTIONS(5659),
    [anon_sym_AMP] = ACTIONS(5657),
    [anon_sym___extension__] = ACTIONS(5657),
    [anon_sym_typedef] = ACTIONS(5657),
    [anon_sym_extern] = ACTIONS(5657),
    [anon_sym___attribute__] = ACTIONS(5657),
    [anon_sym_COLON_COLON] = ACTIONS(5659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5659),
    [anon_sym___declspec] = ACTIONS(5657),
    [anon_sym___based] = ACTIONS(5657),
    [anon_sym_signed] = ACTIONS(5657),
    [anon_sym_unsigned] = ACTIONS(5657),
    [anon_sym_long] = ACTIONS(5657),
    [anon_sym_short] = ACTIONS(5657),
    [anon_sym_LBRACK] = ACTIONS(5657),
    [anon_sym_static] = ACTIONS(5657),
    [anon_sym_register] = ACTIONS(5657),
    [anon_sym_inline] = ACTIONS(5657),
    [anon_sym___inline] = ACTIONS(5657),
    [anon_sym___inline__] = ACTIONS(5657),
    [anon_sym___forceinline] = ACTIONS(5657),
    [anon_sym_thread_local] = ACTIONS(5657),
    [anon_sym___thread] = ACTIONS(5657),
    [anon_sym_const] = ACTIONS(5657),
    [anon_sym_constexpr] = ACTIONS(5657),
    [anon_sym_volatile] = ACTIONS(5657),
    [anon_sym_restrict] = ACTIONS(5657),
    [anon_sym___restrict__] = ACTIONS(5657),
    [anon_sym__Atomic] = ACTIONS(5657),
    [anon_sym__Noreturn] = ACTIONS(5657),
    [anon_sym_noreturn] = ACTIONS(5657),
    [anon_sym_mutable] = ACTIONS(5657),
    [anon_sym_constinit] = ACTIONS(5657),
    [anon_sym_consteval] = ACTIONS(5657),
    [sym_primitive_type] = ACTIONS(5657),
    [anon_sym_enum] = ACTIONS(5657),
    [anon_sym_class] = ACTIONS(5657),
    [anon_sym_struct] = ACTIONS(5657),
    [anon_sym_union] = ACTIONS(5657),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5657),
    [anon_sym_decltype] = ACTIONS(5657),
    [anon_sym_virtual] = ACTIONS(5657),
    [anon_sym_alignas] = ACTIONS(5657),
    [anon_sym_explicit] = ACTIONS(5657),
    [anon_sym_typename] = ACTIONS(5657),
    [anon_sym_template] = ACTIONS(5657),
    [anon_sym_operator] = ACTIONS(5657),
    [anon_sym_friend] = ACTIONS(5657),
    [anon_sym_public] = ACTIONS(5657),
    [anon_sym_private] = ACTIONS(5657),
    [anon_sym_protected] = ACTIONS(5657),
    [anon_sym_using] = ACTIONS(5657),
    [anon_sym_static_assert] = ACTIONS(5657),
  },
  [2369] = {
    [sym_identifier] = ACTIONS(5653),
    [aux_sym_preproc_def_token1] = ACTIONS(5653),
    [aux_sym_preproc_if_token1] = ACTIONS(5653),
    [aux_sym_preproc_if_token2] = ACTIONS(5653),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5653),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5653),
    [aux_sym_preproc_else_token1] = ACTIONS(5653),
    [aux_sym_preproc_elif_token1] = ACTIONS(5653),
    [sym_preproc_directive] = ACTIONS(5653),
    [anon_sym_LPAREN2] = ACTIONS(5655),
    [anon_sym_TILDE] = ACTIONS(5655),
    [anon_sym_STAR] = ACTIONS(5655),
    [anon_sym_AMP_AMP] = ACTIONS(5655),
    [anon_sym_AMP] = ACTIONS(5653),
    [anon_sym___extension__] = ACTIONS(5653),
    [anon_sym_typedef] = ACTIONS(5653),
    [anon_sym_extern] = ACTIONS(5653),
    [anon_sym___attribute__] = ACTIONS(5653),
    [anon_sym_COLON_COLON] = ACTIONS(5655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5655),
    [anon_sym___declspec] = ACTIONS(5653),
    [anon_sym___based] = ACTIONS(5653),
    [anon_sym_signed] = ACTIONS(5653),
    [anon_sym_unsigned] = ACTIONS(5653),
    [anon_sym_long] = ACTIONS(5653),
    [anon_sym_short] = ACTIONS(5653),
    [anon_sym_LBRACK] = ACTIONS(5653),
    [anon_sym_static] = ACTIONS(5653),
    [anon_sym_register] = ACTIONS(5653),
    [anon_sym_inline] = ACTIONS(5653),
    [anon_sym___inline] = ACTIONS(5653),
    [anon_sym___inline__] = ACTIONS(5653),
    [anon_sym___forceinline] = ACTIONS(5653),
    [anon_sym_thread_local] = ACTIONS(5653),
    [anon_sym___thread] = ACTIONS(5653),
    [anon_sym_const] = ACTIONS(5653),
    [anon_sym_constexpr] = ACTIONS(5653),
    [anon_sym_volatile] = ACTIONS(5653),
    [anon_sym_restrict] = ACTIONS(5653),
    [anon_sym___restrict__] = ACTIONS(5653),
    [anon_sym__Atomic] = ACTIONS(5653),
    [anon_sym__Noreturn] = ACTIONS(5653),
    [anon_sym_noreturn] = ACTIONS(5653),
    [anon_sym_mutable] = ACTIONS(5653),
    [anon_sym_constinit] = ACTIONS(5653),
    [anon_sym_consteval] = ACTIONS(5653),
    [sym_primitive_type] = ACTIONS(5653),
    [anon_sym_enum] = ACTIONS(5653),
    [anon_sym_class] = ACTIONS(5653),
    [anon_sym_struct] = ACTIONS(5653),
    [anon_sym_union] = ACTIONS(5653),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5653),
    [anon_sym_decltype] = ACTIONS(5653),
    [anon_sym_virtual] = ACTIONS(5653),
    [anon_sym_alignas] = ACTIONS(5653),
    [anon_sym_explicit] = ACTIONS(5653),
    [anon_sym_typename] = ACTIONS(5653),
    [anon_sym_template] = ACTIONS(5653),
    [anon_sym_operator] = ACTIONS(5653),
    [anon_sym_friend] = ACTIONS(5653),
    [anon_sym_public] = ACTIONS(5653),
    [anon_sym_private] = ACTIONS(5653),
    [anon_sym_protected] = ACTIONS(5653),
    [anon_sym_using] = ACTIONS(5653),
    [anon_sym_static_assert] = ACTIONS(5653),
  },
  [2370] = {
    [sym_identifier] = ACTIONS(5649),
    [aux_sym_preproc_def_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token2] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5649),
    [aux_sym_preproc_else_token1] = ACTIONS(5649),
    [aux_sym_preproc_elif_token1] = ACTIONS(5649),
    [sym_preproc_directive] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5651),
    [anon_sym_TILDE] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_AMP_AMP] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5649),
    [anon_sym___extension__] = ACTIONS(5649),
    [anon_sym_typedef] = ACTIONS(5649),
    [anon_sym_extern] = ACTIONS(5649),
    [anon_sym___attribute__] = ACTIONS(5649),
    [anon_sym_COLON_COLON] = ACTIONS(5651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5651),
    [anon_sym___declspec] = ACTIONS(5649),
    [anon_sym___based] = ACTIONS(5649),
    [anon_sym_signed] = ACTIONS(5649),
    [anon_sym_unsigned] = ACTIONS(5649),
    [anon_sym_long] = ACTIONS(5649),
    [anon_sym_short] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_static] = ACTIONS(5649),
    [anon_sym_register] = ACTIONS(5649),
    [anon_sym_inline] = ACTIONS(5649),
    [anon_sym___inline] = ACTIONS(5649),
    [anon_sym___inline__] = ACTIONS(5649),
    [anon_sym___forceinline] = ACTIONS(5649),
    [anon_sym_thread_local] = ACTIONS(5649),
    [anon_sym___thread] = ACTIONS(5649),
    [anon_sym_const] = ACTIONS(5649),
    [anon_sym_constexpr] = ACTIONS(5649),
    [anon_sym_volatile] = ACTIONS(5649),
    [anon_sym_restrict] = ACTIONS(5649),
    [anon_sym___restrict__] = ACTIONS(5649),
    [anon_sym__Atomic] = ACTIONS(5649),
    [anon_sym__Noreturn] = ACTIONS(5649),
    [anon_sym_noreturn] = ACTIONS(5649),
    [anon_sym_mutable] = ACTIONS(5649),
    [anon_sym_constinit] = ACTIONS(5649),
    [anon_sym_consteval] = ACTIONS(5649),
    [sym_primitive_type] = ACTIONS(5649),
    [anon_sym_enum] = ACTIONS(5649),
    [anon_sym_class] = ACTIONS(5649),
    [anon_sym_struct] = ACTIONS(5649),
    [anon_sym_union] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5649),
    [anon_sym_decltype] = ACTIONS(5649),
    [anon_sym_virtual] = ACTIONS(5649),
    [anon_sym_alignas] = ACTIONS(5649),
    [anon_sym_explicit] = ACTIONS(5649),
    [anon_sym_typename] = ACTIONS(5649),
    [anon_sym_template] = ACTIONS(5649),
    [anon_sym_operator] = ACTIONS(5649),
    [anon_sym_friend] = ACTIONS(5649),
    [anon_sym_public] = ACTIONS(5649),
    [anon_sym_private] = ACTIONS(5649),
    [anon_sym_protected] = ACTIONS(5649),
    [anon_sym_using] = ACTIONS(5649),
    [anon_sym_static_assert] = ACTIONS(5649),
  },
  [2371] = {
    [sym_identifier] = ACTIONS(5649),
    [aux_sym_preproc_def_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token1] = ACTIONS(5649),
    [aux_sym_preproc_if_token2] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5649),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5649),
    [aux_sym_preproc_else_token1] = ACTIONS(5649),
    [aux_sym_preproc_elif_token1] = ACTIONS(5649),
    [sym_preproc_directive] = ACTIONS(5649),
    [anon_sym_LPAREN2] = ACTIONS(5651),
    [anon_sym_TILDE] = ACTIONS(5651),
    [anon_sym_STAR] = ACTIONS(5651),
    [anon_sym_AMP_AMP] = ACTIONS(5651),
    [anon_sym_AMP] = ACTIONS(5649),
    [anon_sym___extension__] = ACTIONS(5649),
    [anon_sym_typedef] = ACTIONS(5649),
    [anon_sym_extern] = ACTIONS(5649),
    [anon_sym___attribute__] = ACTIONS(5649),
    [anon_sym_COLON_COLON] = ACTIONS(5651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5651),
    [anon_sym___declspec] = ACTIONS(5649),
    [anon_sym___based] = ACTIONS(5649),
    [anon_sym_signed] = ACTIONS(5649),
    [anon_sym_unsigned] = ACTIONS(5649),
    [anon_sym_long] = ACTIONS(5649),
    [anon_sym_short] = ACTIONS(5649),
    [anon_sym_LBRACK] = ACTIONS(5649),
    [anon_sym_static] = ACTIONS(5649),
    [anon_sym_register] = ACTIONS(5649),
    [anon_sym_inline] = ACTIONS(5649),
    [anon_sym___inline] = ACTIONS(5649),
    [anon_sym___inline__] = ACTIONS(5649),
    [anon_sym___forceinline] = ACTIONS(5649),
    [anon_sym_thread_local] = ACTIONS(5649),
    [anon_sym___thread] = ACTIONS(5649),
    [anon_sym_const] = ACTIONS(5649),
    [anon_sym_constexpr] = ACTIONS(5649),
    [anon_sym_volatile] = ACTIONS(5649),
    [anon_sym_restrict] = ACTIONS(5649),
    [anon_sym___restrict__] = ACTIONS(5649),
    [anon_sym__Atomic] = ACTIONS(5649),
    [anon_sym__Noreturn] = ACTIONS(5649),
    [anon_sym_noreturn] = ACTIONS(5649),
    [anon_sym_mutable] = ACTIONS(5649),
    [anon_sym_constinit] = ACTIONS(5649),
    [anon_sym_consteval] = ACTIONS(5649),
    [sym_primitive_type] = ACTIONS(5649),
    [anon_sym_enum] = ACTIONS(5649),
    [anon_sym_class] = ACTIONS(5649),
    [anon_sym_struct] = ACTIONS(5649),
    [anon_sym_union] = ACTIONS(5649),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5649),
    [anon_sym_decltype] = ACTIONS(5649),
    [anon_sym_virtual] = ACTIONS(5649),
    [anon_sym_alignas] = ACTIONS(5649),
    [anon_sym_explicit] = ACTIONS(5649),
    [anon_sym_typename] = ACTIONS(5649),
    [anon_sym_template] = ACTIONS(5649),
    [anon_sym_operator] = ACTIONS(5649),
    [anon_sym_friend] = ACTIONS(5649),
    [anon_sym_public] = ACTIONS(5649),
    [anon_sym_private] = ACTIONS(5649),
    [anon_sym_protected] = ACTIONS(5649),
    [anon_sym_using] = ACTIONS(5649),
    [anon_sym_static_assert] = ACTIONS(5649),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token1] = ACTIONS(3363),
    [aux_sym_preproc_if_token2] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3363),
    [aux_sym_preproc_else_token1] = ACTIONS(3363),
    [aux_sym_preproc_elif_token1] = ACTIONS(3363),
    [sym_preproc_directive] = ACTIONS(3363),
    [anon_sym_LPAREN2] = ACTIONS(3365),
    [anon_sym_TILDE] = ACTIONS(3365),
    [anon_sym_STAR] = ACTIONS(3365),
    [anon_sym_AMP_AMP] = ACTIONS(3365),
    [anon_sym_AMP] = ACTIONS(3363),
    [anon_sym___extension__] = ACTIONS(3363),
    [anon_sym_typedef] = ACTIONS(3363),
    [anon_sym_extern] = ACTIONS(3363),
    [anon_sym___attribute__] = ACTIONS(3363),
    [anon_sym_COLON_COLON] = ACTIONS(3365),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3365),
    [anon_sym___declspec] = ACTIONS(3363),
    [anon_sym___based] = ACTIONS(3363),
    [anon_sym_signed] = ACTIONS(3363),
    [anon_sym_unsigned] = ACTIONS(3363),
    [anon_sym_long] = ACTIONS(3363),
    [anon_sym_short] = ACTIONS(3363),
    [anon_sym_LBRACK] = ACTIONS(3363),
    [anon_sym_static] = ACTIONS(3363),
    [anon_sym_register] = ACTIONS(3363),
    [anon_sym_inline] = ACTIONS(3363),
    [anon_sym___inline] = ACTIONS(3363),
    [anon_sym___inline__] = ACTIONS(3363),
    [anon_sym___forceinline] = ACTIONS(3363),
    [anon_sym_thread_local] = ACTIONS(3363),
    [anon_sym___thread] = ACTIONS(3363),
    [anon_sym_const] = ACTIONS(3363),
    [anon_sym_constexpr] = ACTIONS(3363),
    [anon_sym_volatile] = ACTIONS(3363),
    [anon_sym_restrict] = ACTIONS(3363),
    [anon_sym___restrict__] = ACTIONS(3363),
    [anon_sym__Atomic] = ACTIONS(3363),
    [anon_sym__Noreturn] = ACTIONS(3363),
    [anon_sym_noreturn] = ACTIONS(3363),
    [anon_sym_mutable] = ACTIONS(3363),
    [anon_sym_constinit] = ACTIONS(3363),
    [anon_sym_consteval] = ACTIONS(3363),
    [sym_primitive_type] = ACTIONS(3363),
    [anon_sym_enum] = ACTIONS(3363),
    [anon_sym_class] = ACTIONS(3363),
    [anon_sym_struct] = ACTIONS(3363),
    [anon_sym_union] = ACTIONS(3363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3363),
    [anon_sym_decltype] = ACTIONS(3363),
    [anon_sym_virtual] = ACTIONS(3363),
    [anon_sym_alignas] = ACTIONS(3363),
    [anon_sym_explicit] = ACTIONS(3363),
    [anon_sym_typename] = ACTIONS(3363),
    [anon_sym_template] = ACTIONS(3363),
    [anon_sym_operator] = ACTIONS(3363),
    [anon_sym_friend] = ACTIONS(3363),
    [anon_sym_public] = ACTIONS(3363),
    [anon_sym_private] = ACTIONS(3363),
    [anon_sym_protected] = ACTIONS(3363),
    [anon_sym_using] = ACTIONS(3363),
    [anon_sym_static_assert] = ACTIONS(3363),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(5645),
    [aux_sym_preproc_def_token1] = ACTIONS(5645),
    [aux_sym_preproc_if_token1] = ACTIONS(5645),
    [aux_sym_preproc_if_token2] = ACTIONS(5645),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5645),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5645),
    [aux_sym_preproc_else_token1] = ACTIONS(5645),
    [aux_sym_preproc_elif_token1] = ACTIONS(5645),
    [sym_preproc_directive] = ACTIONS(5645),
    [anon_sym_LPAREN2] = ACTIONS(5647),
    [anon_sym_TILDE] = ACTIONS(5647),
    [anon_sym_STAR] = ACTIONS(5647),
    [anon_sym_AMP_AMP] = ACTIONS(5647),
    [anon_sym_AMP] = ACTIONS(5645),
    [anon_sym___extension__] = ACTIONS(5645),
    [anon_sym_typedef] = ACTIONS(5645),
    [anon_sym_extern] = ACTIONS(5645),
    [anon_sym___attribute__] = ACTIONS(5645),
    [anon_sym_COLON_COLON] = ACTIONS(5647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5647),
    [anon_sym___declspec] = ACTIONS(5645),
    [anon_sym___based] = ACTIONS(5645),
    [anon_sym_signed] = ACTIONS(5645),
    [anon_sym_unsigned] = ACTIONS(5645),
    [anon_sym_long] = ACTIONS(5645),
    [anon_sym_short] = ACTIONS(5645),
    [anon_sym_LBRACK] = ACTIONS(5645),
    [anon_sym_static] = ACTIONS(5645),
    [anon_sym_register] = ACTIONS(5645),
    [anon_sym_inline] = ACTIONS(5645),
    [anon_sym___inline] = ACTIONS(5645),
    [anon_sym___inline__] = ACTIONS(5645),
    [anon_sym___forceinline] = ACTIONS(5645),
    [anon_sym_thread_local] = ACTIONS(5645),
    [anon_sym___thread] = ACTIONS(5645),
    [anon_sym_const] = ACTIONS(5645),
    [anon_sym_constexpr] = ACTIONS(5645),
    [anon_sym_volatile] = ACTIONS(5645),
    [anon_sym_restrict] = ACTIONS(5645),
    [anon_sym___restrict__] = ACTIONS(5645),
    [anon_sym__Atomic] = ACTIONS(5645),
    [anon_sym__Noreturn] = ACTIONS(5645),
    [anon_sym_noreturn] = ACTIONS(5645),
    [anon_sym_mutable] = ACTIONS(5645),
    [anon_sym_constinit] = ACTIONS(5645),
    [anon_sym_consteval] = ACTIONS(5645),
    [sym_primitive_type] = ACTIONS(5645),
    [anon_sym_enum] = ACTIONS(5645),
    [anon_sym_class] = ACTIONS(5645),
    [anon_sym_struct] = ACTIONS(5645),
    [anon_sym_union] = ACTIONS(5645),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5645),
    [anon_sym_decltype] = ACTIONS(5645),
    [anon_sym_virtual] = ACTIONS(5645),
    [anon_sym_alignas] = ACTIONS(5645),
    [anon_sym_explicit] = ACTIONS(5645),
    [anon_sym_typename] = ACTIONS(5645),
    [anon_sym_template] = ACTIONS(5645),
    [anon_sym_operator] = ACTIONS(5645),
    [anon_sym_friend] = ACTIONS(5645),
    [anon_sym_public] = ACTIONS(5645),
    [anon_sym_private] = ACTIONS(5645),
    [anon_sym_protected] = ACTIONS(5645),
    [anon_sym_using] = ACTIONS(5645),
    [anon_sym_static_assert] = ACTIONS(5645),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(5641),
    [aux_sym_preproc_def_token1] = ACTIONS(5641),
    [aux_sym_preproc_if_token1] = ACTIONS(5641),
    [aux_sym_preproc_if_token2] = ACTIONS(5641),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5641),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5641),
    [aux_sym_preproc_else_token1] = ACTIONS(5641),
    [aux_sym_preproc_elif_token1] = ACTIONS(5641),
    [sym_preproc_directive] = ACTIONS(5641),
    [anon_sym_LPAREN2] = ACTIONS(5643),
    [anon_sym_TILDE] = ACTIONS(5643),
    [anon_sym_STAR] = ACTIONS(5643),
    [anon_sym_AMP_AMP] = ACTIONS(5643),
    [anon_sym_AMP] = ACTIONS(5641),
    [anon_sym___extension__] = ACTIONS(5641),
    [anon_sym_typedef] = ACTIONS(5641),
    [anon_sym_extern] = ACTIONS(5641),
    [anon_sym___attribute__] = ACTIONS(5641),
    [anon_sym_COLON_COLON] = ACTIONS(5643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5643),
    [anon_sym___declspec] = ACTIONS(5641),
    [anon_sym___based] = ACTIONS(5641),
    [anon_sym_signed] = ACTIONS(5641),
    [anon_sym_unsigned] = ACTIONS(5641),
    [anon_sym_long] = ACTIONS(5641),
    [anon_sym_short] = ACTIONS(5641),
    [anon_sym_LBRACK] = ACTIONS(5641),
    [anon_sym_static] = ACTIONS(5641),
    [anon_sym_register] = ACTIONS(5641),
    [anon_sym_inline] = ACTIONS(5641),
    [anon_sym___inline] = ACTIONS(5641),
    [anon_sym___inline__] = ACTIONS(5641),
    [anon_sym___forceinline] = ACTIONS(5641),
    [anon_sym_thread_local] = ACTIONS(5641),
    [anon_sym___thread] = ACTIONS(5641),
    [anon_sym_const] = ACTIONS(5641),
    [anon_sym_constexpr] = ACTIONS(5641),
    [anon_sym_volatile] = ACTIONS(5641),
    [anon_sym_restrict] = ACTIONS(5641),
    [anon_sym___restrict__] = ACTIONS(5641),
    [anon_sym__Atomic] = ACTIONS(5641),
    [anon_sym__Noreturn] = ACTIONS(5641),
    [anon_sym_noreturn] = ACTIONS(5641),
    [anon_sym_mutable] = ACTIONS(5641),
    [anon_sym_constinit] = ACTIONS(5641),
    [anon_sym_consteval] = ACTIONS(5641),
    [sym_primitive_type] = ACTIONS(5641),
    [anon_sym_enum] = ACTIONS(5641),
    [anon_sym_class] = ACTIONS(5641),
    [anon_sym_struct] = ACTIONS(5641),
    [anon_sym_union] = ACTIONS(5641),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5641),
    [anon_sym_decltype] = ACTIONS(5641),
    [anon_sym_virtual] = ACTIONS(5641),
    [anon_sym_alignas] = ACTIONS(5641),
    [anon_sym_explicit] = ACTIONS(5641),
    [anon_sym_typename] = ACTIONS(5641),
    [anon_sym_template] = ACTIONS(5641),
    [anon_sym_operator] = ACTIONS(5641),
    [anon_sym_friend] = ACTIONS(5641),
    [anon_sym_public] = ACTIONS(5641),
    [anon_sym_private] = ACTIONS(5641),
    [anon_sym_protected] = ACTIONS(5641),
    [anon_sym_using] = ACTIONS(5641),
    [anon_sym_static_assert] = ACTIONS(5641),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(5637),
    [aux_sym_preproc_def_token1] = ACTIONS(5637),
    [aux_sym_preproc_if_token1] = ACTIONS(5637),
    [aux_sym_preproc_if_token2] = ACTIONS(5637),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5637),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5637),
    [aux_sym_preproc_else_token1] = ACTIONS(5637),
    [aux_sym_preproc_elif_token1] = ACTIONS(5637),
    [sym_preproc_directive] = ACTIONS(5637),
    [anon_sym_LPAREN2] = ACTIONS(5639),
    [anon_sym_TILDE] = ACTIONS(5639),
    [anon_sym_STAR] = ACTIONS(5639),
    [anon_sym_AMP_AMP] = ACTIONS(5639),
    [anon_sym_AMP] = ACTIONS(5637),
    [anon_sym___extension__] = ACTIONS(5637),
    [anon_sym_typedef] = ACTIONS(5637),
    [anon_sym_extern] = ACTIONS(5637),
    [anon_sym___attribute__] = ACTIONS(5637),
    [anon_sym_COLON_COLON] = ACTIONS(5639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5639),
    [anon_sym___declspec] = ACTIONS(5637),
    [anon_sym___based] = ACTIONS(5637),
    [anon_sym_signed] = ACTIONS(5637),
    [anon_sym_unsigned] = ACTIONS(5637),
    [anon_sym_long] = ACTIONS(5637),
    [anon_sym_short] = ACTIONS(5637),
    [anon_sym_LBRACK] = ACTIONS(5637),
    [anon_sym_static] = ACTIONS(5637),
    [anon_sym_register] = ACTIONS(5637),
    [anon_sym_inline] = ACTIONS(5637),
    [anon_sym___inline] = ACTIONS(5637),
    [anon_sym___inline__] = ACTIONS(5637),
    [anon_sym___forceinline] = ACTIONS(5637),
    [anon_sym_thread_local] = ACTIONS(5637),
    [anon_sym___thread] = ACTIONS(5637),
    [anon_sym_const] = ACTIONS(5637),
    [anon_sym_constexpr] = ACTIONS(5637),
    [anon_sym_volatile] = ACTIONS(5637),
    [anon_sym_restrict] = ACTIONS(5637),
    [anon_sym___restrict__] = ACTIONS(5637),
    [anon_sym__Atomic] = ACTIONS(5637),
    [anon_sym__Noreturn] = ACTIONS(5637),
    [anon_sym_noreturn] = ACTIONS(5637),
    [anon_sym_mutable] = ACTIONS(5637),
    [anon_sym_constinit] = ACTIONS(5637),
    [anon_sym_consteval] = ACTIONS(5637),
    [sym_primitive_type] = ACTIONS(5637),
    [anon_sym_enum] = ACTIONS(5637),
    [anon_sym_class] = ACTIONS(5637),
    [anon_sym_struct] = ACTIONS(5637),
    [anon_sym_union] = ACTIONS(5637),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5637),
    [anon_sym_decltype] = ACTIONS(5637),
    [anon_sym_virtual] = ACTIONS(5637),
    [anon_sym_alignas] = ACTIONS(5637),
    [anon_sym_explicit] = ACTIONS(5637),
    [anon_sym_typename] = ACTIONS(5637),
    [anon_sym_template] = ACTIONS(5637),
    [anon_sym_operator] = ACTIONS(5637),
    [anon_sym_friend] = ACTIONS(5637),
    [anon_sym_public] = ACTIONS(5637),
    [anon_sym_private] = ACTIONS(5637),
    [anon_sym_protected] = ACTIONS(5637),
    [anon_sym_using] = ACTIONS(5637),
    [anon_sym_static_assert] = ACTIONS(5637),
  },
  [2376] = {
    [sym_string_literal] = STATE(2390),
    [sym_template_argument_list] = STATE(3856),
    [sym_raw_string_literal] = STATE(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4105),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5898),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4105),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4097),
    [anon_sym_or_eq] = ACTIONS(4097),
    [anon_sym_xor_eq] = ACTIONS(4097),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5901),
    [anon_sym_u_DQUOTE] = ACTIONS(5901),
    [anon_sym_U_DQUOTE] = ACTIONS(5901),
    [anon_sym_u8_DQUOTE] = ACTIONS(5901),
    [anon_sym_DQUOTE] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4097),
    [anon_sym_R_DQUOTE] = ACTIONS(5903),
    [anon_sym_LR_DQUOTE] = ACTIONS(5903),
    [anon_sym_uR_DQUOTE] = ACTIONS(5903),
    [anon_sym_UR_DQUOTE] = ACTIONS(5903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5903),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(3379),
    [aux_sym_preproc_def_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token1] = ACTIONS(3379),
    [aux_sym_preproc_if_token2] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3379),
    [aux_sym_preproc_else_token1] = ACTIONS(3379),
    [aux_sym_preproc_elif_token1] = ACTIONS(3379),
    [sym_preproc_directive] = ACTIONS(3379),
    [anon_sym_LPAREN2] = ACTIONS(3381),
    [anon_sym_TILDE] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3381),
    [anon_sym_AMP_AMP] = ACTIONS(3381),
    [anon_sym_AMP] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3379),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(3379),
    [anon_sym___attribute__] = ACTIONS(3379),
    [anon_sym_COLON_COLON] = ACTIONS(3381),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3381),
    [anon_sym___declspec] = ACTIONS(3379),
    [anon_sym___based] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3379),
    [anon_sym_unsigned] = ACTIONS(3379),
    [anon_sym_long] = ACTIONS(3379),
    [anon_sym_short] = ACTIONS(3379),
    [anon_sym_LBRACK] = ACTIONS(3379),
    [anon_sym_static] = ACTIONS(3379),
    [anon_sym_register] = ACTIONS(3379),
    [anon_sym_inline] = ACTIONS(3379),
    [anon_sym___inline] = ACTIONS(3379),
    [anon_sym___inline__] = ACTIONS(3379),
    [anon_sym___forceinline] = ACTIONS(3379),
    [anon_sym_thread_local] = ACTIONS(3379),
    [anon_sym___thread] = ACTIONS(3379),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_constexpr] = ACTIONS(3379),
    [anon_sym_volatile] = ACTIONS(3379),
    [anon_sym_restrict] = ACTIONS(3379),
    [anon_sym___restrict__] = ACTIONS(3379),
    [anon_sym__Atomic] = ACTIONS(3379),
    [anon_sym__Noreturn] = ACTIONS(3379),
    [anon_sym_noreturn] = ACTIONS(3379),
    [anon_sym_mutable] = ACTIONS(3379),
    [anon_sym_constinit] = ACTIONS(3379),
    [anon_sym_consteval] = ACTIONS(3379),
    [sym_primitive_type] = ACTIONS(3379),
    [anon_sym_enum] = ACTIONS(3379),
    [anon_sym_class] = ACTIONS(3379),
    [anon_sym_struct] = ACTIONS(3379),
    [anon_sym_union] = ACTIONS(3379),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3379),
    [anon_sym_decltype] = ACTIONS(3379),
    [anon_sym_virtual] = ACTIONS(3379),
    [anon_sym_alignas] = ACTIONS(3379),
    [anon_sym_explicit] = ACTIONS(3379),
    [anon_sym_typename] = ACTIONS(3379),
    [anon_sym_template] = ACTIONS(3379),
    [anon_sym_operator] = ACTIONS(3379),
    [anon_sym_friend] = ACTIONS(3379),
    [anon_sym_public] = ACTIONS(3379),
    [anon_sym_private] = ACTIONS(3379),
    [anon_sym_protected] = ACTIONS(3379),
    [anon_sym_using] = ACTIONS(3379),
    [anon_sym_static_assert] = ACTIONS(3379),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(3126),
    [aux_sym_preproc_def_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token1] = ACTIONS(3126),
    [aux_sym_preproc_if_token2] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3126),
    [aux_sym_preproc_else_token1] = ACTIONS(3126),
    [aux_sym_preproc_elif_token1] = ACTIONS(3126),
    [sym_preproc_directive] = ACTIONS(3126),
    [anon_sym_LPAREN2] = ACTIONS(3128),
    [anon_sym_TILDE] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3126),
    [anon_sym_typedef] = ACTIONS(3126),
    [anon_sym_extern] = ACTIONS(3126),
    [anon_sym___attribute__] = ACTIONS(3126),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3128),
    [anon_sym___declspec] = ACTIONS(3126),
    [anon_sym___based] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3126),
    [anon_sym_unsigned] = ACTIONS(3126),
    [anon_sym_long] = ACTIONS(3126),
    [anon_sym_short] = ACTIONS(3126),
    [anon_sym_LBRACK] = ACTIONS(3126),
    [anon_sym_static] = ACTIONS(3126),
    [anon_sym_register] = ACTIONS(3126),
    [anon_sym_inline] = ACTIONS(3126),
    [anon_sym___inline] = ACTIONS(3126),
    [anon_sym___inline__] = ACTIONS(3126),
    [anon_sym___forceinline] = ACTIONS(3126),
    [anon_sym_thread_local] = ACTIONS(3126),
    [anon_sym___thread] = ACTIONS(3126),
    [anon_sym_const] = ACTIONS(3126),
    [anon_sym_constexpr] = ACTIONS(3126),
    [anon_sym_volatile] = ACTIONS(3126),
    [anon_sym_restrict] = ACTIONS(3126),
    [anon_sym___restrict__] = ACTIONS(3126),
    [anon_sym__Atomic] = ACTIONS(3126),
    [anon_sym__Noreturn] = ACTIONS(3126),
    [anon_sym_noreturn] = ACTIONS(3126),
    [anon_sym_mutable] = ACTIONS(3126),
    [anon_sym_constinit] = ACTIONS(3126),
    [anon_sym_consteval] = ACTIONS(3126),
    [sym_primitive_type] = ACTIONS(3126),
    [anon_sym_enum] = ACTIONS(3126),
    [anon_sym_class] = ACTIONS(3126),
    [anon_sym_struct] = ACTIONS(3126),
    [anon_sym_union] = ACTIONS(3126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3126),
    [anon_sym_decltype] = ACTIONS(3126),
    [anon_sym_virtual] = ACTIONS(3126),
    [anon_sym_alignas] = ACTIONS(3126),
    [anon_sym_explicit] = ACTIONS(3126),
    [anon_sym_typename] = ACTIONS(3126),
    [anon_sym_template] = ACTIONS(3126),
    [anon_sym_operator] = ACTIONS(3126),
    [anon_sym_friend] = ACTIONS(3126),
    [anon_sym_public] = ACTIONS(3126),
    [anon_sym_private] = ACTIONS(3126),
    [anon_sym_protected] = ACTIONS(3126),
    [anon_sym_using] = ACTIONS(3126),
    [anon_sym_static_assert] = ACTIONS(3126),
  },
  [2379] = {
    [sym_attribute_declaration] = STATE(2519),
    [sym_parameter_list] = STATE(2552),
    [aux_sym_attributed_declarator_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(5905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5907),
    [anon_sym_COMMA] = ACTIONS(5907),
    [anon_sym_RPAREN] = ACTIONS(5907),
    [aux_sym_preproc_if_token2] = ACTIONS(5907),
    [aux_sym_preproc_else_token1] = ACTIONS(5907),
    [aux_sym_preproc_elif_token1] = ACTIONS(5905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5907),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5907),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5905),
    [anon_sym_PLUS] = ACTIONS(5905),
    [anon_sym_STAR] = ACTIONS(5905),
    [anon_sym_SLASH] = ACTIONS(5905),
    [anon_sym_PERCENT] = ACTIONS(5905),
    [anon_sym_PIPE_PIPE] = ACTIONS(5907),
    [anon_sym_AMP_AMP] = ACTIONS(5907),
    [anon_sym_PIPE] = ACTIONS(5905),
    [anon_sym_CARET] = ACTIONS(5905),
    [anon_sym_AMP] = ACTIONS(5905),
    [anon_sym_EQ_EQ] = ACTIONS(5907),
    [anon_sym_BANG_EQ] = ACTIONS(5907),
    [anon_sym_GT] = ACTIONS(5905),
    [anon_sym_GT_EQ] = ACTIONS(5907),
    [anon_sym_LT_EQ] = ACTIONS(5905),
    [anon_sym_LT] = ACTIONS(5905),
    [anon_sym_LT_LT] = ACTIONS(5905),
    [anon_sym_GT_GT] = ACTIONS(5905),
    [anon_sym_SEMI] = ACTIONS(5907),
    [anon_sym___attribute__] = ACTIONS(5905),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACE] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACK] = ACTIONS(5907),
    [anon_sym_EQ] = ACTIONS(5905),
    [anon_sym_COLON] = ACTIONS(5907),
    [anon_sym_QMARK] = ACTIONS(5907),
    [anon_sym_STAR_EQ] = ACTIONS(5907),
    [anon_sym_SLASH_EQ] = ACTIONS(5907),
    [anon_sym_PERCENT_EQ] = ACTIONS(5907),
    [anon_sym_PLUS_EQ] = ACTIONS(5907),
    [anon_sym_DASH_EQ] = ACTIONS(5907),
    [anon_sym_LT_LT_EQ] = ACTIONS(5907),
    [anon_sym_GT_GT_EQ] = ACTIONS(5907),
    [anon_sym_AMP_EQ] = ACTIONS(5907),
    [anon_sym_CARET_EQ] = ACTIONS(5907),
    [anon_sym_PIPE_EQ] = ACTIONS(5907),
    [anon_sym_and_eq] = ACTIONS(5905),
    [anon_sym_or_eq] = ACTIONS(5905),
    [anon_sym_xor_eq] = ACTIONS(5905),
    [anon_sym_LT_EQ_GT] = ACTIONS(5907),
    [anon_sym_or] = ACTIONS(5905),
    [anon_sym_and] = ACTIONS(5905),
    [anon_sym_bitor] = ACTIONS(5905),
    [anon_sym_xor] = ACTIONS(5905),
    [anon_sym_bitand] = ACTIONS(5905),
    [anon_sym_not_eq] = ACTIONS(5905),
    [anon_sym_DASH_DASH] = ACTIONS(5907),
    [anon_sym_PLUS_PLUS] = ACTIONS(5907),
    [anon_sym_DOT] = ACTIONS(5905),
    [anon_sym_DOT_STAR] = ACTIONS(5907),
    [anon_sym_DASH_GT] = ACTIONS(5907),
    [sym_comment] = ACTIONS(3),
  },
  [2380] = {
    [sym_identifier] = ACTIONS(3122),
    [aux_sym_preproc_def_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token1] = ACTIONS(3122),
    [aux_sym_preproc_if_token2] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3122),
    [aux_sym_preproc_else_token1] = ACTIONS(3122),
    [aux_sym_preproc_elif_token1] = ACTIONS(3122),
    [sym_preproc_directive] = ACTIONS(3122),
    [anon_sym_LPAREN2] = ACTIONS(3124),
    [anon_sym_TILDE] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3122),
    [anon_sym_typedef] = ACTIONS(3122),
    [anon_sym_extern] = ACTIONS(3122),
    [anon_sym___attribute__] = ACTIONS(3122),
    [anon_sym_COLON_COLON] = ACTIONS(3124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3124),
    [anon_sym___declspec] = ACTIONS(3122),
    [anon_sym___based] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3122),
    [anon_sym_unsigned] = ACTIONS(3122),
    [anon_sym_long] = ACTIONS(3122),
    [anon_sym_short] = ACTIONS(3122),
    [anon_sym_LBRACK] = ACTIONS(3122),
    [anon_sym_static] = ACTIONS(3122),
    [anon_sym_register] = ACTIONS(3122),
    [anon_sym_inline] = ACTIONS(3122),
    [anon_sym___inline] = ACTIONS(3122),
    [anon_sym___inline__] = ACTIONS(3122),
    [anon_sym___forceinline] = ACTIONS(3122),
    [anon_sym_thread_local] = ACTIONS(3122),
    [anon_sym___thread] = ACTIONS(3122),
    [anon_sym_const] = ACTIONS(3122),
    [anon_sym_constexpr] = ACTIONS(3122),
    [anon_sym_volatile] = ACTIONS(3122),
    [anon_sym_restrict] = ACTIONS(3122),
    [anon_sym___restrict__] = ACTIONS(3122),
    [anon_sym__Atomic] = ACTIONS(3122),
    [anon_sym__Noreturn] = ACTIONS(3122),
    [anon_sym_noreturn] = ACTIONS(3122),
    [anon_sym_mutable] = ACTIONS(3122),
    [anon_sym_constinit] = ACTIONS(3122),
    [anon_sym_consteval] = ACTIONS(3122),
    [sym_primitive_type] = ACTIONS(3122),
    [anon_sym_enum] = ACTIONS(3122),
    [anon_sym_class] = ACTIONS(3122),
    [anon_sym_struct] = ACTIONS(3122),
    [anon_sym_union] = ACTIONS(3122),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3122),
    [anon_sym_decltype] = ACTIONS(3122),
    [anon_sym_virtual] = ACTIONS(3122),
    [anon_sym_alignas] = ACTIONS(3122),
    [anon_sym_explicit] = ACTIONS(3122),
    [anon_sym_typename] = ACTIONS(3122),
    [anon_sym_template] = ACTIONS(3122),
    [anon_sym_operator] = ACTIONS(3122),
    [anon_sym_friend] = ACTIONS(3122),
    [anon_sym_public] = ACTIONS(3122),
    [anon_sym_private] = ACTIONS(3122),
    [anon_sym_protected] = ACTIONS(3122),
    [anon_sym_using] = ACTIONS(3122),
    [anon_sym_static_assert] = ACTIONS(3122),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(3248),
    [aux_sym_preproc_def_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token1] = ACTIONS(3248),
    [aux_sym_preproc_if_token2] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3248),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3248),
    [aux_sym_preproc_else_token1] = ACTIONS(3248),
    [aux_sym_preproc_elif_token1] = ACTIONS(3248),
    [sym_preproc_directive] = ACTIONS(3248),
    [anon_sym_LPAREN2] = ACTIONS(3250),
    [anon_sym_TILDE] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3250),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym___extension__] = ACTIONS(3248),
    [anon_sym_typedef] = ACTIONS(3248),
    [anon_sym_extern] = ACTIONS(3248),
    [anon_sym___attribute__] = ACTIONS(3248),
    [anon_sym_COLON_COLON] = ACTIONS(3250),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3250),
    [anon_sym___declspec] = ACTIONS(3248),
    [anon_sym___based] = ACTIONS(3248),
    [anon_sym_signed] = ACTIONS(3248),
    [anon_sym_unsigned] = ACTIONS(3248),
    [anon_sym_long] = ACTIONS(3248),
    [anon_sym_short] = ACTIONS(3248),
    [anon_sym_LBRACK] = ACTIONS(3248),
    [anon_sym_static] = ACTIONS(3248),
    [anon_sym_register] = ACTIONS(3248),
    [anon_sym_inline] = ACTIONS(3248),
    [anon_sym___inline] = ACTIONS(3248),
    [anon_sym___inline__] = ACTIONS(3248),
    [anon_sym___forceinline] = ACTIONS(3248),
    [anon_sym_thread_local] = ACTIONS(3248),
    [anon_sym___thread] = ACTIONS(3248),
    [anon_sym_const] = ACTIONS(3248),
    [anon_sym_constexpr] = ACTIONS(3248),
    [anon_sym_volatile] = ACTIONS(3248),
    [anon_sym_restrict] = ACTIONS(3248),
    [anon_sym___restrict__] = ACTIONS(3248),
    [anon_sym__Atomic] = ACTIONS(3248),
    [anon_sym__Noreturn] = ACTIONS(3248),
    [anon_sym_noreturn] = ACTIONS(3248),
    [anon_sym_mutable] = ACTIONS(3248),
    [anon_sym_constinit] = ACTIONS(3248),
    [anon_sym_consteval] = ACTIONS(3248),
    [sym_primitive_type] = ACTIONS(3248),
    [anon_sym_enum] = ACTIONS(3248),
    [anon_sym_class] = ACTIONS(3248),
    [anon_sym_struct] = ACTIONS(3248),
    [anon_sym_union] = ACTIONS(3248),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3248),
    [anon_sym_decltype] = ACTIONS(3248),
    [anon_sym_virtual] = ACTIONS(3248),
    [anon_sym_alignas] = ACTIONS(3248),
    [anon_sym_explicit] = ACTIONS(3248),
    [anon_sym_typename] = ACTIONS(3248),
    [anon_sym_template] = ACTIONS(3248),
    [anon_sym_operator] = ACTIONS(3248),
    [anon_sym_friend] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3248),
    [anon_sym_private] = ACTIONS(3248),
    [anon_sym_protected] = ACTIONS(3248),
    [anon_sym_using] = ACTIONS(3248),
    [anon_sym_static_assert] = ACTIONS(3248),
  },
  [2382] = {
    [sym_identifier] = ACTIONS(3367),
    [aux_sym_preproc_def_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3367),
    [aux_sym_preproc_else_token1] = ACTIONS(3367),
    [aux_sym_preproc_elif_token1] = ACTIONS(3367),
    [sym_preproc_directive] = ACTIONS(3367),
    [anon_sym_LPAREN2] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(3369),
    [anon_sym_STAR] = ACTIONS(3369),
    [anon_sym_AMP_AMP] = ACTIONS(3369),
    [anon_sym_AMP] = ACTIONS(3367),
    [anon_sym___extension__] = ACTIONS(3367),
    [anon_sym_typedef] = ACTIONS(3367),
    [anon_sym_extern] = ACTIONS(3367),
    [anon_sym___attribute__] = ACTIONS(3367),
    [anon_sym_COLON_COLON] = ACTIONS(3369),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3369),
    [anon_sym___declspec] = ACTIONS(3367),
    [anon_sym___based] = ACTIONS(3367),
    [anon_sym_signed] = ACTIONS(3367),
    [anon_sym_unsigned] = ACTIONS(3367),
    [anon_sym_long] = ACTIONS(3367),
    [anon_sym_short] = ACTIONS(3367),
    [anon_sym_LBRACK] = ACTIONS(3367),
    [anon_sym_static] = ACTIONS(3367),
    [anon_sym_register] = ACTIONS(3367),
    [anon_sym_inline] = ACTIONS(3367),
    [anon_sym___inline] = ACTIONS(3367),
    [anon_sym___inline__] = ACTIONS(3367),
    [anon_sym___forceinline] = ACTIONS(3367),
    [anon_sym_thread_local] = ACTIONS(3367),
    [anon_sym___thread] = ACTIONS(3367),
    [anon_sym_const] = ACTIONS(3367),
    [anon_sym_constexpr] = ACTIONS(3367),
    [anon_sym_volatile] = ACTIONS(3367),
    [anon_sym_restrict] = ACTIONS(3367),
    [anon_sym___restrict__] = ACTIONS(3367),
    [anon_sym__Atomic] = ACTIONS(3367),
    [anon_sym__Noreturn] = ACTIONS(3367),
    [anon_sym_noreturn] = ACTIONS(3367),
    [anon_sym_mutable] = ACTIONS(3367),
    [anon_sym_constinit] = ACTIONS(3367),
    [anon_sym_consteval] = ACTIONS(3367),
    [sym_primitive_type] = ACTIONS(3367),
    [anon_sym_enum] = ACTIONS(3367),
    [anon_sym_class] = ACTIONS(3367),
    [anon_sym_struct] = ACTIONS(3367),
    [anon_sym_union] = ACTIONS(3367),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3367),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(3367),
    [anon_sym_alignas] = ACTIONS(3367),
    [anon_sym_explicit] = ACTIONS(3367),
    [anon_sym_typename] = ACTIONS(3367),
    [anon_sym_template] = ACTIONS(3367),
    [anon_sym_operator] = ACTIONS(3367),
    [anon_sym_friend] = ACTIONS(3367),
    [anon_sym_public] = ACTIONS(3367),
    [anon_sym_private] = ACTIONS(3367),
    [anon_sym_protected] = ACTIONS(3367),
    [anon_sym_using] = ACTIONS(3367),
    [anon_sym_static_assert] = ACTIONS(3367),
  },
  [2383] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5364),
    [anon_sym_COMMA] = ACTIONS(5364),
    [anon_sym_RPAREN] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5362),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_PIPE] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5364),
    [anon_sym_BANG_EQ] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5364),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5362),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5362),
    [anon_sym_SEMI] = ACTIONS(5364),
    [anon_sym_RBRACE] = ACTIONS(5364),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_RBRACK] = ACTIONS(5364),
    [anon_sym_EQ] = ACTIONS(5362),
    [anon_sym_COLON] = ACTIONS(5364),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_STAR_EQ] = ACTIONS(5364),
    [anon_sym_SLASH_EQ] = ACTIONS(5364),
    [anon_sym_PERCENT_EQ] = ACTIONS(5364),
    [anon_sym_PLUS_EQ] = ACTIONS(5364),
    [anon_sym_DASH_EQ] = ACTIONS(5364),
    [anon_sym_LT_LT_EQ] = ACTIONS(5364),
    [anon_sym_GT_GT_EQ] = ACTIONS(5364),
    [anon_sym_AMP_EQ] = ACTIONS(5364),
    [anon_sym_CARET_EQ] = ACTIONS(5364),
    [anon_sym_PIPE_EQ] = ACTIONS(5364),
    [anon_sym_and_eq] = ACTIONS(5362),
    [anon_sym_or_eq] = ACTIONS(5362),
    [anon_sym_xor_eq] = ACTIONS(5362),
    [anon_sym_LT_EQ_GT] = ACTIONS(5364),
    [anon_sym_or] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_bitor] = ACTIONS(5362),
    [anon_sym_xor] = ACTIONS(5362),
    [anon_sym_bitand] = ACTIONS(5362),
    [anon_sym_not_eq] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5364),
    [anon_sym_DOT] = ACTIONS(5362),
    [anon_sym_DOT_STAR] = ACTIONS(5364),
    [anon_sym_DASH_GT] = ACTIONS(5364),
    [anon_sym_L_DQUOTE] = ACTIONS(5364),
    [anon_sym_u_DQUOTE] = ACTIONS(5364),
    [anon_sym_U_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8_DQUOTE] = ACTIONS(5364),
    [anon_sym_DQUOTE] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5364),
    [anon_sym_LR_DQUOTE] = ACTIONS(5364),
    [anon_sym_uR_DQUOTE] = ACTIONS(5364),
    [anon_sym_UR_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5364),
    [sym_literal_suffix] = ACTIONS(5362),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(3240),
    [aux_sym_preproc_def_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token1] = ACTIONS(3240),
    [aux_sym_preproc_if_token2] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3240),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3240),
    [aux_sym_preproc_else_token1] = ACTIONS(3240),
    [aux_sym_preproc_elif_token1] = ACTIONS(3240),
    [sym_preproc_directive] = ACTIONS(3240),
    [anon_sym_LPAREN2] = ACTIONS(3242),
    [anon_sym_TILDE] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3242),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym___extension__] = ACTIONS(3240),
    [anon_sym_typedef] = ACTIONS(3240),
    [anon_sym_extern] = ACTIONS(3240),
    [anon_sym___attribute__] = ACTIONS(3240),
    [anon_sym_COLON_COLON] = ACTIONS(3242),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3242),
    [anon_sym___declspec] = ACTIONS(3240),
    [anon_sym___based] = ACTIONS(3240),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_LBRACK] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3240),
    [anon_sym_register] = ACTIONS(3240),
    [anon_sym_inline] = ACTIONS(3240),
    [anon_sym___inline] = ACTIONS(3240),
    [anon_sym___inline__] = ACTIONS(3240),
    [anon_sym___forceinline] = ACTIONS(3240),
    [anon_sym_thread_local] = ACTIONS(3240),
    [anon_sym___thread] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3240),
    [anon_sym_constexpr] = ACTIONS(3240),
    [anon_sym_volatile] = ACTIONS(3240),
    [anon_sym_restrict] = ACTIONS(3240),
    [anon_sym___restrict__] = ACTIONS(3240),
    [anon_sym__Atomic] = ACTIONS(3240),
    [anon_sym__Noreturn] = ACTIONS(3240),
    [anon_sym_noreturn] = ACTIONS(3240),
    [anon_sym_mutable] = ACTIONS(3240),
    [anon_sym_constinit] = ACTIONS(3240),
    [anon_sym_consteval] = ACTIONS(3240),
    [sym_primitive_type] = ACTIONS(3240),
    [anon_sym_enum] = ACTIONS(3240),
    [anon_sym_class] = ACTIONS(3240),
    [anon_sym_struct] = ACTIONS(3240),
    [anon_sym_union] = ACTIONS(3240),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3240),
    [anon_sym_decltype] = ACTIONS(3240),
    [anon_sym_virtual] = ACTIONS(3240),
    [anon_sym_alignas] = ACTIONS(3240),
    [anon_sym_explicit] = ACTIONS(3240),
    [anon_sym_typename] = ACTIONS(3240),
    [anon_sym_template] = ACTIONS(3240),
    [anon_sym_operator] = ACTIONS(3240),
    [anon_sym_friend] = ACTIONS(3240),
    [anon_sym_public] = ACTIONS(3240),
    [anon_sym_private] = ACTIONS(3240),
    [anon_sym_protected] = ACTIONS(3240),
    [anon_sym_using] = ACTIONS(3240),
    [anon_sym_static_assert] = ACTIONS(3240),
  },
  [2385] = {
    [sym_attribute_declaration] = STATE(2519),
    [sym_parameter_list] = STATE(2552),
    [aux_sym_attributed_declarator_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(5915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5917),
    [anon_sym_COMMA] = ACTIONS(5917),
    [anon_sym_RPAREN] = ACTIONS(5917),
    [aux_sym_preproc_if_token2] = ACTIONS(5917),
    [aux_sym_preproc_else_token1] = ACTIONS(5917),
    [aux_sym_preproc_elif_token1] = ACTIONS(5915),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5917),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5915),
    [anon_sym_PLUS] = ACTIONS(5915),
    [anon_sym_STAR] = ACTIONS(5915),
    [anon_sym_SLASH] = ACTIONS(5915),
    [anon_sym_PERCENT] = ACTIONS(5915),
    [anon_sym_PIPE_PIPE] = ACTIONS(5917),
    [anon_sym_AMP_AMP] = ACTIONS(5917),
    [anon_sym_PIPE] = ACTIONS(5915),
    [anon_sym_CARET] = ACTIONS(5915),
    [anon_sym_AMP] = ACTIONS(5915),
    [anon_sym_EQ_EQ] = ACTIONS(5917),
    [anon_sym_BANG_EQ] = ACTIONS(5917),
    [anon_sym_GT] = ACTIONS(5915),
    [anon_sym_GT_EQ] = ACTIONS(5917),
    [anon_sym_LT_EQ] = ACTIONS(5915),
    [anon_sym_LT] = ACTIONS(5915),
    [anon_sym_LT_LT] = ACTIONS(5915),
    [anon_sym_GT_GT] = ACTIONS(5915),
    [anon_sym_SEMI] = ACTIONS(5917),
    [anon_sym___attribute__] = ACTIONS(5915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACE] = ACTIONS(5917),
    [anon_sym_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACK] = ACTIONS(5917),
    [anon_sym_EQ] = ACTIONS(5915),
    [anon_sym_COLON] = ACTIONS(5917),
    [anon_sym_QMARK] = ACTIONS(5917),
    [anon_sym_STAR_EQ] = ACTIONS(5917),
    [anon_sym_SLASH_EQ] = ACTIONS(5917),
    [anon_sym_PERCENT_EQ] = ACTIONS(5917),
    [anon_sym_PLUS_EQ] = ACTIONS(5917),
    [anon_sym_DASH_EQ] = ACTIONS(5917),
    [anon_sym_LT_LT_EQ] = ACTIONS(5917),
    [anon_sym_GT_GT_EQ] = ACTIONS(5917),
    [anon_sym_AMP_EQ] = ACTIONS(5917),
    [anon_sym_CARET_EQ] = ACTIONS(5917),
    [anon_sym_PIPE_EQ] = ACTIONS(5917),
    [anon_sym_and_eq] = ACTIONS(5915),
    [anon_sym_or_eq] = ACTIONS(5915),
    [anon_sym_xor_eq] = ACTIONS(5915),
    [anon_sym_LT_EQ_GT] = ACTIONS(5917),
    [anon_sym_or] = ACTIONS(5915),
    [anon_sym_and] = ACTIONS(5915),
    [anon_sym_bitor] = ACTIONS(5915),
    [anon_sym_xor] = ACTIONS(5915),
    [anon_sym_bitand] = ACTIONS(5915),
    [anon_sym_not_eq] = ACTIONS(5915),
    [anon_sym_DASH_DASH] = ACTIONS(5917),
    [anon_sym_PLUS_PLUS] = ACTIONS(5917),
    [anon_sym_DOT] = ACTIONS(5915),
    [anon_sym_DOT_STAR] = ACTIONS(5917),
    [anon_sym_DASH_GT] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
  },
  [2386] = {
    [sym_identifier] = ACTIONS(3312),
    [aux_sym_preproc_def_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token1] = ACTIONS(3312),
    [aux_sym_preproc_if_token2] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3312),
    [aux_sym_preproc_else_token1] = ACTIONS(3312),
    [aux_sym_preproc_elif_token1] = ACTIONS(3312),
    [sym_preproc_directive] = ACTIONS(3312),
    [anon_sym_LPAREN2] = ACTIONS(3314),
    [anon_sym_TILDE] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3314),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3312),
    [anon_sym_typedef] = ACTIONS(3312),
    [anon_sym_extern] = ACTIONS(3312),
    [anon_sym___attribute__] = ACTIONS(3312),
    [anon_sym_COLON_COLON] = ACTIONS(3314),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3314),
    [anon_sym___declspec] = ACTIONS(3312),
    [anon_sym___based] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3312),
    [anon_sym_unsigned] = ACTIONS(3312),
    [anon_sym_long] = ACTIONS(3312),
    [anon_sym_short] = ACTIONS(3312),
    [anon_sym_LBRACK] = ACTIONS(3312),
    [anon_sym_static] = ACTIONS(3312),
    [anon_sym_register] = ACTIONS(3312),
    [anon_sym_inline] = ACTIONS(3312),
    [anon_sym___inline] = ACTIONS(3312),
    [anon_sym___inline__] = ACTIONS(3312),
    [anon_sym___forceinline] = ACTIONS(3312),
    [anon_sym_thread_local] = ACTIONS(3312),
    [anon_sym___thread] = ACTIONS(3312),
    [anon_sym_const] = ACTIONS(3312),
    [anon_sym_constexpr] = ACTIONS(3312),
    [anon_sym_volatile] = ACTIONS(3312),
    [anon_sym_restrict] = ACTIONS(3312),
    [anon_sym___restrict__] = ACTIONS(3312),
    [anon_sym__Atomic] = ACTIONS(3312),
    [anon_sym__Noreturn] = ACTIONS(3312),
    [anon_sym_noreturn] = ACTIONS(3312),
    [anon_sym_mutable] = ACTIONS(3312),
    [anon_sym_constinit] = ACTIONS(3312),
    [anon_sym_consteval] = ACTIONS(3312),
    [sym_primitive_type] = ACTIONS(3312),
    [anon_sym_enum] = ACTIONS(3312),
    [anon_sym_class] = ACTIONS(3312),
    [anon_sym_struct] = ACTIONS(3312),
    [anon_sym_union] = ACTIONS(3312),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3312),
    [anon_sym_decltype] = ACTIONS(3312),
    [anon_sym_virtual] = ACTIONS(3312),
    [anon_sym_alignas] = ACTIONS(3312),
    [anon_sym_explicit] = ACTIONS(3312),
    [anon_sym_typename] = ACTIONS(3312),
    [anon_sym_template] = ACTIONS(3312),
    [anon_sym_operator] = ACTIONS(3312),
    [anon_sym_friend] = ACTIONS(3312),
    [anon_sym_public] = ACTIONS(3312),
    [anon_sym_private] = ACTIONS(3312),
    [anon_sym_protected] = ACTIONS(3312),
    [anon_sym_using] = ACTIONS(3312),
    [anon_sym_static_assert] = ACTIONS(3312),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(3308),
    [aux_sym_preproc_def_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token1] = ACTIONS(3308),
    [aux_sym_preproc_if_token2] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3308),
    [aux_sym_preproc_else_token1] = ACTIONS(3308),
    [aux_sym_preproc_elif_token1] = ACTIONS(3308),
    [sym_preproc_directive] = ACTIONS(3308),
    [anon_sym_LPAREN2] = ACTIONS(3310),
    [anon_sym_TILDE] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3310),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3308),
    [anon_sym_typedef] = ACTIONS(3308),
    [anon_sym_extern] = ACTIONS(3308),
    [anon_sym___attribute__] = ACTIONS(3308),
    [anon_sym_COLON_COLON] = ACTIONS(3310),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3310),
    [anon_sym___declspec] = ACTIONS(3308),
    [anon_sym___based] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3308),
    [anon_sym_unsigned] = ACTIONS(3308),
    [anon_sym_long] = ACTIONS(3308),
    [anon_sym_short] = ACTIONS(3308),
    [anon_sym_LBRACK] = ACTIONS(3308),
    [anon_sym_static] = ACTIONS(3308),
    [anon_sym_register] = ACTIONS(3308),
    [anon_sym_inline] = ACTIONS(3308),
    [anon_sym___inline] = ACTIONS(3308),
    [anon_sym___inline__] = ACTIONS(3308),
    [anon_sym___forceinline] = ACTIONS(3308),
    [anon_sym_thread_local] = ACTIONS(3308),
    [anon_sym___thread] = ACTIONS(3308),
    [anon_sym_const] = ACTIONS(3308),
    [anon_sym_constexpr] = ACTIONS(3308),
    [anon_sym_volatile] = ACTIONS(3308),
    [anon_sym_restrict] = ACTIONS(3308),
    [anon_sym___restrict__] = ACTIONS(3308),
    [anon_sym__Atomic] = ACTIONS(3308),
    [anon_sym__Noreturn] = ACTIONS(3308),
    [anon_sym_noreturn] = ACTIONS(3308),
    [anon_sym_mutable] = ACTIONS(3308),
    [anon_sym_constinit] = ACTIONS(3308),
    [anon_sym_consteval] = ACTIONS(3308),
    [sym_primitive_type] = ACTIONS(3308),
    [anon_sym_enum] = ACTIONS(3308),
    [anon_sym_class] = ACTIONS(3308),
    [anon_sym_struct] = ACTIONS(3308),
    [anon_sym_union] = ACTIONS(3308),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3308),
    [anon_sym_decltype] = ACTIONS(3308),
    [anon_sym_virtual] = ACTIONS(3308),
    [anon_sym_alignas] = ACTIONS(3308),
    [anon_sym_explicit] = ACTIONS(3308),
    [anon_sym_typename] = ACTIONS(3308),
    [anon_sym_template] = ACTIONS(3308),
    [anon_sym_operator] = ACTIONS(3308),
    [anon_sym_friend] = ACTIONS(3308),
    [anon_sym_public] = ACTIONS(3308),
    [anon_sym_private] = ACTIONS(3308),
    [anon_sym_protected] = ACTIONS(3308),
    [anon_sym_using] = ACTIONS(3308),
    [anon_sym_static_assert] = ACTIONS(3308),
  },
  [2388] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_COLON_COLON] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_EQ] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5633),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_STAR_EQ] = ACTIONS(5635),
    [anon_sym_SLASH_EQ] = ACTIONS(5635),
    [anon_sym_PERCENT_EQ] = ACTIONS(5635),
    [anon_sym_PLUS_EQ] = ACTIONS(5635),
    [anon_sym_DASH_EQ] = ACTIONS(5635),
    [anon_sym_LT_LT_EQ] = ACTIONS(5635),
    [anon_sym_GT_GT_EQ] = ACTIONS(5635),
    [anon_sym_AMP_EQ] = ACTIONS(5635),
    [anon_sym_CARET_EQ] = ACTIONS(5635),
    [anon_sym_PIPE_EQ] = ACTIONS(5635),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2389] = {
    [sym_string_literal] = STATE(2389),
    [sym_raw_string_literal] = STATE(2389),
    [aux_sym_concatenated_string_repeat1] = STATE(2389),
    [sym_identifier] = ACTIONS(5919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5255),
    [anon_sym_COMMA] = ACTIONS(5255),
    [anon_sym_LPAREN2] = ACTIONS(5255),
    [anon_sym_DASH] = ACTIONS(5257),
    [anon_sym_PLUS] = ACTIONS(5257),
    [anon_sym_STAR] = ACTIONS(5257),
    [anon_sym_SLASH] = ACTIONS(5257),
    [anon_sym_PERCENT] = ACTIONS(5257),
    [anon_sym_PIPE_PIPE] = ACTIONS(5255),
    [anon_sym_AMP_AMP] = ACTIONS(5255),
    [anon_sym_PIPE] = ACTIONS(5257),
    [anon_sym_CARET] = ACTIONS(5257),
    [anon_sym_AMP] = ACTIONS(5257),
    [anon_sym_EQ_EQ] = ACTIONS(5255),
    [anon_sym_BANG_EQ] = ACTIONS(5255),
    [anon_sym_GT] = ACTIONS(5257),
    [anon_sym_GT_EQ] = ACTIONS(5257),
    [anon_sym_LT_EQ] = ACTIONS(5257),
    [anon_sym_LT] = ACTIONS(5257),
    [anon_sym_LT_LT] = ACTIONS(5257),
    [anon_sym_GT_GT] = ACTIONS(5257),
    [anon_sym_LBRACK] = ACTIONS(5255),
    [anon_sym_EQ] = ACTIONS(5257),
    [anon_sym_QMARK] = ACTIONS(5255),
    [anon_sym_STAR_EQ] = ACTIONS(5255),
    [anon_sym_SLASH_EQ] = ACTIONS(5255),
    [anon_sym_PERCENT_EQ] = ACTIONS(5255),
    [anon_sym_PLUS_EQ] = ACTIONS(5255),
    [anon_sym_DASH_EQ] = ACTIONS(5255),
    [anon_sym_LT_LT_EQ] = ACTIONS(5255),
    [anon_sym_GT_GT_EQ] = ACTIONS(5257),
    [anon_sym_AMP_EQ] = ACTIONS(5255),
    [anon_sym_CARET_EQ] = ACTIONS(5255),
    [anon_sym_PIPE_EQ] = ACTIONS(5255),
    [anon_sym_and_eq] = ACTIONS(5257),
    [anon_sym_or_eq] = ACTIONS(5257),
    [anon_sym_xor_eq] = ACTIONS(5257),
    [anon_sym_LT_EQ_GT] = ACTIONS(5255),
    [anon_sym_or] = ACTIONS(5257),
    [anon_sym_and] = ACTIONS(5257),
    [anon_sym_bitor] = ACTIONS(5257),
    [anon_sym_xor] = ACTIONS(5257),
    [anon_sym_bitand] = ACTIONS(5257),
    [anon_sym_not_eq] = ACTIONS(5257),
    [anon_sym_DASH_DASH] = ACTIONS(5255),
    [anon_sym_PLUS_PLUS] = ACTIONS(5255),
    [anon_sym_DOT] = ACTIONS(5257),
    [anon_sym_DOT_STAR] = ACTIONS(5255),
    [anon_sym_DASH_GT] = ACTIONS(5255),
    [anon_sym_L_DQUOTE] = ACTIONS(5922),
    [anon_sym_u_DQUOTE] = ACTIONS(5922),
    [anon_sym_U_DQUOTE] = ACTIONS(5922),
    [anon_sym_u8_DQUOTE] = ACTIONS(5922),
    [anon_sym_DQUOTE] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5255),
    [anon_sym_R_DQUOTE] = ACTIONS(5925),
    [anon_sym_LR_DQUOTE] = ACTIONS(5925),
    [anon_sym_uR_DQUOTE] = ACTIONS(5925),
    [anon_sym_UR_DQUOTE] = ACTIONS(5925),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5925),
    [sym_literal_suffix] = ACTIONS(5257),
  },
  [2390] = {
    [sym_string_literal] = STATE(2438),
    [sym_raw_string_literal] = STATE(2438),
    [aux_sym_concatenated_string_repeat1] = STATE(2438),
    [sym_identifier] = ACTIONS(5928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5309),
    [anon_sym_COMMA] = ACTIONS(5309),
    [anon_sym_LPAREN2] = ACTIONS(5309),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5309),
    [anon_sym_AMP_AMP] = ACTIONS(5309),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5309),
    [anon_sym_BANG_EQ] = ACTIONS(5309),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5309),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5309),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5309),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5309),
    [anon_sym_PLUS_PLUS] = ACTIONS(5309),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5309),
    [anon_sym_DASH_GT] = ACTIONS(5309),
    [anon_sym_L_DQUOTE] = ACTIONS(5901),
    [anon_sym_u_DQUOTE] = ACTIONS(5901),
    [anon_sym_U_DQUOTE] = ACTIONS(5901),
    [anon_sym_u8_DQUOTE] = ACTIONS(5901),
    [anon_sym_DQUOTE] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5309),
    [anon_sym_R_DQUOTE] = ACTIONS(5903),
    [anon_sym_LR_DQUOTE] = ACTIONS(5903),
    [anon_sym_uR_DQUOTE] = ACTIONS(5903),
    [anon_sym_UR_DQUOTE] = ACTIONS(5903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5903),
    [sym_literal_suffix] = ACTIONS(5311),
  },
  [2391] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_friend] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(3200),
    [aux_sym_preproc_def_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token1] = ACTIONS(3200),
    [aux_sym_preproc_if_token2] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3200),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3200),
    [aux_sym_preproc_else_token1] = ACTIONS(3200),
    [aux_sym_preproc_elif_token1] = ACTIONS(3200),
    [sym_preproc_directive] = ACTIONS(3200),
    [anon_sym_LPAREN2] = ACTIONS(3202),
    [anon_sym_TILDE] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3202),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym___extension__] = ACTIONS(3200),
    [anon_sym_typedef] = ACTIONS(3200),
    [anon_sym_extern] = ACTIONS(3200),
    [anon_sym___attribute__] = ACTIONS(3200),
    [anon_sym_COLON_COLON] = ACTIONS(3202),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3202),
    [anon_sym___declspec] = ACTIONS(3200),
    [anon_sym___based] = ACTIONS(3200),
    [anon_sym_signed] = ACTIONS(3200),
    [anon_sym_unsigned] = ACTIONS(3200),
    [anon_sym_long] = ACTIONS(3200),
    [anon_sym_short] = ACTIONS(3200),
    [anon_sym_LBRACK] = ACTIONS(3200),
    [anon_sym_static] = ACTIONS(3200),
    [anon_sym_register] = ACTIONS(3200),
    [anon_sym_inline] = ACTIONS(3200),
    [anon_sym___inline] = ACTIONS(3200),
    [anon_sym___inline__] = ACTIONS(3200),
    [anon_sym___forceinline] = ACTIONS(3200),
    [anon_sym_thread_local] = ACTIONS(3200),
    [anon_sym___thread] = ACTIONS(3200),
    [anon_sym_const] = ACTIONS(3200),
    [anon_sym_constexpr] = ACTIONS(3200),
    [anon_sym_volatile] = ACTIONS(3200),
    [anon_sym_restrict] = ACTIONS(3200),
    [anon_sym___restrict__] = ACTIONS(3200),
    [anon_sym__Atomic] = ACTIONS(3200),
    [anon_sym__Noreturn] = ACTIONS(3200),
    [anon_sym_noreturn] = ACTIONS(3200),
    [anon_sym_mutable] = ACTIONS(3200),
    [anon_sym_constinit] = ACTIONS(3200),
    [anon_sym_consteval] = ACTIONS(3200),
    [sym_primitive_type] = ACTIONS(3200),
    [anon_sym_enum] = ACTIONS(3200),
    [anon_sym_class] = ACTIONS(3200),
    [anon_sym_struct] = ACTIONS(3200),
    [anon_sym_union] = ACTIONS(3200),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3200),
    [anon_sym_decltype] = ACTIONS(3200),
    [anon_sym_virtual] = ACTIONS(3200),
    [anon_sym_alignas] = ACTIONS(3200),
    [anon_sym_explicit] = ACTIONS(3200),
    [anon_sym_typename] = ACTIONS(3200),
    [anon_sym_template] = ACTIONS(3200),
    [anon_sym_operator] = ACTIONS(3200),
    [anon_sym_friend] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3200),
    [anon_sym_private] = ACTIONS(3200),
    [anon_sym_protected] = ACTIONS(3200),
    [anon_sym_using] = ACTIONS(3200),
    [anon_sym_static_assert] = ACTIONS(3200),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_friend] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(3296),
    [aux_sym_preproc_def_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token1] = ACTIONS(3296),
    [aux_sym_preproc_if_token2] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3296),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3296),
    [aux_sym_preproc_else_token1] = ACTIONS(3296),
    [aux_sym_preproc_elif_token1] = ACTIONS(3296),
    [sym_preproc_directive] = ACTIONS(3296),
    [anon_sym_LPAREN2] = ACTIONS(3298),
    [anon_sym_TILDE] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3298),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3296),
    [anon_sym_typedef] = ACTIONS(3296),
    [anon_sym_extern] = ACTIONS(3296),
    [anon_sym___attribute__] = ACTIONS(3296),
    [anon_sym_COLON_COLON] = ACTIONS(3298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3298),
    [anon_sym___declspec] = ACTIONS(3296),
    [anon_sym___based] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3296),
    [anon_sym_unsigned] = ACTIONS(3296),
    [anon_sym_long] = ACTIONS(3296),
    [anon_sym_short] = ACTIONS(3296),
    [anon_sym_LBRACK] = ACTIONS(3296),
    [anon_sym_static] = ACTIONS(3296),
    [anon_sym_register] = ACTIONS(3296),
    [anon_sym_inline] = ACTIONS(3296),
    [anon_sym___inline] = ACTIONS(3296),
    [anon_sym___inline__] = ACTIONS(3296),
    [anon_sym___forceinline] = ACTIONS(3296),
    [anon_sym_thread_local] = ACTIONS(3296),
    [anon_sym___thread] = ACTIONS(3296),
    [anon_sym_const] = ACTIONS(3296),
    [anon_sym_constexpr] = ACTIONS(3296),
    [anon_sym_volatile] = ACTIONS(3296),
    [anon_sym_restrict] = ACTIONS(3296),
    [anon_sym___restrict__] = ACTIONS(3296),
    [anon_sym__Atomic] = ACTIONS(3296),
    [anon_sym__Noreturn] = ACTIONS(3296),
    [anon_sym_noreturn] = ACTIONS(3296),
    [anon_sym_mutable] = ACTIONS(3296),
    [anon_sym_constinit] = ACTIONS(3296),
    [anon_sym_consteval] = ACTIONS(3296),
    [sym_primitive_type] = ACTIONS(3296),
    [anon_sym_enum] = ACTIONS(3296),
    [anon_sym_class] = ACTIONS(3296),
    [anon_sym_struct] = ACTIONS(3296),
    [anon_sym_union] = ACTIONS(3296),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3296),
    [anon_sym_decltype] = ACTIONS(3296),
    [anon_sym_virtual] = ACTIONS(3296),
    [anon_sym_alignas] = ACTIONS(3296),
    [anon_sym_explicit] = ACTIONS(3296),
    [anon_sym_typename] = ACTIONS(3296),
    [anon_sym_template] = ACTIONS(3296),
    [anon_sym_operator] = ACTIONS(3296),
    [anon_sym_friend] = ACTIONS(3296),
    [anon_sym_public] = ACTIONS(3296),
    [anon_sym_private] = ACTIONS(3296),
    [anon_sym_protected] = ACTIONS(3296),
    [anon_sym_using] = ACTIONS(3296),
    [anon_sym_static_assert] = ACTIONS(3296),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5679),
    [anon_sym_COMMA] = ACTIONS(5679),
    [anon_sym_RPAREN] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_else_token1] = ACTIONS(5679),
    [aux_sym_preproc_elif_token1] = ACTIONS(5677),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5677),
    [anon_sym_PLUS] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5679),
    [anon_sym_SLASH] = ACTIONS(5677),
    [anon_sym_PERCENT] = ACTIONS(5679),
    [anon_sym_PIPE_PIPE] = ACTIONS(5679),
    [anon_sym_AMP_AMP] = ACTIONS(5679),
    [anon_sym_PIPE] = ACTIONS(5677),
    [anon_sym_CARET] = ACTIONS(5679),
    [anon_sym_AMP] = ACTIONS(5677),
    [anon_sym_EQ_EQ] = ACTIONS(5679),
    [anon_sym_BANG_EQ] = ACTIONS(5679),
    [anon_sym_GT] = ACTIONS(5677),
    [anon_sym_GT_EQ] = ACTIONS(5679),
    [anon_sym_LT_EQ] = ACTIONS(5677),
    [anon_sym_LT] = ACTIONS(5677),
    [anon_sym_LT_LT] = ACTIONS(5679),
    [anon_sym_GT_GT] = ACTIONS(5679),
    [anon_sym_SEMI] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5677),
    [anon_sym___attribute__] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(5679),
    [anon_sym_RBRACE] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5677),
    [anon_sym_constexpr] = ACTIONS(5677),
    [anon_sym_volatile] = ACTIONS(5677),
    [anon_sym_restrict] = ACTIONS(5677),
    [anon_sym___restrict__] = ACTIONS(5677),
    [anon_sym__Atomic] = ACTIONS(5677),
    [anon_sym__Noreturn] = ACTIONS(5677),
    [anon_sym_noreturn] = ACTIONS(5677),
    [anon_sym_mutable] = ACTIONS(5677),
    [anon_sym_constinit] = ACTIONS(5677),
    [anon_sym_consteval] = ACTIONS(5677),
    [anon_sym_COLON] = ACTIONS(5679),
    [anon_sym_QMARK] = ACTIONS(5679),
    [anon_sym_LT_EQ_GT] = ACTIONS(5679),
    [anon_sym_or] = ACTIONS(5677),
    [anon_sym_and] = ACTIONS(5677),
    [anon_sym_bitor] = ACTIONS(5677),
    [anon_sym_xor] = ACTIONS(5677),
    [anon_sym_bitand] = ACTIONS(5677),
    [anon_sym_not_eq] = ACTIONS(5677),
    [anon_sym_DASH_DASH] = ACTIONS(5679),
    [anon_sym_PLUS_PLUS] = ACTIONS(5679),
    [anon_sym_DOT] = ACTIONS(5677),
    [anon_sym_DOT_STAR] = ACTIONS(5679),
    [anon_sym_DASH_GT] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5677),
    [anon_sym_decltype] = ACTIONS(5677),
    [anon_sym_final] = ACTIONS(5677),
    [anon_sym_override] = ACTIONS(5677),
    [anon_sym_requires] = ACTIONS(5677),
  },
  [2396] = {
    [sym__declaration_modifiers] = STATE(4203),
    [sym_attribute_specifier] = STATE(4203),
    [sym_attribute_declaration] = STATE(4203),
    [sym_ms_declspec_modifier] = STATE(4203),
    [sym_storage_class_specifier] = STATE(4203),
    [sym_type_qualifier] = STATE(4203),
    [sym__type_specifier] = STATE(2941),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4203),
    [sym_alignas_specifier] = STATE(4203),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(3288),
    [aux_sym_preproc_def_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token1] = ACTIONS(3288),
    [aux_sym_preproc_if_token2] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3288),
    [aux_sym_preproc_else_token1] = ACTIONS(3288),
    [aux_sym_preproc_elif_token1] = ACTIONS(3288),
    [sym_preproc_directive] = ACTIONS(3288),
    [anon_sym_LPAREN2] = ACTIONS(3290),
    [anon_sym_TILDE] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3290),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3288),
    [anon_sym_typedef] = ACTIONS(3288),
    [anon_sym_extern] = ACTIONS(3288),
    [anon_sym___attribute__] = ACTIONS(3288),
    [anon_sym_COLON_COLON] = ACTIONS(3290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3290),
    [anon_sym___declspec] = ACTIONS(3288),
    [anon_sym___based] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3288),
    [anon_sym_unsigned] = ACTIONS(3288),
    [anon_sym_long] = ACTIONS(3288),
    [anon_sym_short] = ACTIONS(3288),
    [anon_sym_LBRACK] = ACTIONS(3288),
    [anon_sym_static] = ACTIONS(3288),
    [anon_sym_register] = ACTIONS(3288),
    [anon_sym_inline] = ACTIONS(3288),
    [anon_sym___inline] = ACTIONS(3288),
    [anon_sym___inline__] = ACTIONS(3288),
    [anon_sym___forceinline] = ACTIONS(3288),
    [anon_sym_thread_local] = ACTIONS(3288),
    [anon_sym___thread] = ACTIONS(3288),
    [anon_sym_const] = ACTIONS(3288),
    [anon_sym_constexpr] = ACTIONS(3288),
    [anon_sym_volatile] = ACTIONS(3288),
    [anon_sym_restrict] = ACTIONS(3288),
    [anon_sym___restrict__] = ACTIONS(3288),
    [anon_sym__Atomic] = ACTIONS(3288),
    [anon_sym__Noreturn] = ACTIONS(3288),
    [anon_sym_noreturn] = ACTIONS(3288),
    [anon_sym_mutable] = ACTIONS(3288),
    [anon_sym_constinit] = ACTIONS(3288),
    [anon_sym_consteval] = ACTIONS(3288),
    [sym_primitive_type] = ACTIONS(3288),
    [anon_sym_enum] = ACTIONS(3288),
    [anon_sym_class] = ACTIONS(3288),
    [anon_sym_struct] = ACTIONS(3288),
    [anon_sym_union] = ACTIONS(3288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3288),
    [anon_sym_decltype] = ACTIONS(3288),
    [anon_sym_virtual] = ACTIONS(3288),
    [anon_sym_alignas] = ACTIONS(3288),
    [anon_sym_explicit] = ACTIONS(3288),
    [anon_sym_typename] = ACTIONS(3288),
    [anon_sym_template] = ACTIONS(3288),
    [anon_sym_operator] = ACTIONS(3288),
    [anon_sym_friend] = ACTIONS(3288),
    [anon_sym_public] = ACTIONS(3288),
    [anon_sym_private] = ACTIONS(3288),
    [anon_sym_protected] = ACTIONS(3288),
    [anon_sym_using] = ACTIONS(3288),
    [anon_sym_static_assert] = ACTIONS(3288),
  },
  [2398] = {
    [sym_attribute_specifier] = STATE(2543),
    [sym_identifier] = ACTIONS(5930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5932),
    [anon_sym_COMMA] = ACTIONS(5932),
    [anon_sym_RPAREN] = ACTIONS(5932),
    [aux_sym_preproc_if_token2] = ACTIONS(5932),
    [aux_sym_preproc_else_token1] = ACTIONS(5932),
    [aux_sym_preproc_elif_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5932),
    [anon_sym_LPAREN2] = ACTIONS(5932),
    [anon_sym_DASH] = ACTIONS(5930),
    [anon_sym_PLUS] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5930),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5932),
    [anon_sym_AMP_AMP] = ACTIONS(5932),
    [anon_sym_PIPE] = ACTIONS(5930),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5930),
    [anon_sym_EQ_EQ] = ACTIONS(5932),
    [anon_sym_BANG_EQ] = ACTIONS(5932),
    [anon_sym_GT] = ACTIONS(5930),
    [anon_sym_GT_EQ] = ACTIONS(5932),
    [anon_sym_LT_EQ] = ACTIONS(5930),
    [anon_sym_LT] = ACTIONS(5930),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5932),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5932),
    [anon_sym_RBRACE] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5932),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5932),
    [anon_sym_STAR_EQ] = ACTIONS(5932),
    [anon_sym_SLASH_EQ] = ACTIONS(5932),
    [anon_sym_PERCENT_EQ] = ACTIONS(5932),
    [anon_sym_PLUS_EQ] = ACTIONS(5932),
    [anon_sym_DASH_EQ] = ACTIONS(5932),
    [anon_sym_LT_LT_EQ] = ACTIONS(5932),
    [anon_sym_GT_GT_EQ] = ACTIONS(5932),
    [anon_sym_AMP_EQ] = ACTIONS(5932),
    [anon_sym_CARET_EQ] = ACTIONS(5932),
    [anon_sym_PIPE_EQ] = ACTIONS(5932),
    [anon_sym_and_eq] = ACTIONS(5930),
    [anon_sym_or_eq] = ACTIONS(5930),
    [anon_sym_xor_eq] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5932),
    [anon_sym_or] = ACTIONS(5930),
    [anon_sym_and] = ACTIONS(5930),
    [anon_sym_bitor] = ACTIONS(5930),
    [anon_sym_xor] = ACTIONS(5930),
    [anon_sym_bitand] = ACTIONS(5930),
    [anon_sym_not_eq] = ACTIONS(5930),
    [anon_sym_DASH_DASH] = ACTIONS(5932),
    [anon_sym_PLUS_PLUS] = ACTIONS(5932),
    [anon_sym_DOT] = ACTIONS(5930),
    [anon_sym_DOT_STAR] = ACTIONS(5932),
    [anon_sym_DASH_GT] = ACTIONS(5932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5930),
    [anon_sym_decltype] = ACTIONS(5930),
  },
  [2399] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_friend] = ACTIONS(2977),
    [anon_sym_public] = ACTIONS(2977),
    [anon_sym_private] = ACTIONS(2977),
    [anon_sym_protected] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
  },
  [2400] = {
    [sym_identifier] = ACTIONS(3264),
    [aux_sym_preproc_def_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token1] = ACTIONS(3264),
    [aux_sym_preproc_if_token2] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3264),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3264),
    [aux_sym_preproc_else_token1] = ACTIONS(3264),
    [aux_sym_preproc_elif_token1] = ACTIONS(3264),
    [sym_preproc_directive] = ACTIONS(3264),
    [anon_sym_LPAREN2] = ACTIONS(3266),
    [anon_sym_TILDE] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3266),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym___extension__] = ACTIONS(3264),
    [anon_sym_typedef] = ACTIONS(3264),
    [anon_sym_extern] = ACTIONS(3264),
    [anon_sym___attribute__] = ACTIONS(3264),
    [anon_sym_COLON_COLON] = ACTIONS(3266),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3266),
    [anon_sym___declspec] = ACTIONS(3264),
    [anon_sym___based] = ACTIONS(3264),
    [anon_sym_signed] = ACTIONS(3264),
    [anon_sym_unsigned] = ACTIONS(3264),
    [anon_sym_long] = ACTIONS(3264),
    [anon_sym_short] = ACTIONS(3264),
    [anon_sym_LBRACK] = ACTIONS(3264),
    [anon_sym_static] = ACTIONS(3264),
    [anon_sym_register] = ACTIONS(3264),
    [anon_sym_inline] = ACTIONS(3264),
    [anon_sym___inline] = ACTIONS(3264),
    [anon_sym___inline__] = ACTIONS(3264),
    [anon_sym___forceinline] = ACTIONS(3264),
    [anon_sym_thread_local] = ACTIONS(3264),
    [anon_sym___thread] = ACTIONS(3264),
    [anon_sym_const] = ACTIONS(3264),
    [anon_sym_constexpr] = ACTIONS(3264),
    [anon_sym_volatile] = ACTIONS(3264),
    [anon_sym_restrict] = ACTIONS(3264),
    [anon_sym___restrict__] = ACTIONS(3264),
    [anon_sym__Atomic] = ACTIONS(3264),
    [anon_sym__Noreturn] = ACTIONS(3264),
    [anon_sym_noreturn] = ACTIONS(3264),
    [anon_sym_mutable] = ACTIONS(3264),
    [anon_sym_constinit] = ACTIONS(3264),
    [anon_sym_consteval] = ACTIONS(3264),
    [sym_primitive_type] = ACTIONS(3264),
    [anon_sym_enum] = ACTIONS(3264),
    [anon_sym_class] = ACTIONS(3264),
    [anon_sym_struct] = ACTIONS(3264),
    [anon_sym_union] = ACTIONS(3264),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3264),
    [anon_sym_decltype] = ACTIONS(3264),
    [anon_sym_virtual] = ACTIONS(3264),
    [anon_sym_alignas] = ACTIONS(3264),
    [anon_sym_explicit] = ACTIONS(3264),
    [anon_sym_typename] = ACTIONS(3264),
    [anon_sym_template] = ACTIONS(3264),
    [anon_sym_operator] = ACTIONS(3264),
    [anon_sym_friend] = ACTIONS(3264),
    [anon_sym_public] = ACTIONS(3264),
    [anon_sym_private] = ACTIONS(3264),
    [anon_sym_protected] = ACTIONS(3264),
    [anon_sym_using] = ACTIONS(3264),
    [anon_sym_static_assert] = ACTIONS(3264),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(3349),
    [aux_sym_preproc_def_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token1] = ACTIONS(3349),
    [aux_sym_preproc_if_token2] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3349),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3349),
    [aux_sym_preproc_else_token1] = ACTIONS(3349),
    [aux_sym_preproc_elif_token1] = ACTIONS(3349),
    [sym_preproc_directive] = ACTIONS(3349),
    [anon_sym_LPAREN2] = ACTIONS(3351),
    [anon_sym_TILDE] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3351),
    [anon_sym_AMP_AMP] = ACTIONS(3351),
    [anon_sym_AMP] = ACTIONS(3349),
    [anon_sym___extension__] = ACTIONS(3349),
    [anon_sym_typedef] = ACTIONS(3349),
    [anon_sym_extern] = ACTIONS(3349),
    [anon_sym___attribute__] = ACTIONS(3349),
    [anon_sym_COLON_COLON] = ACTIONS(3351),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3351),
    [anon_sym___declspec] = ACTIONS(3349),
    [anon_sym___based] = ACTIONS(3349),
    [anon_sym_signed] = ACTIONS(3349),
    [anon_sym_unsigned] = ACTIONS(3349),
    [anon_sym_long] = ACTIONS(3349),
    [anon_sym_short] = ACTIONS(3349),
    [anon_sym_LBRACK] = ACTIONS(3349),
    [anon_sym_static] = ACTIONS(3349),
    [anon_sym_register] = ACTIONS(3349),
    [anon_sym_inline] = ACTIONS(3349),
    [anon_sym___inline] = ACTIONS(3349),
    [anon_sym___inline__] = ACTIONS(3349),
    [anon_sym___forceinline] = ACTIONS(3349),
    [anon_sym_thread_local] = ACTIONS(3349),
    [anon_sym___thread] = ACTIONS(3349),
    [anon_sym_const] = ACTIONS(3349),
    [anon_sym_constexpr] = ACTIONS(3349),
    [anon_sym_volatile] = ACTIONS(3349),
    [anon_sym_restrict] = ACTIONS(3349),
    [anon_sym___restrict__] = ACTIONS(3349),
    [anon_sym__Atomic] = ACTIONS(3349),
    [anon_sym__Noreturn] = ACTIONS(3349),
    [anon_sym_noreturn] = ACTIONS(3349),
    [anon_sym_mutable] = ACTIONS(3349),
    [anon_sym_constinit] = ACTIONS(3349),
    [anon_sym_consteval] = ACTIONS(3349),
    [sym_primitive_type] = ACTIONS(3349),
    [anon_sym_enum] = ACTIONS(3349),
    [anon_sym_class] = ACTIONS(3349),
    [anon_sym_struct] = ACTIONS(3349),
    [anon_sym_union] = ACTIONS(3349),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3349),
    [anon_sym_decltype] = ACTIONS(3349),
    [anon_sym_virtual] = ACTIONS(3349),
    [anon_sym_alignas] = ACTIONS(3349),
    [anon_sym_explicit] = ACTIONS(3349),
    [anon_sym_typename] = ACTIONS(3349),
    [anon_sym_template] = ACTIONS(3349),
    [anon_sym_operator] = ACTIONS(3349),
    [anon_sym_friend] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3349),
    [anon_sym_private] = ACTIONS(3349),
    [anon_sym_protected] = ACTIONS(3349),
    [anon_sym_using] = ACTIONS(3349),
    [anon_sym_static_assert] = ACTIONS(3349),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(3107),
    [aux_sym_preproc_def_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token1] = ACTIONS(3107),
    [aux_sym_preproc_if_token2] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3107),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3107),
    [aux_sym_preproc_else_token1] = ACTIONS(3107),
    [aux_sym_preproc_elif_token1] = ACTIONS(3107),
    [sym_preproc_directive] = ACTIONS(3107),
    [anon_sym_LPAREN2] = ACTIONS(3109),
    [anon_sym_TILDE] = ACTIONS(3109),
    [anon_sym_STAR] = ACTIONS(3109),
    [anon_sym_AMP_AMP] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym___extension__] = ACTIONS(3107),
    [anon_sym_typedef] = ACTIONS(3107),
    [anon_sym_extern] = ACTIONS(3107),
    [anon_sym___attribute__] = ACTIONS(3107),
    [anon_sym_COLON_COLON] = ACTIONS(3109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3109),
    [anon_sym___declspec] = ACTIONS(3107),
    [anon_sym___based] = ACTIONS(3107),
    [anon_sym_signed] = ACTIONS(3107),
    [anon_sym_unsigned] = ACTIONS(3107),
    [anon_sym_long] = ACTIONS(3107),
    [anon_sym_short] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(3107),
    [anon_sym_static] = ACTIONS(3107),
    [anon_sym_register] = ACTIONS(3107),
    [anon_sym_inline] = ACTIONS(3107),
    [anon_sym___inline] = ACTIONS(3107),
    [anon_sym___inline__] = ACTIONS(3107),
    [anon_sym___forceinline] = ACTIONS(3107),
    [anon_sym_thread_local] = ACTIONS(3107),
    [anon_sym___thread] = ACTIONS(3107),
    [anon_sym_const] = ACTIONS(3107),
    [anon_sym_constexpr] = ACTIONS(3107),
    [anon_sym_volatile] = ACTIONS(3107),
    [anon_sym_restrict] = ACTIONS(3107),
    [anon_sym___restrict__] = ACTIONS(3107),
    [anon_sym__Atomic] = ACTIONS(3107),
    [anon_sym__Noreturn] = ACTIONS(3107),
    [anon_sym_noreturn] = ACTIONS(3107),
    [anon_sym_mutable] = ACTIONS(3107),
    [anon_sym_constinit] = ACTIONS(3107),
    [anon_sym_consteval] = ACTIONS(3107),
    [sym_primitive_type] = ACTIONS(3107),
    [anon_sym_enum] = ACTIONS(3107),
    [anon_sym_class] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(3107),
    [anon_sym_union] = ACTIONS(3107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3107),
    [anon_sym_decltype] = ACTIONS(3107),
    [anon_sym_virtual] = ACTIONS(3107),
    [anon_sym_alignas] = ACTIONS(3107),
    [anon_sym_explicit] = ACTIONS(3107),
    [anon_sym_typename] = ACTIONS(3107),
    [anon_sym_template] = ACTIONS(3107),
    [anon_sym_operator] = ACTIONS(3107),
    [anon_sym_friend] = ACTIONS(3107),
    [anon_sym_public] = ACTIONS(3107),
    [anon_sym_private] = ACTIONS(3107),
    [anon_sym_protected] = ACTIONS(3107),
    [anon_sym_using] = ACTIONS(3107),
    [anon_sym_static_assert] = ACTIONS(3107),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(3371),
    [aux_sym_preproc_def_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token1] = ACTIONS(3371),
    [aux_sym_preproc_if_token2] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [aux_sym_preproc_else_token1] = ACTIONS(3371),
    [aux_sym_preproc_elif_token1] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3371),
    [anon_sym_LPAREN2] = ACTIONS(3373),
    [anon_sym_TILDE] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3373),
    [anon_sym_AMP_AMP] = ACTIONS(3373),
    [anon_sym_AMP] = ACTIONS(3371),
    [anon_sym___extension__] = ACTIONS(3371),
    [anon_sym_typedef] = ACTIONS(3371),
    [anon_sym_extern] = ACTIONS(3371),
    [anon_sym___attribute__] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(3373),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3373),
    [anon_sym___declspec] = ACTIONS(3371),
    [anon_sym___based] = ACTIONS(3371),
    [anon_sym_signed] = ACTIONS(3371),
    [anon_sym_unsigned] = ACTIONS(3371),
    [anon_sym_long] = ACTIONS(3371),
    [anon_sym_short] = ACTIONS(3371),
    [anon_sym_LBRACK] = ACTIONS(3371),
    [anon_sym_static] = ACTIONS(3371),
    [anon_sym_register] = ACTIONS(3371),
    [anon_sym_inline] = ACTIONS(3371),
    [anon_sym___inline] = ACTIONS(3371),
    [anon_sym___inline__] = ACTIONS(3371),
    [anon_sym___forceinline] = ACTIONS(3371),
    [anon_sym_thread_local] = ACTIONS(3371),
    [anon_sym___thread] = ACTIONS(3371),
    [anon_sym_const] = ACTIONS(3371),
    [anon_sym_constexpr] = ACTIONS(3371),
    [anon_sym_volatile] = ACTIONS(3371),
    [anon_sym_restrict] = ACTIONS(3371),
    [anon_sym___restrict__] = ACTIONS(3371),
    [anon_sym__Atomic] = ACTIONS(3371),
    [anon_sym__Noreturn] = ACTIONS(3371),
    [anon_sym_noreturn] = ACTIONS(3371),
    [anon_sym_mutable] = ACTIONS(3371),
    [anon_sym_constinit] = ACTIONS(3371),
    [anon_sym_consteval] = ACTIONS(3371),
    [sym_primitive_type] = ACTIONS(3371),
    [anon_sym_enum] = ACTIONS(3371),
    [anon_sym_class] = ACTIONS(3371),
    [anon_sym_struct] = ACTIONS(3371),
    [anon_sym_union] = ACTIONS(3371),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3371),
    [anon_sym_decltype] = ACTIONS(3371),
    [anon_sym_virtual] = ACTIONS(3371),
    [anon_sym_alignas] = ACTIONS(3371),
    [anon_sym_explicit] = ACTIONS(3371),
    [anon_sym_typename] = ACTIONS(3371),
    [anon_sym_template] = ACTIONS(3371),
    [anon_sym_operator] = ACTIONS(3371),
    [anon_sym_friend] = ACTIONS(3371),
    [anon_sym_public] = ACTIONS(3371),
    [anon_sym_private] = ACTIONS(3371),
    [anon_sym_protected] = ACTIONS(3371),
    [anon_sym_using] = ACTIONS(3371),
    [anon_sym_static_assert] = ACTIONS(3371),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(5583),
    [aux_sym_preproc_def_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5583),
    [sym_preproc_directive] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5585),
    [anon_sym_TILDE] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5585),
    [anon_sym_AMP_AMP] = ACTIONS(5585),
    [anon_sym_AMP] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5583),
    [anon_sym_typedef] = ACTIONS(5583),
    [anon_sym_extern] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5583),
    [anon_sym_COLON_COLON] = ACTIONS(5585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5583),
    [anon_sym___based] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5583),
    [anon_sym_unsigned] = ACTIONS(5583),
    [anon_sym_long] = ACTIONS(5583),
    [anon_sym_short] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_static] = ACTIONS(5583),
    [anon_sym_register] = ACTIONS(5583),
    [anon_sym_inline] = ACTIONS(5583),
    [anon_sym___inline] = ACTIONS(5583),
    [anon_sym___inline__] = ACTIONS(5583),
    [anon_sym___forceinline] = ACTIONS(5583),
    [anon_sym_thread_local] = ACTIONS(5583),
    [anon_sym___thread] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5583),
    [anon_sym_constexpr] = ACTIONS(5583),
    [anon_sym_volatile] = ACTIONS(5583),
    [anon_sym_restrict] = ACTIONS(5583),
    [anon_sym___restrict__] = ACTIONS(5583),
    [anon_sym__Atomic] = ACTIONS(5583),
    [anon_sym__Noreturn] = ACTIONS(5583),
    [anon_sym_noreturn] = ACTIONS(5583),
    [anon_sym_mutable] = ACTIONS(5583),
    [anon_sym_constinit] = ACTIONS(5583),
    [anon_sym_consteval] = ACTIONS(5583),
    [sym_primitive_type] = ACTIONS(5583),
    [anon_sym_enum] = ACTIONS(5583),
    [anon_sym_class] = ACTIONS(5583),
    [anon_sym_struct] = ACTIONS(5583),
    [anon_sym_union] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5583),
    [anon_sym_decltype] = ACTIONS(5583),
    [anon_sym_virtual] = ACTIONS(5583),
    [anon_sym_alignas] = ACTIONS(5583),
    [anon_sym_explicit] = ACTIONS(5583),
    [anon_sym_typename] = ACTIONS(5583),
    [anon_sym_template] = ACTIONS(5583),
    [anon_sym_operator] = ACTIONS(5583),
    [anon_sym_friend] = ACTIONS(5583),
    [anon_sym_public] = ACTIONS(5583),
    [anon_sym_private] = ACTIONS(5583),
    [anon_sym_protected] = ACTIONS(5583),
    [anon_sym_using] = ACTIONS(5583),
    [anon_sym_static_assert] = ACTIONS(5583),
  },
  [2405] = {
    [sym_attribute_specifier] = STATE(2508),
    [sym_identifier] = ACTIONS(5934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5936),
    [anon_sym_COMMA] = ACTIONS(5936),
    [anon_sym_RPAREN] = ACTIONS(5936),
    [aux_sym_preproc_if_token2] = ACTIONS(5936),
    [aux_sym_preproc_else_token1] = ACTIONS(5936),
    [aux_sym_preproc_elif_token1] = ACTIONS(5934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5936),
    [anon_sym_LPAREN2] = ACTIONS(5936),
    [anon_sym_DASH] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_SLASH] = ACTIONS(5934),
    [anon_sym_PERCENT] = ACTIONS(5934),
    [anon_sym_PIPE_PIPE] = ACTIONS(5936),
    [anon_sym_AMP_AMP] = ACTIONS(5936),
    [anon_sym_PIPE] = ACTIONS(5934),
    [anon_sym_CARET] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5934),
    [anon_sym_EQ_EQ] = ACTIONS(5936),
    [anon_sym_BANG_EQ] = ACTIONS(5936),
    [anon_sym_GT] = ACTIONS(5934),
    [anon_sym_GT_EQ] = ACTIONS(5936),
    [anon_sym_LT_EQ] = ACTIONS(5934),
    [anon_sym_LT] = ACTIONS(5934),
    [anon_sym_LT_LT] = ACTIONS(5934),
    [anon_sym_GT_GT] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5936),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5936),
    [anon_sym_RBRACK] = ACTIONS(5936),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5936),
    [anon_sym_STAR_EQ] = ACTIONS(5936),
    [anon_sym_SLASH_EQ] = ACTIONS(5936),
    [anon_sym_PERCENT_EQ] = ACTIONS(5936),
    [anon_sym_PLUS_EQ] = ACTIONS(5936),
    [anon_sym_DASH_EQ] = ACTIONS(5936),
    [anon_sym_LT_LT_EQ] = ACTIONS(5936),
    [anon_sym_GT_GT_EQ] = ACTIONS(5936),
    [anon_sym_AMP_EQ] = ACTIONS(5936),
    [anon_sym_CARET_EQ] = ACTIONS(5936),
    [anon_sym_PIPE_EQ] = ACTIONS(5936),
    [anon_sym_and_eq] = ACTIONS(5934),
    [anon_sym_or_eq] = ACTIONS(5934),
    [anon_sym_xor_eq] = ACTIONS(5934),
    [anon_sym_LT_EQ_GT] = ACTIONS(5936),
    [anon_sym_or] = ACTIONS(5934),
    [anon_sym_and] = ACTIONS(5934),
    [anon_sym_bitor] = ACTIONS(5934),
    [anon_sym_xor] = ACTIONS(5934),
    [anon_sym_bitand] = ACTIONS(5934),
    [anon_sym_not_eq] = ACTIONS(5934),
    [anon_sym_DASH_DASH] = ACTIONS(5936),
    [anon_sym_PLUS_PLUS] = ACTIONS(5936),
    [anon_sym_DOT] = ACTIONS(5934),
    [anon_sym_DOT_STAR] = ACTIONS(5936),
    [anon_sym_DASH_GT] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5934),
    [anon_sym_decltype] = ACTIONS(5934),
  },
  [2406] = {
    [sym_identifier] = ACTIONS(5587),
    [aux_sym_preproc_def_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token1] = ACTIONS(5587),
    [aux_sym_preproc_if_token2] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5587),
    [aux_sym_preproc_else_token1] = ACTIONS(5587),
    [aux_sym_preproc_elif_token1] = ACTIONS(5587),
    [sym_preproc_directive] = ACTIONS(5587),
    [anon_sym_LPAREN2] = ACTIONS(5589),
    [anon_sym_TILDE] = ACTIONS(5589),
    [anon_sym_STAR] = ACTIONS(5589),
    [anon_sym_AMP_AMP] = ACTIONS(5589),
    [anon_sym_AMP] = ACTIONS(5587),
    [anon_sym___extension__] = ACTIONS(5587),
    [anon_sym_typedef] = ACTIONS(5587),
    [anon_sym_extern] = ACTIONS(5587),
    [anon_sym___attribute__] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(5589),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5589),
    [anon_sym___declspec] = ACTIONS(5587),
    [anon_sym___based] = ACTIONS(5587),
    [anon_sym_signed] = ACTIONS(5587),
    [anon_sym_unsigned] = ACTIONS(5587),
    [anon_sym_long] = ACTIONS(5587),
    [anon_sym_short] = ACTIONS(5587),
    [anon_sym_LBRACK] = ACTIONS(5587),
    [anon_sym_static] = ACTIONS(5587),
    [anon_sym_register] = ACTIONS(5587),
    [anon_sym_inline] = ACTIONS(5587),
    [anon_sym___inline] = ACTIONS(5587),
    [anon_sym___inline__] = ACTIONS(5587),
    [anon_sym___forceinline] = ACTIONS(5587),
    [anon_sym_thread_local] = ACTIONS(5587),
    [anon_sym___thread] = ACTIONS(5587),
    [anon_sym_const] = ACTIONS(5587),
    [anon_sym_constexpr] = ACTIONS(5587),
    [anon_sym_volatile] = ACTIONS(5587),
    [anon_sym_restrict] = ACTIONS(5587),
    [anon_sym___restrict__] = ACTIONS(5587),
    [anon_sym__Atomic] = ACTIONS(5587),
    [anon_sym__Noreturn] = ACTIONS(5587),
    [anon_sym_noreturn] = ACTIONS(5587),
    [anon_sym_mutable] = ACTIONS(5587),
    [anon_sym_constinit] = ACTIONS(5587),
    [anon_sym_consteval] = ACTIONS(5587),
    [sym_primitive_type] = ACTIONS(5587),
    [anon_sym_enum] = ACTIONS(5587),
    [anon_sym_class] = ACTIONS(5587),
    [anon_sym_struct] = ACTIONS(5587),
    [anon_sym_union] = ACTIONS(5587),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5587),
    [anon_sym_decltype] = ACTIONS(5587),
    [anon_sym_virtual] = ACTIONS(5587),
    [anon_sym_alignas] = ACTIONS(5587),
    [anon_sym_explicit] = ACTIONS(5587),
    [anon_sym_typename] = ACTIONS(5587),
    [anon_sym_template] = ACTIONS(5587),
    [anon_sym_operator] = ACTIONS(5587),
    [anon_sym_friend] = ACTIONS(5587),
    [anon_sym_public] = ACTIONS(5587),
    [anon_sym_private] = ACTIONS(5587),
    [anon_sym_protected] = ACTIONS(5587),
    [anon_sym_using] = ACTIONS(5587),
    [anon_sym_static_assert] = ACTIONS(5587),
  },
  [2407] = {
    [sym_identifier] = ACTIONS(5583),
    [aux_sym_preproc_def_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token1] = ACTIONS(5583),
    [aux_sym_preproc_if_token2] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5583),
    [aux_sym_preproc_else_token1] = ACTIONS(5583),
    [aux_sym_preproc_elif_token1] = ACTIONS(5583),
    [sym_preproc_directive] = ACTIONS(5583),
    [anon_sym_LPAREN2] = ACTIONS(5585),
    [anon_sym_TILDE] = ACTIONS(5585),
    [anon_sym_STAR] = ACTIONS(5585),
    [anon_sym_AMP_AMP] = ACTIONS(5585),
    [anon_sym_AMP] = ACTIONS(5583),
    [anon_sym___extension__] = ACTIONS(5583),
    [anon_sym_typedef] = ACTIONS(5583),
    [anon_sym_extern] = ACTIONS(5583),
    [anon_sym___attribute__] = ACTIONS(5583),
    [anon_sym_COLON_COLON] = ACTIONS(5585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5585),
    [anon_sym___declspec] = ACTIONS(5583),
    [anon_sym___based] = ACTIONS(5583),
    [anon_sym_signed] = ACTIONS(5583),
    [anon_sym_unsigned] = ACTIONS(5583),
    [anon_sym_long] = ACTIONS(5583),
    [anon_sym_short] = ACTIONS(5583),
    [anon_sym_LBRACK] = ACTIONS(5583),
    [anon_sym_static] = ACTIONS(5583),
    [anon_sym_register] = ACTIONS(5583),
    [anon_sym_inline] = ACTIONS(5583),
    [anon_sym___inline] = ACTIONS(5583),
    [anon_sym___inline__] = ACTIONS(5583),
    [anon_sym___forceinline] = ACTIONS(5583),
    [anon_sym_thread_local] = ACTIONS(5583),
    [anon_sym___thread] = ACTIONS(5583),
    [anon_sym_const] = ACTIONS(5583),
    [anon_sym_constexpr] = ACTIONS(5583),
    [anon_sym_volatile] = ACTIONS(5583),
    [anon_sym_restrict] = ACTIONS(5583),
    [anon_sym___restrict__] = ACTIONS(5583),
    [anon_sym__Atomic] = ACTIONS(5583),
    [anon_sym__Noreturn] = ACTIONS(5583),
    [anon_sym_noreturn] = ACTIONS(5583),
    [anon_sym_mutable] = ACTIONS(5583),
    [anon_sym_constinit] = ACTIONS(5583),
    [anon_sym_consteval] = ACTIONS(5583),
    [sym_primitive_type] = ACTIONS(5583),
    [anon_sym_enum] = ACTIONS(5583),
    [anon_sym_class] = ACTIONS(5583),
    [anon_sym_struct] = ACTIONS(5583),
    [anon_sym_union] = ACTIONS(5583),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5583),
    [anon_sym_decltype] = ACTIONS(5583),
    [anon_sym_virtual] = ACTIONS(5583),
    [anon_sym_alignas] = ACTIONS(5583),
    [anon_sym_explicit] = ACTIONS(5583),
    [anon_sym_typename] = ACTIONS(5583),
    [anon_sym_template] = ACTIONS(5583),
    [anon_sym_operator] = ACTIONS(5583),
    [anon_sym_friend] = ACTIONS(5583),
    [anon_sym_public] = ACTIONS(5583),
    [anon_sym_private] = ACTIONS(5583),
    [anon_sym_protected] = ACTIONS(5583),
    [anon_sym_using] = ACTIONS(5583),
    [anon_sym_static_assert] = ACTIONS(5583),
  },
  [2408] = {
    [sym_identifier] = ACTIONS(5491),
    [aux_sym_preproc_def_token1] = ACTIONS(5491),
    [aux_sym_preproc_if_token1] = ACTIONS(5491),
    [aux_sym_preproc_if_token2] = ACTIONS(5491),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5491),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5491),
    [aux_sym_preproc_else_token1] = ACTIONS(5491),
    [aux_sym_preproc_elif_token1] = ACTIONS(5491),
    [sym_preproc_directive] = ACTIONS(5491),
    [anon_sym_LPAREN2] = ACTIONS(5493),
    [anon_sym_TILDE] = ACTIONS(5493),
    [anon_sym_STAR] = ACTIONS(5493),
    [anon_sym_AMP_AMP] = ACTIONS(5493),
    [anon_sym_AMP] = ACTIONS(5491),
    [anon_sym___extension__] = ACTIONS(5491),
    [anon_sym_typedef] = ACTIONS(5491),
    [anon_sym_extern] = ACTIONS(5491),
    [anon_sym___attribute__] = ACTIONS(5491),
    [anon_sym_COLON_COLON] = ACTIONS(5493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5493),
    [anon_sym___declspec] = ACTIONS(5491),
    [anon_sym___based] = ACTIONS(5491),
    [anon_sym_signed] = ACTIONS(5491),
    [anon_sym_unsigned] = ACTIONS(5491),
    [anon_sym_long] = ACTIONS(5491),
    [anon_sym_short] = ACTIONS(5491),
    [anon_sym_LBRACK] = ACTIONS(5491),
    [anon_sym_static] = ACTIONS(5491),
    [anon_sym_register] = ACTIONS(5491),
    [anon_sym_inline] = ACTIONS(5491),
    [anon_sym___inline] = ACTIONS(5491),
    [anon_sym___inline__] = ACTIONS(5491),
    [anon_sym___forceinline] = ACTIONS(5491),
    [anon_sym_thread_local] = ACTIONS(5491),
    [anon_sym___thread] = ACTIONS(5491),
    [anon_sym_const] = ACTIONS(5491),
    [anon_sym_constexpr] = ACTIONS(5491),
    [anon_sym_volatile] = ACTIONS(5491),
    [anon_sym_restrict] = ACTIONS(5491),
    [anon_sym___restrict__] = ACTIONS(5491),
    [anon_sym__Atomic] = ACTIONS(5491),
    [anon_sym__Noreturn] = ACTIONS(5491),
    [anon_sym_noreturn] = ACTIONS(5491),
    [anon_sym_mutable] = ACTIONS(5491),
    [anon_sym_constinit] = ACTIONS(5491),
    [anon_sym_consteval] = ACTIONS(5491),
    [sym_primitive_type] = ACTIONS(5491),
    [anon_sym_enum] = ACTIONS(5491),
    [anon_sym_class] = ACTIONS(5491),
    [anon_sym_struct] = ACTIONS(5491),
    [anon_sym_union] = ACTIONS(5491),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5491),
    [anon_sym_decltype] = ACTIONS(5491),
    [anon_sym_virtual] = ACTIONS(5491),
    [anon_sym_alignas] = ACTIONS(5491),
    [anon_sym_explicit] = ACTIONS(5491),
    [anon_sym_typename] = ACTIONS(5491),
    [anon_sym_template] = ACTIONS(5491),
    [anon_sym_operator] = ACTIONS(5491),
    [anon_sym_friend] = ACTIONS(5491),
    [anon_sym_public] = ACTIONS(5491),
    [anon_sym_private] = ACTIONS(5491),
    [anon_sym_protected] = ACTIONS(5491),
    [anon_sym_using] = ACTIONS(5491),
    [anon_sym_static_assert] = ACTIONS(5491),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(3009),
    [aux_sym_preproc_def_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token1] = ACTIONS(3009),
    [aux_sym_preproc_if_token2] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3009),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3009),
    [aux_sym_preproc_else_token1] = ACTIONS(3009),
    [aux_sym_preproc_elif_token1] = ACTIONS(3009),
    [sym_preproc_directive] = ACTIONS(3009),
    [anon_sym_LPAREN2] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3011),
    [anon_sym_AMP_AMP] = ACTIONS(3011),
    [anon_sym_AMP] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3009),
    [anon_sym_typedef] = ACTIONS(3009),
    [anon_sym_extern] = ACTIONS(3009),
    [anon_sym___attribute__] = ACTIONS(3009),
    [anon_sym_COLON_COLON] = ACTIONS(3011),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3011),
    [anon_sym___declspec] = ACTIONS(3009),
    [anon_sym___based] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3009),
    [anon_sym_unsigned] = ACTIONS(3009),
    [anon_sym_long] = ACTIONS(3009),
    [anon_sym_short] = ACTIONS(3009),
    [anon_sym_LBRACK] = ACTIONS(3009),
    [anon_sym_static] = ACTIONS(3009),
    [anon_sym_register] = ACTIONS(3009),
    [anon_sym_inline] = ACTIONS(3009),
    [anon_sym___inline] = ACTIONS(3009),
    [anon_sym___inline__] = ACTIONS(3009),
    [anon_sym___forceinline] = ACTIONS(3009),
    [anon_sym_thread_local] = ACTIONS(3009),
    [anon_sym___thread] = ACTIONS(3009),
    [anon_sym_const] = ACTIONS(3009),
    [anon_sym_constexpr] = ACTIONS(3009),
    [anon_sym_volatile] = ACTIONS(3009),
    [anon_sym_restrict] = ACTIONS(3009),
    [anon_sym___restrict__] = ACTIONS(3009),
    [anon_sym__Atomic] = ACTIONS(3009),
    [anon_sym__Noreturn] = ACTIONS(3009),
    [anon_sym_noreturn] = ACTIONS(3009),
    [anon_sym_mutable] = ACTIONS(3009),
    [anon_sym_constinit] = ACTIONS(3009),
    [anon_sym_consteval] = ACTIONS(3009),
    [sym_primitive_type] = ACTIONS(3009),
    [anon_sym_enum] = ACTIONS(3009),
    [anon_sym_class] = ACTIONS(3009),
    [anon_sym_struct] = ACTIONS(3009),
    [anon_sym_union] = ACTIONS(3009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3009),
    [anon_sym_decltype] = ACTIONS(3009),
    [anon_sym_virtual] = ACTIONS(3009),
    [anon_sym_alignas] = ACTIONS(3009),
    [anon_sym_explicit] = ACTIONS(3009),
    [anon_sym_typename] = ACTIONS(3009),
    [anon_sym_template] = ACTIONS(3009),
    [anon_sym_operator] = ACTIONS(3009),
    [anon_sym_friend] = ACTIONS(3009),
    [anon_sym_public] = ACTIONS(3009),
    [anon_sym_private] = ACTIONS(3009),
    [anon_sym_protected] = ACTIONS(3009),
    [anon_sym_using] = ACTIONS(3009),
    [anon_sym_static_assert] = ACTIONS(3009),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(3292),
    [aux_sym_preproc_def_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token1] = ACTIONS(3292),
    [aux_sym_preproc_if_token2] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3292),
    [aux_sym_preproc_else_token1] = ACTIONS(3292),
    [aux_sym_preproc_elif_token1] = ACTIONS(3292),
    [sym_preproc_directive] = ACTIONS(3292),
    [anon_sym_LPAREN2] = ACTIONS(3294),
    [anon_sym_TILDE] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3294),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3292),
    [anon_sym_typedef] = ACTIONS(3292),
    [anon_sym_extern] = ACTIONS(3292),
    [anon_sym___attribute__] = ACTIONS(3292),
    [anon_sym_COLON_COLON] = ACTIONS(3294),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3294),
    [anon_sym___declspec] = ACTIONS(3292),
    [anon_sym___based] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3292),
    [anon_sym_unsigned] = ACTIONS(3292),
    [anon_sym_long] = ACTIONS(3292),
    [anon_sym_short] = ACTIONS(3292),
    [anon_sym_LBRACK] = ACTIONS(3292),
    [anon_sym_static] = ACTIONS(3292),
    [anon_sym_register] = ACTIONS(3292),
    [anon_sym_inline] = ACTIONS(3292),
    [anon_sym___inline] = ACTIONS(3292),
    [anon_sym___inline__] = ACTIONS(3292),
    [anon_sym___forceinline] = ACTIONS(3292),
    [anon_sym_thread_local] = ACTIONS(3292),
    [anon_sym___thread] = ACTIONS(3292),
    [anon_sym_const] = ACTIONS(3292),
    [anon_sym_constexpr] = ACTIONS(3292),
    [anon_sym_volatile] = ACTIONS(3292),
    [anon_sym_restrict] = ACTIONS(3292),
    [anon_sym___restrict__] = ACTIONS(3292),
    [anon_sym__Atomic] = ACTIONS(3292),
    [anon_sym__Noreturn] = ACTIONS(3292),
    [anon_sym_noreturn] = ACTIONS(3292),
    [anon_sym_mutable] = ACTIONS(3292),
    [anon_sym_constinit] = ACTIONS(3292),
    [anon_sym_consteval] = ACTIONS(3292),
    [sym_primitive_type] = ACTIONS(3292),
    [anon_sym_enum] = ACTIONS(3292),
    [anon_sym_class] = ACTIONS(3292),
    [anon_sym_struct] = ACTIONS(3292),
    [anon_sym_union] = ACTIONS(3292),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3292),
    [anon_sym_decltype] = ACTIONS(3292),
    [anon_sym_virtual] = ACTIONS(3292),
    [anon_sym_alignas] = ACTIONS(3292),
    [anon_sym_explicit] = ACTIONS(3292),
    [anon_sym_typename] = ACTIONS(3292),
    [anon_sym_template] = ACTIONS(3292),
    [anon_sym_operator] = ACTIONS(3292),
    [anon_sym_friend] = ACTIONS(3292),
    [anon_sym_public] = ACTIONS(3292),
    [anon_sym_private] = ACTIONS(3292),
    [anon_sym_protected] = ACTIONS(3292),
    [anon_sym_using] = ACTIONS(3292),
    [anon_sym_static_assert] = ACTIONS(3292),
  },
  [2411] = {
    [sym_attribute_declaration] = STATE(2519),
    [sym_parameter_list] = STATE(2552),
    [aux_sym_attributed_declarator_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(5938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [aux_sym_preproc_if_token2] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5938),
    [anon_sym_or_eq] = ACTIONS(5938),
    [anon_sym_xor_eq] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5938),
    [anon_sym_and] = ACTIONS(5938),
    [anon_sym_bitor] = ACTIONS(5938),
    [anon_sym_xor] = ACTIONS(5938),
    [anon_sym_bitand] = ACTIONS(5938),
    [anon_sym_not_eq] = ACTIONS(5938),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
  },
  [2412] = {
    [sym_decltype_auto] = STATE(2568),
    [sym_identifier] = ACTIONS(5535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5537),
    [anon_sym_COMMA] = ACTIONS(5537),
    [anon_sym_RPAREN] = ACTIONS(5537),
    [aux_sym_preproc_if_token2] = ACTIONS(5537),
    [aux_sym_preproc_else_token1] = ACTIONS(5537),
    [aux_sym_preproc_elif_token1] = ACTIONS(5535),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5537),
    [anon_sym_LPAREN2] = ACTIONS(5537),
    [anon_sym_DASH] = ACTIONS(5535),
    [anon_sym_PLUS] = ACTIONS(5535),
    [anon_sym_STAR] = ACTIONS(5535),
    [anon_sym_SLASH] = ACTIONS(5535),
    [anon_sym_PERCENT] = ACTIONS(5535),
    [anon_sym_PIPE_PIPE] = ACTIONS(5537),
    [anon_sym_AMP_AMP] = ACTIONS(5537),
    [anon_sym_PIPE] = ACTIONS(5535),
    [anon_sym_CARET] = ACTIONS(5535),
    [anon_sym_AMP] = ACTIONS(5535),
    [anon_sym_EQ_EQ] = ACTIONS(5537),
    [anon_sym_BANG_EQ] = ACTIONS(5537),
    [anon_sym_GT] = ACTIONS(5535),
    [anon_sym_GT_EQ] = ACTIONS(5537),
    [anon_sym_LT_EQ] = ACTIONS(5535),
    [anon_sym_LT] = ACTIONS(5535),
    [anon_sym_LT_LT] = ACTIONS(5535),
    [anon_sym_GT_GT] = ACTIONS(5535),
    [anon_sym_SEMI] = ACTIONS(5537),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(5537),
    [anon_sym_RBRACE] = ACTIONS(5537),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_EQ] = ACTIONS(5535),
    [anon_sym_COLON] = ACTIONS(5537),
    [anon_sym_QMARK] = ACTIONS(5537),
    [anon_sym_STAR_EQ] = ACTIONS(5537),
    [anon_sym_SLASH_EQ] = ACTIONS(5537),
    [anon_sym_PERCENT_EQ] = ACTIONS(5537),
    [anon_sym_PLUS_EQ] = ACTIONS(5537),
    [anon_sym_DASH_EQ] = ACTIONS(5537),
    [anon_sym_LT_LT_EQ] = ACTIONS(5537),
    [anon_sym_GT_GT_EQ] = ACTIONS(5537),
    [anon_sym_AMP_EQ] = ACTIONS(5537),
    [anon_sym_CARET_EQ] = ACTIONS(5537),
    [anon_sym_PIPE_EQ] = ACTIONS(5537),
    [anon_sym_and_eq] = ACTIONS(5535),
    [anon_sym_or_eq] = ACTIONS(5535),
    [anon_sym_xor_eq] = ACTIONS(5535),
    [anon_sym_LT_EQ_GT] = ACTIONS(5537),
    [anon_sym_or] = ACTIONS(5535),
    [anon_sym_and] = ACTIONS(5535),
    [anon_sym_bitor] = ACTIONS(5535),
    [anon_sym_xor] = ACTIONS(5535),
    [anon_sym_bitand] = ACTIONS(5535),
    [anon_sym_not_eq] = ACTIONS(5535),
    [anon_sym_DASH_DASH] = ACTIONS(5537),
    [anon_sym_PLUS_PLUS] = ACTIONS(5537),
    [anon_sym_DOT] = ACTIONS(5535),
    [anon_sym_DOT_STAR] = ACTIONS(5537),
    [anon_sym_DASH_GT] = ACTIONS(5537),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5433),
    [anon_sym_decltype] = ACTIONS(5435),
  },
  [2413] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [2414] = {
    [sym_identifier] = ACTIONS(3316),
    [aux_sym_preproc_def_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token1] = ACTIONS(3316),
    [aux_sym_preproc_if_token2] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3316),
    [aux_sym_preproc_else_token1] = ACTIONS(3316),
    [aux_sym_preproc_elif_token1] = ACTIONS(3316),
    [sym_preproc_directive] = ACTIONS(3316),
    [anon_sym_LPAREN2] = ACTIONS(3318),
    [anon_sym_TILDE] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3318),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3316),
    [anon_sym_typedef] = ACTIONS(3316),
    [anon_sym_extern] = ACTIONS(3316),
    [anon_sym___attribute__] = ACTIONS(3316),
    [anon_sym_COLON_COLON] = ACTIONS(3318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3318),
    [anon_sym___declspec] = ACTIONS(3316),
    [anon_sym___based] = ACTIONS(3316),
    [anon_sym_signed] = ACTIONS(3316),
    [anon_sym_unsigned] = ACTIONS(3316),
    [anon_sym_long] = ACTIONS(3316),
    [anon_sym_short] = ACTIONS(3316),
    [anon_sym_LBRACK] = ACTIONS(3316),
    [anon_sym_static] = ACTIONS(3316),
    [anon_sym_register] = ACTIONS(3316),
    [anon_sym_inline] = ACTIONS(3316),
    [anon_sym___inline] = ACTIONS(3316),
    [anon_sym___inline__] = ACTIONS(3316),
    [anon_sym___forceinline] = ACTIONS(3316),
    [anon_sym_thread_local] = ACTIONS(3316),
    [anon_sym___thread] = ACTIONS(3316),
    [anon_sym_const] = ACTIONS(3316),
    [anon_sym_constexpr] = ACTIONS(3316),
    [anon_sym_volatile] = ACTIONS(3316),
    [anon_sym_restrict] = ACTIONS(3316),
    [anon_sym___restrict__] = ACTIONS(3316),
    [anon_sym__Atomic] = ACTIONS(3316),
    [anon_sym__Noreturn] = ACTIONS(3316),
    [anon_sym_noreturn] = ACTIONS(3316),
    [anon_sym_mutable] = ACTIONS(3316),
    [anon_sym_constinit] = ACTIONS(3316),
    [anon_sym_consteval] = ACTIONS(3316),
    [sym_primitive_type] = ACTIONS(3316),
    [anon_sym_enum] = ACTIONS(3316),
    [anon_sym_class] = ACTIONS(3316),
    [anon_sym_struct] = ACTIONS(3316),
    [anon_sym_union] = ACTIONS(3316),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3316),
    [anon_sym_decltype] = ACTIONS(3316),
    [anon_sym_virtual] = ACTIONS(3316),
    [anon_sym_alignas] = ACTIONS(3316),
    [anon_sym_explicit] = ACTIONS(3316),
    [anon_sym_typename] = ACTIONS(3316),
    [anon_sym_template] = ACTIONS(3316),
    [anon_sym_operator] = ACTIONS(3316),
    [anon_sym_friend] = ACTIONS(3316),
    [anon_sym_public] = ACTIONS(3316),
    [anon_sym_private] = ACTIONS(3316),
    [anon_sym_protected] = ACTIONS(3316),
    [anon_sym_using] = ACTIONS(3316),
    [anon_sym_static_assert] = ACTIONS(3316),
  },
  [2415] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_RBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5697),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5699),
    [anon_sym_SLASH_EQ] = ACTIONS(5699),
    [anon_sym_PERCENT_EQ] = ACTIONS(5699),
    [anon_sym_PLUS_EQ] = ACTIONS(5699),
    [anon_sym_DASH_EQ] = ACTIONS(5699),
    [anon_sym_LT_LT_EQ] = ACTIONS(5699),
    [anon_sym_GT_GT_EQ] = ACTIONS(5699),
    [anon_sym_AMP_EQ] = ACTIONS(5699),
    [anon_sym_CARET_EQ] = ACTIONS(5699),
    [anon_sym_PIPE_EQ] = ACTIONS(5699),
    [anon_sym_and_eq] = ACTIONS(5699),
    [anon_sym_or_eq] = ACTIONS(5699),
    [anon_sym_xor_eq] = ACTIONS(5699),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2416] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2417] = {
    [sym_attribute_specifier] = STATE(2501),
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [aux_sym_preproc_if_token2] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5944),
    [anon_sym_LPAREN2] = ACTIONS(5944),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5942),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5944),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5944),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5944),
    [anon_sym_STAR_EQ] = ACTIONS(5944),
    [anon_sym_SLASH_EQ] = ACTIONS(5944),
    [anon_sym_PERCENT_EQ] = ACTIONS(5944),
    [anon_sym_PLUS_EQ] = ACTIONS(5944),
    [anon_sym_DASH_EQ] = ACTIONS(5944),
    [anon_sym_LT_LT_EQ] = ACTIONS(5944),
    [anon_sym_GT_GT_EQ] = ACTIONS(5944),
    [anon_sym_AMP_EQ] = ACTIONS(5944),
    [anon_sym_CARET_EQ] = ACTIONS(5944),
    [anon_sym_PIPE_EQ] = ACTIONS(5944),
    [anon_sym_and_eq] = ACTIONS(5942),
    [anon_sym_or_eq] = ACTIONS(5942),
    [anon_sym_xor_eq] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_DOT_STAR] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5942),
    [anon_sym_decltype] = ACTIONS(5942),
  },
  [2418] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5805),
    [anon_sym_COMMA] = ACTIONS(5805),
    [anon_sym_RPAREN] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_SLASH] = ACTIONS(5808),
    [anon_sym_PERCENT] = ACTIONS(5808),
    [anon_sym_PIPE_PIPE] = ACTIONS(5805),
    [anon_sym_AMP_AMP] = ACTIONS(5805),
    [anon_sym_PIPE] = ACTIONS(5808),
    [anon_sym_CARET] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(5808),
    [anon_sym_EQ_EQ] = ACTIONS(5805),
    [anon_sym_BANG_EQ] = ACTIONS(5805),
    [anon_sym_GT] = ACTIONS(5808),
    [anon_sym_GT_EQ] = ACTIONS(5805),
    [anon_sym_LT_EQ] = ACTIONS(5808),
    [anon_sym_LT] = ACTIONS(5808),
    [anon_sym_LT_LT] = ACTIONS(5808),
    [anon_sym_GT_GT] = ACTIONS(5808),
    [anon_sym_SEMI] = ACTIONS(5805),
    [anon_sym___attribute__] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(5805),
    [anon_sym_RBRACE] = ACTIONS(5805),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5805),
    [anon_sym_RBRACK] = ACTIONS(5805),
    [anon_sym_EQ] = ACTIONS(5808),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_COLON] = ACTIONS(5805),
    [anon_sym_QMARK] = ACTIONS(5805),
    [anon_sym_STAR_EQ] = ACTIONS(5805),
    [anon_sym_SLASH_EQ] = ACTIONS(5805),
    [anon_sym_PERCENT_EQ] = ACTIONS(5805),
    [anon_sym_PLUS_EQ] = ACTIONS(5805),
    [anon_sym_DASH_EQ] = ACTIONS(5805),
    [anon_sym_LT_LT_EQ] = ACTIONS(5805),
    [anon_sym_GT_GT_EQ] = ACTIONS(5805),
    [anon_sym_AMP_EQ] = ACTIONS(5805),
    [anon_sym_CARET_EQ] = ACTIONS(5805),
    [anon_sym_PIPE_EQ] = ACTIONS(5805),
    [anon_sym_and_eq] = ACTIONS(5808),
    [anon_sym_or_eq] = ACTIONS(5808),
    [anon_sym_xor_eq] = ACTIONS(5808),
    [anon_sym_LT_EQ_GT] = ACTIONS(5805),
    [anon_sym_or] = ACTIONS(5808),
    [anon_sym_and] = ACTIONS(5808),
    [anon_sym_bitor] = ACTIONS(5808),
    [anon_sym_xor] = ACTIONS(5808),
    [anon_sym_bitand] = ACTIONS(5808),
    [anon_sym_not_eq] = ACTIONS(5808),
    [anon_sym_DASH_DASH] = ACTIONS(5805),
    [anon_sym_PLUS_PLUS] = ACTIONS(5805),
    [anon_sym_DOT] = ACTIONS(5808),
    [anon_sym_DOT_STAR] = ACTIONS(5805),
    [anon_sym_DASH_GT] = ACTIONS(5805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5808),
    [anon_sym_decltype] = ACTIONS(5808),
  },
  [2419] = {
    [sym_identifier] = ACTIONS(3375),
    [aux_sym_preproc_def_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token1] = ACTIONS(3375),
    [aux_sym_preproc_if_token2] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3375),
    [aux_sym_preproc_else_token1] = ACTIONS(3375),
    [aux_sym_preproc_elif_token1] = ACTIONS(3375),
    [sym_preproc_directive] = ACTIONS(3375),
    [anon_sym_LPAREN2] = ACTIONS(3377),
    [anon_sym_TILDE] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3377),
    [anon_sym_AMP_AMP] = ACTIONS(3377),
    [anon_sym_AMP] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3375),
    [anon_sym_typedef] = ACTIONS(3375),
    [anon_sym_extern] = ACTIONS(3375),
    [anon_sym___attribute__] = ACTIONS(3375),
    [anon_sym_COLON_COLON] = ACTIONS(3377),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3377),
    [anon_sym___declspec] = ACTIONS(3375),
    [anon_sym___based] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3375),
    [anon_sym_unsigned] = ACTIONS(3375),
    [anon_sym_long] = ACTIONS(3375),
    [anon_sym_short] = ACTIONS(3375),
    [anon_sym_LBRACK] = ACTIONS(3375),
    [anon_sym_static] = ACTIONS(3375),
    [anon_sym_register] = ACTIONS(3375),
    [anon_sym_inline] = ACTIONS(3375),
    [anon_sym___inline] = ACTIONS(3375),
    [anon_sym___inline__] = ACTIONS(3375),
    [anon_sym___forceinline] = ACTIONS(3375),
    [anon_sym_thread_local] = ACTIONS(3375),
    [anon_sym___thread] = ACTIONS(3375),
    [anon_sym_const] = ACTIONS(3375),
    [anon_sym_constexpr] = ACTIONS(3375),
    [anon_sym_volatile] = ACTIONS(3375),
    [anon_sym_restrict] = ACTIONS(3375),
    [anon_sym___restrict__] = ACTIONS(3375),
    [anon_sym__Atomic] = ACTIONS(3375),
    [anon_sym__Noreturn] = ACTIONS(3375),
    [anon_sym_noreturn] = ACTIONS(3375),
    [anon_sym_mutable] = ACTIONS(3375),
    [anon_sym_constinit] = ACTIONS(3375),
    [anon_sym_consteval] = ACTIONS(3375),
    [sym_primitive_type] = ACTIONS(3375),
    [anon_sym_enum] = ACTIONS(3375),
    [anon_sym_class] = ACTIONS(3375),
    [anon_sym_struct] = ACTIONS(3375),
    [anon_sym_union] = ACTIONS(3375),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3375),
    [anon_sym_decltype] = ACTIONS(3375),
    [anon_sym_virtual] = ACTIONS(3375),
    [anon_sym_alignas] = ACTIONS(3375),
    [anon_sym_explicit] = ACTIONS(3375),
    [anon_sym_typename] = ACTIONS(3375),
    [anon_sym_template] = ACTIONS(3375),
    [anon_sym_operator] = ACTIONS(3375),
    [anon_sym_friend] = ACTIONS(3375),
    [anon_sym_public] = ACTIONS(3375),
    [anon_sym_private] = ACTIONS(3375),
    [anon_sym_protected] = ACTIONS(3375),
    [anon_sym_using] = ACTIONS(3375),
    [anon_sym_static_assert] = ACTIONS(3375),
  },
  [2420] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [anon_sym_RPAREN] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_SEMI] = ACTIONS(5356),
    [anon_sym_RBRACE] = ACTIONS(5356),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_RBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_COLON] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5354),
    [anon_sym_or_eq] = ACTIONS(5354),
    [anon_sym_xor_eq] = ACTIONS(5354),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5354),
    [anon_sym_and] = ACTIONS(5354),
    [anon_sym_bitor] = ACTIONS(5354),
    [anon_sym_xor] = ACTIONS(5354),
    [anon_sym_bitand] = ACTIONS(5354),
    [anon_sym_not_eq] = ACTIONS(5354),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5356),
    [anon_sym_u_DQUOTE] = ACTIONS(5356),
    [anon_sym_U_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8_DQUOTE] = ACTIONS(5356),
    [anon_sym_DQUOTE] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5356),
    [anon_sym_LR_DQUOTE] = ACTIONS(5356),
    [anon_sym_uR_DQUOTE] = ACTIONS(5356),
    [anon_sym_UR_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5356),
    [sym_literal_suffix] = ACTIONS(5354),
  },
  [2421] = {
    [sym_identifier] = ACTIONS(3324),
    [aux_sym_preproc_def_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token1] = ACTIONS(3324),
    [aux_sym_preproc_if_token2] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3324),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3324),
    [aux_sym_preproc_else_token1] = ACTIONS(3324),
    [aux_sym_preproc_elif_token1] = ACTIONS(3324),
    [sym_preproc_directive] = ACTIONS(3324),
    [anon_sym_LPAREN2] = ACTIONS(3326),
    [anon_sym_TILDE] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3326),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(3324),
    [anon_sym_typedef] = ACTIONS(3324),
    [anon_sym_extern] = ACTIONS(3324),
    [anon_sym___attribute__] = ACTIONS(3324),
    [anon_sym_COLON_COLON] = ACTIONS(3326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3326),
    [anon_sym___declspec] = ACTIONS(3324),
    [anon_sym___based] = ACTIONS(3324),
    [anon_sym_signed] = ACTIONS(3324),
    [anon_sym_unsigned] = ACTIONS(3324),
    [anon_sym_long] = ACTIONS(3324),
    [anon_sym_short] = ACTIONS(3324),
    [anon_sym_LBRACK] = ACTIONS(3324),
    [anon_sym_static] = ACTIONS(3324),
    [anon_sym_register] = ACTIONS(3324),
    [anon_sym_inline] = ACTIONS(3324),
    [anon_sym___inline] = ACTIONS(3324),
    [anon_sym___inline__] = ACTIONS(3324),
    [anon_sym___forceinline] = ACTIONS(3324),
    [anon_sym_thread_local] = ACTIONS(3324),
    [anon_sym___thread] = ACTIONS(3324),
    [anon_sym_const] = ACTIONS(3324),
    [anon_sym_constexpr] = ACTIONS(3324),
    [anon_sym_volatile] = ACTIONS(3324),
    [anon_sym_restrict] = ACTIONS(3324),
    [anon_sym___restrict__] = ACTIONS(3324),
    [anon_sym__Atomic] = ACTIONS(3324),
    [anon_sym__Noreturn] = ACTIONS(3324),
    [anon_sym_noreturn] = ACTIONS(3324),
    [anon_sym_mutable] = ACTIONS(3324),
    [anon_sym_constinit] = ACTIONS(3324),
    [anon_sym_consteval] = ACTIONS(3324),
    [sym_primitive_type] = ACTIONS(3324),
    [anon_sym_enum] = ACTIONS(3324),
    [anon_sym_class] = ACTIONS(3324),
    [anon_sym_struct] = ACTIONS(3324),
    [anon_sym_union] = ACTIONS(3324),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3324),
    [anon_sym_decltype] = ACTIONS(3324),
    [anon_sym_virtual] = ACTIONS(3324),
    [anon_sym_alignas] = ACTIONS(3324),
    [anon_sym_explicit] = ACTIONS(3324),
    [anon_sym_typename] = ACTIONS(3324),
    [anon_sym_template] = ACTIONS(3324),
    [anon_sym_operator] = ACTIONS(3324),
    [anon_sym_friend] = ACTIONS(3324),
    [anon_sym_public] = ACTIONS(3324),
    [anon_sym_private] = ACTIONS(3324),
    [anon_sym_protected] = ACTIONS(3324),
    [anon_sym_using] = ACTIONS(3324),
    [anon_sym_static_assert] = ACTIONS(3324),
  },
  [2422] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [aux_sym_preproc_if_token2] = ACTIONS(5515),
    [aux_sym_preproc_else_token1] = ACTIONS(5515),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_mutable] = ACTIONS(5513),
    [anon_sym_constinit] = ACTIONS(5513),
    [anon_sym_consteval] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
    [anon_sym_final] = ACTIONS(5513),
    [anon_sym_override] = ACTIONS(5513),
    [anon_sym_requires] = ACTIONS(5513),
  },
  [2423] = {
    [sym_attribute_declaration] = STATE(2519),
    [sym_parameter_list] = STATE(2552),
    [aux_sym_attributed_declarator_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [aux_sym_preproc_if_token2] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5909),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5946),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5946),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5913),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_EQ] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5948),
    [anon_sym_STAR_EQ] = ACTIONS(5948),
    [anon_sym_SLASH_EQ] = ACTIONS(5948),
    [anon_sym_PERCENT_EQ] = ACTIONS(5948),
    [anon_sym_PLUS_EQ] = ACTIONS(5948),
    [anon_sym_DASH_EQ] = ACTIONS(5948),
    [anon_sym_LT_LT_EQ] = ACTIONS(5948),
    [anon_sym_GT_GT_EQ] = ACTIONS(5948),
    [anon_sym_AMP_EQ] = ACTIONS(5948),
    [anon_sym_CARET_EQ] = ACTIONS(5948),
    [anon_sym_PIPE_EQ] = ACTIONS(5948),
    [anon_sym_and_eq] = ACTIONS(5946),
    [anon_sym_or_eq] = ACTIONS(5946),
    [anon_sym_xor_eq] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5946),
    [anon_sym_and] = ACTIONS(5946),
    [anon_sym_bitor] = ACTIONS(5946),
    [anon_sym_xor] = ACTIONS(5946),
    [anon_sym_bitand] = ACTIONS(5946),
    [anon_sym_not_eq] = ACTIONS(5946),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_DOT_STAR] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
  },
  [2424] = {
    [sym_identifier] = ACTIONS(3234),
    [aux_sym_preproc_def_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token1] = ACTIONS(3234),
    [aux_sym_preproc_if_token2] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3234),
    [aux_sym_preproc_else_token1] = ACTIONS(3234),
    [aux_sym_preproc_elif_token1] = ACTIONS(3234),
    [sym_preproc_directive] = ACTIONS(3234),
    [anon_sym_LPAREN2] = ACTIONS(3236),
    [anon_sym_TILDE] = ACTIONS(3236),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3234),
    [anon_sym___extension__] = ACTIONS(3234),
    [anon_sym_typedef] = ACTIONS(3234),
    [anon_sym_extern] = ACTIONS(3234),
    [anon_sym___attribute__] = ACTIONS(3234),
    [anon_sym_COLON_COLON] = ACTIONS(3236),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3236),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___based] = ACTIONS(3234),
    [anon_sym_signed] = ACTIONS(3234),
    [anon_sym_unsigned] = ACTIONS(3234),
    [anon_sym_long] = ACTIONS(3234),
    [anon_sym_short] = ACTIONS(3234),
    [anon_sym_LBRACK] = ACTIONS(3234),
    [anon_sym_static] = ACTIONS(3234),
    [anon_sym_register] = ACTIONS(3234),
    [anon_sym_inline] = ACTIONS(3234),
    [anon_sym___inline] = ACTIONS(3234),
    [anon_sym___inline__] = ACTIONS(3234),
    [anon_sym___forceinline] = ACTIONS(3234),
    [anon_sym_thread_local] = ACTIONS(3234),
    [anon_sym___thread] = ACTIONS(3234),
    [anon_sym_const] = ACTIONS(3234),
    [anon_sym_constexpr] = ACTIONS(3234),
    [anon_sym_volatile] = ACTIONS(3234),
    [anon_sym_restrict] = ACTIONS(3234),
    [anon_sym___restrict__] = ACTIONS(3234),
    [anon_sym__Atomic] = ACTIONS(3234),
    [anon_sym__Noreturn] = ACTIONS(3234),
    [anon_sym_noreturn] = ACTIONS(3234),
    [anon_sym_mutable] = ACTIONS(3234),
    [anon_sym_constinit] = ACTIONS(3234),
    [anon_sym_consteval] = ACTIONS(3234),
    [sym_primitive_type] = ACTIONS(3234),
    [anon_sym_enum] = ACTIONS(3234),
    [anon_sym_class] = ACTIONS(3234),
    [anon_sym_struct] = ACTIONS(3234),
    [anon_sym_union] = ACTIONS(3234),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3234),
    [anon_sym_decltype] = ACTIONS(3234),
    [anon_sym_virtual] = ACTIONS(3234),
    [anon_sym_alignas] = ACTIONS(3234),
    [anon_sym_explicit] = ACTIONS(3234),
    [anon_sym_typename] = ACTIONS(3234),
    [anon_sym_template] = ACTIONS(3234),
    [anon_sym_operator] = ACTIONS(3234),
    [anon_sym_friend] = ACTIONS(3234),
    [anon_sym_public] = ACTIONS(3234),
    [anon_sym_private] = ACTIONS(3234),
    [anon_sym_protected] = ACTIONS(3234),
    [anon_sym_using] = ACTIONS(3234),
    [anon_sym_static_assert] = ACTIONS(3234),
  },
  [2425] = {
    [sym_identifier] = ACTIONS(5579),
    [aux_sym_preproc_def_token1] = ACTIONS(5579),
    [aux_sym_preproc_if_token1] = ACTIONS(5579),
    [aux_sym_preproc_if_token2] = ACTIONS(5579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5579),
    [aux_sym_preproc_else_token1] = ACTIONS(5579),
    [aux_sym_preproc_elif_token1] = ACTIONS(5579),
    [sym_preproc_directive] = ACTIONS(5579),
    [anon_sym_LPAREN2] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5581),
    [anon_sym_STAR] = ACTIONS(5581),
    [anon_sym_AMP_AMP] = ACTIONS(5581),
    [anon_sym_AMP] = ACTIONS(5579),
    [anon_sym___extension__] = ACTIONS(5579),
    [anon_sym_typedef] = ACTIONS(5579),
    [anon_sym_extern] = ACTIONS(5579),
    [anon_sym___attribute__] = ACTIONS(5579),
    [anon_sym_COLON_COLON] = ACTIONS(5581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5581),
    [anon_sym___declspec] = ACTIONS(5579),
    [anon_sym___based] = ACTIONS(5579),
    [anon_sym_signed] = ACTIONS(5579),
    [anon_sym_unsigned] = ACTIONS(5579),
    [anon_sym_long] = ACTIONS(5579),
    [anon_sym_short] = ACTIONS(5579),
    [anon_sym_LBRACK] = ACTIONS(5579),
    [anon_sym_static] = ACTIONS(5579),
    [anon_sym_register] = ACTIONS(5579),
    [anon_sym_inline] = ACTIONS(5579),
    [anon_sym___inline] = ACTIONS(5579),
    [anon_sym___inline__] = ACTIONS(5579),
    [anon_sym___forceinline] = ACTIONS(5579),
    [anon_sym_thread_local] = ACTIONS(5579),
    [anon_sym___thread] = ACTIONS(5579),
    [anon_sym_const] = ACTIONS(5579),
    [anon_sym_constexpr] = ACTIONS(5579),
    [anon_sym_volatile] = ACTIONS(5579),
    [anon_sym_restrict] = ACTIONS(5579),
    [anon_sym___restrict__] = ACTIONS(5579),
    [anon_sym__Atomic] = ACTIONS(5579),
    [anon_sym__Noreturn] = ACTIONS(5579),
    [anon_sym_noreturn] = ACTIONS(5579),
    [anon_sym_mutable] = ACTIONS(5579),
    [anon_sym_constinit] = ACTIONS(5579),
    [anon_sym_consteval] = ACTIONS(5579),
    [sym_primitive_type] = ACTIONS(5579),
    [anon_sym_enum] = ACTIONS(5579),
    [anon_sym_class] = ACTIONS(5579),
    [anon_sym_struct] = ACTIONS(5579),
    [anon_sym_union] = ACTIONS(5579),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5579),
    [anon_sym_decltype] = ACTIONS(5579),
    [anon_sym_virtual] = ACTIONS(5579),
    [anon_sym_alignas] = ACTIONS(5579),
    [anon_sym_explicit] = ACTIONS(5579),
    [anon_sym_typename] = ACTIONS(5579),
    [anon_sym_template] = ACTIONS(5579),
    [anon_sym_operator] = ACTIONS(5579),
    [anon_sym_friend] = ACTIONS(5579),
    [anon_sym_public] = ACTIONS(5579),
    [anon_sym_private] = ACTIONS(5579),
    [anon_sym_protected] = ACTIONS(5579),
    [anon_sym_using] = ACTIONS(5579),
    [anon_sym_static_assert] = ACTIONS(5579),
  },
  [2426] = {
    [sym__declaration_modifiers] = STATE(4203),
    [sym_attribute_specifier] = STATE(4203),
    [sym_attribute_declaration] = STATE(4203),
    [sym_ms_declspec_modifier] = STATE(4203),
    [sym_storage_class_specifier] = STATE(4203),
    [sym_type_qualifier] = STATE(4203),
    [sym__type_specifier] = STATE(4760),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4203),
    [sym_alignas_specifier] = STATE(4203),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7281),
    [sym_qualified_type_identifier] = STATE(3618),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3892),
    [sym_identifier] = ACTIONS(4001),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4007),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4009),
    [anon_sym_unsigned] = ACTIONS(4009),
    [anon_sym_long] = ACTIONS(4009),
    [anon_sym_short] = ACTIONS(4009),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4011),
    [anon_sym_enum] = ACTIONS(4013),
    [anon_sym_class] = ACTIONS(4015),
    [anon_sym_struct] = ACTIONS(4017),
    [anon_sym_union] = ACTIONS(4019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4021),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_friend] = ACTIONS(2893),
    [anon_sym_public] = ACTIONS(2893),
    [anon_sym_private] = ACTIONS(2893),
    [anon_sym_protected] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
  },
  [2428] = {
    [sym_template_argument_list] = STATE(2173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [anon_sym_RPAREN] = ACTIONS(4103),
    [anon_sym_LPAREN2] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4095),
    [anon_sym_PLUS] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(4095),
    [anon_sym_SLASH] = ACTIONS(4095),
    [anon_sym_PERCENT] = ACTIONS(4095),
    [anon_sym_PIPE_PIPE] = ACTIONS(4103),
    [anon_sym_AMP_AMP] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4095),
    [anon_sym_CARET] = ACTIONS(4095),
    [anon_sym_AMP] = ACTIONS(4095),
    [anon_sym_EQ_EQ] = ACTIONS(4103),
    [anon_sym_BANG_EQ] = ACTIONS(4103),
    [anon_sym_GT] = ACTIONS(4095),
    [anon_sym_GT_EQ] = ACTIONS(4103),
    [anon_sym_LT_EQ] = ACTIONS(4095),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(4095),
    [anon_sym_GT_GT] = ACTIONS(4095),
    [anon_sym_SEMI] = ACTIONS(4103),
    [anon_sym___attribute__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4103),
    [anon_sym_RBRACE] = ACTIONS(4103),
    [anon_sym_signed] = ACTIONS(5950),
    [anon_sym_unsigned] = ACTIONS(5950),
    [anon_sym_long] = ACTIONS(5950),
    [anon_sym_short] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_COLON] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4103),
    [anon_sym_STAR_EQ] = ACTIONS(4103),
    [anon_sym_SLASH_EQ] = ACTIONS(4103),
    [anon_sym_PERCENT_EQ] = ACTIONS(4103),
    [anon_sym_PLUS_EQ] = ACTIONS(4103),
    [anon_sym_DASH_EQ] = ACTIONS(4103),
    [anon_sym_LT_LT_EQ] = ACTIONS(4103),
    [anon_sym_GT_GT_EQ] = ACTIONS(4103),
    [anon_sym_AMP_EQ] = ACTIONS(4103),
    [anon_sym_CARET_EQ] = ACTIONS(4103),
    [anon_sym_PIPE_EQ] = ACTIONS(4103),
    [anon_sym_and_eq] = ACTIONS(4103),
    [anon_sym_or_eq] = ACTIONS(4103),
    [anon_sym_xor_eq] = ACTIONS(4103),
    [anon_sym_LT_EQ_GT] = ACTIONS(4103),
    [anon_sym_or] = ACTIONS(4095),
    [anon_sym_and] = ACTIONS(4095),
    [anon_sym_bitor] = ACTIONS(4103),
    [anon_sym_xor] = ACTIONS(4095),
    [anon_sym_bitand] = ACTIONS(4103),
    [anon_sym_not_eq] = ACTIONS(4103),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_DOT] = ACTIONS(4095),
    [anon_sym_DOT_STAR] = ACTIONS(4103),
    [anon_sym_DASH_GT] = ACTIONS(4103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_friend] = ACTIONS(3073),
    [anon_sym_public] = ACTIONS(3073),
    [anon_sym_private] = ACTIONS(3073),
    [anon_sym_protected] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
  },
  [2430] = {
    [sym_identifier] = ACTIONS(5575),
    [aux_sym_preproc_def_token1] = ACTIONS(5575),
    [aux_sym_preproc_if_token1] = ACTIONS(5575),
    [aux_sym_preproc_if_token2] = ACTIONS(5575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5575),
    [aux_sym_preproc_else_token1] = ACTIONS(5575),
    [aux_sym_preproc_elif_token1] = ACTIONS(5575),
    [sym_preproc_directive] = ACTIONS(5575),
    [anon_sym_LPAREN2] = ACTIONS(5577),
    [anon_sym_TILDE] = ACTIONS(5577),
    [anon_sym_STAR] = ACTIONS(5577),
    [anon_sym_AMP_AMP] = ACTIONS(5577),
    [anon_sym_AMP] = ACTIONS(5575),
    [anon_sym___extension__] = ACTIONS(5575),
    [anon_sym_typedef] = ACTIONS(5575),
    [anon_sym_extern] = ACTIONS(5575),
    [anon_sym___attribute__] = ACTIONS(5575),
    [anon_sym_COLON_COLON] = ACTIONS(5577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5577),
    [anon_sym___declspec] = ACTIONS(5575),
    [anon_sym___based] = ACTIONS(5575),
    [anon_sym_signed] = ACTIONS(5575),
    [anon_sym_unsigned] = ACTIONS(5575),
    [anon_sym_long] = ACTIONS(5575),
    [anon_sym_short] = ACTIONS(5575),
    [anon_sym_LBRACK] = ACTIONS(5575),
    [anon_sym_static] = ACTIONS(5575),
    [anon_sym_register] = ACTIONS(5575),
    [anon_sym_inline] = ACTIONS(5575),
    [anon_sym___inline] = ACTIONS(5575),
    [anon_sym___inline__] = ACTIONS(5575),
    [anon_sym___forceinline] = ACTIONS(5575),
    [anon_sym_thread_local] = ACTIONS(5575),
    [anon_sym___thread] = ACTIONS(5575),
    [anon_sym_const] = ACTIONS(5575),
    [anon_sym_constexpr] = ACTIONS(5575),
    [anon_sym_volatile] = ACTIONS(5575),
    [anon_sym_restrict] = ACTIONS(5575),
    [anon_sym___restrict__] = ACTIONS(5575),
    [anon_sym__Atomic] = ACTIONS(5575),
    [anon_sym__Noreturn] = ACTIONS(5575),
    [anon_sym_noreturn] = ACTIONS(5575),
    [anon_sym_mutable] = ACTIONS(5575),
    [anon_sym_constinit] = ACTIONS(5575),
    [anon_sym_consteval] = ACTIONS(5575),
    [sym_primitive_type] = ACTIONS(5575),
    [anon_sym_enum] = ACTIONS(5575),
    [anon_sym_class] = ACTIONS(5575),
    [anon_sym_struct] = ACTIONS(5575),
    [anon_sym_union] = ACTIONS(5575),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5575),
    [anon_sym_decltype] = ACTIONS(5575),
    [anon_sym_virtual] = ACTIONS(5575),
    [anon_sym_alignas] = ACTIONS(5575),
    [anon_sym_explicit] = ACTIONS(5575),
    [anon_sym_typename] = ACTIONS(5575),
    [anon_sym_template] = ACTIONS(5575),
    [anon_sym_operator] = ACTIONS(5575),
    [anon_sym_friend] = ACTIONS(5575),
    [anon_sym_public] = ACTIONS(5575),
    [anon_sym_private] = ACTIONS(5575),
    [anon_sym_protected] = ACTIONS(5575),
    [anon_sym_using] = ACTIONS(5575),
    [anon_sym_static_assert] = ACTIONS(5575),
  },
  [2431] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2418),
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5828),
    [anon_sym_COMMA] = ACTIONS(5828),
    [anon_sym_RPAREN] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_STAR] = ACTIONS(5830),
    [anon_sym_SLASH] = ACTIONS(5830),
    [anon_sym_PERCENT] = ACTIONS(5830),
    [anon_sym_PIPE_PIPE] = ACTIONS(5828),
    [anon_sym_AMP_AMP] = ACTIONS(5828),
    [anon_sym_PIPE] = ACTIONS(5830),
    [anon_sym_CARET] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(5830),
    [anon_sym_EQ_EQ] = ACTIONS(5828),
    [anon_sym_BANG_EQ] = ACTIONS(5828),
    [anon_sym_GT] = ACTIONS(5830),
    [anon_sym_GT_EQ] = ACTIONS(5828),
    [anon_sym_LT_EQ] = ACTIONS(5830),
    [anon_sym_LT] = ACTIONS(5830),
    [anon_sym_LT_LT] = ACTIONS(5830),
    [anon_sym_GT_GT] = ACTIONS(5830),
    [anon_sym_SEMI] = ACTIONS(5828),
    [anon_sym___attribute__] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(5828),
    [anon_sym_RBRACE] = ACTIONS(5828),
    [anon_sym_signed] = ACTIONS(5954),
    [anon_sym_unsigned] = ACTIONS(5954),
    [anon_sym_long] = ACTIONS(5954),
    [anon_sym_short] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5828),
    [anon_sym_RBRACK] = ACTIONS(5828),
    [anon_sym_EQ] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(5956),
    [anon_sym_COLON] = ACTIONS(5828),
    [anon_sym_QMARK] = ACTIONS(5828),
    [anon_sym_STAR_EQ] = ACTIONS(5828),
    [anon_sym_SLASH_EQ] = ACTIONS(5828),
    [anon_sym_PERCENT_EQ] = ACTIONS(5828),
    [anon_sym_PLUS_EQ] = ACTIONS(5828),
    [anon_sym_DASH_EQ] = ACTIONS(5828),
    [anon_sym_LT_LT_EQ] = ACTIONS(5828),
    [anon_sym_GT_GT_EQ] = ACTIONS(5828),
    [anon_sym_AMP_EQ] = ACTIONS(5828),
    [anon_sym_CARET_EQ] = ACTIONS(5828),
    [anon_sym_PIPE_EQ] = ACTIONS(5828),
    [anon_sym_and_eq] = ACTIONS(5830),
    [anon_sym_or_eq] = ACTIONS(5830),
    [anon_sym_xor_eq] = ACTIONS(5830),
    [anon_sym_LT_EQ_GT] = ACTIONS(5828),
    [anon_sym_or] = ACTIONS(5830),
    [anon_sym_and] = ACTIONS(5830),
    [anon_sym_bitor] = ACTIONS(5830),
    [anon_sym_xor] = ACTIONS(5830),
    [anon_sym_bitand] = ACTIONS(5830),
    [anon_sym_not_eq] = ACTIONS(5830),
    [anon_sym_DASH_DASH] = ACTIONS(5828),
    [anon_sym_PLUS_PLUS] = ACTIONS(5828),
    [anon_sym_DOT] = ACTIONS(5830),
    [anon_sym_DOT_STAR] = ACTIONS(5828),
    [anon_sym_DASH_GT] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5830),
    [anon_sym_decltype] = ACTIONS(5830),
  },
  [2432] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2433] = {
    [sym_identifier] = ACTIONS(5571),
    [aux_sym_preproc_def_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5571),
    [sym_preproc_directive] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_TILDE] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5571),
    [anon_sym_typedef] = ACTIONS(5571),
    [anon_sym_extern] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym_COLON_COLON] = ACTIONS(5573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5573),
    [anon_sym___declspec] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5571),
    [anon_sym_unsigned] = ACTIONS(5571),
    [anon_sym_long] = ACTIONS(5571),
    [anon_sym_short] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_static] = ACTIONS(5571),
    [anon_sym_register] = ACTIONS(5571),
    [anon_sym_inline] = ACTIONS(5571),
    [anon_sym___inline] = ACTIONS(5571),
    [anon_sym___inline__] = ACTIONS(5571),
    [anon_sym___forceinline] = ACTIONS(5571),
    [anon_sym_thread_local] = ACTIONS(5571),
    [anon_sym___thread] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5571),
    [anon_sym_constexpr] = ACTIONS(5571),
    [anon_sym_volatile] = ACTIONS(5571),
    [anon_sym_restrict] = ACTIONS(5571),
    [anon_sym___restrict__] = ACTIONS(5571),
    [anon_sym__Atomic] = ACTIONS(5571),
    [anon_sym__Noreturn] = ACTIONS(5571),
    [anon_sym_noreturn] = ACTIONS(5571),
    [anon_sym_mutable] = ACTIONS(5571),
    [anon_sym_constinit] = ACTIONS(5571),
    [anon_sym_consteval] = ACTIONS(5571),
    [sym_primitive_type] = ACTIONS(5571),
    [anon_sym_enum] = ACTIONS(5571),
    [anon_sym_class] = ACTIONS(5571),
    [anon_sym_struct] = ACTIONS(5571),
    [anon_sym_union] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
    [anon_sym_virtual] = ACTIONS(5571),
    [anon_sym_alignas] = ACTIONS(5571),
    [anon_sym_explicit] = ACTIONS(5571),
    [anon_sym_typename] = ACTIONS(5571),
    [anon_sym_template] = ACTIONS(5571),
    [anon_sym_operator] = ACTIONS(5571),
    [anon_sym_friend] = ACTIONS(5571),
    [anon_sym_public] = ACTIONS(5571),
    [anon_sym_private] = ACTIONS(5571),
    [anon_sym_protected] = ACTIONS(5571),
    [anon_sym_using] = ACTIONS(5571),
    [anon_sym_static_assert] = ACTIONS(5571),
  },
  [2434] = {
    [sym_identifier] = ACTIONS(3130),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token2] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3130),
    [aux_sym_preproc_else_token1] = ACTIONS(3130),
    [aux_sym_preproc_elif_token1] = ACTIONS(3130),
    [sym_preproc_directive] = ACTIONS(3130),
    [anon_sym_LPAREN2] = ACTIONS(3132),
    [anon_sym_TILDE] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3130),
    [anon_sym_typedef] = ACTIONS(3130),
    [anon_sym_extern] = ACTIONS(3130),
    [anon_sym___attribute__] = ACTIONS(3130),
    [anon_sym_COLON_COLON] = ACTIONS(3132),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3132),
    [anon_sym___declspec] = ACTIONS(3130),
    [anon_sym___based] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3130),
    [anon_sym_unsigned] = ACTIONS(3130),
    [anon_sym_long] = ACTIONS(3130),
    [anon_sym_short] = ACTIONS(3130),
    [anon_sym_LBRACK] = ACTIONS(3130),
    [anon_sym_static] = ACTIONS(3130),
    [anon_sym_register] = ACTIONS(3130),
    [anon_sym_inline] = ACTIONS(3130),
    [anon_sym___inline] = ACTIONS(3130),
    [anon_sym___inline__] = ACTIONS(3130),
    [anon_sym___forceinline] = ACTIONS(3130),
    [anon_sym_thread_local] = ACTIONS(3130),
    [anon_sym___thread] = ACTIONS(3130),
    [anon_sym_const] = ACTIONS(3130),
    [anon_sym_constexpr] = ACTIONS(3130),
    [anon_sym_volatile] = ACTIONS(3130),
    [anon_sym_restrict] = ACTIONS(3130),
    [anon_sym___restrict__] = ACTIONS(3130),
    [anon_sym__Atomic] = ACTIONS(3130),
    [anon_sym__Noreturn] = ACTIONS(3130),
    [anon_sym_noreturn] = ACTIONS(3130),
    [anon_sym_mutable] = ACTIONS(3130),
    [anon_sym_constinit] = ACTIONS(3130),
    [anon_sym_consteval] = ACTIONS(3130),
    [sym_primitive_type] = ACTIONS(3130),
    [anon_sym_enum] = ACTIONS(3130),
    [anon_sym_class] = ACTIONS(3130),
    [anon_sym_struct] = ACTIONS(3130),
    [anon_sym_union] = ACTIONS(3130),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3130),
    [anon_sym_decltype] = ACTIONS(3130),
    [anon_sym_virtual] = ACTIONS(3130),
    [anon_sym_alignas] = ACTIONS(3130),
    [anon_sym_explicit] = ACTIONS(3130),
    [anon_sym_typename] = ACTIONS(3130),
    [anon_sym_template] = ACTIONS(3130),
    [anon_sym_operator] = ACTIONS(3130),
    [anon_sym_friend] = ACTIONS(3130),
    [anon_sym_public] = ACTIONS(3130),
    [anon_sym_private] = ACTIONS(3130),
    [anon_sym_protected] = ACTIONS(3130),
    [anon_sym_using] = ACTIONS(3130),
    [anon_sym_static_assert] = ACTIONS(3130),
  },
  [2435] = {
    [sym_string_literal] = STATE(3007),
    [sym_template_argument_list] = STATE(4318),
    [sym_raw_string_literal] = STATE(3007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5529),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5960),
    [anon_sym_or_eq] = ACTIONS(5960),
    [anon_sym_xor_eq] = ACTIONS(5960),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(3695),
    [anon_sym_u_DQUOTE] = ACTIONS(3695),
    [anon_sym_U_DQUOTE] = ACTIONS(3695),
    [anon_sym_u8_DQUOTE] = ACTIONS(3695),
    [anon_sym_DQUOTE] = ACTIONS(3695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3699),
    [anon_sym_LR_DQUOTE] = ACTIONS(3699),
    [anon_sym_uR_DQUOTE] = ACTIONS(3699),
    [anon_sym_UR_DQUOTE] = ACTIONS(3699),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3699),
  },
  [2436] = {
    [sym_attribute_specifier] = STATE(2528),
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [aux_sym_preproc_if_token2] = ACTIONS(5964),
    [aux_sym_preproc_else_token1] = ACTIONS(5964),
    [aux_sym_preproc_elif_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5964),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_RBRACE] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5964),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_STAR_EQ] = ACTIONS(5964),
    [anon_sym_SLASH_EQ] = ACTIONS(5964),
    [anon_sym_PERCENT_EQ] = ACTIONS(5964),
    [anon_sym_PLUS_EQ] = ACTIONS(5964),
    [anon_sym_DASH_EQ] = ACTIONS(5964),
    [anon_sym_LT_LT_EQ] = ACTIONS(5964),
    [anon_sym_GT_GT_EQ] = ACTIONS(5964),
    [anon_sym_AMP_EQ] = ACTIONS(5964),
    [anon_sym_CARET_EQ] = ACTIONS(5964),
    [anon_sym_PIPE_EQ] = ACTIONS(5964),
    [anon_sym_and_eq] = ACTIONS(5962),
    [anon_sym_or_eq] = ACTIONS(5962),
    [anon_sym_xor_eq] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5962),
    [anon_sym_decltype] = ACTIONS(5962),
  },
  [2437] = {
    [sym_attribute_specifier] = STATE(2557),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
  },
  [2438] = {
    [sym_string_literal] = STATE(2389),
    [sym_raw_string_literal] = STATE(2389),
    [aux_sym_concatenated_string_repeat1] = STATE(2389),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5323),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_DASH] = ACTIONS(5325),
    [anon_sym_PLUS] = ACTIONS(5325),
    [anon_sym_STAR] = ACTIONS(5325),
    [anon_sym_SLASH] = ACTIONS(5325),
    [anon_sym_PERCENT] = ACTIONS(5325),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_PIPE] = ACTIONS(5325),
    [anon_sym_CARET] = ACTIONS(5325),
    [anon_sym_AMP] = ACTIONS(5325),
    [anon_sym_EQ_EQ] = ACTIONS(5323),
    [anon_sym_BANG_EQ] = ACTIONS(5323),
    [anon_sym_GT] = ACTIONS(5325),
    [anon_sym_GT_EQ] = ACTIONS(5325),
    [anon_sym_LT_EQ] = ACTIONS(5325),
    [anon_sym_LT] = ACTIONS(5325),
    [anon_sym_LT_LT] = ACTIONS(5325),
    [anon_sym_GT_GT] = ACTIONS(5325),
    [anon_sym_LBRACK] = ACTIONS(5323),
    [anon_sym_EQ] = ACTIONS(5325),
    [anon_sym_QMARK] = ACTIONS(5323),
    [anon_sym_STAR_EQ] = ACTIONS(5323),
    [anon_sym_SLASH_EQ] = ACTIONS(5323),
    [anon_sym_PERCENT_EQ] = ACTIONS(5323),
    [anon_sym_PLUS_EQ] = ACTIONS(5323),
    [anon_sym_DASH_EQ] = ACTIONS(5323),
    [anon_sym_LT_LT_EQ] = ACTIONS(5323),
    [anon_sym_GT_GT_EQ] = ACTIONS(5325),
    [anon_sym_AMP_EQ] = ACTIONS(5323),
    [anon_sym_CARET_EQ] = ACTIONS(5323),
    [anon_sym_PIPE_EQ] = ACTIONS(5323),
    [anon_sym_and_eq] = ACTIONS(5325),
    [anon_sym_or_eq] = ACTIONS(5325),
    [anon_sym_xor_eq] = ACTIONS(5325),
    [anon_sym_LT_EQ_GT] = ACTIONS(5323),
    [anon_sym_or] = ACTIONS(5325),
    [anon_sym_and] = ACTIONS(5325),
    [anon_sym_bitor] = ACTIONS(5325),
    [anon_sym_xor] = ACTIONS(5325),
    [anon_sym_bitand] = ACTIONS(5325),
    [anon_sym_not_eq] = ACTIONS(5325),
    [anon_sym_DASH_DASH] = ACTIONS(5323),
    [anon_sym_PLUS_PLUS] = ACTIONS(5323),
    [anon_sym_DOT] = ACTIONS(5325),
    [anon_sym_DOT_STAR] = ACTIONS(5323),
    [anon_sym_DASH_GT] = ACTIONS(5323),
    [anon_sym_L_DQUOTE] = ACTIONS(5901),
    [anon_sym_u_DQUOTE] = ACTIONS(5901),
    [anon_sym_U_DQUOTE] = ACTIONS(5901),
    [anon_sym_u8_DQUOTE] = ACTIONS(5901),
    [anon_sym_DQUOTE] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5323),
    [anon_sym_R_DQUOTE] = ACTIONS(5903),
    [anon_sym_LR_DQUOTE] = ACTIONS(5903),
    [anon_sym_uR_DQUOTE] = ACTIONS(5903),
    [anon_sym_UR_DQUOTE] = ACTIONS(5903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5903),
    [sym_literal_suffix] = ACTIONS(5325),
  },
  [2439] = {
    [sym_attribute_specifier] = STATE(2516),
    [sym_identifier] = ACTIONS(5972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5974),
    [anon_sym_COMMA] = ACTIONS(5974),
    [anon_sym_RPAREN] = ACTIONS(5974),
    [aux_sym_preproc_if_token2] = ACTIONS(5974),
    [aux_sym_preproc_else_token1] = ACTIONS(5974),
    [aux_sym_preproc_elif_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5974),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5974),
    [anon_sym_LPAREN2] = ACTIONS(5974),
    [anon_sym_DASH] = ACTIONS(5972),
    [anon_sym_PLUS] = ACTIONS(5972),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5972),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5974),
    [anon_sym_AMP_AMP] = ACTIONS(5974),
    [anon_sym_PIPE] = ACTIONS(5972),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5972),
    [anon_sym_EQ_EQ] = ACTIONS(5974),
    [anon_sym_BANG_EQ] = ACTIONS(5974),
    [anon_sym_GT] = ACTIONS(5972),
    [anon_sym_GT_EQ] = ACTIONS(5974),
    [anon_sym_LT_EQ] = ACTIONS(5972),
    [anon_sym_LT] = ACTIONS(5972),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5974),
    [anon_sym_RBRACE] = ACTIONS(5974),
    [anon_sym_LBRACK] = ACTIONS(5974),
    [anon_sym_RBRACK] = ACTIONS(5974),
    [anon_sym_EQ] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5974),
    [anon_sym_QMARK] = ACTIONS(5974),
    [anon_sym_STAR_EQ] = ACTIONS(5974),
    [anon_sym_SLASH_EQ] = ACTIONS(5974),
    [anon_sym_PERCENT_EQ] = ACTIONS(5974),
    [anon_sym_PLUS_EQ] = ACTIONS(5974),
    [anon_sym_DASH_EQ] = ACTIONS(5974),
    [anon_sym_LT_LT_EQ] = ACTIONS(5974),
    [anon_sym_GT_GT_EQ] = ACTIONS(5974),
    [anon_sym_AMP_EQ] = ACTIONS(5974),
    [anon_sym_CARET_EQ] = ACTIONS(5974),
    [anon_sym_PIPE_EQ] = ACTIONS(5974),
    [anon_sym_and_eq] = ACTIONS(5972),
    [anon_sym_or_eq] = ACTIONS(5972),
    [anon_sym_xor_eq] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5974),
    [anon_sym_or] = ACTIONS(5972),
    [anon_sym_and] = ACTIONS(5972),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5972),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5974),
    [anon_sym_PLUS_PLUS] = ACTIONS(5974),
    [anon_sym_DOT] = ACTIONS(5972),
    [anon_sym_DOT_STAR] = ACTIONS(5974),
    [anon_sym_DASH_GT] = ACTIONS(5974),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5972),
    [anon_sym_decltype] = ACTIONS(5972),
  },
  [2440] = {
    [sym_attribute_specifier] = STATE(2555),
    [sym_identifier] = ACTIONS(5976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5978),
    [anon_sym_COMMA] = ACTIONS(5978),
    [anon_sym_RPAREN] = ACTIONS(5978),
    [aux_sym_preproc_if_token2] = ACTIONS(5978),
    [aux_sym_preproc_else_token1] = ACTIONS(5978),
    [aux_sym_preproc_elif_token1] = ACTIONS(5976),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5978),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5978),
    [anon_sym_LPAREN2] = ACTIONS(5978),
    [anon_sym_DASH] = ACTIONS(5976),
    [anon_sym_PLUS] = ACTIONS(5976),
    [anon_sym_STAR] = ACTIONS(5976),
    [anon_sym_SLASH] = ACTIONS(5976),
    [anon_sym_PERCENT] = ACTIONS(5976),
    [anon_sym_PIPE_PIPE] = ACTIONS(5978),
    [anon_sym_AMP_AMP] = ACTIONS(5978),
    [anon_sym_PIPE] = ACTIONS(5976),
    [anon_sym_CARET] = ACTIONS(5976),
    [anon_sym_AMP] = ACTIONS(5976),
    [anon_sym_EQ_EQ] = ACTIONS(5978),
    [anon_sym_BANG_EQ] = ACTIONS(5978),
    [anon_sym_GT] = ACTIONS(5976),
    [anon_sym_GT_EQ] = ACTIONS(5978),
    [anon_sym_LT_EQ] = ACTIONS(5976),
    [anon_sym_LT] = ACTIONS(5976),
    [anon_sym_LT_LT] = ACTIONS(5976),
    [anon_sym_GT_GT] = ACTIONS(5976),
    [anon_sym_SEMI] = ACTIONS(5978),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5978),
    [anon_sym_RBRACE] = ACTIONS(5978),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_RBRACK] = ACTIONS(5978),
    [anon_sym_EQ] = ACTIONS(5976),
    [anon_sym_COLON] = ACTIONS(5978),
    [anon_sym_QMARK] = ACTIONS(5978),
    [anon_sym_STAR_EQ] = ACTIONS(5978),
    [anon_sym_SLASH_EQ] = ACTIONS(5978),
    [anon_sym_PERCENT_EQ] = ACTIONS(5978),
    [anon_sym_PLUS_EQ] = ACTIONS(5978),
    [anon_sym_DASH_EQ] = ACTIONS(5978),
    [anon_sym_LT_LT_EQ] = ACTIONS(5978),
    [anon_sym_GT_GT_EQ] = ACTIONS(5978),
    [anon_sym_AMP_EQ] = ACTIONS(5978),
    [anon_sym_CARET_EQ] = ACTIONS(5978),
    [anon_sym_PIPE_EQ] = ACTIONS(5978),
    [anon_sym_and_eq] = ACTIONS(5976),
    [anon_sym_or_eq] = ACTIONS(5976),
    [anon_sym_xor_eq] = ACTIONS(5976),
    [anon_sym_LT_EQ_GT] = ACTIONS(5978),
    [anon_sym_or] = ACTIONS(5976),
    [anon_sym_and] = ACTIONS(5976),
    [anon_sym_bitor] = ACTIONS(5976),
    [anon_sym_xor] = ACTIONS(5976),
    [anon_sym_bitand] = ACTIONS(5976),
    [anon_sym_not_eq] = ACTIONS(5976),
    [anon_sym_DASH_DASH] = ACTIONS(5978),
    [anon_sym_PLUS_PLUS] = ACTIONS(5978),
    [anon_sym_DOT] = ACTIONS(5976),
    [anon_sym_DOT_STAR] = ACTIONS(5978),
    [anon_sym_DASH_GT] = ACTIONS(5978),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5976),
    [anon_sym_decltype] = ACTIONS(5976),
  },
  [2441] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_friend] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
  },
  [2442] = {
    [sym_identifier] = ACTIONS(5571),
    [aux_sym_preproc_def_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token1] = ACTIONS(5571),
    [aux_sym_preproc_if_token2] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5571),
    [aux_sym_preproc_else_token1] = ACTIONS(5571),
    [aux_sym_preproc_elif_token1] = ACTIONS(5571),
    [sym_preproc_directive] = ACTIONS(5571),
    [anon_sym_LPAREN2] = ACTIONS(5573),
    [anon_sym_TILDE] = ACTIONS(5573),
    [anon_sym_STAR] = ACTIONS(5573),
    [anon_sym_AMP_AMP] = ACTIONS(5573),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5571),
    [anon_sym_typedef] = ACTIONS(5571),
    [anon_sym_extern] = ACTIONS(5571),
    [anon_sym___attribute__] = ACTIONS(5571),
    [anon_sym_COLON_COLON] = ACTIONS(5573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5573),
    [anon_sym___declspec] = ACTIONS(5571),
    [anon_sym___based] = ACTIONS(5571),
    [anon_sym_signed] = ACTIONS(5571),
    [anon_sym_unsigned] = ACTIONS(5571),
    [anon_sym_long] = ACTIONS(5571),
    [anon_sym_short] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_static] = ACTIONS(5571),
    [anon_sym_register] = ACTIONS(5571),
    [anon_sym_inline] = ACTIONS(5571),
    [anon_sym___inline] = ACTIONS(5571),
    [anon_sym___inline__] = ACTIONS(5571),
    [anon_sym___forceinline] = ACTIONS(5571),
    [anon_sym_thread_local] = ACTIONS(5571),
    [anon_sym___thread] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5571),
    [anon_sym_constexpr] = ACTIONS(5571),
    [anon_sym_volatile] = ACTIONS(5571),
    [anon_sym_restrict] = ACTIONS(5571),
    [anon_sym___restrict__] = ACTIONS(5571),
    [anon_sym__Atomic] = ACTIONS(5571),
    [anon_sym__Noreturn] = ACTIONS(5571),
    [anon_sym_noreturn] = ACTIONS(5571),
    [anon_sym_mutable] = ACTIONS(5571),
    [anon_sym_constinit] = ACTIONS(5571),
    [anon_sym_consteval] = ACTIONS(5571),
    [sym_primitive_type] = ACTIONS(5571),
    [anon_sym_enum] = ACTIONS(5571),
    [anon_sym_class] = ACTIONS(5571),
    [anon_sym_struct] = ACTIONS(5571),
    [anon_sym_union] = ACTIONS(5571),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5571),
    [anon_sym_decltype] = ACTIONS(5571),
    [anon_sym_virtual] = ACTIONS(5571),
    [anon_sym_alignas] = ACTIONS(5571),
    [anon_sym_explicit] = ACTIONS(5571),
    [anon_sym_typename] = ACTIONS(5571),
    [anon_sym_template] = ACTIONS(5571),
    [anon_sym_operator] = ACTIONS(5571),
    [anon_sym_friend] = ACTIONS(5571),
    [anon_sym_public] = ACTIONS(5571),
    [anon_sym_private] = ACTIONS(5571),
    [anon_sym_protected] = ACTIONS(5571),
    [anon_sym_using] = ACTIONS(5571),
    [anon_sym_static_assert] = ACTIONS(5571),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_friend] = ACTIONS(3077),
    [anon_sym_public] = ACTIONS(3077),
    [anon_sym_private] = ACTIONS(3077),
    [anon_sym_protected] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(3509),
    [anon_sym_LPAREN2] = ACTIONS(3511),
    [anon_sym_BANG] = ACTIONS(3511),
    [anon_sym_TILDE] = ACTIONS(3511),
    [anon_sym_DASH] = ACTIONS(3509),
    [anon_sym_PLUS] = ACTIONS(3509),
    [anon_sym_STAR] = ACTIONS(3511),
    [anon_sym_AMP] = ACTIONS(3511),
    [anon_sym___extension__] = ACTIONS(3509),
    [anon_sym_COLON_COLON] = ACTIONS(3511),
    [anon_sym_LBRACK] = ACTIONS(3511),
    [anon_sym_RBRACK] = ACTIONS(3511),
    [anon_sym_const] = ACTIONS(3509),
    [anon_sym_constexpr] = ACTIONS(3509),
    [anon_sym_volatile] = ACTIONS(3509),
    [anon_sym_restrict] = ACTIONS(3509),
    [anon_sym___restrict__] = ACTIONS(3509),
    [anon_sym__Atomic] = ACTIONS(3509),
    [anon_sym__Noreturn] = ACTIONS(3509),
    [anon_sym_noreturn] = ACTIONS(3509),
    [anon_sym_mutable] = ACTIONS(3509),
    [anon_sym_constinit] = ACTIONS(3509),
    [anon_sym_consteval] = ACTIONS(3509),
    [sym_primitive_type] = ACTIONS(3509),
    [anon_sym_not] = ACTIONS(3509),
    [anon_sym_compl] = ACTIONS(3509),
    [anon_sym_DASH_DASH] = ACTIONS(3511),
    [anon_sym_PLUS_PLUS] = ACTIONS(3511),
    [anon_sym_sizeof] = ACTIONS(3509),
    [anon_sym___alignof__] = ACTIONS(3509),
    [anon_sym___alignof] = ACTIONS(3509),
    [anon_sym__alignof] = ACTIONS(3509),
    [anon_sym_alignof] = ACTIONS(3509),
    [anon_sym__Alignof] = ACTIONS(3509),
    [anon_sym_offsetof] = ACTIONS(3509),
    [anon_sym__Generic] = ACTIONS(3509),
    [anon_sym_asm] = ACTIONS(3509),
    [anon_sym___asm__] = ACTIONS(3509),
    [sym_number_literal] = ACTIONS(3511),
    [anon_sym_L_SQUOTE] = ACTIONS(3511),
    [anon_sym_u_SQUOTE] = ACTIONS(3511),
    [anon_sym_U_SQUOTE] = ACTIONS(3511),
    [anon_sym_u8_SQUOTE] = ACTIONS(3511),
    [anon_sym_SQUOTE] = ACTIONS(3511),
    [anon_sym_L_DQUOTE] = ACTIONS(3511),
    [anon_sym_u_DQUOTE] = ACTIONS(3511),
    [anon_sym_U_DQUOTE] = ACTIONS(3511),
    [anon_sym_u8_DQUOTE] = ACTIONS(3511),
    [anon_sym_DQUOTE] = ACTIONS(3511),
    [sym_true] = ACTIONS(3509),
    [sym_false] = ACTIONS(3509),
    [anon_sym_NULL] = ACTIONS(3509),
    [anon_sym_nullptr] = ACTIONS(3509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3509),
    [anon_sym_template] = ACTIONS(3509),
    [anon_sym_delete] = ACTIONS(3509),
    [anon_sym_R_DQUOTE] = ACTIONS(3511),
    [anon_sym_LR_DQUOTE] = ACTIONS(3511),
    [anon_sym_uR_DQUOTE] = ACTIONS(3511),
    [anon_sym_UR_DQUOTE] = ACTIONS(3511),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3511),
    [anon_sym_co_await] = ACTIONS(3509),
    [anon_sym_new] = ACTIONS(3509),
    [anon_sym_requires] = ACTIONS(3509),
    [sym_this] = ACTIONS(3509),
  },
  [2445] = {
    [sym_template_argument_list] = STATE(2026),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5789),
    [anon_sym_COMMA] = ACTIONS(5789),
    [anon_sym_RPAREN] = ACTIONS(5789),
    [anon_sym_LPAREN2] = ACTIONS(5789),
    [anon_sym_DASH] = ACTIONS(5787),
    [anon_sym_PLUS] = ACTIONS(5787),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_SLASH] = ACTIONS(5787),
    [anon_sym_PERCENT] = ACTIONS(5787),
    [anon_sym_PIPE_PIPE] = ACTIONS(5789),
    [anon_sym_AMP_AMP] = ACTIONS(5789),
    [anon_sym_PIPE] = ACTIONS(5787),
    [anon_sym_CARET] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5787),
    [anon_sym_EQ_EQ] = ACTIONS(5789),
    [anon_sym_BANG_EQ] = ACTIONS(5789),
    [anon_sym_GT] = ACTIONS(5787),
    [anon_sym_GT_EQ] = ACTIONS(5789),
    [anon_sym_LT_EQ] = ACTIONS(5787),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym_LT_LT] = ACTIONS(5787),
    [anon_sym_GT_GT] = ACTIONS(5787),
    [anon_sym_SEMI] = ACTIONS(5789),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5789),
    [anon_sym_RBRACE] = ACTIONS(5789),
    [anon_sym_signed] = ACTIONS(5950),
    [anon_sym_unsigned] = ACTIONS(5950),
    [anon_sym_long] = ACTIONS(5950),
    [anon_sym_short] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5789),
    [anon_sym_RBRACK] = ACTIONS(5789),
    [anon_sym_EQ] = ACTIONS(5787),
    [anon_sym_COLON] = ACTIONS(5787),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_STAR_EQ] = ACTIONS(5789),
    [anon_sym_SLASH_EQ] = ACTIONS(5789),
    [anon_sym_PERCENT_EQ] = ACTIONS(5789),
    [anon_sym_PLUS_EQ] = ACTIONS(5789),
    [anon_sym_DASH_EQ] = ACTIONS(5789),
    [anon_sym_LT_LT_EQ] = ACTIONS(5789),
    [anon_sym_GT_GT_EQ] = ACTIONS(5789),
    [anon_sym_AMP_EQ] = ACTIONS(5789),
    [anon_sym_CARET_EQ] = ACTIONS(5789),
    [anon_sym_PIPE_EQ] = ACTIONS(5789),
    [anon_sym_and_eq] = ACTIONS(5789),
    [anon_sym_or_eq] = ACTIONS(5789),
    [anon_sym_xor_eq] = ACTIONS(5789),
    [anon_sym_LT_EQ_GT] = ACTIONS(5789),
    [anon_sym_or] = ACTIONS(5787),
    [anon_sym_and] = ACTIONS(5787),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5787),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5789),
    [anon_sym_PLUS_PLUS] = ACTIONS(5789),
    [anon_sym_DOT] = ACTIONS(5787),
    [anon_sym_DOT_STAR] = ACTIONS(5789),
    [anon_sym_DASH_GT] = ACTIONS(5789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
  },
  [2446] = {
    [sym_attribute_specifier] = STATE(2576),
    [sym_identifier] = ACTIONS(5980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5982),
    [anon_sym_COMMA] = ACTIONS(5982),
    [anon_sym_RPAREN] = ACTIONS(5982),
    [aux_sym_preproc_if_token2] = ACTIONS(5982),
    [aux_sym_preproc_else_token1] = ACTIONS(5982),
    [aux_sym_preproc_elif_token1] = ACTIONS(5980),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5982),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5982),
    [anon_sym_LPAREN2] = ACTIONS(5982),
    [anon_sym_DASH] = ACTIONS(5980),
    [anon_sym_PLUS] = ACTIONS(5980),
    [anon_sym_STAR] = ACTIONS(5980),
    [anon_sym_SLASH] = ACTIONS(5980),
    [anon_sym_PERCENT] = ACTIONS(5980),
    [anon_sym_PIPE_PIPE] = ACTIONS(5982),
    [anon_sym_AMP_AMP] = ACTIONS(5982),
    [anon_sym_PIPE] = ACTIONS(5980),
    [anon_sym_CARET] = ACTIONS(5980),
    [anon_sym_AMP] = ACTIONS(5980),
    [anon_sym_EQ_EQ] = ACTIONS(5982),
    [anon_sym_BANG_EQ] = ACTIONS(5982),
    [anon_sym_GT] = ACTIONS(5980),
    [anon_sym_GT_EQ] = ACTIONS(5982),
    [anon_sym_LT_EQ] = ACTIONS(5980),
    [anon_sym_LT] = ACTIONS(5980),
    [anon_sym_LT_LT] = ACTIONS(5980),
    [anon_sym_GT_GT] = ACTIONS(5980),
    [anon_sym_SEMI] = ACTIONS(5982),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5982),
    [anon_sym_RBRACE] = ACTIONS(5982),
    [anon_sym_LBRACK] = ACTIONS(5982),
    [anon_sym_RBRACK] = ACTIONS(5982),
    [anon_sym_EQ] = ACTIONS(5980),
    [anon_sym_COLON] = ACTIONS(5982),
    [anon_sym_QMARK] = ACTIONS(5982),
    [anon_sym_STAR_EQ] = ACTIONS(5982),
    [anon_sym_SLASH_EQ] = ACTIONS(5982),
    [anon_sym_PERCENT_EQ] = ACTIONS(5982),
    [anon_sym_PLUS_EQ] = ACTIONS(5982),
    [anon_sym_DASH_EQ] = ACTIONS(5982),
    [anon_sym_LT_LT_EQ] = ACTIONS(5982),
    [anon_sym_GT_GT_EQ] = ACTIONS(5982),
    [anon_sym_AMP_EQ] = ACTIONS(5982),
    [anon_sym_CARET_EQ] = ACTIONS(5982),
    [anon_sym_PIPE_EQ] = ACTIONS(5982),
    [anon_sym_and_eq] = ACTIONS(5980),
    [anon_sym_or_eq] = ACTIONS(5980),
    [anon_sym_xor_eq] = ACTIONS(5980),
    [anon_sym_LT_EQ_GT] = ACTIONS(5982),
    [anon_sym_or] = ACTIONS(5980),
    [anon_sym_and] = ACTIONS(5980),
    [anon_sym_bitor] = ACTIONS(5980),
    [anon_sym_xor] = ACTIONS(5980),
    [anon_sym_bitand] = ACTIONS(5980),
    [anon_sym_not_eq] = ACTIONS(5980),
    [anon_sym_DASH_DASH] = ACTIONS(5982),
    [anon_sym_PLUS_PLUS] = ACTIONS(5982),
    [anon_sym_DOT] = ACTIONS(5980),
    [anon_sym_DOT_STAR] = ACTIONS(5982),
    [anon_sym_DASH_GT] = ACTIONS(5982),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5980),
    [anon_sym_decltype] = ACTIONS(5980),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(3085),
    [aux_sym_preproc_def_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token1] = ACTIONS(3085),
    [aux_sym_preproc_if_token2] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3085),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3085),
    [aux_sym_preproc_else_token1] = ACTIONS(3085),
    [aux_sym_preproc_elif_token1] = ACTIONS(3085),
    [sym_preproc_directive] = ACTIONS(3085),
    [anon_sym_LPAREN2] = ACTIONS(3087),
    [anon_sym_TILDE] = ACTIONS(3087),
    [anon_sym_STAR] = ACTIONS(3087),
    [anon_sym_AMP_AMP] = ACTIONS(3087),
    [anon_sym_AMP] = ACTIONS(3085),
    [anon_sym___extension__] = ACTIONS(3085),
    [anon_sym_typedef] = ACTIONS(3085),
    [anon_sym_extern] = ACTIONS(3085),
    [anon_sym___attribute__] = ACTIONS(3085),
    [anon_sym_COLON_COLON] = ACTIONS(3087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3087),
    [anon_sym___declspec] = ACTIONS(3085),
    [anon_sym___based] = ACTIONS(3085),
    [anon_sym_signed] = ACTIONS(3085),
    [anon_sym_unsigned] = ACTIONS(3085),
    [anon_sym_long] = ACTIONS(3085),
    [anon_sym_short] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(3085),
    [anon_sym_static] = ACTIONS(3085),
    [anon_sym_register] = ACTIONS(3085),
    [anon_sym_inline] = ACTIONS(3085),
    [anon_sym___inline] = ACTIONS(3085),
    [anon_sym___inline__] = ACTIONS(3085),
    [anon_sym___forceinline] = ACTIONS(3085),
    [anon_sym_thread_local] = ACTIONS(3085),
    [anon_sym___thread] = ACTIONS(3085),
    [anon_sym_const] = ACTIONS(3085),
    [anon_sym_constexpr] = ACTIONS(3085),
    [anon_sym_volatile] = ACTIONS(3085),
    [anon_sym_restrict] = ACTIONS(3085),
    [anon_sym___restrict__] = ACTIONS(3085),
    [anon_sym__Atomic] = ACTIONS(3085),
    [anon_sym__Noreturn] = ACTIONS(3085),
    [anon_sym_noreturn] = ACTIONS(3085),
    [anon_sym_mutable] = ACTIONS(3085),
    [anon_sym_constinit] = ACTIONS(3085),
    [anon_sym_consteval] = ACTIONS(3085),
    [sym_primitive_type] = ACTIONS(3085),
    [anon_sym_enum] = ACTIONS(3085),
    [anon_sym_class] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(3085),
    [anon_sym_union] = ACTIONS(3085),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3085),
    [anon_sym_decltype] = ACTIONS(3085),
    [anon_sym_virtual] = ACTIONS(3085),
    [anon_sym_alignas] = ACTIONS(3085),
    [anon_sym_explicit] = ACTIONS(3085),
    [anon_sym_typename] = ACTIONS(3085),
    [anon_sym_template] = ACTIONS(3085),
    [anon_sym_operator] = ACTIONS(3085),
    [anon_sym_friend] = ACTIONS(3085),
    [anon_sym_public] = ACTIONS(3085),
    [anon_sym_private] = ACTIONS(3085),
    [anon_sym_protected] = ACTIONS(3085),
    [anon_sym_using] = ACTIONS(3085),
    [anon_sym_static_assert] = ACTIONS(3085),
  },
  [2449] = {
    [sym_identifier] = ACTIONS(3268),
    [aux_sym_preproc_def_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token1] = ACTIONS(3268),
    [aux_sym_preproc_if_token2] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3268),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3268),
    [aux_sym_preproc_else_token1] = ACTIONS(3268),
    [aux_sym_preproc_elif_token1] = ACTIONS(3268),
    [sym_preproc_directive] = ACTIONS(3268),
    [anon_sym_LPAREN2] = ACTIONS(3270),
    [anon_sym_TILDE] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3270),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym___extension__] = ACTIONS(3268),
    [anon_sym_typedef] = ACTIONS(3268),
    [anon_sym_extern] = ACTIONS(3268),
    [anon_sym___attribute__] = ACTIONS(3268),
    [anon_sym_COLON_COLON] = ACTIONS(3270),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3270),
    [anon_sym___declspec] = ACTIONS(3268),
    [anon_sym___based] = ACTIONS(3268),
    [anon_sym_signed] = ACTIONS(3268),
    [anon_sym_unsigned] = ACTIONS(3268),
    [anon_sym_long] = ACTIONS(3268),
    [anon_sym_short] = ACTIONS(3268),
    [anon_sym_LBRACK] = ACTIONS(3268),
    [anon_sym_static] = ACTIONS(3268),
    [anon_sym_register] = ACTIONS(3268),
    [anon_sym_inline] = ACTIONS(3268),
    [anon_sym___inline] = ACTIONS(3268),
    [anon_sym___inline__] = ACTIONS(3268),
    [anon_sym___forceinline] = ACTIONS(3268),
    [anon_sym_thread_local] = ACTIONS(3268),
    [anon_sym___thread] = ACTIONS(3268),
    [anon_sym_const] = ACTIONS(3268),
    [anon_sym_constexpr] = ACTIONS(3268),
    [anon_sym_volatile] = ACTIONS(3268),
    [anon_sym_restrict] = ACTIONS(3268),
    [anon_sym___restrict__] = ACTIONS(3268),
    [anon_sym__Atomic] = ACTIONS(3268),
    [anon_sym__Noreturn] = ACTIONS(3268),
    [anon_sym_noreturn] = ACTIONS(3268),
    [anon_sym_mutable] = ACTIONS(3268),
    [anon_sym_constinit] = ACTIONS(3268),
    [anon_sym_consteval] = ACTIONS(3268),
    [sym_primitive_type] = ACTIONS(3268),
    [anon_sym_enum] = ACTIONS(3268),
    [anon_sym_class] = ACTIONS(3268),
    [anon_sym_struct] = ACTIONS(3268),
    [anon_sym_union] = ACTIONS(3268),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3268),
    [anon_sym_decltype] = ACTIONS(3268),
    [anon_sym_virtual] = ACTIONS(3268),
    [anon_sym_alignas] = ACTIONS(3268),
    [anon_sym_explicit] = ACTIONS(3268),
    [anon_sym_typename] = ACTIONS(3268),
    [anon_sym_template] = ACTIONS(3268),
    [anon_sym_operator] = ACTIONS(3268),
    [anon_sym_friend] = ACTIONS(3268),
    [anon_sym_public] = ACTIONS(3268),
    [anon_sym_private] = ACTIONS(3268),
    [anon_sym_protected] = ACTIONS(3268),
    [anon_sym_using] = ACTIONS(3268),
    [anon_sym_static_assert] = ACTIONS(3268),
  },
  [2450] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_friend] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
  },
  [2451] = {
    [sym_attribute_specifier] = STATE(2558),
    [sym_identifier] = ACTIONS(5984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5986),
    [anon_sym_COMMA] = ACTIONS(5986),
    [anon_sym_RPAREN] = ACTIONS(5986),
    [aux_sym_preproc_if_token2] = ACTIONS(5986),
    [aux_sym_preproc_else_token1] = ACTIONS(5986),
    [aux_sym_preproc_elif_token1] = ACTIONS(5984),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5986),
    [anon_sym_LPAREN2] = ACTIONS(5986),
    [anon_sym_DASH] = ACTIONS(5984),
    [anon_sym_PLUS] = ACTIONS(5984),
    [anon_sym_STAR] = ACTIONS(5984),
    [anon_sym_SLASH] = ACTIONS(5984),
    [anon_sym_PERCENT] = ACTIONS(5984),
    [anon_sym_PIPE_PIPE] = ACTIONS(5986),
    [anon_sym_AMP_AMP] = ACTIONS(5986),
    [anon_sym_PIPE] = ACTIONS(5984),
    [anon_sym_CARET] = ACTIONS(5984),
    [anon_sym_AMP] = ACTIONS(5984),
    [anon_sym_EQ_EQ] = ACTIONS(5986),
    [anon_sym_BANG_EQ] = ACTIONS(5986),
    [anon_sym_GT] = ACTIONS(5984),
    [anon_sym_GT_EQ] = ACTIONS(5986),
    [anon_sym_LT_EQ] = ACTIONS(5984),
    [anon_sym_LT] = ACTIONS(5984),
    [anon_sym_LT_LT] = ACTIONS(5984),
    [anon_sym_GT_GT] = ACTIONS(5984),
    [anon_sym_SEMI] = ACTIONS(5986),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5986),
    [anon_sym_RBRACE] = ACTIONS(5986),
    [anon_sym_LBRACK] = ACTIONS(5986),
    [anon_sym_RBRACK] = ACTIONS(5986),
    [anon_sym_EQ] = ACTIONS(5984),
    [anon_sym_COLON] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5986),
    [anon_sym_STAR_EQ] = ACTIONS(5986),
    [anon_sym_SLASH_EQ] = ACTIONS(5986),
    [anon_sym_PERCENT_EQ] = ACTIONS(5986),
    [anon_sym_PLUS_EQ] = ACTIONS(5986),
    [anon_sym_DASH_EQ] = ACTIONS(5986),
    [anon_sym_LT_LT_EQ] = ACTIONS(5986),
    [anon_sym_GT_GT_EQ] = ACTIONS(5986),
    [anon_sym_AMP_EQ] = ACTIONS(5986),
    [anon_sym_CARET_EQ] = ACTIONS(5986),
    [anon_sym_PIPE_EQ] = ACTIONS(5986),
    [anon_sym_and_eq] = ACTIONS(5984),
    [anon_sym_or_eq] = ACTIONS(5984),
    [anon_sym_xor_eq] = ACTIONS(5984),
    [anon_sym_LT_EQ_GT] = ACTIONS(5986),
    [anon_sym_or] = ACTIONS(5984),
    [anon_sym_and] = ACTIONS(5984),
    [anon_sym_bitor] = ACTIONS(5984),
    [anon_sym_xor] = ACTIONS(5984),
    [anon_sym_bitand] = ACTIONS(5984),
    [anon_sym_not_eq] = ACTIONS(5984),
    [anon_sym_DASH_DASH] = ACTIONS(5986),
    [anon_sym_PLUS_PLUS] = ACTIONS(5986),
    [anon_sym_DOT] = ACTIONS(5984),
    [anon_sym_DOT_STAR] = ACTIONS(5986),
    [anon_sym_DASH_GT] = ACTIONS(5986),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5984),
    [anon_sym_decltype] = ACTIONS(5984),
  },
  [2452] = {
    [sym__declaration_modifiers] = STATE(4203),
    [sym_attribute_specifier] = STATE(4203),
    [sym_attribute_declaration] = STATE(4203),
    [sym_ms_declspec_modifier] = STATE(4203),
    [sym_storage_class_specifier] = STATE(4203),
    [sym_type_qualifier] = STATE(4203),
    [sym__type_specifier] = STATE(2941),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4203),
    [sym_alignas_specifier] = STATE(4203),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7304),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5167),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2453] = {
    [sym_attribute_specifier] = STATE(2575),
    [sym_identifier] = ACTIONS(5988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5990),
    [anon_sym_COMMA] = ACTIONS(5990),
    [anon_sym_RPAREN] = ACTIONS(5990),
    [aux_sym_preproc_if_token2] = ACTIONS(5990),
    [aux_sym_preproc_else_token1] = ACTIONS(5990),
    [aux_sym_preproc_elif_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5990),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5990),
    [anon_sym_LPAREN2] = ACTIONS(5990),
    [anon_sym_DASH] = ACTIONS(5988),
    [anon_sym_PLUS] = ACTIONS(5988),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_SLASH] = ACTIONS(5988),
    [anon_sym_PERCENT] = ACTIONS(5988),
    [anon_sym_PIPE_PIPE] = ACTIONS(5990),
    [anon_sym_AMP_AMP] = ACTIONS(5990),
    [anon_sym_PIPE] = ACTIONS(5988),
    [anon_sym_CARET] = ACTIONS(5988),
    [anon_sym_AMP] = ACTIONS(5988),
    [anon_sym_EQ_EQ] = ACTIONS(5990),
    [anon_sym_BANG_EQ] = ACTIONS(5990),
    [anon_sym_GT] = ACTIONS(5988),
    [anon_sym_GT_EQ] = ACTIONS(5990),
    [anon_sym_LT_EQ] = ACTIONS(5988),
    [anon_sym_LT] = ACTIONS(5988),
    [anon_sym_LT_LT] = ACTIONS(5988),
    [anon_sym_GT_GT] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5990),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5990),
    [anon_sym_RBRACE] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5990),
    [anon_sym_RBRACK] = ACTIONS(5990),
    [anon_sym_EQ] = ACTIONS(5988),
    [anon_sym_COLON] = ACTIONS(5990),
    [anon_sym_QMARK] = ACTIONS(5990),
    [anon_sym_STAR_EQ] = ACTIONS(5990),
    [anon_sym_SLASH_EQ] = ACTIONS(5990),
    [anon_sym_PERCENT_EQ] = ACTIONS(5990),
    [anon_sym_PLUS_EQ] = ACTIONS(5990),
    [anon_sym_DASH_EQ] = ACTIONS(5990),
    [anon_sym_LT_LT_EQ] = ACTIONS(5990),
    [anon_sym_GT_GT_EQ] = ACTIONS(5990),
    [anon_sym_AMP_EQ] = ACTIONS(5990),
    [anon_sym_CARET_EQ] = ACTIONS(5990),
    [anon_sym_PIPE_EQ] = ACTIONS(5990),
    [anon_sym_and_eq] = ACTIONS(5988),
    [anon_sym_or_eq] = ACTIONS(5988),
    [anon_sym_xor_eq] = ACTIONS(5988),
    [anon_sym_LT_EQ_GT] = ACTIONS(5990),
    [anon_sym_or] = ACTIONS(5988),
    [anon_sym_and] = ACTIONS(5988),
    [anon_sym_bitor] = ACTIONS(5988),
    [anon_sym_xor] = ACTIONS(5988),
    [anon_sym_bitand] = ACTIONS(5988),
    [anon_sym_not_eq] = ACTIONS(5988),
    [anon_sym_DASH_DASH] = ACTIONS(5990),
    [anon_sym_PLUS_PLUS] = ACTIONS(5990),
    [anon_sym_DOT] = ACTIONS(5988),
    [anon_sym_DOT_STAR] = ACTIONS(5990),
    [anon_sym_DASH_GT] = ACTIONS(5990),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5988),
    [anon_sym_decltype] = ACTIONS(5988),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_friend] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
  },
  [2455] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_friend] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
  },
  [2456] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2457] = {
    [sym_identifier] = ACTIONS(3359),
    [aux_sym_preproc_def_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token1] = ACTIONS(3359),
    [aux_sym_preproc_if_token2] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3359),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3359),
    [aux_sym_preproc_else_token1] = ACTIONS(3359),
    [aux_sym_preproc_elif_token1] = ACTIONS(3359),
    [sym_preproc_directive] = ACTIONS(3359),
    [anon_sym_LPAREN2] = ACTIONS(3361),
    [anon_sym_TILDE] = ACTIONS(3361),
    [anon_sym_STAR] = ACTIONS(3361),
    [anon_sym_AMP_AMP] = ACTIONS(3361),
    [anon_sym_AMP] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(3359),
    [anon_sym_typedef] = ACTIONS(3359),
    [anon_sym_extern] = ACTIONS(3359),
    [anon_sym___attribute__] = ACTIONS(3359),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3361),
    [anon_sym___declspec] = ACTIONS(3359),
    [anon_sym___based] = ACTIONS(3359),
    [anon_sym_signed] = ACTIONS(3359),
    [anon_sym_unsigned] = ACTIONS(3359),
    [anon_sym_long] = ACTIONS(3359),
    [anon_sym_short] = ACTIONS(3359),
    [anon_sym_LBRACK] = ACTIONS(3359),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_register] = ACTIONS(3359),
    [anon_sym_inline] = ACTIONS(3359),
    [anon_sym___inline] = ACTIONS(3359),
    [anon_sym___inline__] = ACTIONS(3359),
    [anon_sym___forceinline] = ACTIONS(3359),
    [anon_sym_thread_local] = ACTIONS(3359),
    [anon_sym___thread] = ACTIONS(3359),
    [anon_sym_const] = ACTIONS(3359),
    [anon_sym_constexpr] = ACTIONS(3359),
    [anon_sym_volatile] = ACTIONS(3359),
    [anon_sym_restrict] = ACTIONS(3359),
    [anon_sym___restrict__] = ACTIONS(3359),
    [anon_sym__Atomic] = ACTIONS(3359),
    [anon_sym__Noreturn] = ACTIONS(3359),
    [anon_sym_noreturn] = ACTIONS(3359),
    [anon_sym_mutable] = ACTIONS(3359),
    [anon_sym_constinit] = ACTIONS(3359),
    [anon_sym_consteval] = ACTIONS(3359),
    [sym_primitive_type] = ACTIONS(3359),
    [anon_sym_enum] = ACTIONS(3359),
    [anon_sym_class] = ACTIONS(3359),
    [anon_sym_struct] = ACTIONS(3359),
    [anon_sym_union] = ACTIONS(3359),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3359),
    [anon_sym_decltype] = ACTIONS(3359),
    [anon_sym_virtual] = ACTIONS(3359),
    [anon_sym_alignas] = ACTIONS(3359),
    [anon_sym_explicit] = ACTIONS(3359),
    [anon_sym_typename] = ACTIONS(3359),
    [anon_sym_template] = ACTIONS(3359),
    [anon_sym_operator] = ACTIONS(3359),
    [anon_sym_friend] = ACTIONS(3359),
    [anon_sym_public] = ACTIONS(3359),
    [anon_sym_private] = ACTIONS(3359),
    [anon_sym_protected] = ACTIONS(3359),
    [anon_sym_using] = ACTIONS(3359),
    [anon_sym_static_assert] = ACTIONS(3359),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(3208),
    [aux_sym_preproc_def_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token1] = ACTIONS(3208),
    [aux_sym_preproc_if_token2] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3208),
    [aux_sym_preproc_else_token1] = ACTIONS(3208),
    [aux_sym_preproc_elif_token1] = ACTIONS(3208),
    [sym_preproc_directive] = ACTIONS(3208),
    [anon_sym_LPAREN2] = ACTIONS(3210),
    [anon_sym_TILDE] = ACTIONS(3210),
    [anon_sym_STAR] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3210),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym___extension__] = ACTIONS(3208),
    [anon_sym_typedef] = ACTIONS(3208),
    [anon_sym_extern] = ACTIONS(3208),
    [anon_sym___attribute__] = ACTIONS(3208),
    [anon_sym_COLON_COLON] = ACTIONS(3210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3210),
    [anon_sym___declspec] = ACTIONS(3208),
    [anon_sym___based] = ACTIONS(3208),
    [anon_sym_signed] = ACTIONS(3208),
    [anon_sym_unsigned] = ACTIONS(3208),
    [anon_sym_long] = ACTIONS(3208),
    [anon_sym_short] = ACTIONS(3208),
    [anon_sym_LBRACK] = ACTIONS(3208),
    [anon_sym_static] = ACTIONS(3208),
    [anon_sym_register] = ACTIONS(3208),
    [anon_sym_inline] = ACTIONS(3208),
    [anon_sym___inline] = ACTIONS(3208),
    [anon_sym___inline__] = ACTIONS(3208),
    [anon_sym___forceinline] = ACTIONS(3208),
    [anon_sym_thread_local] = ACTIONS(3208),
    [anon_sym___thread] = ACTIONS(3208),
    [anon_sym_const] = ACTIONS(3208),
    [anon_sym_constexpr] = ACTIONS(3208),
    [anon_sym_volatile] = ACTIONS(3208),
    [anon_sym_restrict] = ACTIONS(3208),
    [anon_sym___restrict__] = ACTIONS(3208),
    [anon_sym__Atomic] = ACTIONS(3208),
    [anon_sym__Noreturn] = ACTIONS(3208),
    [anon_sym_noreturn] = ACTIONS(3208),
    [anon_sym_mutable] = ACTIONS(3208),
    [anon_sym_constinit] = ACTIONS(3208),
    [anon_sym_consteval] = ACTIONS(3208),
    [sym_primitive_type] = ACTIONS(3208),
    [anon_sym_enum] = ACTIONS(3208),
    [anon_sym_class] = ACTIONS(3208),
    [anon_sym_struct] = ACTIONS(3208),
    [anon_sym_union] = ACTIONS(3208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3208),
    [anon_sym_decltype] = ACTIONS(3208),
    [anon_sym_virtual] = ACTIONS(3208),
    [anon_sym_alignas] = ACTIONS(3208),
    [anon_sym_explicit] = ACTIONS(3208),
    [anon_sym_typename] = ACTIONS(3208),
    [anon_sym_template] = ACTIONS(3208),
    [anon_sym_operator] = ACTIONS(3208),
    [anon_sym_friend] = ACTIONS(3208),
    [anon_sym_public] = ACTIONS(3208),
    [anon_sym_private] = ACTIONS(3208),
    [anon_sym_protected] = ACTIONS(3208),
    [anon_sym_using] = ACTIONS(3208),
    [anon_sym_static_assert] = ACTIONS(3208),
  },
  [2459] = {
    [sym_identifier] = ACTIONS(3353),
    [aux_sym_preproc_def_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token1] = ACTIONS(3353),
    [aux_sym_preproc_if_token2] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3353),
    [aux_sym_preproc_else_token1] = ACTIONS(3353),
    [aux_sym_preproc_elif_token1] = ACTIONS(3353),
    [sym_preproc_directive] = ACTIONS(3353),
    [anon_sym_LPAREN2] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(3355),
    [anon_sym_STAR] = ACTIONS(3355),
    [anon_sym_AMP_AMP] = ACTIONS(3355),
    [anon_sym_AMP] = ACTIONS(3353),
    [anon_sym___extension__] = ACTIONS(3353),
    [anon_sym_typedef] = ACTIONS(3353),
    [anon_sym_extern] = ACTIONS(3353),
    [anon_sym___attribute__] = ACTIONS(3353),
    [anon_sym_COLON_COLON] = ACTIONS(3355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3355),
    [anon_sym___declspec] = ACTIONS(3353),
    [anon_sym___based] = ACTIONS(3353),
    [anon_sym_signed] = ACTIONS(3353),
    [anon_sym_unsigned] = ACTIONS(3353),
    [anon_sym_long] = ACTIONS(3353),
    [anon_sym_short] = ACTIONS(3353),
    [anon_sym_LBRACK] = ACTIONS(3353),
    [anon_sym_static] = ACTIONS(3353),
    [anon_sym_register] = ACTIONS(3353),
    [anon_sym_inline] = ACTIONS(3353),
    [anon_sym___inline] = ACTIONS(3353),
    [anon_sym___inline__] = ACTIONS(3353),
    [anon_sym___forceinline] = ACTIONS(3353),
    [anon_sym_thread_local] = ACTIONS(3353),
    [anon_sym___thread] = ACTIONS(3353),
    [anon_sym_const] = ACTIONS(3353),
    [anon_sym_constexpr] = ACTIONS(3353),
    [anon_sym_volatile] = ACTIONS(3353),
    [anon_sym_restrict] = ACTIONS(3353),
    [anon_sym___restrict__] = ACTIONS(3353),
    [anon_sym__Atomic] = ACTIONS(3353),
    [anon_sym__Noreturn] = ACTIONS(3353),
    [anon_sym_noreturn] = ACTIONS(3353),
    [anon_sym_mutable] = ACTIONS(3353),
    [anon_sym_constinit] = ACTIONS(3353),
    [anon_sym_consteval] = ACTIONS(3353),
    [sym_primitive_type] = ACTIONS(3353),
    [anon_sym_enum] = ACTIONS(3353),
    [anon_sym_class] = ACTIONS(3353),
    [anon_sym_struct] = ACTIONS(3353),
    [anon_sym_union] = ACTIONS(3353),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3353),
    [anon_sym_decltype] = ACTIONS(3353),
    [anon_sym_virtual] = ACTIONS(3353),
    [anon_sym_alignas] = ACTIONS(3353),
    [anon_sym_explicit] = ACTIONS(3353),
    [anon_sym_typename] = ACTIONS(3353),
    [anon_sym_template] = ACTIONS(3353),
    [anon_sym_operator] = ACTIONS(3353),
    [anon_sym_friend] = ACTIONS(3353),
    [anon_sym_public] = ACTIONS(3353),
    [anon_sym_private] = ACTIONS(3353),
    [anon_sym_protected] = ACTIONS(3353),
    [anon_sym_using] = ACTIONS(3353),
    [anon_sym_static_assert] = ACTIONS(3353),
  },
  [2460] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_friend] = ACTIONS(2965),
    [anon_sym_public] = ACTIONS(2965),
    [anon_sym_private] = ACTIONS(2965),
    [anon_sym_protected] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_friend] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
  },
  [2466] = {
    [sym_attribute_specifier] = STATE(2532),
    [sym_identifier] = ACTIONS(5992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5994),
    [anon_sym_COMMA] = ACTIONS(5994),
    [anon_sym_RPAREN] = ACTIONS(5994),
    [aux_sym_preproc_if_token2] = ACTIONS(5994),
    [aux_sym_preproc_else_token1] = ACTIONS(5994),
    [aux_sym_preproc_elif_token1] = ACTIONS(5992),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5994),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5994),
    [anon_sym_LPAREN2] = ACTIONS(5994),
    [anon_sym_DASH] = ACTIONS(5992),
    [anon_sym_PLUS] = ACTIONS(5992),
    [anon_sym_STAR] = ACTIONS(5992),
    [anon_sym_SLASH] = ACTIONS(5992),
    [anon_sym_PERCENT] = ACTIONS(5992),
    [anon_sym_PIPE_PIPE] = ACTIONS(5994),
    [anon_sym_AMP_AMP] = ACTIONS(5994),
    [anon_sym_PIPE] = ACTIONS(5992),
    [anon_sym_CARET] = ACTIONS(5992),
    [anon_sym_AMP] = ACTIONS(5992),
    [anon_sym_EQ_EQ] = ACTIONS(5994),
    [anon_sym_BANG_EQ] = ACTIONS(5994),
    [anon_sym_GT] = ACTIONS(5992),
    [anon_sym_GT_EQ] = ACTIONS(5994),
    [anon_sym_LT_EQ] = ACTIONS(5992),
    [anon_sym_LT] = ACTIONS(5992),
    [anon_sym_LT_LT] = ACTIONS(5992),
    [anon_sym_GT_GT] = ACTIONS(5992),
    [anon_sym_SEMI] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5994),
    [anon_sym_RBRACE] = ACTIONS(5994),
    [anon_sym_LBRACK] = ACTIONS(5994),
    [anon_sym_RBRACK] = ACTIONS(5994),
    [anon_sym_EQ] = ACTIONS(5992),
    [anon_sym_COLON] = ACTIONS(5994),
    [anon_sym_QMARK] = ACTIONS(5994),
    [anon_sym_STAR_EQ] = ACTIONS(5994),
    [anon_sym_SLASH_EQ] = ACTIONS(5994),
    [anon_sym_PERCENT_EQ] = ACTIONS(5994),
    [anon_sym_PLUS_EQ] = ACTIONS(5994),
    [anon_sym_DASH_EQ] = ACTIONS(5994),
    [anon_sym_LT_LT_EQ] = ACTIONS(5994),
    [anon_sym_GT_GT_EQ] = ACTIONS(5994),
    [anon_sym_AMP_EQ] = ACTIONS(5994),
    [anon_sym_CARET_EQ] = ACTIONS(5994),
    [anon_sym_PIPE_EQ] = ACTIONS(5994),
    [anon_sym_and_eq] = ACTIONS(5992),
    [anon_sym_or_eq] = ACTIONS(5992),
    [anon_sym_xor_eq] = ACTIONS(5992),
    [anon_sym_LT_EQ_GT] = ACTIONS(5994),
    [anon_sym_or] = ACTIONS(5992),
    [anon_sym_and] = ACTIONS(5992),
    [anon_sym_bitor] = ACTIONS(5992),
    [anon_sym_xor] = ACTIONS(5992),
    [anon_sym_bitand] = ACTIONS(5992),
    [anon_sym_not_eq] = ACTIONS(5992),
    [anon_sym_DASH_DASH] = ACTIONS(5994),
    [anon_sym_PLUS_PLUS] = ACTIONS(5994),
    [anon_sym_DOT] = ACTIONS(5992),
    [anon_sym_DOT_STAR] = ACTIONS(5994),
    [anon_sym_DASH_GT] = ACTIONS(5994),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5992),
    [anon_sym_decltype] = ACTIONS(5992),
  },
  [2467] = {
    [sym_attribute_specifier] = STATE(2544),
    [sym_identifier] = ACTIONS(5996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5998),
    [anon_sym_COMMA] = ACTIONS(5998),
    [anon_sym_RPAREN] = ACTIONS(5998),
    [aux_sym_preproc_if_token2] = ACTIONS(5998),
    [aux_sym_preproc_else_token1] = ACTIONS(5998),
    [aux_sym_preproc_elif_token1] = ACTIONS(5996),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5998),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5998),
    [anon_sym_LPAREN2] = ACTIONS(5998),
    [anon_sym_DASH] = ACTIONS(5996),
    [anon_sym_PLUS] = ACTIONS(5996),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_SLASH] = ACTIONS(5996),
    [anon_sym_PERCENT] = ACTIONS(5996),
    [anon_sym_PIPE_PIPE] = ACTIONS(5998),
    [anon_sym_AMP_AMP] = ACTIONS(5998),
    [anon_sym_PIPE] = ACTIONS(5996),
    [anon_sym_CARET] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5996),
    [anon_sym_EQ_EQ] = ACTIONS(5998),
    [anon_sym_BANG_EQ] = ACTIONS(5998),
    [anon_sym_GT] = ACTIONS(5996),
    [anon_sym_GT_EQ] = ACTIONS(5998),
    [anon_sym_LT_EQ] = ACTIONS(5996),
    [anon_sym_LT] = ACTIONS(5996),
    [anon_sym_LT_LT] = ACTIONS(5996),
    [anon_sym_GT_GT] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5998),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(5998),
    [anon_sym_RBRACE] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(5998),
    [anon_sym_RBRACK] = ACTIONS(5998),
    [anon_sym_EQ] = ACTIONS(5996),
    [anon_sym_COLON] = ACTIONS(5998),
    [anon_sym_QMARK] = ACTIONS(5998),
    [anon_sym_STAR_EQ] = ACTIONS(5998),
    [anon_sym_SLASH_EQ] = ACTIONS(5998),
    [anon_sym_PERCENT_EQ] = ACTIONS(5998),
    [anon_sym_PLUS_EQ] = ACTIONS(5998),
    [anon_sym_DASH_EQ] = ACTIONS(5998),
    [anon_sym_LT_LT_EQ] = ACTIONS(5998),
    [anon_sym_GT_GT_EQ] = ACTIONS(5998),
    [anon_sym_AMP_EQ] = ACTIONS(5998),
    [anon_sym_CARET_EQ] = ACTIONS(5998),
    [anon_sym_PIPE_EQ] = ACTIONS(5998),
    [anon_sym_and_eq] = ACTIONS(5996),
    [anon_sym_or_eq] = ACTIONS(5996),
    [anon_sym_xor_eq] = ACTIONS(5996),
    [anon_sym_LT_EQ_GT] = ACTIONS(5998),
    [anon_sym_or] = ACTIONS(5996),
    [anon_sym_and] = ACTIONS(5996),
    [anon_sym_bitor] = ACTIONS(5996),
    [anon_sym_xor] = ACTIONS(5996),
    [anon_sym_bitand] = ACTIONS(5996),
    [anon_sym_not_eq] = ACTIONS(5996),
    [anon_sym_DASH_DASH] = ACTIONS(5998),
    [anon_sym_PLUS_PLUS] = ACTIONS(5998),
    [anon_sym_DOT] = ACTIONS(5996),
    [anon_sym_DOT_STAR] = ACTIONS(5998),
    [anon_sym_DASH_GT] = ACTIONS(5998),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5996),
    [anon_sym_decltype] = ACTIONS(5996),
  },
  [2468] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2472),
    [sym_identifier] = ACTIONS(6000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5828),
    [anon_sym_COMMA] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_else_token1] = ACTIONS(5828),
    [aux_sym_preproc_elif_token1] = ACTIONS(5830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_STAR] = ACTIONS(5830),
    [anon_sym_SLASH] = ACTIONS(5830),
    [anon_sym_PERCENT] = ACTIONS(5830),
    [anon_sym_PIPE_PIPE] = ACTIONS(5828),
    [anon_sym_AMP_AMP] = ACTIONS(5828),
    [anon_sym_PIPE] = ACTIONS(5830),
    [anon_sym_CARET] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(5830),
    [anon_sym_EQ_EQ] = ACTIONS(5828),
    [anon_sym_BANG_EQ] = ACTIONS(5828),
    [anon_sym_GT] = ACTIONS(5830),
    [anon_sym_GT_EQ] = ACTIONS(5828),
    [anon_sym_LT_EQ] = ACTIONS(5830),
    [anon_sym_LT] = ACTIONS(5830),
    [anon_sym_LT_LT] = ACTIONS(5830),
    [anon_sym_GT_GT] = ACTIONS(5830),
    [anon_sym___attribute__] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(5828),
    [anon_sym_signed] = ACTIONS(6003),
    [anon_sym_unsigned] = ACTIONS(6003),
    [anon_sym_long] = ACTIONS(6003),
    [anon_sym_short] = ACTIONS(6003),
    [anon_sym_LBRACK] = ACTIONS(5828),
    [anon_sym_EQ] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(6005),
    [anon_sym_QMARK] = ACTIONS(5828),
    [anon_sym_STAR_EQ] = ACTIONS(5828),
    [anon_sym_SLASH_EQ] = ACTIONS(5828),
    [anon_sym_PERCENT_EQ] = ACTIONS(5828),
    [anon_sym_PLUS_EQ] = ACTIONS(5828),
    [anon_sym_DASH_EQ] = ACTIONS(5828),
    [anon_sym_LT_LT_EQ] = ACTIONS(5828),
    [anon_sym_GT_GT_EQ] = ACTIONS(5828),
    [anon_sym_AMP_EQ] = ACTIONS(5828),
    [anon_sym_CARET_EQ] = ACTIONS(5828),
    [anon_sym_PIPE_EQ] = ACTIONS(5828),
    [anon_sym_and_eq] = ACTIONS(5830),
    [anon_sym_or_eq] = ACTIONS(5830),
    [anon_sym_xor_eq] = ACTIONS(5830),
    [anon_sym_LT_EQ_GT] = ACTIONS(5828),
    [anon_sym_or] = ACTIONS(5830),
    [anon_sym_and] = ACTIONS(5830),
    [anon_sym_bitor] = ACTIONS(5830),
    [anon_sym_xor] = ACTIONS(5830),
    [anon_sym_bitand] = ACTIONS(5830),
    [anon_sym_not_eq] = ACTIONS(5830),
    [anon_sym_DASH_DASH] = ACTIONS(5828),
    [anon_sym_PLUS_PLUS] = ACTIONS(5828),
    [anon_sym_DOT] = ACTIONS(5830),
    [anon_sym_DOT_STAR] = ACTIONS(5828),
    [anon_sym_DASH_GT] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5830),
    [anon_sym_decltype] = ACTIONS(5830),
  },
  [2469] = {
    [sym_identifier] = ACTIONS(3274),
    [aux_sym_preproc_def_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token1] = ACTIONS(3274),
    [aux_sym_preproc_if_token2] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3274),
    [aux_sym_preproc_else_token1] = ACTIONS(3274),
    [aux_sym_preproc_elif_token1] = ACTIONS(3274),
    [sym_preproc_directive] = ACTIONS(3274),
    [anon_sym_LPAREN2] = ACTIONS(3276),
    [anon_sym_TILDE] = ACTIONS(3276),
    [anon_sym_STAR] = ACTIONS(3276),
    [anon_sym_AMP_AMP] = ACTIONS(3276),
    [anon_sym_AMP] = ACTIONS(3274),
    [anon_sym___extension__] = ACTIONS(3274),
    [anon_sym_typedef] = ACTIONS(3274),
    [anon_sym_extern] = ACTIONS(3274),
    [anon_sym___attribute__] = ACTIONS(3274),
    [anon_sym_COLON_COLON] = ACTIONS(3276),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3276),
    [anon_sym___declspec] = ACTIONS(3274),
    [anon_sym___based] = ACTIONS(3274),
    [anon_sym_signed] = ACTIONS(3274),
    [anon_sym_unsigned] = ACTIONS(3274),
    [anon_sym_long] = ACTIONS(3274),
    [anon_sym_short] = ACTIONS(3274),
    [anon_sym_LBRACK] = ACTIONS(3274),
    [anon_sym_static] = ACTIONS(3274),
    [anon_sym_register] = ACTIONS(3274),
    [anon_sym_inline] = ACTIONS(3274),
    [anon_sym___inline] = ACTIONS(3274),
    [anon_sym___inline__] = ACTIONS(3274),
    [anon_sym___forceinline] = ACTIONS(3274),
    [anon_sym_thread_local] = ACTIONS(3274),
    [anon_sym___thread] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3274),
    [anon_sym_constexpr] = ACTIONS(3274),
    [anon_sym_volatile] = ACTIONS(3274),
    [anon_sym_restrict] = ACTIONS(3274),
    [anon_sym___restrict__] = ACTIONS(3274),
    [anon_sym__Atomic] = ACTIONS(3274),
    [anon_sym__Noreturn] = ACTIONS(3274),
    [anon_sym_noreturn] = ACTIONS(3274),
    [anon_sym_mutable] = ACTIONS(3274),
    [anon_sym_constinit] = ACTIONS(3274),
    [anon_sym_consteval] = ACTIONS(3274),
    [sym_primitive_type] = ACTIONS(3274),
    [anon_sym_enum] = ACTIONS(3274),
    [anon_sym_class] = ACTIONS(3274),
    [anon_sym_struct] = ACTIONS(3274),
    [anon_sym_union] = ACTIONS(3274),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3274),
    [anon_sym_decltype] = ACTIONS(3274),
    [anon_sym_virtual] = ACTIONS(3274),
    [anon_sym_alignas] = ACTIONS(3274),
    [anon_sym_explicit] = ACTIONS(3274),
    [anon_sym_typename] = ACTIONS(3274),
    [anon_sym_template] = ACTIONS(3274),
    [anon_sym_operator] = ACTIONS(3274),
    [anon_sym_friend] = ACTIONS(3274),
    [anon_sym_public] = ACTIONS(3274),
    [anon_sym_private] = ACTIONS(3274),
    [anon_sym_protected] = ACTIONS(3274),
    [anon_sym_using] = ACTIONS(3274),
    [anon_sym_static_assert] = ACTIONS(3274),
  },
  [2470] = {
    [sym_identifier] = ACTIONS(3216),
    [aux_sym_preproc_def_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token1] = ACTIONS(3216),
    [aux_sym_preproc_if_token2] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3216),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3216),
    [aux_sym_preproc_else_token1] = ACTIONS(3216),
    [aux_sym_preproc_elif_token1] = ACTIONS(3216),
    [sym_preproc_directive] = ACTIONS(3216),
    [anon_sym_LPAREN2] = ACTIONS(3218),
    [anon_sym_TILDE] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3218),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3216),
    [anon_sym_extern] = ACTIONS(3216),
    [anon_sym___attribute__] = ACTIONS(3216),
    [anon_sym_COLON_COLON] = ACTIONS(3218),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3218),
    [anon_sym___declspec] = ACTIONS(3216),
    [anon_sym___based] = ACTIONS(3216),
    [anon_sym_signed] = ACTIONS(3216),
    [anon_sym_unsigned] = ACTIONS(3216),
    [anon_sym_long] = ACTIONS(3216),
    [anon_sym_short] = ACTIONS(3216),
    [anon_sym_LBRACK] = ACTIONS(3216),
    [anon_sym_static] = ACTIONS(3216),
    [anon_sym_register] = ACTIONS(3216),
    [anon_sym_inline] = ACTIONS(3216),
    [anon_sym___inline] = ACTIONS(3216),
    [anon_sym___inline__] = ACTIONS(3216),
    [anon_sym___forceinline] = ACTIONS(3216),
    [anon_sym_thread_local] = ACTIONS(3216),
    [anon_sym___thread] = ACTIONS(3216),
    [anon_sym_const] = ACTIONS(3216),
    [anon_sym_constexpr] = ACTIONS(3216),
    [anon_sym_volatile] = ACTIONS(3216),
    [anon_sym_restrict] = ACTIONS(3216),
    [anon_sym___restrict__] = ACTIONS(3216),
    [anon_sym__Atomic] = ACTIONS(3216),
    [anon_sym__Noreturn] = ACTIONS(3216),
    [anon_sym_noreturn] = ACTIONS(3216),
    [anon_sym_mutable] = ACTIONS(3216),
    [anon_sym_constinit] = ACTIONS(3216),
    [anon_sym_consteval] = ACTIONS(3216),
    [sym_primitive_type] = ACTIONS(3216),
    [anon_sym_enum] = ACTIONS(3216),
    [anon_sym_class] = ACTIONS(3216),
    [anon_sym_struct] = ACTIONS(3216),
    [anon_sym_union] = ACTIONS(3216),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3216),
    [anon_sym_decltype] = ACTIONS(3216),
    [anon_sym_virtual] = ACTIONS(3216),
    [anon_sym_alignas] = ACTIONS(3216),
    [anon_sym_explicit] = ACTIONS(3216),
    [anon_sym_typename] = ACTIONS(3216),
    [anon_sym_template] = ACTIONS(3216),
    [anon_sym_operator] = ACTIONS(3216),
    [anon_sym_friend] = ACTIONS(3216),
    [anon_sym_public] = ACTIONS(3216),
    [anon_sym_private] = ACTIONS(3216),
    [anon_sym_protected] = ACTIONS(3216),
    [anon_sym_using] = ACTIONS(3216),
    [anon_sym_static_assert] = ACTIONS(3216),
  },
  [2471] = {
    [sym_template_argument_list] = STATE(2173),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2499),
    [sym_identifier] = ACTIONS(4095),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4103),
    [aux_sym_preproc_if_token2] = ACTIONS(4103),
    [aux_sym_preproc_else_token1] = ACTIONS(4103),
    [aux_sym_preproc_elif_token1] = ACTIONS(4095),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4103),
    [anon_sym_LPAREN2] = ACTIONS(4103),
    [anon_sym_DASH] = ACTIONS(4095),
    [anon_sym_PLUS] = ACTIONS(4095),
    [anon_sym_STAR] = ACTIONS(4095),
    [anon_sym_SLASH] = ACTIONS(4095),
    [anon_sym_PERCENT] = ACTIONS(4095),
    [anon_sym_PIPE_PIPE] = ACTIONS(4103),
    [anon_sym_AMP_AMP] = ACTIONS(4103),
    [anon_sym_PIPE] = ACTIONS(4095),
    [anon_sym_CARET] = ACTIONS(4095),
    [anon_sym_AMP] = ACTIONS(4095),
    [anon_sym_EQ_EQ] = ACTIONS(4103),
    [anon_sym_BANG_EQ] = ACTIONS(4103),
    [anon_sym_GT] = ACTIONS(4095),
    [anon_sym_GT_EQ] = ACTIONS(4103),
    [anon_sym_LT_EQ] = ACTIONS(4095),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(4095),
    [anon_sym_GT_GT] = ACTIONS(4095),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4103),
    [anon_sym_signed] = ACTIONS(5791),
    [anon_sym_unsigned] = ACTIONS(5791),
    [anon_sym_long] = ACTIONS(5791),
    [anon_sym_short] = ACTIONS(5791),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_EQ] = ACTIONS(4095),
    [anon_sym_QMARK] = ACTIONS(4103),
    [anon_sym_STAR_EQ] = ACTIONS(4103),
    [anon_sym_SLASH_EQ] = ACTIONS(4103),
    [anon_sym_PERCENT_EQ] = ACTIONS(4103),
    [anon_sym_PLUS_EQ] = ACTIONS(4103),
    [anon_sym_DASH_EQ] = ACTIONS(4103),
    [anon_sym_LT_LT_EQ] = ACTIONS(4103),
    [anon_sym_GT_GT_EQ] = ACTIONS(4103),
    [anon_sym_AMP_EQ] = ACTIONS(4103),
    [anon_sym_CARET_EQ] = ACTIONS(4103),
    [anon_sym_PIPE_EQ] = ACTIONS(4103),
    [anon_sym_and_eq] = ACTIONS(4095),
    [anon_sym_or_eq] = ACTIONS(4095),
    [anon_sym_xor_eq] = ACTIONS(4095),
    [anon_sym_LT_EQ_GT] = ACTIONS(4103),
    [anon_sym_or] = ACTIONS(4095),
    [anon_sym_and] = ACTIONS(4095),
    [anon_sym_bitor] = ACTIONS(4095),
    [anon_sym_xor] = ACTIONS(4095),
    [anon_sym_bitand] = ACTIONS(4095),
    [anon_sym_not_eq] = ACTIONS(4095),
    [anon_sym_DASH_DASH] = ACTIONS(4103),
    [anon_sym_PLUS_PLUS] = ACTIONS(4103),
    [anon_sym_DOT] = ACTIONS(4095),
    [anon_sym_DOT_STAR] = ACTIONS(4103),
    [anon_sym_DASH_GT] = ACTIONS(4103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4095),
    [anon_sym_decltype] = ACTIONS(4095),
  },
  [2472] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(5808),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5805),
    [anon_sym_COMMA] = ACTIONS(5805),
    [aux_sym_preproc_if_token2] = ACTIONS(5805),
    [aux_sym_preproc_else_token1] = ACTIONS(5805),
    [aux_sym_preproc_elif_token1] = ACTIONS(5808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5805),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5805),
    [anon_sym_LPAREN2] = ACTIONS(5805),
    [anon_sym_DASH] = ACTIONS(5808),
    [anon_sym_PLUS] = ACTIONS(5808),
    [anon_sym_STAR] = ACTIONS(5808),
    [anon_sym_SLASH] = ACTIONS(5808),
    [anon_sym_PERCENT] = ACTIONS(5808),
    [anon_sym_PIPE_PIPE] = ACTIONS(5805),
    [anon_sym_AMP_AMP] = ACTIONS(5805),
    [anon_sym_PIPE] = ACTIONS(5808),
    [anon_sym_CARET] = ACTIONS(5808),
    [anon_sym_AMP] = ACTIONS(5808),
    [anon_sym_EQ_EQ] = ACTIONS(5805),
    [anon_sym_BANG_EQ] = ACTIONS(5805),
    [anon_sym_GT] = ACTIONS(5808),
    [anon_sym_GT_EQ] = ACTIONS(5805),
    [anon_sym_LT_EQ] = ACTIONS(5808),
    [anon_sym_LT] = ACTIONS(5808),
    [anon_sym_LT_LT] = ACTIONS(5808),
    [anon_sym_GT_GT] = ACTIONS(5808),
    [anon_sym___attribute__] = ACTIONS(5808),
    [anon_sym_LBRACE] = ACTIONS(5805),
    [anon_sym_signed] = ACTIONS(5377),
    [anon_sym_unsigned] = ACTIONS(5377),
    [anon_sym_long] = ACTIONS(5377),
    [anon_sym_short] = ACTIONS(5377),
    [anon_sym_LBRACK] = ACTIONS(5805),
    [anon_sym_EQ] = ACTIONS(5808),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5805),
    [anon_sym_STAR_EQ] = ACTIONS(5805),
    [anon_sym_SLASH_EQ] = ACTIONS(5805),
    [anon_sym_PERCENT_EQ] = ACTIONS(5805),
    [anon_sym_PLUS_EQ] = ACTIONS(5805),
    [anon_sym_DASH_EQ] = ACTIONS(5805),
    [anon_sym_LT_LT_EQ] = ACTIONS(5805),
    [anon_sym_GT_GT_EQ] = ACTIONS(5805),
    [anon_sym_AMP_EQ] = ACTIONS(5805),
    [anon_sym_CARET_EQ] = ACTIONS(5805),
    [anon_sym_PIPE_EQ] = ACTIONS(5805),
    [anon_sym_and_eq] = ACTIONS(5808),
    [anon_sym_or_eq] = ACTIONS(5808),
    [anon_sym_xor_eq] = ACTIONS(5808),
    [anon_sym_LT_EQ_GT] = ACTIONS(5805),
    [anon_sym_or] = ACTIONS(5808),
    [anon_sym_and] = ACTIONS(5808),
    [anon_sym_bitor] = ACTIONS(5808),
    [anon_sym_xor] = ACTIONS(5808),
    [anon_sym_bitand] = ACTIONS(5808),
    [anon_sym_not_eq] = ACTIONS(5808),
    [anon_sym_DASH_DASH] = ACTIONS(5805),
    [anon_sym_PLUS_PLUS] = ACTIONS(5805),
    [anon_sym_DOT] = ACTIONS(5808),
    [anon_sym_DOT_STAR] = ACTIONS(5805),
    [anon_sym_DASH_GT] = ACTIONS(5805),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5808),
    [anon_sym_decltype] = ACTIONS(5808),
  },
  [2473] = {
    [sym_identifier] = ACTIONS(5563),
    [aux_sym_preproc_def_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5563),
    [sym_preproc_directive] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_AMP_AMP] = ACTIONS(5565),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym_typedef] = ACTIONS(5563),
    [anon_sym_extern] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym_COLON_COLON] = ACTIONS(5565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5565),
    [anon_sym___declspec] = ACTIONS(5563),
    [anon_sym___based] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5563),
    [anon_sym_unsigned] = ACTIONS(5563),
    [anon_sym_long] = ACTIONS(5563),
    [anon_sym_short] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_static] = ACTIONS(5563),
    [anon_sym_register] = ACTIONS(5563),
    [anon_sym_inline] = ACTIONS(5563),
    [anon_sym___inline] = ACTIONS(5563),
    [anon_sym___inline__] = ACTIONS(5563),
    [anon_sym___forceinline] = ACTIONS(5563),
    [anon_sym_thread_local] = ACTIONS(5563),
    [anon_sym___thread] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [sym_primitive_type] = ACTIONS(5563),
    [anon_sym_enum] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_struct] = ACTIONS(5563),
    [anon_sym_union] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5563),
    [anon_sym_decltype] = ACTIONS(5563),
    [anon_sym_virtual] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5563),
    [anon_sym_explicit] = ACTIONS(5563),
    [anon_sym_typename] = ACTIONS(5563),
    [anon_sym_template] = ACTIONS(5563),
    [anon_sym_operator] = ACTIONS(5563),
    [anon_sym_friend] = ACTIONS(5563),
    [anon_sym_public] = ACTIONS(5563),
    [anon_sym_private] = ACTIONS(5563),
    [anon_sym_protected] = ACTIONS(5563),
    [anon_sym_using] = ACTIONS(5563),
    [anon_sym_static_assert] = ACTIONS(5563),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(5567),
    [aux_sym_preproc_def_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token2] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5567),
    [aux_sym_preproc_else_token1] = ACTIONS(5567),
    [aux_sym_preproc_elif_token1] = ACTIONS(5567),
    [sym_preproc_directive] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5569),
    [anon_sym_TILDE] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5567),
    [anon_sym___extension__] = ACTIONS(5567),
    [anon_sym_typedef] = ACTIONS(5567),
    [anon_sym_extern] = ACTIONS(5567),
    [anon_sym___attribute__] = ACTIONS(5567),
    [anon_sym_COLON_COLON] = ACTIONS(5569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5569),
    [anon_sym___declspec] = ACTIONS(5567),
    [anon_sym___based] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5567),
    [anon_sym_unsigned] = ACTIONS(5567),
    [anon_sym_long] = ACTIONS(5567),
    [anon_sym_short] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_static] = ACTIONS(5567),
    [anon_sym_register] = ACTIONS(5567),
    [anon_sym_inline] = ACTIONS(5567),
    [anon_sym___inline] = ACTIONS(5567),
    [anon_sym___inline__] = ACTIONS(5567),
    [anon_sym___forceinline] = ACTIONS(5567),
    [anon_sym_thread_local] = ACTIONS(5567),
    [anon_sym___thread] = ACTIONS(5567),
    [anon_sym_const] = ACTIONS(5567),
    [anon_sym_constexpr] = ACTIONS(5567),
    [anon_sym_volatile] = ACTIONS(5567),
    [anon_sym_restrict] = ACTIONS(5567),
    [anon_sym___restrict__] = ACTIONS(5567),
    [anon_sym__Atomic] = ACTIONS(5567),
    [anon_sym__Noreturn] = ACTIONS(5567),
    [anon_sym_noreturn] = ACTIONS(5567),
    [anon_sym_mutable] = ACTIONS(5567),
    [anon_sym_constinit] = ACTIONS(5567),
    [anon_sym_consteval] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5567),
    [anon_sym_enum] = ACTIONS(5567),
    [anon_sym_class] = ACTIONS(5567),
    [anon_sym_struct] = ACTIONS(5567),
    [anon_sym_union] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5567),
    [anon_sym_decltype] = ACTIONS(5567),
    [anon_sym_virtual] = ACTIONS(5567),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym_explicit] = ACTIONS(5567),
    [anon_sym_typename] = ACTIONS(5567),
    [anon_sym_template] = ACTIONS(5567),
    [anon_sym_operator] = ACTIONS(5567),
    [anon_sym_friend] = ACTIONS(5567),
    [anon_sym_public] = ACTIONS(5567),
    [anon_sym_private] = ACTIONS(5567),
    [anon_sym_protected] = ACTIONS(5567),
    [anon_sym_using] = ACTIONS(5567),
    [anon_sym_static_assert] = ACTIONS(5567),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(5567),
    [aux_sym_preproc_def_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token1] = ACTIONS(5567),
    [aux_sym_preproc_if_token2] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5567),
    [aux_sym_preproc_else_token1] = ACTIONS(5567),
    [aux_sym_preproc_elif_token1] = ACTIONS(5567),
    [sym_preproc_directive] = ACTIONS(5567),
    [anon_sym_LPAREN2] = ACTIONS(5569),
    [anon_sym_TILDE] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5569),
    [anon_sym_AMP_AMP] = ACTIONS(5569),
    [anon_sym_AMP] = ACTIONS(5567),
    [anon_sym___extension__] = ACTIONS(5567),
    [anon_sym_typedef] = ACTIONS(5567),
    [anon_sym_extern] = ACTIONS(5567),
    [anon_sym___attribute__] = ACTIONS(5567),
    [anon_sym_COLON_COLON] = ACTIONS(5569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5569),
    [anon_sym___declspec] = ACTIONS(5567),
    [anon_sym___based] = ACTIONS(5567),
    [anon_sym_signed] = ACTIONS(5567),
    [anon_sym_unsigned] = ACTIONS(5567),
    [anon_sym_long] = ACTIONS(5567),
    [anon_sym_short] = ACTIONS(5567),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_static] = ACTIONS(5567),
    [anon_sym_register] = ACTIONS(5567),
    [anon_sym_inline] = ACTIONS(5567),
    [anon_sym___inline] = ACTIONS(5567),
    [anon_sym___inline__] = ACTIONS(5567),
    [anon_sym___forceinline] = ACTIONS(5567),
    [anon_sym_thread_local] = ACTIONS(5567),
    [anon_sym___thread] = ACTIONS(5567),
    [anon_sym_const] = ACTIONS(5567),
    [anon_sym_constexpr] = ACTIONS(5567),
    [anon_sym_volatile] = ACTIONS(5567),
    [anon_sym_restrict] = ACTIONS(5567),
    [anon_sym___restrict__] = ACTIONS(5567),
    [anon_sym__Atomic] = ACTIONS(5567),
    [anon_sym__Noreturn] = ACTIONS(5567),
    [anon_sym_noreturn] = ACTIONS(5567),
    [anon_sym_mutable] = ACTIONS(5567),
    [anon_sym_constinit] = ACTIONS(5567),
    [anon_sym_consteval] = ACTIONS(5567),
    [sym_primitive_type] = ACTIONS(5567),
    [anon_sym_enum] = ACTIONS(5567),
    [anon_sym_class] = ACTIONS(5567),
    [anon_sym_struct] = ACTIONS(5567),
    [anon_sym_union] = ACTIONS(5567),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5567),
    [anon_sym_decltype] = ACTIONS(5567),
    [anon_sym_virtual] = ACTIONS(5567),
    [anon_sym_alignas] = ACTIONS(5567),
    [anon_sym_explicit] = ACTIONS(5567),
    [anon_sym_typename] = ACTIONS(5567),
    [anon_sym_template] = ACTIONS(5567),
    [anon_sym_operator] = ACTIONS(5567),
    [anon_sym_friend] = ACTIONS(5567),
    [anon_sym_public] = ACTIONS(5567),
    [anon_sym_private] = ACTIONS(5567),
    [anon_sym_protected] = ACTIONS(5567),
    [anon_sym_using] = ACTIONS(5567),
    [anon_sym_static_assert] = ACTIONS(5567),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(5563),
    [aux_sym_preproc_def_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token1] = ACTIONS(5563),
    [aux_sym_preproc_if_token2] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5563),
    [aux_sym_preproc_else_token1] = ACTIONS(5563),
    [aux_sym_preproc_elif_token1] = ACTIONS(5563),
    [sym_preproc_directive] = ACTIONS(5563),
    [anon_sym_LPAREN2] = ACTIONS(5565),
    [anon_sym_TILDE] = ACTIONS(5565),
    [anon_sym_STAR] = ACTIONS(5565),
    [anon_sym_AMP_AMP] = ACTIONS(5565),
    [anon_sym_AMP] = ACTIONS(5563),
    [anon_sym___extension__] = ACTIONS(5563),
    [anon_sym_typedef] = ACTIONS(5563),
    [anon_sym_extern] = ACTIONS(5563),
    [anon_sym___attribute__] = ACTIONS(5563),
    [anon_sym_COLON_COLON] = ACTIONS(5565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5565),
    [anon_sym___declspec] = ACTIONS(5563),
    [anon_sym___based] = ACTIONS(5563),
    [anon_sym_signed] = ACTIONS(5563),
    [anon_sym_unsigned] = ACTIONS(5563),
    [anon_sym_long] = ACTIONS(5563),
    [anon_sym_short] = ACTIONS(5563),
    [anon_sym_LBRACK] = ACTIONS(5563),
    [anon_sym_static] = ACTIONS(5563),
    [anon_sym_register] = ACTIONS(5563),
    [anon_sym_inline] = ACTIONS(5563),
    [anon_sym___inline] = ACTIONS(5563),
    [anon_sym___inline__] = ACTIONS(5563),
    [anon_sym___forceinline] = ACTIONS(5563),
    [anon_sym_thread_local] = ACTIONS(5563),
    [anon_sym___thread] = ACTIONS(5563),
    [anon_sym_const] = ACTIONS(5563),
    [anon_sym_constexpr] = ACTIONS(5563),
    [anon_sym_volatile] = ACTIONS(5563),
    [anon_sym_restrict] = ACTIONS(5563),
    [anon_sym___restrict__] = ACTIONS(5563),
    [anon_sym__Atomic] = ACTIONS(5563),
    [anon_sym__Noreturn] = ACTIONS(5563),
    [anon_sym_noreturn] = ACTIONS(5563),
    [anon_sym_mutable] = ACTIONS(5563),
    [anon_sym_constinit] = ACTIONS(5563),
    [anon_sym_consteval] = ACTIONS(5563),
    [sym_primitive_type] = ACTIONS(5563),
    [anon_sym_enum] = ACTIONS(5563),
    [anon_sym_class] = ACTIONS(5563),
    [anon_sym_struct] = ACTIONS(5563),
    [anon_sym_union] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5563),
    [anon_sym_decltype] = ACTIONS(5563),
    [anon_sym_virtual] = ACTIONS(5563),
    [anon_sym_alignas] = ACTIONS(5563),
    [anon_sym_explicit] = ACTIONS(5563),
    [anon_sym_typename] = ACTIONS(5563),
    [anon_sym_template] = ACTIONS(5563),
    [anon_sym_operator] = ACTIONS(5563),
    [anon_sym_friend] = ACTIONS(5563),
    [anon_sym_public] = ACTIONS(5563),
    [anon_sym_private] = ACTIONS(5563),
    [anon_sym_protected] = ACTIONS(5563),
    [anon_sym_using] = ACTIONS(5563),
    [anon_sym_static_assert] = ACTIONS(5563),
  },
  [2477] = {
    [sym_identifier] = ACTIONS(5559),
    [aux_sym_preproc_def_token1] = ACTIONS(5559),
    [aux_sym_preproc_if_token1] = ACTIONS(5559),
    [aux_sym_preproc_if_token2] = ACTIONS(5559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5559),
    [aux_sym_preproc_else_token1] = ACTIONS(5559),
    [aux_sym_preproc_elif_token1] = ACTIONS(5559),
    [sym_preproc_directive] = ACTIONS(5559),
    [anon_sym_LPAREN2] = ACTIONS(5561),
    [anon_sym_TILDE] = ACTIONS(5561),
    [anon_sym_STAR] = ACTIONS(5561),
    [anon_sym_AMP_AMP] = ACTIONS(5561),
    [anon_sym_AMP] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5559),
    [anon_sym_typedef] = ACTIONS(5559),
    [anon_sym_extern] = ACTIONS(5559),
    [anon_sym___attribute__] = ACTIONS(5559),
    [anon_sym_COLON_COLON] = ACTIONS(5561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5561),
    [anon_sym___declspec] = ACTIONS(5559),
    [anon_sym___based] = ACTIONS(5559),
    [anon_sym_signed] = ACTIONS(5559),
    [anon_sym_unsigned] = ACTIONS(5559),
    [anon_sym_long] = ACTIONS(5559),
    [anon_sym_short] = ACTIONS(5559),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym_static] = ACTIONS(5559),
    [anon_sym_register] = ACTIONS(5559),
    [anon_sym_inline] = ACTIONS(5559),
    [anon_sym___inline] = ACTIONS(5559),
    [anon_sym___inline__] = ACTIONS(5559),
    [anon_sym___forceinline] = ACTIONS(5559),
    [anon_sym_thread_local] = ACTIONS(5559),
    [anon_sym___thread] = ACTIONS(5559),
    [anon_sym_const] = ACTIONS(5559),
    [anon_sym_constexpr] = ACTIONS(5559),
    [anon_sym_volatile] = ACTIONS(5559),
    [anon_sym_restrict] = ACTIONS(5559),
    [anon_sym___restrict__] = ACTIONS(5559),
    [anon_sym__Atomic] = ACTIONS(5559),
    [anon_sym__Noreturn] = ACTIONS(5559),
    [anon_sym_noreturn] = ACTIONS(5559),
    [anon_sym_mutable] = ACTIONS(5559),
    [anon_sym_constinit] = ACTIONS(5559),
    [anon_sym_consteval] = ACTIONS(5559),
    [sym_primitive_type] = ACTIONS(5559),
    [anon_sym_enum] = ACTIONS(5559),
    [anon_sym_class] = ACTIONS(5559),
    [anon_sym_struct] = ACTIONS(5559),
    [anon_sym_union] = ACTIONS(5559),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5559),
    [anon_sym_decltype] = ACTIONS(5559),
    [anon_sym_virtual] = ACTIONS(5559),
    [anon_sym_alignas] = ACTIONS(5559),
    [anon_sym_explicit] = ACTIONS(5559),
    [anon_sym_typename] = ACTIONS(5559),
    [anon_sym_template] = ACTIONS(5559),
    [anon_sym_operator] = ACTIONS(5559),
    [anon_sym_friend] = ACTIONS(5559),
    [anon_sym_public] = ACTIONS(5559),
    [anon_sym_private] = ACTIONS(5559),
    [anon_sym_protected] = ACTIONS(5559),
    [anon_sym_using] = ACTIONS(5559),
    [anon_sym_static_assert] = ACTIONS(5559),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(5555),
    [aux_sym_preproc_def_token1] = ACTIONS(5555),
    [aux_sym_preproc_if_token1] = ACTIONS(5555),
    [aux_sym_preproc_if_token2] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5555),
    [aux_sym_preproc_else_token1] = ACTIONS(5555),
    [aux_sym_preproc_elif_token1] = ACTIONS(5555),
    [sym_preproc_directive] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5557),
    [anon_sym_TILDE] = ACTIONS(5557),
    [anon_sym_STAR] = ACTIONS(5557),
    [anon_sym_AMP_AMP] = ACTIONS(5557),
    [anon_sym_AMP] = ACTIONS(5555),
    [anon_sym___extension__] = ACTIONS(5555),
    [anon_sym_typedef] = ACTIONS(5555),
    [anon_sym_extern] = ACTIONS(5555),
    [anon_sym___attribute__] = ACTIONS(5555),
    [anon_sym_COLON_COLON] = ACTIONS(5557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5557),
    [anon_sym___declspec] = ACTIONS(5555),
    [anon_sym___based] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5555),
    [anon_sym_unsigned] = ACTIONS(5555),
    [anon_sym_long] = ACTIONS(5555),
    [anon_sym_short] = ACTIONS(5555),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym_static] = ACTIONS(5555),
    [anon_sym_register] = ACTIONS(5555),
    [anon_sym_inline] = ACTIONS(5555),
    [anon_sym___inline] = ACTIONS(5555),
    [anon_sym___inline__] = ACTIONS(5555),
    [anon_sym___forceinline] = ACTIONS(5555),
    [anon_sym_thread_local] = ACTIONS(5555),
    [anon_sym___thread] = ACTIONS(5555),
    [anon_sym_const] = ACTIONS(5555),
    [anon_sym_constexpr] = ACTIONS(5555),
    [anon_sym_volatile] = ACTIONS(5555),
    [anon_sym_restrict] = ACTIONS(5555),
    [anon_sym___restrict__] = ACTIONS(5555),
    [anon_sym__Atomic] = ACTIONS(5555),
    [anon_sym__Noreturn] = ACTIONS(5555),
    [anon_sym_noreturn] = ACTIONS(5555),
    [anon_sym_mutable] = ACTIONS(5555),
    [anon_sym_constinit] = ACTIONS(5555),
    [anon_sym_consteval] = ACTIONS(5555),
    [sym_primitive_type] = ACTIONS(5555),
    [anon_sym_enum] = ACTIONS(5555),
    [anon_sym_class] = ACTIONS(5555),
    [anon_sym_struct] = ACTIONS(5555),
    [anon_sym_union] = ACTIONS(5555),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5555),
    [anon_sym_decltype] = ACTIONS(5555),
    [anon_sym_virtual] = ACTIONS(5555),
    [anon_sym_alignas] = ACTIONS(5555),
    [anon_sym_explicit] = ACTIONS(5555),
    [anon_sym_typename] = ACTIONS(5555),
    [anon_sym_template] = ACTIONS(5555),
    [anon_sym_operator] = ACTIONS(5555),
    [anon_sym_friend] = ACTIONS(5555),
    [anon_sym_public] = ACTIONS(5555),
    [anon_sym_private] = ACTIONS(5555),
    [anon_sym_protected] = ACTIONS(5555),
    [anon_sym_using] = ACTIONS(5555),
    [anon_sym_static_assert] = ACTIONS(5555),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(3142),
    [aux_sym_preproc_def_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token1] = ACTIONS(3142),
    [aux_sym_preproc_if_token2] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3142),
    [aux_sym_preproc_else_token1] = ACTIONS(3142),
    [aux_sym_preproc_elif_token1] = ACTIONS(3142),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_LPAREN2] = ACTIONS(3144),
    [anon_sym_TILDE] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3142),
    [anon_sym_typedef] = ACTIONS(3142),
    [anon_sym_extern] = ACTIONS(3142),
    [anon_sym___attribute__] = ACTIONS(3142),
    [anon_sym_COLON_COLON] = ACTIONS(3144),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3144),
    [anon_sym___declspec] = ACTIONS(3142),
    [anon_sym___based] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3142),
    [anon_sym_unsigned] = ACTIONS(3142),
    [anon_sym_long] = ACTIONS(3142),
    [anon_sym_short] = ACTIONS(3142),
    [anon_sym_LBRACK] = ACTIONS(3142),
    [anon_sym_static] = ACTIONS(3142),
    [anon_sym_register] = ACTIONS(3142),
    [anon_sym_inline] = ACTIONS(3142),
    [anon_sym___inline] = ACTIONS(3142),
    [anon_sym___inline__] = ACTIONS(3142),
    [anon_sym___forceinline] = ACTIONS(3142),
    [anon_sym_thread_local] = ACTIONS(3142),
    [anon_sym___thread] = ACTIONS(3142),
    [anon_sym_const] = ACTIONS(3142),
    [anon_sym_constexpr] = ACTIONS(3142),
    [anon_sym_volatile] = ACTIONS(3142),
    [anon_sym_restrict] = ACTIONS(3142),
    [anon_sym___restrict__] = ACTIONS(3142),
    [anon_sym__Atomic] = ACTIONS(3142),
    [anon_sym__Noreturn] = ACTIONS(3142),
    [anon_sym_noreturn] = ACTIONS(3142),
    [anon_sym_mutable] = ACTIONS(3142),
    [anon_sym_constinit] = ACTIONS(3142),
    [anon_sym_consteval] = ACTIONS(3142),
    [sym_primitive_type] = ACTIONS(3142),
    [anon_sym_enum] = ACTIONS(3142),
    [anon_sym_class] = ACTIONS(3142),
    [anon_sym_struct] = ACTIONS(3142),
    [anon_sym_union] = ACTIONS(3142),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3142),
    [anon_sym_decltype] = ACTIONS(3142),
    [anon_sym_virtual] = ACTIONS(3142),
    [anon_sym_alignas] = ACTIONS(3142),
    [anon_sym_explicit] = ACTIONS(3142),
    [anon_sym_typename] = ACTIONS(3142),
    [anon_sym_template] = ACTIONS(3142),
    [anon_sym_operator] = ACTIONS(3142),
    [anon_sym_friend] = ACTIONS(3142),
    [anon_sym_public] = ACTIONS(3142),
    [anon_sym_private] = ACTIONS(3142),
    [anon_sym_protected] = ACTIONS(3142),
    [anon_sym_using] = ACTIONS(3142),
    [anon_sym_static_assert] = ACTIONS(3142),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(5551),
    [aux_sym_preproc_def_token1] = ACTIONS(5551),
    [aux_sym_preproc_if_token1] = ACTIONS(5551),
    [aux_sym_preproc_if_token2] = ACTIONS(5551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5551),
    [aux_sym_preproc_else_token1] = ACTIONS(5551),
    [aux_sym_preproc_elif_token1] = ACTIONS(5551),
    [sym_preproc_directive] = ACTIONS(5551),
    [anon_sym_LPAREN2] = ACTIONS(5553),
    [anon_sym_TILDE] = ACTIONS(5553),
    [anon_sym_STAR] = ACTIONS(5553),
    [anon_sym_AMP_AMP] = ACTIONS(5553),
    [anon_sym_AMP] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5551),
    [anon_sym_typedef] = ACTIONS(5551),
    [anon_sym_extern] = ACTIONS(5551),
    [anon_sym___attribute__] = ACTIONS(5551),
    [anon_sym_COLON_COLON] = ACTIONS(5553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5553),
    [anon_sym___declspec] = ACTIONS(5551),
    [anon_sym___based] = ACTIONS(5551),
    [anon_sym_signed] = ACTIONS(5551),
    [anon_sym_unsigned] = ACTIONS(5551),
    [anon_sym_long] = ACTIONS(5551),
    [anon_sym_short] = ACTIONS(5551),
    [anon_sym_LBRACK] = ACTIONS(5551),
    [anon_sym_static] = ACTIONS(5551),
    [anon_sym_register] = ACTIONS(5551),
    [anon_sym_inline] = ACTIONS(5551),
    [anon_sym___inline] = ACTIONS(5551),
    [anon_sym___inline__] = ACTIONS(5551),
    [anon_sym___forceinline] = ACTIONS(5551),
    [anon_sym_thread_local] = ACTIONS(5551),
    [anon_sym___thread] = ACTIONS(5551),
    [anon_sym_const] = ACTIONS(5551),
    [anon_sym_constexpr] = ACTIONS(5551),
    [anon_sym_volatile] = ACTIONS(5551),
    [anon_sym_restrict] = ACTIONS(5551),
    [anon_sym___restrict__] = ACTIONS(5551),
    [anon_sym__Atomic] = ACTIONS(5551),
    [anon_sym__Noreturn] = ACTIONS(5551),
    [anon_sym_noreturn] = ACTIONS(5551),
    [anon_sym_mutable] = ACTIONS(5551),
    [anon_sym_constinit] = ACTIONS(5551),
    [anon_sym_consteval] = ACTIONS(5551),
    [sym_primitive_type] = ACTIONS(5551),
    [anon_sym_enum] = ACTIONS(5551),
    [anon_sym_class] = ACTIONS(5551),
    [anon_sym_struct] = ACTIONS(5551),
    [anon_sym_union] = ACTIONS(5551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5551),
    [anon_sym_decltype] = ACTIONS(5551),
    [anon_sym_virtual] = ACTIONS(5551),
    [anon_sym_alignas] = ACTIONS(5551),
    [anon_sym_explicit] = ACTIONS(5551),
    [anon_sym_typename] = ACTIONS(5551),
    [anon_sym_template] = ACTIONS(5551),
    [anon_sym_operator] = ACTIONS(5551),
    [anon_sym_friend] = ACTIONS(5551),
    [anon_sym_public] = ACTIONS(5551),
    [anon_sym_private] = ACTIONS(5551),
    [anon_sym_protected] = ACTIONS(5551),
    [anon_sym_using] = ACTIONS(5551),
    [anon_sym_static_assert] = ACTIONS(5551),
  },
  [2481] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5360),
    [anon_sym_COMMA] = ACTIONS(5360),
    [anon_sym_RPAREN] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5360),
    [anon_sym_BANG_EQ] = ACTIONS(5360),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5360),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_SEMI] = ACTIONS(5360),
    [anon_sym_RBRACE] = ACTIONS(5360),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_RBRACK] = ACTIONS(5360),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_COLON] = ACTIONS(5360),
    [anon_sym_QMARK] = ACTIONS(5360),
    [anon_sym_STAR_EQ] = ACTIONS(5360),
    [anon_sym_SLASH_EQ] = ACTIONS(5360),
    [anon_sym_PERCENT_EQ] = ACTIONS(5360),
    [anon_sym_PLUS_EQ] = ACTIONS(5360),
    [anon_sym_DASH_EQ] = ACTIONS(5360),
    [anon_sym_LT_LT_EQ] = ACTIONS(5360),
    [anon_sym_GT_GT_EQ] = ACTIONS(5360),
    [anon_sym_AMP_EQ] = ACTIONS(5360),
    [anon_sym_CARET_EQ] = ACTIONS(5360),
    [anon_sym_PIPE_EQ] = ACTIONS(5360),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5360),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5360),
    [anon_sym_PLUS_PLUS] = ACTIONS(5360),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5360),
    [anon_sym_DASH_GT] = ACTIONS(5360),
    [anon_sym_L_DQUOTE] = ACTIONS(5360),
    [anon_sym_u_DQUOTE] = ACTIONS(5360),
    [anon_sym_U_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8_DQUOTE] = ACTIONS(5360),
    [anon_sym_DQUOTE] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5360),
    [anon_sym_LR_DQUOTE] = ACTIONS(5360),
    [anon_sym_uR_DQUOTE] = ACTIONS(5360),
    [anon_sym_UR_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5360),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [aux_sym_preproc_if_token2] = ACTIONS(5515),
    [aux_sym_preproc_else_token1] = ACTIONS(5515),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5513),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5513),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5513),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5513),
    [anon_sym_GT_GT] = ACTIONS(5513),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_COLON_COLON] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5513),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_STAR_EQ] = ACTIONS(5515),
    [anon_sym_SLASH_EQ] = ACTIONS(5515),
    [anon_sym_PERCENT_EQ] = ACTIONS(5515),
    [anon_sym_PLUS_EQ] = ACTIONS(5515),
    [anon_sym_DASH_EQ] = ACTIONS(5515),
    [anon_sym_LT_LT_EQ] = ACTIONS(5515),
    [anon_sym_GT_GT_EQ] = ACTIONS(5515),
    [anon_sym_AMP_EQ] = ACTIONS(5515),
    [anon_sym_CARET_EQ] = ACTIONS(5515),
    [anon_sym_PIPE_EQ] = ACTIONS(5515),
    [anon_sym_and_eq] = ACTIONS(5513),
    [anon_sym_or_eq] = ACTIONS(5513),
    [anon_sym_xor_eq] = ACTIONS(5513),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
  },
  [2484] = {
    [sym_string_literal] = STATE(4104),
    [sym_template_argument_list] = STATE(5131),
    [sym_raw_string_literal] = STATE(4104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4105),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(5154),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4121),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(5159),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(5161),
    [anon_sym_SLASH_EQ] = ACTIONS(5161),
    [anon_sym_PERCENT_EQ] = ACTIONS(5161),
    [anon_sym_PLUS_EQ] = ACTIONS(5161),
    [anon_sym_DASH_EQ] = ACTIONS(5161),
    [anon_sym_LT_LT_EQ] = ACTIONS(5161),
    [anon_sym_GT_GT_EQ] = ACTIONS(5159),
    [anon_sym_AMP_EQ] = ACTIONS(5161),
    [anon_sym_CARET_EQ] = ACTIONS(5161),
    [anon_sym_PIPE_EQ] = ACTIONS(5161),
    [anon_sym_and_eq] = ACTIONS(5161),
    [anon_sym_or_eq] = ACTIONS(5161),
    [anon_sym_xor_eq] = ACTIONS(5161),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4097),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4097),
    [anon_sym_not_eq] = ACTIONS(4097),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5163),
    [anon_sym_u_DQUOTE] = ACTIONS(5163),
    [anon_sym_U_DQUOTE] = ACTIONS(5163),
    [anon_sym_u8_DQUOTE] = ACTIONS(5163),
    [anon_sym_DQUOTE] = ACTIONS(5163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4097),
    [anon_sym_R_DQUOTE] = ACTIONS(5165),
    [anon_sym_LR_DQUOTE] = ACTIONS(5165),
    [anon_sym_uR_DQUOTE] = ACTIONS(5165),
    [anon_sym_UR_DQUOTE] = ACTIONS(5165),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5165),
  },
  [2485] = {
    [sym__declaration_modifiers] = STATE(4203),
    [sym_attribute_specifier] = STATE(4203),
    [sym_attribute_declaration] = STATE(4203),
    [sym_ms_declspec_modifier] = STATE(4203),
    [sym_storage_class_specifier] = STATE(4203),
    [sym_type_qualifier] = STATE(4203),
    [sym__type_specifier] = STATE(2941),
    [sym_sized_type_specifier] = STATE(3102),
    [sym_enum_specifier] = STATE(3102),
    [sym_struct_specifier] = STATE(3102),
    [sym_union_specifier] = STATE(3102),
    [sym_placeholder_type_specifier] = STATE(3102),
    [sym_decltype_auto] = STATE(3062),
    [sym_decltype] = STATE(3039),
    [sym_class_specifier] = STATE(3102),
    [sym_virtual] = STATE(4203),
    [sym_alignas_specifier] = STATE(4203),
    [sym_dependent_type] = STATE(3102),
    [sym_template_type] = STATE(3039),
    [sym_dependent_type_identifier] = STATE(9400),
    [sym__scope_resolution] = STATE(7306),
    [sym_qualified_type_identifier] = STATE(4092),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4203),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3063),
    [sym_identifier] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(5852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5854),
    [anon_sym_COMMA] = ACTIONS(5854),
    [anon_sym_RPAREN] = ACTIONS(5854),
    [aux_sym_preproc_if_token2] = ACTIONS(5854),
    [aux_sym_preproc_else_token1] = ACTIONS(5854),
    [aux_sym_preproc_elif_token1] = ACTIONS(5852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5854),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(5854),
    [anon_sym_DASH] = ACTIONS(5852),
    [anon_sym_PLUS] = ACTIONS(5852),
    [anon_sym_STAR] = ACTIONS(5852),
    [anon_sym_SLASH] = ACTIONS(5852),
    [anon_sym_PERCENT] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5854),
    [anon_sym_AMP_AMP] = ACTIONS(5854),
    [anon_sym_PIPE] = ACTIONS(5852),
    [anon_sym_CARET] = ACTIONS(5852),
    [anon_sym_AMP] = ACTIONS(5852),
    [anon_sym_EQ_EQ] = ACTIONS(5854),
    [anon_sym_BANG_EQ] = ACTIONS(5854),
    [anon_sym_GT] = ACTIONS(5852),
    [anon_sym_GT_EQ] = ACTIONS(5854),
    [anon_sym_LT_EQ] = ACTIONS(5852),
    [anon_sym_LT] = ACTIONS(5852),
    [anon_sym_LT_LT] = ACTIONS(5852),
    [anon_sym_GT_GT] = ACTIONS(5852),
    [anon_sym_SEMI] = ACTIONS(5854),
    [anon_sym___attribute__] = ACTIONS(5852),
    [anon_sym_LBRACE] = ACTIONS(5854),
    [anon_sym_RBRACE] = ACTIONS(5854),
    [anon_sym_LBRACK] = ACTIONS(5854),
    [anon_sym_RBRACK] = ACTIONS(5854),
    [anon_sym_EQ] = ACTIONS(5852),
    [anon_sym_COLON] = ACTIONS(5854),
    [anon_sym_QMARK] = ACTIONS(5854),
    [anon_sym_STAR_EQ] = ACTIONS(5854),
    [anon_sym_SLASH_EQ] = ACTIONS(5854),
    [anon_sym_PERCENT_EQ] = ACTIONS(5854),
    [anon_sym_PLUS_EQ] = ACTIONS(5854),
    [anon_sym_DASH_EQ] = ACTIONS(5854),
    [anon_sym_LT_LT_EQ] = ACTIONS(5854),
    [anon_sym_GT_GT_EQ] = ACTIONS(5854),
    [anon_sym_AMP_EQ] = ACTIONS(5854),
    [anon_sym_CARET_EQ] = ACTIONS(5854),
    [anon_sym_PIPE_EQ] = ACTIONS(5854),
    [anon_sym_and_eq] = ACTIONS(5852),
    [anon_sym_or_eq] = ACTIONS(5852),
    [anon_sym_xor_eq] = ACTIONS(5852),
    [anon_sym_LT_EQ_GT] = ACTIONS(5854),
    [anon_sym_or] = ACTIONS(5852),
    [anon_sym_and] = ACTIONS(5852),
    [anon_sym_bitor] = ACTIONS(5852),
    [anon_sym_xor] = ACTIONS(5852),
    [anon_sym_bitand] = ACTIONS(5852),
    [anon_sym_not_eq] = ACTIONS(5852),
    [anon_sym_DASH_DASH] = ACTIONS(5854),
    [anon_sym_PLUS_PLUS] = ACTIONS(5854),
    [anon_sym_DOT] = ACTIONS(5852),
    [anon_sym_DOT_STAR] = ACTIONS(5854),
    [anon_sym_DASH_GT] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5852),
    [anon_sym_decltype] = ACTIONS(5852),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(5864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5866),
    [anon_sym_COMMA] = ACTIONS(5866),
    [anon_sym_RPAREN] = ACTIONS(5866),
    [aux_sym_preproc_if_token2] = ACTIONS(5866),
    [aux_sym_preproc_else_token1] = ACTIONS(5866),
    [aux_sym_preproc_elif_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5866),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5866),
    [anon_sym_LPAREN2] = ACTIONS(5866),
    [anon_sym_DASH] = ACTIONS(5864),
    [anon_sym_PLUS] = ACTIONS(5864),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5864),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5866),
    [anon_sym_AMP_AMP] = ACTIONS(5866),
    [anon_sym_PIPE] = ACTIONS(5864),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5864),
    [anon_sym_EQ_EQ] = ACTIONS(5866),
    [anon_sym_BANG_EQ] = ACTIONS(5866),
    [anon_sym_GT] = ACTIONS(5864),
    [anon_sym_GT_EQ] = ACTIONS(5866),
    [anon_sym_LT_EQ] = ACTIONS(5864),
    [anon_sym_LT] = ACTIONS(5864),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5866),
    [anon_sym___attribute__] = ACTIONS(5864),
    [anon_sym_LBRACE] = ACTIONS(5866),
    [anon_sym_RBRACE] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(5866),
    [anon_sym_RBRACK] = ACTIONS(5866),
    [anon_sym_EQ] = ACTIONS(5864),
    [anon_sym_COLON] = ACTIONS(5866),
    [anon_sym_QMARK] = ACTIONS(5866),
    [anon_sym_STAR_EQ] = ACTIONS(5866),
    [anon_sym_SLASH_EQ] = ACTIONS(5866),
    [anon_sym_PERCENT_EQ] = ACTIONS(5866),
    [anon_sym_PLUS_EQ] = ACTIONS(5866),
    [anon_sym_DASH_EQ] = ACTIONS(5866),
    [anon_sym_LT_LT_EQ] = ACTIONS(5866),
    [anon_sym_GT_GT_EQ] = ACTIONS(5866),
    [anon_sym_AMP_EQ] = ACTIONS(5866),
    [anon_sym_CARET_EQ] = ACTIONS(5866),
    [anon_sym_PIPE_EQ] = ACTIONS(5866),
    [anon_sym_and_eq] = ACTIONS(5864),
    [anon_sym_or_eq] = ACTIONS(5864),
    [anon_sym_xor_eq] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5866),
    [anon_sym_or] = ACTIONS(5864),
    [anon_sym_and] = ACTIONS(5864),
    [anon_sym_bitor] = ACTIONS(5864),
    [anon_sym_xor] = ACTIONS(5864),
    [anon_sym_bitand] = ACTIONS(5864),
    [anon_sym_not_eq] = ACTIONS(5864),
    [anon_sym_DASH_DASH] = ACTIONS(5866),
    [anon_sym_PLUS_PLUS] = ACTIONS(5866),
    [anon_sym_DOT] = ACTIONS(5864),
    [anon_sym_DOT_STAR] = ACTIONS(5866),
    [anon_sym_DASH_GT] = ACTIONS(5866),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5864),
    [anon_sym_decltype] = ACTIONS(5864),
  },
  [2488] = {
    [sym_template_argument_list] = STATE(2026),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2805),
    [sym_identifier] = ACTIONS(5787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5789),
    [anon_sym_COMMA] = ACTIONS(5789),
    [aux_sym_preproc_if_token2] = ACTIONS(5789),
    [aux_sym_preproc_else_token1] = ACTIONS(5789),
    [aux_sym_preproc_elif_token1] = ACTIONS(5789),
    [anon_sym_LPAREN2] = ACTIONS(5789),
    [anon_sym_DASH] = ACTIONS(5787),
    [anon_sym_PLUS] = ACTIONS(5787),
    [anon_sym_STAR] = ACTIONS(5787),
    [anon_sym_SLASH] = ACTIONS(5787),
    [anon_sym_PERCENT] = ACTIONS(5787),
    [anon_sym_PIPE_PIPE] = ACTIONS(5789),
    [anon_sym_AMP_AMP] = ACTIONS(5789),
    [anon_sym_PIPE] = ACTIONS(5787),
    [anon_sym_CARET] = ACTIONS(5787),
    [anon_sym_AMP] = ACTIONS(5787),
    [anon_sym_EQ_EQ] = ACTIONS(5789),
    [anon_sym_BANG_EQ] = ACTIONS(5789),
    [anon_sym_GT] = ACTIONS(5787),
    [anon_sym_GT_EQ] = ACTIONS(5789),
    [anon_sym_LT_EQ] = ACTIONS(5787),
    [anon_sym_LT] = ACTIONS(5787),
    [anon_sym_LT_LT] = ACTIONS(5787),
    [anon_sym_GT_GT] = ACTIONS(5787),
    [anon_sym___attribute__] = ACTIONS(5787),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5789),
    [anon_sym_signed] = ACTIONS(6007),
    [anon_sym_unsigned] = ACTIONS(6007),
    [anon_sym_long] = ACTIONS(6007),
    [anon_sym_short] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(5789),
    [anon_sym_EQ] = ACTIONS(5787),
    [anon_sym_QMARK] = ACTIONS(5789),
    [anon_sym_STAR_EQ] = ACTIONS(5789),
    [anon_sym_SLASH_EQ] = ACTIONS(5789),
    [anon_sym_PERCENT_EQ] = ACTIONS(5789),
    [anon_sym_PLUS_EQ] = ACTIONS(5789),
    [anon_sym_DASH_EQ] = ACTIONS(5789),
    [anon_sym_LT_LT_EQ] = ACTIONS(5789),
    [anon_sym_GT_GT_EQ] = ACTIONS(5789),
    [anon_sym_AMP_EQ] = ACTIONS(5789),
    [anon_sym_CARET_EQ] = ACTIONS(5789),
    [anon_sym_PIPE_EQ] = ACTIONS(5789),
    [anon_sym_and_eq] = ACTIONS(5787),
    [anon_sym_or_eq] = ACTIONS(5787),
    [anon_sym_xor_eq] = ACTIONS(5787),
    [anon_sym_LT_EQ_GT] = ACTIONS(5789),
    [anon_sym_or] = ACTIONS(5787),
    [anon_sym_and] = ACTIONS(5787),
    [anon_sym_bitor] = ACTIONS(5787),
    [anon_sym_xor] = ACTIONS(5787),
    [anon_sym_bitand] = ACTIONS(5787),
    [anon_sym_not_eq] = ACTIONS(5787),
    [anon_sym_DASH_DASH] = ACTIONS(5789),
    [anon_sym_PLUS_PLUS] = ACTIONS(5789),
    [anon_sym_DOT] = ACTIONS(5787),
    [anon_sym_DOT_STAR] = ACTIONS(5789),
    [anon_sym_DASH_GT] = ACTIONS(5789),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5787),
    [anon_sym_decltype] = ACTIONS(5787),
  },
  [2489] = {
    [sym_argument_list] = STATE(2964),
    [sym_initializer_list] = STATE(2964),
    [sym_identifier] = ACTIONS(6009),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6011),
    [anon_sym_COMMA] = ACTIONS(6011),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [aux_sym_preproc_if_token2] = ACTIONS(6011),
    [aux_sym_preproc_else_token1] = ACTIONS(6011),
    [aux_sym_preproc_elif_token1] = ACTIONS(6009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6011),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6011),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(6009),
    [anon_sym_PLUS] = ACTIONS(6009),
    [anon_sym_STAR] = ACTIONS(6009),
    [anon_sym_SLASH] = ACTIONS(6009),
    [anon_sym_PERCENT] = ACTIONS(6009),
    [anon_sym_PIPE_PIPE] = ACTIONS(6011),
    [anon_sym_AMP_AMP] = ACTIONS(6011),
    [anon_sym_PIPE] = ACTIONS(6009),
    [anon_sym_CARET] = ACTIONS(6009),
    [anon_sym_AMP] = ACTIONS(6009),
    [anon_sym_EQ_EQ] = ACTIONS(6011),
    [anon_sym_BANG_EQ] = ACTIONS(6011),
    [anon_sym_GT] = ACTIONS(6009),
    [anon_sym_GT_EQ] = ACTIONS(6011),
    [anon_sym_LT_EQ] = ACTIONS(6009),
    [anon_sym_LT] = ACTIONS(6009),
    [anon_sym_LT_LT] = ACTIONS(6009),
    [anon_sym_GT_GT] = ACTIONS(6009),
    [anon_sym_SEMI] = ACTIONS(6011),
    [anon_sym___attribute__] = ACTIONS(6009),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(6011),
    [anon_sym_RBRACK] = ACTIONS(6011),
    [anon_sym_EQ] = ACTIONS(6009),
    [anon_sym_COLON] = ACTIONS(6011),
    [anon_sym_QMARK] = ACTIONS(6011),
    [anon_sym_STAR_EQ] = ACTIONS(6011),
    [anon_sym_SLASH_EQ] = ACTIONS(6011),
    [anon_sym_PERCENT_EQ] = ACTIONS(6011),
    [anon_sym_PLUS_EQ] = ACTIONS(6011),
    [anon_sym_DASH_EQ] = ACTIONS(6011),
    [anon_sym_LT_LT_EQ] = ACTIONS(6011),
    [anon_sym_GT_GT_EQ] = ACTIONS(6011),
    [anon_sym_AMP_EQ] = ACTIONS(6011),
    [anon_sym_CARET_EQ] = ACTIONS(6011),
    [anon_sym_PIPE_EQ] = ACTIONS(6011),
    [anon_sym_and_eq] = ACTIONS(6009),
    [anon_sym_or_eq] = ACTIONS(6009),
    [anon_sym_xor_eq] = ACTIONS(6009),
    [anon_sym_LT_EQ_GT] = ACTIONS(6011),
    [anon_sym_or] = ACTIONS(6009),
    [anon_sym_and] = ACTIONS(6009),
    [anon_sym_bitor] = ACTIONS(6009),
    [anon_sym_xor] = ACTIONS(6009),
    [anon_sym_bitand] = ACTIONS(6009),
    [anon_sym_not_eq] = ACTIONS(6009),
    [anon_sym_DASH_DASH] = ACTIONS(6011),
    [anon_sym_PLUS_PLUS] = ACTIONS(6011),
    [anon_sym_DOT] = ACTIONS(6009),
    [anon_sym_DOT_STAR] = ACTIONS(6011),
    [anon_sym_DASH_GT] = ACTIONS(6011),
    [sym_comment] = ACTIONS(3),
  },
  [2490] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [aux_sym_preproc_if_token2] = ACTIONS(5515),
    [aux_sym_preproc_else_token1] = ACTIONS(5515),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5513),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5513),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5513),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5513),
    [anon_sym_GT_GT] = ACTIONS(5513),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_STAR_EQ] = ACTIONS(5515),
    [anon_sym_SLASH_EQ] = ACTIONS(5515),
    [anon_sym_PERCENT_EQ] = ACTIONS(5515),
    [anon_sym_PLUS_EQ] = ACTIONS(5515),
    [anon_sym_DASH_EQ] = ACTIONS(5515),
    [anon_sym_LT_LT_EQ] = ACTIONS(5515),
    [anon_sym_GT_GT_EQ] = ACTIONS(5515),
    [anon_sym_AMP_EQ] = ACTIONS(5515),
    [anon_sym_CARET_EQ] = ACTIONS(5515),
    [anon_sym_PIPE_EQ] = ACTIONS(5515),
    [anon_sym_and_eq] = ACTIONS(5513),
    [anon_sym_or_eq] = ACTIONS(5513),
    [anon_sym_xor_eq] = ACTIONS(5513),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
  },
  [2491] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2551),
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6013),
    [anon_sym_unsigned] = ACTIONS(6013),
    [anon_sym_long] = ACTIONS(6013),
    [anon_sym_short] = ACTIONS(6013),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5768),
    [anon_sym_or_eq] = ACTIONS(5768),
    [anon_sym_xor_eq] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
  },
  [2492] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5515),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5515),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5515),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5515),
    [anon_sym_GT_GT] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___extension__] = ACTIONS(5515),
    [anon_sym___attribute__] = ACTIONS(5515),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5515),
    [anon_sym_volatile] = ACTIONS(5515),
    [anon_sym_restrict] = ACTIONS(5515),
    [anon_sym___restrict__] = ACTIONS(5515),
    [anon_sym__Atomic] = ACTIONS(5515),
    [anon_sym__Noreturn] = ACTIONS(5515),
    [anon_sym_noreturn] = ACTIONS(5515),
    [anon_sym_mutable] = ACTIONS(5515),
    [anon_sym_constinit] = ACTIONS(5515),
    [anon_sym_consteval] = ACTIONS(5515),
    [anon_sym_COLON] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5515),
    [anon_sym_and] = ACTIONS(5515),
    [anon_sym_bitor] = ACTIONS(5515),
    [anon_sym_xor] = ACTIONS(5515),
    [anon_sym_bitand] = ACTIONS(5515),
    [anon_sym_not_eq] = ACTIONS(5515),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5515),
    [anon_sym_decltype] = ACTIONS(5515),
    [anon_sym_final] = ACTIONS(5515),
    [anon_sym_override] = ACTIONS(5515),
    [anon_sym_requires] = ACTIONS(5515),
  },
  [2493] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2495),
    [sym_identifier] = ACTIONS(6017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [aux_sym_preproc_if_token2] = ACTIONS(6019),
    [aux_sym_preproc_else_token1] = ACTIONS(6019),
    [aux_sym_preproc_elif_token1] = ACTIONS(6017),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6019),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6017),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6017),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6017),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6017),
    [anon_sym_GT_GT] = ACTIONS(6017),
    [anon_sym___attribute__] = ACTIONS(6017),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_signed] = ACTIONS(6021),
    [anon_sym_unsigned] = ACTIONS(6021),
    [anon_sym_long] = ACTIONS(6021),
    [anon_sym_short] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_EQ] = ACTIONS(6017),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_STAR_EQ] = ACTIONS(6019),
    [anon_sym_SLASH_EQ] = ACTIONS(6019),
    [anon_sym_PERCENT_EQ] = ACTIONS(6019),
    [anon_sym_PLUS_EQ] = ACTIONS(6019),
    [anon_sym_DASH_EQ] = ACTIONS(6019),
    [anon_sym_LT_LT_EQ] = ACTIONS(6019),
    [anon_sym_GT_GT_EQ] = ACTIONS(6019),
    [anon_sym_AMP_EQ] = ACTIONS(6019),
    [anon_sym_CARET_EQ] = ACTIONS(6019),
    [anon_sym_PIPE_EQ] = ACTIONS(6019),
    [anon_sym_and_eq] = ACTIONS(6017),
    [anon_sym_or_eq] = ACTIONS(6017),
    [anon_sym_xor_eq] = ACTIONS(6017),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6017),
    [anon_sym_and] = ACTIONS(6017),
    [anon_sym_bitor] = ACTIONS(6017),
    [anon_sym_xor] = ACTIONS(6017),
    [anon_sym_bitand] = ACTIONS(6017),
    [anon_sym_not_eq] = ACTIONS(6017),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6017),
    [anon_sym_decltype] = ACTIONS(6017),
  },
  [2494] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2495),
    [sym_identifier] = ACTIONS(6023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6025),
    [anon_sym_COMMA] = ACTIONS(6025),
    [aux_sym_preproc_if_token2] = ACTIONS(6025),
    [aux_sym_preproc_else_token1] = ACTIONS(6025),
    [aux_sym_preproc_elif_token1] = ACTIONS(6023),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6025),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6025),
    [anon_sym_LPAREN2] = ACTIONS(6025),
    [anon_sym_DASH] = ACTIONS(6023),
    [anon_sym_PLUS] = ACTIONS(6023),
    [anon_sym_STAR] = ACTIONS(6023),
    [anon_sym_SLASH] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(6023),
    [anon_sym_PIPE_PIPE] = ACTIONS(6025),
    [anon_sym_AMP_AMP] = ACTIONS(6025),
    [anon_sym_PIPE] = ACTIONS(6023),
    [anon_sym_CARET] = ACTIONS(6023),
    [anon_sym_AMP] = ACTIONS(6023),
    [anon_sym_EQ_EQ] = ACTIONS(6025),
    [anon_sym_BANG_EQ] = ACTIONS(6025),
    [anon_sym_GT] = ACTIONS(6023),
    [anon_sym_GT_EQ] = ACTIONS(6025),
    [anon_sym_LT_EQ] = ACTIONS(6023),
    [anon_sym_LT] = ACTIONS(6023),
    [anon_sym_LT_LT] = ACTIONS(6023),
    [anon_sym_GT_GT] = ACTIONS(6023),
    [anon_sym___attribute__] = ACTIONS(6023),
    [anon_sym_LBRACE] = ACTIONS(6025),
    [anon_sym_signed] = ACTIONS(6021),
    [anon_sym_unsigned] = ACTIONS(6021),
    [anon_sym_long] = ACTIONS(6021),
    [anon_sym_short] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6025),
    [anon_sym_EQ] = ACTIONS(6023),
    [anon_sym_QMARK] = ACTIONS(6025),
    [anon_sym_STAR_EQ] = ACTIONS(6025),
    [anon_sym_SLASH_EQ] = ACTIONS(6025),
    [anon_sym_PERCENT_EQ] = ACTIONS(6025),
    [anon_sym_PLUS_EQ] = ACTIONS(6025),
    [anon_sym_DASH_EQ] = ACTIONS(6025),
    [anon_sym_LT_LT_EQ] = ACTIONS(6025),
    [anon_sym_GT_GT_EQ] = ACTIONS(6025),
    [anon_sym_AMP_EQ] = ACTIONS(6025),
    [anon_sym_CARET_EQ] = ACTIONS(6025),
    [anon_sym_PIPE_EQ] = ACTIONS(6025),
    [anon_sym_and_eq] = ACTIONS(6023),
    [anon_sym_or_eq] = ACTIONS(6023),
    [anon_sym_xor_eq] = ACTIONS(6023),
    [anon_sym_LT_EQ_GT] = ACTIONS(6025),
    [anon_sym_or] = ACTIONS(6023),
    [anon_sym_and] = ACTIONS(6023),
    [anon_sym_bitor] = ACTIONS(6023),
    [anon_sym_xor] = ACTIONS(6023),
    [anon_sym_bitand] = ACTIONS(6023),
    [anon_sym_not_eq] = ACTIONS(6023),
    [anon_sym_DASH_DASH] = ACTIONS(6025),
    [anon_sym_PLUS_PLUS] = ACTIONS(6025),
    [anon_sym_DOT] = ACTIONS(6023),
    [anon_sym_DOT_STAR] = ACTIONS(6025),
    [anon_sym_DASH_GT] = ACTIONS(6025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6023),
    [anon_sym_decltype] = ACTIONS(6023),
  },
  [2495] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2495),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5345),
    [anon_sym_COMMA] = ACTIONS(5345),
    [aux_sym_preproc_if_token2] = ACTIONS(5345),
    [aux_sym_preproc_else_token1] = ACTIONS(5345),
    [aux_sym_preproc_elif_token1] = ACTIONS(5343),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5345),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_DASH] = ACTIONS(5343),
    [anon_sym_PLUS] = ACTIONS(5343),
    [anon_sym_STAR] = ACTIONS(5343),
    [anon_sym_SLASH] = ACTIONS(5343),
    [anon_sym_PERCENT] = ACTIONS(5343),
    [anon_sym_PIPE_PIPE] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_PIPE] = ACTIONS(5343),
    [anon_sym_CARET] = ACTIONS(5343),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_EQ_EQ] = ACTIONS(5345),
    [anon_sym_BANG_EQ] = ACTIONS(5345),
    [anon_sym_GT] = ACTIONS(5343),
    [anon_sym_GT_EQ] = ACTIONS(5345),
    [anon_sym_LT_EQ] = ACTIONS(5343),
    [anon_sym_LT] = ACTIONS(5343),
    [anon_sym_LT_LT] = ACTIONS(5343),
    [anon_sym_GT_GT] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(6027),
    [anon_sym_unsigned] = ACTIONS(6027),
    [anon_sym_long] = ACTIONS(6027),
    [anon_sym_short] = ACTIONS(6027),
    [anon_sym_LBRACK] = ACTIONS(5345),
    [anon_sym_EQ] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5345),
    [anon_sym_STAR_EQ] = ACTIONS(5345),
    [anon_sym_SLASH_EQ] = ACTIONS(5345),
    [anon_sym_PERCENT_EQ] = ACTIONS(5345),
    [anon_sym_PLUS_EQ] = ACTIONS(5345),
    [anon_sym_DASH_EQ] = ACTIONS(5345),
    [anon_sym_LT_LT_EQ] = ACTIONS(5345),
    [anon_sym_GT_GT_EQ] = ACTIONS(5345),
    [anon_sym_AMP_EQ] = ACTIONS(5345),
    [anon_sym_CARET_EQ] = ACTIONS(5345),
    [anon_sym_PIPE_EQ] = ACTIONS(5345),
    [anon_sym_and_eq] = ACTIONS(5343),
    [anon_sym_or_eq] = ACTIONS(5343),
    [anon_sym_xor_eq] = ACTIONS(5343),
    [anon_sym_LT_EQ_GT] = ACTIONS(5345),
    [anon_sym_or] = ACTIONS(5343),
    [anon_sym_and] = ACTIONS(5343),
    [anon_sym_bitor] = ACTIONS(5343),
    [anon_sym_xor] = ACTIONS(5343),
    [anon_sym_bitand] = ACTIONS(5343),
    [anon_sym_not_eq] = ACTIONS(5343),
    [anon_sym_DASH_DASH] = ACTIONS(5345),
    [anon_sym_PLUS_PLUS] = ACTIONS(5345),
    [anon_sym_DOT] = ACTIONS(5343),
    [anon_sym_DOT_STAR] = ACTIONS(5345),
    [anon_sym_DASH_GT] = ACTIONS(5345),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_RPAREN] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5822),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5822),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5822),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5822),
    [anon_sym_GT_GT] = ACTIONS(5822),
    [anon_sym_SEMI] = ACTIONS(5824),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_RBRACK] = ACTIONS(5824),
    [anon_sym_EQ] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_STAR_EQ] = ACTIONS(5824),
    [anon_sym_SLASH_EQ] = ACTIONS(5824),
    [anon_sym_PERCENT_EQ] = ACTIONS(5824),
    [anon_sym_PLUS_EQ] = ACTIONS(5824),
    [anon_sym_DASH_EQ] = ACTIONS(5824),
    [anon_sym_LT_LT_EQ] = ACTIONS(5824),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5824),
    [anon_sym_CARET_EQ] = ACTIONS(5824),
    [anon_sym_PIPE_EQ] = ACTIONS(5824),
    [anon_sym_and_eq] = ACTIONS(5822),
    [anon_sym_or_eq] = ACTIONS(5822),
    [anon_sym_xor_eq] = ACTIONS(5822),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
  },
  [2497] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2493),
    [sym_identifier] = ACTIONS(6030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [aux_sym_preproc_if_token2] = ACTIONS(6032),
    [aux_sym_preproc_else_token1] = ACTIONS(6032),
    [aux_sym_preproc_elif_token1] = ACTIONS(6030),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6032),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(6030),
    [anon_sym_STAR] = ACTIONS(6030),
    [anon_sym_SLASH] = ACTIONS(6030),
    [anon_sym_PERCENT] = ACTIONS(6030),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6030),
    [anon_sym_CARET] = ACTIONS(6030),
    [anon_sym_AMP] = ACTIONS(6030),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6030),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6030),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_LT_LT] = ACTIONS(6030),
    [anon_sym_GT_GT] = ACTIONS(6030),
    [anon_sym___attribute__] = ACTIONS(6030),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_signed] = ACTIONS(6034),
    [anon_sym_unsigned] = ACTIONS(6034),
    [anon_sym_long] = ACTIONS(6034),
    [anon_sym_short] = ACTIONS(6034),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_EQ] = ACTIONS(6030),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_STAR_EQ] = ACTIONS(6032),
    [anon_sym_SLASH_EQ] = ACTIONS(6032),
    [anon_sym_PERCENT_EQ] = ACTIONS(6032),
    [anon_sym_PLUS_EQ] = ACTIONS(6032),
    [anon_sym_DASH_EQ] = ACTIONS(6032),
    [anon_sym_LT_LT_EQ] = ACTIONS(6032),
    [anon_sym_GT_GT_EQ] = ACTIONS(6032),
    [anon_sym_AMP_EQ] = ACTIONS(6032),
    [anon_sym_CARET_EQ] = ACTIONS(6032),
    [anon_sym_PIPE_EQ] = ACTIONS(6032),
    [anon_sym_and_eq] = ACTIONS(6030),
    [anon_sym_or_eq] = ACTIONS(6030),
    [anon_sym_xor_eq] = ACTIONS(6030),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6030),
    [anon_sym_and] = ACTIONS(6030),
    [anon_sym_bitor] = ACTIONS(6030),
    [anon_sym_xor] = ACTIONS(6030),
    [anon_sym_bitand] = ACTIONS(6030),
    [anon_sym_not_eq] = ACTIONS(6030),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6030),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6030),
    [anon_sym_decltype] = ACTIONS(6030),
  },
  [2498] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2494),
    [sym_identifier] = ACTIONS(6036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6038),
    [anon_sym_COMMA] = ACTIONS(6038),
    [aux_sym_preproc_if_token2] = ACTIONS(6038),
    [aux_sym_preproc_else_token1] = ACTIONS(6038),
    [aux_sym_preproc_elif_token1] = ACTIONS(6036),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6038),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6038),
    [anon_sym_LPAREN2] = ACTIONS(6038),
    [anon_sym_DASH] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(6036),
    [anon_sym_STAR] = ACTIONS(6036),
    [anon_sym_SLASH] = ACTIONS(6036),
    [anon_sym_PERCENT] = ACTIONS(6036),
    [anon_sym_PIPE_PIPE] = ACTIONS(6038),
    [anon_sym_AMP_AMP] = ACTIONS(6038),
    [anon_sym_PIPE] = ACTIONS(6036),
    [anon_sym_CARET] = ACTIONS(6036),
    [anon_sym_AMP] = ACTIONS(6036),
    [anon_sym_EQ_EQ] = ACTIONS(6038),
    [anon_sym_BANG_EQ] = ACTIONS(6038),
    [anon_sym_GT] = ACTIONS(6036),
    [anon_sym_GT_EQ] = ACTIONS(6038),
    [anon_sym_LT_EQ] = ACTIONS(6036),
    [anon_sym_LT] = ACTIONS(6036),
    [anon_sym_LT_LT] = ACTIONS(6036),
    [anon_sym_GT_GT] = ACTIONS(6036),
    [anon_sym___attribute__] = ACTIONS(6036),
    [anon_sym_LBRACE] = ACTIONS(6038),
    [anon_sym_signed] = ACTIONS(6040),
    [anon_sym_unsigned] = ACTIONS(6040),
    [anon_sym_long] = ACTIONS(6040),
    [anon_sym_short] = ACTIONS(6040),
    [anon_sym_LBRACK] = ACTIONS(6038),
    [anon_sym_EQ] = ACTIONS(6036),
    [anon_sym_QMARK] = ACTIONS(6038),
    [anon_sym_STAR_EQ] = ACTIONS(6038),
    [anon_sym_SLASH_EQ] = ACTIONS(6038),
    [anon_sym_PERCENT_EQ] = ACTIONS(6038),
    [anon_sym_PLUS_EQ] = ACTIONS(6038),
    [anon_sym_DASH_EQ] = ACTIONS(6038),
    [anon_sym_LT_LT_EQ] = ACTIONS(6038),
    [anon_sym_GT_GT_EQ] = ACTIONS(6038),
    [anon_sym_AMP_EQ] = ACTIONS(6038),
    [anon_sym_CARET_EQ] = ACTIONS(6038),
    [anon_sym_PIPE_EQ] = ACTIONS(6038),
    [anon_sym_and_eq] = ACTIONS(6036),
    [anon_sym_or_eq] = ACTIONS(6036),
    [anon_sym_xor_eq] = ACTIONS(6036),
    [anon_sym_LT_EQ_GT] = ACTIONS(6038),
    [anon_sym_or] = ACTIONS(6036),
    [anon_sym_and] = ACTIONS(6036),
    [anon_sym_bitor] = ACTIONS(6036),
    [anon_sym_xor] = ACTIONS(6036),
    [anon_sym_bitand] = ACTIONS(6036),
    [anon_sym_not_eq] = ACTIONS(6036),
    [anon_sym_DASH_DASH] = ACTIONS(6038),
    [anon_sym_PLUS_PLUS] = ACTIONS(6038),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_DOT_STAR] = ACTIONS(6038),
    [anon_sym_DASH_GT] = ACTIONS(6038),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6036),
    [anon_sym_decltype] = ACTIONS(6036),
  },
  [2499] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2495),
    [sym_identifier] = ACTIONS(6042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6044),
    [anon_sym_COMMA] = ACTIONS(6044),
    [aux_sym_preproc_if_token2] = ACTIONS(6044),
    [aux_sym_preproc_else_token1] = ACTIONS(6044),
    [aux_sym_preproc_elif_token1] = ACTIONS(6042),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6044),
    [anon_sym_LPAREN2] = ACTIONS(6044),
    [anon_sym_DASH] = ACTIONS(6042),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_STAR] = ACTIONS(6042),
    [anon_sym_SLASH] = ACTIONS(6042),
    [anon_sym_PERCENT] = ACTIONS(6042),
    [anon_sym_PIPE_PIPE] = ACTIONS(6044),
    [anon_sym_AMP_AMP] = ACTIONS(6044),
    [anon_sym_PIPE] = ACTIONS(6042),
    [anon_sym_CARET] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_EQ_EQ] = ACTIONS(6044),
    [anon_sym_BANG_EQ] = ACTIONS(6044),
    [anon_sym_GT] = ACTIONS(6042),
    [anon_sym_GT_EQ] = ACTIONS(6044),
    [anon_sym_LT_EQ] = ACTIONS(6042),
    [anon_sym_LT] = ACTIONS(6042),
    [anon_sym_LT_LT] = ACTIONS(6042),
    [anon_sym_GT_GT] = ACTIONS(6042),
    [anon_sym___attribute__] = ACTIONS(6042),
    [anon_sym_LBRACE] = ACTIONS(6044),
    [anon_sym_signed] = ACTIONS(6021),
    [anon_sym_unsigned] = ACTIONS(6021),
    [anon_sym_long] = ACTIONS(6021),
    [anon_sym_short] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6044),
    [anon_sym_EQ] = ACTIONS(6042),
    [anon_sym_QMARK] = ACTIONS(6044),
    [anon_sym_STAR_EQ] = ACTIONS(6044),
    [anon_sym_SLASH_EQ] = ACTIONS(6044),
    [anon_sym_PERCENT_EQ] = ACTIONS(6044),
    [anon_sym_PLUS_EQ] = ACTIONS(6044),
    [anon_sym_DASH_EQ] = ACTIONS(6044),
    [anon_sym_LT_LT_EQ] = ACTIONS(6044),
    [anon_sym_GT_GT_EQ] = ACTIONS(6044),
    [anon_sym_AMP_EQ] = ACTIONS(6044),
    [anon_sym_CARET_EQ] = ACTIONS(6044),
    [anon_sym_PIPE_EQ] = ACTIONS(6044),
    [anon_sym_and_eq] = ACTIONS(6042),
    [anon_sym_or_eq] = ACTIONS(6042),
    [anon_sym_xor_eq] = ACTIONS(6042),
    [anon_sym_LT_EQ_GT] = ACTIONS(6044),
    [anon_sym_or] = ACTIONS(6042),
    [anon_sym_and] = ACTIONS(6042),
    [anon_sym_bitor] = ACTIONS(6042),
    [anon_sym_xor] = ACTIONS(6042),
    [anon_sym_bitand] = ACTIONS(6042),
    [anon_sym_not_eq] = ACTIONS(6042),
    [anon_sym_DASH_DASH] = ACTIONS(6044),
    [anon_sym_PLUS_PLUS] = ACTIONS(6044),
    [anon_sym_DOT] = ACTIONS(6042),
    [anon_sym_DOT_STAR] = ACTIONS(6044),
    [anon_sym_DASH_GT] = ACTIONS(6044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6042),
    [anon_sym_decltype] = ACTIONS(6042),
  },
  [2500] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_signed] = ACTIONS(6015),
    [anon_sym_unsigned] = ACTIONS(6015),
    [anon_sym_long] = ACTIONS(6015),
    [anon_sym_short] = ACTIONS(6015),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_const] = ACTIONS(5768),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5756),
    [anon_sym_COMMA] = ACTIONS(5756),
    [anon_sym_RPAREN] = ACTIONS(5756),
    [aux_sym_preproc_if_token2] = ACTIONS(5756),
    [aux_sym_preproc_else_token1] = ACTIONS(5756),
    [aux_sym_preproc_elif_token1] = ACTIONS(5754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5756),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5756),
    [anon_sym_LPAREN2] = ACTIONS(5756),
    [anon_sym_DASH] = ACTIONS(5754),
    [anon_sym_PLUS] = ACTIONS(5754),
    [anon_sym_STAR] = ACTIONS(5754),
    [anon_sym_SLASH] = ACTIONS(5754),
    [anon_sym_PERCENT] = ACTIONS(5754),
    [anon_sym_PIPE_PIPE] = ACTIONS(5756),
    [anon_sym_AMP_AMP] = ACTIONS(5756),
    [anon_sym_PIPE] = ACTIONS(5754),
    [anon_sym_CARET] = ACTIONS(5754),
    [anon_sym_AMP] = ACTIONS(5754),
    [anon_sym_EQ_EQ] = ACTIONS(5756),
    [anon_sym_BANG_EQ] = ACTIONS(5756),
    [anon_sym_GT] = ACTIONS(5754),
    [anon_sym_GT_EQ] = ACTIONS(5756),
    [anon_sym_LT_EQ] = ACTIONS(5754),
    [anon_sym_LT] = ACTIONS(5754),
    [anon_sym_LT_LT] = ACTIONS(5754),
    [anon_sym_GT_GT] = ACTIONS(5754),
    [anon_sym_SEMI] = ACTIONS(5756),
    [anon_sym___attribute__] = ACTIONS(5754),
    [anon_sym_LBRACE] = ACTIONS(5756),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_LBRACK] = ACTIONS(5756),
    [anon_sym_RBRACK] = ACTIONS(5756),
    [anon_sym_EQ] = ACTIONS(5754),
    [anon_sym_COLON] = ACTIONS(5756),
    [anon_sym_QMARK] = ACTIONS(5756),
    [anon_sym_STAR_EQ] = ACTIONS(5756),
    [anon_sym_SLASH_EQ] = ACTIONS(5756),
    [anon_sym_PERCENT_EQ] = ACTIONS(5756),
    [anon_sym_PLUS_EQ] = ACTIONS(5756),
    [anon_sym_DASH_EQ] = ACTIONS(5756),
    [anon_sym_LT_LT_EQ] = ACTIONS(5756),
    [anon_sym_GT_GT_EQ] = ACTIONS(5756),
    [anon_sym_AMP_EQ] = ACTIONS(5756),
    [anon_sym_CARET_EQ] = ACTIONS(5756),
    [anon_sym_PIPE_EQ] = ACTIONS(5756),
    [anon_sym_and_eq] = ACTIONS(5754),
    [anon_sym_or_eq] = ACTIONS(5754),
    [anon_sym_xor_eq] = ACTIONS(5754),
    [anon_sym_LT_EQ_GT] = ACTIONS(5756),
    [anon_sym_or] = ACTIONS(5754),
    [anon_sym_and] = ACTIONS(5754),
    [anon_sym_bitor] = ACTIONS(5754),
    [anon_sym_xor] = ACTIONS(5754),
    [anon_sym_bitand] = ACTIONS(5754),
    [anon_sym_not_eq] = ACTIONS(5754),
    [anon_sym_DASH_DASH] = ACTIONS(5756),
    [anon_sym_PLUS_PLUS] = ACTIONS(5756),
    [anon_sym_DOT] = ACTIONS(5754),
    [anon_sym_DOT_STAR] = ACTIONS(5756),
    [anon_sym_DASH_GT] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5754),
    [anon_sym_decltype] = ACTIONS(5754),
  },
  [2502] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2503] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token2] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_friend] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
  },
  [2504] = {
    [sym_identifier] = ACTIONS(5362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5364),
    [anon_sym_COMMA] = ACTIONS(5364),
    [aux_sym_preproc_if_token2] = ACTIONS(5364),
    [aux_sym_preproc_else_token1] = ACTIONS(5364),
    [aux_sym_preproc_elif_token1] = ACTIONS(5364),
    [anon_sym_LPAREN2] = ACTIONS(5364),
    [anon_sym_DASH] = ACTIONS(5362),
    [anon_sym_PLUS] = ACTIONS(5362),
    [anon_sym_STAR] = ACTIONS(5362),
    [anon_sym_SLASH] = ACTIONS(5362),
    [anon_sym_PERCENT] = ACTIONS(5362),
    [anon_sym_PIPE_PIPE] = ACTIONS(5364),
    [anon_sym_AMP_AMP] = ACTIONS(5364),
    [anon_sym_PIPE] = ACTIONS(5362),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_AMP] = ACTIONS(5362),
    [anon_sym_EQ_EQ] = ACTIONS(5364),
    [anon_sym_BANG_EQ] = ACTIONS(5364),
    [anon_sym_GT] = ACTIONS(5362),
    [anon_sym_GT_EQ] = ACTIONS(5364),
    [anon_sym_LT_EQ] = ACTIONS(5362),
    [anon_sym_LT] = ACTIONS(5362),
    [anon_sym_LT_LT] = ACTIONS(5362),
    [anon_sym_GT_GT] = ACTIONS(5362),
    [anon_sym_LBRACK] = ACTIONS(5364),
    [anon_sym_EQ] = ACTIONS(5362),
    [anon_sym_QMARK] = ACTIONS(5364),
    [anon_sym_STAR_EQ] = ACTIONS(5364),
    [anon_sym_SLASH_EQ] = ACTIONS(5364),
    [anon_sym_PERCENT_EQ] = ACTIONS(5364),
    [anon_sym_PLUS_EQ] = ACTIONS(5364),
    [anon_sym_DASH_EQ] = ACTIONS(5364),
    [anon_sym_LT_LT_EQ] = ACTIONS(5364),
    [anon_sym_GT_GT_EQ] = ACTIONS(5364),
    [anon_sym_AMP_EQ] = ACTIONS(5364),
    [anon_sym_CARET_EQ] = ACTIONS(5364),
    [anon_sym_PIPE_EQ] = ACTIONS(5364),
    [anon_sym_and_eq] = ACTIONS(5362),
    [anon_sym_or_eq] = ACTIONS(5362),
    [anon_sym_xor_eq] = ACTIONS(5362),
    [anon_sym_LT_EQ_GT] = ACTIONS(5364),
    [anon_sym_or] = ACTIONS(5362),
    [anon_sym_and] = ACTIONS(5362),
    [anon_sym_bitor] = ACTIONS(5362),
    [anon_sym_xor] = ACTIONS(5362),
    [anon_sym_bitand] = ACTIONS(5362),
    [anon_sym_not_eq] = ACTIONS(5362),
    [anon_sym_DASH_DASH] = ACTIONS(5364),
    [anon_sym_PLUS_PLUS] = ACTIONS(5364),
    [anon_sym_DOT] = ACTIONS(5362),
    [anon_sym_DOT_STAR] = ACTIONS(5364),
    [anon_sym_DASH_GT] = ACTIONS(5364),
    [anon_sym_L_DQUOTE] = ACTIONS(5364),
    [anon_sym_u_DQUOTE] = ACTIONS(5364),
    [anon_sym_U_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8_DQUOTE] = ACTIONS(5364),
    [anon_sym_DQUOTE] = ACTIONS(5364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5364),
    [anon_sym_LR_DQUOTE] = ACTIONS(5364),
    [anon_sym_uR_DQUOTE] = ACTIONS(5364),
    [anon_sym_UR_DQUOTE] = ACTIONS(5364),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5364),
    [sym_literal_suffix] = ACTIONS(5362),
  },
  [2505] = {
    [sym_identifier] = ACTIONS(5513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5515),
    [anon_sym_COMMA] = ACTIONS(5515),
    [anon_sym_RPAREN] = ACTIONS(5515),
    [aux_sym_preproc_if_token2] = ACTIONS(5515),
    [aux_sym_preproc_else_token1] = ACTIONS(5515),
    [aux_sym_preproc_elif_token1] = ACTIONS(5513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5515),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5515),
    [anon_sym_LPAREN2] = ACTIONS(5515),
    [anon_sym_DASH] = ACTIONS(5513),
    [anon_sym_PLUS] = ACTIONS(5513),
    [anon_sym_STAR] = ACTIONS(5513),
    [anon_sym_SLASH] = ACTIONS(5513),
    [anon_sym_PERCENT] = ACTIONS(5513),
    [anon_sym_PIPE_PIPE] = ACTIONS(5515),
    [anon_sym_AMP_AMP] = ACTIONS(5515),
    [anon_sym_PIPE] = ACTIONS(5513),
    [anon_sym_CARET] = ACTIONS(5513),
    [anon_sym_AMP] = ACTIONS(5513),
    [anon_sym_EQ_EQ] = ACTIONS(5515),
    [anon_sym_BANG_EQ] = ACTIONS(5515),
    [anon_sym_GT] = ACTIONS(5513),
    [anon_sym_GT_EQ] = ACTIONS(5515),
    [anon_sym_LT_EQ] = ACTIONS(5513),
    [anon_sym_LT] = ACTIONS(5513),
    [anon_sym_LT_LT] = ACTIONS(5513),
    [anon_sym_GT_GT] = ACTIONS(5513),
    [anon_sym_SEMI] = ACTIONS(5515),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(5515),
    [anon_sym_RBRACE] = ACTIONS(5515),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(5513),
    [anon_sym_COLON] = ACTIONS(5515),
    [anon_sym_QMARK] = ACTIONS(5515),
    [anon_sym_STAR_EQ] = ACTIONS(5515),
    [anon_sym_SLASH_EQ] = ACTIONS(5515),
    [anon_sym_PERCENT_EQ] = ACTIONS(5515),
    [anon_sym_PLUS_EQ] = ACTIONS(5515),
    [anon_sym_DASH_EQ] = ACTIONS(5515),
    [anon_sym_LT_LT_EQ] = ACTIONS(5515),
    [anon_sym_GT_GT_EQ] = ACTIONS(5515),
    [anon_sym_AMP_EQ] = ACTIONS(5515),
    [anon_sym_CARET_EQ] = ACTIONS(5515),
    [anon_sym_PIPE_EQ] = ACTIONS(5515),
    [anon_sym_and_eq] = ACTIONS(5513),
    [anon_sym_or_eq] = ACTIONS(5513),
    [anon_sym_xor_eq] = ACTIONS(5513),
    [anon_sym_LT_EQ_GT] = ACTIONS(5515),
    [anon_sym_or] = ACTIONS(5513),
    [anon_sym_and] = ACTIONS(5513),
    [anon_sym_bitor] = ACTIONS(5513),
    [anon_sym_xor] = ACTIONS(5513),
    [anon_sym_bitand] = ACTIONS(5513),
    [anon_sym_not_eq] = ACTIONS(5513),
    [anon_sym_DASH_DASH] = ACTIONS(5515),
    [anon_sym_PLUS_PLUS] = ACTIONS(5515),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_DOT_STAR] = ACTIONS(5515),
    [anon_sym_DASH_GT] = ACTIONS(5515),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5513),
    [anon_sym_decltype] = ACTIONS(5513),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(5742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5744),
    [anon_sym_COMMA] = ACTIONS(5744),
    [anon_sym_RPAREN] = ACTIONS(5744),
    [aux_sym_preproc_if_token2] = ACTIONS(5744),
    [aux_sym_preproc_else_token1] = ACTIONS(5744),
    [aux_sym_preproc_elif_token1] = ACTIONS(5742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5744),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5744),
    [anon_sym_LPAREN2] = ACTIONS(5744),
    [anon_sym_DASH] = ACTIONS(5742),
    [anon_sym_PLUS] = ACTIONS(5742),
    [anon_sym_STAR] = ACTIONS(5742),
    [anon_sym_SLASH] = ACTIONS(5742),
    [anon_sym_PERCENT] = ACTIONS(5742),
    [anon_sym_PIPE_PIPE] = ACTIONS(5744),
    [anon_sym_AMP_AMP] = ACTIONS(5744),
    [anon_sym_PIPE] = ACTIONS(5742),
    [anon_sym_CARET] = ACTIONS(5742),
    [anon_sym_AMP] = ACTIONS(5742),
    [anon_sym_EQ_EQ] = ACTIONS(5744),
    [anon_sym_BANG_EQ] = ACTIONS(5744),
    [anon_sym_GT] = ACTIONS(5742),
    [anon_sym_GT_EQ] = ACTIONS(5744),
    [anon_sym_LT_EQ] = ACTIONS(5742),
    [anon_sym_LT] = ACTIONS(5742),
    [anon_sym_LT_LT] = ACTIONS(5742),
    [anon_sym_GT_GT] = ACTIONS(5742),
    [anon_sym_SEMI] = ACTIONS(5744),
    [anon_sym___attribute__] = ACTIONS(5742),
    [anon_sym_LBRACE] = ACTIONS(5744),
    [anon_sym_RBRACE] = ACTIONS(5744),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [anon_sym_RBRACK] = ACTIONS(5744),
    [anon_sym_EQ] = ACTIONS(5742),
    [anon_sym_COLON] = ACTIONS(5744),
    [anon_sym_QMARK] = ACTIONS(5744),
    [anon_sym_STAR_EQ] = ACTIONS(5744),
    [anon_sym_SLASH_EQ] = ACTIONS(5744),
    [anon_sym_PERCENT_EQ] = ACTIONS(5744),
    [anon_sym_PLUS_EQ] = ACTIONS(5744),
    [anon_sym_DASH_EQ] = ACTIONS(5744),
    [anon_sym_LT_LT_EQ] = ACTIONS(5744),
    [anon_sym_GT_GT_EQ] = ACTIONS(5744),
    [anon_sym_AMP_EQ] = ACTIONS(5744),
    [anon_sym_CARET_EQ] = ACTIONS(5744),
    [anon_sym_PIPE_EQ] = ACTIONS(5744),
    [anon_sym_and_eq] = ACTIONS(5742),
    [anon_sym_or_eq] = ACTIONS(5742),
    [anon_sym_xor_eq] = ACTIONS(5742),
    [anon_sym_LT_EQ_GT] = ACTIONS(5744),
    [anon_sym_or] = ACTIONS(5742),
    [anon_sym_and] = ACTIONS(5742),
    [anon_sym_bitor] = ACTIONS(5742),
    [anon_sym_xor] = ACTIONS(5742),
    [anon_sym_bitand] = ACTIONS(5742),
    [anon_sym_not_eq] = ACTIONS(5742),
    [anon_sym_DASH_DASH] = ACTIONS(5744),
    [anon_sym_PLUS_PLUS] = ACTIONS(5744),
    [anon_sym_DOT] = ACTIONS(5742),
    [anon_sym_DOT_STAR] = ACTIONS(5744),
    [anon_sym_DASH_GT] = ACTIONS(5744),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5742),
    [anon_sym_decltype] = ACTIONS(5742),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(5350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5352),
    [anon_sym_COMMA] = ACTIONS(5352),
    [aux_sym_preproc_if_token2] = ACTIONS(5352),
    [aux_sym_preproc_else_token1] = ACTIONS(5352),
    [aux_sym_preproc_elif_token1] = ACTIONS(5352),
    [anon_sym_LPAREN2] = ACTIONS(5352),
    [anon_sym_DASH] = ACTIONS(5350),
    [anon_sym_PLUS] = ACTIONS(5350),
    [anon_sym_STAR] = ACTIONS(5350),
    [anon_sym_SLASH] = ACTIONS(5350),
    [anon_sym_PERCENT] = ACTIONS(5350),
    [anon_sym_PIPE_PIPE] = ACTIONS(5352),
    [anon_sym_AMP_AMP] = ACTIONS(5352),
    [anon_sym_PIPE] = ACTIONS(5350),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_AMP] = ACTIONS(5350),
    [anon_sym_EQ_EQ] = ACTIONS(5352),
    [anon_sym_BANG_EQ] = ACTIONS(5352),
    [anon_sym_GT] = ACTIONS(5350),
    [anon_sym_GT_EQ] = ACTIONS(5352),
    [anon_sym_LT_EQ] = ACTIONS(5350),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(5350),
    [anon_sym_GT_GT] = ACTIONS(5350),
    [anon_sym_LBRACK] = ACTIONS(5352),
    [anon_sym_EQ] = ACTIONS(5350),
    [anon_sym_QMARK] = ACTIONS(5352),
    [anon_sym_STAR_EQ] = ACTIONS(5352),
    [anon_sym_SLASH_EQ] = ACTIONS(5352),
    [anon_sym_PERCENT_EQ] = ACTIONS(5352),
    [anon_sym_PLUS_EQ] = ACTIONS(5352),
    [anon_sym_DASH_EQ] = ACTIONS(5352),
    [anon_sym_LT_LT_EQ] = ACTIONS(5352),
    [anon_sym_GT_GT_EQ] = ACTIONS(5352),
    [anon_sym_AMP_EQ] = ACTIONS(5352),
    [anon_sym_CARET_EQ] = ACTIONS(5352),
    [anon_sym_PIPE_EQ] = ACTIONS(5352),
    [anon_sym_and_eq] = ACTIONS(5350),
    [anon_sym_or_eq] = ACTIONS(5350),
    [anon_sym_xor_eq] = ACTIONS(5350),
    [anon_sym_LT_EQ_GT] = ACTIONS(5352),
    [anon_sym_or] = ACTIONS(5350),
    [anon_sym_and] = ACTIONS(5350),
    [anon_sym_bitor] = ACTIONS(5350),
    [anon_sym_xor] = ACTIONS(5350),
    [anon_sym_bitand] = ACTIONS(5350),
    [anon_sym_not_eq] = ACTIONS(5350),
    [anon_sym_DASH_DASH] = ACTIONS(5352),
    [anon_sym_PLUS_PLUS] = ACTIONS(5352),
    [anon_sym_DOT] = ACTIONS(5350),
    [anon_sym_DOT_STAR] = ACTIONS(5352),
    [anon_sym_DASH_GT] = ACTIONS(5352),
    [anon_sym_L_DQUOTE] = ACTIONS(5352),
    [anon_sym_u_DQUOTE] = ACTIONS(5352),
    [anon_sym_U_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8_DQUOTE] = ACTIONS(5352),
    [anon_sym_DQUOTE] = ACTIONS(5352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5352),
    [anon_sym_LR_DQUOTE] = ACTIONS(5352),
    [anon_sym_uR_DQUOTE] = ACTIONS(5352),
    [anon_sym_UR_DQUOTE] = ACTIONS(5352),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5352),
    [sym_literal_suffix] = ACTIONS(5350),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5872),
    [anon_sym_COMMA] = ACTIONS(5872),
    [anon_sym_RPAREN] = ACTIONS(5872),
    [aux_sym_preproc_if_token2] = ACTIONS(5872),
    [aux_sym_preproc_else_token1] = ACTIONS(5872),
    [aux_sym_preproc_elif_token1] = ACTIONS(5870),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5872),
    [anon_sym_LPAREN2] = ACTIONS(5872),
    [anon_sym_DASH] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5870),
    [anon_sym_STAR] = ACTIONS(5870),
    [anon_sym_SLASH] = ACTIONS(5870),
    [anon_sym_PERCENT] = ACTIONS(5870),
    [anon_sym_PIPE_PIPE] = ACTIONS(5872),
    [anon_sym_AMP_AMP] = ACTIONS(5872),
    [anon_sym_PIPE] = ACTIONS(5870),
    [anon_sym_CARET] = ACTIONS(5870),
    [anon_sym_AMP] = ACTIONS(5870),
    [anon_sym_EQ_EQ] = ACTIONS(5872),
    [anon_sym_BANG_EQ] = ACTIONS(5872),
    [anon_sym_GT] = ACTIONS(5870),
    [anon_sym_GT_EQ] = ACTIONS(5872),
    [anon_sym_LT_EQ] = ACTIONS(5870),
    [anon_sym_LT] = ACTIONS(5870),
    [anon_sym_LT_LT] = ACTIONS(5870),
    [anon_sym_GT_GT] = ACTIONS(5870),
    [anon_sym_SEMI] = ACTIONS(5872),
    [anon_sym___attribute__] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(5872),
    [anon_sym_RBRACE] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(5872),
    [anon_sym_RBRACK] = ACTIONS(5872),
    [anon_sym_EQ] = ACTIONS(5870),
    [anon_sym_COLON] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5872),
    [anon_sym_STAR_EQ] = ACTIONS(5872),
    [anon_sym_SLASH_EQ] = ACTIONS(5872),
    [anon_sym_PERCENT_EQ] = ACTIONS(5872),
    [anon_sym_PLUS_EQ] = ACTIONS(5872),
    [anon_sym_DASH_EQ] = ACTIONS(5872),
    [anon_sym_LT_LT_EQ] = ACTIONS(5872),
    [anon_sym_GT_GT_EQ] = ACTIONS(5872),
    [anon_sym_AMP_EQ] = ACTIONS(5872),
    [anon_sym_CARET_EQ] = ACTIONS(5872),
    [anon_sym_PIPE_EQ] = ACTIONS(5872),
    [anon_sym_and_eq] = ACTIONS(5870),
    [anon_sym_or_eq] = ACTIONS(5870),
    [anon_sym_xor_eq] = ACTIONS(5870),
    [anon_sym_LT_EQ_GT] = ACTIONS(5872),
    [anon_sym_or] = ACTIONS(5870),
    [anon_sym_and] = ACTIONS(5870),
    [anon_sym_bitor] = ACTIONS(5870),
    [anon_sym_xor] = ACTIONS(5870),
    [anon_sym_bitand] = ACTIONS(5870),
    [anon_sym_not_eq] = ACTIONS(5870),
    [anon_sym_DASH_DASH] = ACTIONS(5872),
    [anon_sym_PLUS_PLUS] = ACTIONS(5872),
    [anon_sym_DOT] = ACTIONS(5870),
    [anon_sym_DOT_STAR] = ACTIONS(5872),
    [anon_sym_DASH_GT] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5870),
    [anon_sym_decltype] = ACTIONS(5870),
  },
  [2509] = {
    [sym_attribute_declaration] = STATE(2509),
    [aux_sym_attributed_declarator_repeat1] = STATE(2509),
    [sym_identifier] = ACTIONS(6046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6048),
    [anon_sym_COMMA] = ACTIONS(6048),
    [anon_sym_RPAREN] = ACTIONS(6048),
    [aux_sym_preproc_if_token2] = ACTIONS(6048),
    [aux_sym_preproc_else_token1] = ACTIONS(6048),
    [aux_sym_preproc_elif_token1] = ACTIONS(6046),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6048),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6048),
    [anon_sym_LPAREN2] = ACTIONS(6048),
    [anon_sym_DASH] = ACTIONS(6046),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_STAR] = ACTIONS(6046),
    [anon_sym_SLASH] = ACTIONS(6046),
    [anon_sym_PERCENT] = ACTIONS(6046),
    [anon_sym_PIPE_PIPE] = ACTIONS(6048),
    [anon_sym_AMP_AMP] = ACTIONS(6048),
    [anon_sym_PIPE] = ACTIONS(6046),
    [anon_sym_CARET] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_EQ_EQ] = ACTIONS(6048),
    [anon_sym_BANG_EQ] = ACTIONS(6048),
    [anon_sym_GT] = ACTIONS(6046),
    [anon_sym_GT_EQ] = ACTIONS(6048),
    [anon_sym_LT_EQ] = ACTIONS(6046),
    [anon_sym_LT] = ACTIONS(6046),
    [anon_sym_LT_LT] = ACTIONS(6046),
    [anon_sym_GT_GT] = ACTIONS(6046),
    [anon_sym_SEMI] = ACTIONS(6048),
    [anon_sym___attribute__] = ACTIONS(6046),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6050),
    [anon_sym_RBRACE] = ACTIONS(6048),
    [anon_sym_LBRACK] = ACTIONS(6046),
    [anon_sym_RBRACK] = ACTIONS(6048),
    [anon_sym_EQ] = ACTIONS(6046),
    [anon_sym_COLON] = ACTIONS(6048),
    [anon_sym_QMARK] = ACTIONS(6048),
    [anon_sym_STAR_EQ] = ACTIONS(6048),
    [anon_sym_SLASH_EQ] = ACTIONS(6048),
    [anon_sym_PERCENT_EQ] = ACTIONS(6048),
    [anon_sym_PLUS_EQ] = ACTIONS(6048),
    [anon_sym_DASH_EQ] = ACTIONS(6048),
    [anon_sym_LT_LT_EQ] = ACTIONS(6048),
    [anon_sym_GT_GT_EQ] = ACTIONS(6048),
    [anon_sym_AMP_EQ] = ACTIONS(6048),
    [anon_sym_CARET_EQ] = ACTIONS(6048),
    [anon_sym_PIPE_EQ] = ACTIONS(6048),
    [anon_sym_and_eq] = ACTIONS(6046),
    [anon_sym_or_eq] = ACTIONS(6046),
    [anon_sym_xor_eq] = ACTIONS(6046),
    [anon_sym_LT_EQ_GT] = ACTIONS(6048),
    [anon_sym_or] = ACTIONS(6046),
    [anon_sym_and] = ACTIONS(6046),
    [anon_sym_bitor] = ACTIONS(6046),
    [anon_sym_xor] = ACTIONS(6046),
    [anon_sym_bitand] = ACTIONS(6046),
    [anon_sym_not_eq] = ACTIONS(6046),
    [anon_sym_DASH_DASH] = ACTIONS(6048),
    [anon_sym_PLUS_PLUS] = ACTIONS(6048),
    [anon_sym_DOT] = ACTIONS(6046),
    [anon_sym_DOT_STAR] = ACTIONS(6048),
    [anon_sym_DASH_GT] = ACTIONS(6048),
    [sym_comment] = ACTIONS(3),
  },
  [2510] = {
    [sym_template_argument_list] = STATE(2026),
    [sym_identifier] = ACTIONS(5058),
    [anon_sym_LPAREN2] = ACTIONS(5065),
    [anon_sym_TILDE] = ACTIONS(5065),
    [anon_sym_STAR] = ACTIONS(5065),
    [anon_sym_PIPE_PIPE] = ACTIONS(5065),
    [anon_sym_AMP_AMP] = ACTIONS(5065),
    [anon_sym_AMP] = ACTIONS(5058),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym___extension__] = ACTIONS(5058),
    [anon_sym_extern] = ACTIONS(5058),
    [anon_sym___attribute__] = ACTIONS(5058),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5065),
    [anon_sym___declspec] = ACTIONS(5058),
    [anon_sym___based] = ACTIONS(5058),
    [anon_sym___cdecl] = ACTIONS(5058),
    [anon_sym___clrcall] = ACTIONS(5058),
    [anon_sym___stdcall] = ACTIONS(5058),
    [anon_sym___fastcall] = ACTIONS(5058),
    [anon_sym___thiscall] = ACTIONS(5058),
    [anon_sym___vectorcall] = ACTIONS(5058),
    [anon_sym_signed] = ACTIONS(5058),
    [anon_sym_unsigned] = ACTIONS(5058),
    [anon_sym_long] = ACTIONS(5058),
    [anon_sym_short] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [anon_sym_static] = ACTIONS(5058),
    [anon_sym_register] = ACTIONS(5058),
    [anon_sym_inline] = ACTIONS(5058),
    [anon_sym___inline] = ACTIONS(5058),
    [anon_sym___inline__] = ACTIONS(5058),
    [anon_sym___forceinline] = ACTIONS(5058),
    [anon_sym_thread_local] = ACTIONS(5058),
    [anon_sym___thread] = ACTIONS(5058),
    [anon_sym_const] = ACTIONS(5058),
    [anon_sym_constexpr] = ACTIONS(5058),
    [anon_sym_volatile] = ACTIONS(5058),
    [anon_sym_restrict] = ACTIONS(5058),
    [anon_sym___restrict__] = ACTIONS(5058),
    [anon_sym__Atomic] = ACTIONS(5058),
    [anon_sym__Noreturn] = ACTIONS(5058),
    [anon_sym_noreturn] = ACTIONS(5058),
    [anon_sym_mutable] = ACTIONS(5058),
    [anon_sym_constinit] = ACTIONS(5058),
    [anon_sym_consteval] = ACTIONS(5058),
    [sym_primitive_type] = ACTIONS(5058),
    [anon_sym_enum] = ACTIONS(5058),
    [anon_sym_class] = ACTIONS(5058),
    [anon_sym_struct] = ACTIONS(5058),
    [anon_sym_union] = ACTIONS(5058),
    [anon_sym_or] = ACTIONS(5058),
    [anon_sym_and] = ACTIONS(5058),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5058),
    [anon_sym_decltype] = ACTIONS(5058),
    [anon_sym_virtual] = ACTIONS(5058),
    [anon_sym_alignas] = ACTIONS(5058),
    [anon_sym_explicit] = ACTIONS(5058),
    [anon_sym_typename] = ACTIONS(5058),
    [anon_sym_template] = ACTIONS(5058),
    [anon_sym_operator] = ACTIONS(5058),
    [anon_sym_friend] = ACTIONS(5058),
    [anon_sym_using] = ACTIONS(5058),
    [anon_sym_concept] = ACTIONS(5058),
  },
  [2511] = {
    [sym_argument_list] = STATE(2884),
    [sym_initializer_list] = STATE(2884),
    [sym_identifier] = ACTIONS(6055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6057),
    [anon_sym_COMMA] = ACTIONS(6057),
    [anon_sym_RPAREN] = ACTIONS(6057),
    [aux_sym_preproc_if_token2] = ACTIONS(6057),
    [aux_sym_preproc_else_token1] = ACTIONS(6057),
    [aux_sym_preproc_elif_token1] = ACTIONS(6055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6057),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6057),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(6055),
    [anon_sym_PLUS] = ACTIONS(6055),
    [anon_sym_STAR] = ACTIONS(6055),
    [anon_sym_SLASH] = ACTIONS(6055),
    [anon_sym_PERCENT] = ACTIONS(6055),
    [anon_sym_PIPE_PIPE] = ACTIONS(6057),
    [anon_sym_AMP_AMP] = ACTIONS(6057),
    [anon_sym_PIPE] = ACTIONS(6055),
    [anon_sym_CARET] = ACTIONS(6055),
    [anon_sym_AMP] = ACTIONS(6055),
    [anon_sym_EQ_EQ] = ACTIONS(6057),
    [anon_sym_BANG_EQ] = ACTIONS(6057),
    [anon_sym_GT] = ACTIONS(6055),
    [anon_sym_GT_EQ] = ACTIONS(6057),
    [anon_sym_LT_EQ] = ACTIONS(6055),
    [anon_sym_LT] = ACTIONS(6055),
    [anon_sym_LT_LT] = ACTIONS(6055),
    [anon_sym_GT_GT] = ACTIONS(6055),
    [anon_sym_SEMI] = ACTIONS(6057),
    [anon_sym___attribute__] = ACTIONS(6055),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6057),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_RBRACK] = ACTIONS(6057),
    [anon_sym_EQ] = ACTIONS(6055),
    [anon_sym_COLON] = ACTIONS(6057),
    [anon_sym_QMARK] = ACTIONS(6057),
    [anon_sym_STAR_EQ] = ACTIONS(6057),
    [anon_sym_SLASH_EQ] = ACTIONS(6057),
    [anon_sym_PERCENT_EQ] = ACTIONS(6057),
    [anon_sym_PLUS_EQ] = ACTIONS(6057),
    [anon_sym_DASH_EQ] = ACTIONS(6057),
    [anon_sym_LT_LT_EQ] = ACTIONS(6057),
    [anon_sym_GT_GT_EQ] = ACTIONS(6057),
    [anon_sym_AMP_EQ] = ACTIONS(6057),
    [anon_sym_CARET_EQ] = ACTIONS(6057),
    [anon_sym_PIPE_EQ] = ACTIONS(6057),
    [anon_sym_and_eq] = ACTIONS(6055),
    [anon_sym_or_eq] = ACTIONS(6055),
    [anon_sym_xor_eq] = ACTIONS(6055),
    [anon_sym_LT_EQ_GT] = ACTIONS(6057),
    [anon_sym_or] = ACTIONS(6055),
    [anon_sym_and] = ACTIONS(6055),
    [anon_sym_bitor] = ACTIONS(6055),
    [anon_sym_xor] = ACTIONS(6055),
    [anon_sym_bitand] = ACTIONS(6055),
    [anon_sym_not_eq] = ACTIONS(6055),
    [anon_sym_DASH_DASH] = ACTIONS(6057),
    [anon_sym_PLUS_PLUS] = ACTIONS(6057),
    [anon_sym_DOT] = ACTIONS(6055),
    [anon_sym_DOT_STAR] = ACTIONS(6057),
    [anon_sym_DASH_GT] = ACTIONS(6057),
    [sym_comment] = ACTIONS(3),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [aux_sym_preproc_if_token2] = ACTIONS(5892),
    [aux_sym_preproc_else_token1] = ACTIONS(5892),
    [aux_sym_preproc_elif_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5890),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5890),
    [anon_sym_GT_GT] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_STAR_EQ] = ACTIONS(5892),
    [anon_sym_SLASH_EQ] = ACTIONS(5892),
    [anon_sym_PERCENT_EQ] = ACTIONS(5892),
    [anon_sym_PLUS_EQ] = ACTIONS(5892),
    [anon_sym_DASH_EQ] = ACTIONS(5892),
    [anon_sym_LT_LT_EQ] = ACTIONS(5892),
    [anon_sym_GT_GT_EQ] = ACTIONS(5892),
    [anon_sym_AMP_EQ] = ACTIONS(5892),
    [anon_sym_CARET_EQ] = ACTIONS(5892),
    [anon_sym_PIPE_EQ] = ACTIONS(5892),
    [anon_sym_and_eq] = ACTIONS(5890),
    [anon_sym_or_eq] = ACTIONS(5890),
    [anon_sym_xor_eq] = ACTIONS(5890),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5729),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [aux_sym_preproc_if_token2] = ACTIONS(5729),
    [aux_sym_preproc_else_token1] = ACTIONS(5729),
    [aux_sym_preproc_elif_token1] = ACTIONS(5727),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5729),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5729),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(5727),
    [anon_sym_SLASH] = ACTIONS(5727),
    [anon_sym_PERCENT] = ACTIONS(5727),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_PIPE] = ACTIONS(5727),
    [anon_sym_CARET] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym_EQ_EQ] = ACTIONS(5729),
    [anon_sym_BANG_EQ] = ACTIONS(5729),
    [anon_sym_GT] = ACTIONS(5727),
    [anon_sym_GT_EQ] = ACTIONS(5729),
    [anon_sym_LT_EQ] = ACTIONS(5727),
    [anon_sym_LT] = ACTIONS(5727),
    [anon_sym_LT_LT] = ACTIONS(5727),
    [anon_sym_GT_GT] = ACTIONS(5727),
    [anon_sym_SEMI] = ACTIONS(5729),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(5729),
    [anon_sym_RBRACE] = ACTIONS(5729),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_COLON] = ACTIONS(5729),
    [anon_sym_QMARK] = ACTIONS(5729),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5727),
    [anon_sym_or_eq] = ACTIONS(5727),
    [anon_sym_xor_eq] = ACTIONS(5727),
    [anon_sym_LT_EQ_GT] = ACTIONS(5729),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [anon_sym_bitor] = ACTIONS(5727),
    [anon_sym_xor] = ACTIONS(5727),
    [anon_sym_bitand] = ACTIONS(5727),
    [anon_sym_not_eq] = ACTIONS(5727),
    [anon_sym_DASH_DASH] = ACTIONS(5729),
    [anon_sym_PLUS_PLUS] = ACTIONS(5729),
    [anon_sym_DOT] = ACTIONS(5727),
    [anon_sym_DOT_STAR] = ACTIONS(5729),
    [anon_sym_DASH_GT] = ACTIONS(5729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5727),
    [anon_sym_decltype] = ACTIONS(5727),
  },
  [2514] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5703),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5705),
    [anon_sym_COMMA] = ACTIONS(5705),
    [anon_sym_RPAREN] = ACTIONS(5705),
    [aux_sym_preproc_if_token2] = ACTIONS(5705),
    [aux_sym_preproc_else_token1] = ACTIONS(5705),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5705),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5705),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_DASH] = ACTIONS(5703),
    [anon_sym_PLUS] = ACTIONS(5703),
    [anon_sym_STAR] = ACTIONS(5703),
    [anon_sym_SLASH] = ACTIONS(5703),
    [anon_sym_PERCENT] = ACTIONS(5703),
    [anon_sym_PIPE_PIPE] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_PIPE] = ACTIONS(5703),
    [anon_sym_CARET] = ACTIONS(5703),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym_EQ_EQ] = ACTIONS(5705),
    [anon_sym_BANG_EQ] = ACTIONS(5705),
    [anon_sym_GT] = ACTIONS(5703),
    [anon_sym_GT_EQ] = ACTIONS(5705),
    [anon_sym_LT_EQ] = ACTIONS(5703),
    [anon_sym_LT] = ACTIONS(5703),
    [anon_sym_LT_LT] = ACTIONS(5703),
    [anon_sym_GT_GT] = ACTIONS(5703),
    [anon_sym_SEMI] = ACTIONS(5705),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_LBRACK] = ACTIONS(5705),
    [anon_sym_RBRACK] = ACTIONS(5705),
    [anon_sym_EQ] = ACTIONS(5703),
    [anon_sym_COLON] = ACTIONS(5705),
    [anon_sym_QMARK] = ACTIONS(5705),
    [anon_sym_STAR_EQ] = ACTIONS(5705),
    [anon_sym_SLASH_EQ] = ACTIONS(5705),
    [anon_sym_PERCENT_EQ] = ACTIONS(5705),
    [anon_sym_PLUS_EQ] = ACTIONS(5705),
    [anon_sym_DASH_EQ] = ACTIONS(5705),
    [anon_sym_LT_LT_EQ] = ACTIONS(5705),
    [anon_sym_GT_GT_EQ] = ACTIONS(5705),
    [anon_sym_AMP_EQ] = ACTIONS(5705),
    [anon_sym_CARET_EQ] = ACTIONS(5705),
    [anon_sym_PIPE_EQ] = ACTIONS(5705),
    [anon_sym_and_eq] = ACTIONS(5703),
    [anon_sym_or_eq] = ACTIONS(5703),
    [anon_sym_xor_eq] = ACTIONS(5703),
    [anon_sym_LT_EQ_GT] = ACTIONS(5705),
    [anon_sym_or] = ACTIONS(5703),
    [anon_sym_and] = ACTIONS(5703),
    [anon_sym_bitor] = ACTIONS(5703),
    [anon_sym_xor] = ACTIONS(5703),
    [anon_sym_bitand] = ACTIONS(5703),
    [anon_sym_not_eq] = ACTIONS(5703),
    [anon_sym_DASH_DASH] = ACTIONS(5705),
    [anon_sym_PLUS_PLUS] = ACTIONS(5705),
    [anon_sym_DOT] = ACTIONS(5703),
    [anon_sym_DOT_STAR] = ACTIONS(5705),
    [anon_sym_DASH_GT] = ACTIONS(5705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [aux_sym_preproc_if_token2] = ACTIONS(5721),
    [aux_sym_preproc_else_token1] = ACTIONS(5721),
    [aux_sym_preproc_elif_token1] = ACTIONS(5719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5719),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5719),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5719),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5719),
    [anon_sym_GT_GT] = ACTIONS(5719),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_STAR_EQ] = ACTIONS(5721),
    [anon_sym_SLASH_EQ] = ACTIONS(5721),
    [anon_sym_PERCENT_EQ] = ACTIONS(5721),
    [anon_sym_PLUS_EQ] = ACTIONS(5721),
    [anon_sym_DASH_EQ] = ACTIONS(5721),
    [anon_sym_LT_LT_EQ] = ACTIONS(5721),
    [anon_sym_GT_GT_EQ] = ACTIONS(5721),
    [anon_sym_AMP_EQ] = ACTIONS(5721),
    [anon_sym_CARET_EQ] = ACTIONS(5721),
    [anon_sym_PIPE_EQ] = ACTIONS(5721),
    [anon_sym_and_eq] = ACTIONS(5719),
    [anon_sym_or_eq] = ACTIONS(5719),
    [anon_sym_xor_eq] = ACTIONS(5719),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
  },
  [2517] = {
    [sym_identifier] = ACTIONS(5354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5356),
    [anon_sym_COMMA] = ACTIONS(5356),
    [aux_sym_preproc_if_token2] = ACTIONS(5356),
    [aux_sym_preproc_else_token1] = ACTIONS(5356),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [anon_sym_LPAREN2] = ACTIONS(5356),
    [anon_sym_DASH] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(5354),
    [anon_sym_STAR] = ACTIONS(5354),
    [anon_sym_SLASH] = ACTIONS(5354),
    [anon_sym_PERCENT] = ACTIONS(5354),
    [anon_sym_PIPE_PIPE] = ACTIONS(5356),
    [anon_sym_AMP_AMP] = ACTIONS(5356),
    [anon_sym_PIPE] = ACTIONS(5354),
    [anon_sym_CARET] = ACTIONS(5354),
    [anon_sym_AMP] = ACTIONS(5354),
    [anon_sym_EQ_EQ] = ACTIONS(5356),
    [anon_sym_BANG_EQ] = ACTIONS(5356),
    [anon_sym_GT] = ACTIONS(5354),
    [anon_sym_GT_EQ] = ACTIONS(5356),
    [anon_sym_LT_EQ] = ACTIONS(5354),
    [anon_sym_LT] = ACTIONS(5354),
    [anon_sym_LT_LT] = ACTIONS(5354),
    [anon_sym_GT_GT] = ACTIONS(5354),
    [anon_sym_LBRACK] = ACTIONS(5356),
    [anon_sym_EQ] = ACTIONS(5354),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_STAR_EQ] = ACTIONS(5356),
    [anon_sym_SLASH_EQ] = ACTIONS(5356),
    [anon_sym_PERCENT_EQ] = ACTIONS(5356),
    [anon_sym_PLUS_EQ] = ACTIONS(5356),
    [anon_sym_DASH_EQ] = ACTIONS(5356),
    [anon_sym_LT_LT_EQ] = ACTIONS(5356),
    [anon_sym_GT_GT_EQ] = ACTIONS(5356),
    [anon_sym_AMP_EQ] = ACTIONS(5356),
    [anon_sym_CARET_EQ] = ACTIONS(5356),
    [anon_sym_PIPE_EQ] = ACTIONS(5356),
    [anon_sym_and_eq] = ACTIONS(5354),
    [anon_sym_or_eq] = ACTIONS(5354),
    [anon_sym_xor_eq] = ACTIONS(5354),
    [anon_sym_LT_EQ_GT] = ACTIONS(5356),
    [anon_sym_or] = ACTIONS(5354),
    [anon_sym_and] = ACTIONS(5354),
    [anon_sym_bitor] = ACTIONS(5354),
    [anon_sym_xor] = ACTIONS(5354),
    [anon_sym_bitand] = ACTIONS(5354),
    [anon_sym_not_eq] = ACTIONS(5354),
    [anon_sym_DASH_DASH] = ACTIONS(5356),
    [anon_sym_PLUS_PLUS] = ACTIONS(5356),
    [anon_sym_DOT] = ACTIONS(5354),
    [anon_sym_DOT_STAR] = ACTIONS(5356),
    [anon_sym_DASH_GT] = ACTIONS(5356),
    [anon_sym_L_DQUOTE] = ACTIONS(5356),
    [anon_sym_u_DQUOTE] = ACTIONS(5356),
    [anon_sym_U_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8_DQUOTE] = ACTIONS(5356),
    [anon_sym_DQUOTE] = ACTIONS(5356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5356),
    [anon_sym_LR_DQUOTE] = ACTIONS(5356),
    [anon_sym_uR_DQUOTE] = ACTIONS(5356),
    [anon_sym_UR_DQUOTE] = ACTIONS(5356),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5356),
    [sym_literal_suffix] = ACTIONS(5354),
  },
  [2518] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [aux_sym_preproc_if_token2] = ACTIONS(5713),
    [aux_sym_preproc_else_token1] = ACTIONS(5713),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5711),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5711),
    [anon_sym_GT_GT] = ACTIONS(5711),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_EQ] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_STAR_EQ] = ACTIONS(5713),
    [anon_sym_SLASH_EQ] = ACTIONS(5713),
    [anon_sym_PERCENT_EQ] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(5713),
    [anon_sym_DASH_EQ] = ACTIONS(5713),
    [anon_sym_LT_LT_EQ] = ACTIONS(5713),
    [anon_sym_GT_GT_EQ] = ACTIONS(5713),
    [anon_sym_AMP_EQ] = ACTIONS(5713),
    [anon_sym_CARET_EQ] = ACTIONS(5713),
    [anon_sym_PIPE_EQ] = ACTIONS(5713),
    [anon_sym_and_eq] = ACTIONS(5711),
    [anon_sym_or_eq] = ACTIONS(5711),
    [anon_sym_xor_eq] = ACTIONS(5711),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
  },
  [2519] = {
    [sym_attribute_declaration] = STATE(2509),
    [aux_sym_attributed_declarator_repeat1] = STATE(2509),
    [sym_identifier] = ACTIONS(6059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6061),
    [anon_sym_COMMA] = ACTIONS(6061),
    [anon_sym_RPAREN] = ACTIONS(6061),
    [aux_sym_preproc_if_token2] = ACTIONS(6061),
    [aux_sym_preproc_else_token1] = ACTIONS(6061),
    [aux_sym_preproc_elif_token1] = ACTIONS(6059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6061),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6061),
    [anon_sym_LPAREN2] = ACTIONS(6061),
    [anon_sym_DASH] = ACTIONS(6059),
    [anon_sym_PLUS] = ACTIONS(6059),
    [anon_sym_STAR] = ACTIONS(6059),
    [anon_sym_SLASH] = ACTIONS(6059),
    [anon_sym_PERCENT] = ACTIONS(6059),
    [anon_sym_PIPE_PIPE] = ACTIONS(6061),
    [anon_sym_AMP_AMP] = ACTIONS(6061),
    [anon_sym_PIPE] = ACTIONS(6059),
    [anon_sym_CARET] = ACTIONS(6059),
    [anon_sym_AMP] = ACTIONS(6059),
    [anon_sym_EQ_EQ] = ACTIONS(6061),
    [anon_sym_BANG_EQ] = ACTIONS(6061),
    [anon_sym_GT] = ACTIONS(6059),
    [anon_sym_GT_EQ] = ACTIONS(6061),
    [anon_sym_LT_EQ] = ACTIONS(6059),
    [anon_sym_LT] = ACTIONS(6059),
    [anon_sym_LT_LT] = ACTIONS(6059),
    [anon_sym_GT_GT] = ACTIONS(6059),
    [anon_sym_SEMI] = ACTIONS(6061),
    [anon_sym___attribute__] = ACTIONS(6059),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5911),
    [anon_sym_RBRACE] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(6059),
    [anon_sym_RBRACK] = ACTIONS(6061),
    [anon_sym_EQ] = ACTIONS(6059),
    [anon_sym_COLON] = ACTIONS(6061),
    [anon_sym_QMARK] = ACTIONS(6061),
    [anon_sym_STAR_EQ] = ACTIONS(6061),
    [anon_sym_SLASH_EQ] = ACTIONS(6061),
    [anon_sym_PERCENT_EQ] = ACTIONS(6061),
    [anon_sym_PLUS_EQ] = ACTIONS(6061),
    [anon_sym_DASH_EQ] = ACTIONS(6061),
    [anon_sym_LT_LT_EQ] = ACTIONS(6061),
    [anon_sym_GT_GT_EQ] = ACTIONS(6061),
    [anon_sym_AMP_EQ] = ACTIONS(6061),
    [anon_sym_CARET_EQ] = ACTIONS(6061),
    [anon_sym_PIPE_EQ] = ACTIONS(6061),
    [anon_sym_and_eq] = ACTIONS(6059),
    [anon_sym_or_eq] = ACTIONS(6059),
    [anon_sym_xor_eq] = ACTIONS(6059),
    [anon_sym_LT_EQ_GT] = ACTIONS(6061),
    [anon_sym_or] = ACTIONS(6059),
    [anon_sym_and] = ACTIONS(6059),
    [anon_sym_bitor] = ACTIONS(6059),
    [anon_sym_xor] = ACTIONS(6059),
    [anon_sym_bitand] = ACTIONS(6059),
    [anon_sym_not_eq] = ACTIONS(6059),
    [anon_sym_DASH_DASH] = ACTIONS(6061),
    [anon_sym_PLUS_PLUS] = ACTIONS(6061),
    [anon_sym_DOT] = ACTIONS(6059),
    [anon_sym_DOT_STAR] = ACTIONS(6061),
    [anon_sym_DASH_GT] = ACTIONS(6061),
    [sym_comment] = ACTIONS(3),
  },
  [2520] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6019),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_RPAREN] = ACTIONS(6019),
    [anon_sym_LPAREN2] = ACTIONS(6019),
    [anon_sym_DASH] = ACTIONS(6017),
    [anon_sym_PLUS] = ACTIONS(6017),
    [anon_sym_STAR] = ACTIONS(6019),
    [anon_sym_SLASH] = ACTIONS(6017),
    [anon_sym_PERCENT] = ACTIONS(6019),
    [anon_sym_PIPE_PIPE] = ACTIONS(6019),
    [anon_sym_AMP_AMP] = ACTIONS(6019),
    [anon_sym_PIPE] = ACTIONS(6017),
    [anon_sym_CARET] = ACTIONS(6019),
    [anon_sym_AMP] = ACTIONS(6017),
    [anon_sym_EQ_EQ] = ACTIONS(6019),
    [anon_sym_BANG_EQ] = ACTIONS(6019),
    [anon_sym_GT] = ACTIONS(6017),
    [anon_sym_GT_EQ] = ACTIONS(6019),
    [anon_sym_LT_EQ] = ACTIONS(6017),
    [anon_sym_LT] = ACTIONS(6017),
    [anon_sym_LT_LT] = ACTIONS(6019),
    [anon_sym_GT_GT] = ACTIONS(6019),
    [anon_sym_SEMI] = ACTIONS(6019),
    [anon_sym___extension__] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(6019),
    [anon_sym_LBRACE] = ACTIONS(6019),
    [anon_sym_RBRACE] = ACTIONS(6019),
    [anon_sym_signed] = ACTIONS(6063),
    [anon_sym_unsigned] = ACTIONS(6063),
    [anon_sym_long] = ACTIONS(6063),
    [anon_sym_short] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6019),
    [anon_sym_RBRACK] = ACTIONS(6019),
    [anon_sym_const] = ACTIONS(6017),
    [anon_sym_constexpr] = ACTIONS(6019),
    [anon_sym_volatile] = ACTIONS(6019),
    [anon_sym_restrict] = ACTIONS(6019),
    [anon_sym___restrict__] = ACTIONS(6019),
    [anon_sym__Atomic] = ACTIONS(6019),
    [anon_sym__Noreturn] = ACTIONS(6019),
    [anon_sym_noreturn] = ACTIONS(6019),
    [anon_sym_mutable] = ACTIONS(6019),
    [anon_sym_constinit] = ACTIONS(6019),
    [anon_sym_consteval] = ACTIONS(6019),
    [anon_sym_COLON] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6019),
    [anon_sym_LT_EQ_GT] = ACTIONS(6019),
    [anon_sym_or] = ACTIONS(6019),
    [anon_sym_and] = ACTIONS(6019),
    [anon_sym_bitor] = ACTIONS(6019),
    [anon_sym_xor] = ACTIONS(6019),
    [anon_sym_bitand] = ACTIONS(6019),
    [anon_sym_not_eq] = ACTIONS(6019),
    [anon_sym_DASH_DASH] = ACTIONS(6019),
    [anon_sym_PLUS_PLUS] = ACTIONS(6019),
    [anon_sym_DOT] = ACTIONS(6017),
    [anon_sym_DOT_STAR] = ACTIONS(6019),
    [anon_sym_DASH_GT] = ACTIONS(6019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6019),
    [anon_sym_decltype] = ACTIONS(6019),
    [anon_sym_final] = ACTIONS(6019),
    [anon_sym_override] = ACTIONS(6019),
    [anon_sym_requires] = ACTIONS(6019),
  },
  [2521] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5345),
    [anon_sym_COMMA] = ACTIONS(5345),
    [anon_sym_RPAREN] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5345),
    [anon_sym___declspec] = ACTIONS(5343),
    [anon_sym___based] = ACTIONS(5343),
    [anon_sym___cdecl] = ACTIONS(5343),
    [anon_sym___clrcall] = ACTIONS(5343),
    [anon_sym___stdcall] = ACTIONS(5343),
    [anon_sym___fastcall] = ACTIONS(5343),
    [anon_sym___thiscall] = ACTIONS(5343),
    [anon_sym___vectorcall] = ACTIONS(5343),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(6065),
    [anon_sym_unsigned] = ACTIONS(6065),
    [anon_sym_long] = ACTIONS(6065),
    [anon_sym_short] = ACTIONS(6065),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_asm] = ACTIONS(5343),
    [anon_sym___asm__] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_final] = ACTIONS(5343),
    [anon_sym_override] = ACTIONS(5343),
    [anon_sym_virtual] = ACTIONS(5343),
    [anon_sym_alignas] = ACTIONS(5343),
    [anon_sym_template] = ACTIONS(5343),
    [anon_sym_GT2] = ACTIONS(5345),
    [anon_sym_operator] = ACTIONS(5343),
    [anon_sym_try] = ACTIONS(5343),
    [anon_sym_requires] = ACTIONS(5343),
  },
  [2522] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2520),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6032),
    [anon_sym_COMMA] = ACTIONS(6032),
    [anon_sym_RPAREN] = ACTIONS(6032),
    [anon_sym_LPAREN2] = ACTIONS(6032),
    [anon_sym_DASH] = ACTIONS(6030),
    [anon_sym_PLUS] = ACTIONS(6030),
    [anon_sym_STAR] = ACTIONS(6032),
    [anon_sym_SLASH] = ACTIONS(6030),
    [anon_sym_PERCENT] = ACTIONS(6032),
    [anon_sym_PIPE_PIPE] = ACTIONS(6032),
    [anon_sym_AMP_AMP] = ACTIONS(6032),
    [anon_sym_PIPE] = ACTIONS(6030),
    [anon_sym_CARET] = ACTIONS(6032),
    [anon_sym_AMP] = ACTIONS(6030),
    [anon_sym_EQ_EQ] = ACTIONS(6032),
    [anon_sym_BANG_EQ] = ACTIONS(6032),
    [anon_sym_GT] = ACTIONS(6030),
    [anon_sym_GT_EQ] = ACTIONS(6032),
    [anon_sym_LT_EQ] = ACTIONS(6030),
    [anon_sym_LT] = ACTIONS(6030),
    [anon_sym_LT_LT] = ACTIONS(6032),
    [anon_sym_GT_GT] = ACTIONS(6032),
    [anon_sym_SEMI] = ACTIONS(6032),
    [anon_sym___extension__] = ACTIONS(6032),
    [anon_sym___attribute__] = ACTIONS(6032),
    [anon_sym_LBRACE] = ACTIONS(6032),
    [anon_sym_RBRACE] = ACTIONS(6032),
    [anon_sym_signed] = ACTIONS(6068),
    [anon_sym_unsigned] = ACTIONS(6068),
    [anon_sym_long] = ACTIONS(6068),
    [anon_sym_short] = ACTIONS(6068),
    [anon_sym_LBRACK] = ACTIONS(6032),
    [anon_sym_RBRACK] = ACTIONS(6032),
    [anon_sym_const] = ACTIONS(6030),
    [anon_sym_constexpr] = ACTIONS(6032),
    [anon_sym_volatile] = ACTIONS(6032),
    [anon_sym_restrict] = ACTIONS(6032),
    [anon_sym___restrict__] = ACTIONS(6032),
    [anon_sym__Atomic] = ACTIONS(6032),
    [anon_sym__Noreturn] = ACTIONS(6032),
    [anon_sym_noreturn] = ACTIONS(6032),
    [anon_sym_mutable] = ACTIONS(6032),
    [anon_sym_constinit] = ACTIONS(6032),
    [anon_sym_consteval] = ACTIONS(6032),
    [anon_sym_COLON] = ACTIONS(6032),
    [anon_sym_QMARK] = ACTIONS(6032),
    [anon_sym_LT_EQ_GT] = ACTIONS(6032),
    [anon_sym_or] = ACTIONS(6032),
    [anon_sym_and] = ACTIONS(6032),
    [anon_sym_bitor] = ACTIONS(6032),
    [anon_sym_xor] = ACTIONS(6032),
    [anon_sym_bitand] = ACTIONS(6032),
    [anon_sym_not_eq] = ACTIONS(6032),
    [anon_sym_DASH_DASH] = ACTIONS(6032),
    [anon_sym_PLUS_PLUS] = ACTIONS(6032),
    [anon_sym_DOT] = ACTIONS(6030),
    [anon_sym_DOT_STAR] = ACTIONS(6032),
    [anon_sym_DASH_GT] = ACTIONS(6032),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6032),
    [anon_sym_decltype] = ACTIONS(6032),
    [anon_sym_final] = ACTIONS(6032),
    [anon_sym_override] = ACTIONS(6032),
    [anon_sym_requires] = ACTIONS(6032),
  },
  [2523] = {
    [sym_identifier] = ACTIONS(2184),
    [aux_sym_preproc_def_token1] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2184),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2184),
    [sym_preproc_directive] = ACTIONS(2184),
    [anon_sym_LPAREN2] = ACTIONS(2182),
    [anon_sym_TILDE] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_AMP_AMP] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2184),
    [anon_sym_typedef] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym___attribute__] = ACTIONS(2184),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2182),
    [anon_sym___declspec] = ACTIONS(2184),
    [anon_sym___based] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_signed] = ACTIONS(2184),
    [anon_sym_unsigned] = ACTIONS(2184),
    [anon_sym_long] = ACTIONS(2184),
    [anon_sym_short] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_register] = ACTIONS(2184),
    [anon_sym_inline] = ACTIONS(2184),
    [anon_sym___inline] = ACTIONS(2184),
    [anon_sym___inline__] = ACTIONS(2184),
    [anon_sym___forceinline] = ACTIONS(2184),
    [anon_sym_thread_local] = ACTIONS(2184),
    [anon_sym___thread] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_constexpr] = ACTIONS(2184),
    [anon_sym_volatile] = ACTIONS(2184),
    [anon_sym_restrict] = ACTIONS(2184),
    [anon_sym___restrict__] = ACTIONS(2184),
    [anon_sym__Atomic] = ACTIONS(2184),
    [anon_sym__Noreturn] = ACTIONS(2184),
    [anon_sym_noreturn] = ACTIONS(2184),
    [anon_sym_mutable] = ACTIONS(2184),
    [anon_sym_constinit] = ACTIONS(2184),
    [anon_sym_consteval] = ACTIONS(2184),
    [sym_primitive_type] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2184),
    [anon_sym_decltype] = ACTIONS(2184),
    [anon_sym_virtual] = ACTIONS(2184),
    [anon_sym_alignas] = ACTIONS(2184),
    [anon_sym_explicit] = ACTIONS(2184),
    [anon_sym_typename] = ACTIONS(2184),
    [anon_sym_template] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2184),
    [anon_sym_friend] = ACTIONS(2184),
    [anon_sym_public] = ACTIONS(2184),
    [anon_sym_private] = ACTIONS(2184),
    [anon_sym_protected] = ACTIONS(2184),
    [anon_sym_using] = ACTIONS(2184),
    [anon_sym_static_assert] = ACTIONS(2184),
    [anon_sym_catch] = ACTIONS(2184),
  },
  [2524] = {
    [sym_template_argument_list] = STATE(2603),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5060),
    [anon_sym_COMMA] = ACTIONS(5060),
    [anon_sym_RPAREN] = ACTIONS(5060),
    [aux_sym_preproc_if_token2] = ACTIONS(5060),
    [aux_sym_preproc_else_token1] = ACTIONS(5060),
    [aux_sym_preproc_elif_token1] = ACTIONS(5067),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5060),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5060),
    [anon_sym_LPAREN2] = ACTIONS(5060),
    [anon_sym_DASH] = ACTIONS(5067),
    [anon_sym_PLUS] = ACTIONS(5067),
    [anon_sym_STAR] = ACTIONS(5067),
    [anon_sym_SLASH] = ACTIONS(5067),
    [anon_sym_PERCENT] = ACTIONS(5067),
    [anon_sym_PIPE_PIPE] = ACTIONS(5060),
    [anon_sym_AMP_AMP] = ACTIONS(5060),
    [anon_sym_PIPE] = ACTIONS(5067),
    [anon_sym_CARET] = ACTIONS(5067),
    [anon_sym_AMP] = ACTIONS(5067),
    [anon_sym_EQ_EQ] = ACTIONS(5060),
    [anon_sym_BANG_EQ] = ACTIONS(5060),
    [anon_sym_GT] = ACTIONS(5067),
    [anon_sym_GT_EQ] = ACTIONS(5060),
    [anon_sym_LT_EQ] = ACTIONS(5067),
    [anon_sym_LT] = ACTIONS(6070),
    [anon_sym_LT_LT] = ACTIONS(5067),
    [anon_sym_GT_GT] = ACTIONS(5067),
    [anon_sym_SEMI] = ACTIONS(5060),
    [anon_sym___attribute__] = ACTIONS(5067),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(5065),
    [anon_sym_RBRACE] = ACTIONS(5060),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [anon_sym_RBRACK] = ACTIONS(5060),
    [anon_sym_EQ] = ACTIONS(5067),
    [anon_sym_COLON] = ACTIONS(5067),
    [anon_sym_QMARK] = ACTIONS(5060),
    [anon_sym_STAR_EQ] = ACTIONS(5060),
    [anon_sym_SLASH_EQ] = ACTIONS(5060),
    [anon_sym_PERCENT_EQ] = ACTIONS(5060),
    [anon_sym_PLUS_EQ] = ACTIONS(5060),
    [anon_sym_DASH_EQ] = ACTIONS(5060),
    [anon_sym_LT_LT_EQ] = ACTIONS(5060),
    [anon_sym_GT_GT_EQ] = ACTIONS(5060),
    [anon_sym_AMP_EQ] = ACTIONS(5060),
    [anon_sym_CARET_EQ] = ACTIONS(5060),
    [anon_sym_PIPE_EQ] = ACTIONS(5060),
    [anon_sym_and_eq] = ACTIONS(5067),
    [anon_sym_or_eq] = ACTIONS(5067),
    [anon_sym_xor_eq] = ACTIONS(5067),
    [anon_sym_LT_EQ_GT] = ACTIONS(5060),
    [anon_sym_or] = ACTIONS(5067),
    [anon_sym_and] = ACTIONS(5067),
    [anon_sym_bitor] = ACTIONS(5067),
    [anon_sym_xor] = ACTIONS(5067),
    [anon_sym_bitand] = ACTIONS(5067),
    [anon_sym_not_eq] = ACTIONS(5067),
    [anon_sym_DASH_DASH] = ACTIONS(5060),
    [anon_sym_PLUS_PLUS] = ACTIONS(5060),
    [anon_sym_DOT] = ACTIONS(5067),
    [anon_sym_DOT_STAR] = ACTIONS(5060),
    [anon_sym_DASH_GT] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
  },
  [2525] = {
    [sym_string_literal] = STATE(2340),
    [sym_raw_string_literal] = STATE(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [anon_sym_RPAREN] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5453),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5455),
    [sym_literal_suffix] = ACTIONS(6073),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5673),
    [anon_sym_COMMA] = ACTIONS(5673),
    [anon_sym_RPAREN] = ACTIONS(5673),
    [aux_sym_preproc_if_token2] = ACTIONS(5673),
    [aux_sym_preproc_else_token1] = ACTIONS(5673),
    [aux_sym_preproc_elif_token1] = ACTIONS(5671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5673),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5673),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5671),
    [anon_sym_SLASH] = ACTIONS(5671),
    [anon_sym_PERCENT] = ACTIONS(5671),
    [anon_sym_PIPE_PIPE] = ACTIONS(5673),
    [anon_sym_AMP_AMP] = ACTIONS(5673),
    [anon_sym_PIPE] = ACTIONS(5671),
    [anon_sym_CARET] = ACTIONS(5671),
    [anon_sym_AMP] = ACTIONS(5671),
    [anon_sym_EQ_EQ] = ACTIONS(5673),
    [anon_sym_BANG_EQ] = ACTIONS(5673),
    [anon_sym_GT] = ACTIONS(5671),
    [anon_sym_GT_EQ] = ACTIONS(5673),
    [anon_sym_LT_EQ] = ACTIONS(5671),
    [anon_sym_LT] = ACTIONS(5671),
    [anon_sym_LT_LT] = ACTIONS(5671),
    [anon_sym_GT_GT] = ACTIONS(5671),
    [anon_sym_SEMI] = ACTIONS(5673),
    [anon_sym___attribute__] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(5673),
    [anon_sym_RBRACE] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_EQ] = ACTIONS(5671),
    [anon_sym_COLON] = ACTIONS(5673),
    [anon_sym_QMARK] = ACTIONS(5673),
    [anon_sym_STAR_EQ] = ACTIONS(5673),
    [anon_sym_SLASH_EQ] = ACTIONS(5673),
    [anon_sym_PERCENT_EQ] = ACTIONS(5673),
    [anon_sym_PLUS_EQ] = ACTIONS(5673),
    [anon_sym_DASH_EQ] = ACTIONS(5673),
    [anon_sym_LT_LT_EQ] = ACTIONS(5673),
    [anon_sym_GT_GT_EQ] = ACTIONS(5673),
    [anon_sym_AMP_EQ] = ACTIONS(5673),
    [anon_sym_CARET_EQ] = ACTIONS(5673),
    [anon_sym_PIPE_EQ] = ACTIONS(5673),
    [anon_sym_and_eq] = ACTIONS(5671),
    [anon_sym_or_eq] = ACTIONS(5671),
    [anon_sym_xor_eq] = ACTIONS(5671),
    [anon_sym_LT_EQ_GT] = ACTIONS(5673),
    [anon_sym_or] = ACTIONS(5671),
    [anon_sym_and] = ACTIONS(5671),
    [anon_sym_bitor] = ACTIONS(5671),
    [anon_sym_xor] = ACTIONS(5671),
    [anon_sym_bitand] = ACTIONS(5671),
    [anon_sym_not_eq] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_DOT] = ACTIONS(5671),
    [anon_sym_DOT_STAR] = ACTIONS(5673),
    [anon_sym_DASH_GT] = ACTIONS(5673),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5671),
    [anon_sym_decltype] = ACTIONS(5671),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5795),
    [anon_sym_COMMA] = ACTIONS(5795),
    [anon_sym_RPAREN] = ACTIONS(5795),
    [aux_sym_preproc_if_token2] = ACTIONS(5795),
    [aux_sym_preproc_else_token1] = ACTIONS(5795),
    [aux_sym_preproc_elif_token1] = ACTIONS(5793),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5795),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5795),
    [anon_sym_LPAREN2] = ACTIONS(5795),
    [anon_sym_DASH] = ACTIONS(5793),
    [anon_sym_PLUS] = ACTIONS(5793),
    [anon_sym_STAR] = ACTIONS(5793),
    [anon_sym_SLASH] = ACTIONS(5793),
    [anon_sym_PERCENT] = ACTIONS(5793),
    [anon_sym_PIPE_PIPE] = ACTIONS(5795),
    [anon_sym_AMP_AMP] = ACTIONS(5795),
    [anon_sym_PIPE] = ACTIONS(5793),
    [anon_sym_CARET] = ACTIONS(5793),
    [anon_sym_AMP] = ACTIONS(5793),
    [anon_sym_EQ_EQ] = ACTIONS(5795),
    [anon_sym_BANG_EQ] = ACTIONS(5795),
    [anon_sym_GT] = ACTIONS(5793),
    [anon_sym_GT_EQ] = ACTIONS(5795),
    [anon_sym_LT_EQ] = ACTIONS(5793),
    [anon_sym_LT] = ACTIONS(5793),
    [anon_sym_LT_LT] = ACTIONS(5793),
    [anon_sym_GT_GT] = ACTIONS(5793),
    [anon_sym_SEMI] = ACTIONS(5795),
    [anon_sym___attribute__] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_RBRACE] = ACTIONS(5795),
    [anon_sym_LBRACK] = ACTIONS(5795),
    [anon_sym_RBRACK] = ACTIONS(5795),
    [anon_sym_EQ] = ACTIONS(5793),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5795),
    [anon_sym_STAR_EQ] = ACTIONS(5795),
    [anon_sym_SLASH_EQ] = ACTIONS(5795),
    [anon_sym_PERCENT_EQ] = ACTIONS(5795),
    [anon_sym_PLUS_EQ] = ACTIONS(5795),
    [anon_sym_DASH_EQ] = ACTIONS(5795),
    [anon_sym_LT_LT_EQ] = ACTIONS(5795),
    [anon_sym_GT_GT_EQ] = ACTIONS(5795),
    [anon_sym_AMP_EQ] = ACTIONS(5795),
    [anon_sym_CARET_EQ] = ACTIONS(5795),
    [anon_sym_PIPE_EQ] = ACTIONS(5795),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(5795),
    [anon_sym_or] = ACTIONS(5793),
    [anon_sym_and] = ACTIONS(5793),
    [anon_sym_bitor] = ACTIONS(5793),
    [anon_sym_xor] = ACTIONS(5793),
    [anon_sym_bitand] = ACTIONS(5793),
    [anon_sym_not_eq] = ACTIONS(5793),
    [anon_sym_DASH_DASH] = ACTIONS(5795),
    [anon_sym_PLUS_PLUS] = ACTIONS(5795),
    [anon_sym_DOT] = ACTIONS(5793),
    [anon_sym_DOT_STAR] = ACTIONS(5795),
    [anon_sym_DASH_GT] = ACTIONS(5795),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5793),
    [anon_sym_decltype] = ACTIONS(5793),
  },
  [2528] = {
    [sym_identifier] = ACTIONS(5681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5683),
    [anon_sym_COMMA] = ACTIONS(5683),
    [anon_sym_RPAREN] = ACTIONS(5683),
    [aux_sym_preproc_if_token2] = ACTIONS(5683),
    [aux_sym_preproc_else_token1] = ACTIONS(5683),
    [aux_sym_preproc_elif_token1] = ACTIONS(5681),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5683),
    [anon_sym_LPAREN2] = ACTIONS(5683),
    [anon_sym_DASH] = ACTIONS(5681),
    [anon_sym_PLUS] = ACTIONS(5681),
    [anon_sym_STAR] = ACTIONS(5681),
    [anon_sym_SLASH] = ACTIONS(5681),
    [anon_sym_PERCENT] = ACTIONS(5681),
    [anon_sym_PIPE_PIPE] = ACTIONS(5683),
    [anon_sym_AMP_AMP] = ACTIONS(5683),
    [anon_sym_PIPE] = ACTIONS(5681),
    [anon_sym_CARET] = ACTIONS(5681),
    [anon_sym_AMP] = ACTIONS(5681),
    [anon_sym_EQ_EQ] = ACTIONS(5683),
    [anon_sym_BANG_EQ] = ACTIONS(5683),
    [anon_sym_GT] = ACTIONS(5681),
    [anon_sym_GT_EQ] = ACTIONS(5683),
    [anon_sym_LT_EQ] = ACTIONS(5681),
    [anon_sym_LT] = ACTIONS(5681),
    [anon_sym_LT_LT] = ACTIONS(5681),
    [anon_sym_GT_GT] = ACTIONS(5681),
    [anon_sym_SEMI] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5681),
    [anon_sym_LBRACE] = ACTIONS(5683),
    [anon_sym_RBRACE] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5683),
    [anon_sym_RBRACK] = ACTIONS(5683),
    [anon_sym_EQ] = ACTIONS(5681),
    [anon_sym_COLON] = ACTIONS(5683),
    [anon_sym_QMARK] = ACTIONS(5683),
    [anon_sym_STAR_EQ] = ACTIONS(5683),
    [anon_sym_SLASH_EQ] = ACTIONS(5683),
    [anon_sym_PERCENT_EQ] = ACTIONS(5683),
    [anon_sym_PLUS_EQ] = ACTIONS(5683),
    [anon_sym_DASH_EQ] = ACTIONS(5683),
    [anon_sym_LT_LT_EQ] = ACTIONS(5683),
    [anon_sym_GT_GT_EQ] = ACTIONS(5683),
    [anon_sym_AMP_EQ] = ACTIONS(5683),
    [anon_sym_CARET_EQ] = ACTIONS(5683),
    [anon_sym_PIPE_EQ] = ACTIONS(5683),
    [anon_sym_and_eq] = ACTIONS(5681),
    [anon_sym_or_eq] = ACTIONS(5681),
    [anon_sym_xor_eq] = ACTIONS(5681),
    [anon_sym_LT_EQ_GT] = ACTIONS(5683),
    [anon_sym_or] = ACTIONS(5681),
    [anon_sym_and] = ACTIONS(5681),
    [anon_sym_bitor] = ACTIONS(5681),
    [anon_sym_xor] = ACTIONS(5681),
    [anon_sym_bitand] = ACTIONS(5681),
    [anon_sym_not_eq] = ACTIONS(5681),
    [anon_sym_DASH_DASH] = ACTIONS(5683),
    [anon_sym_PLUS_PLUS] = ACTIONS(5683),
    [anon_sym_DOT] = ACTIONS(5681),
    [anon_sym_DOT_STAR] = ACTIONS(5683),
    [anon_sym_DASH_GT] = ACTIONS(5683),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5681),
    [anon_sym_decltype] = ACTIONS(5681),
  },
  [2529] = {
    [sym_string_literal] = STATE(2340),
    [sym_raw_string_literal] = STATE(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_RPAREN] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4105),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(5147),
    [anon_sym_u_DQUOTE] = ACTIONS(5147),
    [anon_sym_U_DQUOTE] = ACTIONS(5147),
    [anon_sym_u8_DQUOTE] = ACTIONS(5147),
    [anon_sym_DQUOTE] = ACTIONS(5147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5149),
    [anon_sym_LR_DQUOTE] = ACTIONS(5149),
    [anon_sym_uR_DQUOTE] = ACTIONS(5149),
    [anon_sym_UR_DQUOTE] = ACTIONS(5149),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5149),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4097),
    [sym_literal_suffix] = ACTIONS(6073),
  },
  [2530] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [aux_sym_preproc_if_token2] = ACTIONS(5713),
    [aux_sym_preproc_else_token1] = ACTIONS(5713),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5711),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5711),
    [anon_sym_GT_GT] = ACTIONS(5711),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_EQ] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_STAR_EQ] = ACTIONS(5713),
    [anon_sym_SLASH_EQ] = ACTIONS(5713),
    [anon_sym_PERCENT_EQ] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(5713),
    [anon_sym_DASH_EQ] = ACTIONS(5713),
    [anon_sym_LT_LT_EQ] = ACTIONS(5713),
    [anon_sym_GT_GT_EQ] = ACTIONS(5713),
    [anon_sym_AMP_EQ] = ACTIONS(5713),
    [anon_sym_CARET_EQ] = ACTIONS(5713),
    [anon_sym_PIPE_EQ] = ACTIONS(5713),
    [anon_sym_and_eq] = ACTIONS(5711),
    [anon_sym_or_eq] = ACTIONS(5711),
    [anon_sym_xor_eq] = ACTIONS(5711),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
  },
  [2531] = {
    [sym_identifier] = ACTIONS(5768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5770),
    [anon_sym_COMMA] = ACTIONS(5770),
    [anon_sym_RPAREN] = ACTIONS(5770),
    [aux_sym_preproc_if_token2] = ACTIONS(5770),
    [aux_sym_preproc_else_token1] = ACTIONS(5770),
    [aux_sym_preproc_elif_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5770),
    [anon_sym_LPAREN2] = ACTIONS(5770),
    [anon_sym_DASH] = ACTIONS(5768),
    [anon_sym_PLUS] = ACTIONS(5768),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5768),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5770),
    [anon_sym_AMP_AMP] = ACTIONS(5770),
    [anon_sym_PIPE] = ACTIONS(5768),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5768),
    [anon_sym_EQ_EQ] = ACTIONS(5770),
    [anon_sym_BANG_EQ] = ACTIONS(5770),
    [anon_sym_GT] = ACTIONS(5768),
    [anon_sym_GT_EQ] = ACTIONS(5770),
    [anon_sym_LT_EQ] = ACTIONS(5768),
    [anon_sym_LT] = ACTIONS(5768),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5768),
    [anon_sym_LBRACE] = ACTIONS(5770),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(5770),
    [anon_sym_EQ] = ACTIONS(5768),
    [anon_sym_COLON] = ACTIONS(5770),
    [anon_sym_QMARK] = ACTIONS(5770),
    [anon_sym_STAR_EQ] = ACTIONS(5770),
    [anon_sym_SLASH_EQ] = ACTIONS(5770),
    [anon_sym_PERCENT_EQ] = ACTIONS(5770),
    [anon_sym_PLUS_EQ] = ACTIONS(5770),
    [anon_sym_DASH_EQ] = ACTIONS(5770),
    [anon_sym_LT_LT_EQ] = ACTIONS(5770),
    [anon_sym_GT_GT_EQ] = ACTIONS(5770),
    [anon_sym_AMP_EQ] = ACTIONS(5770),
    [anon_sym_CARET_EQ] = ACTIONS(5770),
    [anon_sym_PIPE_EQ] = ACTIONS(5770),
    [anon_sym_and_eq] = ACTIONS(5768),
    [anon_sym_or_eq] = ACTIONS(5768),
    [anon_sym_xor_eq] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5770),
    [anon_sym_or] = ACTIONS(5768),
    [anon_sym_and] = ACTIONS(5768),
    [anon_sym_bitor] = ACTIONS(5768),
    [anon_sym_xor] = ACTIONS(5768),
    [anon_sym_bitand] = ACTIONS(5768),
    [anon_sym_not_eq] = ACTIONS(5768),
    [anon_sym_DASH_DASH] = ACTIONS(5770),
    [anon_sym_PLUS_PLUS] = ACTIONS(5770),
    [anon_sym_DOT] = ACTIONS(5768),
    [anon_sym_DOT_STAR] = ACTIONS(5770),
    [anon_sym_DASH_GT] = ACTIONS(5770),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5768),
    [anon_sym_decltype] = ACTIONS(5768),
  },
  [2532] = {
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [anon_sym_RPAREN] = ACTIONS(5876),
    [aux_sym_preproc_if_token2] = ACTIONS(5876),
    [aux_sym_preproc_else_token1] = ACTIONS(5876),
    [aux_sym_preproc_elif_token1] = ACTIONS(5874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5874),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5874),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5874),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5874),
    [anon_sym_GT_GT] = ACTIONS(5874),
    [anon_sym_SEMI] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_RBRACK] = ACTIONS(5876),
    [anon_sym_EQ] = ACTIONS(5874),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_STAR_EQ] = ACTIONS(5876),
    [anon_sym_SLASH_EQ] = ACTIONS(5876),
    [anon_sym_PERCENT_EQ] = ACTIONS(5876),
    [anon_sym_PLUS_EQ] = ACTIONS(5876),
    [anon_sym_DASH_EQ] = ACTIONS(5876),
    [anon_sym_LT_LT_EQ] = ACTIONS(5876),
    [anon_sym_GT_GT_EQ] = ACTIONS(5876),
    [anon_sym_AMP_EQ] = ACTIONS(5876),
    [anon_sym_CARET_EQ] = ACTIONS(5876),
    [anon_sym_PIPE_EQ] = ACTIONS(5876),
    [anon_sym_and_eq] = ACTIONS(5874),
    [anon_sym_or_eq] = ACTIONS(5874),
    [anon_sym_xor_eq] = ACTIONS(5874),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5874),
    [anon_sym_and] = ACTIONS(5874),
    [anon_sym_bitor] = ACTIONS(5874),
    [anon_sym_xor] = ACTIONS(5874),
    [anon_sym_bitand] = ACTIONS(5874),
    [anon_sym_not_eq] = ACTIONS(5874),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
  },
  [2533] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [aux_sym_preproc_if_token2] = ACTIONS(5713),
    [aux_sym_preproc_else_token1] = ACTIONS(5713),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5711),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5711),
    [anon_sym_GT_GT] = ACTIONS(5711),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_EQ] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_STAR_EQ] = ACTIONS(5713),
    [anon_sym_SLASH_EQ] = ACTIONS(5713),
    [anon_sym_PERCENT_EQ] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(5713),
    [anon_sym_DASH_EQ] = ACTIONS(5713),
    [anon_sym_LT_LT_EQ] = ACTIONS(5713),
    [anon_sym_GT_GT_EQ] = ACTIONS(5713),
    [anon_sym_AMP_EQ] = ACTIONS(5713),
    [anon_sym_CARET_EQ] = ACTIONS(5713),
    [anon_sym_PIPE_EQ] = ACTIONS(5713),
    [anon_sym_and_eq] = ACTIONS(5711),
    [anon_sym_or_eq] = ACTIONS(5711),
    [anon_sym_xor_eq] = ACTIONS(5711),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
  },
  [2534] = {
    [sym_identifier] = ACTIONS(5856),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5858),
    [anon_sym_COMMA] = ACTIONS(5858),
    [anon_sym_RPAREN] = ACTIONS(5858),
    [aux_sym_preproc_if_token2] = ACTIONS(5858),
    [aux_sym_preproc_else_token1] = ACTIONS(5858),
    [aux_sym_preproc_elif_token1] = ACTIONS(5856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5858),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5858),
    [anon_sym_LPAREN2] = ACTIONS(5858),
    [anon_sym_DASH] = ACTIONS(5856),
    [anon_sym_PLUS] = ACTIONS(5856),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_SLASH] = ACTIONS(5856),
    [anon_sym_PERCENT] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE] = ACTIONS(5858),
    [anon_sym_AMP_AMP] = ACTIONS(5858),
    [anon_sym_PIPE] = ACTIONS(5856),
    [anon_sym_CARET] = ACTIONS(5856),
    [anon_sym_AMP] = ACTIONS(5856),
    [anon_sym_EQ_EQ] = ACTIONS(5858),
    [anon_sym_BANG_EQ] = ACTIONS(5858),
    [anon_sym_GT] = ACTIONS(5856),
    [anon_sym_GT_EQ] = ACTIONS(5858),
    [anon_sym_LT_EQ] = ACTIONS(5856),
    [anon_sym_LT] = ACTIONS(5856),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_SEMI] = ACTIONS(5858),
    [anon_sym___attribute__] = ACTIONS(5856),
    [anon_sym_LBRACE] = ACTIONS(5858),
    [anon_sym_RBRACE] = ACTIONS(5858),
    [anon_sym_LBRACK] = ACTIONS(5858),
    [anon_sym_RBRACK] = ACTIONS(5858),
    [anon_sym_EQ] = ACTIONS(5856),
    [anon_sym_COLON] = ACTIONS(5858),
    [anon_sym_QMARK] = ACTIONS(5858),
    [anon_sym_STAR_EQ] = ACTIONS(5858),
    [anon_sym_SLASH_EQ] = ACTIONS(5858),
    [anon_sym_PERCENT_EQ] = ACTIONS(5858),
    [anon_sym_PLUS_EQ] = ACTIONS(5858),
    [anon_sym_DASH_EQ] = ACTIONS(5858),
    [anon_sym_LT_LT_EQ] = ACTIONS(5858),
    [anon_sym_GT_GT_EQ] = ACTIONS(5858),
    [anon_sym_AMP_EQ] = ACTIONS(5858),
    [anon_sym_CARET_EQ] = ACTIONS(5858),
    [anon_sym_PIPE_EQ] = ACTIONS(5858),
    [anon_sym_and_eq] = ACTIONS(5856),
    [anon_sym_or_eq] = ACTIONS(5856),
    [anon_sym_xor_eq] = ACTIONS(5856),
    [anon_sym_LT_EQ_GT] = ACTIONS(5858),
    [anon_sym_or] = ACTIONS(5856),
    [anon_sym_and] = ACTIONS(5856),
    [anon_sym_bitor] = ACTIONS(5856),
    [anon_sym_xor] = ACTIONS(5856),
    [anon_sym_bitand] = ACTIONS(5856),
    [anon_sym_not_eq] = ACTIONS(5856),
    [anon_sym_DASH_DASH] = ACTIONS(5858),
    [anon_sym_PLUS_PLUS] = ACTIONS(5858),
    [anon_sym_DOT] = ACTIONS(5856),
    [anon_sym_DOT_STAR] = ACTIONS(5858),
    [anon_sym_DASH_GT] = ACTIONS(5858),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5856),
    [anon_sym_decltype] = ACTIONS(5856),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [aux_sym_preproc_if_token2] = ACTIONS(5717),
    [aux_sym_preproc_else_token1] = ACTIONS(5717),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5715),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5715),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5715),
    [anon_sym_GT_GT] = ACTIONS(5715),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_STAR_EQ] = ACTIONS(5717),
    [anon_sym_SLASH_EQ] = ACTIONS(5717),
    [anon_sym_PERCENT_EQ] = ACTIONS(5717),
    [anon_sym_PLUS_EQ] = ACTIONS(5717),
    [anon_sym_DASH_EQ] = ACTIONS(5717),
    [anon_sym_LT_LT_EQ] = ACTIONS(5717),
    [anon_sym_GT_GT_EQ] = ACTIONS(5717),
    [anon_sym_AMP_EQ] = ACTIONS(5717),
    [anon_sym_CARET_EQ] = ACTIONS(5717),
    [anon_sym_PIPE_EQ] = ACTIONS(5717),
    [anon_sym_and_eq] = ACTIONS(5715),
    [anon_sym_or_eq] = ACTIONS(5715),
    [anon_sym_xor_eq] = ACTIONS(5715),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
  },
  [2536] = {
    [sym_identifier] = ACTIONS(6075),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6077),
    [anon_sym_COMMA] = ACTIONS(6077),
    [anon_sym_RPAREN] = ACTIONS(6077),
    [aux_sym_preproc_if_token2] = ACTIONS(6077),
    [aux_sym_preproc_else_token1] = ACTIONS(6077),
    [aux_sym_preproc_elif_token1] = ACTIONS(6075),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6077),
    [anon_sym_LPAREN2] = ACTIONS(6077),
    [anon_sym_DASH] = ACTIONS(6075),
    [anon_sym_PLUS] = ACTIONS(6075),
    [anon_sym_STAR] = ACTIONS(6075),
    [anon_sym_SLASH] = ACTIONS(6075),
    [anon_sym_PERCENT] = ACTIONS(6075),
    [anon_sym_PIPE_PIPE] = ACTIONS(6077),
    [anon_sym_AMP_AMP] = ACTIONS(6077),
    [anon_sym_PIPE] = ACTIONS(6075),
    [anon_sym_CARET] = ACTIONS(6075),
    [anon_sym_AMP] = ACTIONS(6075),
    [anon_sym_EQ_EQ] = ACTIONS(6077),
    [anon_sym_BANG_EQ] = ACTIONS(6077),
    [anon_sym_GT] = ACTIONS(6075),
    [anon_sym_GT_EQ] = ACTIONS(6077),
    [anon_sym_LT_EQ] = ACTIONS(6075),
    [anon_sym_LT] = ACTIONS(6075),
    [anon_sym_LT_LT] = ACTIONS(6075),
    [anon_sym_GT_GT] = ACTIONS(6075),
    [anon_sym_SEMI] = ACTIONS(6077),
    [anon_sym___attribute__] = ACTIONS(6075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6077),
    [anon_sym_LBRACE] = ACTIONS(6077),
    [anon_sym_RBRACE] = ACTIONS(6077),
    [anon_sym_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACK] = ACTIONS(6077),
    [anon_sym_EQ] = ACTIONS(6075),
    [anon_sym_COLON] = ACTIONS(6077),
    [anon_sym_QMARK] = ACTIONS(6077),
    [anon_sym_STAR_EQ] = ACTIONS(6077),
    [anon_sym_SLASH_EQ] = ACTIONS(6077),
    [anon_sym_PERCENT_EQ] = ACTIONS(6077),
    [anon_sym_PLUS_EQ] = ACTIONS(6077),
    [anon_sym_DASH_EQ] = ACTIONS(6077),
    [anon_sym_LT_LT_EQ] = ACTIONS(6077),
    [anon_sym_GT_GT_EQ] = ACTIONS(6077),
    [anon_sym_AMP_EQ] = ACTIONS(6077),
    [anon_sym_CARET_EQ] = ACTIONS(6077),
    [anon_sym_PIPE_EQ] = ACTIONS(6077),
    [anon_sym_and_eq] = ACTIONS(6075),
    [anon_sym_or_eq] = ACTIONS(6075),
    [anon_sym_xor_eq] = ACTIONS(6075),
    [anon_sym_LT_EQ_GT] = ACTIONS(6077),
    [anon_sym_or] = ACTIONS(6075),
    [anon_sym_and] = ACTIONS(6075),
    [anon_sym_bitor] = ACTIONS(6075),
    [anon_sym_xor] = ACTIONS(6075),
    [anon_sym_bitand] = ACTIONS(6075),
    [anon_sym_not_eq] = ACTIONS(6075),
    [anon_sym_DASH_DASH] = ACTIONS(6077),
    [anon_sym_PLUS_PLUS] = ACTIONS(6077),
    [anon_sym_DOT] = ACTIONS(6075),
    [anon_sym_DOT_STAR] = ACTIONS(6077),
    [anon_sym_DASH_GT] = ACTIONS(6077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6075),
  },
  [2537] = {
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [aux_sym_preproc_if_token2] = ACTIONS(5884),
    [aux_sym_preproc_else_token1] = ACTIONS(5884),
    [aux_sym_preproc_elif_token1] = ACTIONS(5882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5882),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5882),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5882),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5882),
    [anon_sym_GT_GT] = ACTIONS(5882),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5882),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_EQ] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_STAR_EQ] = ACTIONS(5884),
    [anon_sym_SLASH_EQ] = ACTIONS(5884),
    [anon_sym_PERCENT_EQ] = ACTIONS(5884),
    [anon_sym_PLUS_EQ] = ACTIONS(5884),
    [anon_sym_DASH_EQ] = ACTIONS(5884),
    [anon_sym_LT_LT_EQ] = ACTIONS(5884),
    [anon_sym_GT_GT_EQ] = ACTIONS(5884),
    [anon_sym_AMP_EQ] = ACTIONS(5884),
    [anon_sym_CARET_EQ] = ACTIONS(5884),
    [anon_sym_PIPE_EQ] = ACTIONS(5884),
    [anon_sym_and_eq] = ACTIONS(5882),
    [anon_sym_or_eq] = ACTIONS(5882),
    [anon_sym_xor_eq] = ACTIONS(5882),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5882),
    [anon_sym_and] = ACTIONS(5882),
    [anon_sym_bitor] = ACTIONS(5882),
    [anon_sym_xor] = ACTIONS(5882),
    [anon_sym_bitand] = ACTIONS(5882),
    [anon_sym_not_eq] = ACTIONS(5882),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5882),
    [anon_sym_decltype] = ACTIONS(5882),
  },
  [2538] = {
    [sym_attribute_specifier] = STATE(3263),
    [sym_field_declaration_list] = STATE(3111),
    [sym_virtual_specifier] = STATE(7702),
    [sym_base_class_clause] = STATE(8362),
    [sym_identifier] = ACTIONS(5391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5393),
    [anon_sym_COMMA] = ACTIONS(5393),
    [aux_sym_preproc_if_token2] = ACTIONS(5393),
    [aux_sym_preproc_else_token1] = ACTIONS(5393),
    [aux_sym_preproc_elif_token1] = ACTIONS(5393),
    [anon_sym_LPAREN2] = ACTIONS(5393),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym_STAR] = ACTIONS(5391),
    [anon_sym_SLASH] = ACTIONS(5391),
    [anon_sym_PERCENT] = ACTIONS(5391),
    [anon_sym_PIPE_PIPE] = ACTIONS(5393),
    [anon_sym_AMP_AMP] = ACTIONS(5393),
    [anon_sym_PIPE] = ACTIONS(5391),
    [anon_sym_CARET] = ACTIONS(5391),
    [anon_sym_AMP] = ACTIONS(5391),
    [anon_sym_EQ_EQ] = ACTIONS(5393),
    [anon_sym_BANG_EQ] = ACTIONS(5393),
    [anon_sym_GT] = ACTIONS(5391),
    [anon_sym_GT_EQ] = ACTIONS(5393),
    [anon_sym_LT_EQ] = ACTIONS(5391),
    [anon_sym_LT] = ACTIONS(5391),
    [anon_sym_LT_LT] = ACTIONS(5391),
    [anon_sym_GT_GT] = ACTIONS(5391),
    [anon_sym___attribute__] = ACTIONS(6079),
    [anon_sym_LBRACE] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(5393),
    [anon_sym_EQ] = ACTIONS(5391),
    [anon_sym_COLON] = ACTIONS(5399),
    [anon_sym_QMARK] = ACTIONS(5393),
    [anon_sym_STAR_EQ] = ACTIONS(5393),
    [anon_sym_SLASH_EQ] = ACTIONS(5393),
    [anon_sym_PERCENT_EQ] = ACTIONS(5393),
    [anon_sym_PLUS_EQ] = ACTIONS(5393),
    [anon_sym_DASH_EQ] = ACTIONS(5393),
    [anon_sym_LT_LT_EQ] = ACTIONS(5393),
    [anon_sym_GT_GT_EQ] = ACTIONS(5393),
    [anon_sym_AMP_EQ] = ACTIONS(5393),
    [anon_sym_CARET_EQ] = ACTIONS(5393),
    [anon_sym_PIPE_EQ] = ACTIONS(5393),
    [anon_sym_and_eq] = ACTIONS(5391),
    [anon_sym_or_eq] = ACTIONS(5391),
    [anon_sym_xor_eq] = ACTIONS(5391),
    [anon_sym_LT_EQ_GT] = ACTIONS(5393),
    [anon_sym_or] = ACTIONS(5391),
    [anon_sym_and] = ACTIONS(5391),
    [anon_sym_bitor] = ACTIONS(5391),
    [anon_sym_xor] = ACTIONS(5391),
    [anon_sym_bitand] = ACTIONS(5391),
    [anon_sym_not_eq] = ACTIONS(5391),
    [anon_sym_DASH_DASH] = ACTIONS(5393),
    [anon_sym_PLUS_PLUS] = ACTIONS(5393),
    [anon_sym_DOT] = ACTIONS(5391),
    [anon_sym_DOT_STAR] = ACTIONS(5393),
    [anon_sym_DASH_GT] = ACTIONS(5393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5391),
    [anon_sym_decltype] = ACTIONS(5391),
    [anon_sym_final] = ACTIONS(5401),
    [anon_sym_override] = ACTIONS(5401),
  },
  [2539] = {
    [sym_identifier] = ACTIONS(5860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5862),
    [anon_sym_COMMA] = ACTIONS(5862),
    [anon_sym_RPAREN] = ACTIONS(5862),
    [aux_sym_preproc_if_token2] = ACTIONS(5862),
    [aux_sym_preproc_else_token1] = ACTIONS(5862),
    [aux_sym_preproc_elif_token1] = ACTIONS(5860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5862),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5862),
    [anon_sym_LPAREN2] = ACTIONS(5862),
    [anon_sym_DASH] = ACTIONS(5860),
    [anon_sym_PLUS] = ACTIONS(5860),
    [anon_sym_STAR] = ACTIONS(5860),
    [anon_sym_SLASH] = ACTIONS(5860),
    [anon_sym_PERCENT] = ACTIONS(5860),
    [anon_sym_PIPE_PIPE] = ACTIONS(5862),
    [anon_sym_AMP_AMP] = ACTIONS(5862),
    [anon_sym_PIPE] = ACTIONS(5860),
    [anon_sym_CARET] = ACTIONS(5860),
    [anon_sym_AMP] = ACTIONS(5860),
    [anon_sym_EQ_EQ] = ACTIONS(5862),
    [anon_sym_BANG_EQ] = ACTIONS(5862),
    [anon_sym_GT] = ACTIONS(5860),
    [anon_sym_GT_EQ] = ACTIONS(5862),
    [anon_sym_LT_EQ] = ACTIONS(5860),
    [anon_sym_LT] = ACTIONS(5860),
    [anon_sym_LT_LT] = ACTIONS(5860),
    [anon_sym_GT_GT] = ACTIONS(5860),
    [anon_sym_SEMI] = ACTIONS(5862),
    [anon_sym___attribute__] = ACTIONS(5860),
    [anon_sym_LBRACE] = ACTIONS(5862),
    [anon_sym_RBRACE] = ACTIONS(5862),
    [anon_sym_LBRACK] = ACTIONS(5862),
    [anon_sym_RBRACK] = ACTIONS(5862),
    [anon_sym_EQ] = ACTIONS(5860),
    [anon_sym_COLON] = ACTIONS(5862),
    [anon_sym_QMARK] = ACTIONS(5862),
    [anon_sym_STAR_EQ] = ACTIONS(5862),
    [anon_sym_SLASH_EQ] = ACTIONS(5862),
    [anon_sym_PERCENT_EQ] = ACTIONS(5862),
    [anon_sym_PLUS_EQ] = ACTIONS(5862),
    [anon_sym_DASH_EQ] = ACTIONS(5862),
    [anon_sym_LT_LT_EQ] = ACTIONS(5862),
    [anon_sym_GT_GT_EQ] = ACTIONS(5862),
    [anon_sym_AMP_EQ] = ACTIONS(5862),
    [anon_sym_CARET_EQ] = ACTIONS(5862),
    [anon_sym_PIPE_EQ] = ACTIONS(5862),
    [anon_sym_and_eq] = ACTIONS(5860),
    [anon_sym_or_eq] = ACTIONS(5860),
    [anon_sym_xor_eq] = ACTIONS(5860),
    [anon_sym_LT_EQ_GT] = ACTIONS(5862),
    [anon_sym_or] = ACTIONS(5860),
    [anon_sym_and] = ACTIONS(5860),
    [anon_sym_bitor] = ACTIONS(5860),
    [anon_sym_xor] = ACTIONS(5860),
    [anon_sym_bitand] = ACTIONS(5860),
    [anon_sym_not_eq] = ACTIONS(5860),
    [anon_sym_DASH_DASH] = ACTIONS(5862),
    [anon_sym_PLUS_PLUS] = ACTIONS(5862),
    [anon_sym_DOT] = ACTIONS(5860),
    [anon_sym_DOT_STAR] = ACTIONS(5862),
    [anon_sym_DASH_GT] = ACTIONS(5862),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5860),
    [anon_sym_decltype] = ACTIONS(5860),
  },
  [2540] = {
    [sym_argument_list] = STATE(2927),
    [sym_initializer_list] = STATE(2927),
    [sym_identifier] = ACTIONS(6083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6085),
    [anon_sym_COMMA] = ACTIONS(6085),
    [anon_sym_RPAREN] = ACTIONS(6085),
    [aux_sym_preproc_if_token2] = ACTIONS(6085),
    [aux_sym_preproc_else_token1] = ACTIONS(6085),
    [aux_sym_preproc_elif_token1] = ACTIONS(6083),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6085),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6085),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(6083),
    [anon_sym_PLUS] = ACTIONS(6083),
    [anon_sym_STAR] = ACTIONS(6083),
    [anon_sym_SLASH] = ACTIONS(6083),
    [anon_sym_PERCENT] = ACTIONS(6083),
    [anon_sym_PIPE_PIPE] = ACTIONS(6085),
    [anon_sym_AMP_AMP] = ACTIONS(6085),
    [anon_sym_PIPE] = ACTIONS(6083),
    [anon_sym_CARET] = ACTIONS(6083),
    [anon_sym_AMP] = ACTIONS(6083),
    [anon_sym_EQ_EQ] = ACTIONS(6085),
    [anon_sym_BANG_EQ] = ACTIONS(6085),
    [anon_sym_GT] = ACTIONS(6083),
    [anon_sym_GT_EQ] = ACTIONS(6085),
    [anon_sym_LT_EQ] = ACTIONS(6083),
    [anon_sym_LT] = ACTIONS(6083),
    [anon_sym_LT_LT] = ACTIONS(6083),
    [anon_sym_GT_GT] = ACTIONS(6083),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym___attribute__] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6085),
    [anon_sym_LBRACK] = ACTIONS(6085),
    [anon_sym_RBRACK] = ACTIONS(6085),
    [anon_sym_EQ] = ACTIONS(6083),
    [anon_sym_COLON] = ACTIONS(6085),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_STAR_EQ] = ACTIONS(6085),
    [anon_sym_SLASH_EQ] = ACTIONS(6085),
    [anon_sym_PERCENT_EQ] = ACTIONS(6085),
    [anon_sym_PLUS_EQ] = ACTIONS(6085),
    [anon_sym_DASH_EQ] = ACTIONS(6085),
    [anon_sym_LT_LT_EQ] = ACTIONS(6085),
    [anon_sym_GT_GT_EQ] = ACTIONS(6085),
    [anon_sym_AMP_EQ] = ACTIONS(6085),
    [anon_sym_CARET_EQ] = ACTIONS(6085),
    [anon_sym_PIPE_EQ] = ACTIONS(6085),
    [anon_sym_and_eq] = ACTIONS(6083),
    [anon_sym_or_eq] = ACTIONS(6083),
    [anon_sym_xor_eq] = ACTIONS(6083),
    [anon_sym_LT_EQ_GT] = ACTIONS(6085),
    [anon_sym_or] = ACTIONS(6083),
    [anon_sym_and] = ACTIONS(6083),
    [anon_sym_bitor] = ACTIONS(6083),
    [anon_sym_xor] = ACTIONS(6083),
    [anon_sym_bitand] = ACTIONS(6083),
    [anon_sym_not_eq] = ACTIONS(6083),
    [anon_sym_DASH_DASH] = ACTIONS(6085),
    [anon_sym_PLUS_PLUS] = ACTIONS(6085),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_DOT_STAR] = ACTIONS(6085),
    [anon_sym_DASH_GT] = ACTIONS(6085),
    [sym_comment] = ACTIONS(3),
  },
  [2541] = {
    [sym_identifier] = ACTIONS(6087),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6089),
    [anon_sym_COMMA] = ACTIONS(6089),
    [anon_sym_RPAREN] = ACTIONS(6089),
    [aux_sym_preproc_if_token2] = ACTIONS(6089),
    [aux_sym_preproc_else_token1] = ACTIONS(6089),
    [aux_sym_preproc_elif_token1] = ACTIONS(6087),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6089),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6089),
    [anon_sym_LPAREN2] = ACTIONS(6089),
    [anon_sym_DASH] = ACTIONS(6087),
    [anon_sym_PLUS] = ACTIONS(6087),
    [anon_sym_STAR] = ACTIONS(6087),
    [anon_sym_SLASH] = ACTIONS(6087),
    [anon_sym_PERCENT] = ACTIONS(6087),
    [anon_sym_PIPE_PIPE] = ACTIONS(6089),
    [anon_sym_AMP_AMP] = ACTIONS(6089),
    [anon_sym_PIPE] = ACTIONS(6087),
    [anon_sym_CARET] = ACTIONS(6087),
    [anon_sym_AMP] = ACTIONS(6087),
    [anon_sym_EQ_EQ] = ACTIONS(6089),
    [anon_sym_BANG_EQ] = ACTIONS(6089),
    [anon_sym_GT] = ACTIONS(6087),
    [anon_sym_GT_EQ] = ACTIONS(6089),
    [anon_sym_LT_EQ] = ACTIONS(6087),
    [anon_sym_LT] = ACTIONS(6087),
    [anon_sym_LT_LT] = ACTIONS(6087),
    [anon_sym_GT_GT] = ACTIONS(6087),
    [anon_sym_SEMI] = ACTIONS(6089),
    [anon_sym___attribute__] = ACTIONS(6087),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6089),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(6089),
    [anon_sym_LBRACK] = ACTIONS(6087),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_EQ] = ACTIONS(6087),
    [anon_sym_COLON] = ACTIONS(6089),
    [anon_sym_QMARK] = ACTIONS(6089),
    [anon_sym_STAR_EQ] = ACTIONS(6089),
    [anon_sym_SLASH_EQ] = ACTIONS(6089),
    [anon_sym_PERCENT_EQ] = ACTIONS(6089),
    [anon_sym_PLUS_EQ] = ACTIONS(6089),
    [anon_sym_DASH_EQ] = ACTIONS(6089),
    [anon_sym_LT_LT_EQ] = ACTIONS(6089),
    [anon_sym_GT_GT_EQ] = ACTIONS(6089),
    [anon_sym_AMP_EQ] = ACTIONS(6089),
    [anon_sym_CARET_EQ] = ACTIONS(6089),
    [anon_sym_PIPE_EQ] = ACTIONS(6089),
    [anon_sym_and_eq] = ACTIONS(6087),
    [anon_sym_or_eq] = ACTIONS(6087),
    [anon_sym_xor_eq] = ACTIONS(6087),
    [anon_sym_LT_EQ_GT] = ACTIONS(6089),
    [anon_sym_or] = ACTIONS(6087),
    [anon_sym_and] = ACTIONS(6087),
    [anon_sym_bitor] = ACTIONS(6087),
    [anon_sym_xor] = ACTIONS(6087),
    [anon_sym_bitand] = ACTIONS(6087),
    [anon_sym_not_eq] = ACTIONS(6087),
    [anon_sym_DASH_DASH] = ACTIONS(6089),
    [anon_sym_PLUS_PLUS] = ACTIONS(6089),
    [anon_sym_DOT] = ACTIONS(6087),
    [anon_sym_DOT_STAR] = ACTIONS(6089),
    [anon_sym_DASH_GT] = ACTIONS(6089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6087),
  },
  [2542] = {
    [sym_identifier] = ACTIONS(6091),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6093),
    [anon_sym_COMMA] = ACTIONS(6093),
    [anon_sym_RPAREN] = ACTIONS(6093),
    [aux_sym_preproc_if_token2] = ACTIONS(6093),
    [aux_sym_preproc_else_token1] = ACTIONS(6093),
    [aux_sym_preproc_elif_token1] = ACTIONS(6091),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6093),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6093),
    [anon_sym_LPAREN2] = ACTIONS(6093),
    [anon_sym_DASH] = ACTIONS(6091),
    [anon_sym_PLUS] = ACTIONS(6091),
    [anon_sym_STAR] = ACTIONS(6091),
    [anon_sym_SLASH] = ACTIONS(6091),
    [anon_sym_PERCENT] = ACTIONS(6091),
    [anon_sym_PIPE_PIPE] = ACTIONS(6093),
    [anon_sym_AMP_AMP] = ACTIONS(6093),
    [anon_sym_PIPE] = ACTIONS(6091),
    [anon_sym_CARET] = ACTIONS(6091),
    [anon_sym_AMP] = ACTIONS(6091),
    [anon_sym_EQ_EQ] = ACTIONS(6093),
    [anon_sym_BANG_EQ] = ACTIONS(6093),
    [anon_sym_GT] = ACTIONS(6091),
    [anon_sym_GT_EQ] = ACTIONS(6093),
    [anon_sym_LT_EQ] = ACTIONS(6091),
    [anon_sym_LT] = ACTIONS(6091),
    [anon_sym_LT_LT] = ACTIONS(6091),
    [anon_sym_GT_GT] = ACTIONS(6091),
    [anon_sym_SEMI] = ACTIONS(6093),
    [anon_sym___attribute__] = ACTIONS(6091),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6093),
    [anon_sym_LBRACE] = ACTIONS(6093),
    [anon_sym_RBRACE] = ACTIONS(6093),
    [anon_sym_LBRACK] = ACTIONS(6091),
    [anon_sym_RBRACK] = ACTIONS(6093),
    [anon_sym_EQ] = ACTIONS(6091),
    [anon_sym_COLON] = ACTIONS(6093),
    [anon_sym_QMARK] = ACTIONS(6093),
    [anon_sym_STAR_EQ] = ACTIONS(6093),
    [anon_sym_SLASH_EQ] = ACTIONS(6093),
    [anon_sym_PERCENT_EQ] = ACTIONS(6093),
    [anon_sym_PLUS_EQ] = ACTIONS(6093),
    [anon_sym_DASH_EQ] = ACTIONS(6093),
    [anon_sym_LT_LT_EQ] = ACTIONS(6093),
    [anon_sym_GT_GT_EQ] = ACTIONS(6093),
    [anon_sym_AMP_EQ] = ACTIONS(6093),
    [anon_sym_CARET_EQ] = ACTIONS(6093),
    [anon_sym_PIPE_EQ] = ACTIONS(6093),
    [anon_sym_and_eq] = ACTIONS(6091),
    [anon_sym_or_eq] = ACTIONS(6091),
    [anon_sym_xor_eq] = ACTIONS(6091),
    [anon_sym_LT_EQ_GT] = ACTIONS(6093),
    [anon_sym_or] = ACTIONS(6091),
    [anon_sym_and] = ACTIONS(6091),
    [anon_sym_bitor] = ACTIONS(6091),
    [anon_sym_xor] = ACTIONS(6091),
    [anon_sym_bitand] = ACTIONS(6091),
    [anon_sym_not_eq] = ACTIONS(6091),
    [anon_sym_DASH_DASH] = ACTIONS(6093),
    [anon_sym_PLUS_PLUS] = ACTIONS(6093),
    [anon_sym_DOT] = ACTIONS(6091),
    [anon_sym_DOT_STAR] = ACTIONS(6093),
    [anon_sym_DASH_GT] = ACTIONS(6093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6091),
  },
  [2543] = {
    [sym_identifier] = ACTIONS(5797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5799),
    [anon_sym_COMMA] = ACTIONS(5799),
    [anon_sym_RPAREN] = ACTIONS(5799),
    [aux_sym_preproc_if_token2] = ACTIONS(5799),
    [aux_sym_preproc_else_token1] = ACTIONS(5799),
    [aux_sym_preproc_elif_token1] = ACTIONS(5797),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5799),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5799),
    [anon_sym_LPAREN2] = ACTIONS(5799),
    [anon_sym_DASH] = ACTIONS(5797),
    [anon_sym_PLUS] = ACTIONS(5797),
    [anon_sym_STAR] = ACTIONS(5797),
    [anon_sym_SLASH] = ACTIONS(5797),
    [anon_sym_PERCENT] = ACTIONS(5797),
    [anon_sym_PIPE_PIPE] = ACTIONS(5799),
    [anon_sym_AMP_AMP] = ACTIONS(5799),
    [anon_sym_PIPE] = ACTIONS(5797),
    [anon_sym_CARET] = ACTIONS(5797),
    [anon_sym_AMP] = ACTIONS(5797),
    [anon_sym_EQ_EQ] = ACTIONS(5799),
    [anon_sym_BANG_EQ] = ACTIONS(5799),
    [anon_sym_GT] = ACTIONS(5797),
    [anon_sym_GT_EQ] = ACTIONS(5799),
    [anon_sym_LT_EQ] = ACTIONS(5797),
    [anon_sym_LT] = ACTIONS(5797),
    [anon_sym_LT_LT] = ACTIONS(5797),
    [anon_sym_GT_GT] = ACTIONS(5797),
    [anon_sym_SEMI] = ACTIONS(5799),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym_LBRACE] = ACTIONS(5799),
    [anon_sym_RBRACE] = ACTIONS(5799),
    [anon_sym_LBRACK] = ACTIONS(5799),
    [anon_sym_RBRACK] = ACTIONS(5799),
    [anon_sym_EQ] = ACTIONS(5797),
    [anon_sym_COLON] = ACTIONS(5799),
    [anon_sym_QMARK] = ACTIONS(5799),
    [anon_sym_STAR_EQ] = ACTIONS(5799),
    [anon_sym_SLASH_EQ] = ACTIONS(5799),
    [anon_sym_PERCENT_EQ] = ACTIONS(5799),
    [anon_sym_PLUS_EQ] = ACTIONS(5799),
    [anon_sym_DASH_EQ] = ACTIONS(5799),
    [anon_sym_LT_LT_EQ] = ACTIONS(5799),
    [anon_sym_GT_GT_EQ] = ACTIONS(5799),
    [anon_sym_AMP_EQ] = ACTIONS(5799),
    [anon_sym_CARET_EQ] = ACTIONS(5799),
    [anon_sym_PIPE_EQ] = ACTIONS(5799),
    [anon_sym_and_eq] = ACTIONS(5797),
    [anon_sym_or_eq] = ACTIONS(5797),
    [anon_sym_xor_eq] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5799),
    [anon_sym_or] = ACTIONS(5797),
    [anon_sym_and] = ACTIONS(5797),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5797),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5799),
    [anon_sym_PLUS_PLUS] = ACTIONS(5799),
    [anon_sym_DOT] = ACTIONS(5797),
    [anon_sym_DOT_STAR] = ACTIONS(5799),
    [anon_sym_DASH_GT] = ACTIONS(5799),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2544] = {
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [aux_sym_preproc_if_token2] = ACTIONS(5896),
    [aux_sym_preproc_else_token1] = ACTIONS(5896),
    [aux_sym_preproc_elif_token1] = ACTIONS(5894),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5894),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5894),
    [anon_sym_GT_GT] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5894),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_STAR_EQ] = ACTIONS(5896),
    [anon_sym_SLASH_EQ] = ACTIONS(5896),
    [anon_sym_PERCENT_EQ] = ACTIONS(5896),
    [anon_sym_PLUS_EQ] = ACTIONS(5896),
    [anon_sym_DASH_EQ] = ACTIONS(5896),
    [anon_sym_LT_LT_EQ] = ACTIONS(5896),
    [anon_sym_GT_GT_EQ] = ACTIONS(5896),
    [anon_sym_AMP_EQ] = ACTIONS(5896),
    [anon_sym_CARET_EQ] = ACTIONS(5896),
    [anon_sym_PIPE_EQ] = ACTIONS(5896),
    [anon_sym_and_eq] = ACTIONS(5894),
    [anon_sym_or_eq] = ACTIONS(5894),
    [anon_sym_xor_eq] = ACTIONS(5894),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5894),
    [anon_sym_and] = ACTIONS(5894),
    [anon_sym_bitor] = ACTIONS(5894),
    [anon_sym_xor] = ACTIONS(5894),
    [anon_sym_bitand] = ACTIONS(5894),
    [anon_sym_not_eq] = ACTIONS(5894),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5894),
    [anon_sym_decltype] = ACTIONS(5894),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(5661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5663),
    [anon_sym_COMMA] = ACTIONS(5663),
    [anon_sym_RPAREN] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_else_token1] = ACTIONS(5663),
    [aux_sym_preproc_elif_token1] = ACTIONS(5661),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5663),
    [anon_sym_DASH] = ACTIONS(5661),
    [anon_sym_PLUS] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_SLASH] = ACTIONS(5661),
    [anon_sym_PERCENT] = ACTIONS(5661),
    [anon_sym_PIPE_PIPE] = ACTIONS(5663),
    [anon_sym_AMP_AMP] = ACTIONS(5663),
    [anon_sym_PIPE] = ACTIONS(5661),
    [anon_sym_CARET] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5661),
    [anon_sym_EQ_EQ] = ACTIONS(5663),
    [anon_sym_BANG_EQ] = ACTIONS(5663),
    [anon_sym_GT] = ACTIONS(5661),
    [anon_sym_GT_EQ] = ACTIONS(5663),
    [anon_sym_LT_EQ] = ACTIONS(5661),
    [anon_sym_LT] = ACTIONS(5661),
    [anon_sym_LT_LT] = ACTIONS(5661),
    [anon_sym_GT_GT] = ACTIONS(5661),
    [anon_sym_SEMI] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5661),
    [anon_sym_LBRACE] = ACTIONS(5663),
    [anon_sym_RBRACE] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_RBRACK] = ACTIONS(5663),
    [anon_sym_EQ] = ACTIONS(5661),
    [anon_sym_COLON] = ACTIONS(5663),
    [anon_sym_QMARK] = ACTIONS(5663),
    [anon_sym_STAR_EQ] = ACTIONS(5663),
    [anon_sym_SLASH_EQ] = ACTIONS(5663),
    [anon_sym_PERCENT_EQ] = ACTIONS(5663),
    [anon_sym_PLUS_EQ] = ACTIONS(5663),
    [anon_sym_DASH_EQ] = ACTIONS(5663),
    [anon_sym_LT_LT_EQ] = ACTIONS(5663),
    [anon_sym_GT_GT_EQ] = ACTIONS(5663),
    [anon_sym_AMP_EQ] = ACTIONS(5663),
    [anon_sym_CARET_EQ] = ACTIONS(5663),
    [anon_sym_PIPE_EQ] = ACTIONS(5663),
    [anon_sym_and_eq] = ACTIONS(5661),
    [anon_sym_or_eq] = ACTIONS(5661),
    [anon_sym_xor_eq] = ACTIONS(5661),
    [anon_sym_LT_EQ_GT] = ACTIONS(5663),
    [anon_sym_or] = ACTIONS(5661),
    [anon_sym_and] = ACTIONS(5661),
    [anon_sym_bitor] = ACTIONS(5661),
    [anon_sym_xor] = ACTIONS(5661),
    [anon_sym_bitand] = ACTIONS(5661),
    [anon_sym_not_eq] = ACTIONS(5661),
    [anon_sym_DASH_DASH] = ACTIONS(5663),
    [anon_sym_PLUS_PLUS] = ACTIONS(5663),
    [anon_sym_DOT] = ACTIONS(5661),
    [anon_sym_DOT_STAR] = ACTIONS(5663),
    [anon_sym_DASH_GT] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5661),
    [anon_sym_decltype] = ACTIONS(5661),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [aux_sym_preproc_if_token2] = ACTIONS(5803),
    [aux_sym_preproc_else_token1] = ACTIONS(5803),
    [aux_sym_preproc_elif_token1] = ACTIONS(5801),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5801),
    [anon_sym_PLUS] = ACTIONS(5801),
    [anon_sym_STAR] = ACTIONS(5801),
    [anon_sym_SLASH] = ACTIONS(5801),
    [anon_sym_PERCENT] = ACTIONS(5801),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5801),
    [anon_sym_CARET] = ACTIONS(5801),
    [anon_sym_AMP] = ACTIONS(5801),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5801),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5801),
    [anon_sym_LT] = ACTIONS(5801),
    [anon_sym_LT_LT] = ACTIONS(5801),
    [anon_sym_GT_GT] = ACTIONS(5801),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___attribute__] = ACTIONS(5801),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5801),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5801),
    [anon_sym_or_eq] = ACTIONS(5801),
    [anon_sym_xor_eq] = ACTIONS(5801),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5801),
    [anon_sym_and] = ACTIONS(5801),
    [anon_sym_bitor] = ACTIONS(5801),
    [anon_sym_xor] = ACTIONS(5801),
    [anon_sym_bitand] = ACTIONS(5801),
    [anon_sym_not_eq] = ACTIONS(5801),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5801),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5801),
    [anon_sym_decltype] = ACTIONS(5801),
  },
  [2547] = {
    [sym_string_literal] = STATE(2327),
    [sym_raw_string_literal] = STATE(2327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4097),
    [anon_sym_COMMA] = ACTIONS(4097),
    [anon_sym_LPAREN2] = ACTIONS(4097),
    [anon_sym_DASH] = ACTIONS(4105),
    [anon_sym_PLUS] = ACTIONS(4105),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_SLASH] = ACTIONS(4105),
    [anon_sym_PERCENT] = ACTIONS(4105),
    [anon_sym_PIPE_PIPE] = ACTIONS(4097),
    [anon_sym_AMP_AMP] = ACTIONS(4097),
    [anon_sym_PIPE] = ACTIONS(4105),
    [anon_sym_CARET] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_EQ_EQ] = ACTIONS(4097),
    [anon_sym_BANG_EQ] = ACTIONS(4097),
    [anon_sym_GT] = ACTIONS(4105),
    [anon_sym_GT_EQ] = ACTIONS(4097),
    [anon_sym_LT_EQ] = ACTIONS(4105),
    [anon_sym_LT] = ACTIONS(4105),
    [anon_sym_LT_LT] = ACTIONS(4105),
    [anon_sym_GT_GT] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4097),
    [anon_sym___attribute__] = ACTIONS(4105),
    [anon_sym_LBRACK] = ACTIONS(4097),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_QMARK] = ACTIONS(4097),
    [anon_sym_STAR_EQ] = ACTIONS(4097),
    [anon_sym_SLASH_EQ] = ACTIONS(4097),
    [anon_sym_PERCENT_EQ] = ACTIONS(4097),
    [anon_sym_PLUS_EQ] = ACTIONS(4097),
    [anon_sym_DASH_EQ] = ACTIONS(4097),
    [anon_sym_LT_LT_EQ] = ACTIONS(4097),
    [anon_sym_GT_GT_EQ] = ACTIONS(4097),
    [anon_sym_AMP_EQ] = ACTIONS(4097),
    [anon_sym_CARET_EQ] = ACTIONS(4097),
    [anon_sym_PIPE_EQ] = ACTIONS(4097),
    [anon_sym_and_eq] = ACTIONS(4105),
    [anon_sym_or_eq] = ACTIONS(4105),
    [anon_sym_xor_eq] = ACTIONS(4105),
    [anon_sym_LT_EQ_GT] = ACTIONS(4097),
    [anon_sym_or] = ACTIONS(4105),
    [anon_sym_and] = ACTIONS(4105),
    [anon_sym_bitor] = ACTIONS(4105),
    [anon_sym_xor] = ACTIONS(4105),
    [anon_sym_bitand] = ACTIONS(4105),
    [anon_sym_not_eq] = ACTIONS(4105),
    [anon_sym_DASH_DASH] = ACTIONS(4097),
    [anon_sym_PLUS_PLUS] = ACTIONS(4097),
    [anon_sym_DOT] = ACTIONS(4105),
    [anon_sym_DOT_STAR] = ACTIONS(4097),
    [anon_sym_DASH_GT] = ACTIONS(4097),
    [anon_sym_L_DQUOTE] = ACTIONS(5758),
    [anon_sym_u_DQUOTE] = ACTIONS(5758),
    [anon_sym_U_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8_DQUOTE] = ACTIONS(5758),
    [anon_sym_DQUOTE] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5760),
    [anon_sym_LR_DQUOTE] = ACTIONS(5760),
    [anon_sym_uR_DQUOTE] = ACTIONS(5760),
    [anon_sym_UR_DQUOTE] = ACTIONS(5760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5760),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2548] = {
    [sym_template_argument_list] = STATE(2026),
    [sym_identifier] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(4121),
    [anon_sym_TILDE] = ACTIONS(4121),
    [anon_sym_STAR] = ACTIONS(4121),
    [anon_sym_PIPE_PIPE] = ACTIONS(4121),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(4116),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4121),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym___cdecl] = ACTIONS(5460),
    [anon_sym___clrcall] = ACTIONS(5460),
    [anon_sym___stdcall] = ACTIONS(5460),
    [anon_sym___fastcall] = ACTIONS(5460),
    [anon_sym___thiscall] = ACTIONS(5460),
    [anon_sym___vectorcall] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [anon_sym_or] = ACTIONS(5460),
    [anon_sym_and] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_concept] = ACTIONS(5460),
  },
  [2549] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6095),
    [anon_sym_COMMA] = ACTIONS(6095),
    [anon_sym_RPAREN] = ACTIONS(6095),
    [anon_sym_LPAREN2] = ACTIONS(6095),
    [anon_sym_DASH] = ACTIONS(6097),
    [anon_sym_PLUS] = ACTIONS(6097),
    [anon_sym_STAR] = ACTIONS(6095),
    [anon_sym_SLASH] = ACTIONS(6097),
    [anon_sym_PERCENT] = ACTIONS(6095),
    [anon_sym_PIPE_PIPE] = ACTIONS(6095),
    [anon_sym_AMP_AMP] = ACTIONS(6095),
    [anon_sym_PIPE] = ACTIONS(6097),
    [anon_sym_CARET] = ACTIONS(6095),
    [anon_sym_AMP] = ACTIONS(6097),
    [anon_sym_EQ_EQ] = ACTIONS(6095),
    [anon_sym_BANG_EQ] = ACTIONS(6095),
    [anon_sym_GT] = ACTIONS(6097),
    [anon_sym_GT_EQ] = ACTIONS(6095),
    [anon_sym_LT_EQ] = ACTIONS(6097),
    [anon_sym_LT] = ACTIONS(6097),
    [anon_sym_LT_LT] = ACTIONS(6095),
    [anon_sym_GT_GT] = ACTIONS(6095),
    [anon_sym_SEMI] = ACTIONS(6095),
    [anon_sym___extension__] = ACTIONS(6095),
    [anon_sym___attribute__] = ACTIONS(6095),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_RBRACE] = ACTIONS(6095),
    [anon_sym_signed] = ACTIONS(6063),
    [anon_sym_unsigned] = ACTIONS(6063),
    [anon_sym_long] = ACTIONS(6063),
    [anon_sym_short] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6095),
    [anon_sym_RBRACK] = ACTIONS(6095),
    [anon_sym_const] = ACTIONS(6097),
    [anon_sym_constexpr] = ACTIONS(6095),
    [anon_sym_volatile] = ACTIONS(6095),
    [anon_sym_restrict] = ACTIONS(6095),
    [anon_sym___restrict__] = ACTIONS(6095),
    [anon_sym__Atomic] = ACTIONS(6095),
    [anon_sym__Noreturn] = ACTIONS(6095),
    [anon_sym_noreturn] = ACTIONS(6095),
    [anon_sym_mutable] = ACTIONS(6095),
    [anon_sym_constinit] = ACTIONS(6095),
    [anon_sym_consteval] = ACTIONS(6095),
    [anon_sym_COLON] = ACTIONS(6095),
    [anon_sym_QMARK] = ACTIONS(6095),
    [anon_sym_LT_EQ_GT] = ACTIONS(6095),
    [anon_sym_or] = ACTIONS(6095),
    [anon_sym_and] = ACTIONS(6095),
    [anon_sym_bitor] = ACTIONS(6095),
    [anon_sym_xor] = ACTIONS(6095),
    [anon_sym_bitand] = ACTIONS(6095),
    [anon_sym_not_eq] = ACTIONS(6095),
    [anon_sym_DASH_DASH] = ACTIONS(6095),
    [anon_sym_PLUS_PLUS] = ACTIONS(6095),
    [anon_sym_DOT] = ACTIONS(6097),
    [anon_sym_DOT_STAR] = ACTIONS(6095),
    [anon_sym_DASH_GT] = ACTIONS(6095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6095),
    [anon_sym_decltype] = ACTIONS(6095),
    [anon_sym_final] = ACTIONS(6095),
    [anon_sym_override] = ACTIONS(6095),
    [anon_sym_requires] = ACTIONS(6095),
  },
  [2550] = {
    [sym_string_literal] = STATE(2327),
    [sym_raw_string_literal] = STATE(2327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5455),
    [anon_sym_COMMA] = ACTIONS(5455),
    [anon_sym_LPAREN2] = ACTIONS(5455),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_STAR] = ACTIONS(5453),
    [anon_sym_SLASH] = ACTIONS(5453),
    [anon_sym_PERCENT] = ACTIONS(5453),
    [anon_sym_PIPE_PIPE] = ACTIONS(5455),
    [anon_sym_AMP_AMP] = ACTIONS(5455),
    [anon_sym_PIPE] = ACTIONS(5453),
    [anon_sym_CARET] = ACTIONS(5453),
    [anon_sym_AMP] = ACTIONS(5453),
    [anon_sym_EQ_EQ] = ACTIONS(5455),
    [anon_sym_BANG_EQ] = ACTIONS(5455),
    [anon_sym_GT] = ACTIONS(5453),
    [anon_sym_GT_EQ] = ACTIONS(5455),
    [anon_sym_LT_EQ] = ACTIONS(5453),
    [anon_sym_LT] = ACTIONS(5453),
    [anon_sym_LT_LT] = ACTIONS(5453),
    [anon_sym_GT_GT] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___attribute__] = ACTIONS(5453),
    [anon_sym_LBRACK] = ACTIONS(5455),
    [anon_sym_EQ] = ACTIONS(5453),
    [anon_sym_QMARK] = ACTIONS(5455),
    [anon_sym_STAR_EQ] = ACTIONS(5455),
    [anon_sym_SLASH_EQ] = ACTIONS(5455),
    [anon_sym_PERCENT_EQ] = ACTIONS(5455),
    [anon_sym_PLUS_EQ] = ACTIONS(5455),
    [anon_sym_DASH_EQ] = ACTIONS(5455),
    [anon_sym_LT_LT_EQ] = ACTIONS(5455),
    [anon_sym_GT_GT_EQ] = ACTIONS(5455),
    [anon_sym_AMP_EQ] = ACTIONS(5455),
    [anon_sym_CARET_EQ] = ACTIONS(5455),
    [anon_sym_PIPE_EQ] = ACTIONS(5455),
    [anon_sym_and_eq] = ACTIONS(5453),
    [anon_sym_or_eq] = ACTIONS(5453),
    [anon_sym_xor_eq] = ACTIONS(5453),
    [anon_sym_LT_EQ_GT] = ACTIONS(5455),
    [anon_sym_or] = ACTIONS(5453),
    [anon_sym_and] = ACTIONS(5453),
    [anon_sym_bitor] = ACTIONS(5453),
    [anon_sym_xor] = ACTIONS(5453),
    [anon_sym_bitand] = ACTIONS(5453),
    [anon_sym_not_eq] = ACTIONS(5453),
    [anon_sym_DASH_DASH] = ACTIONS(5455),
    [anon_sym_PLUS_PLUS] = ACTIONS(5455),
    [anon_sym_DOT] = ACTIONS(5453),
    [anon_sym_DOT_STAR] = ACTIONS(5455),
    [anon_sym_DASH_GT] = ACTIONS(5455),
    [anon_sym_L_DQUOTE] = ACTIONS(5758),
    [anon_sym_u_DQUOTE] = ACTIONS(5758),
    [anon_sym_U_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8_DQUOTE] = ACTIONS(5758),
    [anon_sym_DQUOTE] = ACTIONS(5758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5760),
    [anon_sym_LR_DQUOTE] = ACTIONS(5760),
    [anon_sym_uR_DQUOTE] = ACTIONS(5760),
    [anon_sym_UR_DQUOTE] = ACTIONS(5760),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5760),
    [sym_literal_suffix] = ACTIONS(5451),
  },
  [2551] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2495),
    [sym_identifier] = ACTIONS(6097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6095),
    [anon_sym_COMMA] = ACTIONS(6095),
    [aux_sym_preproc_if_token2] = ACTIONS(6095),
    [aux_sym_preproc_else_token1] = ACTIONS(6095),
    [aux_sym_preproc_elif_token1] = ACTIONS(6097),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6095),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6095),
    [anon_sym_LPAREN2] = ACTIONS(6095),
    [anon_sym_DASH] = ACTIONS(6097),
    [anon_sym_PLUS] = ACTIONS(6097),
    [anon_sym_STAR] = ACTIONS(6097),
    [anon_sym_SLASH] = ACTIONS(6097),
    [anon_sym_PERCENT] = ACTIONS(6097),
    [anon_sym_PIPE_PIPE] = ACTIONS(6095),
    [anon_sym_AMP_AMP] = ACTIONS(6095),
    [anon_sym_PIPE] = ACTIONS(6097),
    [anon_sym_CARET] = ACTIONS(6097),
    [anon_sym_AMP] = ACTIONS(6097),
    [anon_sym_EQ_EQ] = ACTIONS(6095),
    [anon_sym_BANG_EQ] = ACTIONS(6095),
    [anon_sym_GT] = ACTIONS(6097),
    [anon_sym_GT_EQ] = ACTIONS(6095),
    [anon_sym_LT_EQ] = ACTIONS(6097),
    [anon_sym_LT] = ACTIONS(6097),
    [anon_sym_LT_LT] = ACTIONS(6097),
    [anon_sym_GT_GT] = ACTIONS(6097),
    [anon_sym___attribute__] = ACTIONS(6097),
    [anon_sym_LBRACE] = ACTIONS(6095),
    [anon_sym_signed] = ACTIONS(6021),
    [anon_sym_unsigned] = ACTIONS(6021),
    [anon_sym_long] = ACTIONS(6021),
    [anon_sym_short] = ACTIONS(6021),
    [anon_sym_LBRACK] = ACTIONS(6095),
    [anon_sym_EQ] = ACTIONS(6097),
    [anon_sym_QMARK] = ACTIONS(6095),
    [anon_sym_STAR_EQ] = ACTIONS(6095),
    [anon_sym_SLASH_EQ] = ACTIONS(6095),
    [anon_sym_PERCENT_EQ] = ACTIONS(6095),
    [anon_sym_PLUS_EQ] = ACTIONS(6095),
    [anon_sym_DASH_EQ] = ACTIONS(6095),
    [anon_sym_LT_LT_EQ] = ACTIONS(6095),
    [anon_sym_GT_GT_EQ] = ACTIONS(6095),
    [anon_sym_AMP_EQ] = ACTIONS(6095),
    [anon_sym_CARET_EQ] = ACTIONS(6095),
    [anon_sym_PIPE_EQ] = ACTIONS(6095),
    [anon_sym_and_eq] = ACTIONS(6097),
    [anon_sym_or_eq] = ACTIONS(6097),
    [anon_sym_xor_eq] = ACTIONS(6097),
    [anon_sym_LT_EQ_GT] = ACTIONS(6095),
    [anon_sym_or] = ACTIONS(6097),
    [anon_sym_and] = ACTIONS(6097),
    [anon_sym_bitor] = ACTIONS(6097),
    [anon_sym_xor] = ACTIONS(6097),
    [anon_sym_bitand] = ACTIONS(6097),
    [anon_sym_not_eq] = ACTIONS(6097),
    [anon_sym_DASH_DASH] = ACTIONS(6095),
    [anon_sym_PLUS_PLUS] = ACTIONS(6095),
    [anon_sym_DOT] = ACTIONS(6097),
    [anon_sym_DOT_STAR] = ACTIONS(6095),
    [anon_sym_DASH_GT] = ACTIONS(6095),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6097),
    [anon_sym_decltype] = ACTIONS(6097),
  },
  [2552] = {
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6101),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_LBRACK] = ACTIONS(6099),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6099),
  },
  [2553] = {
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(6105),
    [aux_sym_preproc_if_token2] = ACTIONS(6105),
    [aux_sym_preproc_else_token1] = ACTIONS(6105),
    [aux_sym_preproc_elif_token1] = ACTIONS(6103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6105),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_STAR] = ACTIONS(6103),
    [anon_sym_SLASH] = ACTIONS(6103),
    [anon_sym_PERCENT] = ACTIONS(6103),
    [anon_sym_PIPE_PIPE] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_PIPE] = ACTIONS(6103),
    [anon_sym_CARET] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_EQ_EQ] = ACTIONS(6105),
    [anon_sym_BANG_EQ] = ACTIONS(6105),
    [anon_sym_GT] = ACTIONS(6103),
    [anon_sym_GT_EQ] = ACTIONS(6105),
    [anon_sym_LT_EQ] = ACTIONS(6103),
    [anon_sym_LT] = ACTIONS(6103),
    [anon_sym_LT_LT] = ACTIONS(6103),
    [anon_sym_GT_GT] = ACTIONS(6103),
    [anon_sym_SEMI] = ACTIONS(6105),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6105),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_RBRACE] = ACTIONS(6105),
    [anon_sym_LBRACK] = ACTIONS(6103),
    [anon_sym_RBRACK] = ACTIONS(6105),
    [anon_sym_EQ] = ACTIONS(6103),
    [anon_sym_COLON] = ACTIONS(6105),
    [anon_sym_QMARK] = ACTIONS(6105),
    [anon_sym_STAR_EQ] = ACTIONS(6105),
    [anon_sym_SLASH_EQ] = ACTIONS(6105),
    [anon_sym_PERCENT_EQ] = ACTIONS(6105),
    [anon_sym_PLUS_EQ] = ACTIONS(6105),
    [anon_sym_DASH_EQ] = ACTIONS(6105),
    [anon_sym_LT_LT_EQ] = ACTIONS(6105),
    [anon_sym_GT_GT_EQ] = ACTIONS(6105),
    [anon_sym_AMP_EQ] = ACTIONS(6105),
    [anon_sym_CARET_EQ] = ACTIONS(6105),
    [anon_sym_PIPE_EQ] = ACTIONS(6105),
    [anon_sym_and_eq] = ACTIONS(6103),
    [anon_sym_or_eq] = ACTIONS(6103),
    [anon_sym_xor_eq] = ACTIONS(6103),
    [anon_sym_LT_EQ_GT] = ACTIONS(6105),
    [anon_sym_or] = ACTIONS(6103),
    [anon_sym_and] = ACTIONS(6103),
    [anon_sym_bitor] = ACTIONS(6103),
    [anon_sym_xor] = ACTIONS(6103),
    [anon_sym_bitand] = ACTIONS(6103),
    [anon_sym_not_eq] = ACTIONS(6103),
    [anon_sym_DASH_DASH] = ACTIONS(6105),
    [anon_sym_PLUS_PLUS] = ACTIONS(6105),
    [anon_sym_DOT] = ACTIONS(6103),
    [anon_sym_DOT_STAR] = ACTIONS(6105),
    [anon_sym_DASH_GT] = ACTIONS(6105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6103),
  },
  [2554] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [aux_sym_preproc_if_token2] = ACTIONS(5725),
    [aux_sym_preproc_else_token1] = ACTIONS(5725),
    [aux_sym_preproc_elif_token1] = ACTIONS(5723),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5723),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5723),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5723),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5723),
    [anon_sym_GT_GT] = ACTIONS(5723),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_EQ] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_STAR_EQ] = ACTIONS(5725),
    [anon_sym_SLASH_EQ] = ACTIONS(5725),
    [anon_sym_PERCENT_EQ] = ACTIONS(5725),
    [anon_sym_PLUS_EQ] = ACTIONS(5725),
    [anon_sym_DASH_EQ] = ACTIONS(5725),
    [anon_sym_LT_LT_EQ] = ACTIONS(5725),
    [anon_sym_GT_GT_EQ] = ACTIONS(5725),
    [anon_sym_AMP_EQ] = ACTIONS(5725),
    [anon_sym_CARET_EQ] = ACTIONS(5725),
    [anon_sym_PIPE_EQ] = ACTIONS(5725),
    [anon_sym_and_eq] = ACTIONS(5723),
    [anon_sym_or_eq] = ACTIONS(5723),
    [anon_sym_xor_eq] = ACTIONS(5723),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
  },
  [2555] = {
    [sym_identifier] = ACTIONS(5707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5709),
    [anon_sym_COMMA] = ACTIONS(5709),
    [anon_sym_RPAREN] = ACTIONS(5709),
    [aux_sym_preproc_if_token2] = ACTIONS(5709),
    [aux_sym_preproc_else_token1] = ACTIONS(5709),
    [aux_sym_preproc_elif_token1] = ACTIONS(5707),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5709),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5709),
    [anon_sym_LPAREN2] = ACTIONS(5709),
    [anon_sym_DASH] = ACTIONS(5707),
    [anon_sym_PLUS] = ACTIONS(5707),
    [anon_sym_STAR] = ACTIONS(5707),
    [anon_sym_SLASH] = ACTIONS(5707),
    [anon_sym_PERCENT] = ACTIONS(5707),
    [anon_sym_PIPE_PIPE] = ACTIONS(5709),
    [anon_sym_AMP_AMP] = ACTIONS(5709),
    [anon_sym_PIPE] = ACTIONS(5707),
    [anon_sym_CARET] = ACTIONS(5707),
    [anon_sym_AMP] = ACTIONS(5707),
    [anon_sym_EQ_EQ] = ACTIONS(5709),
    [anon_sym_BANG_EQ] = ACTIONS(5709),
    [anon_sym_GT] = ACTIONS(5707),
    [anon_sym_GT_EQ] = ACTIONS(5709),
    [anon_sym_LT_EQ] = ACTIONS(5707),
    [anon_sym_LT] = ACTIONS(5707),
    [anon_sym_LT_LT] = ACTIONS(5707),
    [anon_sym_GT_GT] = ACTIONS(5707),
    [anon_sym_SEMI] = ACTIONS(5709),
    [anon_sym___attribute__] = ACTIONS(5707),
    [anon_sym_LBRACE] = ACTIONS(5709),
    [anon_sym_RBRACE] = ACTIONS(5709),
    [anon_sym_LBRACK] = ACTIONS(5709),
    [anon_sym_RBRACK] = ACTIONS(5709),
    [anon_sym_EQ] = ACTIONS(5707),
    [anon_sym_COLON] = ACTIONS(5709),
    [anon_sym_QMARK] = ACTIONS(5709),
    [anon_sym_STAR_EQ] = ACTIONS(5709),
    [anon_sym_SLASH_EQ] = ACTIONS(5709),
    [anon_sym_PERCENT_EQ] = ACTIONS(5709),
    [anon_sym_PLUS_EQ] = ACTIONS(5709),
    [anon_sym_DASH_EQ] = ACTIONS(5709),
    [anon_sym_LT_LT_EQ] = ACTIONS(5709),
    [anon_sym_GT_GT_EQ] = ACTIONS(5709),
    [anon_sym_AMP_EQ] = ACTIONS(5709),
    [anon_sym_CARET_EQ] = ACTIONS(5709),
    [anon_sym_PIPE_EQ] = ACTIONS(5709),
    [anon_sym_and_eq] = ACTIONS(5707),
    [anon_sym_or_eq] = ACTIONS(5707),
    [anon_sym_xor_eq] = ACTIONS(5707),
    [anon_sym_LT_EQ_GT] = ACTIONS(5709),
    [anon_sym_or] = ACTIONS(5707),
    [anon_sym_and] = ACTIONS(5707),
    [anon_sym_bitor] = ACTIONS(5707),
    [anon_sym_xor] = ACTIONS(5707),
    [anon_sym_bitand] = ACTIONS(5707),
    [anon_sym_not_eq] = ACTIONS(5707),
    [anon_sym_DASH_DASH] = ACTIONS(5709),
    [anon_sym_PLUS_PLUS] = ACTIONS(5709),
    [anon_sym_DOT] = ACTIONS(5707),
    [anon_sym_DOT_STAR] = ACTIONS(5709),
    [anon_sym_DASH_GT] = ACTIONS(5709),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5707),
    [anon_sym_decltype] = ACTIONS(5707),
  },
  [2556] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6025),
    [anon_sym_COMMA] = ACTIONS(6025),
    [anon_sym_RPAREN] = ACTIONS(6025),
    [anon_sym_LPAREN2] = ACTIONS(6025),
    [anon_sym_DASH] = ACTIONS(6023),
    [anon_sym_PLUS] = ACTIONS(6023),
    [anon_sym_STAR] = ACTIONS(6025),
    [anon_sym_SLASH] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(6025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6025),
    [anon_sym_AMP_AMP] = ACTIONS(6025),
    [anon_sym_PIPE] = ACTIONS(6023),
    [anon_sym_CARET] = ACTIONS(6025),
    [anon_sym_AMP] = ACTIONS(6023),
    [anon_sym_EQ_EQ] = ACTIONS(6025),
    [anon_sym_BANG_EQ] = ACTIONS(6025),
    [anon_sym_GT] = ACTIONS(6023),
    [anon_sym_GT_EQ] = ACTIONS(6025),
    [anon_sym_LT_EQ] = ACTIONS(6023),
    [anon_sym_LT] = ACTIONS(6023),
    [anon_sym_LT_LT] = ACTIONS(6025),
    [anon_sym_GT_GT] = ACTIONS(6025),
    [anon_sym_SEMI] = ACTIONS(6025),
    [anon_sym___extension__] = ACTIONS(6025),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(6025),
    [anon_sym_RBRACE] = ACTIONS(6025),
    [anon_sym_signed] = ACTIONS(6063),
    [anon_sym_unsigned] = ACTIONS(6063),
    [anon_sym_long] = ACTIONS(6063),
    [anon_sym_short] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6025),
    [anon_sym_RBRACK] = ACTIONS(6025),
    [anon_sym_const] = ACTIONS(6023),
    [anon_sym_constexpr] = ACTIONS(6025),
    [anon_sym_volatile] = ACTIONS(6025),
    [anon_sym_restrict] = ACTIONS(6025),
    [anon_sym___restrict__] = ACTIONS(6025),
    [anon_sym__Atomic] = ACTIONS(6025),
    [anon_sym__Noreturn] = ACTIONS(6025),
    [anon_sym_noreturn] = ACTIONS(6025),
    [anon_sym_mutable] = ACTIONS(6025),
    [anon_sym_constinit] = ACTIONS(6025),
    [anon_sym_consteval] = ACTIONS(6025),
    [anon_sym_COLON] = ACTIONS(6025),
    [anon_sym_QMARK] = ACTIONS(6025),
    [anon_sym_LT_EQ_GT] = ACTIONS(6025),
    [anon_sym_or] = ACTIONS(6025),
    [anon_sym_and] = ACTIONS(6025),
    [anon_sym_bitor] = ACTIONS(6025),
    [anon_sym_xor] = ACTIONS(6025),
    [anon_sym_bitand] = ACTIONS(6025),
    [anon_sym_not_eq] = ACTIONS(6025),
    [anon_sym_DASH_DASH] = ACTIONS(6025),
    [anon_sym_PLUS_PLUS] = ACTIONS(6025),
    [anon_sym_DOT] = ACTIONS(6023),
    [anon_sym_DOT_STAR] = ACTIONS(6025),
    [anon_sym_DASH_GT] = ACTIONS(6025),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6025),
    [anon_sym_decltype] = ACTIONS(6025),
    [anon_sym_final] = ACTIONS(6025),
    [anon_sym_override] = ACTIONS(6025),
    [anon_sym_requires] = ACTIONS(6025),
  },
  [2557] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [aux_sym_preproc_if_token2] = ACTIONS(5733),
    [aux_sym_preproc_else_token1] = ACTIONS(5733),
    [aux_sym_preproc_elif_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5733),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5731),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5731),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5731),
    [anon_sym_GT_GT] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_EQ] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_STAR_EQ] = ACTIONS(5733),
    [anon_sym_SLASH_EQ] = ACTIONS(5733),
    [anon_sym_PERCENT_EQ] = ACTIONS(5733),
    [anon_sym_PLUS_EQ] = ACTIONS(5733),
    [anon_sym_DASH_EQ] = ACTIONS(5733),
    [anon_sym_LT_LT_EQ] = ACTIONS(5733),
    [anon_sym_GT_GT_EQ] = ACTIONS(5733),
    [anon_sym_AMP_EQ] = ACTIONS(5733),
    [anon_sym_CARET_EQ] = ACTIONS(5733),
    [anon_sym_PIPE_EQ] = ACTIONS(5733),
    [anon_sym_and_eq] = ACTIONS(5731),
    [anon_sym_or_eq] = ACTIONS(5731),
    [anon_sym_xor_eq] = ACTIONS(5731),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
  },
  [2558] = {
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5888),
    [anon_sym_COMMA] = ACTIONS(5888),
    [anon_sym_RPAREN] = ACTIONS(5888),
    [aux_sym_preproc_if_token2] = ACTIONS(5888),
    [aux_sym_preproc_else_token1] = ACTIONS(5888),
    [aux_sym_preproc_elif_token1] = ACTIONS(5886),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5888),
    [anon_sym_LPAREN2] = ACTIONS(5888),
    [anon_sym_DASH] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5886),
    [anon_sym_STAR] = ACTIONS(5886),
    [anon_sym_SLASH] = ACTIONS(5886),
    [anon_sym_PERCENT] = ACTIONS(5886),
    [anon_sym_PIPE_PIPE] = ACTIONS(5888),
    [anon_sym_AMP_AMP] = ACTIONS(5888),
    [anon_sym_PIPE] = ACTIONS(5886),
    [anon_sym_CARET] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5886),
    [anon_sym_EQ_EQ] = ACTIONS(5888),
    [anon_sym_BANG_EQ] = ACTIONS(5888),
    [anon_sym_GT] = ACTIONS(5886),
    [anon_sym_GT_EQ] = ACTIONS(5888),
    [anon_sym_LT_EQ] = ACTIONS(5886),
    [anon_sym_LT] = ACTIONS(5886),
    [anon_sym_LT_LT] = ACTIONS(5886),
    [anon_sym_GT_GT] = ACTIONS(5886),
    [anon_sym_SEMI] = ACTIONS(5888),
    [anon_sym___attribute__] = ACTIONS(5886),
    [anon_sym_LBRACE] = ACTIONS(5888),
    [anon_sym_RBRACE] = ACTIONS(5888),
    [anon_sym_LBRACK] = ACTIONS(5888),
    [anon_sym_RBRACK] = ACTIONS(5888),
    [anon_sym_EQ] = ACTIONS(5886),
    [anon_sym_COLON] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5888),
    [anon_sym_STAR_EQ] = ACTIONS(5888),
    [anon_sym_SLASH_EQ] = ACTIONS(5888),
    [anon_sym_PERCENT_EQ] = ACTIONS(5888),
    [anon_sym_PLUS_EQ] = ACTIONS(5888),
    [anon_sym_DASH_EQ] = ACTIONS(5888),
    [anon_sym_LT_LT_EQ] = ACTIONS(5888),
    [anon_sym_GT_GT_EQ] = ACTIONS(5888),
    [anon_sym_AMP_EQ] = ACTIONS(5888),
    [anon_sym_CARET_EQ] = ACTIONS(5888),
    [anon_sym_PIPE_EQ] = ACTIONS(5888),
    [anon_sym_and_eq] = ACTIONS(5886),
    [anon_sym_or_eq] = ACTIONS(5886),
    [anon_sym_xor_eq] = ACTIONS(5886),
    [anon_sym_LT_EQ_GT] = ACTIONS(5888),
    [anon_sym_or] = ACTIONS(5886),
    [anon_sym_and] = ACTIONS(5886),
    [anon_sym_bitor] = ACTIONS(5886),
    [anon_sym_xor] = ACTIONS(5886),
    [anon_sym_bitand] = ACTIONS(5886),
    [anon_sym_not_eq] = ACTIONS(5886),
    [anon_sym_DASH_DASH] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(5888),
    [anon_sym_DOT] = ACTIONS(5886),
    [anon_sym_DOT_STAR] = ACTIONS(5888),
    [anon_sym_DASH_GT] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5886),
    [anon_sym_decltype] = ACTIONS(5886),
  },
  [2559] = {
    [sym_identifier] = ACTIONS(6107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(6109),
    [anon_sym_RPAREN] = ACTIONS(6109),
    [aux_sym_preproc_if_token2] = ACTIONS(6109),
    [aux_sym_preproc_else_token1] = ACTIONS(6109),
    [aux_sym_preproc_elif_token1] = ACTIONS(6107),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6109),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6109),
    [anon_sym_LPAREN2] = ACTIONS(6109),
    [anon_sym_DASH] = ACTIONS(6107),
    [anon_sym_PLUS] = ACTIONS(6107),
    [anon_sym_STAR] = ACTIONS(6107),
    [anon_sym_SLASH] = ACTIONS(6107),
    [anon_sym_PERCENT] = ACTIONS(6107),
    [anon_sym_PIPE_PIPE] = ACTIONS(6109),
    [anon_sym_AMP_AMP] = ACTIONS(6109),
    [anon_sym_PIPE] = ACTIONS(6107),
    [anon_sym_CARET] = ACTIONS(6107),
    [anon_sym_AMP] = ACTIONS(6107),
    [anon_sym_EQ_EQ] = ACTIONS(6109),
    [anon_sym_BANG_EQ] = ACTIONS(6109),
    [anon_sym_GT] = ACTIONS(6107),
    [anon_sym_GT_EQ] = ACTIONS(6109),
    [anon_sym_LT_EQ] = ACTIONS(6107),
    [anon_sym_LT] = ACTIONS(6107),
    [anon_sym_LT_LT] = ACTIONS(6107),
    [anon_sym_GT_GT] = ACTIONS(6107),
    [anon_sym_SEMI] = ACTIONS(6109),
    [anon_sym___attribute__] = ACTIONS(6107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6109),
    [anon_sym_LBRACE] = ACTIONS(6109),
    [anon_sym_RBRACE] = ACTIONS(6109),
    [anon_sym_LBRACK] = ACTIONS(6107),
    [anon_sym_RBRACK] = ACTIONS(6109),
    [anon_sym_EQ] = ACTIONS(6107),
    [anon_sym_COLON] = ACTIONS(6109),
    [anon_sym_QMARK] = ACTIONS(6109),
    [anon_sym_STAR_EQ] = ACTIONS(6109),
    [anon_sym_SLASH_EQ] = ACTIONS(6109),
    [anon_sym_PERCENT_EQ] = ACTIONS(6109),
    [anon_sym_PLUS_EQ] = ACTIONS(6109),
    [anon_sym_DASH_EQ] = ACTIONS(6109),
    [anon_sym_LT_LT_EQ] = ACTIONS(6109),
    [anon_sym_GT_GT_EQ] = ACTIONS(6109),
    [anon_sym_AMP_EQ] = ACTIONS(6109),
    [anon_sym_CARET_EQ] = ACTIONS(6109),
    [anon_sym_PIPE_EQ] = ACTIONS(6109),
    [anon_sym_and_eq] = ACTIONS(6107),
    [anon_sym_or_eq] = ACTIONS(6107),
    [anon_sym_xor_eq] = ACTIONS(6107),
    [anon_sym_LT_EQ_GT] = ACTIONS(6109),
    [anon_sym_or] = ACTIONS(6107),
    [anon_sym_and] = ACTIONS(6107),
    [anon_sym_bitor] = ACTIONS(6107),
    [anon_sym_xor] = ACTIONS(6107),
    [anon_sym_bitand] = ACTIONS(6107),
    [anon_sym_not_eq] = ACTIONS(6107),
    [anon_sym_DASH_DASH] = ACTIONS(6109),
    [anon_sym_PLUS_PLUS] = ACTIONS(6109),
    [anon_sym_DOT] = ACTIONS(6107),
    [anon_sym_DOT_STAR] = ACTIONS(6109),
    [anon_sym_DASH_GT] = ACTIONS(6109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6107),
  },
  [2560] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
  },
  [2561] = {
    [sym_identifier] = ACTIONS(5703),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5705),
    [anon_sym_COMMA] = ACTIONS(5705),
    [anon_sym_RPAREN] = ACTIONS(5705),
    [aux_sym_preproc_if_token2] = ACTIONS(5705),
    [aux_sym_preproc_else_token1] = ACTIONS(5705),
    [aux_sym_preproc_elif_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5705),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5705),
    [anon_sym_LPAREN2] = ACTIONS(5705),
    [anon_sym_DASH] = ACTIONS(5703),
    [anon_sym_PLUS] = ACTIONS(5703),
    [anon_sym_STAR] = ACTIONS(5703),
    [anon_sym_SLASH] = ACTIONS(5703),
    [anon_sym_PERCENT] = ACTIONS(5703),
    [anon_sym_PIPE_PIPE] = ACTIONS(5705),
    [anon_sym_AMP_AMP] = ACTIONS(5705),
    [anon_sym_PIPE] = ACTIONS(5703),
    [anon_sym_CARET] = ACTIONS(5703),
    [anon_sym_AMP] = ACTIONS(5703),
    [anon_sym_EQ_EQ] = ACTIONS(5705),
    [anon_sym_BANG_EQ] = ACTIONS(5705),
    [anon_sym_GT] = ACTIONS(5703),
    [anon_sym_GT_EQ] = ACTIONS(5705),
    [anon_sym_LT_EQ] = ACTIONS(5703),
    [anon_sym_LT] = ACTIONS(5703),
    [anon_sym_LT_LT] = ACTIONS(5703),
    [anon_sym_GT_GT] = ACTIONS(5703),
    [anon_sym_SEMI] = ACTIONS(5705),
    [anon_sym___attribute__] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_RBRACE] = ACTIONS(5705),
    [anon_sym_LBRACK] = ACTIONS(5705),
    [anon_sym_RBRACK] = ACTIONS(5705),
    [anon_sym_EQ] = ACTIONS(5703),
    [anon_sym_COLON] = ACTIONS(5705),
    [anon_sym_QMARK] = ACTIONS(5705),
    [anon_sym_STAR_EQ] = ACTIONS(5705),
    [anon_sym_SLASH_EQ] = ACTIONS(5705),
    [anon_sym_PERCENT_EQ] = ACTIONS(5705),
    [anon_sym_PLUS_EQ] = ACTIONS(5705),
    [anon_sym_DASH_EQ] = ACTIONS(5705),
    [anon_sym_LT_LT_EQ] = ACTIONS(5705),
    [anon_sym_GT_GT_EQ] = ACTIONS(5705),
    [anon_sym_AMP_EQ] = ACTIONS(5705),
    [anon_sym_CARET_EQ] = ACTIONS(5705),
    [anon_sym_PIPE_EQ] = ACTIONS(5705),
    [anon_sym_and_eq] = ACTIONS(5703),
    [anon_sym_or_eq] = ACTIONS(5703),
    [anon_sym_xor_eq] = ACTIONS(5703),
    [anon_sym_LT_EQ_GT] = ACTIONS(5705),
    [anon_sym_or] = ACTIONS(5703),
    [anon_sym_and] = ACTIONS(5703),
    [anon_sym_bitor] = ACTIONS(5703),
    [anon_sym_xor] = ACTIONS(5703),
    [anon_sym_bitand] = ACTIONS(5703),
    [anon_sym_not_eq] = ACTIONS(5703),
    [anon_sym_DASH_DASH] = ACTIONS(5705),
    [anon_sym_PLUS_PLUS] = ACTIONS(5705),
    [anon_sym_DOT] = ACTIONS(5703),
    [anon_sym_DOT_STAR] = ACTIONS(5705),
    [anon_sym_DASH_GT] = ACTIONS(5705),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5703),
    [anon_sym_decltype] = ACTIONS(5703),
  },
  [2562] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2063),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6044),
    [anon_sym_COMMA] = ACTIONS(6044),
    [anon_sym_RPAREN] = ACTIONS(6044),
    [anon_sym_LPAREN2] = ACTIONS(6044),
    [anon_sym_DASH] = ACTIONS(6042),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_STAR] = ACTIONS(6044),
    [anon_sym_SLASH] = ACTIONS(6042),
    [anon_sym_PERCENT] = ACTIONS(6044),
    [anon_sym_PIPE_PIPE] = ACTIONS(6044),
    [anon_sym_AMP_AMP] = ACTIONS(6044),
    [anon_sym_PIPE] = ACTIONS(6042),
    [anon_sym_CARET] = ACTIONS(6044),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_EQ_EQ] = ACTIONS(6044),
    [anon_sym_BANG_EQ] = ACTIONS(6044),
    [anon_sym_GT] = ACTIONS(6042),
    [anon_sym_GT_EQ] = ACTIONS(6044),
    [anon_sym_LT_EQ] = ACTIONS(6042),
    [anon_sym_LT] = ACTIONS(6042),
    [anon_sym_LT_LT] = ACTIONS(6044),
    [anon_sym_GT_GT] = ACTIONS(6044),
    [anon_sym_SEMI] = ACTIONS(6044),
    [anon_sym___extension__] = ACTIONS(6044),
    [anon_sym___attribute__] = ACTIONS(6044),
    [anon_sym_LBRACE] = ACTIONS(6044),
    [anon_sym_RBRACE] = ACTIONS(6044),
    [anon_sym_signed] = ACTIONS(6063),
    [anon_sym_unsigned] = ACTIONS(6063),
    [anon_sym_long] = ACTIONS(6063),
    [anon_sym_short] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6044),
    [anon_sym_RBRACK] = ACTIONS(6044),
    [anon_sym_const] = ACTIONS(6042),
    [anon_sym_constexpr] = ACTIONS(6044),
    [anon_sym_volatile] = ACTIONS(6044),
    [anon_sym_restrict] = ACTIONS(6044),
    [anon_sym___restrict__] = ACTIONS(6044),
    [anon_sym__Atomic] = ACTIONS(6044),
    [anon_sym__Noreturn] = ACTIONS(6044),
    [anon_sym_noreturn] = ACTIONS(6044),
    [anon_sym_mutable] = ACTIONS(6044),
    [anon_sym_constinit] = ACTIONS(6044),
    [anon_sym_consteval] = ACTIONS(6044),
    [anon_sym_COLON] = ACTIONS(6044),
    [anon_sym_QMARK] = ACTIONS(6044),
    [anon_sym_LT_EQ_GT] = ACTIONS(6044),
    [anon_sym_or] = ACTIONS(6044),
    [anon_sym_and] = ACTIONS(6044),
    [anon_sym_bitor] = ACTIONS(6044),
    [anon_sym_xor] = ACTIONS(6044),
    [anon_sym_bitand] = ACTIONS(6044),
    [anon_sym_not_eq] = ACTIONS(6044),
    [anon_sym_DASH_DASH] = ACTIONS(6044),
    [anon_sym_PLUS_PLUS] = ACTIONS(6044),
    [anon_sym_DOT] = ACTIONS(6042),
    [anon_sym_DOT_STAR] = ACTIONS(6044),
    [anon_sym_DASH_GT] = ACTIONS(6044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6044),
    [anon_sym_decltype] = ACTIONS(6044),
    [anon_sym_final] = ACTIONS(6044),
    [anon_sym_override] = ACTIONS(6044),
    [anon_sym_requires] = ACTIONS(6044),
  },
  [2563] = {
    [sym_identifier] = ACTIONS(5750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [aux_sym_preproc_if_token2] = ACTIONS(5752),
    [aux_sym_preproc_else_token1] = ACTIONS(5752),
    [aux_sym_preproc_elif_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_STAR] = ACTIONS(5750),
    [anon_sym_SLASH] = ACTIONS(5750),
    [anon_sym_PERCENT] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5750),
    [anon_sym_CARET] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(5750),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5750),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5750),
    [anon_sym_LT] = ACTIONS(5750),
    [anon_sym_LT_LT] = ACTIONS(5750),
    [anon_sym_GT_GT] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_EQ] = ACTIONS(5750),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_STAR_EQ] = ACTIONS(5752),
    [anon_sym_SLASH_EQ] = ACTIONS(5752),
    [anon_sym_PERCENT_EQ] = ACTIONS(5752),
    [anon_sym_PLUS_EQ] = ACTIONS(5752),
    [anon_sym_DASH_EQ] = ACTIONS(5752),
    [anon_sym_LT_LT_EQ] = ACTIONS(5752),
    [anon_sym_GT_GT_EQ] = ACTIONS(5752),
    [anon_sym_AMP_EQ] = ACTIONS(5752),
    [anon_sym_CARET_EQ] = ACTIONS(5752),
    [anon_sym_PIPE_EQ] = ACTIONS(5752),
    [anon_sym_and_eq] = ACTIONS(5750),
    [anon_sym_or_eq] = ACTIONS(5750),
    [anon_sym_xor_eq] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
  },
  [2564] = {
    [sym_identifier] = ACTIONS(6111),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6113),
    [anon_sym_COMMA] = ACTIONS(6113),
    [anon_sym_RPAREN] = ACTIONS(6113),
    [aux_sym_preproc_if_token2] = ACTIONS(6113),
    [aux_sym_preproc_else_token1] = ACTIONS(6113),
    [aux_sym_preproc_elif_token1] = ACTIONS(6111),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6113),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6113),
    [anon_sym_LPAREN2] = ACTIONS(6113),
    [anon_sym_DASH] = ACTIONS(6111),
    [anon_sym_PLUS] = ACTIONS(6111),
    [anon_sym_STAR] = ACTIONS(6111),
    [anon_sym_SLASH] = ACTIONS(6111),
    [anon_sym_PERCENT] = ACTIONS(6111),
    [anon_sym_PIPE_PIPE] = ACTIONS(6113),
    [anon_sym_AMP_AMP] = ACTIONS(6113),
    [anon_sym_PIPE] = ACTIONS(6111),
    [anon_sym_CARET] = ACTIONS(6111),
    [anon_sym_AMP] = ACTIONS(6111),
    [anon_sym_EQ_EQ] = ACTIONS(6113),
    [anon_sym_BANG_EQ] = ACTIONS(6113),
    [anon_sym_GT] = ACTIONS(6111),
    [anon_sym_GT_EQ] = ACTIONS(6113),
    [anon_sym_LT_EQ] = ACTIONS(6111),
    [anon_sym_LT] = ACTIONS(6111),
    [anon_sym_LT_LT] = ACTIONS(6111),
    [anon_sym_GT_GT] = ACTIONS(6111),
    [anon_sym_SEMI] = ACTIONS(6113),
    [anon_sym___attribute__] = ACTIONS(6111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6113),
    [anon_sym_LBRACE] = ACTIONS(6113),
    [anon_sym_RBRACE] = ACTIONS(6113),
    [anon_sym_LBRACK] = ACTIONS(6111),
    [anon_sym_RBRACK] = ACTIONS(6113),
    [anon_sym_EQ] = ACTIONS(6111),
    [anon_sym_COLON] = ACTIONS(6113),
    [anon_sym_QMARK] = ACTIONS(6113),
    [anon_sym_STAR_EQ] = ACTIONS(6113),
    [anon_sym_SLASH_EQ] = ACTIONS(6113),
    [anon_sym_PERCENT_EQ] = ACTIONS(6113),
    [anon_sym_PLUS_EQ] = ACTIONS(6113),
    [anon_sym_DASH_EQ] = ACTIONS(6113),
    [anon_sym_LT_LT_EQ] = ACTIONS(6113),
    [anon_sym_GT_GT_EQ] = ACTIONS(6113),
    [anon_sym_AMP_EQ] = ACTIONS(6113),
    [anon_sym_CARET_EQ] = ACTIONS(6113),
    [anon_sym_PIPE_EQ] = ACTIONS(6113),
    [anon_sym_and_eq] = ACTIONS(6111),
    [anon_sym_or_eq] = ACTIONS(6111),
    [anon_sym_xor_eq] = ACTIONS(6111),
    [anon_sym_LT_EQ_GT] = ACTIONS(6113),
    [anon_sym_or] = ACTIONS(6111),
    [anon_sym_and] = ACTIONS(6111),
    [anon_sym_bitor] = ACTIONS(6111),
    [anon_sym_xor] = ACTIONS(6111),
    [anon_sym_bitand] = ACTIONS(6111),
    [anon_sym_not_eq] = ACTIONS(6111),
    [anon_sym_DASH_DASH] = ACTIONS(6113),
    [anon_sym_PLUS_PLUS] = ACTIONS(6113),
    [anon_sym_DOT] = ACTIONS(6111),
    [anon_sym_DOT_STAR] = ACTIONS(6113),
    [anon_sym_DASH_GT] = ACTIONS(6113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6111),
  },
  [2565] = {
    [sym_identifier] = ACTIONS(5667),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5669),
    [anon_sym_COMMA] = ACTIONS(5669),
    [anon_sym_RPAREN] = ACTIONS(5669),
    [aux_sym_preproc_if_token2] = ACTIONS(5669),
    [aux_sym_preproc_else_token1] = ACTIONS(5669),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5669),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5669),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_DASH] = ACTIONS(5667),
    [anon_sym_PLUS] = ACTIONS(5667),
    [anon_sym_STAR] = ACTIONS(5667),
    [anon_sym_SLASH] = ACTIONS(5667),
    [anon_sym_PERCENT] = ACTIONS(5667),
    [anon_sym_PIPE_PIPE] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_PIPE] = ACTIONS(5667),
    [anon_sym_CARET] = ACTIONS(5667),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym_EQ_EQ] = ACTIONS(5669),
    [anon_sym_BANG_EQ] = ACTIONS(5669),
    [anon_sym_GT] = ACTIONS(5667),
    [anon_sym_GT_EQ] = ACTIONS(5669),
    [anon_sym_LT_EQ] = ACTIONS(5667),
    [anon_sym_LT] = ACTIONS(5667),
    [anon_sym_LT_LT] = ACTIONS(5667),
    [anon_sym_GT_GT] = ACTIONS(5667),
    [anon_sym_SEMI] = ACTIONS(5669),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_LBRACE] = ACTIONS(5669),
    [anon_sym_RBRACE] = ACTIONS(5669),
    [anon_sym_LBRACK] = ACTIONS(5669),
    [anon_sym_RBRACK] = ACTIONS(5669),
    [anon_sym_EQ] = ACTIONS(5667),
    [anon_sym_COLON] = ACTIONS(5669),
    [anon_sym_QMARK] = ACTIONS(5669),
    [anon_sym_STAR_EQ] = ACTIONS(5669),
    [anon_sym_SLASH_EQ] = ACTIONS(5669),
    [anon_sym_PERCENT_EQ] = ACTIONS(5669),
    [anon_sym_PLUS_EQ] = ACTIONS(5669),
    [anon_sym_DASH_EQ] = ACTIONS(5669),
    [anon_sym_LT_LT_EQ] = ACTIONS(5669),
    [anon_sym_GT_GT_EQ] = ACTIONS(5669),
    [anon_sym_AMP_EQ] = ACTIONS(5669),
    [anon_sym_CARET_EQ] = ACTIONS(5669),
    [anon_sym_PIPE_EQ] = ACTIONS(5669),
    [anon_sym_and_eq] = ACTIONS(5667),
    [anon_sym_or_eq] = ACTIONS(5667),
    [anon_sym_xor_eq] = ACTIONS(5667),
    [anon_sym_LT_EQ_GT] = ACTIONS(5669),
    [anon_sym_or] = ACTIONS(5667),
    [anon_sym_and] = ACTIONS(5667),
    [anon_sym_bitor] = ACTIONS(5667),
    [anon_sym_xor] = ACTIONS(5667),
    [anon_sym_bitand] = ACTIONS(5667),
    [anon_sym_not_eq] = ACTIONS(5667),
    [anon_sym_DASH_DASH] = ACTIONS(5669),
    [anon_sym_PLUS_PLUS] = ACTIONS(5669),
    [anon_sym_DOT] = ACTIONS(5667),
    [anon_sym_DOT_STAR] = ACTIONS(5669),
    [anon_sym_DASH_GT] = ACTIONS(5669),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
  },
  [2566] = {
    [sym_identifier] = ACTIONS(6115),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6117),
    [anon_sym_COMMA] = ACTIONS(6117),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [aux_sym_preproc_if_token2] = ACTIONS(6117),
    [aux_sym_preproc_else_token1] = ACTIONS(6117),
    [aux_sym_preproc_elif_token1] = ACTIONS(6115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6117),
    [anon_sym_LPAREN2] = ACTIONS(6117),
    [anon_sym_DASH] = ACTIONS(6115),
    [anon_sym_PLUS] = ACTIONS(6115),
    [anon_sym_STAR] = ACTIONS(6115),
    [anon_sym_SLASH] = ACTIONS(6115),
    [anon_sym_PERCENT] = ACTIONS(6115),
    [anon_sym_PIPE_PIPE] = ACTIONS(6117),
    [anon_sym_AMP_AMP] = ACTIONS(6117),
    [anon_sym_PIPE] = ACTIONS(6115),
    [anon_sym_CARET] = ACTIONS(6115),
    [anon_sym_AMP] = ACTIONS(6115),
    [anon_sym_EQ_EQ] = ACTIONS(6117),
    [anon_sym_BANG_EQ] = ACTIONS(6117),
    [anon_sym_GT] = ACTIONS(6115),
    [anon_sym_GT_EQ] = ACTIONS(6117),
    [anon_sym_LT_EQ] = ACTIONS(6115),
    [anon_sym_LT] = ACTIONS(6115),
    [anon_sym_LT_LT] = ACTIONS(6115),
    [anon_sym_GT_GT] = ACTIONS(6115),
    [anon_sym_SEMI] = ACTIONS(6117),
    [anon_sym___attribute__] = ACTIONS(6115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6117),
    [anon_sym_LBRACE] = ACTIONS(6117),
    [anon_sym_RBRACE] = ACTIONS(6117),
    [anon_sym_LBRACK] = ACTIONS(6115),
    [anon_sym_RBRACK] = ACTIONS(6117),
    [anon_sym_EQ] = ACTIONS(6115),
    [anon_sym_COLON] = ACTIONS(6117),
    [anon_sym_QMARK] = ACTIONS(6117),
    [anon_sym_STAR_EQ] = ACTIONS(6117),
    [anon_sym_SLASH_EQ] = ACTIONS(6117),
    [anon_sym_PERCENT_EQ] = ACTIONS(6117),
    [anon_sym_PLUS_EQ] = ACTIONS(6117),
    [anon_sym_DASH_EQ] = ACTIONS(6117),
    [anon_sym_LT_LT_EQ] = ACTIONS(6117),
    [anon_sym_GT_GT_EQ] = ACTIONS(6117),
    [anon_sym_AMP_EQ] = ACTIONS(6117),
    [anon_sym_CARET_EQ] = ACTIONS(6117),
    [anon_sym_PIPE_EQ] = ACTIONS(6117),
    [anon_sym_and_eq] = ACTIONS(6115),
    [anon_sym_or_eq] = ACTIONS(6115),
    [anon_sym_xor_eq] = ACTIONS(6115),
    [anon_sym_LT_EQ_GT] = ACTIONS(6117),
    [anon_sym_or] = ACTIONS(6115),
    [anon_sym_and] = ACTIONS(6115),
    [anon_sym_bitor] = ACTIONS(6115),
    [anon_sym_xor] = ACTIONS(6115),
    [anon_sym_bitand] = ACTIONS(6115),
    [anon_sym_not_eq] = ACTIONS(6115),
    [anon_sym_DASH_DASH] = ACTIONS(6117),
    [anon_sym_PLUS_PLUS] = ACTIONS(6117),
    [anon_sym_DOT] = ACTIONS(6115),
    [anon_sym_DOT_STAR] = ACTIONS(6117),
    [anon_sym_DASH_GT] = ACTIONS(6117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6115),
  },
  [2567] = {
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_friend] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_catch] = ACTIONS(2865),
  },
  [2568] = {
    [sym_identifier] = ACTIONS(5878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [aux_sym_preproc_if_token2] = ACTIONS(5880),
    [aux_sym_preproc_else_token1] = ACTIONS(5880),
    [aux_sym_preproc_elif_token1] = ACTIONS(5878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5878),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5878),
    [anon_sym_GT_GT] = ACTIONS(5878),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5878),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_EQ] = ACTIONS(5878),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_STAR_EQ] = ACTIONS(5880),
    [anon_sym_SLASH_EQ] = ACTIONS(5880),
    [anon_sym_PERCENT_EQ] = ACTIONS(5880),
    [anon_sym_PLUS_EQ] = ACTIONS(5880),
    [anon_sym_DASH_EQ] = ACTIONS(5880),
    [anon_sym_LT_LT_EQ] = ACTIONS(5880),
    [anon_sym_GT_GT_EQ] = ACTIONS(5880),
    [anon_sym_AMP_EQ] = ACTIONS(5880),
    [anon_sym_CARET_EQ] = ACTIONS(5880),
    [anon_sym_PIPE_EQ] = ACTIONS(5880),
    [anon_sym_and_eq] = ACTIONS(5878),
    [anon_sym_or_eq] = ACTIONS(5878),
    [anon_sym_xor_eq] = ACTIONS(5878),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5878),
    [anon_sym_and] = ACTIONS(5878),
    [anon_sym_bitor] = ACTIONS(5878),
    [anon_sym_xor] = ACTIONS(5878),
    [anon_sym_bitand] = ACTIONS(5878),
    [anon_sym_not_eq] = ACTIONS(5878),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5878),
    [anon_sym_decltype] = ACTIONS(5878),
  },
  [2569] = {
    [sym_identifier] = ACTIONS(5358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5360),
    [anon_sym_COMMA] = ACTIONS(5360),
    [aux_sym_preproc_if_token2] = ACTIONS(5360),
    [aux_sym_preproc_else_token1] = ACTIONS(5360),
    [aux_sym_preproc_elif_token1] = ACTIONS(5360),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5358),
    [anon_sym_PLUS] = ACTIONS(5358),
    [anon_sym_STAR] = ACTIONS(5358),
    [anon_sym_SLASH] = ACTIONS(5358),
    [anon_sym_PERCENT] = ACTIONS(5358),
    [anon_sym_PIPE_PIPE] = ACTIONS(5360),
    [anon_sym_AMP_AMP] = ACTIONS(5360),
    [anon_sym_PIPE] = ACTIONS(5358),
    [anon_sym_CARET] = ACTIONS(5358),
    [anon_sym_AMP] = ACTIONS(5358),
    [anon_sym_EQ_EQ] = ACTIONS(5360),
    [anon_sym_BANG_EQ] = ACTIONS(5360),
    [anon_sym_GT] = ACTIONS(5358),
    [anon_sym_GT_EQ] = ACTIONS(5360),
    [anon_sym_LT_EQ] = ACTIONS(5358),
    [anon_sym_LT] = ACTIONS(5358),
    [anon_sym_LT_LT] = ACTIONS(5358),
    [anon_sym_GT_GT] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5360),
    [anon_sym_EQ] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5360),
    [anon_sym_STAR_EQ] = ACTIONS(5360),
    [anon_sym_SLASH_EQ] = ACTIONS(5360),
    [anon_sym_PERCENT_EQ] = ACTIONS(5360),
    [anon_sym_PLUS_EQ] = ACTIONS(5360),
    [anon_sym_DASH_EQ] = ACTIONS(5360),
    [anon_sym_LT_LT_EQ] = ACTIONS(5360),
    [anon_sym_GT_GT_EQ] = ACTIONS(5360),
    [anon_sym_AMP_EQ] = ACTIONS(5360),
    [anon_sym_CARET_EQ] = ACTIONS(5360),
    [anon_sym_PIPE_EQ] = ACTIONS(5360),
    [anon_sym_and_eq] = ACTIONS(5358),
    [anon_sym_or_eq] = ACTIONS(5358),
    [anon_sym_xor_eq] = ACTIONS(5358),
    [anon_sym_LT_EQ_GT] = ACTIONS(5360),
    [anon_sym_or] = ACTIONS(5358),
    [anon_sym_and] = ACTIONS(5358),
    [anon_sym_bitor] = ACTIONS(5358),
    [anon_sym_xor] = ACTIONS(5358),
    [anon_sym_bitand] = ACTIONS(5358),
    [anon_sym_not_eq] = ACTIONS(5358),
    [anon_sym_DASH_DASH] = ACTIONS(5360),
    [anon_sym_PLUS_PLUS] = ACTIONS(5360),
    [anon_sym_DOT] = ACTIONS(5358),
    [anon_sym_DOT_STAR] = ACTIONS(5360),
    [anon_sym_DASH_GT] = ACTIONS(5360),
    [anon_sym_L_DQUOTE] = ACTIONS(5360),
    [anon_sym_u_DQUOTE] = ACTIONS(5360),
    [anon_sym_U_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8_DQUOTE] = ACTIONS(5360),
    [anon_sym_DQUOTE] = ACTIONS(5360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5360),
    [anon_sym_LR_DQUOTE] = ACTIONS(5360),
    [anon_sym_uR_DQUOTE] = ACTIONS(5360),
    [anon_sym_UR_DQUOTE] = ACTIONS(5360),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5360),
    [sym_literal_suffix] = ACTIONS(5358),
  },
  [2570] = {
    [sym_identifier] = ACTIONS(6119),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6121),
    [anon_sym_COMMA] = ACTIONS(6121),
    [anon_sym_RPAREN] = ACTIONS(6121),
    [aux_sym_preproc_if_token2] = ACTIONS(6121),
    [aux_sym_preproc_else_token1] = ACTIONS(6121),
    [aux_sym_preproc_elif_token1] = ACTIONS(6119),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6121),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6121),
    [anon_sym_LPAREN2] = ACTIONS(6121),
    [anon_sym_DASH] = ACTIONS(6119),
    [anon_sym_PLUS] = ACTIONS(6119),
    [anon_sym_STAR] = ACTIONS(6119),
    [anon_sym_SLASH] = ACTIONS(6119),
    [anon_sym_PERCENT] = ACTIONS(6119),
    [anon_sym_PIPE_PIPE] = ACTIONS(6121),
    [anon_sym_AMP_AMP] = ACTIONS(6121),
    [anon_sym_PIPE] = ACTIONS(6119),
    [anon_sym_CARET] = ACTIONS(6119),
    [anon_sym_AMP] = ACTIONS(6119),
    [anon_sym_EQ_EQ] = ACTIONS(6121),
    [anon_sym_BANG_EQ] = ACTIONS(6121),
    [anon_sym_GT] = ACTIONS(6119),
    [anon_sym_GT_EQ] = ACTIONS(6121),
    [anon_sym_LT_EQ] = ACTIONS(6119),
    [anon_sym_LT] = ACTIONS(6119),
    [anon_sym_LT_LT] = ACTIONS(6119),
    [anon_sym_GT_GT] = ACTIONS(6119),
    [anon_sym_SEMI] = ACTIONS(6121),
    [anon_sym___attribute__] = ACTIONS(6119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6121),
    [anon_sym_LBRACE] = ACTIONS(6121),
    [anon_sym_RBRACE] = ACTIONS(6121),
    [anon_sym_LBRACK] = ACTIONS(6119),
    [anon_sym_RBRACK] = ACTIONS(6121),
    [anon_sym_EQ] = ACTIONS(6119),
    [anon_sym_COLON] = ACTIONS(6121),
    [anon_sym_QMARK] = ACTIONS(6121),
    [anon_sym_STAR_EQ] = ACTIONS(6121),
    [anon_sym_SLASH_EQ] = ACTIONS(6121),
    [anon_sym_PERCENT_EQ] = ACTIONS(6121),
    [anon_sym_PLUS_EQ] = ACTIONS(6121),
    [anon_sym_DASH_EQ] = ACTIONS(6121),
    [anon_sym_LT_LT_EQ] = ACTIONS(6121),
    [anon_sym_GT_GT_EQ] = ACTIONS(6121),
    [anon_sym_AMP_EQ] = ACTIONS(6121),
    [anon_sym_CARET_EQ] = ACTIONS(6121),
    [anon_sym_PIPE_EQ] = ACTIONS(6121),
    [anon_sym_and_eq] = ACTIONS(6119),
    [anon_sym_or_eq] = ACTIONS(6119),
    [anon_sym_xor_eq] = ACTIONS(6119),
    [anon_sym_LT_EQ_GT] = ACTIONS(6121),
    [anon_sym_or] = ACTIONS(6119),
    [anon_sym_and] = ACTIONS(6119),
    [anon_sym_bitor] = ACTIONS(6119),
    [anon_sym_xor] = ACTIONS(6119),
    [anon_sym_bitand] = ACTIONS(6119),
    [anon_sym_not_eq] = ACTIONS(6119),
    [anon_sym_DASH_DASH] = ACTIONS(6121),
    [anon_sym_PLUS_PLUS] = ACTIONS(6121),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_DOT_STAR] = ACTIONS(6121),
    [anon_sym_DASH_GT] = ACTIONS(6121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6119),
  },
  [2571] = {
    [sym_identifier] = ACTIONS(6123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6125),
    [anon_sym_COMMA] = ACTIONS(6125),
    [anon_sym_RPAREN] = ACTIONS(6125),
    [aux_sym_preproc_if_token2] = ACTIONS(6125),
    [aux_sym_preproc_else_token1] = ACTIONS(6125),
    [aux_sym_preproc_elif_token1] = ACTIONS(6123),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6125),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(6125),
    [anon_sym_DASH] = ACTIONS(6123),
    [anon_sym_PLUS] = ACTIONS(6123),
    [anon_sym_STAR] = ACTIONS(6123),
    [anon_sym_SLASH] = ACTIONS(6123),
    [anon_sym_PERCENT] = ACTIONS(6123),
    [anon_sym_PIPE_PIPE] = ACTIONS(6125),
    [anon_sym_AMP_AMP] = ACTIONS(6125),
    [anon_sym_PIPE] = ACTIONS(6123),
    [anon_sym_CARET] = ACTIONS(6123),
    [anon_sym_AMP] = ACTIONS(6123),
    [anon_sym_EQ_EQ] = ACTIONS(6125),
    [anon_sym_BANG_EQ] = ACTIONS(6125),
    [anon_sym_GT] = ACTIONS(6123),
    [anon_sym_GT_EQ] = ACTIONS(6125),
    [anon_sym_LT_EQ] = ACTIONS(6123),
    [anon_sym_LT] = ACTIONS(6123),
    [anon_sym_LT_LT] = ACTIONS(6123),
    [anon_sym_GT_GT] = ACTIONS(6123),
    [anon_sym_SEMI] = ACTIONS(6125),
    [anon_sym___attribute__] = ACTIONS(6123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6125),
    [anon_sym_LBRACE] = ACTIONS(6125),
    [anon_sym_RBRACE] = ACTIONS(6125),
    [anon_sym_LBRACK] = ACTIONS(6123),
    [anon_sym_RBRACK] = ACTIONS(6125),
    [anon_sym_EQ] = ACTIONS(6123),
    [anon_sym_COLON] = ACTIONS(6125),
    [anon_sym_QMARK] = ACTIONS(6125),
    [anon_sym_STAR_EQ] = ACTIONS(6125),
    [anon_sym_SLASH_EQ] = ACTIONS(6125),
    [anon_sym_PERCENT_EQ] = ACTIONS(6125),
    [anon_sym_PLUS_EQ] = ACTIONS(6125),
    [anon_sym_DASH_EQ] = ACTIONS(6125),
    [anon_sym_LT_LT_EQ] = ACTIONS(6125),
    [anon_sym_GT_GT_EQ] = ACTIONS(6125),
    [anon_sym_AMP_EQ] = ACTIONS(6125),
    [anon_sym_CARET_EQ] = ACTIONS(6125),
    [anon_sym_PIPE_EQ] = ACTIONS(6125),
    [anon_sym_and_eq] = ACTIONS(6123),
    [anon_sym_or_eq] = ACTIONS(6123),
    [anon_sym_xor_eq] = ACTIONS(6123),
    [anon_sym_LT_EQ_GT] = ACTIONS(6125),
    [anon_sym_or] = ACTIONS(6123),
    [anon_sym_and] = ACTIONS(6123),
    [anon_sym_bitor] = ACTIONS(6123),
    [anon_sym_xor] = ACTIONS(6123),
    [anon_sym_bitand] = ACTIONS(6123),
    [anon_sym_not_eq] = ACTIONS(6123),
    [anon_sym_DASH_DASH] = ACTIONS(6125),
    [anon_sym_PLUS_PLUS] = ACTIONS(6125),
    [anon_sym_DOT] = ACTIONS(6123),
    [anon_sym_DOT_STAR] = ACTIONS(6125),
    [anon_sym_DASH_GT] = ACTIONS(6125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6123),
  },
  [2572] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6038),
    [anon_sym_COMMA] = ACTIONS(6038),
    [anon_sym_RPAREN] = ACTIONS(6038),
    [anon_sym_LPAREN2] = ACTIONS(6038),
    [anon_sym_DASH] = ACTIONS(6036),
    [anon_sym_PLUS] = ACTIONS(6036),
    [anon_sym_STAR] = ACTIONS(6038),
    [anon_sym_SLASH] = ACTIONS(6036),
    [anon_sym_PERCENT] = ACTIONS(6038),
    [anon_sym_PIPE_PIPE] = ACTIONS(6038),
    [anon_sym_AMP_AMP] = ACTIONS(6038),
    [anon_sym_PIPE] = ACTIONS(6036),
    [anon_sym_CARET] = ACTIONS(6038),
    [anon_sym_AMP] = ACTIONS(6036),
    [anon_sym_EQ_EQ] = ACTIONS(6038),
    [anon_sym_BANG_EQ] = ACTIONS(6038),
    [anon_sym_GT] = ACTIONS(6036),
    [anon_sym_GT_EQ] = ACTIONS(6038),
    [anon_sym_LT_EQ] = ACTIONS(6036),
    [anon_sym_LT] = ACTIONS(6036),
    [anon_sym_LT_LT] = ACTIONS(6038),
    [anon_sym_GT_GT] = ACTIONS(6038),
    [anon_sym_SEMI] = ACTIONS(6038),
    [anon_sym___extension__] = ACTIONS(6038),
    [anon_sym___attribute__] = ACTIONS(6038),
    [anon_sym_LBRACE] = ACTIONS(6038),
    [anon_sym_RBRACE] = ACTIONS(6038),
    [anon_sym_signed] = ACTIONS(6127),
    [anon_sym_unsigned] = ACTIONS(6127),
    [anon_sym_long] = ACTIONS(6127),
    [anon_sym_short] = ACTIONS(6127),
    [anon_sym_LBRACK] = ACTIONS(6038),
    [anon_sym_RBRACK] = ACTIONS(6038),
    [anon_sym_const] = ACTIONS(6036),
    [anon_sym_constexpr] = ACTIONS(6038),
    [anon_sym_volatile] = ACTIONS(6038),
    [anon_sym_restrict] = ACTIONS(6038),
    [anon_sym___restrict__] = ACTIONS(6038),
    [anon_sym__Atomic] = ACTIONS(6038),
    [anon_sym__Noreturn] = ACTIONS(6038),
    [anon_sym_noreturn] = ACTIONS(6038),
    [anon_sym_mutable] = ACTIONS(6038),
    [anon_sym_constinit] = ACTIONS(6038),
    [anon_sym_consteval] = ACTIONS(6038),
    [anon_sym_COLON] = ACTIONS(6038),
    [anon_sym_QMARK] = ACTIONS(6038),
    [anon_sym_LT_EQ_GT] = ACTIONS(6038),
    [anon_sym_or] = ACTIONS(6038),
    [anon_sym_and] = ACTIONS(6038),
    [anon_sym_bitor] = ACTIONS(6038),
    [anon_sym_xor] = ACTIONS(6038),
    [anon_sym_bitand] = ACTIONS(6038),
    [anon_sym_not_eq] = ACTIONS(6038),
    [anon_sym_DASH_DASH] = ACTIONS(6038),
    [anon_sym_PLUS_PLUS] = ACTIONS(6038),
    [anon_sym_DOT] = ACTIONS(6036),
    [anon_sym_DOT_STAR] = ACTIONS(6038),
    [anon_sym_DASH_GT] = ACTIONS(6038),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6038),
    [anon_sym_decltype] = ACTIONS(6038),
    [anon_sym_final] = ACTIONS(6038),
    [anon_sym_override] = ACTIONS(6038),
    [anon_sym_requires] = ACTIONS(6038),
  },
  [2573] = {
    [sym_identifier] = ACTIONS(6129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6131),
    [anon_sym_COMMA] = ACTIONS(6131),
    [anon_sym_RPAREN] = ACTIONS(6131),
    [aux_sym_preproc_if_token2] = ACTIONS(6131),
    [aux_sym_preproc_else_token1] = ACTIONS(6131),
    [aux_sym_preproc_elif_token1] = ACTIONS(6129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6131),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6131),
    [anon_sym_LPAREN2] = ACTIONS(6131),
    [anon_sym_DASH] = ACTIONS(6129),
    [anon_sym_PLUS] = ACTIONS(6129),
    [anon_sym_STAR] = ACTIONS(6129),
    [anon_sym_SLASH] = ACTIONS(6129),
    [anon_sym_PERCENT] = ACTIONS(6129),
    [anon_sym_PIPE_PIPE] = ACTIONS(6131),
    [anon_sym_AMP_AMP] = ACTIONS(6131),
    [anon_sym_PIPE] = ACTIONS(6129),
    [anon_sym_CARET] = ACTIONS(6129),
    [anon_sym_AMP] = ACTIONS(6129),
    [anon_sym_EQ_EQ] = ACTIONS(6131),
    [anon_sym_BANG_EQ] = ACTIONS(6131),
    [anon_sym_GT] = ACTIONS(6129),
    [anon_sym_GT_EQ] = ACTIONS(6131),
    [anon_sym_LT_EQ] = ACTIONS(6129),
    [anon_sym_LT] = ACTIONS(6129),
    [anon_sym_LT_LT] = ACTIONS(6129),
    [anon_sym_GT_GT] = ACTIONS(6129),
    [anon_sym_SEMI] = ACTIONS(6131),
    [anon_sym___attribute__] = ACTIONS(6129),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6131),
    [anon_sym_LBRACE] = ACTIONS(6131),
    [anon_sym_RBRACE] = ACTIONS(6131),
    [anon_sym_LBRACK] = ACTIONS(6129),
    [anon_sym_RBRACK] = ACTIONS(6131),
    [anon_sym_EQ] = ACTIONS(6129),
    [anon_sym_COLON] = ACTIONS(6131),
    [anon_sym_QMARK] = ACTIONS(6131),
    [anon_sym_STAR_EQ] = ACTIONS(6131),
    [anon_sym_SLASH_EQ] = ACTIONS(6131),
    [anon_sym_PERCENT_EQ] = ACTIONS(6131),
    [anon_sym_PLUS_EQ] = ACTIONS(6131),
    [anon_sym_DASH_EQ] = ACTIONS(6131),
    [anon_sym_LT_LT_EQ] = ACTIONS(6131),
    [anon_sym_GT_GT_EQ] = ACTIONS(6131),
    [anon_sym_AMP_EQ] = ACTIONS(6131),
    [anon_sym_CARET_EQ] = ACTIONS(6131),
    [anon_sym_PIPE_EQ] = ACTIONS(6131),
    [anon_sym_and_eq] = ACTIONS(6129),
    [anon_sym_or_eq] = ACTIONS(6129),
    [anon_sym_xor_eq] = ACTIONS(6129),
    [anon_sym_LT_EQ_GT] = ACTIONS(6131),
    [anon_sym_or] = ACTIONS(6129),
    [anon_sym_and] = ACTIONS(6129),
    [anon_sym_bitor] = ACTIONS(6129),
    [anon_sym_xor] = ACTIONS(6129),
    [anon_sym_bitand] = ACTIONS(6129),
    [anon_sym_not_eq] = ACTIONS(6129),
    [anon_sym_DASH_DASH] = ACTIONS(6131),
    [anon_sym_PLUS_PLUS] = ACTIONS(6131),
    [anon_sym_DOT] = ACTIONS(6129),
    [anon_sym_DOT_STAR] = ACTIONS(6131),
    [anon_sym_DASH_GT] = ACTIONS(6131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6129),
  },
  [2574] = {
    [sym_argument_list] = STATE(2883),
    [sym_initializer_list] = STATE(2883),
    [sym_identifier] = ACTIONS(6133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6135),
    [anon_sym_COMMA] = ACTIONS(6135),
    [anon_sym_RPAREN] = ACTIONS(6135),
    [aux_sym_preproc_if_token2] = ACTIONS(6135),
    [aux_sym_preproc_else_token1] = ACTIONS(6135),
    [aux_sym_preproc_elif_token1] = ACTIONS(6133),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6135),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6135),
    [anon_sym_LPAREN2] = ACTIONS(5429),
    [anon_sym_DASH] = ACTIONS(6133),
    [anon_sym_PLUS] = ACTIONS(6133),
    [anon_sym_STAR] = ACTIONS(6133),
    [anon_sym_SLASH] = ACTIONS(6133),
    [anon_sym_PERCENT] = ACTIONS(6133),
    [anon_sym_PIPE_PIPE] = ACTIONS(6135),
    [anon_sym_AMP_AMP] = ACTIONS(6135),
    [anon_sym_PIPE] = ACTIONS(6133),
    [anon_sym_CARET] = ACTIONS(6133),
    [anon_sym_AMP] = ACTIONS(6133),
    [anon_sym_EQ_EQ] = ACTIONS(6135),
    [anon_sym_BANG_EQ] = ACTIONS(6135),
    [anon_sym_GT] = ACTIONS(6133),
    [anon_sym_GT_EQ] = ACTIONS(6135),
    [anon_sym_LT_EQ] = ACTIONS(6133),
    [anon_sym_LT] = ACTIONS(6133),
    [anon_sym_LT_LT] = ACTIONS(6133),
    [anon_sym_GT_GT] = ACTIONS(6133),
    [anon_sym_SEMI] = ACTIONS(6135),
    [anon_sym___attribute__] = ACTIONS(6133),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6135),
    [anon_sym_LBRACK] = ACTIONS(6135),
    [anon_sym_RBRACK] = ACTIONS(6135),
    [anon_sym_EQ] = ACTIONS(6133),
    [anon_sym_COLON] = ACTIONS(6135),
    [anon_sym_QMARK] = ACTIONS(6135),
    [anon_sym_STAR_EQ] = ACTIONS(6135),
    [anon_sym_SLASH_EQ] = ACTIONS(6135),
    [anon_sym_PERCENT_EQ] = ACTIONS(6135),
    [anon_sym_PLUS_EQ] = ACTIONS(6135),
    [anon_sym_DASH_EQ] = ACTIONS(6135),
    [anon_sym_LT_LT_EQ] = ACTIONS(6135),
    [anon_sym_GT_GT_EQ] = ACTIONS(6135),
    [anon_sym_AMP_EQ] = ACTIONS(6135),
    [anon_sym_CARET_EQ] = ACTIONS(6135),
    [anon_sym_PIPE_EQ] = ACTIONS(6135),
    [anon_sym_and_eq] = ACTIONS(6133),
    [anon_sym_or_eq] = ACTIONS(6133),
    [anon_sym_xor_eq] = ACTIONS(6133),
    [anon_sym_LT_EQ_GT] = ACTIONS(6135),
    [anon_sym_or] = ACTIONS(6133),
    [anon_sym_and] = ACTIONS(6133),
    [anon_sym_bitor] = ACTIONS(6133),
    [anon_sym_xor] = ACTIONS(6133),
    [anon_sym_bitand] = ACTIONS(6133),
    [anon_sym_not_eq] = ACTIONS(6133),
    [anon_sym_DASH_DASH] = ACTIONS(6135),
    [anon_sym_PLUS_PLUS] = ACTIONS(6135),
    [anon_sym_DOT] = ACTIONS(6133),
    [anon_sym_DOT_STAR] = ACTIONS(6135),
    [anon_sym_DASH_GT] = ACTIONS(6135),
    [sym_comment] = ACTIONS(3),
  },
  [2575] = {
    [sym_identifier] = ACTIONS(5764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5766),
    [anon_sym_COMMA] = ACTIONS(5766),
    [anon_sym_RPAREN] = ACTIONS(5766),
    [aux_sym_preproc_if_token2] = ACTIONS(5766),
    [aux_sym_preproc_else_token1] = ACTIONS(5766),
    [aux_sym_preproc_elif_token1] = ACTIONS(5764),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5766),
    [anon_sym_LPAREN2] = ACTIONS(5766),
    [anon_sym_DASH] = ACTIONS(5764),
    [anon_sym_PLUS] = ACTIONS(5764),
    [anon_sym_STAR] = ACTIONS(5764),
    [anon_sym_SLASH] = ACTIONS(5764),
    [anon_sym_PERCENT] = ACTIONS(5764),
    [anon_sym_PIPE_PIPE] = ACTIONS(5766),
    [anon_sym_AMP_AMP] = ACTIONS(5766),
    [anon_sym_PIPE] = ACTIONS(5764),
    [anon_sym_CARET] = ACTIONS(5764),
    [anon_sym_AMP] = ACTIONS(5764),
    [anon_sym_EQ_EQ] = ACTIONS(5766),
    [anon_sym_BANG_EQ] = ACTIONS(5766),
    [anon_sym_GT] = ACTIONS(5764),
    [anon_sym_GT_EQ] = ACTIONS(5766),
    [anon_sym_LT_EQ] = ACTIONS(5764),
    [anon_sym_LT] = ACTIONS(5764),
    [anon_sym_LT_LT] = ACTIONS(5764),
    [anon_sym_GT_GT] = ACTIONS(5764),
    [anon_sym_SEMI] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5764),
    [anon_sym_LBRACE] = ACTIONS(5766),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5766),
    [anon_sym_RBRACK] = ACTIONS(5766),
    [anon_sym_EQ] = ACTIONS(5764),
    [anon_sym_COLON] = ACTIONS(5766),
    [anon_sym_QMARK] = ACTIONS(5766),
    [anon_sym_STAR_EQ] = ACTIONS(5766),
    [anon_sym_SLASH_EQ] = ACTIONS(5766),
    [anon_sym_PERCENT_EQ] = ACTIONS(5766),
    [anon_sym_PLUS_EQ] = ACTIONS(5766),
    [anon_sym_DASH_EQ] = ACTIONS(5766),
    [anon_sym_LT_LT_EQ] = ACTIONS(5766),
    [anon_sym_GT_GT_EQ] = ACTIONS(5766),
    [anon_sym_AMP_EQ] = ACTIONS(5766),
    [anon_sym_CARET_EQ] = ACTIONS(5766),
    [anon_sym_PIPE_EQ] = ACTIONS(5766),
    [anon_sym_and_eq] = ACTIONS(5764),
    [anon_sym_or_eq] = ACTIONS(5764),
    [anon_sym_xor_eq] = ACTIONS(5764),
    [anon_sym_LT_EQ_GT] = ACTIONS(5766),
    [anon_sym_or] = ACTIONS(5764),
    [anon_sym_and] = ACTIONS(5764),
    [anon_sym_bitor] = ACTIONS(5764),
    [anon_sym_xor] = ACTIONS(5764),
    [anon_sym_bitand] = ACTIONS(5764),
    [anon_sym_not_eq] = ACTIONS(5764),
    [anon_sym_DASH_DASH] = ACTIONS(5766),
    [anon_sym_PLUS_PLUS] = ACTIONS(5766),
    [anon_sym_DOT] = ACTIONS(5764),
    [anon_sym_DOT_STAR] = ACTIONS(5766),
    [anon_sym_DASH_GT] = ACTIONS(5766),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5764),
    [anon_sym_decltype] = ACTIONS(5764),
  },
  [2576] = {
    [sym_identifier] = ACTIONS(5746),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5748),
    [anon_sym_COMMA] = ACTIONS(5748),
    [anon_sym_RPAREN] = ACTIONS(5748),
    [aux_sym_preproc_if_token2] = ACTIONS(5748),
    [aux_sym_preproc_else_token1] = ACTIONS(5748),
    [aux_sym_preproc_elif_token1] = ACTIONS(5746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5748),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5748),
    [anon_sym_LPAREN2] = ACTIONS(5748),
    [anon_sym_DASH] = ACTIONS(5746),
    [anon_sym_PLUS] = ACTIONS(5746),
    [anon_sym_STAR] = ACTIONS(5746),
    [anon_sym_SLASH] = ACTIONS(5746),
    [anon_sym_PERCENT] = ACTIONS(5746),
    [anon_sym_PIPE_PIPE] = ACTIONS(5748),
    [anon_sym_AMP_AMP] = ACTIONS(5748),
    [anon_sym_PIPE] = ACTIONS(5746),
    [anon_sym_CARET] = ACTIONS(5746),
    [anon_sym_AMP] = ACTIONS(5746),
    [anon_sym_EQ_EQ] = ACTIONS(5748),
    [anon_sym_BANG_EQ] = ACTIONS(5748),
    [anon_sym_GT] = ACTIONS(5746),
    [anon_sym_GT_EQ] = ACTIONS(5748),
    [anon_sym_LT_EQ] = ACTIONS(5746),
    [anon_sym_LT] = ACTIONS(5746),
    [anon_sym_LT_LT] = ACTIONS(5746),
    [anon_sym_GT_GT] = ACTIONS(5746),
    [anon_sym_SEMI] = ACTIONS(5748),
    [anon_sym___attribute__] = ACTIONS(5746),
    [anon_sym_LBRACE] = ACTIONS(5748),
    [anon_sym_RBRACE] = ACTIONS(5748),
    [anon_sym_LBRACK] = ACTIONS(5748),
    [anon_sym_RBRACK] = ACTIONS(5748),
    [anon_sym_EQ] = ACTIONS(5746),
    [anon_sym_COLON] = ACTIONS(5748),
    [anon_sym_QMARK] = ACTIONS(5748),
    [anon_sym_STAR_EQ] = ACTIONS(5748),
    [anon_sym_SLASH_EQ] = ACTIONS(5748),
    [anon_sym_PERCENT_EQ] = ACTIONS(5748),
    [anon_sym_PLUS_EQ] = ACTIONS(5748),
    [anon_sym_DASH_EQ] = ACTIONS(5748),
    [anon_sym_LT_LT_EQ] = ACTIONS(5748),
    [anon_sym_GT_GT_EQ] = ACTIONS(5748),
    [anon_sym_AMP_EQ] = ACTIONS(5748),
    [anon_sym_CARET_EQ] = ACTIONS(5748),
    [anon_sym_PIPE_EQ] = ACTIONS(5748),
    [anon_sym_and_eq] = ACTIONS(5746),
    [anon_sym_or_eq] = ACTIONS(5746),
    [anon_sym_xor_eq] = ACTIONS(5746),
    [anon_sym_LT_EQ_GT] = ACTIONS(5748),
    [anon_sym_or] = ACTIONS(5746),
    [anon_sym_and] = ACTIONS(5746),
    [anon_sym_bitor] = ACTIONS(5746),
    [anon_sym_xor] = ACTIONS(5746),
    [anon_sym_bitand] = ACTIONS(5746),
    [anon_sym_not_eq] = ACTIONS(5746),
    [anon_sym_DASH_DASH] = ACTIONS(5748),
    [anon_sym_PLUS_PLUS] = ACTIONS(5748),
    [anon_sym_DOT] = ACTIONS(5746),
    [anon_sym_DOT_STAR] = ACTIONS(5748),
    [anon_sym_DASH_GT] = ACTIONS(5748),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5746),
    [anon_sym_decltype] = ACTIONS(5746),
  },
  [2577] = {
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5679),
    [anon_sym_COMMA] = ACTIONS(5679),
    [anon_sym_RPAREN] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_else_token1] = ACTIONS(5679),
    [aux_sym_preproc_elif_token1] = ACTIONS(5677),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5677),
    [anon_sym_PLUS] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_SLASH] = ACTIONS(5677),
    [anon_sym_PERCENT] = ACTIONS(5677),
    [anon_sym_PIPE_PIPE] = ACTIONS(5679),
    [anon_sym_AMP_AMP] = ACTIONS(5679),
    [anon_sym_PIPE] = ACTIONS(5677),
    [anon_sym_CARET] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5677),
    [anon_sym_EQ_EQ] = ACTIONS(5679),
    [anon_sym_BANG_EQ] = ACTIONS(5679),
    [anon_sym_GT] = ACTIONS(5677),
    [anon_sym_GT_EQ] = ACTIONS(5679),
    [anon_sym_LT_EQ] = ACTIONS(5677),
    [anon_sym_LT] = ACTIONS(5677),
    [anon_sym_LT_LT] = ACTIONS(5677),
    [anon_sym_GT_GT] = ACTIONS(5677),
    [anon_sym_SEMI] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(5679),
    [anon_sym_RBRACE] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_EQ] = ACTIONS(5677),
    [anon_sym_COLON] = ACTIONS(5679),
    [anon_sym_QMARK] = ACTIONS(5679),
    [anon_sym_STAR_EQ] = ACTIONS(5679),
    [anon_sym_SLASH_EQ] = ACTIONS(5679),
    [anon_sym_PERCENT_EQ] = ACTIONS(5679),
    [anon_sym_PLUS_EQ] = ACTIONS(5679),
    [anon_sym_DASH_EQ] = ACTIONS(5679),
    [anon_sym_LT_LT_EQ] = ACTIONS(5679),
    [anon_sym_GT_GT_EQ] = ACTIONS(5679),
    [anon_sym_AMP_EQ] = ACTIONS(5679),
    [anon_sym_CARET_EQ] = ACTIONS(5679),
    [anon_sym_PIPE_EQ] = ACTIONS(5679),
    [anon_sym_and_eq] = ACTIONS(5677),
    [anon_sym_or_eq] = ACTIONS(5677),
    [anon_sym_xor_eq] = ACTIONS(5677),
    [anon_sym_LT_EQ_GT] = ACTIONS(5679),
    [anon_sym_or] = ACTIONS(5677),
    [anon_sym_and] = ACTIONS(5677),
    [anon_sym_bitor] = ACTIONS(5677),
    [anon_sym_xor] = ACTIONS(5677),
    [anon_sym_bitand] = ACTIONS(5677),
    [anon_sym_not_eq] = ACTIONS(5677),
    [anon_sym_DASH_DASH] = ACTIONS(5679),
    [anon_sym_PLUS_PLUS] = ACTIONS(5679),
    [anon_sym_DOT] = ACTIONS(5677),
    [anon_sym_DOT_STAR] = ACTIONS(5679),
    [anon_sym_DASH_GT] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5677),
    [anon_sym_decltype] = ACTIONS(5677),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3077), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [71] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3312), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5462), 1,
      anon_sym_LT,
    STATE(2672), 1,
      sym_template_argument_list,
    ACTIONS(6137), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6139), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3268), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3268), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5627), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5623), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5619), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      sym_identifier,
    STATE(2593), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4456), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4458), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5325), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5323), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6025), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2655), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3009), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5615), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2937), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1091] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6147), 1,
      sym_identifier,
    STATE(2593), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6150), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6153), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5255), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3234), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3264), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5615), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3146), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3073), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3146), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3142), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5484), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3292), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5105), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3324), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3077), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3142), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3349), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3353), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2973), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2977), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3359), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3363), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3369), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3367), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5611), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5607), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2937), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5603), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2587), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6156), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6032), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6158), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6038), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5599), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3152), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5659), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5657), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3156), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5653), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2893), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5491), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5493), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5491), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5649), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4087), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [3736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5649), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5595), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3308), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3208), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3296), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym___attribute__,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym_COLON,
    STATE(2329), 1,
      sym__enum_base_clause,
    STATE(2417), 1,
      sym_enumerator_list,
    STATE(2554), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6162), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3085), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3296), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym___attribute__,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(6164), 1,
      anon_sym_COLON,
    STATE(2305), 1,
      sym__enum_base_clause,
    STATE(2467), 1,
      sym_enumerator_list,
    STATE(2527), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6168), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [4399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3107), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6044), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [4545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 1,
      sym_identifier,
    STATE(2586), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4456), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4458), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5311), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5309), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [4624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5484), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2965), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2965), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2961), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3212), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3200), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5050] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7203), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3421), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6174), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [5173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5645), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5643), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5641), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3138), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3134), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3316), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5637), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6143), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6095), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [5674] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7135), 1,
      sym__declarator,
    STATE(7222), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2648), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3377), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6186), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [5797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3274), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3216), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3130), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3126), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3122), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3375), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2655), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [6369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2973), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6440] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    STATE(2390), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5901), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5903), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4105), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [6519] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    STATE(2390), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5901), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5903), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5455), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5453), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [6598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2905), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2977), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [6882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6190), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6192), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2905), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2905), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2905), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5551), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5587), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5583), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5587), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5555), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5559), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5563), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5567), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5591), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5579), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5567), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5575), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5563), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4091), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [8304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3316), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3312), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3371), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3107), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2961), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2965), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5571), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2965), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5571), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2893), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3288), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3288), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2873), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3296), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3296), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3379), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3308), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5637), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5643), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5641), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5647), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5645), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5649), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5651), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5649), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5583), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym_attribute_specifier,
    STATE(2982), 1,
      sym_field_declaration_list,
    STATE(7688), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5393), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [10166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3242), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3240), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5563), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5653), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5659), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5657), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5567), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5567), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3242), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3240), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [10805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3375), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3248), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5565), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5563), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5559), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5555), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3122), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3248), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5629), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5627), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2551), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5625), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5623), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5621), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5619), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5615), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5615), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5611), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2741), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [11878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5551), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3379), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5609), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5607), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5603), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5599), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5597), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5595), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3126), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3132), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3130), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3373), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3371), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5593), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5591), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5583), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5587), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5585), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5583), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3216), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3274), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3208), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5579), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3156), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3152), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5577), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5575), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3134), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3138), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3073), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3234), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5462), 1,
      anon_sym_LT,
    STATE(2672), 1,
      sym_template_argument_list,
    ACTIONS(6203), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6205), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5571), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3011), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3009), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3264), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3268), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5573), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5571), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3142), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14156] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6207), 1,
      sym_identifier,
    ACTIONS(6212), 1,
      sym_primitive_type,
    STATE(2784), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6210), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5830), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3142), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3268), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3146), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6214), 1,
      anon_sym_LT,
    STATE(2805), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2962), 1,
      sym_template_argument_list,
    ACTIONS(6007), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4103), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3146), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3292), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3200), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3212), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3085), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      sym_primitive_type,
    STATE(2741), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6200), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5808), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5805), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3324), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3349), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3353), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3359), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3369), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3367), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5431), 1,
      anon_sym_LBRACK,
    STATE(2830), 1,
      sym_new_declarator,
    ACTIONS(6216), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6218), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3363), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6224), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6228), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      sym_identifier,
    ACTIONS(6238), 1,
      sym_primitive_type,
    STATE(2844), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6236), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5830), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [15752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6240), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2184), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3019), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5789), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2809), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6245), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4089), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2807), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6247), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6038), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16332] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6261), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6044), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6263), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6265), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6261), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6025), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6261), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6095), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2797), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6261), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6019), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2212), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6269), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5343), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [17010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4093), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5543), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17292] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6278), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6280), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [17376] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [17460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6286), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6290), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [17686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5543), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17898] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6296), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6300), 1,
      anon_sym_or,
    ACTIONS(6302), 1,
      anon_sym_and,
    ACTIONS(6294), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6292), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5543), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5543), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18116] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [18200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6310), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [18282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5547), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6322), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5543), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6324), 1,
      sym_identifier,
    ACTIONS(6328), 1,
      sym_primitive_type,
    STATE(2841), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6326), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5830), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5543), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5519), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6271), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5808), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [19142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6214), 1,
      anon_sym_LT,
    STATE(2962), 1,
      sym_template_argument_list,
    ACTIONS(4121), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5460), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19218] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3243), 1,
      sym_field_declaration_list,
    STATE(3497), 1,
      sym_attribute_specifier,
    STATE(7857), 1,
      sym_virtual_specifier,
    STATE(8469), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5393), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [19304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5808), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [19380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6341), 1,
      anon_sym_LT,
    STATE(2962), 1,
      sym_template_argument_list,
    ACTIONS(5065), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5058), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      anon_sym_LT,
    STATE(2603), 1,
      sym_template_argument_list,
    ACTIONS(6348), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5547), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5083), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [20020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5091), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5087), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5099), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5079), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5095), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20370] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6298), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6302), 1,
      anon_sym_and,
    ACTIONS(6357), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6355), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [20514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5075), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5343), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [20728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5519), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [20800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5478), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(6359), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_COLON,
    STATE(2305), 1,
      sym__enum_base_clause,
    STATE(2467), 1,
      sym_enumerator_list,
    STATE(2527), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6168), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [21088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6369), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6381), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6222), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6385), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21778] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(6389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6391), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7435), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6174), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3608), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [21899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6399), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2989), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5091), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5087), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [22520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5319), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5360), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [22727] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    STATE(3044), 1,
      sym__enum_base_clause,
    STATE(3087), 1,
      sym_enumerator_list,
    STATE(3225), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6168), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22877] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6425), 1,
      sym_identifier,
    ACTIONS(6429), 1,
      sym_primitive_type,
    STATE(2901), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5830), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [22954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_attribute_specifier,
    STATE(2978), 1,
      sym_enumerator_list,
    ACTIONS(5838), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5840), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [23031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6437), 1,
      anon_sym_LT,
    STATE(3019), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3034), 1,
      sym_template_argument_list,
    ACTIONS(6243), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4103), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [23179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6445), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5549), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5547), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5808), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [23461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5543), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5095), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5075), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5543), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5083), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5079), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24086] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    ACTIONS(6419), 1,
      anon_sym_COLON,
    STATE(3052), 1,
      sym__enum_base_clause,
    STATE(3098), 1,
      sym_enumerator_list,
    STATE(3268), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6162), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5099), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6460), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5519), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6468), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [24536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3385), 1,
      sym_field_declaration_list,
    STATE(3733), 1,
      sym_attribute_specifier,
    STATE(7693), 1,
      sym_virtual_specifier,
    STATE(8600), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5393), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5271), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6480), 1,
      anon_sym_and,
    ACTIONS(6355), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5283), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5267), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25522] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_AMP,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7410), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3739), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [25643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5246), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3993), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5303), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6480), 1,
      anon_sym_and,
    ACTIONS(6516), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6518), 1,
      anon_sym_or,
    ACTIONS(6292), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6294), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26203] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_AMP,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7135), 1,
      sym__declarator,
    STATE(7392), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6186), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2931), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3050), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6522), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6520), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [26415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    STATE(2346), 1,
      sym_attribute_specifier,
    STATE(3020), 1,
      sym_enumerator_list,
    ACTIONS(5781), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5783), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5364), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5279), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [26837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6447), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5343), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [26979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2808), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6286), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6546), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2182), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6385), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5291), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5250), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5103), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28018] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(6389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6391), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7135), 1,
      sym__declarator,
    STATE(7425), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6186), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2879), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [28139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6574), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6578), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3051), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6580), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5789), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [28354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5287), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    STATE(2641), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4456), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4458), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5455), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(6359), 1,
      anon_sym___attribute__,
    ACTIONS(6361), 1,
      anon_sym_COLON,
    STATE(2329), 1,
      sym__enum_base_clause,
    STATE(2417), 1,
      sym_enumerator_list,
    STATE(2554), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6162), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [28719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    STATE(2641), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4456), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4458), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [28796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28934] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3211), 1,
      sym_field_declaration_list,
    STATE(3454), 1,
      sym_attribute_specifier,
    STATE(7582), 1,
      sym_virtual_specifier,
    STATE(8632), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5393), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [29018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2344), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5994), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3018), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29162] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 1,
      anon_sym_RPAREN,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7201), 1,
      sym__declarator,
    STATE(7392), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2981), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3802), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29282] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7200), 1,
      sym__declarator,
    STATE(7410), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3791), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2281), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5974), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6606), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [29542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6610), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5770), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2301), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5990), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6612), 1,
      sym_identifier,
    STATE(3005), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5325), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5323), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29762] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      sym_auto,
    ACTIONS(6620), 1,
      anon_sym_decltype,
    STATE(3277), 1,
      sym_decltype_auto,
    STATE(3297), 1,
      sym_new_declarator,
    STATE(3729), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5439), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      sym_auto,
    ACTIONS(6620), 1,
      anon_sym_decltype,
    STATE(3277), 1,
      sym_decltype_auto,
    STATE(3300), 1,
      sym_new_declarator,
    STATE(3760), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2286), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6019), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6025), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2277), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5978), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6626), 1,
      anon_sym_LT,
    STATE(3051), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3129), 1,
      sym_template_argument_list,
    ACTIONS(6580), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4103), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6628), 1,
      anon_sym_LT,
    STATE(3034), 1,
      sym_template_argument_list,
    ACTIONS(5058), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5065), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2295), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5944), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6025), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6633), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6631), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [30654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2309), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5932), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6437), 1,
      anon_sym_LT,
    STATE(3034), 1,
      sym_template_argument_list,
    ACTIONS(5460), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4121), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30800] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      sym_auto,
    ACTIONS(6620), 1,
      anon_sym_decltype,
    STATE(3277), 1,
      sym_decltype_auto,
    STATE(3305), 1,
      sym_new_declarator,
    STATE(3778), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5466), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6637), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6635), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [30952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2343), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5936), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2347), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5986), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31096] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6639), 1,
      sym_identifier,
    STATE(3005), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6645), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      sym_identifier,
    STATE(2986), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5311), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5309), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31452] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    ACTIONS(6618), 1,
      sym_auto,
    ACTIONS(6620), 1,
      anon_sym_decltype,
    STATE(3277), 1,
      sym_decltype_auto,
    STATE(3292), 1,
      sym_new_declarator,
    STATE(3657), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5427), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2269), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5964), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2349), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5998), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2991), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6650), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6032), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6095), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2992), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6652), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6038), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6095), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6622), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6044), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    STATE(2292), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5982), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [32248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6044), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [32320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2990), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2997), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6656), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6038), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5360), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [32531] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6668), 1,
      anon_sym___attribute__,
    ACTIONS(6671), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6674), 1,
      anon_sym___declspec,
    ACTIONS(6677), 1,
      anon_sym_virtual,
    ACTIONS(6680), 1,
      anon_sym_alignas,
    ACTIONS(6665), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3025), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6660), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6662), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6658), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [32614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6683), 1,
      anon_sym_LT,
    STATE(3129), 1,
      sym_template_argument_list,
    ACTIONS(5058), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5065), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [32687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5352), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [32892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5549), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5364), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [33026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3018), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6602), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6610), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5515), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [33168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33235] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3705), 1,
      sym_field_declaration_list,
    STATE(4132), 1,
      sym_attribute_specifier,
    STATE(7882), 1,
      sym_virtual_specifier,
    STATE(8702), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5393), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5521), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(5537), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5535), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5515), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5513), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(3179), 1,
      sym__enum_base_clause,
    STATE(3224), 1,
      sym_enumerator_list,
    STATE(3468), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6168), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33679] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3184), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6697), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5789), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3046), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5787), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [33902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    STATE(3125), 1,
      sym_enumerator_list,
    STATE(3298), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5783), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(6695), 1,
      anon_sym_COLON,
    STATE(3160), 1,
      sym__enum_base_clause,
    STATE(3270), 1,
      sym_enumerator_list,
    STATE(3564), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6162), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6703), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6095), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3025), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6707), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6705), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6626), 1,
      anon_sym_LT,
    STATE(3129), 1,
      sym_template_argument_list,
    ACTIONS(5460), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4121), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5356), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [34350] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3025), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6711), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6709), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6703), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6044), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34504] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    STATE(3082), 1,
      sym_enumerator_list,
    STATE(3213), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6703), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6019), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2949), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6703), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6025), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6713), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6038), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5808), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5805), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [34865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6715), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6032), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5635), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6717), 1,
      sym_identifier,
    ACTIONS(6721), 1,
      sym_primitive_type,
    STATE(3056), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6719), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5830), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [35078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [35161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6727), 1,
      anon_sym_LT,
    STATE(3218), 1,
      sym_template_argument_list,
    ACTIONS(4121), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5460), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5822), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6729), 1,
      sym_identifier,
    ACTIONS(6734), 1,
      sym_primitive_type,
    STATE(3089), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6732), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5830), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [35373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5795), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5793), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3226), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5709), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5707), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5719), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5711), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5681), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5673), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5671), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5799), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5797), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5711), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5703), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5711), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3312), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5936), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5856), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5727), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5852), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3311), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5878), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36507] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6740), 1,
      sym_auto,
    ACTIONS(6742), 1,
      anon_sym_decltype,
    STATE(3516), 1,
      sym_decltype_auto,
    STATE(3572), 1,
      sym_new_declarator,
    STATE(3969), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3303), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5994), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5764), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3046), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6699), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [36795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5545), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5545), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3288), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5998), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6740), 1,
      sym_auto,
    ACTIONS(6742), 1,
      anon_sym_decltype,
    STATE(3490), 1,
      sym_new_declarator,
    STATE(3516), 1,
      sym_decltype_auto,
    STATE(3954), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5439), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      sym_primitive_type,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6065), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5808), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [37155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5742), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5754), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5705), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5703), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5549), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [37419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5715), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6727), 1,
      anon_sym_LT,
    STATE(3218), 1,
      sym_template_argument_list,
    ACTIONS(5065), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5058), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [37557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3266), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37627] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3273), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3215), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5944), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5746), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5667), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5723), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5513), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5731), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5750), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5768), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    ACTIONS(6746), 1,
      anon_sym_COLON,
    STATE(3271), 1,
      sym__enum_base_clause,
    STATE(3392), 1,
      sym_enumerator_list,
    STATE(3693), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6168), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5661), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38373] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    ACTIONS(6746), 1,
      anon_sym_COLON,
    STATE(3252), 1,
      sym__enum_base_clause,
    STATE(3380), 1,
      sym_enumerator_list,
    STATE(3744), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6162), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [38451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5890), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5870), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3208), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5974), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5886), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3204), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5990), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3206), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
    STATE(3184), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6697), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4103), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5864), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5521), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [39069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5894), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5882), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5110), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [39333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5803), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5801), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39399] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(6750), 1,
      anon_sym_LPAREN2,
    STATE(2878), 1,
      sym_argument_list,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4461), 1,
      sym_initializer_list,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [39477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5874), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 1,
      anon_sym___attribute__,
    STATE(3242), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5982), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39613] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6740), 1,
      sym_auto,
    ACTIONS(6742), 1,
      anon_sym_decltype,
    STATE(3516), 1,
      sym_decltype_auto,
    STATE(3527), 1,
      sym_new_declarator,
    STATE(4012), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5427), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5860), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39761] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    ACTIONS(6740), 1,
      sym_auto,
    ACTIONS(6742), 1,
      anon_sym_decltype,
    STATE(3466), 1,
      sym_new_declarator,
    STATE(3516), 1,
      sym_decltype_auto,
    STATE(4023), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5466), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [39843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5110), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [39909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [39974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5663), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40039] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6779), 1,
      anon_sym_QMARK,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6494), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6496), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5085), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40217] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6789), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
    ACTIONS(5058), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5065), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [40373] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_LPAREN2,
    ACTIONS(6794), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    STATE(3566), 1,
      sym_parameter_list,
    STATE(3290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5946), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5948), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5077), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5097), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40643] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5089), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40791] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [40872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_LPAREN2,
    ACTIONS(6794), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    STATE(3566), 1,
      sym_parameter_list,
    STATE(3290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5915), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5917), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40947] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3145), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6798), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5343), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [41121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5768), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [41190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3189), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41259] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6803), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6805), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3145), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6807), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6017), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [41437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6019), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5545), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [41737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5101), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3145), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6807), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6025), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6023), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [41970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6025), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42039] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_LPAREN2,
    ACTIONS(6794), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    STATE(3566), 1,
      sym_parameter_list,
    STATE(3290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5938), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5940), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    STATE(3228), 1,
      sym_enumerator_list,
    STATE(3472), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42282] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5521), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42440] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3145), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6807), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6044), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6042), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [42596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5081), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42661] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5093), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42888] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6811), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6813), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6819), 1,
      sym_auto,
    ACTIONS(6821), 1,
      anon_sym_decltype,
    STATE(3589), 1,
      sym_new_declarator,
    STATE(3680), 1,
      sym_decltype_auto,
    STATE(4291), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5427), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [43078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3152), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6823), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6032), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3149), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6825), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6030), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [43216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43281] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    STATE(3310), 1,
      sym_enumerator_list,
    STATE(3445), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5783), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [43419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3157), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6829), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6038), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3156), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6038), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6036), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [43557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      sym_enumerator_list,
    STATE(3576), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5783), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43697] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6779), 1,
      anon_sym_QMARK,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6833), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6835), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6618), 1,
      sym_auto,
    ACTIONS(6620), 1,
      anon_sym_decltype,
    STATE(3277), 1,
      sym_decltype_auto,
    ACTIONS(5535), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5537), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43946] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6819), 1,
      sym_auto,
    ACTIONS(6821), 1,
      anon_sym_decltype,
    STATE(3587), 1,
      sym_new_declarator,
    STATE(3680), 1,
      sym_decltype_auto,
    STATE(4271), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5439), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6044), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6748), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
    ACTIONS(5460), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4121), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [44167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6819), 1,
      sym_auto,
    ACTIONS(6821), 1,
      anon_sym_decltype,
    STATE(3605), 1,
      sym_new_declarator,
    STATE(3680), 1,
      sym_decltype_auto,
    STATE(4234), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5466), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [44313] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6779), 1,
      anon_sym_QMARK,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6837), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6839), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3036), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6809), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6095), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3145), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6807), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6095), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6097), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [44564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5545), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6792), 1,
      anon_sym_LPAREN2,
    ACTIONS(6794), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6796), 1,
      anon_sym_LBRACK,
    STATE(3566), 1,
      sym_parameter_list,
    STATE(3290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5905), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5907), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5545), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5549), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44838] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6841), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6843), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5110), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    STATE(3332), 1,
      sym_enumerator_list,
    STATE(3463), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5840), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    ACTIONS(6819), 1,
      sym_auto,
    ACTIONS(6821), 1,
      anon_sym_decltype,
    STATE(3602), 1,
      sym_new_declarator,
    STATE(3680), 1,
      sym_decltype_auto,
    STATE(4249), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5446), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [45296] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6761), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6763), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6775), 1,
      anon_sym_GT_EQ,
    ACTIONS(6781), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6783), 1,
      anon_sym_or,
    ACTIONS(6785), 1,
      anon_sym_and,
    ACTIONS(6787), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6757), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6767), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6769), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6771), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6777), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6759), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6773), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6845), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6847), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2018), 1,
      sym_string_literal,
    ACTIONS(6853), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [45473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5101), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [45537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5766), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5709), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6855), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6048), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6858), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6860), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3577), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5978), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3528), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5974), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5744), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2022), 1,
      sym_string_literal,
    ACTIONS(6853), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [46257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5756), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3518), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5944), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5110), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [46517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5105), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5549), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [46839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3565), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5998), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5795), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5799), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3522), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5994), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3506), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5679), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3501), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47499] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6862), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [47587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5521), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3529), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5932), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [47785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5669), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_COLON,
    STATE(3478), 1,
      sym__enum_base_clause,
    STATE(3688), 1,
      sym_enumerator_list,
    STATE(4134), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6162), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3479), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5978), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [48057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5748), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3477), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5974), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6868), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [48277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6421), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [48341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5545), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5543), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [48471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5545), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5543), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [48537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2019), 1,
      sym_string_literal,
    ACTIONS(6853), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [48605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5549), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [48669] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    ACTIONS(6866), 1,
      anon_sym_COLON,
    STATE(3575), 1,
      sym__enum_base_clause,
    STATE(3583), 1,
      sym_enumerator_list,
    STATE(4077), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6168), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    STATE(3393), 1,
      sym_enumerator_list,
    STATE(3579), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5840), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6870), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6872), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [48881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2021), 1,
      sym_string_literal,
    ACTIONS(6853), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [48949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5099), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5081), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5079), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5083), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3455), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5964), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3482), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6452), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6450), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [49469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49533] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6874), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [49621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5683), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3444), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5998), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3471), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50013] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    STATE(3398), 1,
      sym_enumerator_list,
    STATE(3647), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5783), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6876), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6878), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [50149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3467), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2020), 1,
      sym_string_literal,
    ACTIONS(6853), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [50349] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6880), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [50437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5519), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [50567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3189), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6801), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5077), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5075), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [50699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5097), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5095), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [50763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5089), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5087), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [50827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5866), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5862), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5545), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [51019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5858), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5854), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6794), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3207), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6059), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6061), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [51413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3759), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6085), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51611] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6882), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3768), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6135), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51899] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6884), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51987] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3698), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6057), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6886), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6888), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [52121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3464), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5990), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5091), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [52317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3686), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACE,
    ACTIONS(6890), 1,
      anon_sym_LT,
    STATE(3383), 1,
      sym_template_argument_list,
    ACTIONS(5067), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5677), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [52523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2983), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [52587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3544), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5990), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3541), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5982), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5101), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [52979] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6893), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [53067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6586), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [53131] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6895), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [53219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5081), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5085), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5077), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3473), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5982), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3462), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5936), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [53547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5097), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5089), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3452), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5986), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [53743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3498), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53811] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6470), 1,
      sym_auto,
    ACTIONS(6472), 1,
      anon_sym_decltype,
    ACTIONS(6897), 1,
      anon_sym_SEMI,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6468), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5407), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3047), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5405), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6466), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [53899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2899), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 1,
      anon_sym___attribute__,
    STATE(3552), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6556), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [54095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5093), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [54159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    STATE(3450), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5994), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6901), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5093), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6905), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [54419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5089), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5097), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5077), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5085), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5081), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3694), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5932), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5663), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54869] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [54960] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55049] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55134] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55280] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [55375] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [55458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    ACTIONS(6927), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    STATE(3842), 1,
      sym_parameter_list,
    STATE(3487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5946), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55531] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6933), 1,
      anon_sym_COMMA,
    ACTIONS(6935), 1,
      anon_sym_RPAREN,
    ACTIONS(6937), 1,
      anon_sym_DASH,
    ACTIONS(6939), 1,
      anon_sym_PLUS,
    ACTIONS(6941), 1,
      anon_sym_STAR,
    ACTIONS(6943), 1,
      anon_sym_SLASH,
    ACTIONS(6945), 1,
      anon_sym_PERCENT,
    ACTIONS(6947), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_PIPE,
    ACTIONS(6953), 1,
      anon_sym_CARET,
    ACTIONS(6955), 1,
      anon_sym_AMP,
    ACTIONS(6957), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6959), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6961), 1,
      anon_sym_GT,
    ACTIONS(6963), 1,
      anon_sym_GT_EQ,
    ACTIONS(6965), 1,
      anon_sym_LT_EQ,
    ACTIONS(6967), 1,
      anon_sym_LT,
    ACTIONS(6969), 1,
      anon_sym_LT_LT,
    ACTIONS(6971), 1,
      anon_sym_GT_GT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6975), 1,
      anon_sym_EQ,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(6979), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6981), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6983), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6985), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6987), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6991), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6993), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6995), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6997), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7003), 1,
      anon_sym_or,
    ACTIONS(7005), 1,
      anon_sym_and,
    ACTIONS(7007), 1,
      anon_sym_bitor,
    ACTIONS(7009), 1,
      anon_sym_xor,
    ACTIONS(7011), 1,
      anon_sym_bitand,
    ACTIONS(7013), 1,
      anon_sym_not_eq,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6999), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5717), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [55755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55818] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [55915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6304), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56207] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6811), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6813), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56561] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    ACTIONS(6927), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    STATE(3842), 1,
      sym_parameter_list,
    STATE(3487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5905), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5907), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5635), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56869] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6494), 1,
      anon_sym_EQ,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    ACTIONS(7075), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [56982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5729), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5752), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3745), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3734), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    STATE(3494), 1,
      sym_decltype_auto,
    ACTIONS(5535), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5537), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57311] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    ACTIONS(7075), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6901), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACE,
    ACTIONS(5137), 1,
      anon_sym_LT,
    STATE(3500), 1,
      sym_template_argument_list,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5545), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [57621] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7203), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6174), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [57728] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [57831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5803), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3687), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5944), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [57961] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(7081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6837), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6839), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [58072] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6841), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6843), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [58179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5770), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3681), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5974), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3678), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5978), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58441] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [58524] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6933), 1,
      anon_sym_COMMA,
    ACTIONS(6937), 1,
      anon_sym_DASH,
    ACTIONS(6939), 1,
      anon_sym_PLUS,
    ACTIONS(6941), 1,
      anon_sym_STAR,
    ACTIONS(6943), 1,
      anon_sym_SLASH,
    ACTIONS(6945), 1,
      anon_sym_PERCENT,
    ACTIONS(6947), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_PIPE,
    ACTIONS(6953), 1,
      anon_sym_CARET,
    ACTIONS(6955), 1,
      anon_sym_AMP,
    ACTIONS(6957), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6959), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6961), 1,
      anon_sym_GT,
    ACTIONS(6963), 1,
      anon_sym_GT_EQ,
    ACTIONS(6965), 1,
      anon_sym_LT_EQ,
    ACTIONS(6967), 1,
      anon_sym_LT,
    ACTIONS(6969), 1,
      anon_sym_LT_LT,
    ACTIONS(6971), 1,
      anon_sym_GT_GT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6975), 1,
      anon_sym_EQ,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(6979), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6981), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6983), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6985), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6987), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6991), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6993), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6995), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6997), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7003), 1,
      anon_sym_or,
    ACTIONS(7005), 1,
      anon_sym_and,
    ACTIONS(7007), 1,
      anon_sym_bitor,
    ACTIONS(7009), 1,
      anon_sym_xor,
    ACTIONS(7011), 1,
      anon_sym_bitand,
    ACTIONS(7013), 1,
      anon_sym_not_eq,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7085), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6999), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    ACTIONS(6927), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    STATE(3842), 1,
      sym_parameter_list,
    STATE(3487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5938), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58758] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6833), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    ACTIONS(7075), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [58952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3650), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5998), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3643), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5994), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3638), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5986), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3636), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5936), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6214), 1,
      anon_sym_LT,
    STATE(3578), 1,
      sym_template_argument_list,
    ACTIONS(6203), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6205), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3631), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5982), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6214), 1,
      anon_sym_LT,
    STATE(3578), 1,
      sym_template_argument_list,
    ACTIONS(6137), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6139), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [59567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 1,
      anon_sym___attribute__,
    STATE(3627), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5990), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59634] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [59743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6290), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [59818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6280), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6278), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [59895] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [59992] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6284), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6282), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [60069] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6803), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6805), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [60176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6310), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [60251] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(7081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6494), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6496), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [60362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACE,
    ACTIONS(5072), 1,
      anon_sym_LT,
    STATE(3219), 1,
      sym_template_argument_list,
    ACTIONS(5067), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5663), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      sym_auto,
    ACTIONS(7093), 1,
      anon_sym_decltype,
    STATE(3961), 1,
      sym_new_declarator,
    STATE(4121), 1,
      sym_decltype_auto,
    STATE(4382), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5466), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6740), 1,
      sym_auto,
    ACTIONS(6742), 1,
      anon_sym_decltype,
    STATE(3516), 1,
      sym_decltype_auto,
    ACTIONS(5535), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5537), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      sym_auto,
    ACTIONS(7093), 1,
      anon_sym_decltype,
    STATE(4107), 1,
      sym_new_declarator,
    STATE(4121), 1,
      sym_decltype_auto,
    STATE(4445), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5427), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5103), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [60851] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6304), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [60928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7095), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [60991] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6251), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6249), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [61068] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [61167] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7086), 1,
      sym__declarator,
    STATE(7193), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7099), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [61274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6803), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_LPAREN2,
    ACTIONS(6927), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6929), 1,
      anon_sym_LBRACK,
    STATE(3842), 1,
      sym_parameter_list,
    STATE(3487), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5915), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5917), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61456] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      sym_auto,
    ACTIONS(7093), 1,
      anon_sym_decltype,
    STATE(4018), 1,
      sym_new_declarator,
    STATE(4121), 1,
      sym_decltype_auto,
    STATE(4438), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5446), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61535] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6841), 1,
      anon_sym_EQ,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [61644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7101), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [61707] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [61802] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(7081), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7083), 1,
      anon_sym_QMARK,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6833), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6835), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [61913] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7033), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7035), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7055), 1,
      anon_sym_or,
    ACTIONS(7057), 1,
      anon_sym_and,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7037), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7039), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7041), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6845), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6847), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [62020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6265), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6263), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [62097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5387), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5389), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4097), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4105), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [62164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7059), 1,
      anon_sym_not_eq,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7043), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [62257] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6933), 1,
      anon_sym_COMMA,
    ACTIONS(6937), 1,
      anon_sym_DASH,
    ACTIONS(6939), 1,
      anon_sym_PLUS,
    ACTIONS(6941), 1,
      anon_sym_STAR,
    ACTIONS(6943), 1,
      anon_sym_SLASH,
    ACTIONS(6945), 1,
      anon_sym_PERCENT,
    ACTIONS(6947), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_PIPE,
    ACTIONS(6953), 1,
      anon_sym_CARET,
    ACTIONS(6955), 1,
      anon_sym_AMP,
    ACTIONS(6957), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6959), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6961), 1,
      anon_sym_GT,
    ACTIONS(6963), 1,
      anon_sym_GT_EQ,
    ACTIONS(6965), 1,
      anon_sym_LT_EQ,
    ACTIONS(6967), 1,
      anon_sym_LT,
    ACTIONS(6969), 1,
      anon_sym_LT_LT,
    ACTIONS(6971), 1,
      anon_sym_GT_GT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6975), 1,
      anon_sym_EQ,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(6979), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6981), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6983), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6985), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6987), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6991), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6993), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6995), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6997), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7003), 1,
      anon_sym_or,
    ACTIONS(7005), 1,
      anon_sym_and,
    ACTIONS(7007), 1,
      anon_sym_bitor,
    ACTIONS(7009), 1,
      anon_sym_xor,
    ACTIONS(7011), 1,
      anon_sym_bitand,
    ACTIONS(7013), 1,
      anon_sym_not_eq,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7105), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6999), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62418] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6933), 1,
      anon_sym_COMMA,
    ACTIONS(6937), 1,
      anon_sym_DASH,
    ACTIONS(6939), 1,
      anon_sym_PLUS,
    ACTIONS(6941), 1,
      anon_sym_STAR,
    ACTIONS(6943), 1,
      anon_sym_SLASH,
    ACTIONS(6945), 1,
      anon_sym_PERCENT,
    ACTIONS(6947), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6949), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6951), 1,
      anon_sym_PIPE,
    ACTIONS(6953), 1,
      anon_sym_CARET,
    ACTIONS(6955), 1,
      anon_sym_AMP,
    ACTIONS(6957), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6959), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6961), 1,
      anon_sym_GT,
    ACTIONS(6963), 1,
      anon_sym_GT_EQ,
    ACTIONS(6965), 1,
      anon_sym_LT_EQ,
    ACTIONS(6967), 1,
      anon_sym_LT,
    ACTIONS(6969), 1,
      anon_sym_LT_LT,
    ACTIONS(6971), 1,
      anon_sym_GT_GT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6975), 1,
      anon_sym_EQ,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(6979), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6981), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6983), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6985), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6987), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6989), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6991), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6993), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6995), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6997), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7003), 1,
      anon_sym_or,
    ACTIONS(7005), 1,
      anon_sym_and,
    ACTIONS(7007), 1,
      anon_sym_bitor,
    ACTIONS(7009), 1,
      anon_sym_xor,
    ACTIONS(7011), 1,
      anon_sym_bitand,
    ACTIONS(7013), 1,
      anon_sym_not_eq,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7107), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6999), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7047), 1,
      anon_sym_GT_EQ,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7045), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [62668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_LBRACK,
    STATE(3469), 1,
      sym_new_declarator,
    ACTIONS(6216), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6218), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62735] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      sym_auto,
    ACTIONS(7093), 1,
      anon_sym_decltype,
    STATE(4083), 1,
      sym_new_declarator,
    STATE(4121), 1,
      sym_decltype_auto,
    STATE(4356), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5439), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5515), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62879] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7029), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7049), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7061), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7031), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [62964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7109), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [63044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5866), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5705), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5077), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5896), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5884), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5089), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5635), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [63602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5876), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5713), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5888), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5713), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5673), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5683), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5713), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7117), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7115), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7113), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7111), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [64102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6089), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6077), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6093), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5872), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5744), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    ACTIONS(5453), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(4120), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [64668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5725), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5744), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5748), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5705), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACE,
    ACTIONS(5441), 1,
      anon_sym_LT,
    STATE(3599), 1,
      sym_template_argument_list,
    ACTIONS(5067), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [65296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    STATE(3590), 1,
      sym_enumerator_list,
    STATE(4059), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5840), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5709), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65490] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7119), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [65570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5705), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5733), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65694] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7121), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [65774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5669), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65836] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7123), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [65916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4089), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6927), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3489), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6059), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6061), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5515), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3489), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6048), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66172] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(4022), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6135), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5085), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7134), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7132), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7130), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7128), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [66368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5880), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6901), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5683), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5679), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66992] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      sym_auto,
    ACTIONS(6821), 1,
      anon_sym_decltype,
    STATE(3680), 1,
      sym_decltype_auto,
    ACTIONS(5535), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5537), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6222), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    ACTIONS(4105), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7142), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7140), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7138), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [67316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6121), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5866), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5093), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5705), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5862), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7146), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4005), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4003), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [67754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5669), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5824), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5756), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68002] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7148), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [68082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_LPAREN2,
    ACTIONS(7152), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_LBRACK,
    STATE(3933), 1,
      sym_parameter_list,
    STATE(3633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5946), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5948), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6117), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6113), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5752), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(3932), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [68594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5721), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5799), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6318), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_LPAREN2,
    ACTIONS(7152), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_LBRACK,
    STATE(3933), 1,
      sym_parameter_list,
    STATE(3633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5915), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5917), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4033), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7156), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4029), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4027), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [68918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5717), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5858), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5854), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5854), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7158), 1,
      anon_sym_LT,
    STATE(3383), 1,
      sym_template_argument_list,
    ACTIONS(6348), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6350), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5795), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    STATE(3120), 1,
      sym_attribute_specifier,
    STATE(3805), 1,
      sym_enumerator_list,
    ACTIONS(5783), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5781), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5748), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5101), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69550] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7163), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5766), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    STATE(3090), 1,
      sym_attribute_specifier,
    STATE(3832), 1,
      sym_enumerator_list,
    ACTIONS(5840), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5838), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5803), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5770), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [69948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5729), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70010] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7165), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7173), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7171), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7169), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7167), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [70156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5515), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [70280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5858), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6125), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6109), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7179), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7177), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7175), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [70532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5663), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70594] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_LPAREN2,
    ACTIONS(7152), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_LBRACK,
    STATE(3933), 1,
      sym_parameter_list,
    STATE(3633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5905), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5907), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70666] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7183), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6269), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5862), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6101), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7150), 1,
      anon_sym_LPAREN2,
    ACTIONS(7152), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7154), 1,
      anon_sym_LBRACK,
    STATE(3933), 1,
      sym_parameter_list,
    STATE(3633), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5940), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5679), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3007), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71322] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3007), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4093), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(4058), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6057), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [71522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5081), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71584] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7185), 1,
      anon_sym_SEMI,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [71664] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    STATE(3670), 1,
      sym_enumerator_list,
    STATE(3957), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5783), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5709), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [71858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6190), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6192), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5744), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5319), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(3959), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5998), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6322), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4235), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6135), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3993), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4253), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6085), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(3956), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5994), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6833), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7209), 1,
      anon_sym_QMARK,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(7221), 1,
      anon_sym_LBRACK,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4511), 1,
      sym_template_argument_list,
    ACTIONS(4118), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4103), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [72860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72984] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(3947), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5986), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5271), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(3943), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73319] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [73398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7226), 1,
      sym_identifier,
    STATE(3738), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3761), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3769), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5325), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5323), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4172), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6057), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73534] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6494), 1,
      anon_sym_EQ,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7209), 1,
      anon_sym_QMARK,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [73645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_LT,
    STATE(3219), 1,
      sym_template_argument_list,
    ACTIONS(6348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4167), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5279), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6385), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73899] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(6389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6391), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7086), 1,
      sym__declarator,
    STATE(7430), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(7099), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74004] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [74111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(6292), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6294), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74241] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6249), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [74316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7265), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(6355), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6369), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74564] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(6389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6391), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7435), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(6174), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [74669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5513), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [74730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6288), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6290), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [74986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6437), 1,
      anon_sym_LT,
    STATE(3790), 1,
      sym_template_argument_list,
    ACTIONS(6203), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6205), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6460), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5766), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7271), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [75374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5748), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2989), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7152), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3718), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6059), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6061), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5872), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6263), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6265), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [75941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5888), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76002] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [76083] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6803), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [76190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6228), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6381), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5876), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76373] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6841), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [76480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5246), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76541] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [76644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5884), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6399), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5896), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4095), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [76959] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77058] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [77137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5283), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77259] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [77342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5267), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [77632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [77922] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6445), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4079), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78135] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [78224] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [78317] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4055), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5982), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [78550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5669), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4069), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5990), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5705), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5065), 1,
      anon_sym_LBRACE,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(3856), 1,
      sym_template_argument_list,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5709), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [78928] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [79021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5880), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5721), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5705), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6578), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79265] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [79360] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [79449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5756), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4070), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79636] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [79735] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [79838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [79986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5795), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [80047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5799), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [80108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6415), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [80244] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [80339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3007), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [80546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6232), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3007), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3695), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3699), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [80759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4121), 1,
      anon_sym_SEMI,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4095), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4046), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5974), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4044), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5978), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81086] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [81197] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_AMP,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7094), 1,
      sym__declarator,
    STATE(7410), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(6174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [81302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6574), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6437), 1,
      anon_sym_LT,
    STATE(3790), 1,
      sym_template_argument_list,
    ACTIONS(6137), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6139), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4133), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5291), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3718), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6046), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6048), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [81804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5679), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [81865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6435), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [81926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5824), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [81987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2182), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5713), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5713), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 1,
      anon_sym___attribute__,
    STATE(4143), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6276), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82296] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_EQ,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [82407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5250), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5471), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5473), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4097), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4105), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [82655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_LT,
    STATE(3500), 1,
      sym_template_argument_list,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5673), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5683), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82842] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [82949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5713), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7283), 1,
      sym_identifier,
    STATE(3738), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7286), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7289), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83140] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_AMP,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7086), 1,
      sym__declarator,
    STATE(7431), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(7099), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6546), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6550), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5725), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5733), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5515), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_LT,
    STATE(1975), 1,
      sym_template_argument_list,
    ACTIONS(6348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83737] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_LT,
    STATE(2107), 1,
      sym_template_argument_list,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5287), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5854), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [84046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6222), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(4180), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5787), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [84178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6385), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84239] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6833), 1,
      anon_sym_EQ,
    ACTIONS(6931), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(6977), 1,
      anon_sym_QMARK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [84350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5478), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84411] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7001), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7235), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7237), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7239), 1,
      anon_sym_PIPE,
    ACTIONS(7243), 1,
      anon_sym_AMP,
    ACTIONS(7249), 1,
      anon_sym_GT_EQ,
    ACTIONS(7253), 1,
      anon_sym_or,
    ACTIONS(7255), 1,
      anon_sym_and,
    ACTIONS(7257), 1,
      anon_sym_bitor,
    ACTIONS(7259), 1,
      anon_sym_bitand,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7231), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7241), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7251), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7233), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7245), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7247), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [84518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6308), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6310), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [84713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5866), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [84774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5862), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [84896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84957] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6280), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85032] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7015), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [85107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5858), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85290] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7191), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7193), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7195), 1,
      anon_sym_PIPE,
    ACTIONS(7199), 1,
      anon_sym_AMP,
    ACTIONS(7205), 1,
      anon_sym_GT_EQ,
    ACTIONS(7209), 1,
      anon_sym_QMARK,
    ACTIONS(7211), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7213), 1,
      anon_sym_or,
    ACTIONS(7215), 1,
      anon_sym_and,
    ACTIONS(7217), 1,
      anon_sym_bitor,
    ACTIONS(7219), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7187), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7197), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7207), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7201), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7203), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [85401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5303), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      anon_sym_LBRACK,
    STATE(3795), 1,
      sym_new_declarator,
    ACTIONS(6216), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5060), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7294), 1,
      sym_identifier,
    STATE(3601), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3761), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3769), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5311), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5309), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5663), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [85961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4093), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7280), 1,
      anon_sym_LT,
    STATE(1996), 1,
      sym_template_argument_list,
    ACTIONS(6348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86253] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      sym_identifier,
    STATE(3786), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7315), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7318), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [86479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6901), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86539] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7325), 1,
      anon_sym_RPAREN,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [86695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6190), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6192), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86757] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7099), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7198), 1,
      sym__declarator,
    STATE(7431), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [86861] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7403), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [87017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6318), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6269), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6314), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87257] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7405), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [87413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6290), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [87607] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6304), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [87705] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7200), 1,
      sym__declarator,
    STATE(7410), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87869] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7425), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [88025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3099), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5980), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [88089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6847), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [88195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6901), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88255] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 1,
      anon_sym_const,
    ACTIONS(5114), 1,
      anon_sym_AMP,
    ACTIONS(5107), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5112), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5110), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5105), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88323] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6833), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6835), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [88433] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [88507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7439), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7437), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [88567] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [88655] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [88747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_LT,
    STATE(2151), 1,
      sym_template_argument_list,
    ACTIONS(6348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3083), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5988), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [88875] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7444), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [89031] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6803), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6805), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [89137] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [89231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6280), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [89425] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [89499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6263), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6265), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7448), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89635] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7450), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [89791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6813), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [89957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3071), 1,
      sym_attribute_specifier,
    ACTIONS(5932), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5930), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [90081] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6803), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [90185] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    ACTIONS(7482), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7484), 1,
      anon_sym_QMARK,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6837), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [90293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3124), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5992), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [90357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6310), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [90429] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6839), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90539] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6915), 1,
      anon_sym_GT_EQ,
    ACTIONS(6919), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6921), 1,
      anon_sym_AMP,
    ACTIONS(6923), 1,
      anon_sym_bitand,
    ACTIONS(7025), 1,
      anon_sym_PIPE,
    ACTIONS(7027), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7069), 1,
      anon_sym_and,
    ACTIONS(7071), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7073), 1,
      anon_sym_or,
    ACTIONS(7075), 1,
      anon_sym_QMARK,
    ACTIONS(7085), 1,
      anon_sym_RPAREN,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(7488), 1,
      anon_sym_EQ,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6907), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6917), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7023), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6909), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6911), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6913), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6999), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90653] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7490), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [90809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3119), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5996), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [90873] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [90949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    STATE(3779), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3761), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3769), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91017] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3091), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5942), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [91081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6817), 1,
      anon_sym_LBRACK,
    STATE(4138), 1,
      sym_new_declarator,
    ACTIONS(6216), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6218), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7433), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [91427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6125), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [91547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_LT,
    STATE(3599), 1,
      sym_template_argument_list,
    ACTIONS(6348), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5545), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5543), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [91745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_EQ,
    ACTIONS(4133), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    STATE(3779), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3761), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3769), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6065), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5808), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [92017] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7492), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [92173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5803), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92355] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6263), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6265), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [92429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6310), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [92501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3067), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5972), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3066), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5976), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      sym_identifier,
    STATE(3786), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5325), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5323), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92697] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6494), 1,
      anon_sym_EQ,
    ACTIONS(6755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    ACTIONS(7435), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6496), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3069), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5962), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6117), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3103), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5966), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6113), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_EQ,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LPAREN2,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(4121), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5460), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [93251] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6841), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [93355] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6280), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [93429] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7496), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [93585] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7498), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [93741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6089), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6077), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93861] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LPAREN2,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93927] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6841), 1,
      anon_sym_EQ,
    ACTIONS(7302), 1,
      anon_sym_GT_EQ,
    ACTIONS(7306), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(7413), 1,
      anon_sym_PIPE,
    ACTIONS(7417), 1,
      anon_sym_AMP,
    ACTIONS(7421), 1,
      anon_sym_bitor,
    ACTIONS(7423), 1,
      anon_sym_bitand,
    ACTIONS(7427), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7429), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7431), 1,
      anon_sym_or,
    ACTIONS(7433), 1,
      anon_sym_and,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6255), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7296), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7415), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7298), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7419), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6843), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [94033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6626), 1,
      anon_sym_LT,
    STATE(4061), 1,
      sym_template_argument_list,
    ACTIONS(6137), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6139), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(4105), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [94343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(5065), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5058), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [94409] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6811), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [94513] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    ACTIONS(7482), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7484), 1,
      anon_sym_QMARK,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6833), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [94621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_LT,
    STATE(1991), 1,
      sym_template_argument_list,
    ACTIONS(6348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4542), 1,
      sym_field_declaration_list,
    STATE(4685), 1,
      sym_attribute_specifier,
    STATE(7837), 1,
      sym_virtual_specifier,
    STATE(8490), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5393), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94823] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7019), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7323), 1,
      anon_sym_COMMA,
    ACTIONS(7327), 1,
      anon_sym_DASH,
    ACTIONS(7329), 1,
      anon_sym_PLUS,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    ACTIONS(7333), 1,
      anon_sym_SLASH,
    ACTIONS(7335), 1,
      anon_sym_PERCENT,
    ACTIONS(7337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7341), 1,
      anon_sym_PIPE,
    ACTIONS(7343), 1,
      anon_sym_CARET,
    ACTIONS(7345), 1,
      anon_sym_AMP,
    ACTIONS(7347), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7349), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7351), 1,
      anon_sym_GT,
    ACTIONS(7353), 1,
      anon_sym_GT_EQ,
    ACTIONS(7355), 1,
      anon_sym_LT_EQ,
    ACTIONS(7357), 1,
      anon_sym_LT,
    ACTIONS(7359), 1,
      anon_sym_LT_LT,
    ACTIONS(7361), 1,
      anon_sym_GT_GT,
    ACTIONS(7363), 1,
      anon_sym_EQ,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7367), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7369), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7371), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7373), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7375), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7377), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7379), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7381), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7383), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7385), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7389), 1,
      anon_sym_or,
    ACTIONS(7391), 1,
      anon_sym_and,
    ACTIONS(7393), 1,
      anon_sym_bitor,
    ACTIONS(7395), 1,
      anon_sym_xor,
    ACTIONS(7397), 1,
      anon_sym_bitand,
    ACTIONS(7399), 1,
      anon_sym_not_eq,
    ACTIONS(7504), 1,
      anon_sym_RPAREN,
    STATE(1775), 1,
      sym__binary_fold_operator,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    STATE(9184), 1,
      sym__fold_operator,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [94979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7506), 1,
      sym_identifier,
    ACTIONS(7510), 1,
      sym_primitive_type,
    STATE(3854), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7508), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5830), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [95047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6093), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95107] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6845), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [95211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [95283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      sym_auto,
    ACTIONS(7093), 1,
      anon_sym_decltype,
    STATE(4121), 1,
      sym_decltype_auto,
    ACTIONS(5535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5537), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(5453), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5455), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3112), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5984), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [95535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6626), 1,
      anon_sym_LT,
    STATE(4061), 1,
      sym_template_argument_list,
    ACTIONS(6203), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6205), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LPAREN2,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7512), 1,
      sym_identifier,
    STATE(3863), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5311), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5309), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6222), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    STATE(3110), 1,
      sym_attribute_specifier,
    ACTIONS(5936), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5934), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [95859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(4272), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7514), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5789), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [96001] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7474), 1,
      anon_sym_or,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    ACTIONS(7482), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7484), 1,
      anon_sym_QMARK,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6494), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [96109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [96185] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [96259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96319] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7476), 1,
      anon_sym_and,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [96419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96479] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7460), 1,
      anon_sym_PIPE,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7478), 1,
      anon_sym_bitor,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6304), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [96575] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7462), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [96667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96727] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7464), 1,
      anon_sym_AMP,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7480), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [96817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7466), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [96903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(5523), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4105), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7468), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(5523), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4105), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97179] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(7472), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97261] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6121), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97399] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7446), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7452), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7454), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6306), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5770), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6850), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4779), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7526), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [97821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_COLON,
    STATE(3064), 1,
      sym_attribute_specifier,
    STATE(3540), 1,
      sym__enum_base_clause,
    STATE(3837), 1,
      sym_enumerator_list,
    ACTIONS(6168), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6166), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [97892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7530), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7532), 1,
      anon_sym_namespace,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6222), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7534), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    STATE(4272), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7514), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4103), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98319] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7536), 1,
      sym_identifier,
    ACTIONS(7541), 1,
      sym_primitive_type,
    STATE(3975), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5830), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98445] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6863), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    STATE(2562), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4103), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [98733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98969] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6848), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3982), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4771), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7228), 1,
      anon_sym_LT,
    STATE(2003), 1,
      sym_template_argument_list,
    ACTIONS(6348), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [99194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6574), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LT,
    STATE(2315), 1,
      sym_template_argument_list,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [99729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    STATE(4375), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6011), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2182), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5319), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5315), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7338), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4097), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4764), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100072] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7135), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3970), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4784), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7570), 1,
      anon_sym_namespace,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [100234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5283), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100352] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7094), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5271), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6269), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7528), 1,
      anon_sym_COLON,
    STATE(3101), 1,
      sym_attribute_specifier,
    STATE(3546), 1,
      sym__enum_base_clause,
    STATE(3840), 1,
      sym_enumerator_list,
    ACTIONS(6162), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [100642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5364), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      sym_primitive_type,
    STATE(2063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5347), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5808), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5805), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100766] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5250), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100926] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6933), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4033), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4741), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6346), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6948), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6125), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7584), 1,
      anon_sym_and,
    ACTIONS(6355), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5271), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6863), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3929), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5291), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6558), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3509), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [101764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7586), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [101825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6399), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5250), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6381), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7588), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [102122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7590), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [102242] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7336), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4794), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6232), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6228), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6562), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5303), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6276), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5279), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_EQ,
    ACTIONS(5844), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102937] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4131), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7592), 1,
      anon_sym_namespace,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [103099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6373), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6506), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5319), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [103453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6332), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    STATE(4443), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6057), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7594), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [103638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6849), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [103697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5315), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6403), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6365), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6460), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5669), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [104110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6318), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104169] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7201), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3976), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4792), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104270] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7596), 1,
      sym_identifier,
    STATE(4030), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7599), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7602), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5257), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5255), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6435), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104455] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6848), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4771), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7271), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [104674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6113), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7605), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [104794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6117), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5705), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5709), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6093), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7607), 1,
      anon_sym_LPAREN2,
    STATE(3190), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4093), 1,
      sym_argument_list,
    STATE(4360), 1,
      sym_initializer_list,
    ACTIONS(6753), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5513), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [105396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6077), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5705), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6121), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5267), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6554), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4095), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [105819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5748), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105878] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7323), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3998), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6578), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6411), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5744), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6190), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6192), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106394] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7634), 1,
      anon_sym_requires,
    STATE(5490), 1,
      sym__function_attributes_start,
    STATE(5634), 1,
      sym_ref_qualifier,
    STATE(6566), 1,
      sym__function_attributes_end,
    STATE(6706), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6035), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym_namespace,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [106619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5360), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [106678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5740), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5766), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5756), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6322), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6441), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107093] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(2562), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5789), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [107160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5795), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5515), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5799), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6220), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6222), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6445), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    STATE(4383), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6135), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5267), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5854), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5858), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5862), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4093), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5866), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [107994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6899), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [108053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_LT,
    STATE(3856), 1,
      sym_template_argument_list,
    ACTIONS(6348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6350), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6385), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6596), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 1,
      anon_sym_LBRACE,
    ACTIONS(5515), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6385), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108415] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7323), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4765), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    ACTIONS(4097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4105), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [108577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4089), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108636] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6921), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3941), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6415), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108796] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4773), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [108897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7640), 1,
      sym_identifier,
    STATE(4113), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5163), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5165), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5309), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    ACTIONS(5455), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5453), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [109084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(7087), 1,
      anon_sym_LPAREN2,
    STATE(4348), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6085), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109208] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7086), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4738), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4152), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109410] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7201), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4102), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4761), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 1,
      anon_sym_LBRACE,
    ACTIONS(5515), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [109631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      sym_identifier,
    STATE(4030), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5163), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5165), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5325), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5323), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5279), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7582), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7584), 1,
      anon_sym_and,
    ACTIONS(7644), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7646), 1,
      anon_sym_or,
    ACTIONS(6292), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6294), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5303), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5679), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [109942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7651), 1,
      anon_sym_requires,
    STATE(5497), 1,
      sym__function_attributes_start,
    STATE(5622), 1,
      sym_ref_qualifier,
    STATE(6569), 1,
      sym__function_attributes_end,
    STATE(6745), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7648), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6049), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3993), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6570), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [110224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110342] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7094), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4108), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4747), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7654), 1,
      anon_sym_typedef,
    ACTIONS(3511), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [110504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [110622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [110740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [110799] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4735), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5673), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [110959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5683), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [111018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [111077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6314), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5060), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6464), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [111608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7656), 1,
      anon_sym_namespace,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [112023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6550), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112082] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4742), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2182), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5958), 1,
      anon_sym_EQ,
    ACTIONS(5960), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112304] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [112406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6377), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6365), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6849), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [112580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6534), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6562), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3902), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    STATE(3902), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5846), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5848), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [112944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113002] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4707), 1,
      sym_field_declaration_list,
    STATE(4797), 1,
      sym_attribute_specifier,
    STATE(7763), 1,
      sym_virtual_specifier,
    STATE(8451), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5393), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6570), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5287), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6097), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6095), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5279), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7694), 1,
      anon_sym___attribute__,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    STATE(5542), 1,
      sym__function_attributes_start,
    STATE(5700), 1,
      sym_ref_qualifier,
    STATE(6491), 1,
      sym__function_attributes_end,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6411), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3993), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113532] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      anon_sym_EQ,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [113638] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7716), 1,
      anon_sym___attribute__,
    ACTIONS(7719), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7722), 1,
      anon_sym___declspec,
    ACTIONS(7725), 1,
      anon_sym_virtual,
    ACTIONS(7728), 1,
      anon_sym_alignas,
    ACTIONS(7731), 1,
      anon_sym_explicit,
    ACTIONS(7708), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7706), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7713), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4175), 11,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7710), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113714] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6308), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6310), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [113784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6332), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6456), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(5065), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5058), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [113964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6042), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6044), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6274), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6276), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114084] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [114186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5246), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5271), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5267), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6538), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114476] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114606] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114680] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114810] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_EQ,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [114910] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_EQ,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [115008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6460), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115066] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [115160] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [115250] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [115336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6306), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [115420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6306), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [115500] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [115576] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6306), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [115654] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7740), 1,
      anon_sym___attribute__,
    ACTIONS(7743), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7746), 1,
      anon_sym___declspec,
    ACTIONS(7749), 1,
      anon_sym_virtual,
    ACTIONS(7752), 1,
      anon_sym_alignas,
    ACTIONS(7737), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4203), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7734), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6658), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [115728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7101), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [115902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5161), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4097), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4105), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [115964] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6280), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [116036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5060), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6596), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116268] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6251), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [116340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5275), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6222), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116688] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6288), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6290), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [116758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6232), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7757), 1,
      anon_sym_and,
    ACTIONS(6355), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6357), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4273), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6036), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7759), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6038), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6030), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7761), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117178] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7757), 1,
      anon_sym_and,
    ACTIONS(7763), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7765), 1,
      anon_sym_or,
    ACTIONS(6292), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6294), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [117306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6322), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6395), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6452), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6403), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5315), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5319), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4091), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [117886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4300), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7767), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(4121), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5460), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [118012] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [118114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6423), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 1,
      anon_sym_EQ,
    ACTIONS(5699), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4097), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6019), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118296] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [118402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6025), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5283), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6484), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6381), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6373), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LBRACK,
    STATE(4309), 1,
      sym_new_declarator,
    ACTIONS(6216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6369), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2182), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6441), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6445), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7771), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5058), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5065), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6514), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6526), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6530), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6588), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6550), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6228), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4245), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7777), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4247), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7779), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6038), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6578), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6554), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6566), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119878] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6044), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6023), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6025), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120002] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6833), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7321), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7365), 1,
      anon_sym_QMARK,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [120108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(4385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5789), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6574), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6399), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120290] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    ACTIONS(6811), 1,
      anon_sym_EQ,
    ACTIONS(6973), 1,
      anon_sym_LBRACK,
    ACTIONS(7261), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7387), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7666), 1,
      anon_sym_PIPE,
    ACTIONS(7668), 1,
      anon_sym_CARET,
    ACTIONS(7670), 1,
      anon_sym_AMP,
    ACTIONS(7676), 1,
      anon_sym_GT_EQ,
    ACTIONS(7680), 1,
      anon_sym_bitor,
    ACTIONS(7682), 1,
      anon_sym_xor,
    ACTIONS(7684), 1,
      anon_sym_bitand,
    STATE(4096), 1,
      sym_argument_list,
    STATE(4151), 1,
      sym_subscript_argument_list,
    ACTIONS(7017), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7401), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7658), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7662), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7664), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7678), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7660), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7672), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7674), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [120392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6584), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(7783), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4095), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [120522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5291), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6385), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5250), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4169), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5303), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4169), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5513), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7787), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6558), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5242), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6510), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6506), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7097), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7095), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [121226] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7221), 1,
      anon_sym_LBRACK,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(4118), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4095), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121298] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7694), 1,
      anon_sym___attribute__,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7792), 1,
      anon_sym_requires,
    STATE(5572), 1,
      sym__function_attributes_start,
    STATE(5675), 1,
      sym_ref_qualifier,
    STATE(6471), 1,
      sym_trailing_return_type,
    STATE(6488), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4089), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4087), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [121460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6415), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7534), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5460), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4121), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6383), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6385), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7769), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6095), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(4517), 1,
      sym_field_declaration_list,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8411), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5393), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6435), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7802), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7798), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7800), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7805), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7795), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [121956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6464), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122014] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(4469), 1,
      sym__enum_base_clause,
    STATE(4536), 1,
      sym_enumerator_list,
    STATE(4720), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6168), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      sym_primitive_type,
    STATE(4337), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7811), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5808), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5805), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    STATE(5598), 1,
      sym__function_attributes_start,
    STATE(5742), 1,
      sym_ref_qualifier,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(6654), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6090), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5093), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6314), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122363] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7792), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    STATE(5582), 1,
      sym__function_attributes_start,
    STATE(5748), 1,
      sym_ref_qualifier,
    STATE(6471), 1,
      sym_trailing_return_type,
    STATE(6669), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6095), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5081), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5089), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    STATE(4104), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5163), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5165), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5453), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    STATE(4104), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5163), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5165), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(4105), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122826] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    STATE(5587), 1,
      sym__function_attributes_start,
    STATE(5753), 1,
      sym_ref_qualifier,
    STATE(6463), 1,
      sym__function_attributes_end,
    STATE(6550), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7818), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6104), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5077), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5085), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5101), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123216] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7828), 1,
      anon_sym_requires,
    STATE(5586), 1,
      sym__function_attributes_start,
    STATE(5727), 1,
      sym_ref_qualifier,
    STATE(6514), 1,
      sym__function_attributes_end,
    STATE(6564), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7818), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6100), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123376] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7792), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    STATE(5592), 1,
      sym__function_attributes_start,
    STATE(5714), 1,
      sym_ref_qualifier,
    STATE(6471), 1,
      sym_trailing_return_type,
    STATE(6510), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7818), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6106), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6901), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    STATE(4409), 1,
      sym_new_declarator,
    ACTIONS(6216), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6218), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(5460), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4121), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [123778] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7828), 1,
      anon_sym_requires,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    STATE(5579), 1,
      sym__function_attributes_start,
    STATE(5755), 1,
      sym_ref_qualifier,
    STATE(6564), 1,
      sym_trailing_return_type,
    STATE(6581), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6113), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123881] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7835), 1,
      anon_sym_COLON,
    STATE(3064), 1,
      sym_attribute_specifier,
    STATE(3540), 1,
      sym__enum_base_clause,
    STATE(3837), 1,
      sym_enumerator_list,
    ACTIONS(6168), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6166), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    STATE(5583), 1,
      sym__function_attributes_start,
    STATE(5743), 1,
      sym_ref_qualifier,
    STATE(6446), 1,
      sym__function_attributes_end,
    STATE(6447), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7818), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(7809), 1,
      anon_sym_COLON,
    STATE(4506), 1,
      sym__enum_base_clause,
    STATE(4537), 1,
      sym_enumerator_list,
    STATE(4681), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6162), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4337), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7811), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(5453), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5455), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5521), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7835), 1,
      anon_sym_COLON,
    STATE(3101), 1,
      sym_attribute_specifier,
    STATE(3546), 1,
      sym__enum_base_clause,
    STATE(3840), 1,
      sym_enumerator_list,
    ACTIONS(6162), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6160), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4300), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7767), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5549), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124602] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    STATE(5590), 1,
      sym__function_attributes_start,
    STATE(5757), 1,
      sym_ref_qualifier,
    STATE(6447), 1,
      sym_trailing_return_type,
    STATE(6680), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6092), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124705] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      sym_identifier,
    ACTIONS(7844), 1,
      sym_primitive_type,
    STATE(4306), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7842), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5830), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(5058), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5065), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [124833] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7846), 1,
      anon_sym_LT,
    STATE(4385), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4450), 1,
      sym_template_argument_list,
    ACTIONS(7781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4103), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    STATE(3416), 1,
      sym_template_argument_list,
    ACTIONS(7783), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4121), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5460), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7848), 1,
      anon_sym_LT,
    STATE(4450), 1,
      sym_template_argument_list,
    ACTIONS(5058), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5065), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6369), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6546), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7846), 1,
      anon_sym_LT,
    STATE(4450), 1,
      sym_template_argument_list,
    ACTIONS(5460), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4121), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6534), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5352), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [125595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5360), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [125651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6596), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6441), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5354), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [125819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6095), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7543), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5460), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4121), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [125997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2989), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5271), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6355), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6357), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6365), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126223] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [126293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6542), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6558), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126405] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7859), 1,
      sym_auto,
    ACTIONS(7861), 1,
      anon_sym_decltype,
    STATE(4550), 1,
      sym_new_declarator,
    STATE(4665), 1,
      sym_decltype_auto,
    STATE(4504), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5466), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6445), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6570), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5267), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126645] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    STATE(5629), 1,
      sym__function_attributes_start,
    STATE(5766), 1,
      sym_ref_qualifier,
    STATE(6699), 1,
      sym__function_attributes_end,
    STATE(6877), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5364), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [126803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5279), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6403), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6407), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6377), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6044), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(4511), 1,
      sym_template_argument_list,
    ACTIONS(5062), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5065), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5058), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7867), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6292), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6294), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4431), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6038), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6574), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3993), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4430), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6032), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5246), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7875), 1,
      anon_sym_requires,
    STATE(5613), 1,
      sym__function_attributes_start,
    STATE(5846), 1,
      sym_ref_qualifier,
    STATE(6763), 1,
      sym__function_attributes_end,
    STATE(6882), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7648), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6128), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [127771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7878), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5058), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5065), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [127889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5315), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5319), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [128057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5275), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2182), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6423), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128337] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7823), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7881), 1,
      anon_sym_requires,
    STATE(5628), 1,
      sym__function_attributes_start,
    STATE(5826), 1,
      sym_ref_qualifier,
    STATE(6682), 1,
      sym__function_attributes_end,
    STATE(6918), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6139), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2989), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6373), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6290), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [128619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6381), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5291), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6546), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6310), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [129023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5250), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7859), 1,
      sym_auto,
    ACTIONS(7861), 1,
      anon_sym_decltype,
    STATE(4540), 1,
      sym_new_declarator,
    STATE(4665), 1,
      sym_decltype_auto,
    STATE(4476), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5446), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6460), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129263] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [129333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129389] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7859), 1,
      sym_auto,
    ACTIONS(7861), 1,
      anon_sym_decltype,
    STATE(4510), 1,
      sym_new_declarator,
    STATE(4665), 1,
      sym_decltype_auto,
    STATE(4481), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5439), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(4180), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [129527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5360), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7884), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5356), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [129769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129881] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6019), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6025), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130001] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    STATE(5619), 1,
      sym__function_attributes_start,
    STATE(5817), 1,
      sym_ref_qualifier,
    STATE(6817), 1,
      sym__function_attributes_end,
    STATE(6924), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6123), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5303), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6538), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5287), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6554), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6578), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6484), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5358), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [130495] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6280), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [130565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4442), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7888), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5343), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5345), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6411), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5283), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6506), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5242), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7859), 1,
      sym_auto,
    ACTIONS(7861), 1,
      anon_sym_decltype,
    STATE(4509), 1,
      sym_new_declarator,
    STATE(4665), 1,
      sym_decltype_auto,
    STATE(4479), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5427), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5364), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [131033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5364), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [131088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5110), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    ACTIONS(7893), 1,
      anon_sym_COLON,
    STATE(4563), 1,
      sym__enum_base_clause,
    STATE(4700), 1,
      sym_enumerator_list,
    STATE(4832), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6168), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5352), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [131430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6578), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3993), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(7221), 1,
      anon_sym_LBRACK,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(4118), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4103), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5093), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6460), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5089), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6381), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6574), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5077), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5085), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132161] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(4512), 1,
      sym_enumerator_list,
    STATE(4672), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5783), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5549), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7895), 1,
      anon_sym_COLON,
    STATE(2284), 1,
      sym_attribute_specifier,
    STATE(2895), 1,
      sym__enum_base_clause,
    STATE(2996), 1,
      sym_enumerator_list,
    ACTIONS(6160), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6162), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [132346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3120), 1,
      sym_attribute_specifier,
    STATE(4518), 1,
      sym_enumerator_list,
    ACTIONS(5781), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5783), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5081), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3090), 1,
      sym_attribute_specifier,
    STATE(4532), 1,
      sym_enumerator_list,
    ACTIONS(5838), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5840), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [132527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    ACTIONS(7893), 1,
      anon_sym_COLON,
    STATE(4582), 1,
      sym__enum_base_clause,
    STATE(4709), 1,
      sym_enumerator_list,
    STATE(4804), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6162), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7899), 1,
      anon_sym_requires,
    STATE(5702), 1,
      sym__function_attributes_start,
    STATE(5959), 1,
      sym_ref_qualifier,
    STATE(6930), 1,
      sym__function_attributes_end,
    STATE(7114), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7648), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6155), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5101), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7909), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7906), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7904), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7902), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [133200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5356), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [133255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    STATE(5697), 1,
      sym__function_attributes_start,
    STATE(6001), 1,
      sym_ref_qualifier,
    STATE(6844), 1,
      sym__function_attributes_end,
    STATE(7111), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4932), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5492), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6161), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7612), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133468] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7895), 1,
      anon_sym_COLON,
    STATE(2308), 1,
      sym_attribute_specifier,
    STATE(2942), 1,
      sym__enum_base_clause,
    STATE(3012), 1,
      sym_enumerator_list,
    ACTIONS(6166), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6168), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [133535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5360), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [133700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4364), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7884), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6445), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5521), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6369), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5787), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5789), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [134209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    STATE(4534), 1,
      sym_enumerator_list,
    STATE(4725), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    STATE(4480), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6085), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    STATE(4508), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6135), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5110), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5103), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [134725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4704), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5982), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4706), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5990), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3112), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5986), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3110), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5936), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3066), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5978), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3067), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5974), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3099), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5982), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3083), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5990), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135189] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4810), 1,
      sym_new_declarator,
    STATE(4476), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5446), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5545), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4796), 1,
      sym_new_declarator,
    STATE(4479), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5427), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135383] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6796), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5245), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135469] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6808), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5181), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135555] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6813), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4524), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5139), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3091), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5944), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      anon_sym_LT,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(5157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4103), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [135763] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      sym_auto,
    ACTIONS(7950), 1,
      anon_sym_decltype,
    STATE(4806), 1,
      sym_new_declarator,
    STATE(4827), 1,
      sym_decltype_auto,
    STATE(5102), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5446), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135833] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4676), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5936), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4675), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135949] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6775), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4553), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5130), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3124), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5994), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4719), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4673), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5994), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4680), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4671), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5998), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4723), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5944), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 1,
      anon_sym_SEMI,
    ACTIONS(5515), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [136441] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      sym_auto,
    ACTIONS(7950), 1,
      anon_sym_decltype,
    STATE(4827), 1,
      sym_decltype_auto,
    STATE(4828), 1,
      sym_new_declarator,
    STATE(5088), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5466), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    STATE(4482), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6057), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3119), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5998), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4733), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5974), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4660), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3071), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5932), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7500), 1,
      anon_sym___attribute__,
    STATE(4683), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      sym_auto,
    ACTIONS(7950), 1,
      anon_sym_decltype,
    STATE(4827), 1,
      sym_decltype_auto,
    STATE(4839), 1,
      sym_new_declarator,
    STATE(5075), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5427), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136931] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6790), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4523), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5235), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137017] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7960), 1,
      anon_sym_RPAREN,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7994), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137115] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4824), 1,
      sym_new_declarator,
    STATE(4504), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5466), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    STATE(4503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3103), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5968), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137303] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4841), 1,
      sym_new_declarator,
    STATE(4481), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5439), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137373] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6780), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5147), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 1,
      anon_sym_SEMI,
    ACTIONS(5515), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5513), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [137515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(3069), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5964), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137573] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    ACTIONS(7948), 1,
      sym_auto,
    ACTIONS(7950), 1,
      anon_sym_decltype,
    STATE(4808), 1,
      sym_new_declarator,
    STATE(4827), 1,
      sym_decltype_auto,
    STATE(5123), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5439), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137643] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9487), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137738] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9056), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137833] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5095), 1,
      sym__type_specifier,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137928] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6634), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138023] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9214), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138118] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9115), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    STATE(4674), 1,
      sym_enumerator_list,
    STATE(4813), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5783), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138274] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9443), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6671), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138464] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9448), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138559] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6601), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138654] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6640), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138749] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8889), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8675), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138939] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9477), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      anon_sym_LT,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(5058), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5065), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [139093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9119), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6610), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139336] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4876), 1,
      sym__type_specifier,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139431] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9390), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139526] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8852), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9008), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139716] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6653), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139811] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6652), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    STATE(4699), 1,
      sym_enumerator_list,
    STATE(4822), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139967] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    STATE(5770), 1,
      sym__function_attributes_start,
    STATE(6071), 1,
      sym_ref_qualifier,
    STATE(6993), 1,
      sym__function_attributes_end,
    STATE(7223), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7612), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6238), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5663), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140119] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9291), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140214] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8797), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9385), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140404] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9073), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140499] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9368), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9363), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140689] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9585), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140784] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9461), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140879] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6651), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140974] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8995), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141069] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6602), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141164] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6631), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141259] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9236), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141354] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6619), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6611), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141597] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6604), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141745] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6630), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141840] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8005), 1,
      anon_sym_requires,
    STATE(5813), 1,
      sym__function_attributes_start,
    STATE(6073), 1,
      sym_ref_qualifier,
    STATE(6960), 1,
      sym__function_attributes_end,
    STATE(7211), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7612), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7789), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6642), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6208), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141939] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9391), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142087] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      anon_sym_enum,
    ACTIONS(8018), 1,
      anon_sym_class,
    ACTIONS(8020), 1,
      anon_sym_struct,
    ACTIONS(8022), 1,
      anon_sym_union,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8028), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5541), 1,
      sym__type_specifier,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4705), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142182] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8845), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142277] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6871), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5365), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142362] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8044), 1,
      sym_identifier,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8050), 1,
      sym_primitive_type,
    ACTIONS(8052), 1,
      anon_sym_enum,
    ACTIONS(8054), 1,
      anon_sym_class,
    ACTIONS(8056), 1,
      anon_sym_struct,
    ACTIONS(8058), 1,
      anon_sym_union,
    ACTIONS(8060), 1,
      sym_auto,
    ACTIONS(8062), 1,
      anon_sym_decltype,
    ACTIONS(8064), 1,
      anon_sym_typename,
    STATE(4920), 1,
      sym__type_specifier,
    STATE(5465), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5869), 1,
      sym_decltype_auto,
    STATE(5962), 1,
      sym_qualified_type_identifier,
    STATE(6887), 1,
      sym_type_descriptor,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5812), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8048), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(5062), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5065), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(5058), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [142520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142573] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6647), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142721] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9132), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7859), 1,
      sym_auto,
    ACTIONS(7861), 1,
      anon_sym_decltype,
    STATE(4665), 1,
      sym_decltype_auto,
    ACTIONS(5535), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5537), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9406), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142970] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8963), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143065] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6638), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8765), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143255] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6613), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143350] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8892), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143445] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(5761), 1,
      sym__function_attributes_start,
    STATE(6076), 1,
      sym_ref_qualifier,
    STATE(6924), 1,
      sym_trailing_return_type,
    STATE(7131), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7612), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6239), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143544] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8753), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143639] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9283), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143734] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9466), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143829] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_identifier,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(4013), 1,
      anon_sym_enum,
    ACTIONS(4015), 1,
      anon_sym_class,
    ACTIONS(4017), 1,
      anon_sym_struct,
    ACTIONS(4019), 1,
      anon_sym_union,
    ACTIONS(4021), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5209), 1,
      sym__type_specifier,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143924] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9411), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144019] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6663), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144114] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8941), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144209] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3409), 1,
      anon_sym_enum,
    ACTIONS(3411), 1,
      anon_sym_class,
    ACTIONS(3413), 1,
      anon_sym_struct,
    ACTIONS(3415), 1,
      anon_sym_union,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(3443), 1,
      anon_sym_typename,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8074), 1,
      sym_primitive_type,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(5514), 1,
      sym__type_specifier,
    STATE(6887), 1,
      sym_type_descriptor,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    STATE(4695), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144304] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4845), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4721), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144399] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8818), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144494] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4899), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144589] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5376), 1,
      sym__type_specifier,
    STATE(6887), 1,
      sym_type_descriptor,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4678), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144684] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6584), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144779] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4938), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(4711), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9205), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145024] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8758), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145119] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9425), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145214] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6620), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145309] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5738), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9430), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145404] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(6605), 1,
      sym_type_descriptor,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145499] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6633), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5601), 1,
      sym__type_specifier,
    STATE(6887), 1,
      sym_type_descriptor,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      anon_sym_LT,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(5460), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4121), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [145748] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8900), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8773), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9454), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6083), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6648), 1,
      sym__type_definition_type,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146128] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9478), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146223] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(9527), 1,
      sym_type_descriptor,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146318] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6902), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4609), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5405), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146403] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    STATE(3164), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5306), 1,
      sym_template_argument_list,
    ACTIONS(4118), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4103), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4123), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [146470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7622), 1,
      anon_sym_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7875), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(5772), 1,
      sym__function_attributes_start,
    STATE(6075), 1,
      sym_ref_qualifier,
    STATE(6882), 1,
      sym_trailing_return_type,
    STATE(7129), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7612), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7648), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5310), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5602), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6941), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6181), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146569] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9258), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146664] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8875), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146759] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5603), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(8778), 1,
      sym_type_descriptor,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(4664), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5709), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4814), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5978), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146962] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7048), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5473), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8098), 1,
      anon_sym_COLON,
    STATE(3101), 1,
      sym_attribute_specifier,
    STATE(4474), 1,
      sym__enum_base_clause,
    STATE(4526), 1,
      sym_enumerator_list,
    ACTIONS(6160), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6162), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [147110] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5609), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147254] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(8100), 1,
      anon_sym_COLON,
    STATE(3174), 1,
      sym__enum_base_clause,
    STATE(3269), 1,
      sym_enumerator_list,
    STATE(3539), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6168), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [147318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4540), 1,
      sym_new_declarator,
    STATE(4476), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5446), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147386] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3409), 1,
      anon_sym_enum,
    ACTIONS(3411), 1,
      anon_sym_class,
    ACTIONS(3413), 1,
      anon_sym_struct,
    ACTIONS(3415), 1,
      anon_sym_union,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(3443), 1,
      anon_sym_typename,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8074), 1,
      sym_primitive_type,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(5607), 1,
      sym__type_specifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147478] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7032), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4662), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5475), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4803), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5990), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4843), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5982), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147986] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5338), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(8102), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5683), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148338] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6079), 1,
      sym__type_specifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148482] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_identifier,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(4013), 1,
      anon_sym_enum,
    ACTIONS(4015), 1,
      anon_sym_class,
    ACTIONS(4017), 1,
      anon_sym_struct,
    ACTIONS(4019), 1,
      anon_sym_union,
    ACTIONS(4021), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5134), 1,
      sym__type_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8108), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(8106), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148730] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5077), 1,
      sym__type_specifier,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148822] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4895), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148914] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5578), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149058] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4820), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5936), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149114] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3409), 1,
      anon_sym_enum,
    ACTIONS(3411), 1,
      anon_sym_class,
    ACTIONS(3413), 1,
      anon_sym_struct,
    ACTIONS(3415), 1,
      anon_sym_union,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(3443), 1,
      anon_sym_typename,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8074), 1,
      sym_primitive_type,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(5532), 1,
      sym__type_specifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4818), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5986), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149314] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4861), 1,
      sym__type_specifier,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4815), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5994), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4811), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5998), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_SEMI,
    ACTIONS(5114), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5110), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(5103), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [149576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8098), 1,
      anon_sym_COLON,
    STATE(3064), 1,
      sym_attribute_specifier,
    STATE(4472), 1,
      sym__enum_base_clause,
    STATE(4541), 1,
      sym_enumerator_list,
    ACTIONS(6166), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6168), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [149640] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4509), 1,
      sym_new_declarator,
    STATE(4479), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5427), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5748), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149760] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      anon_sym_enum,
    ACTIONS(8018), 1,
      anon_sym_class,
    ACTIONS(8020), 1,
      anon_sym_struct,
    ACTIONS(8022), 1,
      anon_sym_union,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8028), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5539), 1,
      sym__type_specifier,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5766), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4816), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5974), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149960] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4550), 1,
      sym_new_declarator,
    STATE(4504), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5466), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4825), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5944), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4834), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150140] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4958), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3070), 1,
      sym_attribute_specifier,
    STATE(3861), 1,
      sym_field_declaration_list,
    STATE(7724), 1,
      sym_virtual_specifier,
    STATE(8708), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5391), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [150300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5866), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5862), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150404] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6992), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4729), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5471), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150488] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(8100), 1,
      anon_sym_COLON,
    STATE(3199), 1,
      sym__enum_base_clause,
    STATE(3216), 1,
      sym_enumerator_list,
    STATE(3470), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6162), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [150552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5858), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5854), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5799), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5795), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150760] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4856), 1,
      sym__type_specifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(5728), 1,
      sym__type_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5756), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5669), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5744), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4802), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5964), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151156] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym___attribute__,
    STATE(4805), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151212] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8044), 1,
      sym_identifier,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8050), 1,
      sym_primitive_type,
    ACTIONS(8052), 1,
      anon_sym_enum,
    ACTIONS(8054), 1,
      anon_sym_class,
    ACTIONS(8056), 1,
      anon_sym_struct,
    ACTIONS(8058), 1,
      anon_sym_union,
    ACTIONS(8060), 1,
      sym_auto,
    ACTIONS(8062), 1,
      anon_sym_decltype,
    ACTIONS(8064), 1,
      anon_sym_typename,
    STATE(4910), 1,
      sym__type_specifier,
    STATE(5465), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5869), 1,
      sym_decltype_auto,
    STATE(5962), 1,
      sym_qualified_type_identifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5812), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8048), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151304] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7018), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5476), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151440] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4510), 1,
      sym_new_declarator,
    STATE(4481), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5439), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8118), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8116), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [151560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7191), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151800] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8122), 1,
      anon_sym___declspec,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_virtual,
    ACTIONS(8130), 1,
      anon_sym_alignas,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6466), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6468), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8120), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4904), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151877] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7141), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(5110), 1,
      sym_new_declarator,
    STATE(5535), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5437), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5439), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [152102] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6848), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152187] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7191), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152272] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8152), 1,
      anon_sym_EQ,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7238), 1,
      sym__declarator,
    STATE(7467), 1,
      sym__abstract_declarator,
    STATE(7541), 1,
      sym_abstract_reference_declarator,
    STATE(7924), 1,
      sym_variadic_reference_declarator,
    STATE(8056), 1,
      sym_variadic_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(8146), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152373] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6304), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [152468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(5022), 1,
      sym_new_declarator,
    STATE(5479), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5464), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5466), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [152535] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [152626] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7086), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152711] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [152800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152851] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6306), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [152936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153038] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7106), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5566), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7948), 1,
      sym_auto,
    ACTIONS(7950), 1,
      anon_sym_decltype,
    STATE(4827), 1,
      sym_decltype_auto,
    ACTIONS(5535), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5537), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153229] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6811), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [153328] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6306), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [153411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5770), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153462] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [153541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8122), 1,
      anon_sym___declspec,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8128), 1,
      anon_sym_virtual,
    ACTIONS(8130), 1,
      anon_sym_alignas,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(6520), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6522), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8120), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4900), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153618] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153703] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6850), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153788] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7147), 1,
      sym__declarator,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(7935), 1,
      sym_variadic_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8186), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153883] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7323), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153968] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7336), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154053] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8190), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6494), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [154156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154207] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6803), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [154306] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [154381] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6863), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154466] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6948), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154551] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8190), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6837), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [154654] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154739] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8190), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8192), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8194), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [154842] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6845), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [154941] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6841), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [155040] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7140), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4753), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(5024), 1,
      sym_new_declarator,
    STATE(5484), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5425), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5427), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [155190] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6866), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155275] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8199), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8196), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7904), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7902), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [155334] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6920), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5663), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155523] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7094), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155608] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(8144), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8148), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8150), 1,
      anon_sym_AMP,
    ACTIONS(8202), 1,
      anon_sym_EQ,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7243), 1,
      sym__declarator,
    STATE(7502), 1,
      sym__abstract_declarator,
    STATE(7554), 1,
      sym_abstract_reference_declarator,
    STATE(7924), 1,
      sym_variadic_reference_declarator,
    STATE(8056), 1,
      sym_variadic_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(8146), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(5072), 1,
      sym_new_declarator,
    STATE(5499), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5444), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5446), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [155776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155963] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [156034] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [156103] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7200), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156239] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7328), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156324] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8140), 1,
      anon_sym_SLASH,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8158), 1,
      anon_sym_CARET,
    ACTIONS(8166), 1,
      anon_sym_GT_EQ,
    ACTIONS(8168), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8170), 1,
      anon_sym_and,
    ACTIONS(8172), 1,
      anon_sym_xor,
    ACTIONS(8174), 1,
      anon_sym_not_eq,
    ACTIONS(8182), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8184), 1,
      anon_sym_or,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8190), 1,
      anon_sym_QMARK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6833), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8136), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8138), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8142), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8156), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8160), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8164), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [156427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(4480), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6085), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5673), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156533] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7175), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4809), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5576), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5683), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5766), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    STATE(5067), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6057), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5669), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    STATE(5091), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6135), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157127] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7202), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5595), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(4482), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6057), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5709), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5705), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5744), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8210), 1,
      anon_sym_typedef,
    ACTIONS(3511), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(4503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6011), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5756), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    STATE(5062), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6011), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5060), 1,
      anon_sym_SEMI,
    ACTIONS(5069), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(5062), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5065), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5058), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [158245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8212), 1,
      anon_sym_typedef,
    ACTIONS(3511), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3509), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [158297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5795), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5799), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5866), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5862), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5858), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5854), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(7944), 1,
      anon_sym_LPAREN2,
    STATE(5103), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6085), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6901), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(4508), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6135), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5679), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5748), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5515), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159009] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6773), 1,
      sym__abstract_declarator,
    STATE(5136), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8214), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [159086] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6833), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_QMARK,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [159187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8260), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8264), 1,
      anon_sym_or,
    ACTIONS(8266), 1,
      anon_sym_and,
    ACTIONS(6292), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6294), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159244] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [159331] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [159398] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [159481] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [159578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8268), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8270), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6292), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6294), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159631] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [159720] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 1,
      sym_identifier,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_QMARK,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [159821] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(6304), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [159914] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6777), 1,
      sym__abstract_declarator,
    STATE(5128), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8272), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [159991] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8192), 1,
      sym_identifier,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_QMARK,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8194), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [160092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3182), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3377), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3375), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160190] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7247), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160271] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6802), 1,
      sym__abstract_declarator,
    STATE(5243), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8272), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [160348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2973), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2979), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2977), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160446] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [160509] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8306), 1,
      anon_sym_SEMI,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7570), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9121), 1,
      sym_attribute_specifier,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160612] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8220), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8246), 1,
      anon_sym_QMARK,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [160713] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [160782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2937), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [160880] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    ACTIONS(8316), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7535), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9043), 1,
      sym_attribute_specifier,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6901), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161032] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161205] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    ACTIONS(8318), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7508), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9457), 1,
      sym_attribute_specifier,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161308] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6787), 1,
      sym__abstract_declarator,
    STATE(5221), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8214), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [161385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3316), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [161434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8262), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8266), 1,
      anon_sym_and,
    ACTIONS(6355), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8270), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6355), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6357), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8320), 1,
      anon_sym_COLON,
    STATE(3064), 1,
      sym_attribute_specifier,
    STATE(3540), 1,
      sym__enum_base_clause,
    STATE(3837), 1,
      sym_enumerator_list,
    ACTIONS(6168), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6166), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [161599] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [161680] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    ACTIONS(8322), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7533), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9230), 1,
      sym_attribute_specifier,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8320), 1,
      anon_sym_COLON,
    STATE(3101), 1,
      sym_attribute_specifier,
    STATE(3546), 1,
      sym__enum_base_clause,
    STATE(3840), 1,
      sym_enumerator_list,
    ACTIONS(6162), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6160), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [161844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6290), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [161905] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7260), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4860), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5623), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6186), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161986] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6304), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [162063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [162136] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [162233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6310), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [162294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7946), 1,
      anon_sym_LBRACK,
    STATE(4902), 1,
      sym_new_declarator,
    ACTIONS(6216), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6218), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162347] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6176), 1,
      anon_sym_STAR,
    ACTIONS(6178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6180), 1,
      anon_sym_AMP,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7147), 1,
      sym__declarator,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8186), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [162436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5105), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162487] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [162550] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6811), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [162647] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6810), 1,
      sym__abstract_declarator,
    STATE(5149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8272), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6280), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [162787] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(6841), 1,
      sym_identifier,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    ACTIONS(8226), 1,
      anon_sym_SLASH,
    ACTIONS(8228), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8230), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8234), 1,
      anon_sym_CARET,
    ACTIONS(8242), 1,
      anon_sym_GT_EQ,
    ACTIONS(8248), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8250), 1,
      anon_sym_or,
    ACTIONS(8252), 1,
      anon_sym_and,
    ACTIONS(8254), 1,
      anon_sym_xor,
    ACTIONS(8256), 1,
      anon_sym_not_eq,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8222), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8224), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8232), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8236), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8238), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8240), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [162884] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_DOT,
    STATE(3743), 1,
      sym_subscript_argument_list,
    STATE(3755), 1,
      sym_argument_list,
    ACTIONS(7065), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8258), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [162947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6816), 1,
      sym__abstract_declarator,
    STATE(5137), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8214), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163024] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8122), 1,
      anon_sym___declspec,
    ACTIONS(8128), 1,
      anon_sym_virtual,
    ACTIONS(8130), 1,
      anon_sym_alignas,
    ACTIONS(6709), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6711), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8120), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4903), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163092] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7322), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5709), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6314), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7734), 1,
      anon_sym_const,
    ACTIONS(7737), 1,
      anon_sym___inline,
    ACTIONS(8336), 1,
      anon_sym___attribute__,
    ACTIONS(8339), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8342), 1,
      anon_sym___declspec,
    ACTIONS(8345), 1,
      anon_sym_virtual,
    ACTIONS(8348), 1,
      anon_sym_alignas,
    ACTIONS(6658), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6660), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8333), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4903), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8330), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8122), 1,
      anon_sym___declspec,
    ACTIONS(8128), 1,
      anon_sym_virtual,
    ACTIONS(8130), 1,
      anon_sym_alignas,
    ACTIONS(6705), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6707), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8120), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4903), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6901), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163404] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(5319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [163532] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163598] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6835), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [163692] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8385), 1,
      sym_auto,
    ACTIONS(8387), 1,
      anon_sym_decltype,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(5987), 1,
      sym_decltype_auto,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6851), 1,
      sym__abstract_declarator,
    STATE(5403), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8104), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8102), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [163816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6496), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [163910] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [163998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(5058), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5065), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(5306), 1,
      sym_template_argument_list,
    ACTIONS(5062), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5065), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5058), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [164110] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [164178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(4180), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164236] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [164322] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [164406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8385), 1,
      sym_auto,
    ACTIONS(8387), 1,
      anon_sym_decltype,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(5987), 1,
      sym_decltype_auto,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym__abstract_declarator,
    STATE(5442), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164482] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [164564] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8389), 1,
      anon_sym_COMMA,
    ACTIONS(8391), 1,
      anon_sym_SEMI,
    ACTIONS(8393), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8200), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164664] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [164754] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [164832] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [164922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(5460), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4121), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [164976] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [165066] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7928), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7275), 1,
      sym__abstract_declarator,
    ACTIONS(7930), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7932), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4901), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5705), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6186), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165146] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [165240] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [165330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165406] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5478), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8395), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [165464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    ACTIONS(5453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5455), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165514] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [165586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 1,
      sym_literal_suffix,
    ACTIONS(4105), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4097), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8108), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8106), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [165684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(5319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5787), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165742] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7003), 1,
      sym__abstract_declarator,
    STATE(5528), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [165958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5279), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5287), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166099] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8425), 1,
      anon_sym_RBRACK,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8112), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166196] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7384), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5724), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166273] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_STAR,
    ACTIONS(6500), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6502), 1,
      anon_sym_AMP,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7147), 1,
      sym__declarator,
    STATE(7427), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(8186), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166360] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8447), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8156), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166457] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8487), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8008), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5246), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [166601] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_STAR,
    ACTIONS(6389), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6391), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7147), 1,
      sym__declarator,
    STATE(7388), 1,
      sym__abstract_declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    ACTIONS(8186), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [166688] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7359), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4946), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5731), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166765] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8489), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7898), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166862] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8493), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7920), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5275), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167006] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8495), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8051), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167103] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7359), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5731), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167180] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7011), 1,
      sym__abstract_declarator,
    STATE(5510), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1736), 1,
      sym__fold_operator,
    ACTIONS(8501), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8499), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [167304] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8503), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8163), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6558), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167448] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8505), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8314), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167545] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8507), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8295), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2182), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167689] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8509), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8275), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167833] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8052), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167930] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8515), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168025] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8255), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168122] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8519), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8234), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168219] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8521), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8213), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168316] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8523), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8189), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168413] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8525), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [168506] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8527), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(7912), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168603] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8038), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168700] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7991), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168797] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6852), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5756), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6423), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168921] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8541), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7955), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5808), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169071] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8546), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8094), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169168] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8548), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8010), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8550), 1,
      sym_identifier,
    ACTIONS(8554), 1,
      sym_primitive_type,
    STATE(4980), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8552), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5830), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [169320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6460), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5279), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8556), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8560), 1,
      anon_sym_or,
    ACTIONS(8562), 1,
      anon_sym_and,
    ACTIONS(6292), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6294), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6381), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6373), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6369), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5246), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6445), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169845] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8564), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7926), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169989] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7942), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170086] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7940), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170183] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [170272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5275), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170413] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8572), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8144), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170510] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6912), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6578), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6554), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170681] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6876), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5004), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5744), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170758] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6912), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4977), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5750), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6596), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170882] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8281), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170979] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8576), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8084), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171076] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8578), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8266), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5271), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [171220] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8582), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7899), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171317] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8584), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8028), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171414] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8586), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8230), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171511] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8588), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8175), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171655] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8590), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(7917), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5515), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5513), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [171801] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7911), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171898] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    STATE(5487), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6009), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6011), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [171951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6365), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    STATE(5503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6083), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6085), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [172051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3993), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8562), 1,
      anon_sym_and,
    ACTIONS(6355), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6357), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172196] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7203), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5737), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5242), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5242), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5303), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [172416] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8600), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8210), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5303), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8543), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5343), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [172611] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8610), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6115), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7376), 1,
      sym__abstract_declarator,
    ACTIONS(8612), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8614), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5710), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5996), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(6174), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172690] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8618), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8241), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172787] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8610), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6115), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7346), 1,
      sym__abstract_declarator,
    ACTIONS(8612), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8614), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5035), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5716), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6186), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172866] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8146), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172963] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8624), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8066), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173060] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8626), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8221), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173157] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8628), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8071), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173254] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8630), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7910), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173351] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [173440] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    ACTIONS(8634), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7907), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173537] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8636), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8638), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8146), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173634] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8640), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8086), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5250), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5291), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2989), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173872] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8642), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(7889), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8646), 1,
      anon_sym_LPAREN2,
    ACTIONS(8648), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8644), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [174018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6377), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174065] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8650), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [174158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2182), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5315), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5319), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [174299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6496), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6534), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6542), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174533] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8652), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(7952), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174677] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8654), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8102), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174774] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8656), 1,
      anon_sym_COMMA,
    ACTIONS(8658), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8110), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6839), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174964] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(7996), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6411), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175108] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8139), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5250), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [175252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5283), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [175299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5267), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [175346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    STATE(5486), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6055), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6057), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [175399] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8664), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5291), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [175541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6506), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175588] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8037), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175685] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7043), 1,
      sym__abstract_declarator,
    STATE(5483), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175760] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6538), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175904] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8672), 1,
      anon_sym_COMMA,
    ACTIONS(8674), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8114), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176001] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8118), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5267), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5283), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5271), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176239] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8393), 1,
      anon_sym_RBRACE,
    ACTIONS(8678), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8200), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176336] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8664), 1,
      anon_sym_SEMI,
    ACTIONS(8680), 1,
      anon_sym_COMMA,
    ACTIONS(8683), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6403), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5319), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5315), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6407), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176668] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [176757] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8391), 1,
      anon_sym_SEMI,
    ACTIONS(8685), 1,
      anon_sym_COMMA,
    ACTIONS(8688), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176854] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8308), 1,
      anon_sym_QMARK,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6835), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7027), 1,
      sym__abstract_declarator,
    STATE(5504), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177022] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8050), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177119] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8249), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177216] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8694), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8253), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177313] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    ACTIONS(8698), 1,
      anon_sym_GT2,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    STATE(8269), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177410] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8209), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7363), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    ACTIONS(3505), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4957), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5734), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3503), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6484), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5287), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8288), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [177814] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8290), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [177901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8702), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [177948] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8292), 1,
      anon_sym_PIPE,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8312), 1,
      anon_sym_bitor,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [178033] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8294), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [178116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_LPAREN2,
    STATE(5485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6133), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6135), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [178169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8296), 1,
      anon_sym_AMP,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8314), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [178250] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7222), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5028), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5749), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6186), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8298), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [178406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178453] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8302), 1,
      anon_sym_GT_EQ,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8300), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    ACTIONS(8310), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [178646] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178713] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(8706), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    STATE(8309), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178810] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8282), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6546), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8286), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8284), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6574), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179085] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8708), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6784), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8712), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(4105), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179481] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6780), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5112), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5105), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      sym_literal_suffix,
    ACTIONS(5453), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179645] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8740), 1,
      anon_sym_COLON,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179739] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7102), 1,
      sym__abstract_declarator,
    STATE(5546), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179813] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6839), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179905] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6776), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [179973] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6811), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [180041] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7435), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5822), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180119] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6808), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180187] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8758), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180281] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8760), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180375] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [180463] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8762), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180557] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6251), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [180617] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7092), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180785] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180853] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6249), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6251), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [180913] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6807), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8712), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [180981] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6835), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [181161] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3559), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9146), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5183), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5811), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181235] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8788), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181329] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6847), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181417] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6781), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5839), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181491] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3559), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9146), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5811), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181565] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8800), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181659] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2423), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9633), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5827), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181919] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7001), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5797), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181993] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6761), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5155), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182067] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3363), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9696), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5217), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3363), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9696), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182215] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7413), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5189), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182289] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182359] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182497] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182571] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [182647] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [182727] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3389), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9696), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5164), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5810), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182801] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [182883] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6835), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182975] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8822), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183067] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [183151] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [183237] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2379), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9633), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5160), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5825), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183311] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183371] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183435] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6806), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183503] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8824), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183597] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3521), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9146), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5831), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [183671] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8664), 1,
      anon_sym_COLON,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183765] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8828), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183859] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6813), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183947] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2379), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9633), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5825), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7006), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5796), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184095] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7434), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5850), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184169] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7434), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5213), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5850), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184243] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7425), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5138), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5821), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6186), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2411), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9633), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5187), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5830), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184395] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6310), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [184547] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184641] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6284), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [184701] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184795] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8836), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6280), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [184949] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6496), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7075), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5146), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5784), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185115] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6290), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [185265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6304), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [185325] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7075), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5784), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185399] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185491] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185585] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3567), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9146), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5156), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5803), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(3080), 1,
      sym_decltype_auto,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7136), 1,
      sym__abstract_declarator,
    STATE(5540), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185733] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8842), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185827] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8844), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185921] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8846), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186015] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7408), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5851), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186089] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [186177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [186245] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7410), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5814), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186323] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3350), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9696), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5774), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186397] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(3503), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4911), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7392), 1,
      sym__abstract_declarator,
    ACTIONS(8038), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8040), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5216), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5836), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6186), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186475] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [186563] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6496), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186655] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6794), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [186723] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3136), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8964), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5829), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186797] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7006), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5161), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5796), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186871] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8860), 1,
      anon_sym_COMMA,
    ACTIONS(8862), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8134), 1,
      anon_sym_LBRACK,
    STATE(5416), 1,
      sym_new_declarator,
    ACTIONS(6216), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6218), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [187015] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8864), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187109] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8866), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6843), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187291] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(6839), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187383] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8868), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187475] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8708), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187567] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8513), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187659] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8870), 1,
      anon_sym_COMMA,
    ACTIONS(8872), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187753] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187817] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6796), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8186), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7184), 1,
      sym__declarator,
    STATE(7427), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [187971] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [188037] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8874), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188131] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [188217] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3159), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8964), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5264), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5859), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188291] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8876), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188383] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8878), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188477] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6798), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8712), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [188545] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [188629] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6799), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [188697] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8880), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188789] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8449), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8477), 1,
      anon_sym_QMARK,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8882), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188881] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8884), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188975] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7123), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5205), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5775), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189049] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189143] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3192), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8964), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5222), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5866), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [189299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(5565), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5787), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8888), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [189355] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8868), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [189527] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [189603] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189677] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189813] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189881] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6843), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [189969] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6496), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190061] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8890), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3192), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8964), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5866), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190229] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6847), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [190317] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6835), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6813), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [190497] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6839), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190589] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8892), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190683] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8894), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190777] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6761), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4485), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190943] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191037] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6805), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [191125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5143), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LPAREN2,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4097), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [191177] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8391), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8898), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191457] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191551] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8902), 1,
      anon_sym_COMMA,
    ACTIONS(8904), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191645] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6308), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6310), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [191703] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191797] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8908), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6288), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6290), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [191949] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_COMMA,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192043] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    ACTIONS(8457), 1,
      anon_sym_SLASH,
    ACTIONS(8463), 1,
      anon_sym_PIPE,
    ACTIONS(8467), 1,
      anon_sym_AMP,
    ACTIONS(8473), 1,
      anon_sym_LT_LT,
    ACTIONS(8475), 1,
      anon_sym_GT_GT,
    ACTIONS(8479), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8481), 1,
      anon_sym_bitor,
    ACTIONS(8483), 1,
      anon_sym_bitand,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8453), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8455), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8459), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8461), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8465), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8469), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6805), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8471), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192131] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_COMMA,
    ACTIONS(8916), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192317] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8918), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(7028), 1,
      sym__type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5188), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5795), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192485] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(4679), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6815), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8772), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5271), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5852), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7928), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8920), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192651] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192745] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6304), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [192809] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8924), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [192989] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8926), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193083] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6304), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [193153] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8928), 1,
      anon_sym_COMMA,
    ACTIONS(8930), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193247] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [193321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6901), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [193367] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(7486), 1,
      anon_sym_COMMA,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8932), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193461] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6304), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [193537] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [193621] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [193703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5110), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5103), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [193753] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8934), 1,
      anon_sym_COMMA,
    ACTIONS(8936), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193847] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8714), 1,
      anon_sym_COMMA,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8938), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193941] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(6304), 1,
      anon_sym_PIPE,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6306), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [194021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(8397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8395), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [194077] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6278), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6280), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [194137] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8194), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194229] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    ACTIONS(7407), 1,
      anon_sym_LBRACK,
    ACTIONS(7409), 1,
      anon_sym_DOT,
    STATE(4264), 1,
      sym_subscript_argument_list,
    STATE(4283), 1,
      sym_argument_list,
    ACTIONS(7411), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8485), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6284), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [194289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8940), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    ACTIONS(4105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4097), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [194427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5340), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6036), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8942), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6038), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194476] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8947), 1,
      anon_sym_const,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8944), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5508), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [194527] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6042), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8952), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6044), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6097), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8952), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6095), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8954), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194807] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8956), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5320), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5513), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8958), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194947] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5922), 1,
      sym_ms_call_modifier,
    STATE(6365), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7950), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195028] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195119] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8960), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195210] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5929), 1,
      sym_ms_call_modifier,
    STATE(6409), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7971), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [195291] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195382] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(8962), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195473] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8964), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195564] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195655] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8966), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195746] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8968), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195837] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8970), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195928] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8972), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196019] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8974), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196110] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7157), 1,
      sym__abstract_declarator,
    STATE(5599), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196274] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8978), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6023), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8952), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6025), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196414] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8980), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5034), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8952), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196554] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196645] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8984), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196736] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196827] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196918] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197100] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8994), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8996), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6901), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [197327] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8998), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197418] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197509] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197600] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9000), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9002), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9004), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9006), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9008), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198055] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5909), 1,
      sym_ms_call_modifier,
    STATE(6417), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8194), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5320), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8958), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198185] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9010), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198276] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(9012), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198367] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(8636), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9014), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198458] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6879), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9016), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198616] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4839), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198707] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9018), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198798] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9020), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198889] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9022), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198980] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9024), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199071] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199162] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(9028), 1,
      anon_sym_COLON,
    STATE(3101), 1,
      sym_attribute_specifier,
    STATE(4474), 1,
      sym__enum_base_clause,
    STATE(4526), 1,
      sym_enumerator_list,
    ACTIONS(6160), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6162), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199310] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7206), 1,
      sym__abstract_declarator,
    STATE(5589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199474] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9030), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      sym_literal_suffix,
    ACTIONS(5453), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5455), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(9028), 1,
      anon_sym_COLON,
    STATE(3064), 1,
      sym_attribute_specifier,
    STATE(4472), 1,
      sym__enum_base_clause,
    STATE(4541), 1,
      sym_enumerator_list,
    ACTIONS(6166), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6168), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199760] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9034), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9036), 1,
      anon_sym_LT,
    STATE(5550), 1,
      sym_template_argument_list,
    ACTIONS(5460), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4121), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [199902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9038), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199993] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9040), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9042), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5345), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5343), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200133] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9045), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200224] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200315] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5342), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6030), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9051), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9036), 1,
      anon_sym_LT,
    STATE(5550), 1,
      sym_template_argument_list,
    ACTIONS(5058), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5065), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [200506] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(9053), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200597] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200779] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9057), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200870] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9036), 1,
      anon_sym_LT,
    STATE(5550), 1,
      sym_template_argument_list,
    STATE(5565), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8888), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201016] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9061), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201107] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201198] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9067), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9069), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9071), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201562] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6874), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201629] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5894), 1,
      sym_ms_call_modifier,
    STATE(6375), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8078), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201710] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6871), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201777] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5940), 1,
      sym_ms_call_modifier,
    STATE(6398), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8055), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201949] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9073), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202040] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9075), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5343), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(9042), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5808), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [202182] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9077), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202273] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9079), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202364] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202455] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9081), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202546] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6314), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [202682] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202773] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202864] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9085), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202955] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9087), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203046] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203137] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4262), 1,
      anon_sym_LPAREN2,
    ACTIONS(4264), 1,
      anon_sym_STAR,
    ACTIONS(4266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4268), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6184), 1,
      anon_sym_LBRACK,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7340), 1,
      sym__declarator,
    STATE(7520), 1,
      sym__abstract_declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [203220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203311] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9091), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203402] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9093), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203493] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203584] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203675] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9097), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203766] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9099), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203857] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(8515), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9101), 1,
      anon_sym_COMMA,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204039] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204130] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9105), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204221] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204312] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9107), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9109), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204494] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9111), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204585] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9113), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204676] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5882), 1,
      sym_ms_call_modifier,
    STATE(6353), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7989), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [204757] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9115), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204848] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204939] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6841), 1,
      sym__abstract_declarator,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205006] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9119), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9121), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205461] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    ACTIONS(9123), 1,
      anon_sym_RBRACK,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205552] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9125), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5890), 1,
      sym_ms_call_modifier,
    STATE(6406), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8168), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [205724] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205906] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(7308), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8720), 1,
      anon_sym_SLASH,
    ACTIONS(8726), 1,
      anon_sym_PIPE,
    ACTIONS(8730), 1,
      anon_sym_AMP,
    ACTIONS(8736), 1,
      anon_sym_GT_EQ,
    ACTIONS(8742), 1,
      anon_sym_QMARK,
    ACTIONS(8744), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8746), 1,
      anon_sym_bitor,
    ACTIONS(8748), 1,
      anon_sym_bitand,
    ACTIONS(9129), 1,
      anon_sym_COLON,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(7310), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8716), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8718), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8722), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8724), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8728), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8738), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8732), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8734), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205997] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9131), 1,
      anon_sym_RPAREN,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206088] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206179] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5893), 1,
      sym_ms_call_modifier,
    STATE(6373), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8155), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206260] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9133), 1,
      anon_sym_RBRACE,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206351] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9135), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206442] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9137), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206533] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9139), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206624] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9141), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206715] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    ACTIONS(9143), 1,
      anon_sym_SEMI,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206806] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RBRACK,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8405), 1,
      anon_sym_SLASH,
    ACTIONS(8411), 1,
      anon_sym_PIPE,
    ACTIONS(8415), 1,
      anon_sym_AMP,
    ACTIONS(8421), 1,
      anon_sym_GT_EQ,
    ACTIONS(8427), 1,
      anon_sym_QMARK,
    ACTIONS(8429), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8431), 1,
      anon_sym_bitor,
    ACTIONS(8433), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8403), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8407), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8409), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8413), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8423), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8417), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8419), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206897] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(5897), 1,
      sym_ms_call_modifier,
    STATE(6412), 1,
      sym__declarator,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(8263), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9145), 1,
      sym_identifier,
    ACTIONS(9149), 1,
      sym_primitive_type,
    STATE(5410), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5828), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5830), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207031] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5961), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7227), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5883), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7196), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5421), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2989), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6536), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6538), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7018), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6532), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6534), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207429] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6954), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6395), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207539] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7048), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207605] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6962), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207671] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(6257), 1,
      anon_sym_DOT,
    ACTIONS(8188), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8355), 1,
      anon_sym_SLASH,
    ACTIONS(8365), 1,
      anon_sym_PIPE,
    ACTIONS(8369), 1,
      anon_sym_AMP,
    ACTIONS(8375), 1,
      anon_sym_GT_EQ,
    ACTIONS(8377), 1,
      anon_sym_QMARK,
    ACTIONS(8379), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8381), 1,
      anon_sym_bitor,
    ACTIONS(8383), 1,
      anon_sym_bitand,
    STATE(2954), 1,
      sym_subscript_argument_list,
    STATE(2956), 1,
      sym_argument_list,
    ACTIONS(6259), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7855), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8353), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8357), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8361), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8363), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8367), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8371), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8373), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(9153), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9151), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [207809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6401), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6403), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207853] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5625), 1,
      sym_field_declaration_list,
    STATE(5658), 1,
      sym_attribute_specifier,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8687), 1,
      sym_base_class_clause,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5393), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [207913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6558), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6540), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6542), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208001] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6504), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6405), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6407), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6409), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6411), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6570), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6578), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208287] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5871), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7229), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208365] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(5606), 1,
      sym_ref_qualifier,
    STATE(6573), 1,
      sym__function_attributes_end,
    STATE(6721), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6552), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6554), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8395), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [208541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9165), 1,
      anon_sym___attribute__,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9163), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9161), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [208589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6588), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208633] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5930), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7187), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9168), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6355), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6357), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208757] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(5616), 1,
      sym_ref_qualifier,
    STATE(6579), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6031), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208839] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(6174), 1,
      anon_sym_COLON,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6115), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7566), 1,
      sym__abstract_declarator,
    ACTIONS(8612), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8614), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5996), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6052), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6482), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6484), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6496), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209003] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5924), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7219), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209081] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5900), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7149), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6488), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209203] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7042), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6530), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6526), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6574), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6445), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6441), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7050), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6460), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6367), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6369), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6373), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209687] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7261), 1,
      sym__abstract_declarator,
    STATE(5611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8214), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6421), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6423), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6375), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6377), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209891] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(6186), 1,
      anon_sym_COLON,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8610), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6115), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7537), 1,
      sym__abstract_declarator,
    ACTIONS(8612), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8614), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5498), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6379), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6381), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3997), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3993), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6544), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6546), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(5951), 1,
      sym_ms_call_modifier,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7342), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5901), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7177), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9168), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(9182), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6292), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6294), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210347] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5916), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7162), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6514), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210469] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7030), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(2562), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5787), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [210589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6596), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210677] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7254), 1,
      sym__abstract_declarator,
    STATE(5620), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8272), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210749] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(5931), 1,
      sym_ms_call_modifier,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7194), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6363), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6365), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6566), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9186), 1,
      anon_sym_COLON,
    STATE(5591), 1,
      sym__enum_base_clause,
    STATE(5614), 1,
      sym_enumerator_list,
    STATE(5644), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6162), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5545), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6036), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9188), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6038), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5101), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211060] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7299), 1,
      sym__abstract_declarator,
    STATE(5690), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8272), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211131] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7076), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(5696), 1,
      sym_decltype_auto,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7303), 1,
      sym__abstract_declarator,
    STATE(5708), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8214), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211267] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5664), 1,
      sym_ref_qualifier,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [211348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9199), 1,
      anon_sym_const,
    ACTIONS(5506), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9196), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5508), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211397] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5730), 1,
      sym_field_declaration_list,
    STATE(6007), 1,
      sym_attribute_specifier,
    STATE(7860), 1,
      sym_virtual_specifier,
    STATE(8544), 1,
      sym_base_class_clause,
    ACTIONS(5391), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5393), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6023), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6025), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211503] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7109), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211568] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7106), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6017), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5567), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5770), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5110), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5679), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211856] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    STATE(2562), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5145), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [211909] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5787), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5789), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [211962] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9186), 1,
      anon_sym_COLON,
    STATE(5584), 1,
      sym__enum_base_clause,
    STATE(5604), 1,
      sym_enumerator_list,
    STATE(5666), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6168), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6269), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [212060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5089), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5097), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5077), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5519), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5521), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5085), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5081), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3509), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [212363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6316), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6318), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [212406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6042), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6044), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212453] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7110), 1,
      sym__abstract_declarator,
    STATE(5317), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7618), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5385), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6097), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9206), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6095), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5547), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5549), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5545), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5093), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9212), 1,
      anon_sym_SEMI,
    ACTIONS(6490), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [212741] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(5687), 1,
      sym_ref_qualifier,
    STATE(6489), 1,
      sym__function_attributes_end,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6070), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5548), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6030), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9220), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6032), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5543), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5545), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5567), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9208), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7202), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9222), 1,
      anon_sym_LT,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(5460), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4121), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [213072] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7351), 1,
      sym__abstract_declarator,
    STATE(5717), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8272), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213142] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(5711), 1,
      sym_ref_qualifier,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(6667), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6110), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [213222] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9230), 1,
      sym_identifier,
    ACTIONS(9232), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9236), 1,
      anon_sym_EQ,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4092), 1,
      sym_qualified_type_identifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    ACTIONS(9234), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [213306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9240), 1,
      anon_sym_COLON,
    STATE(5673), 1,
      sym__enum_base_clause,
    STATE(5732), 1,
      sym_enumerator_list,
    STATE(5993), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6162), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213360] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(5746), 1,
      sym_ref_qualifier,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6644), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213440] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5747), 1,
      sym_ref_qualifier,
    STATE(6449), 1,
      sym__function_attributes_end,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6112), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [213520] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    STATE(5608), 1,
      sym_enumerator_list,
    STATE(5635), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5783), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [213570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5058), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5065), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213618] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(5720), 1,
      sym_ref_qualifier,
    STATE(6522), 1,
      sym__function_attributes_end,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [213698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5752), 1,
      sym_ref_qualifier,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [213778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9222), 1,
      anon_sym_LT,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(5058), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5065), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [213826] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7212), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213890] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5751), 1,
      sym_ref_qualifier,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(6679), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [213970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    STATE(5621), 1,
      sym_enumerator_list,
    STATE(5659), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5840), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214020] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(5712), 1,
      sym_ref_qualifier,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6515), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6101), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
    ACTIONS(5460), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4121), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [214148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5543), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5545), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214190] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7154), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(9153), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9151), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [214302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9240), 1,
      anon_sym_COLON,
    STATE(5653), 1,
      sym__enum_base_clause,
    STATE(5725), 1,
      sym_enumerator_list,
    STATE(6024), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6168), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214356] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5726), 1,
      sym_ref_qualifier,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6590), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214436] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7207), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9245), 1,
      anon_sym___attribute__,
    STATE(5600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9163), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9161), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [214546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7334), 1,
      sym__abstract_declarator,
    STATE(5715), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8214), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(8397), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8395), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [214664] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7439), 1,
      sym__abstract_declarator,
    STATE(5786), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8214), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5678), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5998), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5699), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5990), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214823] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6571), 1,
      sym__function_attributes_end,
    STATE(6700), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6045), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [214896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7395), 1,
      sym__abstract_declarator,
    STATE(5861), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8272), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5698), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5982), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215010] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7429), 1,
      sym__abstract_declarator,
    STATE(5780), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8272), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5685), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5968), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7258), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8750), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5662), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5964), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215232] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(5840), 1,
      sym_ref_qualifier,
    STATE(6809), 1,
      sym__function_attributes_end,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5660), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5944), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5668), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5932), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215401] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym_requires,
    STATE(6572), 1,
      sym__function_attributes_end,
    STATE(6748), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215474] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9232), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9236), 1,
      anon_sym_EQ,
    ACTIONS(9261), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6277), 1,
      sym_ms_declspec_modifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9234), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6038), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [215563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9222), 1,
      anon_sym_LT,
    STATE(3021), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3198), 1,
      sym_template_argument_list,
    ACTIONS(4095), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215614] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(5790), 1,
      sym_ref_qualifier,
    STATE(6820), 1,
      sym__function_attributes_end,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6126), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215693] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7236), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8712), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5680), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5994), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215801] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(6579), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6031), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [215874] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7247), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6174), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5682), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5986), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5651), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5974), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216027] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7231), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7099), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216090] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5643), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5978), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216135] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_requires,
    STATE(5824), 1,
      sym_ref_qualifier,
    STATE(6729), 1,
      sym__function_attributes_end,
    STATE(6932), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6137), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216214] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5791), 1,
      sym_ref_qualifier,
    STATE(6750), 1,
      sym__function_attributes_end,
    STATE(6915), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [216293] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7077), 1,
      sym_auto,
    ACTIONS(7079), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(3494), 1,
      sym_decltype_auto,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7421), 1,
      sym__abstract_declarator,
    STATE(5760), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8214), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8216), 1,
      sym_auto,
    ACTIONS(8218), 1,
      anon_sym_decltype,
    STATE(5696), 1,
      sym_decltype_auto,
    ACTIONS(5535), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5537), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3511), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [216450] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    STATE(5683), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5936), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216495] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6573), 1,
      sym__function_attributes_end,
    STATE(6721), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6046), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [216568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5884), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5717), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5866), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5862), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216728] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9266), 1,
      sym_identifier,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9272), 1,
      sym_primitive_type,
    ACTIONS(9274), 1,
      anon_sym_enum,
    ACTIONS(9276), 1,
      anon_sym_class,
    ACTIONS(9278), 1,
      anon_sym_struct,
    ACTIONS(9280), 1,
      anon_sym_union,
    ACTIONS(9282), 1,
      sym_auto,
    ACTIONS(9284), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_typename,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3183), 1,
      sym__type_specifier,
    STATE(3721), 1,
      sym_decltype_auto,
    STATE(3746), 1,
      sym_qualified_type_identifier,
    STATE(5858), 1,
      sym_argument_list,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3495), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216808] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9266), 1,
      sym_identifier,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9272), 1,
      sym_primitive_type,
    ACTIONS(9274), 1,
      anon_sym_enum,
    ACTIONS(9276), 1,
      anon_sym_class,
    ACTIONS(9278), 1,
      anon_sym_struct,
    ACTIONS(9280), 1,
      anon_sym_union,
    ACTIONS(9282), 1,
      sym_auto,
    ACTIONS(9284), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_typename,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3170), 1,
      sym__type_specifier,
    STATE(3721), 1,
      sym_decltype_auto,
    STATE(3746), 1,
      sym_qualified_type_identifier,
    STATE(5863), 1,
      sym_argument_list,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3495), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5705), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216928] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9294), 1,
      sym_primitive_type,
    ACTIONS(9296), 1,
      anon_sym_enum,
    ACTIONS(9298), 1,
      anon_sym_class,
    ACTIONS(9300), 1,
      anon_sym_struct,
    ACTIONS(9302), 1,
      anon_sym_union,
    ACTIONS(9304), 1,
      sym_auto,
    ACTIONS(9306), 1,
      anon_sym_decltype,
    ACTIONS(9308), 1,
      anon_sym_typename,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2987), 1,
      sym__type_specifier,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3294), 1,
      sym_decltype_auto,
    STATE(5783), 1,
      sym_argument_list,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3178), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3293), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5709), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5725), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5669), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5713), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5713), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217208] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9310), 1,
      sym_identifier,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9316), 1,
      sym_primitive_type,
    ACTIONS(9318), 1,
      anon_sym_enum,
    ACTIONS(9320), 1,
      anon_sym_class,
    ACTIONS(9322), 1,
      anon_sym_struct,
    ACTIONS(9324), 1,
      anon_sym_union,
    ACTIONS(9326), 1,
      sym_auto,
    ACTIONS(9328), 1,
      anon_sym_decltype,
    ACTIONS(9330), 1,
      anon_sym_typename,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3126), 1,
      sym__type_specifier,
    STATE(3509), 1,
      sym_qualified_type_identifier,
    STATE(3561), 1,
      sym_decltype_auto,
    STATE(5771), 1,
      sym_argument_list,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3414), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3447), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217288] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      sym_primitive_type,
    ACTIONS(9340), 1,
      anon_sym_enum,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      anon_sym_typename,
    STATE(2112), 1,
      sym__type_specifier,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(5782), 1,
      sym_argument_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5858), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5721), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217448] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      sym_primitive_type,
    ACTIONS(9340), 1,
      anon_sym_enum,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      anon_sym_typename,
    STATE(2113), 1,
      sym__type_specifier,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(5789), 1,
      sym_argument_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    STATE(5719), 1,
      sym_enumerator_list,
    STATE(5963), 1,
      sym_attribute_specifier,
    ACTIONS(5781), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5783), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5705), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5729), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217656] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9358), 1,
      anon_sym_enum,
    ACTIONS(9360), 1,
      anon_sym_class,
    ACTIONS(9362), 1,
      anon_sym_struct,
    ACTIONS(9364), 1,
      anon_sym_union,
    ACTIONS(9366), 1,
      anon_sym_typename,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(4778), 1,
      sym__type_specifier,
    STATE(5828), 1,
      sym_argument_list,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9368), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6344), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6346), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [217778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5673), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5744), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5756), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5770), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5683), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5854), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218018] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym___attribute__,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6507), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6067), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [218090] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4731), 1,
      sym__type_specifier,
    STATE(5763), 1,
      sym_argument_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5795), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218210] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4552), 1,
      sym__type_specifier,
    STATE(5806), 1,
      sym_argument_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5799), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218330] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9310), 1,
      sym_identifier,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9316), 1,
      sym_primitive_type,
    ACTIONS(9318), 1,
      anon_sym_enum,
    ACTIONS(9320), 1,
      anon_sym_class,
    ACTIONS(9322), 1,
      anon_sym_struct,
    ACTIONS(9324), 1,
      anon_sym_union,
    ACTIONS(9326), 1,
      sym_auto,
    ACTIONS(9328), 1,
      anon_sym_decltype,
    ACTIONS(9330), 1,
      anon_sym_typename,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3088), 1,
      sym__type_specifier,
    STATE(3509), 1,
      sym_qualified_type_identifier,
    STATE(3561), 1,
      sym_decltype_auto,
    STATE(5794), 1,
      sym_argument_list,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3414), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3447), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5803), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5713), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218490] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      sym_primitive_type,
    ACTIONS(9397), 1,
      anon_sym_enum,
    ACTIONS(9399), 1,
      anon_sym_typename,
    STATE(2112), 1,
      sym__type_specifier,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(5801), 1,
      sym_argument_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    STATE(5723), 1,
      sym_enumerator_list,
    STATE(6026), 1,
      sym_attribute_specifier,
    ACTIONS(5838), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5840), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218618] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_primitive_type,
    ACTIONS(9409), 1,
      anon_sym_enum,
    ACTIONS(9411), 1,
      anon_sym_class,
    ACTIONS(9413), 1,
      anon_sym_struct,
    ACTIONS(9415), 1,
      anon_sym_union,
    ACTIONS(9417), 1,
      sym_auto,
    ACTIONS(9419), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_typename,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3437), 1,
      sym__type_specifier,
    STATE(4060), 1,
      sym_decltype_auto,
    STATE(4078), 1,
      sym_qualified_type_identifier,
    STATE(5860), 1,
      sym_argument_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6489), 1,
      sym__function_attributes_end,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6070), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [218770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5663), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218810] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_primitive_type,
    ACTIONS(9409), 1,
      anon_sym_enum,
    ACTIONS(9411), 1,
      anon_sym_class,
    ACTIONS(9413), 1,
      anon_sym_struct,
    ACTIONS(9415), 1,
      anon_sym_union,
    ACTIONS(9417), 1,
      sym_auto,
    ACTIONS(9419), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_typename,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3415), 1,
      sym__type_specifier,
    STATE(4060), 1,
      sym_decltype_auto,
    STATE(4078), 1,
      sym_qualified_type_identifier,
    STATE(5856), 1,
      sym_argument_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5896), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [218930] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9294), 1,
      sym_primitive_type,
    ACTIONS(9296), 1,
      anon_sym_enum,
    ACTIONS(9298), 1,
      anon_sym_class,
    ACTIONS(9300), 1,
      anon_sym_struct,
    ACTIONS(9302), 1,
      anon_sym_union,
    ACTIONS(9304), 1,
      sym_auto,
    ACTIONS(9306), 1,
      anon_sym_decltype,
    ACTIONS(9308), 1,
      anon_sym_typename,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3010), 1,
      sym__type_specifier,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3294), 1,
      sym_decltype_auto,
    STATE(5785), 1,
      sym_argument_list,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3178), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3293), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5876), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219050] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9429), 1,
      sym_primitive_type,
    ACTIONS(9431), 1,
      anon_sym_enum,
    ACTIONS(9433), 1,
      anon_sym_class,
    ACTIONS(9435), 1,
      anon_sym_struct,
    ACTIONS(9437), 1,
      anon_sym_union,
    ACTIONS(9439), 1,
      sym_auto,
    ACTIONS(9441), 1,
      anon_sym_decltype,
    ACTIONS(9443), 1,
      anon_sym_typename,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4447), 1,
      sym__type_specifier,
    STATE(4693), 1,
      sym_decltype_auto,
    STATE(5833), 1,
      sym_argument_list,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5888), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5872), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5892), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5733), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(5319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4095), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8359), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4103), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [219340] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym___attribute__,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6494), 1,
      sym__function_attributes_end,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6068), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219412] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4703), 1,
      sym__type_specifier,
    STATE(5848), 1,
      sym_argument_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5752), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219532] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7321), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8712), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219594] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9429), 1,
      sym_primitive_type,
    ACTIONS(9431), 1,
      anon_sym_enum,
    ACTIONS(9433), 1,
      anon_sym_class,
    ACTIONS(9435), 1,
      anon_sym_struct,
    ACTIONS(9437), 1,
      anon_sym_union,
    ACTIONS(9439), 1,
      sym_auto,
    ACTIONS(9441), 1,
      anon_sym_decltype,
    ACTIONS(9443), 1,
      anon_sym_typename,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4422), 1,
      sym__type_specifier,
    STATE(4693), 1,
      sym_decltype_auto,
    STATE(5832), 1,
      sym_argument_list,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5508), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(8947), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5506), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [219718] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_primitive_type,
    ACTIONS(9459), 1,
      anon_sym_enum,
    ACTIONS(9461), 1,
      anon_sym_class,
    ACTIONS(9463), 1,
      anon_sym_struct,
    ACTIONS(9465), 1,
      anon_sym_union,
    ACTIONS(9467), 1,
      sym_auto,
    ACTIONS(9469), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_typename,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4546), 1,
      sym__type_specifier,
    STATE(4831), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_qualified_type_identifier,
    STATE(5818), 1,
      sym_argument_list,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4782), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4844), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219798] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4522), 1,
      sym__type_specifier,
    STATE(5759), 1,
      sym_argument_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5824), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5880), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219958] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6000), 1,
      sym_ref_qualifier,
    STATE(6845), 1,
      sym__function_attributes_end,
    STATE(7103), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6158), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5748), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5766), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220116] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6064), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220188] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_primitive_type,
    ACTIONS(9459), 1,
      anon_sym_enum,
    ACTIONS(9461), 1,
      anon_sym_class,
    ACTIONS(9463), 1,
      anon_sym_struct,
    ACTIONS(9465), 1,
      anon_sym_union,
    ACTIONS(9467), 1,
      sym_auto,
    ACTIONS(9469), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_typename,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4556), 1,
      sym__type_specifier,
    STATE(4831), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_qualified_type_identifier,
    STATE(5815), 1,
      sym_argument_list,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4782), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4844), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220268] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9473), 1,
      anon_sym_requires,
    STATE(5958), 1,
      sym_ref_qualifier,
    STATE(6917), 1,
      sym__function_attributes_end,
    STATE(7108), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6153), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [220346] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(2266), 1,
      sym_attribute_specifier,
    STATE(6147), 1,
      sym_field_declaration_list,
    STATE(7801), 1,
      sym_virtual_specifier,
    STATE(8462), 1,
      sym_base_class_clause,
    ACTIONS(5393), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5391), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [220402] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      sym_primitive_type,
    ACTIONS(9397), 1,
      anon_sym_enum,
    ACTIONS(9399), 1,
      anon_sym_typename,
    STATE(2113), 1,
      sym__type_specifier,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(5799), 1,
      sym_argument_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220482] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7322), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220544] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9358), 1,
      anon_sym_enum,
    ACTIONS(9360), 1,
      anon_sym_class,
    ACTIONS(9362), 1,
      anon_sym_struct,
    ACTIONS(9364), 1,
      anon_sym_union,
    ACTIONS(9366), 1,
      anon_sym_typename,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(4739), 1,
      sym__type_specifier,
    STATE(5835), 1,
      sym_argument_list,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5515), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220664] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7296), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8750), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220726] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym_const,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7312), 1,
      sym__abstract_declarator,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7099), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7692), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7386), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7099), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220849] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(6661), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6109), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [220920] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(6516), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6094), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [220991] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(4121), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5460), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [221036] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6515), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6101), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [221107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7350), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8750), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7376), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221229] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    ACTIONS(8616), 1,
      anon_sym_const,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7379), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8712), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5870), 1,
      sym_attribute_specifier,
    ACTIONS(5988), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5990), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5918), 1,
      sym_attribute_specifier,
    ACTIONS(5980), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5982), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221376] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6524), 1,
      sym__function_attributes_end,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6103), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5946), 1,
      sym_attribute_specifier,
    ACTIONS(5934), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5936), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5955), 1,
      sym_attribute_specifier,
    ACTIONS(5984), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5986), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5910), 1,
      sym_attribute_specifier,
    ACTIONS(5992), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5994), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221576] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(7332), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5964), 1,
      sym_attribute_specifier,
    ACTIONS(5996), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5998), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221680] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6587), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6096), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [221751] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym__function_attributes_end,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6089), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [221822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8272), 1,
      anon_sym_COLON,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7505), 1,
      sym__abstract_declarator,
    STATE(6056), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [221889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5991), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5978), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5999), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5974), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221975] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(7384), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(6029), 1,
      sym_attribute_specifier,
    ACTIONS(5942), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5944), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(6021), 1,
      sym_attribute_specifier,
    ACTIONS(5930), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5932), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222122] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(7359), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(6006), 1,
      sym_attribute_specifier,
    ACTIONS(5962), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5964), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute__,
    STATE(5992), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5968), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7193), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7099), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222330] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7916), 1,
      sym_auto,
    ACTIONS(7918), 1,
      anon_sym_decltype,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8214), 1,
      anon_sym_COLON,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(2345), 1,
      sym_decltype_auto,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7569), 1,
      sym__abstract_declarator,
    STATE(6037), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      anon_sym_COLON,
    STATE(2308), 1,
      sym_attribute_specifier,
    STATE(2942), 1,
      sym__enum_base_clause,
    STATE(3012), 1,
      sym_enumerator_list,
    ACTIONS(6166), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6168), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [222448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(9487), 1,
      anon_sym_COLON,
    STATE(3174), 1,
      sym__enum_base_clause,
    STATE(3269), 1,
      sym_enumerator_list,
    STATE(3539), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6168), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym___attribute__,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(9487), 1,
      anon_sym_COLON,
    STATE(3199), 1,
      sym__enum_base_clause,
    STATE(3216), 1,
      sym_enumerator_list,
    STATE(3470), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6162), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [222550] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6590), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6091), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222621] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6449), 1,
      sym__function_attributes_end,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6112), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [222692] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(6912), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [222753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9485), 1,
      anon_sym_COLON,
    STATE(2284), 1,
      sym_attribute_specifier,
    STATE(2895), 1,
      sym__enum_base_clause,
    STATE(2996), 1,
      sym_enumerator_list,
    ACTIONS(6160), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6162), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [222804] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6108), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222875] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6453), 1,
      sym__function_attributes_end,
    STATE(6490), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6099), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [222946] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6644), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [223017] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7203), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223078] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(6852), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223139] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6490), 1,
      sym_trailing_return_type,
    STATE(6677), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6087), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [223210] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6084), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [223281] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [223352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    ACTIONS(5065), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5058), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [223397] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(6667), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6110), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [223468] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(6910), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3501), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223529] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(6679), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6088), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [223600] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6711), 1,
      sym__declarator,
    STATE(8433), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [223670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4520), 1,
      sym__type_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223744] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7394), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8750), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223804] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6074), 1,
      sym_ref_qualifier,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6174), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [223880] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym_AMP,
    ACTIONS(9492), 1,
      anon_sym_const,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9489), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5508), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223924] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4708), 1,
      sym__type_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [223998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      sym_primitive_type,
    ACTIONS(9397), 1,
      anon_sym_enum,
    ACTIONS(9399), 1,
      anon_sym_typename,
    STATE(2412), 1,
      sym__type_specifier,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9358), 1,
      anon_sym_enum,
    ACTIONS(9360), 1,
      anon_sym_class,
    ACTIONS(9362), 1,
      anon_sym_struct,
    ACTIONS(9364), 1,
      anon_sym_union,
    ACTIONS(9366), 1,
      anon_sym_typename,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3372), 1,
      sym__type_specifier,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224146] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6750), 1,
      sym__function_attributes_end,
    STATE(6915), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6124), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [224216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5801), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5803), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224254] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5117), 1,
      sym_identifier,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4092), 1,
      sym_qualified_type_identifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5663), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224366] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6072), 1,
      sym_ref_qualifier,
    STATE(6958), 1,
      sym__function_attributes_end,
    STATE(7178), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6199), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [224442] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9310), 1,
      sym_identifier,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9316), 1,
      sym_primitive_type,
    ACTIONS(9318), 1,
      anon_sym_enum,
    ACTIONS(9320), 1,
      anon_sym_class,
    ACTIONS(9322), 1,
      anon_sym_struct,
    ACTIONS(9324), 1,
      anon_sym_union,
    ACTIONS(9326), 1,
      sym_auto,
    ACTIONS(9328), 1,
      anon_sym_decltype,
    ACTIONS(9330), 1,
      anon_sym_typename,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3081), 1,
      sym__type_specifier,
    STATE(3509), 1,
      sym_qualified_type_identifier,
    STATE(3561), 1,
      sym_decltype_auto,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3414), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3447), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224516] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6077), 1,
      sym_ref_qualifier,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7113), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6182), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [224592] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2166), 1,
      sym__type_specifier,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224666] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3423), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(9696), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7075), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(3055), 1,
      anon_sym_class,
    ACTIONS(3057), 1,
      anon_sym_struct,
    ACTIONS(3059), 1,
      anon_sym_union,
    ACTIONS(3061), 1,
      anon_sym_typename,
    ACTIONS(5167), 1,
      sym_identifier,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4092), 1,
      sym_qualified_type_identifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5729), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224894] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9310), 1,
      sym_identifier,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9316), 1,
      sym_primitive_type,
    ACTIONS(9318), 1,
      anon_sym_enum,
    ACTIONS(9320), 1,
      anon_sym_class,
    ACTIONS(9322), 1,
      anon_sym_struct,
    ACTIONS(9324), 1,
      anon_sym_union,
    ACTIONS(9326), 1,
      sym_auto,
    ACTIONS(9328), 1,
      anon_sym_decltype,
    ACTIONS(9330), 1,
      anon_sym_typename,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3413), 1,
      sym__type_specifier,
    STATE(3509), 1,
      sym_qualified_type_identifier,
    STATE(3561), 1,
      sym_decltype_auto,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3414), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3447), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [224968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5770), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225006] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7412), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8712), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225066] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7980), 1,
      sym_identifier,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7986), 1,
      sym_primitive_type,
    ACTIONS(7988), 1,
      anon_sym_enum,
    ACTIONS(7990), 1,
      anon_sym_class,
    ACTIONS(7992), 1,
      anon_sym_struct,
    ACTIONS(7994), 1,
      anon_sym_union,
    ACTIONS(7996), 1,
      anon_sym_typename,
    STATE(2166), 1,
      sym__type_specifier,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225140] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      sym_primitive_type,
    ACTIONS(9340), 1,
      anon_sym_enum,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      anon_sym_typename,
    STATE(2116), 1,
      sym__type_specifier,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225214] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9294), 1,
      sym_primitive_type,
    ACTIONS(9296), 1,
      anon_sym_enum,
    ACTIONS(9298), 1,
      anon_sym_class,
    ACTIONS(9300), 1,
      anon_sym_struct,
    ACTIONS(9302), 1,
      anon_sym_union,
    ACTIONS(9304), 1,
      sym_auto,
    ACTIONS(9306), 1,
      anon_sym_decltype,
    ACTIONS(9308), 1,
      anon_sym_typename,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3001), 1,
      sym__type_specifier,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3294), 1,
      sym_decltype_auto,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3178), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3293), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225288] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7092), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225346] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9294), 1,
      sym_primitive_type,
    ACTIONS(9296), 1,
      anon_sym_enum,
    ACTIONS(9298), 1,
      anon_sym_class,
    ACTIONS(9300), 1,
      anon_sym_struct,
    ACTIONS(9302), 1,
      anon_sym_union,
    ACTIONS(9304), 1,
      sym_auto,
    ACTIONS(9306), 1,
      anon_sym_decltype,
    ACTIONS(9308), 1,
      anon_sym_typename,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2988), 1,
      sym__type_specifier,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3294), 1,
      sym_decltype_auto,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3178), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3293), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225420] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7417), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8750), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7081), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225538] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3350), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(9696), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225596] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      sym_primitive_type,
    ACTIONS(9340), 1,
      anon_sym_enum,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      anon_sym_typename,
    STATE(2126), 1,
      sym__type_specifier,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225670] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6770), 1,
      sym__function_attributes_end,
    STATE(6901), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6149), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [225740] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6736), 1,
      sym__function_attributes_end,
    STATE(6875), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6134), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [225810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(9495), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4298), 1,
      sym_argument_list,
    STATE(5530), 1,
      sym_initializer_list,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6610), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [225860] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_primitive_type,
    ACTIONS(9409), 1,
      anon_sym_enum,
    ACTIONS(9411), 1,
      anon_sym_class,
    ACTIONS(9413), 1,
      anon_sym_struct,
    ACTIONS(9415), 1,
      anon_sym_union,
    ACTIONS(9417), 1,
      sym_auto,
    ACTIONS(9419), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_typename,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3897), 1,
      sym__type_specifier,
    STATE(4060), 1,
      sym_decltype_auto,
    STATE(4078), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [225934] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9310), 1,
      sym_identifier,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9316), 1,
      sym_primitive_type,
    ACTIONS(9318), 1,
      anon_sym_enum,
    ACTIONS(9320), 1,
      anon_sym_class,
    ACTIONS(9322), 1,
      anon_sym_struct,
    ACTIONS(9324), 1,
      anon_sym_union,
    ACTIONS(9326), 1,
      sym_auto,
    ACTIONS(9328), 1,
      anon_sym_decltype,
    ACTIONS(9330), 1,
      anon_sym_typename,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3128), 1,
      sym__type_specifier,
    STATE(3509), 1,
      sym_qualified_type_identifier,
    STATE(3561), 1,
      sym_decltype_auto,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3414), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3447), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226008] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(7006), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226066] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(7001), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226124] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8798), 1,
      sym_primitive_type,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    STATE(6999), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(8880), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226182] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6607), 1,
      sym__declarator,
    STATE(8304), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226252] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      sym_primitive_type,
    ACTIONS(9397), 1,
      anon_sym_enum,
    ACTIONS(9399), 1,
      anon_sym_typename,
    STATE(2126), 1,
      sym__type_specifier,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226326] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(6781), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226384] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9391), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      sym_primitive_type,
    ACTIONS(9397), 1,
      anon_sym_enum,
    ACTIONS(9399), 1,
      anon_sym_typename,
    STATE(2116), 1,
      sym__type_specifier,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5717), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226496] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3559), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(9146), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5752), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8385), 1,
      sym_auto,
    ACTIONS(8387), 1,
      anon_sym_decltype,
    STATE(5987), 1,
      sym_decltype_auto,
    ACTIONS(5535), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5537), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226636] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4549), 1,
      sym__type_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226710] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4001), 1,
      sym_identifier,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(4013), 1,
      anon_sym_enum,
    ACTIONS(4015), 1,
      anon_sym_class,
    ACTIONS(4017), 1,
      anon_sym_struct,
    ACTIONS(4019), 1,
      anon_sym_union,
    ACTIONS(4021), 1,
      anon_sym_typename,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8008), 1,
      sym_identifier,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      anon_sym_enum,
    ACTIONS(8018), 1,
      anon_sym_class,
    ACTIONS(8020), 1,
      anon_sym_struct,
    ACTIONS(8022), 1,
      anon_sym_union,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8028), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5631), 1,
      sym__type_specifier,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5635), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8810), 1,
      sym_identifier,
    ACTIONS(8812), 1,
      anon_sym_LPAREN2,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(8818), 1,
      sym_primitive_type,
    STATE(3363), 1,
      sym__type_declarator,
    STATE(3820), 1,
      sym_pointer_type_declarator,
    STATE(9696), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8816), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3877), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226954] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3521), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(9146), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5515), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227052] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7616), 1,
      anon_sym_AMP,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6078), 1,
      sym_ref_qualifier,
    STATE(6964), 1,
      sym__function_attributes_end,
    STATE(7217), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6210), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [227128] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7431), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7099), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227188] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_primitive_type,
    ACTIONS(9459), 1,
      anon_sym_enum,
    ACTIONS(9461), 1,
      anon_sym_class,
    ACTIONS(9463), 1,
      anon_sym_struct,
    ACTIONS(9465), 1,
      anon_sym_union,
    ACTIONS(9467), 1,
      sym_auto,
    ACTIONS(9469), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_typename,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4539), 1,
      sym__type_specifier,
    STATE(4831), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_qualified_type_identifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4782), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4844), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9266), 1,
      sym_identifier,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9272), 1,
      sym_primitive_type,
    ACTIONS(9274), 1,
      anon_sym_enum,
    ACTIONS(9276), 1,
      anon_sym_class,
    ACTIONS(9278), 1,
      anon_sym_struct,
    ACTIONS(9280), 1,
      anon_sym_union,
    ACTIONS(9282), 1,
      sym_auto,
    ACTIONS(9284), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_typename,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3503), 1,
      sym__type_specifier,
    STATE(3721), 1,
      sym_decltype_auto,
    STATE(3746), 1,
      sym_qualified_type_identifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3495), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227336] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6820), 1,
      sym__function_attributes_end,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6126), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [227406] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_primitive_type,
    ACTIONS(9459), 1,
      anon_sym_enum,
    ACTIONS(9461), 1,
      anon_sym_class,
    ACTIONS(9463), 1,
      anon_sym_struct,
    ACTIONS(9465), 1,
      anon_sym_union,
    ACTIONS(9467), 1,
      sym_auto,
    ACTIONS(9469), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_typename,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4528), 1,
      sym__type_specifier,
    STATE(4831), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_qualified_type_identifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4782), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4844), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227554] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6674), 1,
      sym__declarator,
    STATE(8263), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7435), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227684] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7430), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7099), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227744] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3409), 1,
      anon_sym_enum,
    ACTIONS(3411), 1,
      anon_sym_class,
    ACTIONS(3413), 1,
      anon_sym_struct,
    ACTIONS(3415), 1,
      anon_sym_union,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(3443), 1,
      anon_sym_typename,
    ACTIONS(8070), 1,
      sym_identifier,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8074), 1,
      sym_primitive_type,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3372), 1,
      sym__type_specifier,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227818] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    STATE(6702), 1,
      sym__function_attributes_end,
    STATE(6934), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6121), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [227888] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2423), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(9633), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227946] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_requires,
    STATE(6729), 1,
      sym__function_attributes_end,
    STATE(6932), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6137), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [228016] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2385), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(9633), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228074] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9358), 1,
      anon_sym_enum,
    ACTIONS(9360), 1,
      anon_sym_class,
    ACTIONS(9362), 1,
      anon_sym_struct,
    ACTIONS(9364), 1,
      anon_sym_union,
    ACTIONS(9366), 1,
      anon_sym_typename,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(4786), 1,
      sym__type_specifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228148] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3143), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(8964), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228206] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    STATE(2379), 1,
      sym__type_declarator,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(9633), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228264] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8778), 1,
      sym_identifier,
    ACTIONS(8780), 1,
      anon_sym_LPAREN2,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(8786), 1,
      sym_primitive_type,
    STATE(3531), 1,
      sym__type_declarator,
    STATE(4043), 1,
      sym_pointer_type_declarator,
    STATE(9146), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4048), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228322] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9429), 1,
      sym_primitive_type,
    ACTIONS(9431), 1,
      anon_sym_enum,
    ACTIONS(9433), 1,
      anon_sym_class,
    ACTIONS(9435), 1,
      anon_sym_struct,
    ACTIONS(9437), 1,
      anon_sym_union,
    ACTIONS(9439), 1,
      sym_auto,
    ACTIONS(9441), 1,
      anon_sym_decltype,
    ACTIONS(9443), 1,
      anon_sym_typename,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4373), 1,
      sym__type_specifier,
    STATE(4693), 1,
      sym_decltype_auto,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9429), 1,
      sym_primitive_type,
    ACTIONS(9431), 1,
      anon_sym_enum,
    ACTIONS(9433), 1,
      anon_sym_class,
    ACTIONS(9435), 1,
      anon_sym_struct,
    ACTIONS(9437), 1,
      anon_sym_union,
    ACTIONS(9439), 1,
      sym_auto,
    ACTIONS(9441), 1,
      anon_sym_decltype,
    ACTIONS(9443), 1,
      anon_sym_typename,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4417), 1,
      sym__type_specifier,
    STATE(4693), 1,
      sym_decltype_auto,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5834), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5506), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5508), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9492), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228512] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3439), 1,
      sym_auto,
    ACTIONS(3441), 1,
      anon_sym_decltype,
    ACTIONS(8074), 1,
      sym_primitive_type,
    ACTIONS(9354), 1,
      sym_identifier,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9358), 1,
      anon_sym_enum,
    ACTIONS(9360), 1,
      anon_sym_class,
    ACTIONS(9362), 1,
      anon_sym_struct,
    ACTIONS(9364), 1,
      anon_sym_union,
    ACTIONS(9366), 1,
      anon_sym_typename,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3488), 1,
      sym_qualified_type_identifier,
    STATE(3517), 1,
      sym_decltype_auto,
    STATE(4745), 1,
      sym__type_specifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3438), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3553), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228586] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7410), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6174), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228646] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6636), 1,
      sym__declarator,
    STATE(8304), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228716] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6643), 1,
      sym__declarator,
    STATE(8055), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228786] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(6769), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228844] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6833), 1,
      sym__function_attributes_end,
    STATE(6889), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6142), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [228914] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9332), 1,
      sym_identifier,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9338), 1,
      sym_primitive_type,
    ACTIONS(9340), 1,
      anon_sym_enum,
    ACTIONS(9342), 1,
      anon_sym_class,
    ACTIONS(9344), 1,
      anon_sym_struct,
    ACTIONS(9346), 1,
      anon_sym_union,
    ACTIONS(9348), 1,
      sym_auto,
    ACTIONS(9350), 1,
      anon_sym_decltype,
    ACTIONS(9352), 1,
      anon_sym_typename,
    STATE(2412), 1,
      sym__type_specifier,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2496), 1,
      sym_decltype_auto,
    STATE(2505), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2483), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2490), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228988] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9288), 1,
      sym_identifier,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9294), 1,
      sym_primitive_type,
    ACTIONS(9296), 1,
      anon_sym_enum,
    ACTIONS(9298), 1,
      anon_sym_class,
    ACTIONS(9300), 1,
      anon_sym_struct,
    ACTIONS(9302), 1,
      anon_sym_union,
    ACTIONS(9304), 1,
      sym_auto,
    ACTIONS(9306), 1,
      anon_sym_decltype,
    ACTIONS(9308), 1,
      anon_sym_typename,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3182), 1,
      sym__type_specifier,
    STATE(3265), 1,
      sym_qualified_type_identifier,
    STATE(3294), 1,
      sym_decltype_auto,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3178), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3293), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229062] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6609), 1,
      sym__declarator,
    STATE(8155), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229132] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6578), 1,
      sym__declarator,
    STATE(8304), 1,
      sym_init_declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229202] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7434), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [229260] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6809), 1,
      sym__function_attributes_end,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6129), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [229330] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8044), 1,
      sym_identifier,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8050), 1,
      sym_primitive_type,
    ACTIONS(8052), 1,
      anon_sym_enum,
    ACTIONS(8054), 1,
      anon_sym_class,
    ACTIONS(8056), 1,
      anon_sym_struct,
    ACTIONS(8058), 1,
      anon_sym_union,
    ACTIONS(8060), 1,
      sym_auto,
    ACTIONS(8062), 1,
      anon_sym_decltype,
    ACTIONS(8064), 1,
      anon_sym_typename,
    STATE(5465), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5805), 1,
      sym__type_specifier,
    STATE(5869), 1,
      sym_decltype_auto,
    STATE(5962), 1,
      sym_qualified_type_identifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(5812), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8048), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5975), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229404] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7964), 1,
      sym_primitive_type,
    ACTIONS(9377), 1,
      sym_identifier,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9381), 1,
      anon_sym_enum,
    ACTIONS(9383), 1,
      anon_sym_class,
    ACTIONS(9385), 1,
      anon_sym_struct,
    ACTIONS(9387), 1,
      anon_sym_union,
    ACTIONS(9389), 1,
      anon_sym_typename,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(4667), 1,
      sym__type_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229478] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9429), 1,
      sym_primitive_type,
    ACTIONS(9431), 1,
      anon_sym_enum,
    ACTIONS(9433), 1,
      anon_sym_class,
    ACTIONS(9435), 1,
      anon_sym_struct,
    ACTIONS(9437), 1,
      anon_sym_union,
    ACTIONS(9439), 1,
      sym_auto,
    ACTIONS(9441), 1,
      anon_sym_decltype,
    ACTIONS(9443), 1,
      anon_sym_typename,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4616), 1,
      sym__type_specifier,
    STATE(4693), 1,
      sym_decltype_auto,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4639), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229552] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7408), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [229610] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8776), 1,
      sym_primitive_type,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7437), 1,
      sym__type_declarator,
    STATE(9360), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [229668] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8790), 1,
      sym_identifier,
    ACTIONS(8792), 1,
      anon_sym_LPAREN2,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(8798), 1,
      sym_primitive_type,
    STATE(6761), 1,
      sym__type_declarator,
    STATE(7009), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8796), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7024), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [229726] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8014), 1,
      sym_primitive_type,
    ACTIONS(8024), 1,
      sym_auto,
    ACTIONS(8026), 1,
      anon_sym_decltype,
    ACTIONS(8076), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8080), 1,
      anon_sym_enum,
    ACTIONS(8082), 1,
      anon_sym_class,
    ACTIONS(8084), 1,
      anon_sym_struct,
    ACTIONS(8086), 1,
      anon_sym_union,
    ACTIONS(8088), 1,
      anon_sym_typename,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5631), 1,
      sym__type_specifier,
    STATE(5695), 1,
      sym_decltype_auto,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5707), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229800] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6592), 1,
      sym__declarator,
    STATE(7989), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229870] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(7560), 1,
      sym__type_specifier,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229944] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_primitive_type,
    ACTIONS(9409), 1,
      anon_sym_enum,
    ACTIONS(9411), 1,
      anon_sym_class,
    ACTIONS(9413), 1,
      anon_sym_struct,
    ACTIONS(9415), 1,
      anon_sym_union,
    ACTIONS(9417), 1,
      sym_auto,
    ACTIONS(9419), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_typename,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3424), 1,
      sym__type_specifier,
    STATE(4060), 1,
      sym_decltype_auto,
    STATE(4078), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230018] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5167), 1,
      sym_identifier,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    STATE(3038), 1,
      sym__type_specifier,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4092), 1,
      sym_qualified_type_identifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230092] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9266), 1,
      sym_identifier,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9272), 1,
      sym_primitive_type,
    ACTIONS(9274), 1,
      anon_sym_enum,
    ACTIONS(9276), 1,
      anon_sym_class,
    ACTIONS(9278), 1,
      anon_sym_struct,
    ACTIONS(9280), 1,
      anon_sym_union,
    ACTIONS(9282), 1,
      sym_auto,
    ACTIONS(9284), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_typename,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3187), 1,
      sym__type_specifier,
    STATE(3721), 1,
      sym_decltype_auto,
    STATE(3746), 1,
      sym_qualified_type_identifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3495), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230166] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3192), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(8964), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [230224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9401), 1,
      sym_identifier,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9407), 1,
      sym_primitive_type,
    ACTIONS(9409), 1,
      anon_sym_enum,
    ACTIONS(9411), 1,
      anon_sym_class,
    ACTIONS(9413), 1,
      anon_sym_struct,
    ACTIONS(9415), 1,
      anon_sym_union,
    ACTIONS(9417), 1,
      sym_auto,
    ACTIONS(9419), 1,
      anon_sym_decltype,
    ACTIONS(9421), 1,
      anon_sym_typename,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3412), 1,
      sym__type_specifier,
    STATE(4060), 1,
      sym_decltype_auto,
    STATE(4078), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4065), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230298] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_const,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7420), 1,
      sym__abstract_declarator,
    STATE(5762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8712), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8036), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [230358] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6678), 1,
      sym__declarator,
    STATE(8168), 1,
      sym_init_declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [230428] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9266), 1,
      sym_identifier,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9272), 1,
      sym_primitive_type,
    ACTIONS(9274), 1,
      anon_sym_enum,
    ACTIONS(9276), 1,
      anon_sym_class,
    ACTIONS(9278), 1,
      anon_sym_struct,
    ACTIONS(9280), 1,
      anon_sym_union,
    ACTIONS(9282), 1,
      sym_auto,
    ACTIONS(9284), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_typename,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3200), 1,
      sym__type_specifier,
    STATE(3721), 1,
      sym_decltype_auto,
    STATE(3746), 1,
      sym_qualified_type_identifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3495), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230502] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9457), 1,
      sym_primitive_type,
    ACTIONS(9459), 1,
      anon_sym_enum,
    ACTIONS(9461), 1,
      anon_sym_class,
    ACTIONS(9463), 1,
      anon_sym_struct,
    ACTIONS(9465), 1,
      anon_sym_union,
    ACTIONS(9467), 1,
      sym_auto,
    ACTIONS(9469), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_typename,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4754), 1,
      sym__type_specifier,
    STATE(4831), 1,
      sym_decltype_auto,
    STATE(4833), 1,
      sym_qualified_type_identifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(4782), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4844), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230576] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7958), 1,
      sym_identifier,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7964), 1,
      sym_primitive_type,
    STATE(2166), 1,
      sym__type_specifier,
    STATE(2324), 1,
      sym_decltype_auto,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2422), 1,
      sym_qualified_type_identifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(2154), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2325), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230650] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8850), 1,
      sym_identifier,
    ACTIONS(8852), 1,
      anon_sym_LPAREN2,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(8858), 1,
      sym_primitive_type,
    STATE(3136), 1,
      sym__type_declarator,
    STATE(3461), 1,
      sym_pointer_type_declarator,
    STATE(8964), 1,
      sym_ms_based_modifier,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8856), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3459), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [230708] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4011), 1,
      sym_primitive_type,
    ACTIONS(7966), 1,
      sym_identifier,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7970), 1,
      anon_sym_enum,
    ACTIONS(7972), 1,
      anon_sym_class,
    ACTIONS(7974), 1,
      anon_sym_struct,
    ACTIONS(7976), 1,
      anon_sym_union,
    ACTIONS(7978), 1,
      anon_sym_typename,
    STATE(3062), 1,
      sym_decltype_auto,
    STATE(3618), 1,
      sym_qualified_type_identifier,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(7546), 1,
      sym__type_specifier,
    STATE(9400), 1,
      sym_dependent_type_identifier,
    STATE(3039), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3102), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230782] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2534), 1,
      sym__class_declaration_item,
    STATE(2539), 1,
      sym__class_declaration,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6030), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5824), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5764), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5766), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230935] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7205), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231002] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3560), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231081] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3560), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231160] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3560), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3762), 1,
      sym__class_declaration,
    STATE(3770), 1,
      sym__class_declaration_item,
    STATE(6300), 1,
      sym_ms_declspec_modifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6040), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231318] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3441), 1,
      sym__class_declaration,
    STATE(3554), 1,
      sym__class_declaration_item,
    STATE(6310), 1,
      sym_ms_declspec_modifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6053), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231397] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3554), 1,
      sym__class_declaration_item,
    STATE(3563), 1,
      sym__class_declaration,
    STATE(6310), 1,
      sym_ms_declspec_modifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6053), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231476] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3536), 1,
      sym__class_declaration,
    STATE(3554), 1,
      sym__class_declaration_item,
    STATE(6310), 1,
      sym_ms_declspec_modifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6313), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6053), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7147), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231622] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(5663), 1,
      sym__class_declaration,
    STATE(6315), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6059), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231701] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7371), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7199), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7164), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231902] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3543), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231981] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3543), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232060] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3543), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232139] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(6097), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5789), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5787), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [232184] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7337), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232251] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7230), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232397] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232476] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6277), 1,
      sym_ms_declspec_modifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6038), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232555] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7171), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7172), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232689] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7383), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232756] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6277), 1,
      sym_ms_declspec_modifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6038), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7174), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7545), 1,
      anon_sym_STAR,
    ACTIONS(7547), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7549), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(6944), 1,
      sym__declarator,
    STATE(9661), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232969] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233048] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7180), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233115] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233182] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233261] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(7382), 1,
      sym__declarator,
    STATE(8951), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233407] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3440), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(7516), 1,
      anon_sym_STAR,
    ACTIONS(7518), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7520), 1,
      anon_sym_AMP,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(6943), 1,
      sym__declarator,
    STATE(8804), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233632] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3574), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233711] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7166), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5876), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2339), 1,
      sym__class_declaration,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6309), 1,
      sym_ms_declspec_modifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233894] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6309), 1,
      sym_ms_declspec_modifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233973] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6309), 1,
      sym_ms_declspec_modifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6051), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_COLON,
    STATE(2284), 1,
      sym_attribute_specifier,
    STATE(6062), 1,
      sym__enum_base_clause,
    STATE(6127), 1,
      sym_enumerator_list,
    ACTIONS(6162), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6160), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [234101] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3574), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234180] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7221), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234247] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5748), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3550), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234521] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3283), 1,
      sym__class_declaration,
    STATE(3286), 1,
      sym__class_declaration_item,
    STATE(6240), 1,
      sym_ms_declspec_modifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6254), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6060), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234600] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7190), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234667] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3574), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234746] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7210), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234813] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235050] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3284), 1,
      sym__class_declaration,
    STATE(3286), 1,
      sym__class_declaration_item,
    STATE(6240), 1,
      sym_ms_declspec_modifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6254), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6060), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235129] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235196] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7197), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235263] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7176), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235330] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3485), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3485), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235488] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3485), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2486), 1,
      sym__class_declaration,
    STATE(2534), 1,
      sym__class_declaration_item,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6030), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5637), 1,
      sym__class_declaration,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(6315), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6059), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235725] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2487), 1,
      sym__class_declaration,
    STATE(2534), 1,
      sym__class_declaration_item,
    STATE(6307), 1,
      sym_ms_declspec_modifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6030), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235804] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3752), 1,
      sym__class_declaration,
    STATE(3770), 1,
      sym__class_declaration_item,
    STATE(6300), 1,
      sym_ms_declspec_modifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6040), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235920] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7215), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235987] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7348), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236054] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7184), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236121] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3764), 1,
      sym__class_declaration,
    STATE(3770), 1,
      sym__class_declaration_item,
    STATE(6300), 1,
      sym_ms_declspec_modifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6040), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7358), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236267] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7184), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5872), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236371] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236450] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3286), 1,
      sym__class_declaration_item,
    STATE(3287), 1,
      sym__class_declaration,
    STATE(6240), 1,
      sym_ms_declspec_modifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6254), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6060), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236529] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6277), 1,
      sym_ms_declspec_modifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6038), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236608] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5638), 1,
      sym__class_declaration,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(6315), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6312), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6059), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236687] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7340), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236754] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5403), 1,
      sym_identifier,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(7380), 1,
      sym__declarator,
    STATE(9543), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236821] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6263), 1,
      sym_ms_declspec_modifier,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6264), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6033), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236900] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6032), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5888), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237016] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6032), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237095] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6311), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6032), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237174] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9529), 1,
      anon_sym_requires,
    STATE(6914), 1,
      sym__function_attributes_end,
    STATE(7101), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6151), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [237243] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9473), 1,
      anon_sym_requires,
    STATE(6917), 1,
      sym__function_attributes_end,
    STATE(7108), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6153), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [237312] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 1,
      sym_identifier,
    ACTIONS(7574), 1,
      anon_sym_STAR,
    ACTIONS(7576), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7578), 1,
      anon_sym_AMP,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(7220), 1,
      sym__declarator,
    STATE(8815), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [237458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5515), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5884), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5896), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9523), 1,
      anon_sym_COLON,
    STATE(2308), 1,
      sym_attribute_specifier,
    STATE(6063), 1,
      sym__enum_base_clause,
    STATE(6146), 1,
      sym_enumerator_list,
    ACTIONS(6168), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6166), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237618] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4086), 1,
      sym__class_declaration_item,
    STATE(4089), 1,
      sym__class_declaration,
    STATE(6281), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6061), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4086), 1,
      sym__class_declaration_item,
    STATE(4087), 1,
      sym__class_declaration,
    STATE(6281), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6061), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4085), 1,
      sym__class_declaration,
    STATE(4086), 1,
      sym__class_declaration_item,
    STATE(6281), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6061), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5667), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5669), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237971] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238050] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9534), 1,
      anon_sym_COLON,
    STATE(5584), 1,
      sym__enum_base_clause,
    STATE(5604), 1,
      sym_enumerator_list,
    STATE(5666), 1,
      sym_attribute_specifier,
    ACTIONS(6166), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6168), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238099] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6048), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238178] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6048), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5515), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9534), 1,
      anon_sym_COLON,
    STATE(5591), 1,
      sym__enum_base_clause,
    STATE(5614), 1,
      sym_enumerator_list,
    STATE(5644), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6162), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [238343] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2339), 1,
      sym__class_declaration,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6283), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6048), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238422] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6054), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6172), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7524), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7242), 1,
      sym__declarator,
    STATE(8888), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6968), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [238568] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6054), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238647] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6054), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5854), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5858), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5862), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5866), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3078), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3483), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5880), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [238990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5705), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239027] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(3535), 1,
      sym__class_declaration,
    STATE(6346), 1,
      sym_ms_declspec_modifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6043), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4835), 1,
      sym__class_declaration,
    STATE(4837), 1,
      sym__class_declaration_item,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6333), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6041), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5707), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5709), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5733), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5725), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3513), 1,
      sym__class_declaration,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(6346), 1,
      sym_ms_declspec_modifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6043), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239375] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(5982), 1,
      sym__class_declaration,
    STATE(5983), 1,
      sym__class_declaration_item,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      sym_ms_restrict_modifier,
    STATE(6115), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7902), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9547), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9550), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5996), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7904), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239501] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4836), 1,
      sym__class_declaration,
    STATE(4837), 1,
      sym__class_declaration_item,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6333), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6041), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239580] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3510), 1,
      sym__class_declaration,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(6346), 1,
      sym_ms_declspec_modifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6043), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5721), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239696] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6856), 1,
      sym__function_attributes_end,
    STATE(7096), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6154), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9248), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239765] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6845), 1,
      sym__function_attributes_end,
    STATE(7103), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6158), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5713), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239871] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2339), 1,
      sym__class_declaration,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6276), 1,
      sym_ms_declspec_modifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6260), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6055), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239950] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(2338), 1,
      sym__class_declaration,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6276), 1,
      sym_ms_declspec_modifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6260), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6055), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5705), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5681), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5683), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5673), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(3535), 1,
      sym__class_declaration,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6057), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(5983), 1,
      sym__class_declaration_item,
    STATE(5984), 1,
      sym__class_declaration,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240298] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2333), 1,
      sym__class_declaration,
    STATE(2334), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6276), 1,
      sym_ms_declspec_modifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6260), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6055), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240377] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(5983), 1,
      sym__class_declaration_item,
    STATE(5985), 1,
      sym__class_declaration,
    STATE(6259), 1,
      sym_ms_declspec_modifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6034), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240456] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4717), 1,
      sym__class_declaration_item,
    STATE(4718), 1,
      sym__class_declaration,
    STATE(6266), 1,
      sym_ms_declspec_modifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6050), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5713), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5713), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240609] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3513), 1,
      sym__class_declaration,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6057), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240688] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4714), 1,
      sym__class_declaration,
    STATE(4717), 1,
      sym__class_declaration_item,
    STATE(6266), 1,
      sym_ms_declspec_modifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6050), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3510), 1,
      sym__class_declaration,
    STATE(3534), 1,
      sym__class_declaration_item,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6057), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240846] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4713), 1,
      sym__class_declaration,
    STATE(4717), 1,
      sym__class_declaration_item,
    STATE(6266), 1,
      sym_ms_declspec_modifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6270), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6050), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5679), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [240962] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(5663), 1,
      sym__class_declaration,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6042), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5797), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5799), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3127), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3483), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241157] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4837), 1,
      sym__class_declaration_item,
    STATE(4838), 1,
      sym__class_declaration,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6333), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6041), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5793), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5795), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241273] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5638), 1,
      sym__class_declaration,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6042), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5744), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241389] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5637), 1,
      sym__class_declaration,
    STATE(5650), 1,
      sym__class_declaration_item,
    STATE(6296), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6304), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6042), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241468] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3076), 1,
      sym__class_declaration_item,
    STATE(3116), 1,
      sym__class_declaration,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6349), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3483), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6044), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5756), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241584] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2518), 1,
      sym__class_declaration_item,
    STATE(6256), 1,
      sym_ms_declspec_modifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241660] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym_requires,
    STATE(6572), 1,
      sym__function_attributes_end,
    STATE(6748), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [241722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3074), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6337), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241798] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3074), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6347), 1,
      sym_ms_declspec_modifier,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6343), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241874] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(6014), 1,
      sym__class_declaration_item,
    STATE(6274), 1,
      sym_ms_declspec_modifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6573), 1,
      sym__function_attributes_end,
    STATE(6721), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242012] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(6174), 1,
      anon_sym_COLON,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7566), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(8750), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7543), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242128] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3074), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6261), 1,
      sym_ms_declspec_modifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6258), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9566), 1,
      anon_sym_requires,
    STATE(6570), 1,
      sym__function_attributes_end,
    STATE(6709), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242266] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3723), 1,
      sym__class_declaration_item,
    STATE(6293), 1,
      sym_ms_declspec_modifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242342] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4801), 1,
      sym__class_declaration_item,
    STATE(6328), 1,
      sym_ms_declspec_modifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6329), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5646), 1,
      sym__class_declaration_item,
    STATE(6318), 1,
      sym_ms_declspec_modifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242494] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3451), 1,
      sym__class_declaration_item,
    STATE(6334), 1,
      sym_ms_declspec_modifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242570] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3074), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(6262), 1,
      sym_ms_declspec_modifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6271), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6576), 1,
      sym__function_attributes_end,
    STATE(6703), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242708] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6571), 1,
      sym__function_attributes_end,
    STATE(6700), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242770] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(7607), 1,
      anon_sym_LPAREN2,
    STATE(2549), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4093), 1,
      sym_argument_list,
    STATE(4094), 1,
      sym_initializer_list,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6015), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5515), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [242818] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2282), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(6284), 1,
      sym_ms_declspec_modifier,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242894] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(6579), 1,
      sym__function_attributes_end,
    STATE(6737), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242956] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4688), 1,
      sym__class_declaration_item,
    STATE(6241), 1,
      sym_ms_declspec_modifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243032] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2282), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6314), 1,
      sym_ms_declspec_modifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(7099), 1,
      anon_sym_COLON,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7562), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [243166] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3545), 1,
      sym__class_declaration_item,
    STATE(6323), 1,
      sym_ms_declspec_modifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243242] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3074), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(6242), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243318] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2282), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(6326), 1,
      sym_ms_declspec_modifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243394] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8616), 1,
      anon_sym_const,
    ACTIONS(8712), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7572), 1,
      sym__abstract_declarator,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8608), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [243452] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3451), 1,
      sym__class_declaration_item,
    STATE(6245), 1,
      sym_ms_declspec_modifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6048), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6046), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [243568] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5646), 1,
      sym__class_declaration_item,
    STATE(6272), 1,
      sym_ms_declspec_modifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6273), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243644] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3255), 1,
      sym__class_declaration_item,
    STATE(6251), 1,
      sym_ms_declspec_modifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6252), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243720] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5409), 1,
      anon_sym___attribute__,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym___declspec,
    ACTIONS(5419), 1,
      anon_sym_alignas,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4129), 1,
      sym__class_declaration_item,
    STATE(6303), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_attribute_specifier,
    STATE(6144), 1,
      sym_enumerator_list,
    ACTIONS(5840), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5838), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    STATE(2346), 1,
      sym_attribute_specifier,
    STATE(6141), 1,
      sym_enumerator_list,
    ACTIONS(5783), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5781), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym___attribute__,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6507), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [243943] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(6097), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4103), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9572), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4095), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243988] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym___attribute__,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6477), 1,
      sym__function_attributes_end,
    STATE(6529), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244110] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym___attribute__,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    STATE(6497), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9190), 1,
      anon_sym___attribute__,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6489), 1,
      sym__function_attributes_end,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244232] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9371), 1,
      anon_sym___attribute__,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6494), 1,
      sym__function_attributes_end,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [244293] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6958), 1,
      sym__function_attributes_end,
    STATE(7178), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6199), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244360] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6956), 1,
      sym__function_attributes_end,
    STATE(7159), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6187), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244427] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6964), 1,
      sym__function_attributes_end,
    STATE(7217), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6210), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244494] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6901), 1,
      sym_trailing_return_type,
    STATE(7120), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6177), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244561] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7113), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6182), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244628] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6174), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244695] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6889), 1,
      sym_trailing_return_type,
    STATE(7107), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6184), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244762] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_noexcept,
    ACTIONS(7632), 1,
      anon_sym_throw,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_requires,
    STATE(6965), 1,
      sym__function_attributes_end,
    STATE(7189), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6211), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [244829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 1,
      sym_auto,
    ACTIONS(5541), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    ACTIONS(9591), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6167), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9589), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [244873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8106), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8108), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [244907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5770), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5768), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [244943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6032), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6030), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [244981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5539), 1,
      sym_auto,
    ACTIONS(5541), 1,
      anon_sym_decltype,
    STATE(2345), 1,
      sym_decltype_auto,
    ACTIONS(9598), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(6169), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9596), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [245025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6503), 1,
      sym__function_attributes_end,
    STATE(6529), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9600), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [245085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6019), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9603), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6017), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6105), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6038), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9606), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6036), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6499), 1,
      sym_trailing_return_type,
    STATE(6580), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [245221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6490), 1,
      sym_trailing_return_type,
    STATE(6677), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [245281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6524), 1,
      sym__function_attributes_end,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(6590), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245401] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6587), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(6679), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [245521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    STATE(6482), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [245581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    STATE(6517), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9600), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [245641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6644), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    STATE(6681), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6044), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9612), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6042), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6454), 1,
      sym__function_attributes_end,
    STATE(6499), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9600), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym__function_attributes_end,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [245979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    STATE(6516), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [246039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6095), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9615), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6097), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6528), 1,
      sym__function_attributes_end,
    STATE(6544), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9600), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [246137] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6470), 1,
      sym__function_attributes_end,
    STATE(6523), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [246197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6025), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9621), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6023), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    STATE(6515), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [246295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6449), 1,
      sym__function_attributes_end,
    STATE(6466), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9242), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [246355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    STATE(6666), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246415] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6544), 1,
      sym_trailing_return_type,
    STATE(6658), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [246475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(6661), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [246535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2521), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5805), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9624), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5808), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6453), 1,
      sym__function_attributes_end,
    STATE(6490), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9482), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [246633] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym_trailing_return_type,
    STATE(6667), 1,
      sym__function_attributes_end,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [246693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9628), 1,
      sym_identifier,
    ACTIONS(9634), 1,
      sym_primitive_type,
    STATE(6111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5828), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9631), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5830), 16,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [246735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8102), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8104), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [246769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2343), 1,
      sym_attribute_specifier,
    ACTIONS(5936), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5934), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246806] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6750), 1,
      sym__function_attributes_end,
    STATE(6915), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [246865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5521), 1,
      anon_sym_LBRACE,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5515), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [246902] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    ACTIONS(9639), 1,
      anon_sym_LBRACE,
    ACTIONS(9643), 1,
      anon_sym_requires,
    STATE(2914), 1,
      sym_template_type,
    STATE(3606), 1,
      sym_requirement_seq,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(8460), 1,
      sym_requires_parameter_list,
    ACTIONS(9641), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3610), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [246963] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9645), 1,
      anon_sym_LPAREN2,
    ACTIONS(9647), 1,
      anon_sym_LBRACE,
    ACTIONS(9651), 1,
      anon_sym_requires,
    STATE(2177), 1,
      sym_template_type,
    STATE(2944), 1,
      sym_requirement_seq,
    STATE(6675), 1,
      sym_lambda_capture_specifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(8452), 1,
      sym_requires_parameter_list,
    ACTIONS(9649), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2939), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_requires,
    STATE(6696), 1,
      sym__function_attributes_end,
    STATE(6888), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [247083] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    ACTIONS(9656), 1,
      anon_sym_LPAREN2,
    ACTIONS(9658), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_requires,
    STATE(3037), 1,
      sym_template_type,
    STATE(4114), 1,
      sym_requirement_seq,
    STATE(6624), 1,
      sym_lambda_capture_specifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(8342), 1,
      sym_requires_parameter_list,
    ACTIONS(9660), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4115), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247144] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6820), 1,
      sym__function_attributes_end,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [247203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6736), 1,
      sym__function_attributes_end,
    STATE(6875), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [247262] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    ACTIONS(9664), 1,
      anon_sym_LPAREN2,
    ACTIONS(9666), 1,
      anon_sym_LBRACE,
    ACTIONS(9670), 1,
      anon_sym_requires,
    STATE(3162), 1,
      sym_template_type,
    STATE(4942), 1,
      sym_requirement_seq,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(8507), 1,
      sym_requires_parameter_list,
    ACTIONS(9668), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5525), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247323] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6770), 1,
      sym__function_attributes_end,
    STATE(6901), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [247382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2295), 1,
      sym_attribute_specifier,
    ACTIONS(5944), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5942), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [247419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6809), 1,
      sym__function_attributes_end,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [247478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6833), 1,
      sym__function_attributes_end,
    STATE(6889), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [247537] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    ACTIONS(9672), 1,
      anon_sym_LPAREN2,
    ACTIONS(9674), 1,
      anon_sym_LBRACE,
    ACTIONS(9678), 1,
      anon_sym_requires,
    STATE(2158), 1,
      sym_template_type,
    STATE(4006), 1,
      sym_requirement_seq,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(8403), 1,
      sym_requires_parameter_list,
    ACTIONS(9676), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4852), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247598] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    ACTIONS(9680), 1,
      anon_sym_LPAREN2,
    ACTIONS(9682), 1,
      anon_sym_LBRACE,
    ACTIONS(9686), 1,
      anon_sym_requires,
    STATE(3236), 1,
      sym_template_type,
    STATE(4380), 1,
      sym_requirement_seq,
    STATE(6616), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8593), 1,
      sym_requires_parameter_list,
    ACTIONS(9684), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4387), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    ACTIONS(9672), 1,
      anon_sym_LPAREN2,
    ACTIONS(9674), 1,
      anon_sym_LBRACE,
    ACTIONS(9678), 1,
      anon_sym_requires,
    STATE(4006), 1,
      sym_requirement_seq,
    STATE(4339), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(8403), 1,
      sym_requires_parameter_list,
    ACTIONS(9688), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4847), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247720] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    ACTIONS(9690), 1,
      anon_sym_LPAREN2,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    ACTIONS(9696), 1,
      anon_sym_requires,
    STATE(3117), 1,
      sym_template_type,
    STATE(4170), 1,
      sym_requirement_seq,
    STATE(6588), 1,
      sym_lambda_capture_specifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(8338), 1,
      sym_requires_parameter_list,
    ACTIONS(9694), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4228), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [247781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9609), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6753), 1,
      sym__function_attributes_end,
    STATE(6857), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [247840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2286), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5966), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [247877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2269), 1,
      sym_attribute_specifier,
    ACTIONS(5964), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5962), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [247914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9476), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    STATE(6702), 1,
      sym__function_attributes_end,
    STATE(6934), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [247973] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    ACTIONS(9698), 1,
      anon_sym_LPAREN2,
    ACTIONS(9700), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_requires,
    STATE(4498), 1,
      sym_template_type,
    STATE(4985), 1,
      sym_requirement_seq,
    STATE(6645), 1,
      sym_lambda_capture_specifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(8499), 1,
      sym_requires_parameter_list,
    ACTIONS(9702), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4986), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [248034] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9224), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_requires,
    STATE(6729), 1,
      sym__function_attributes_end,
    STATE(6932), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [248093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2301), 1,
      sym_attribute_specifier,
    ACTIONS(5990), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5988), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2292), 1,
      sym_attribute_specifier,
    ACTIONS(5982), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5980), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9706), 1,
      anon_sym_requires,
    STATE(6779), 1,
      sym__function_attributes_end,
    STATE(6865), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [248226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2347), 1,
      sym_attribute_specifier,
    ACTIONS(5986), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5984), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2344), 1,
      sym_attribute_specifier,
    ACTIONS(5994), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5992), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2277), 1,
      sym_attribute_specifier,
    ACTIONS(5978), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5976), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2349), 1,
      sym_attribute_specifier,
    ACTIONS(5998), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5996), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2281), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5972), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248411] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2309), 1,
      sym_attribute_specifier,
    ACTIONS(5932), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5930), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248448] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6818), 1,
      sym__function_attributes_end,
    STATE(6894), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [248507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6102), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5515), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9709), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5513), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [248543] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9712), 1,
      anon_sym_requires,
    STATE(6904), 1,
      sym__function_attributes_end,
    STATE(7090), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [248601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7922), 1,
      anon_sym_STAR,
    ACTIONS(7924), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7926), 1,
      anon_sym_AMP,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6793), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248649] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9529), 1,
      anon_sym_requires,
    STATE(6914), 1,
      sym__function_attributes_end,
    STATE(7101), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [248707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6862), 1,
      sym__function_attributes_end,
    STATE(7093), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [248765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9473), 1,
      anon_sym_requires,
    STATE(6917), 1,
      sym__function_attributes_end,
    STATE(7108), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [248823] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7936), 1,
      anon_sym_STAR,
    ACTIONS(7938), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7940), 1,
      anon_sym_AMP,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6812), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [248871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5521), 1,
      anon_sym_LBRACE,
    ACTIONS(5513), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5515), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [248905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6856), 1,
      sym__function_attributes_end,
    STATE(7096), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [248963] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(6676), 1,
      sym_ms_call_modifier,
    STATE(7335), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [249017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      anon_sym_STAR,
    ACTIONS(7954), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7956), 1,
      anon_sym_AMP,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6757), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [249065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6845), 1,
      sym__function_attributes_end,
    STATE(7103), 1,
      sym_trailing_return_type,
    STATE(7500), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6220), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6532), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [249123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8030), 1,
      anon_sym_STAR,
    ACTIONS(8032), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8034), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(6949), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [249170] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(6755), 1,
      sym_ms_call_modifier,
    STATE(7411), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [249221] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(6735), 1,
      sym_ms_call_modifier,
    STATE(7414), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [249272] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(6743), 1,
      sym_ms_call_modifier,
    STATE(7415), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [249323] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 1,
      anon_sym_AMP,
    ACTIONS(9718), 1,
      anon_sym_const,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5508), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9715), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [249360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9723), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9721), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [249395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(6754), 1,
      sym_ms_call_modifier,
    STATE(7426), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [249446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9727), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5692), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9725), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [249481] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(6728), 1,
      sym_ms_call_modifier,
    STATE(7399), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [249532] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_requires,
    ACTIONS(9729), 1,
      anon_sym_LPAREN2,
    STATE(3162), 1,
      sym_template_type,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7291), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249584] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_requires,
    ACTIONS(9733), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6675), 1,
      sym_lambda_capture_specifier,
    STATE(7279), 1,
      sym__scope_resolution,
    ACTIONS(9735), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2921), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249636] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9739), 1,
      anon_sym_SEMI,
    ACTIONS(9741), 1,
      anon_sym_LBRACE,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9745), 1,
      anon_sym_EQ,
    ACTIONS(9747), 1,
      anon_sym_COLON,
    ACTIONS(9749), 1,
      anon_sym_try,
    STATE(2185), 1,
      sym_compound_statement,
    STATE(2186), 1,
      sym_default_method_clause,
    STATE(2187), 1,
      sym_delete_method_clause,
    STATE(2188), 1,
      sym_try_statement,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7542), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7549), 1,
      sym_initializer_list,
    STATE(7556), 1,
      sym_bitfield_clause,
    STATE(9486), 1,
      sym_attribute_specifier,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249704] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6901), 1,
      sym_trailing_return_type,
    STATE(7120), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
  [249760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9753), 1,
      anon_sym_LPAREN2,
    STATE(6431), 1,
      sym_preproc_argument_list,
    ACTIONS(9755), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9751), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [249794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7307), 1,
      sym__scope_resolution,
    ACTIONS(9759), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7225), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249846] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6894), 1,
      sym_trailing_return_type,
    STATE(7118), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9559), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
  [249902] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON,
    ACTIONS(9763), 1,
      anon_sym_SEMI,
    ACTIONS(9765), 1,
      anon_sym_LBRACE,
    ACTIONS(9767), 1,
      anon_sym_EQ,
    ACTIONS(9769), 1,
      anon_sym_try,
    STATE(2473), 1,
      sym_try_statement,
    STATE(2474), 1,
      sym_delete_method_clause,
    STATE(2475), 1,
      sym_default_method_clause,
    STATE(2476), 1,
      sym_compound_statement,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7512), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7575), 1,
      sym_initializer_list,
    STATE(7576), 1,
      sym_bitfield_clause,
    STATE(9246), 1,
      sym_attribute_specifier,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [249970] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    ACTIONS(9773), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6940), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    ACTIONS(9779), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4879), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym_trailing_return_type,
    STATE(7113), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
  [250130] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6889), 1,
      sym_trailing_return_type,
    STATE(7107), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
  [250186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_STAR,
    ACTIONS(8112), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8114), 1,
      anon_sym_AMP,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(6994), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250232] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9706), 1,
      anon_sym_requires,
    STATE(6865), 1,
      sym_trailing_return_type,
    STATE(7088), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9559), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
  [250288] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_requires,
    ACTIONS(9729), 1,
      anon_sym_LPAREN2,
    STATE(3162), 1,
      sym_template_type,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7293), 1,
      sym__scope_resolution,
    ACTIONS(9731), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5013), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250340] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7302), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6953), 1,
      sym__function_attributes_end,
    STATE(7156), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9559), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
  [250448] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    ACTIONS(9783), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7301), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250500] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_requires,
    ACTIONS(9733), 1,
      anon_sym_LPAREN2,
    STATE(2177), 1,
      sym_template_type,
    STATE(6675), 1,
      sym_lambda_capture_specifier,
    STATE(7279), 1,
      sym__scope_resolution,
    ACTIONS(9785), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2922), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250552] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7307), 1,
      sym__scope_resolution,
    ACTIONS(9787), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7151), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250604] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7307), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6450), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250656] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_requires,
    ACTIONS(9729), 1,
      anon_sym_LPAREN2,
    STATE(3162), 1,
      sym_template_type,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7293), 1,
      sym__scope_resolution,
    ACTIONS(9791), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7139), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250708] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8092), 1,
      anon_sym_STAR,
    ACTIONS(8094), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8096), 1,
      anon_sym_AMP,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7033), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [250754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    ACTIONS(9686), 1,
      anon_sym_requires,
    ACTIONS(9793), 1,
      anon_sym_LPAREN2,
    STATE(3236), 1,
      sym_template_type,
    STATE(6616), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(9795), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4368), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    ACTIONS(9696), 1,
      anon_sym_requires,
    ACTIONS(9797), 1,
      anon_sym_LPAREN2,
    STATE(3117), 1,
      sym_template_type,
    STATE(6588), 1,
      sym_lambda_capture_specifier,
    STATE(7276), 1,
      sym__scope_resolution,
    ACTIONS(9799), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4225), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250858] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      anon_sym_requires,
    ACTIONS(9801), 1,
      anon_sym_LPAREN2,
    STATE(2914), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7318), 1,
      sym__scope_resolution,
    ACTIONS(9803), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3597), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250910] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7283), 1,
      sym__scope_resolution,
    ACTIONS(9805), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6565), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250962] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    ACTIONS(9696), 1,
      anon_sym_requires,
    ACTIONS(9797), 1,
      anon_sym_LPAREN2,
    STATE(3117), 1,
      sym_template_type,
    STATE(6588), 1,
      sym_lambda_capture_specifier,
    STATE(7276), 1,
      sym__scope_resolution,
    ACTIONS(9807), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4185), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251014] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6956), 1,
      sym__function_attributes_end,
    STATE(7159), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251122] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7319), 1,
      sym__scope_resolution,
    ACTIONS(9809), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7280), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251174] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    ACTIONS(9686), 1,
      anon_sym_requires,
    ACTIONS(9793), 1,
      anon_sym_LPAREN2,
    STATE(3236), 1,
      sym_template_type,
    STATE(6616), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(9811), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4367), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      anon_sym_requires,
    ACTIONS(9801), 1,
      anon_sym_LPAREN2,
    STATE(2914), 1,
      sym_template_type,
    STATE(6589), 1,
      sym_lambda_capture_specifier,
    STATE(7318), 1,
      sym__scope_resolution,
    ACTIONS(9813), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3614), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7283), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2039), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251330] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4037), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(9817), 1,
      sym_identifier,
    ACTIONS(9819), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6205), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym_operator_cast,
    STATE(7677), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [251400] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7283), 1,
      sym__scope_resolution,
    ACTIONS(9821), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6504), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_requires,
    ACTIONS(9729), 1,
      anon_sym_LPAREN2,
    STATE(3162), 1,
      sym_template_type,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7293), 1,
      sym__scope_resolution,
    ACTIONS(9823), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7126), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251504] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(6964), 1,
      sym__function_attributes_end,
    STATE(7217), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251560] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    ACTIONS(9825), 1,
      sym_identifier,
    ACTIONS(9827), 1,
      anon_sym_TILDE,
    ACTIONS(9829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9831), 1,
      anon_sym_template,
    ACTIONS(9833), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6209), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym_operator_cast,
    STATE(7677), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9400), 1,
      sym_decltype,
    STATE(9633), 1,
      sym_ms_based_modifier,
  [251630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_requires,
    STATE(6965), 1,
      sym__function_attributes_end,
    STATE(7189), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9248), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9577), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9835), 1,
      anon_sym_requires,
    STATE(6966), 1,
      sym__function_attributes_end,
    STATE(7163), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9559), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    ACTIONS(9670), 1,
      anon_sym_requires,
    ACTIONS(9729), 1,
      anon_sym_LPAREN2,
    STATE(3162), 1,
      sym_template_type,
    STATE(6597), 1,
      sym_lambda_capture_specifier,
    STATE(7291), 1,
      sym__scope_resolution,
    ACTIONS(9838), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5496), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7285), 1,
      sym__scope_resolution,
    ACTIONS(9840), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6479), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251846] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON,
    ACTIONS(9842), 1,
      anon_sym_SEMI,
    ACTIONS(9844), 1,
      anon_sym_LBRACE,
    ACTIONS(9846), 1,
      anon_sym_EQ,
    ACTIONS(9848), 1,
      anon_sym_try,
    STATE(2684), 1,
      sym_compound_statement,
    STATE(2685), 1,
      sym_default_method_clause,
    STATE(2688), 1,
      sym_delete_method_clause,
    STATE(2690), 1,
      sym_try_statement,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7514), 1,
      sym_bitfield_clause,
    STATE(7559), 1,
      sym_initializer_list,
    STATE(7563), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9058), 1,
      sym_attribute_specifier,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [251914] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    ACTIONS(9850), 1,
      sym_identifier,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    STATE(2839), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7316), 1,
      sym__scope_resolution,
    ACTIONS(9854), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2825), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251966] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    ACTIONS(9662), 1,
      anon_sym_requires,
    ACTIONS(9856), 1,
      anon_sym_LPAREN2,
    STATE(3037), 1,
      sym_template_type,
    STATE(6624), 1,
      sym_lambda_capture_specifier,
    STATE(7273), 1,
      sym__scope_resolution,
    ACTIONS(9858), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3985), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252018] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      sym_identifier,
    ACTIONS(9862), 1,
      anon_sym_COLON_COLON,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7272), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    ACTIONS(9662), 1,
      anon_sym_requires,
    ACTIONS(9856), 1,
      anon_sym_LPAREN2,
    STATE(3037), 1,
      sym_template_type,
    STATE(6624), 1,
      sym_lambda_capture_specifier,
    STATE(7273), 1,
      sym__scope_resolution,
    ACTIONS(9864), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252122] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7285), 1,
      sym__scope_resolution,
    ACTIONS(9866), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6459), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(9870), 1,
      anon_sym_LBRACK,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252212] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    ACTIONS(9704), 1,
      anon_sym_requires,
    ACTIONS(9872), 1,
      anon_sym_LPAREN2,
    STATE(4498), 1,
      sym_template_type,
    STATE(6645), 1,
      sym_lambda_capture_specifier,
    STATE(7314), 1,
      sym__scope_resolution,
    ACTIONS(9874), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5026), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    ACTIONS(9850), 1,
      sym_identifier,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    STATE(2839), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7316), 1,
      sym__scope_resolution,
    ACTIONS(9876), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2859), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    ACTIONS(9850), 1,
      sym_identifier,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    STATE(2839), 1,
      sym_template_type,
    STATE(6598), 1,
      sym_lambda_capture_specifier,
    STATE(7316), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2039), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON,
    ACTIONS(9878), 1,
      anon_sym_SEMI,
    ACTIONS(9880), 1,
      anon_sym_LBRACE,
    ACTIONS(9882), 1,
      anon_sym_EQ,
    ACTIONS(9884), 1,
      anon_sym_try,
    STATE(2719), 1,
      sym_try_statement,
    STATE(2722), 1,
      sym_delete_method_clause,
    STATE(2724), 1,
      sym_default_method_clause,
    STATE(2729), 1,
      sym_compound_statement,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7568), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7573), 1,
      sym_initializer_list,
    STATE(7574), 1,
      sym_bitfield_clause,
    STATE(8953), 1,
      sym_attribute_specifier,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [252436] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      sym_identifier,
    ACTIONS(9862), 1,
      anon_sym_COLON_COLON,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7272), 1,
      sym__scope_resolution,
    ACTIONS(9886), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6893), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252488] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    ACTIONS(9888), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6853), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252540] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      sym_identifier,
    ACTIONS(9862), 1,
      anon_sym_COLON_COLON,
    STATE(2158), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7272), 1,
      sym__scope_resolution,
    ACTIONS(9890), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6884), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252592] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9542), 1,
      sym_identifier,
    ACTIONS(9892), 1,
      anon_sym_LPAREN2,
    ACTIONS(9896), 1,
      anon_sym_requires,
    STATE(5560), 1,
      sym_template_type,
    STATE(6627), 1,
      sym_lambda_capture_specifier,
    STATE(7292), 1,
      sym__scope_resolution,
    ACTIONS(9894), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6705), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252644] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9761), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6639), 1,
      sym_lambda_capture_specifier,
    STATE(7285), 1,
      sym__scope_resolution,
    ACTIONS(9789), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6450), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252696] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9542), 1,
      sym_identifier,
    ACTIONS(9892), 1,
      anon_sym_LPAREN2,
    ACTIONS(9896), 1,
      anon_sym_requires,
    STATE(5560), 1,
      sym_template_type,
    STATE(6627), 1,
      sym_lambda_capture_specifier,
    STATE(7292), 1,
      sym__scope_resolution,
    ACTIONS(9898), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6704), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252748] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3047), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(9900), 1,
      sym_identifier,
    ACTIONS(9902), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6231), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym_operator_cast,
    STATE(7677), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [252818] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    ACTIONS(9704), 1,
      anon_sym_requires,
    ACTIONS(9872), 1,
      anon_sym_LPAREN2,
    STATE(4498), 1,
      sym_template_type,
    STATE(6645), 1,
      sym_lambda_capture_specifier,
    STATE(7314), 1,
      sym__scope_resolution,
    ACTIONS(9904), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5084), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252870] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    ACTIONS(9771), 1,
      anon_sym_LPAREN2,
    ACTIONS(9775), 1,
      anon_sym_requires,
    STATE(2864), 1,
      sym_template_type,
    STATE(6649), 1,
      sym_lambda_capture_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    ACTIONS(9815), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2039), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252922] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6520), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9906), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252960] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(4339), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7300), 1,
      sym__scope_resolution,
    ACTIONS(9781), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253012] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    ACTIONS(9678), 1,
      anon_sym_requires,
    ACTIONS(9777), 1,
      anon_sym_LPAREN2,
    STATE(4339), 1,
      sym_template_type,
    STATE(6586), 1,
      sym_lambda_capture_specifier,
    STATE(7300), 1,
      sym__scope_resolution,
    ACTIONS(9910), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4878), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253064] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9542), 1,
      sym_identifier,
    ACTIONS(9892), 1,
      anon_sym_LPAREN2,
    ACTIONS(9896), 1,
      anon_sym_requires,
    STATE(5560), 1,
      sym_template_type,
    STATE(6627), 1,
      sym_lambda_capture_specifier,
    STATE(7292), 1,
      sym__scope_resolution,
    ACTIONS(9912), 2,
      sym_true,
      sym_false,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6695), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253116] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9193), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6958), 1,
      sym__function_attributes_end,
    STATE(7178), 1,
      sym_trailing_return_type,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
  [253172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6936), 1,
      sym_trailing_return_type,
    STATE(7130), 1,
      sym__function_attributes_end,
    STATE(7492), 1,
      sym_gnu_asm_expression,
    ACTIONS(7624), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9157), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6384), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6567), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
  [253228] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3267), 1,
      sym__class_declaration_item,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6252), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253287] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4734), 1,
      sym__class_declaration_item,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6350), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6289), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253405] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2348), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253464] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3512), 1,
      sym__class_declaration_item,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253523] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3442), 1,
      sym__class_declaration_item,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6246), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253582] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3474), 1,
      sym__class_declaration_item,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253641] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3073), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2348), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8176), 1,
      anon_sym_STAR,
    ACTIONS(8178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8180), 1,
      anon_sym_AMP,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7072), 1,
      sym__abstract_declarator,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [253804] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3313), 1,
      sym__class_declaration_item,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3205), 1,
      sym__class_declaration_item,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6250), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253922] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3212), 1,
      sym__class_declaration_item,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [253981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3109), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254040] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3096), 1,
      sym_field_declaration_list,
    STATE(3261), 1,
      sym__class_declaration_item,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(7711), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2538), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254099] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2512), 1,
      sym__class_declaration_item,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254158] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2561), 1,
      sym__class_declaration_item,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6255), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254217] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3109), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254276] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3073), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254335] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(6002), 1,
      sym__class_declaration_item,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6269), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254394] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254453] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6324), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6332), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254571] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3068), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6343), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254689] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2515), 1,
      sym__class_declaration_item,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254748] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4682), 1,
      sym__class_declaration_item,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6290), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254807] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(6013), 1,
      sym__class_declaration_item,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254866] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2283), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254925] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(6005), 1,
      sym__class_declaration_item,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254984] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4687), 1,
      sym__class_declaration_item,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255043] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3073), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5641), 1,
      sym__class_declaration_item,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6339), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255161] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5654), 1,
      sym__class_declaration_item,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(5988), 1,
      sym__class_declaration_item,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255279] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255338] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2279), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6319), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255397] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3068), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6258), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3073), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255515] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5735), 1,
      sym_field_declaration_list,
    STATE(5939), 1,
      sym__class_declaration_item,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(7821), 1,
      sym_virtual_specifier,
    STATE(8555), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3511), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [255603] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4127), 1,
      sym__class_declaration_item,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4130), 1,
      sym__class_declaration_item,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255721] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255780] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2274), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255839] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3068), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6247), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2283), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255957] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9916), 1,
      anon_sym_RPAREN,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(9926), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256000] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    STATE(7969), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256055] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3109), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256114] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4730), 1,
      sym__class_declaration_item,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256173] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3635), 1,
      sym__class_declaration_item,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256291] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3676), 1,
      sym__class_declaration_item,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256350] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3682), 1,
      sym__class_declaration_item,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256409] = 5,
    ACTIONS(9751), 1,
      anon_sym_LF,
    ACTIONS(9958), 1,
      anon_sym_LPAREN2,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(6535), 1,
      sym_preproc_argument_list,
    ACTIONS(9755), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256442] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5671), 1,
      sym__class_declaration_item,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6317), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256501] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3724), 1,
      sym__class_declaration_item,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256619] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2348), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256678] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3371), 1,
      sym_field_declaration_list,
    STATE(3736), 1,
      sym__class_declaration_item,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(7651), 1,
      sym_virtual_specifier,
    STATE(8618), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2919), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256737] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2279), 1,
      sym__class_declaration_item,
    STATE(6136), 1,
      sym_field_declaration_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(7805), 1,
      sym_virtual_specifier,
    STATE(8463), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5703), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4050), 1,
      sym__class_declaration_item,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256855] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(4042), 1,
      sym__class_declaration_item,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256914] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5647), 1,
      sym__class_declaration_item,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256973] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2530), 1,
      sym__class_declaration_item,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257032] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(9962), 1,
      anon_sym_RPAREN,
    ACTIONS(9964), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6288), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [257075] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2436), 1,
      sym_field_declaration_list,
    STATE(2533), 1,
      sym__class_declaration_item,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8496), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2090), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6265), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257134] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3714), 1,
      sym_field_declaration_list,
    STATE(3942), 1,
      sym__class_declaration_item,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_virtual_specifier,
    STATE(8673), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3035), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2279), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6268), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3537), 1,
      sym__class_declaration_item,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257311] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3068), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257370] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5647), 1,
      sym__class_declaration_item,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257429] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3493), 1,
      sym__class_declaration_item,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257488] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2274), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6243), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257547] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5671), 1,
      sym__class_declaration_item,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6273), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257606] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(9966), 1,
      anon_sym_RPAREN,
    STATE(8288), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [257661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5654), 1,
      sym__class_declaration_item,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257720] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5641), 1,
      sym__class_declaration_item,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6320), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257779] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2283), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257838] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5684), 1,
      sym__class_declaration_item,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257897] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3475), 1,
      sym__class_declaration_item,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9970), 1,
      anon_sym_LBRACK,
    ACTIONS(9968), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [257985] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3481), 1,
      sym__class_declaration_item,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6331), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258044] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3109), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258103] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3456), 1,
      sym__class_declaration_item,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258162] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2274), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258221] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4821), 1,
      sym__class_declaration_item,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258280] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4812), 1,
      sym__class_declaration_item,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6327), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258339] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4817), 1,
      sym__class_declaration_item,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258398] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3474), 1,
      sym__class_declaration_item,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3326), 1,
      sym_field_declaration_list,
    STATE(3499), 1,
      sym__class_declaration_item,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(7748), 1,
      sym_virtual_specifier,
    STATE(8446), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3109), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258575] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4800), 1,
      sym__class_declaration_item,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258634] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3442), 1,
      sym__class_declaration_item,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258693] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4726), 1,
      sym_field_declaration_list,
    STATE(4799), 1,
      sym__class_declaration_item,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(7794), 1,
      sym_virtual_specifier,
    STATE(8461), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4166), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6329), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258752] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3453), 1,
      sym__class_declaration_item,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258811] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6253), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3512), 1,
      sym__class_declaration_item,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5612), 1,
      sym_field_declaration_list,
    STATE(5684), 1,
      sym__class_declaration_item,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(7745), 1,
      sym_virtual_specifier,
    STATE(8711), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5480), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258988] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2299), 1,
      sym__class_declaration_item,
    STATE(3011), 1,
      sym_field_declaration_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(7838), 1,
      sym_virtual_specifier,
    STATE(8370), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2717), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(9972), 1,
      anon_sym_RPAREN,
    STATE(8091), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [259102] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(9974), 1,
      anon_sym_RPAREN,
    ACTIONS(9976), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6316), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3073), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259204] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(7636), 1,
      sym_virtual_specifier,
    STATE(8415), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4301), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259263] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3453), 1,
      sym__class_declaration_item,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259322] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3259), 1,
      sym_field_declaration_list,
    STATE(3456), 1,
      sym__class_declaration_item,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(7716), 1,
      sym_virtual_specifier,
    STATE(8581), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2977), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6338), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259381] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3092), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4712), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6257), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259440] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      sym_identifier,
    ACTIONS(9980), 1,
      anon_sym_template,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6348), 1,
      sym__scope_resolution,
    STATE(7637), 1,
      sym_operator_cast,
    STATE(7677), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [259503] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3068), 1,
      sym__class_declaration_item,
    STATE(3865), 1,
      sym_field_declaration_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(7781), 1,
      sym_virtual_specifier,
    STATE(8666), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3060), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6271), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(4677), 1,
      sym__class_declaration_item,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(7852), 1,
      sym_virtual_specifier,
    STATE(8502), 1,
      sym_base_class_clause,
    ACTIONS(5401), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3890), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(9992), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6455), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259661] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(9996), 1,
      sym_identifier,
    ACTIONS(9998), 1,
      anon_sym_TILDE,
    ACTIONS(10000), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10002), 1,
      anon_sym_template,
    ACTIONS(10004), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(4189), 1,
      sym_pointer_type_declarator,
    STATE(4192), 1,
      sym_template_function,
    STATE(4204), 1,
      sym_destructor_name,
    STATE(4205), 1,
      sym_dependent_identifier,
    STATE(4209), 1,
      sym_qualified_identifier,
    STATE(4210), 1,
      sym_operator_name,
    STATE(6352), 1,
      sym__scope_resolution,
    STATE(9146), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [259725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10010), 1,
      anon_sym_SEMI,
    ACTIONS(10012), 1,
      anon_sym_LBRACE,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10020), 1,
      anon_sym_try,
    STATE(983), 1,
      sym_try_statement,
    STATE(997), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7933), 1,
      aux_sym_declaration_repeat1,
    STATE(7934), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [259783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10022), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10024), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6410), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10026), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6368), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10028), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6542), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259943] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10030), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6478), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259983] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    ACTIONS(10032), 1,
      anon_sym_SEMI,
    STATE(6178), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9268), 1,
      sym_attribute_specifier,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [260035] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    ACTIONS(10034), 1,
      sym_identifier,
    ACTIONS(10036), 1,
      anon_sym_TILDE,
    ACTIONS(10038), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10040), 1,
      anon_sym_template,
    ACTIONS(10042), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(2866), 1,
      sym_template_function,
    STATE(2867), 1,
      sym_operator_name,
    STATE(2917), 1,
      sym_dependent_identifier,
    STATE(2918), 1,
      sym_destructor_name,
    STATE(2920), 1,
      sym_qualified_identifier,
    STATE(2930), 1,
      sym_pointer_type_declarator,
    STATE(6360), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9633), 1,
      sym_ms_based_modifier,
  [260099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(10044), 1,
      sym_identifier,
    ACTIONS(10046), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6361), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [260163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8782), 1,
      anon_sym_STAR,
    ACTIONS(9998), 1,
      anon_sym_TILDE,
    ACTIONS(10004), 1,
      anon_sym_operator,
    ACTIONS(10048), 1,
      sym_identifier,
    ACTIONS(10050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10052), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_template_type,
    STATE(3193), 1,
      sym_dependent_type_identifier,
    STATE(3246), 1,
      sym_qualified_type_identifier,
    STATE(4189), 1,
      sym_pointer_type_declarator,
    STATE(4192), 1,
      sym_template_function,
    STATE(4204), 1,
      sym_destructor_name,
    STATE(4205), 1,
      sym_dependent_identifier,
    STATE(4209), 1,
      sym_qualified_identifier,
    STATE(4210), 1,
      sym_operator_name,
    STATE(6362), 1,
      sym__scope_resolution,
    STATE(9146), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [260227] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10054), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6536), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260267] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10056), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6401), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260307] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10058), 1,
      anon_sym_SEMI,
    ACTIONS(10060), 1,
      anon_sym_LBRACE,
    STATE(2447), 1,
      sym_try_statement,
    STATE(2449), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7900), 1,
      sym_gnu_asm_expression,
    STATE(7901), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [260365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10062), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6444), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260405] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10064), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6552), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10068), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10066), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [260473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10072), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10070), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [260501] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10074), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6525), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260541] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    ACTIONS(10036), 1,
      anon_sym_TILDE,
    ACTIONS(10042), 1,
      anon_sym_operator,
    ACTIONS(10076), 1,
      sym_identifier,
    ACTIONS(10078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10080), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(2866), 1,
      sym_template_function,
    STATE(2867), 1,
      sym_operator_name,
    STATE(2917), 1,
      sym_dependent_identifier,
    STATE(2918), 1,
      sym_destructor_name,
    STATE(2920), 1,
      sym_qualified_identifier,
    STATE(2930), 1,
      sym_pointer_type_declarator,
    STATE(6371), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9633), 1,
      sym_ms_based_modifier,
  [260605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10082), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6518), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260645] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10084), 1,
      anon_sym_SEMI,
    ACTIONS(10086), 1,
      anon_sym_try,
    STATE(1035), 1,
      sym_compound_statement,
    STATE(1054), 1,
      sym_try_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8149), 1,
      aux_sym_declaration_repeat1,
    STATE(8172), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [260703] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    ACTIONS(10088), 1,
      anon_sym_SEMI,
    STATE(6173), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9541), 1,
      sym_attribute_specifier,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [260755] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10090), 1,
      anon_sym_SEMI,
    ACTIONS(10092), 1,
      anon_sym_LBRACE,
    STATE(2581), 1,
      sym_try_statement,
    STATE(2582), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8232), 1,
      sym_gnu_asm_expression,
    STATE(8237), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [260813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(5600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6575), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9906), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [260849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10094), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6537), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260889] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10096), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6442), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260929] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(10098), 1,
      sym_identifier,
    ACTIONS(10100), 1,
      anon_sym_TILDE,
    ACTIONS(10102), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10104), 1,
      anon_sym_template,
    ACTIONS(10106), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3803), 1,
      sym_operator_name,
    STATE(3819), 1,
      sym_template_function,
    STATE(3896), 1,
      sym_pointer_type_declarator,
    STATE(3915), 1,
      sym_destructor_name,
    STATE(3921), 1,
      sym_dependent_identifier,
    STATE(3927), 1,
      sym_qualified_identifier,
    STATE(6379), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9696), 1,
      sym_ms_based_modifier,
  [260993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10108), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6387), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261033] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(10110), 1,
      sym_identifier,
    ACTIONS(10112), 1,
      anon_sym_TILDE,
    ACTIONS(10114), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10116), 1,
      anon_sym_template,
    ACTIONS(10118), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(4122), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4128), 1,
      sym_destructor_name,
    STATE(4136), 1,
      sym_dependent_identifier,
    STATE(4137), 1,
      sym_qualified_identifier,
    STATE(4141), 1,
      sym_operator_name,
    STATE(6381), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9696), 1,
      sym_ms_based_modifier,
  [261097] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10120), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6481), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261137] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10122), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6472), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9870), 1,
      anon_sym_LBRACK,
    STATE(5600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [261213] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(10100), 1,
      anon_sym_TILDE,
    ACTIONS(10106), 1,
      anon_sym_operator,
    ACTIONS(10124), 1,
      sym_identifier,
    ACTIONS(10126), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10128), 1,
      anon_sym_template,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(3803), 1,
      sym_operator_name,
    STATE(3819), 1,
      sym_template_function,
    STATE(3896), 1,
      sym_pointer_type_declarator,
    STATE(3915), 1,
      sym_destructor_name,
    STATE(3921), 1,
      sym_dependent_identifier,
    STATE(3927), 1,
      sym_qualified_identifier,
    STATE(6385), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9696), 1,
      sym_ms_based_modifier,
  [261277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7168), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [261321] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10130), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [261371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10132), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6506), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10136), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10134), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10138), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6462), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10140), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6527), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261519] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    ACTIONS(9827), 1,
      anon_sym_TILDE,
    ACTIONS(10142), 1,
      sym_identifier,
    ACTIONS(10144), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10146), 1,
      anon_sym_template,
    ACTIONS(10148), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6392), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9633), 1,
      sym_ms_based_modifier,
  [261583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10152), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10150), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261611] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10154), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6511), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10156), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6560), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10160), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10158), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10162), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6492), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261759] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10164), 1,
      anon_sym_SEMI,
    ACTIONS(10166), 1,
      anon_sym_LBRACE,
    ACTIONS(10168), 1,
      anon_sym_try,
    STATE(403), 1,
      sym_compound_statement,
    STATE(410), 1,
      sym_try_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7987), 1,
      aux_sym_declaration_repeat1,
    STATE(7988), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [261817] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10170), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6556), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261857] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10172), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6496), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10174), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10174), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10176), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10174), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [261999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10178), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6512), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10180), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6559), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262079] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10184), 1,
      anon_sym_LBRACE,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(561), 1,
      sym_try_statement,
    STATE(564), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8319), 1,
      aux_sym_declaration_repeat1,
    STATE(8323), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [262137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10176), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10174), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262165] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10174), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [262213] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10188), 1,
      anon_sym_SEMI,
    ACTIONS(10190), 1,
      anon_sym_LBRACE,
    STATE(2771), 1,
      sym_compound_statement,
    STATE(2776), 1,
      sym_try_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7997), 1,
      sym_gnu_asm_expression,
    STATE(7998), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [262271] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10174), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [262317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10192), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6487), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10194), 1,
      anon_sym_SEMI,
    ACTIONS(10196), 1,
      anon_sym_LBRACE,
    ACTIONS(10198), 1,
      anon_sym_try,
    STATE(887), 1,
      sym_try_statement,
    STATE(888), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8029), 1,
      aux_sym_declaration_repeat1,
    STATE(8044), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [262415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10200), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6445), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262455] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(10176), 1,
      anon_sym_PIPE,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10174), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [262501] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    ACTIONS(10202), 1,
      anon_sym_SEMI,
    STATE(6224), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9555), 1,
      sym_attribute_specifier,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262553] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    ACTIONS(10204), 1,
      anon_sym_SEMI,
    STATE(6214), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9089), 1,
      sym_attribute_specifier,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262605] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10206), 1,
      anon_sym_SEMI,
    ACTIONS(10208), 1,
      anon_sym_LBRACE,
    STATE(2205), 1,
      sym_try_statement,
    STATE(2218), 1,
      sym_compound_statement,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8131), 1,
      aux_sym_declaration_repeat1,
    STATE(8132), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [262663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10212), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10210), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262691] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10214), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6448), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10176), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10174), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [262771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10216), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6473), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262811] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4270), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(10218), 1,
      sym_identifier,
    ACTIONS(10220), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6422), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [262875] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(10112), 1,
      anon_sym_TILDE,
    ACTIONS(10118), 1,
      anon_sym_operator,
    ACTIONS(10222), 1,
      sym_identifier,
    ACTIONS(10224), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10226), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(4122), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4128), 1,
      sym_destructor_name,
    STATE(4136), 1,
      sym_dependent_identifier,
    STATE(4137), 1,
      sym_qualified_identifier,
    STATE(4141), 1,
      sym_operator_name,
    STATE(6423), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9696), 1,
      sym_ms_based_modifier,
  [262939] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8806), 1,
      anon_sym_STAR,
    ACTIONS(10036), 1,
      anon_sym_TILDE,
    ACTIONS(10042), 1,
      anon_sym_operator,
    ACTIONS(10228), 1,
      sym_identifier,
    ACTIONS(10230), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10232), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(2866), 1,
      sym_template_function,
    STATE(2867), 1,
      sym_operator_name,
    STATE(2917), 1,
      sym_dependent_identifier,
    STATE(2918), 1,
      sym_destructor_name,
    STATE(2920), 1,
      sym_qualified_identifier,
    STATE(2930), 1,
      sym_pointer_type_declarator,
    STATE(6424), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9633), 1,
      sym_ms_based_modifier,
  [263003] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8854), 1,
      anon_sym_STAR,
    ACTIONS(10234), 1,
      sym_identifier,
    ACTIONS(10236), 1,
      anon_sym_TILDE,
    ACTIONS(10238), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10240), 1,
      anon_sym_template,
    ACTIONS(10242), 1,
      anon_sym_operator,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(3763), 1,
      sym_operator_name,
    STATE(3765), 1,
      sym_qualified_identifier,
    STATE(3772), 1,
      sym_dependent_identifier,
    STATE(3773), 1,
      sym_destructor_name,
    STATE(3774), 1,
      sym_template_function,
    STATE(3777), 1,
      sym_pointer_type_declarator,
    STATE(6425), 1,
      sym__scope_resolution,
    STATE(8964), 1,
      sym_ms_based_modifier,
    STATE(9400), 1,
      sym_decltype,
  [263067] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10244), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6500), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263107] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10246), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6402), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263147] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8814), 1,
      anon_sym_STAR,
    ACTIONS(10112), 1,
      anon_sym_TILDE,
    ACTIONS(10118), 1,
      anon_sym_operator,
    ACTIONS(10248), 1,
      sym_identifier,
    ACTIONS(10250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10252), 1,
      anon_sym_template,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(4122), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4128), 1,
      sym_destructor_name,
    STATE(4136), 1,
      sym_dependent_identifier,
    STATE(4137), 1,
      sym_qualified_identifier,
    STATE(4141), 1,
      sym_operator_name,
    STATE(6428), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
    STATE(9696), 1,
      sym_ms_based_modifier,
  [263211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10254), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6458), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263251] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10176), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [263293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10258), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10256), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [263321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10260), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6407), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10264), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10262), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [263389] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10266), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6403), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10268), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6420), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6899), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6901), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [263497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9982), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10270), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6531), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10272), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6430), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10274), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6440), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(10176), 1,
      anon_sym_PIPE,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10174), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [263661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    ACTIONS(9920), 1,
      anon_sym_defined,
    ACTIONS(10276), 1,
      sym_number_literal,
    ACTIONS(9922), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9924), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9928), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6414), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263701] = 6,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [263734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      anon_sym_LBRACK,
    ACTIONS(5250), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263761] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10284), 1,
      anon_sym_LF,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [263806] = 10,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10176), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [263847] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6466), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [263886] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [263921] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10300), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [263966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6490), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5269), 1,
      anon_sym_LBRACK,
    ACTIONS(5271), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACK,
    ACTIONS(5319), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10304), 1,
      anon_sym_LBRACK,
    ACTIONS(10306), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6452), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10302), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6499), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6505), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264168] = 9,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [264207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2182), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(10313), 1,
      anon_sym_RPAREN,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [264318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(10315), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10317), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6294), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_LBRACK,
    ACTIONS(5315), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [264403] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10319), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [264448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [264487] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7580), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(10321), 1,
      sym_identifier,
    ACTIONS(10323), 1,
      anon_sym_template,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6464), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264544] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6182), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8794), 1,
      anon_sym_STAR,
    ACTIONS(10325), 1,
      sym_identifier,
    ACTIONS(10327), 1,
      anon_sym_template,
    STATE(6465), 1,
      sym__scope_resolution,
    STATE(7013), 1,
      sym_qualified_identifier,
    STATE(7031), 1,
      sym_pointer_type_declarator,
    STATE(7044), 1,
      sym_template_function,
    STATE(7058), 1,
      sym_operator_name,
    STATE(7061), 1,
      sym_destructor_name,
    STATE(7065), 1,
      sym_dependent_identifier,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [264601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264636] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7146), 1,
      sym_access_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7870), 1,
      sym_virtual,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10329), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [264687] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_requires,
    ACTIONS(10335), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264722] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10070), 1,
      anon_sym_LF,
    ACTIONS(10072), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [264749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [264788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264823] = 8,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10176), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [264860] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10341), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [264905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_requires,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264940] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [264975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10351), 1,
      anon_sym_LBRACK,
    ACTIONS(10349), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265002] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265041] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10353), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [265086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(10317), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5281), 1,
      anon_sym_LBRACK,
    ACTIONS(5283), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265142] = 7,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10176), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [265177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [265216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5265), 1,
      anon_sym_LBRACK,
    ACTIONS(5267), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265243] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7074), 1,
      sym_access_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7642), 1,
      sym_virtual,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8225), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10329), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [265294] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10134), 1,
      anon_sym_LF,
    ACTIONS(10136), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10357), 1,
      anon_sym_LBRACK,
    ACTIONS(10355), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [265348] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10359), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [265393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265506] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265545] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10361), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [265590] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7104), 1,
      sym_access_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7674), 1,
      sym_virtual,
    STATE(6467), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7649), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10329), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [265641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265680] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_LF,
    ACTIONS(10264), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265707] = 11,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10176), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [265750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_requires,
    STATE(6468), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [265789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8274), 1,
      anon_sym_STAR,
    ACTIONS(8276), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8278), 1,
      anon_sym_AMP,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7259), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8186), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [265832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265867] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9938), 1,
      anon_sym_SLASH,
    ACTIONS(9940), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9942), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9944), 1,
      anon_sym_PIPE,
    ACTIONS(9946), 1,
      anon_sym_CARET,
    ACTIONS(9948), 1,
      anon_sym_AMP,
    ACTIONS(10363), 1,
      anon_sym_RPAREN,
    ACTIONS(9934), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9936), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9950), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9952), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9954), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9956), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265916] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(10365), 1,
      sym_identifier,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10369), 1,
      anon_sym_template,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [265973] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(10371), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10373), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6294), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266113] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10066), 1,
      anon_sym_LF,
    ACTIONS(10068), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [266140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [266179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10377), 1,
      anon_sym_LBRACK,
    ACTIONS(10375), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_LBRACK,
    ACTIONS(5291), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266233] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266272] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10379), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266317] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10176), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7821), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_requires,
    STATE(6468), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266553] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10381), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LBRACK,
    ACTIONS(5287), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10385), 1,
      anon_sym_LBRACK,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10383), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266656] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10210), 1,
      anon_sym_LF,
    ACTIONS(10212), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [266683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6557), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266722] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6544), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266796] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10387), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266841] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_LF,
    ACTIONS(10160), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [266868] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10389), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7826), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10391), 1,
      anon_sym_requires,
    STATE(6533), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 1,
      anon_sym_LPAREN2,
    ACTIONS(10398), 1,
      anon_sym_LBRACK,
    ACTIONS(10394), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267016] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10400), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9870), 1,
      anon_sym_LBRACK,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(10402), 1,
      anon_sym_requires,
    ACTIONS(10335), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267127] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      sym_identifier,
    ACTIONS(9980), 1,
      anon_sym_template,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6534), 1,
      sym__scope_resolution,
    STATE(9202), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267184] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_LF,
    ACTIONS(10258), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267211] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10405), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267256] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(6058), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9906), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267318] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7702), 1,
      anon_sym_DASH_GT,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267357] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8820), 1,
      anon_sym_STAR,
    ACTIONS(9978), 1,
      sym_identifier,
    ACTIONS(9980), 1,
      anon_sym_template,
    STATE(3217), 1,
      sym_pointer_type_declarator,
    STATE(3220), 1,
      sym_template_function,
    STATE(3221), 1,
      sym_destructor_name,
    STATE(3222), 1,
      sym_dependent_identifier,
    STATE(3227), 1,
      sym_qualified_identifier,
    STATE(3235), 1,
      sym_operator_name,
    STATE(6540), 1,
      sym__scope_resolution,
    STATE(9360), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LBRACK,
    ACTIONS(5279), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267441] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10407), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_LBRACK,
    ACTIONS(10409), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10391), 1,
      anon_sym_requires,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267548] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8808), 1,
      anon_sym_STAR,
    ACTIONS(10325), 1,
      sym_identifier,
    ACTIONS(10327), 1,
      anon_sym_template,
    STATE(6545), 1,
      sym__scope_resolution,
    STATE(7013), 1,
      sym_qualified_identifier,
    STATE(7031), 1,
      sym_pointer_type_declarator,
    STATE(7044), 1,
      sym_template_function,
    STATE(7058), 1,
      sym_operator_name,
    STATE(7061), 1,
      sym_destructor_name,
    STATE(7065), 1,
      sym_dependent_identifier,
    STATE(8880), 1,
      sym_ms_based_modifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267605] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10150), 1,
      anon_sym_LF,
    ACTIONS(10152), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5301), 1,
      anon_sym_LBRACK,
    ACTIONS(5303), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267659] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7124), 1,
      sym_access_specifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7611), 1,
      sym_virtual,
    STATE(6484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8286), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10329), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [267710] = 3,
    ACTIONS(6901), 1,
      anon_sym_LF,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(6899), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [267772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 1,
      anon_sym_LBRACK,
    ACTIONS(5246), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267799] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10413), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5273), 1,
      anon_sym_LBRACK,
    ACTIONS(5275), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267925] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267954] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6452), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10415), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268020] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10174), 1,
      anon_sym_LF,
    ACTIONS(10176), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [268047] = 12,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10286), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10288), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    ACTIONS(10292), 1,
      anon_sym_CARET,
    ACTIONS(10294), 1,
      anon_sym_AMP,
    ACTIONS(10419), 1,
      anon_sym_LF,
    ACTIONS(10278), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10282), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10296), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10280), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10298), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [268092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [268127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 1,
      anon_sym_LBRACK,
    ACTIONS(5242), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10423), 1,
      anon_sym_LBRACK,
    ACTIONS(10421), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [268216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(10373), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268245] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    STATE(6721), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9870), 1,
      anon_sym_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9868), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACK,
    ACTIONS(10425), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6048), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9173), 1,
      anon_sym_requires,
    STATE(6737), 1,
      sym_trailing_return_type,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(10431), 1,
      anon_sym_requires,
    STATE(6724), 1,
      sym_trailing_return_type,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    STATE(6703), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9566), 1,
      anon_sym_requires,
    STATE(6709), 1,
      sym_trailing_return_type,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    STATE(6700), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9906), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10385), 1,
      anon_sym_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10383), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268581] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(7634), 1,
      anon_sym_requires,
    STATE(6740), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268617] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7920), 1,
      anon_sym_LPAREN2,
    ACTIONS(7934), 1,
      anon_sym_LBRACK,
    ACTIONS(8324), 1,
      anon_sym_STAR,
    ACTIONS(8326), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8328), 1,
      anon_sym_AMP,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6621), 1,
      sym__function_declarator_seq,
    STATE(7290), 1,
      sym__abstract_declarator,
    ACTIONS(8186), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6612), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [268659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    ACTIONS(10436), 1,
      anon_sym_COLON,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8108), 1,
      aux_sym_declaration_repeat1,
    STATE(8109), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [268711] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_DASH_GT,
    ACTIONS(9258), 1,
      anon_sym_requires,
    STATE(6748), 1,
      sym_trailing_return_type,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [268747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6505), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [268784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9227), 1,
      anon_sym_requires,
    STATE(6561), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [268821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10438), 1,
      sym_identifier,
    ACTIONS(5255), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6582), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10441), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10444), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10447), 1,
      sym_identifier,
    ACTIONS(5309), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6614), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7863), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [268926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5460), 1,
      anon_sym_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
    ACTIONS(4121), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [268957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    STATE(4076), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6608), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7604), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6529), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269043] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    STATE(4183), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6625), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7840), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269092] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(3645), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6595), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7706), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6456), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269178] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5058), 1,
      anon_sym_COLON,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
    ACTIONS(5065), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [269209] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10010), 1,
      anon_sym_SEMI,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7933), 1,
      aux_sym_declaration_repeat1,
    STATE(7934), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [269258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9559), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10463), 1,
      anon_sym_LBRACK,
    ACTIONS(10461), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269308] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    ACTIONS(10465), 1,
      anon_sym_requires,
    STATE(3716), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6821), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7691), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    ACTIONS(10469), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(7581), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269392] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4950), 1,
      sym_compound_statement,
    STATE(6664), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7591), 1,
      sym_abstract_function_declarator,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6600), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7707), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    STATE(2044), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6758), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7858), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269539] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2044), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6814), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7632), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7825), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [269631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7629), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [269674] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(7324), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [269717] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7808), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [269760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10477), 1,
      anon_sym_LBRACK,
    ACTIONS(10475), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10481), 1,
      anon_sym_LBRACK,
    ACTIONS(10479), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269810] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8108), 1,
      aux_sym_declaration_repeat1,
    STATE(8109), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [269859] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    ACTIONS(10465), 1,
      anon_sym_requires,
    STATE(3987), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6834), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7596), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [269908] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10084), 1,
      anon_sym_SEMI,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8149), 1,
      aux_sym_declaration_repeat1,
    STATE(8172), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [269957] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7788), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270000] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7841), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10485), 1,
      anon_sym_LBRACK,
    ACTIONS(10483), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270068] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7847), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10487), 1,
      sym_identifier,
    ACTIONS(5323), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6582), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270142] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6509), 1,
      sym_compound_statement,
    STATE(6795), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7721), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270191] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4393), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6650), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7664), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10495), 1,
      anon_sym_LBRACK,
    ACTIONS(10493), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270265] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(3953), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6762), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7737), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270314] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7859), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7676), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10501), 1,
      anon_sym_LBRACK,
    ACTIONS(10499), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10505), 1,
      anon_sym_LBRACK,
    ACTIONS(10503), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10509), 1,
      anon_sym_LBRACK,
    ACTIONS(10507), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270475] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(4144), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6618), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7660), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270524] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    ACTIONS(10465), 1,
      anon_sym_requires,
    STATE(4282), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6832), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7883), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270573] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(6830), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [270616] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6662), 1,
      sym_template_parameter_list,
    STATE(6747), 1,
      sym_compound_statement,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7844), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [270665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10515), 1,
      anon_sym_LBRACK,
    ACTIONS(10513), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10519), 1,
      anon_sym_LBRACK,
    ACTIONS(10517), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270715] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7822), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270758] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7733), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10523), 1,
      anon_sym_LBRACK,
    ACTIONS(10521), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270826] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7846), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270869] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7630), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [270912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(10331), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_SEMI,
    ACTIONS(10525), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8108), 1,
      aux_sym_declaration_repeat1,
    STATE(8109), 1,
      sym_gnu_asm_expression,
    STATE(8177), 1,
      sym_initializer_list,
    STATE(8594), 1,
      sym_argument_list,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [270988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9583), 1,
      anon_sym_requires,
    STATE(6474), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7606), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271068] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6551), 1,
      sym_compound_statement,
    STATE(6615), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7669), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271117] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7621), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10529), 1,
      anon_sym_LBRACK,
    ACTIONS(10527), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9157), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271210] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10164), 1,
      anon_sym_SEMI,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7987), 1,
      aux_sym_declaration_repeat1,
    STATE(7988), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [271259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9448), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271296] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(4990), 1,
      sym_compound_statement,
    STATE(6673), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7776), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10309), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271370] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7625), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271413] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7725), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271456] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    STATE(2035), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6599), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7839), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271505] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4411), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6760), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7595), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271554] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7771), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271597] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7744), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271640] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7694), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [271683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6523), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [271720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10535), 1,
      anon_sym_LBRACK,
    ACTIONS(10533), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8602), 1,
      anon_sym_STAR,
    ACTIONS(8604), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8606), 1,
      anon_sym_AMP,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7347), 1,
      sym__abstract_declarator,
    ACTIONS(8186), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10539), 1,
      anon_sym_LBRACK,
    ACTIONS(10537), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10391), 1,
      anon_sym_requires,
    STATE(6533), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [271848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9248), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271873] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2958), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6768), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7854), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271922] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9618), 1,
      anon_sym_requires,
    STATE(6544), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [271959] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6684), 1,
      sym_compound_statement,
    STATE(6805), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7826), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272008] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7872), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [272051] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(5074), 1,
      sym_compound_statement,
    STATE(6791), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7875), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272100] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7228), 1,
      sym__abstract_declarator,
    ACTIONS(8186), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_requires,
    STATE(6468), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9479), 1,
      anon_sym_requires,
    STATE(6557), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272215] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_STAR,
    ACTIONS(8537), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8539), 1,
      anon_sym_AMP,
    STATE(6939), 1,
      sym__field_declarator,
    STATE(7069), 1,
      sym_operator_name,
    STATE(9556), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [272258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9217), 1,
      anon_sym_requires,
    STATE(6502), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_LBRACK,
    ACTIONS(10543), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272320] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7234), 1,
      sym__type_declarator,
    STATE(7861), 1,
      sym__type_definition_declarators,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [272363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10549), 1,
      anon_sym_LBRACK,
    ACTIONS(10547), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272388] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10465), 1,
      anon_sym_requires,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(5048), 1,
      sym_compound_statement,
    STATE(6782), 1,
      sym_requires_clause,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7749), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272437] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10194), 1,
      anon_sym_SEMI,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8029), 1,
      aux_sym_declaration_repeat1,
    STATE(8044), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [272486] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10453), 1,
      anon_sym_LT,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2934), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6660), 1,
      sym_template_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7795), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272535] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8435), 1,
      sym_identifier,
    ACTIONS(8437), 1,
      anon_sym_LPAREN2,
    ACTIONS(8439), 1,
      anon_sym_STAR,
    ACTIONS(8441), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8443), 1,
      anon_sym_AMP,
    STATE(7327), 1,
      sym__field_declarator,
    STATE(7478), 1,
      sym_operator_name,
    STATE(9272), 1,
      sym_ms_based_modifier,
    STATE(7208), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [272578] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6499), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272615] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8319), 1,
      aux_sym_declaration_repeat1,
    STATE(8323), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [272664] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6490), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      anon_sym_DASH_GT,
    ACTIONS(7837), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6466), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272738] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7704), 1,
      anon_sym_requires,
    ACTIONS(7816), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6475), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_requires,
    STATE(6932), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [272811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272855] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10112), 1,
      anon_sym_TILDE,
    ACTIONS(10551), 1,
      sym_identifier,
    ACTIONS(10553), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      anon_sym_template,
    STATE(6987), 1,
      sym__scope_resolution,
    STATE(8472), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3992), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [272897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272919] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(10562), 1,
      sym_primitive_type,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(3105), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [272959] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10564), 1,
      sym_identifier,
    ACTIONS(10566), 1,
      sym_primitive_type,
    STATE(4344), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(4758), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9455), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [272999] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10568), 1,
      sym_identifier,
    ACTIONS(10570), 1,
      sym_primitive_type,
    STATE(6114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(2302), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7984), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7282), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [273123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10572), 1,
      sym_identifier,
    ACTIONS(10574), 1,
      sym_primitive_type,
    STATE(3059), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(3928), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10576), 1,
      sym_identifier,
    ACTIONS(10578), 1,
      sym_primitive_type,
    STATE(5465), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(5779), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8048), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5271), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_requires,
    STATE(6836), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [273261] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_identifier,
    ACTIONS(10585), 1,
      sym_primitive_type,
    STATE(2795), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(3357), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9314), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(8090), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5143), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(6915), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [273367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [273397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_requires,
    STATE(6888), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [273455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [273485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10589), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6294), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [273565] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10591), 1,
      sym_identifier,
    ACTIONS(10593), 1,
      sym_primitive_type,
    STATE(3939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(4606), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9427), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_requires,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [273657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(5067), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5060), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273687] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(10008), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10016), 1,
      anon_sym_EQ,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(8727), 1,
      sym_gnu_asm_expression,
    ACTIONS(10018), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10595), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8594), 2,
      sym_argument_list,
      sym_initializer_list,
  [273731] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10597), 1,
      sym_identifier,
    ACTIONS(10599), 1,
      sym_primitive_type,
    STATE(2431), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(2531), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9336), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273771] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_STAR,
    ACTIONS(8754), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8756), 1,
      anon_sym_AMP,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7388), 1,
      sym__abstract_declarator,
    ACTIONS(8186), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10601), 1,
      sym_identifier,
    ACTIONS(10603), 1,
      sym_primitive_type,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(2302), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273851] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10605), 1,
      sym_identifier,
    ACTIONS(10607), 1,
      sym_primitive_type,
    STATE(2894), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(3548), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9270), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273891] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10609), 1,
      sym_identifier,
    ACTIONS(10611), 1,
      sym_primitive_type,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(3105), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273931] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10603), 1,
      sym_primitive_type,
    ACTIONS(10613), 1,
      sym_identifier,
    STATE(2326), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(2302), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [273971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5283), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273993] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10615), 1,
      sym_identifier,
    ACTIONS(10617), 1,
      sym_primitive_type,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(5661), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274085] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10619), 1,
      sym_identifier,
    ACTIONS(10621), 1,
      sym_primitive_type,
    STATE(2774), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(3181), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9292), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10560), 1,
      sym_identifier,
    ACTIONS(10562), 1,
      sym_primitive_type,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(3105), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10626), 1,
      anon_sym_requires,
    ACTIONS(10623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10629), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6725), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10302), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10632), 1,
      sym_identifier,
    ACTIONS(10634), 1,
      sym_primitive_type,
    STATE(2468), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(2531), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9393), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(4089), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274285] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7428), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [274325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    STATE(6934), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [274361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6725), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10415), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10609), 1,
      sym_identifier,
    ACTIONS(10611), 1,
      sym_primitive_type,
    STATE(3892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(3105), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4009), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5275), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_LBRACK,
    ACTIONS(4093), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7403), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [274535] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(6857), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [274571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9258), 1,
      anon_sym_requires,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7634), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274675] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10615), 1,
      sym_identifier,
    ACTIONS(10617), 1,
      sym_primitive_type,
    STATE(4983), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(5661), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8012), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10636), 1,
      sym_identifier,
    ACTIONS(10638), 1,
      sym_primitive_type,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(3384), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274755] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7390), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [274795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9173), 1,
      anon_sym_requires,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5287), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(10640), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6222), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [274947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(6875), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [274983] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7427), 1,
      sym__abstract_declarator,
    ACTIONS(8186), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275023] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10638), 1,
      sym_primitive_type,
    ACTIONS(10642), 1,
      sym_identifier,
    STATE(2836), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(3384), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3405), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      anon_sym_DASH_GT,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(6854), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [275099] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7389), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [275139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8766), 1,
      sym_identifier,
    ACTIONS(8768), 1,
      anon_sym_LPAREN2,
    ACTIONS(8770), 1,
      anon_sym_STAR,
    ACTIONS(8776), 1,
      sym_primitive_type,
    STATE(2553), 1,
      sym_pointer_type_declarator,
    STATE(7396), 1,
      sym__type_declarator,
    STATE(9202), 1,
      sym_ms_based_modifier,
    ACTIONS(8774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2536), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [275179] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7956), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [275239] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(2049), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7874), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275282] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10036), 1,
      anon_sym_TILDE,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      anon_sym_template,
    STATE(7023), 1,
      sym__scope_resolution,
    STATE(8388), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2881), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [275321] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4397), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7657), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(6881), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275395] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(4021), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7718), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym_trailing_return_type,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(10658), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10660), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10662), 1,
      aux_sym_preproc_elif_token1,
    STATE(7158), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7216), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7418), 1,
      sym_enumerator,
    ACTIONS(10664), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9028), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(9029), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [275510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8242), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7943), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8329), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275603] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7849), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(6881), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5917), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    STATE(6894), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8009), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6433), 1,
      anon_sym_LBRACK,
    ACTIONS(6435), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [275793] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7890), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [275824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [275853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [275882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [275911] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10112), 1,
      anon_sym_TILDE,
    ACTIONS(10551), 1,
      sym_identifier,
    ACTIONS(10556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      anon_sym_template,
    STATE(6987), 1,
      sym__scope_resolution,
    STATE(8472), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3992), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [275950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(10674), 1,
      anon_sym_requires,
    STATE(6947), 1,
      sym_trailing_return_type,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [275983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(6881), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5948), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276043] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(5090), 1,
      sym_compound_statement,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7740), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [276086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LBRACK,
    ACTIONS(10679), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6048), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4325), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8193), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276231] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7913), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10688), 1,
      anon_sym___attribute__,
    ACTIONS(10693), 1,
      anon_sym_alignas,
    ACTIONS(10691), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6789), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10686), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [276291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276320] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(5055), 1,
      sym_compound_statement,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7879), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [276363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7916), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276452] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6460), 1,
      sym_compound_statement,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7751), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [276495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7941), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8265), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276644] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8259), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4323), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(7892), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(6350), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276762] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6738), 1,
      sym_compound_statement,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7577), 1,
      sym_abstract_function_declarator,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [276805] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276892] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6889), 1,
      sym_trailing_return_type,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [276925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277041] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7767), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277084] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(6881), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5940), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4294), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277144] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    STATE(6936), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [277177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    STATE(6838), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [277210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8032), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(7886), 1,
      anon_sym_requires,
    STATE(6901), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [277274] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(3613), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7686), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277317] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10036), 1,
      anon_sym_TILDE,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10698), 1,
      anon_sym_template,
    STATE(7046), 1,
      sym__scope_resolution,
    STATE(8623), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2881), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6220), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277379] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8154), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277410] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8317), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8222), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8135), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5455), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10236), 1,
      anon_sym_TILDE,
    ACTIONS(10700), 1,
      sym_identifier,
    ACTIONS(10702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10704), 1,
      anon_sym_template,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(8617), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3649), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277569] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(9747), 1,
      anon_sym_COLON,
    ACTIONS(10708), 1,
      anon_sym_EQ,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7937), 1,
      sym_initializer_list,
    STATE(7948), 1,
      sym_bitfield_clause,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10706), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [277612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9998), 1,
      anon_sym_TILDE,
    ACTIONS(10710), 1,
      sym_identifier,
    ACTIONS(10712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10714), 1,
      anon_sym_template,
    STATE(6977), 1,
      sym__scope_resolution,
    STATE(8527), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4277), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    STATE(4237), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7834), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7873), 1,
      anon_sym_DASH_GT,
    ACTIONS(9706), 1,
      anon_sym_requires,
    STATE(6865), 1,
      sym_trailing_return_type,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [277727] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    STATE(3964), 1,
      sym_compound_statement,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7594), 1,
      sym__abstract_declarator,
    STATE(7665), 1,
      sym_abstract_function_declarator,
    STATE(6843), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(6828), 1,
      sym_string_literal,
    STATE(7137), 1,
      sym_raw_string_literal,
    STATE(8104), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(10716), 1,
      anon_sym_requires,
    ACTIONS(10335), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [277831] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(9114), 1,
      sym_concatenated_string,
    STATE(7020), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [277887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [277907] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3867), 1,
      sym_enumerator_list,
    STATE(7308), 1,
      sym__scope_resolution,
    ACTIONS(10719), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4883), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [277947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [277975] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3097), 1,
      sym_enumerator_list,
    STATE(7318), 1,
      sym__scope_resolution,
    ACTIONS(10723), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2911), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10483), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    STATE(7103), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278067] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    STATE(7096), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278099] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4727), 1,
      sym_enumerator_list,
    STATE(7314), 1,
      sym__scope_resolution,
    ACTIONS(10725), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4475), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3260), 1,
      sym_enumerator_list,
    STATE(7291), 1,
      sym__scope_resolution,
    ACTIONS(10727), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4716), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10729), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [278211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10499), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278231] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10731), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [278263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278291] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10733), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(10735), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278347] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [278377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10533), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    STATE(7093), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [278459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278487] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5610), 1,
      sym_enumerator_list,
    STATE(7307), 1,
      sym__scope_resolution,
    ACTIONS(10737), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5976), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 1,
      anon_sym_requires,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10521), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(7912), 1,
      anon_sym_requires,
    STATE(7091), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [278607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10729), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [278639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10537), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10674), 1,
      anon_sym_requires,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [278687] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10739), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [278719] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8186), 1,
      anon_sym_COLON,
    ACTIONS(9176), 1,
      anon_sym_STAR,
    ACTIONS(9178), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9180), 1,
      anon_sym_AMP,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7538), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10547), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10479), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3725), 1,
      sym_enumerator_list,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(10741), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3239), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(8775), 1,
      sym_concatenated_string,
    STATE(7016), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278893] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2989), 1,
      sym_enumerator_list,
    STATE(7319), 1,
      sym__scope_resolution,
    ACTIONS(10743), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5745), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [278961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [278991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10745), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [279053] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3260), 1,
      sym_enumerator_list,
    STATE(7293), 1,
      sym__scope_resolution,
    ACTIONS(10747), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5741), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(9187), 1,
      sym_concatenated_string,
    STATE(7008), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_LBRACK,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6061), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [279175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      anon_sym_requires,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9248), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10749), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5354), 1,
      sym_identifier,
    ACTIONS(5356), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10543), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10475), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10580), 1,
      anon_sym_requires,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [279337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 1,
      anon_sym_requires,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5112), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5105), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [279389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10527), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      sym_identifier,
    ACTIONS(5352), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10749), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10751), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6294), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10517), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(8936), 1,
      sym_concatenated_string,
    STATE(7068), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279531] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(6135), 1,
      sym_enumerator_list,
    STATE(7289), 1,
      sym__scope_resolution,
    ACTIONS(10753), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5914), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279571] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3370), 1,
      sym_enumerator_list,
    STATE(7276), 1,
      sym__scope_resolution,
    ACTIONS(10755), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3108), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9559), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(8990), 1,
      sym_concatenated_string,
    STATE(6969), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(8860), 1,
      sym_concatenated_string,
    STATE(6957), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(10757), 1,
      anon_sym_requires,
    STATE(7087), 1,
      sym_trailing_return_type,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [279775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 1,
      sym_identifier,
    ACTIONS(5364), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279797] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2437), 1,
      sym_enumerator_list,
    STATE(7279), 1,
      sym__scope_resolution,
    ACTIONS(10760), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2635), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279837] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5736), 1,
      sym_enumerator_list,
    STATE(7292), 1,
      sym__scope_resolution,
    ACTIONS(10762), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5581), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10503), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5358), 1,
      sym_identifier,
    ACTIONS(5360), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10764), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [279951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(8757), 1,
      sym_concatenated_string,
    STATE(6982), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279979] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10766), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280011] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3329), 1,
      sym_enumerator_list,
    STATE(7273), 1,
      sym__scope_resolution,
    ACTIONS(10768), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3045), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9712), 1,
      anon_sym_requires,
    STATE(7090), 1,
      sym_trailing_return_type,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [280083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7865), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [280113] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(4551), 1,
      sym_enumerator_list,
    STATE(7307), 1,
      sym__scope_resolution,
    ACTIONS(10770), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4663), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9529), 1,
      anon_sym_requires,
    STATE(7101), 1,
      sym_trailing_return_type,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [280185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9263), 1,
      anon_sym_requires,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [280215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10774), 1,
      anon_sym_LBRACK,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10772), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [280241] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10739), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [280273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [280305] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2989), 1,
      sym_enumerator_list,
    STATE(7302), 1,
      sym__scope_resolution,
    ACTIONS(10778), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4471), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10309), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [280393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(9034), 1,
      sym_concatenated_string,
    STATE(7010), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [280421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10513), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280441] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(4551), 1,
      sym_enumerator_list,
    STATE(7285), 1,
      sym__scope_resolution,
    ACTIONS(10780), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5374), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym_identifier,
    STATE(9077), 1,
      sym_concatenated_string,
    STATE(6985), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [280529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7897), 1,
      anon_sym_DASH_GT,
    ACTIONS(9473), 1,
      anon_sym_requires,
    STATE(7108), 1,
      sym_trailing_return_type,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [280561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5610), 1,
      sym_enumerator_list,
    STATE(7285), 1,
      sym__scope_resolution,
    ACTIONS(10782), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5536), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9501), 1,
      anon_sym_requires,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [280631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [280663] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9653), 1,
      anon_sym_requires,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [280693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2437), 1,
      sym_enumerator_list,
    STATE(7279), 1,
      sym__scope_resolution,
    ACTIONS(10784), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [280761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3867), 1,
      sym_enumerator_list,
    STATE(7304), 1,
      sym__scope_resolution,
    ACTIONS(10786), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3973), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280801] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3867), 1,
      sym_enumerator_list,
    STATE(7306), 1,
      sym__scope_resolution,
    ACTIONS(10788), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    STATE(4171), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7097), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10790), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(10735), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10792), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6294), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [280899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9157), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280919] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4535), 1,
      sym_enumerator_list,
    STATE(7300), 1,
      sym__scope_resolution,
    ACTIONS(10794), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4334), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4317), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10796), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [280991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10796), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [281023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10493), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10331), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10798), 1,
      anon_sym_requires,
    ACTIONS(10623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [281091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4333), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10731), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [281123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4118), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10801), 1,
      anon_sym_SEMI,
    ACTIONS(10803), 1,
      anon_sym_EQ,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10807), 1,
      anon_sym_try,
    STATE(867), 1,
      sym_compound_statement,
    STATE(8717), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(866), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      anon_sym_LBRACK,
    ACTIONS(6125), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    STATE(7152), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [281290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10809), 1,
      anon_sym_SEMI,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    ACTIONS(10813), 1,
      anon_sym_EQ,
    ACTIONS(10815), 1,
      anon_sym_try,
    STATE(2785), 1,
      sym_compound_statement,
    STATE(8531), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2786), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    STATE(7156), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10817), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [281385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    STATE(7159), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10819), 1,
      anon_sym_SEMI,
    ACTIONS(10821), 1,
      anon_sym_EQ,
    ACTIONS(10823), 1,
      anon_sym_try,
    STATE(1093), 1,
      sym_compound_statement,
    STATE(8503), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1091), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    STATE(7217), 1,
      sym_trailing_return_type,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10825), 1,
      sym_identifier,
    ACTIONS(10827), 1,
      anon_sym_COLON_COLON,
    STATE(6995), 1,
      sym__scope_resolution,
    STATE(8046), 1,
      sym_field_initializer,
    STATE(8571), 1,
      sym_operator_name,
    STATE(7800), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [281525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [281552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10831), 1,
      anon_sym_LBRACK,
    ACTIONS(10829), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_requires,
    STATE(7189), 1,
      sym_trailing_return_type,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9835), 1,
      anon_sym_requires,
    STATE(7163), 1,
      sym_trailing_return_type,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281639] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10833), 1,
      anon_sym_requires,
    STATE(7150), 1,
      sym_trailing_return_type,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_LBRACK,
    ACTIONS(10836), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(5143), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [281739] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10848), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8409), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9540), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7041), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [281772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_LBRACK,
    ACTIONS(10850), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10821), 1,
      anon_sym_EQ,
    ACTIONS(10823), 1,
      anon_sym_try,
    ACTIONS(10854), 1,
      anon_sym_SEMI,
    STATE(1053), 1,
      sym_compound_statement,
    STATE(8361), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1067), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10856), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8606), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8950), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7051), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [281863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_LBRACK,
    ACTIONS(10858), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281884] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10862), 1,
      anon_sym_SEMI,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    ACTIONS(10866), 1,
      anon_sym_EQ,
    ACTIONS(10868), 1,
      anon_sym_try,
    STATE(2421), 1,
      sym_compound_statement,
    STATE(8589), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2401), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281921] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10870), 1,
      anon_sym_SEMI,
    ACTIONS(10872), 1,
      anon_sym_EQ,
    ACTIONS(10874), 1,
      anon_sym_try,
    STATE(423), 1,
      sym_compound_statement,
    STATE(8474), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(426), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [281958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10712), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10714), 1,
      anon_sym_template,
    ACTIONS(10876), 1,
      sym_identifier,
    STATE(4217), 1,
      sym_qualified_field_identifier,
    STATE(4219), 1,
      sym_dependent_field_identifier,
    STATE(4222), 1,
      sym_template_method,
    STATE(6977), 1,
      sym__scope_resolution,
    STATE(8527), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [281997] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10878), 1,
      anon_sym_SEMI,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    ACTIONS(10882), 1,
      anon_sym_try,
    STATE(870), 1,
      sym_compound_statement,
    STATE(8393), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(868), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [282034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10886), 1,
      anon_sym_LBRACK,
    ACTIONS(10884), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282055] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10888), 1,
      anon_sym_SEMI,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    ACTIONS(10892), 1,
      anon_sym_EQ,
    ACTIONS(10894), 1,
      anon_sym_try,
    STATE(2658), 1,
      sym_compound_statement,
    STATE(8510), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2657), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [282092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10896), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8478), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9280), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [282125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10898), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym_LBRACK,
    ACTIONS(6121), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10900), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8690), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8813), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7062), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [282204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10902), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    ACTIONS(10892), 1,
      anon_sym_EQ,
    ACTIONS(10894), 1,
      anon_sym_try,
    ACTIONS(10904), 1,
      anon_sym_SEMI,
    STATE(2604), 1,
      sym_compound_statement,
    STATE(8530), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2607), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [282266] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10556), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10558), 1,
      anon_sym_template,
    ACTIONS(10906), 1,
      sym_identifier,
    STATE(3996), 1,
      sym_template_method,
    STATE(3999), 1,
      sym_dependent_field_identifier,
    STATE(4000), 1,
      sym_qualified_field_identifier,
    STATE(6987), 1,
      sym__scope_resolution,
    STATE(8472), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10910), 1,
      anon_sym_LBRACK,
    ACTIONS(10908), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10914), 1,
      anon_sym_LBRACK,
    ACTIONS(10912), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10918), 1,
      anon_sym_LBRACK,
    ACTIONS(10916), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10920), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8436), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9434), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [282401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [282428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8001), 1,
      anon_sym_DASH_GT,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    STATE(7178), 1,
      sym_trailing_return_type,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [282461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [282488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10827), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10922), 1,
      sym_identifier,
    ACTIONS(10924), 1,
      anon_sym_template,
    STATE(2794), 1,
      sym_dependent_field_identifier,
    STATE(2796), 1,
      sym_template_method,
    STATE(2801), 1,
      sym_qualified_field_identifier,
    STATE(6995), 1,
      sym__scope_resolution,
    STATE(8571), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [282527] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7520), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [282562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10926), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8695), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8803), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7037), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [282595] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    ACTIONS(10866), 1,
      anon_sym_EQ,
    ACTIONS(10868), 1,
      anon_sym_try,
    ACTIONS(10928), 1,
      anon_sym_SEMI,
    STATE(2470), 1,
      sym_compound_statement,
    STATE(8614), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2469), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [282632] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(7116), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5917), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [282661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8587), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8983), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [282694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(7116), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5948), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [282723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [282771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10934), 1,
      anon_sym_LBRACK,
    ACTIONS(10932), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282792] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    ACTIONS(8594), 1,
      anon_sym_STAR,
    ACTIONS(8596), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8598), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7339), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [282827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(7116), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [282856] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    ACTIONS(10882), 1,
      anon_sym_try,
    ACTIONS(10936), 1,
      anon_sym_SEMI,
    STATE(977), 1,
      sym_compound_statement,
    STATE(8344), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(976), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [282893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6103), 1,
      anon_sym_LBRACK,
    ACTIONS(6105), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [282991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10942), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8493), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9217), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6981), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10944), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8479), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9271), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10946), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8402), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9545), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [283136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_LBRACK,
    ACTIONS(6131), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [283184] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10950), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8605), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8956), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7000), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10952), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [283242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10954), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8518), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9125), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7047), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6091), 1,
      anon_sym_LBRACK,
    ACTIONS(6093), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283296] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10652), 1,
      anon_sym_template,
    ACTIONS(10956), 1,
      sym_identifier,
    STATE(2794), 1,
      sym_dependent_field_identifier,
    STATE(2796), 1,
      sym_template_method,
    STATE(2801), 1,
      sym_qualified_field_identifier,
    STATE(7023), 1,
      sym__scope_resolution,
    STATE(8388), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [283335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6111), 1,
      anon_sym_LBRACK,
    ACTIONS(6113), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283377] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10958), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8376), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9606), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7015), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [283437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10654), 1,
      anon_sym_LBRACK,
    STATE(7029), 1,
      sym_parameter_list,
    STATE(7116), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5940), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [283466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6099), 1,
      anon_sym_LBRACK,
    ACTIONS(6101), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [283514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [283562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [283589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10960), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8546), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9070), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7059), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283622] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10962), 1,
      anon_sym_SEMI,
    ACTIONS(10964), 1,
      anon_sym_EQ,
    ACTIONS(10966), 1,
      anon_sym_try,
    STATE(579), 1,
      sym_compound_statement,
    STATE(8620), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(580), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [283659] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10968), 1,
      anon_sym_SEMI,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_EQ,
    ACTIONS(10974), 1,
      anon_sym_try,
    STATE(2150), 1,
      sym_compound_statement,
    STATE(8665), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2228), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [283696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10976), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8719), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8771), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10872), 1,
      anon_sym_EQ,
    ACTIONS(10874), 1,
      anon_sym_try,
    ACTIONS(10978), 1,
      anon_sym_SEMI,
    STATE(388), 1,
      sym_compound_statement,
    STATE(8454), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(406), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [283766] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10980), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8431), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9426), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283799] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10964), 1,
      anon_sym_EQ,
    ACTIONS(10966), 1,
      anon_sym_try,
    ACTIONS(10982), 1,
      anon_sym_SEMI,
    STATE(558), 1,
      sym_compound_statement,
    STATE(8595), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(557), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [283836] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10984), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8397), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9566), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [283896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [283923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283944] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 1,
      anon_sym_LPAREN2,
    ACTIONS(5121), 1,
      anon_sym_STAR,
    ACTIONS(5123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5125), 1,
      anon_sym_AMP,
    ACTIONS(8042), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6849), 1,
      sym__function_declarator_seq,
    STATE(7509), 1,
      sym__abstract_declarator,
    STATE(6843), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [283979] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10698), 1,
      anon_sym_template,
    ACTIONS(10956), 1,
      sym_identifier,
    STATE(2794), 1,
      sym_dependent_field_identifier,
    STATE(2796), 1,
      sym_template_method,
    STATE(2801), 1,
      sym_qualified_field_identifier,
    STATE(7046), 1,
      sym__scope_resolution,
    STATE(8623), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [284018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10986), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8536), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9092), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10988), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8455), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9331), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6991), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4310), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [284138] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8626), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8919), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5480), 1,
      anon_sym_LBRACK,
    ACTIONS(5478), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(10972), 1,
      anon_sym_EQ,
    ACTIONS(10974), 1,
      anon_sym_try,
    ACTIONS(10992), 1,
      anon_sym_SEMI,
    STATE(2242), 1,
      sym_compound_statement,
    STATE(8703), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2240), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [284229] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10704), 1,
      anon_sym_template,
    ACTIONS(10994), 1,
      sym_identifier,
    STATE(3580), 1,
      sym_template_method,
    STATE(3691), 1,
      sym_dependent_field_identifier,
    STATE(3701), 1,
      sym_qualified_field_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(8617), 1,
      sym_operator_name,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [284268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4331), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10825), 1,
      sym_identifier,
    ACTIONS(10827), 1,
      anon_sym_COLON_COLON,
    STATE(6995), 1,
      sym__scope_resolution,
    STATE(8571), 1,
      sym_operator_name,
    STATE(8678), 1,
      sym_field_initializer,
    STATE(7800), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [284332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10996), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8468), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9301), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7014), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10998), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8471), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9111), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    ACTIONS(10813), 1,
      anon_sym_EQ,
    ACTIONS(10815), 1,
      anon_sym_try,
    ACTIONS(11000), 1,
      anon_sym_SEMI,
    STATE(2756), 1,
      sym_compound_statement,
    STATE(8552), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2757), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [284456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11002), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8661), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8864), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(10844), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11004), 1,
      anon_sym_RBRACE,
    ACTIONS(10846), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8625), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8908), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7039), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10803), 1,
      anon_sym_EQ,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10807), 1,
      anon_sym_try,
    ACTIONS(11006), 1,
      anon_sym_SEMI,
    STATE(908), 1,
      sym_compound_statement,
    STATE(8680), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(907), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [284580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(5060), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 1,
      anon_sym_LBRACK,
    ACTIONS(6117), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6087), 1,
      anon_sym_LBRACK,
    ACTIONS(6089), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [284668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11012), 1,
      anon_sym_LT,
    ACTIONS(11014), 1,
      anon_sym_LBRACK,
    STATE(7183), 1,
      sym_template_argument_list,
    ACTIONS(11010), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [284692] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2398), 1,
      sym_enumerator_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(2638), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [284728] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9538), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3237), 1,
      sym_enumerator_list,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(5740), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [284764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [284790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5785), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9507), 1,
      sym_identifier,
    STATE(2177), 1,
      sym_template_type,
    STATE(2398), 1,
      sym_enumerator_list,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(2868), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [284826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7263), 1,
      sym_virtual,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [284862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5907), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [284890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [284916] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10964), 1,
      anon_sym_EQ,
    ACTIONS(10966), 1,
      anon_sym_try,
    STATE(579), 1,
      sym_compound_statement,
    STATE(8620), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(580), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [284950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10872), 1,
      anon_sym_EQ,
    ACTIONS(10874), 1,
      anon_sym_try,
    STATE(423), 1,
      sym_compound_statement,
    STATE(8474), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(426), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [284984] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10821), 1,
      anon_sym_EQ,
    ACTIONS(10823), 1,
      anon_sym_try,
    STATE(1053), 1,
      sym_compound_statement,
    STATE(8361), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1067), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [285018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6864), 1,
      anon_sym_LBRACE,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9532), 1,
      sym_identifier,
    STATE(3236), 1,
      sym_template_type,
    STATE(3667), 1,
      sym_enumerator_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(3251), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5917), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [285082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6693), 1,
      anon_sym_LBRACE,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9513), 1,
      sym_identifier,
    STATE(3037), 1,
      sym_template_type,
    STATE(3274), 1,
      sym_enumerator_list,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(3040), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285118] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9536), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(6148), 1,
      sym_enumerator_list,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(5965), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285154] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10803), 1,
      anon_sym_EQ,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10807), 1,
      anon_sym_try,
    STATE(908), 1,
      sym_compound_statement,
    STATE(8680), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(907), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [285188] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    ACTIONS(10882), 1,
      anon_sym_try,
    STATE(977), 1,
      sym_compound_statement,
    STATE(8344), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(976), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [285222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10731), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [285252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11016), 1,
      anon_sym_requires,
    ACTIONS(10623), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(10674), 1,
      anon_sym_requires,
    STATE(6947), 1,
      sym_trailing_return_type,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [285308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2999), 1,
      sym_enumerator_list,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(4490), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10757), 1,
      anon_sym_requires,
    ACTIONS(10428), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6861), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5948), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [285424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10729), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [285480] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6417), 1,
      anon_sym_LBRACE,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9525), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3065), 1,
      sym_enumerator_list,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(2892), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11021), 1,
      anon_sym_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11019), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [285566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8116), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(8118), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [285586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11012), 1,
      anon_sym_LT,
    ACTIONS(11025), 1,
      anon_sym_LBRACK,
    STATE(7179), 1,
      sym_template_argument_list,
    ACTIONS(11023), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [285610] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10964), 1,
      anon_sym_EQ,
    ACTIONS(10966), 1,
      anon_sym_try,
    STATE(558), 1,
      sym_compound_statement,
    STATE(8595), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(557), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [285644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      anon_sym_requires,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285722] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7246), 1,
      sym_virtual,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7736), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285758] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9540), 1,
      sym_identifier,
    STATE(4498), 1,
      sym_template_type,
    STATE(4710), 1,
      sym_enumerator_list,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(4453), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9706), 1,
      anon_sym_requires,
    STATE(6865), 1,
      sym_trailing_return_type,
    ACTIONS(9563), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [285850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9529), 1,
      anon_sym_requires,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7912), 1,
      anon_sym_requires,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [285954] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5615), 1,
      sym_enumerator_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(5972), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [285990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9504), 1,
      anon_sym_requires,
    STATE(6889), 1,
      sym_trailing_return_type,
    ACTIONS(9255), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_requires,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [286046] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9184), 1,
      anon_sym_LBRACE,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(5615), 1,
      sym_enumerator_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(5555), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6061), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286106] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9509), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3829), 1,
      sym_enumerator_list,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(3931), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(6838), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6946), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286172] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10821), 1,
      anon_sym_EQ,
    ACTIONS(10823), 1,
      anon_sym_try,
    STATE(1093), 1,
      sym_compound_statement,
    STATE(8503), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1091), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [286206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(6894), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6923), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286236] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7807), 1,
      anon_sym_LBRACE,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9557), 1,
      sym_identifier,
    STATE(4339), 1,
      sym_template_type,
    STATE(4533), 1,
      sym_enumerator_list,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(4305), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286272] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6431), 1,
      anon_sym_LBRACE,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9553), 1,
      sym_identifier,
    STATE(2158), 1,
      sym_template_type,
    STATE(2999), 1,
      sym_enumerator_list,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(5739), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286308] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5940), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [286336] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7253), 1,
      sym_virtual,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(8225), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286372] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10774), 1,
      anon_sym_LBRACK,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10772), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11029), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6294), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [286418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9519), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(3829), 1,
      sym_enumerator_list,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(4332), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286454] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9238), 1,
      anon_sym_LBRACE,
    ACTIONS(9542), 1,
      sym_identifier,
    STATE(5560), 1,
      sym_template_type,
    STATE(5733), 1,
      sym_enumerator_list,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(5597), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286490] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    ACTIONS(9252), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym_trailing_return_type,
    ACTIONS(9170), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(6901), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6899), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7886), 1,
      anon_sym_requires,
    ACTIONS(8068), 1,
      anon_sym_DASH_GT,
    STATE(6936), 1,
      sym_trailing_return_type,
    ACTIONS(7628), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6730), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [286580] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6827), 1,
      anon_sym_LBRACE,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9555), 1,
      sym_identifier,
    STATE(3162), 1,
      sym_template_type,
    STATE(3237), 1,
      sym_enumerator_list,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(4666), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(9509), 1,
      sym_identifier,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    STATE(2864), 1,
      sym_template_type,
    STATE(3829), 1,
      sym_enumerator_list,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(4880), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286652] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10872), 1,
      anon_sym_EQ,
    ACTIONS(10874), 1,
      anon_sym_try,
    STATE(388), 1,
      sym_compound_statement,
    STATE(8454), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(406), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [286686] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [286716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [286742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6583), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10449), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10451), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [286764] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10803), 1,
      anon_sym_EQ,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10807), 1,
      anon_sym_try,
    STATE(867), 1,
      sym_compound_statement,
    STATE(8717), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(866), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [286798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11029), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [286818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4405), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [286844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10739), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [286874] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9515), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(4544), 1,
      sym_enumerator_list,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(5380), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7161), 1,
      anon_sym_LBRACE,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(4544), 1,
      sym_enumerator_list,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(4702), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    ACTIONS(10880), 1,
      anon_sym_EQ,
    ACTIONS(10882), 1,
      anon_sym_try,
    STATE(870), 1,
      sym_compound_statement,
    STATE(8393), 1,
      sym_field_initializer_list,
    ACTIONS(5143), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(868), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [286980] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6744), 1,
      anon_sym_LBRACE,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9511), 1,
      sym_identifier,
    STATE(3117), 1,
      sym_template_type,
    STATE(3341), 1,
      sym_enumerator_list,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(3106), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287016] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5417), 1,
      anon_sym_virtual,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7257), 1,
      sym_virtual,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7661), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10796), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [287082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11031), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8942), 1,
      sym_qualified_identifier,
    ACTIONS(11033), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [287113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10086), 1,
      anon_sym_try,
    STATE(1083), 1,
      sym_compound_statement,
    STATE(1084), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(11035), 1,
      anon_sym_requires,
    ACTIONS(10335), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [287196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(10333), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6632), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10331), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287223] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11040), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9166), 1,
      sym_qualified_identifier,
    ACTIONS(11042), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [287254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [287279] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11044), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9515), 1,
      sym_qualified_identifier,
    ACTIONS(11046), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [287310] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [287362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11048), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11052), 1,
      aux_sym_preproc_elif_token1,
    STATE(7366), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9069), 1,
      sym_enumerator,
    ACTIONS(11054), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9062), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [287393] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11058), 1,
      anon_sym_LBRACK,
    ACTIONS(11056), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11062), 1,
      anon_sym_LBRACK,
    ACTIONS(11060), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287458] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2202), 1,
      sym_compound_statement,
    STATE(2207), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10311), 1,
      anon_sym_LBRACK,
    ACTIONS(10833), 1,
      anon_sym_requires,
    ACTIONS(10343), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6635), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10309), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 1,
      anon_sym_try,
    STATE(916), 1,
      sym_try_statement,
    STATE(917), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287555] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11064), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8970), 1,
      sym_qualified_identifier,
    ACTIONS(11066), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [287586] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2130), 1,
      sym_compound_statement,
    STATE(2199), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11070), 1,
      anon_sym_LBRACK,
    ACTIONS(11068), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [287665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11072), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9063), 1,
      sym_qualified_identifier,
    ACTIONS(11074), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [287696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11076), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287715] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10086), 1,
      anon_sym_try,
    STATE(1068), 1,
      sym_compound_statement,
    STATE(1069), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2597), 1,
      sym_compound_statement,
    STATE(2599), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6059), 1,
      anon_sym_LBRACK,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6061), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [287808] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10198), 1,
      anon_sym_try,
    STATE(981), 1,
      sym_compound_statement,
    STATE(990), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [287868] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2707), 1,
      sym_try_statement,
    STATE(2708), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2600), 1,
      sym_compound_statement,
    STATE(2606), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [287965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6190), 1,
      anon_sym_LBRACK,
    ACTIONS(6192), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287984] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10086), 1,
      anon_sym_try,
    STATE(1007), 1,
      sym_compound_statement,
    STATE(1009), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288019] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11080), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9330), 1,
      sym_qualified_identifier,
    ACTIONS(11082), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [288050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_LBRACK,
    ACTIONS(11084), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_LBRACK,
    ACTIONS(6228), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10796), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288117] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10660), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11090), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11092), 1,
      aux_sym_preproc_elif_token1,
    STATE(7368), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7369), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7519), 1,
      sym_enumerator,
    STATE(8822), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(8974), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [288150] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11052), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11094), 1,
      aux_sym_preproc_if_token2,
    STATE(7158), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9069), 1,
      sym_enumerator,
    ACTIONS(11054), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9029), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [288181] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10168), 1,
      anon_sym_try,
    STATE(373), 1,
      sym_try_statement,
    STATE(374), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288216] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11096), 1,
      sym_identifier,
    ACTIONS(11099), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11105), 1,
      sym_preproc_directive,
    ACTIONS(11108), 1,
      anon_sym_RBRACE,
    ACTIONS(11102), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8998), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7188), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [288245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9561), 1,
      anon_sym_LBRACK,
    ACTIONS(9835), 1,
      anon_sym_requires,
    ACTIONS(9580), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6646), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9559), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [288272] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2416), 1,
      sym_try_statement,
    STATE(2461), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10739), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11110), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9713), 1,
      sym_qualified_identifier,
    ACTIONS(11112), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [288367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [288392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2773), 1,
      sym_try_statement,
    STATE(2775), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2777), 1,
      sym_try_statement,
    STATE(2779), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288462] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 1,
      anon_sym_try,
    STATE(960), 1,
      sym_try_statement,
    STATE(961), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10168), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_try_statement,
    STATE(417), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10731), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10020), 1,
      anon_sym_try,
    STATE(967), 1,
      sym_try_statement,
    STATE(973), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10729), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288625] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10776), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [288679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [288704] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10660), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11092), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11114), 1,
      aux_sym_preproc_if_token2,
    STATE(7372), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7373), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7519), 1,
      sym_enumerator,
    STATE(9317), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(9325), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [288737] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(569), 1,
      sym_try_statement,
    STATE(570), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [288797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [288822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_LBRACK,
    ACTIONS(11010), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_LBRACK,
    ACTIONS(11116), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288860] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2393), 1,
      sym_compound_statement,
    STATE(2394), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(9498), 1,
      anon_sym_requires,
    ACTIONS(9214), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [288922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4394), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [288947] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym_compound_statement,
    STATE(2637), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288982] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10660), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11092), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11120), 1,
      aux_sym_preproc_if_token2,
    STATE(7329), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7362), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7519), 1,
      sym_enumerator,
    STATE(8810), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(8811), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [289015] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10168), 1,
      anon_sym_try,
    STATE(376), 1,
      sym_try_statement,
    STATE(378), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(11122), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11126), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11128), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9094), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [289079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9250), 1,
      anon_sym_LBRACK,
    ACTIONS(9586), 1,
      anon_sym_requires,
    ACTIONS(9445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6593), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9248), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [289106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11130), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8801), 1,
      sym_qualified_identifier,
    ACTIONS(11132), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289137] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2464), 1,
      sym_compound_statement,
    STATE(2479), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289172] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10198), 1,
      anon_sym_try,
    STATE(942), 1,
      sym_compound_statement,
    STATE(950), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2171), 1,
      sym_try_statement,
    STATE(2191), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [289267] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8003), 1,
      anon_sym_requires,
    ACTIONS(9159), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6558), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6659), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9157), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [289294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11134), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8827), 1,
      sym_qualified_identifier,
    ACTIONS(11136), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(11038), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11138), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6294), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11142), 1,
      anon_sym_LBRACK,
    ACTIONS(11140), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10198), 1,
      anon_sym_try,
    STATE(945), 1,
      sym_try_statement,
    STATE(949), 1,
      sym_compound_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [289427] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(551), 1,
      sym_compound_statement,
    STATE(553), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289462] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10186), 1,
      anon_sym_try,
    STATE(548), 1,
      sym_compound_statement,
    STATE(550), 1,
      sym_try_statement,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [289521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5075), 1,
      anon_sym_LBRACK,
    ACTIONS(5077), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289539] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(11144), 1,
      sym_identifier,
    ACTIONS(11146), 1,
      anon_sym_COLON_COLON,
    STATE(3278), 1,
      sym_template_type,
    STATE(7288), 1,
      sym__scope_resolution,
    STATE(3335), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [289569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11148), 1,
      anon_sym_COMMA,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7704), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11150), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_delete,
    ACTIONS(11158), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [289645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11160), 1,
      anon_sym_delete,
    ACTIONS(11162), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    ACTIONS(11164), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5091), 1,
      anon_sym_LBRACK,
    ACTIONS(5093), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_LBRACK,
    STATE(7797), 1,
      sym_gnu_asm_output_operand,
    STATE(8844), 1,
      sym_string_literal,
    ACTIONS(11168), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [289739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11172), 1,
      anon_sym_delete,
    ACTIONS(11174), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289761] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11176), 1,
      anon_sym_EQ,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(9653), 1,
      sym_initializer_list,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11178), 1,
      anon_sym_EQ,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    ACTIONS(11164), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_delete,
    ACTIONS(11182), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11184), 1,
      anon_sym_delete,
    ACTIONS(11186), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7661), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [289897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [289921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_new,
    ACTIONS(11188), 1,
      anon_sym_delete,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_new,
    ACTIONS(11190), 1,
      anon_sym_delete,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11182), 1,
      anon_sym_new,
    ACTIONS(11192), 1,
      anon_sym_delete,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [289987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_delete,
    ACTIONS(11196), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_new,
    ACTIONS(11198), 1,
      anon_sym_delete,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290031] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7962), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [290061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [290085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    STATE(7599), 1,
      sym_gnu_asm_input_operand,
    STATE(9671), 1,
      sym_string_literal,
    ACTIONS(11200), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [290109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5083), 1,
      anon_sym_LBRACK,
    ACTIONS(5085), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290127] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(7618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [290157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [290181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [290205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [290229] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4477), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [290253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 1,
      anon_sym_delete,
    ACTIONS(11206), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290275] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9527), 1,
      sym_identifier,
    STATE(2864), 1,
      sym_template_type,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(8002), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9400), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [290305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11208), 1,
      anon_sym_delete,
    ACTIONS(11210), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290327] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11212), 1,
      anon_sym_delete,
    ACTIONS(11214), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5079), 1,
      anon_sym_LBRACK,
    ACTIONS(5081), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_LBRACK,
    ACTIONS(5089), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5099), 1,
      anon_sym_LBRACK,
    ACTIONS(5101), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11216), 1,
      anon_sym_delete,
    ACTIONS(11218), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5095), 1,
      anon_sym_LBRACK,
    ACTIONS(5097), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11220), 1,
      anon_sym_delete,
    ACTIONS(11222), 1,
      anon_sym_new,
    ACTIONS(11154), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11152), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [290465] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11224), 1,
      sym_identifier,
    ACTIONS(11226), 1,
      anon_sym_template,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(7272), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290496] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9312), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11228), 1,
      sym_identifier,
    ACTIONS(11230), 1,
      anon_sym_template,
    STATE(3027), 1,
      sym_template_type,
    STATE(3028), 1,
      sym_dependent_type_identifier,
    STATE(3118), 1,
      sym_qualified_type_identifier,
    STATE(7273), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      sym_identifier,
    ACTIONS(11236), 1,
      sym_system_lib_string,
    STATE(9009), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11234), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [290548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290571] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9268), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11238), 1,
      sym_identifier,
    ACTIONS(11240), 1,
      anon_sym_template,
    STATE(3085), 1,
      sym_template_type,
    STATE(3086), 1,
      sym_dependent_type_identifier,
    STATE(3153), 1,
      sym_qualified_type_identifier,
    STATE(7276), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_AMP,
    ACTIONS(11246), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11242), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [290621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11248), 1,
      sym_identifier,
    ACTIONS(11250), 1,
      sym_system_lib_string,
    STATE(9537), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11234), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [290642] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9334), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11252), 1,
      sym_identifier,
    ACTIONS(11254), 1,
      anon_sym_template,
    STATE(2234), 1,
      sym_dependent_type_identifier,
    STATE(2235), 1,
      sym_template_type,
    STATE(2264), 1,
      sym_qualified_type_identifier,
    STATE(7279), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_AMP,
    ACTIONS(11256), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6357), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [290692] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11258), 1,
      sym_identifier,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(7281), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11260), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [290748] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11262), 1,
      sym_identifier,
    ACTIONS(11264), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(7283), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11266), 1,
      sym_identifier,
    ACTIONS(11268), 1,
      sym_system_lib_string,
    STATE(9209), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11234), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [290800] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8078), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11262), 1,
      sym_identifier,
    ACTIONS(11264), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(3850), 1,
      sym_qualified_type_identifier,
    STATE(7285), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11270), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8891), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11272), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9112), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290885] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(11146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11274), 1,
      sym_identifier,
    ACTIONS(11276), 1,
      anon_sym_template,
    STATE(3247), 1,
      sym_template_type,
    STATE(3248), 1,
      sym_dependent_type_identifier,
    STATE(3285), 1,
      sym_qualified_type_identifier,
    STATE(7288), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290916] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11278), 1,
      sym_identifier,
    ACTIONS(11280), 1,
      anon_sym_template,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(7289), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [290947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9356), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11282), 1,
      sym_identifier,
    ACTIONS(11284), 1,
      anon_sym_template,
    STATE(3191), 1,
      sym_template_type,
    STATE(3193), 1,
      sym_dependent_type_identifier,
    STATE(3246), 1,
      sym_qualified_type_identifier,
    STATE(7291), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291001] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8046), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11286), 1,
      sym_identifier,
    ACTIONS(11288), 1,
      anon_sym_template,
    STATE(5569), 1,
      sym_template_type,
    STATE(5574), 1,
      sym_dependent_type_identifier,
    STATE(5594), 1,
      sym_qualified_type_identifier,
    STATE(7292), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291032] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11284), 1,
      anon_sym_template,
    ACTIONS(11290), 1,
      sym_identifier,
    STATE(3191), 1,
      sym_template_type,
    STATE(3193), 1,
      sym_dependent_type_identifier,
    STATE(3246), 1,
      sym_qualified_type_identifier,
    STATE(7293), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291063] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11292), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8937), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11294), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8791), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3219), 1,
      sym_template_argument_list,
    ACTIONS(8090), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5143), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [291163] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11296), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9088), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291213] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9425), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11298), 1,
      sym_identifier,
    ACTIONS(11300), 1,
      anon_sym_template,
    STATE(4328), 1,
      sym_dependent_type_identifier,
    STATE(4329), 1,
      sym_template_type,
    STATE(4412), 1,
      sym_qualified_type_identifier,
    STATE(7300), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_AMP,
    ACTIONS(11256), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(11302), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6294), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [291265] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9379), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11304), 1,
      sym_identifier,
    ACTIONS(11306), 1,
      anon_sym_template,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(7302), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291319] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5169), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11308), 1,
      sym_identifier,
    ACTIONS(11310), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(7304), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11312), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8967), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291377] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5127), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11314), 1,
      sym_identifier,
    ACTIONS(11316), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(2827), 1,
      sym_qualified_type_identifier,
    STATE(7306), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291408] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8010), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11258), 1,
      sym_identifier,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(3850), 1,
      sym_qualified_type_identifier,
    STATE(7307), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291439] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11308), 1,
      sym_identifier,
    ACTIONS(11310), 1,
      anon_sym_template,
    STATE(2815), 1,
      sym_template_type,
    STATE(2824), 1,
      sym_dependent_type_identifier,
    STATE(3850), 1,
      sym_qualified_type_identifier,
    STATE(7308), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 1,
      sym_identifier,
    ACTIONS(11320), 1,
      sym_system_lib_string,
    STATE(9357), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11234), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [291491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11322), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9587), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11324), 1,
      sym_identifier,
    ACTIONS(11326), 1,
      sym_system_lib_string,
    STATE(9373), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11234), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [291539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291562] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11328), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(9287), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9453), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 1,
      sym_identifier,
    ACTIONS(11332), 1,
      anon_sym_template,
    STATE(4484), 1,
      sym_template_type,
    STATE(4488), 1,
      sym_dependent_type_identifier,
    STATE(4521), 1,
      sym_qualified_type_identifier,
    STATE(7314), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3219), 1,
      sym_template_argument_list,
    ACTIONS(5067), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5060), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [291643] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9852), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11334), 1,
      sym_identifier,
    ACTIONS(11336), 1,
      anon_sym_template,
    STATE(2826), 1,
      sym_qualified_type_identifier,
    STATE(2835), 1,
      sym_template_type,
    STATE(2838), 1,
      sym_dependent_type_identifier,
    STATE(7316), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10367), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11338), 1,
      sym_identifier,
    STATE(6501), 1,
      sym__scope_resolution,
    STATE(8823), 1,
      sym_qualified_identifier,
    STATE(9400), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [291701] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9290), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11340), 1,
      sym_identifier,
    ACTIONS(11342), 1,
      anon_sym_template,
    STATE(2903), 1,
      sym_dependent_type_identifier,
    STATE(2906), 1,
      sym_template_type,
    STATE(3009), 1,
      sym_qualified_type_identifier,
    STATE(7318), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291732] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7962), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11306), 1,
      anon_sym_template,
    ACTIONS(11344), 1,
      sym_identifier,
    STATE(2178), 1,
      sym_template_type,
    STATE(2182), 1,
      sym_dependent_type_identifier,
    STATE(2342), 1,
      sym_qualified_type_identifier,
    STATE(7319), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291763] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9403), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11346), 1,
      sym_identifier,
    ACTIONS(11348), 1,
      anon_sym_template,
    STATE(3229), 1,
      sym_dependent_type_identifier,
    STATE(3230), 1,
      sym_template_type,
    STATE(3376), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9400), 1,
      sym_decltype,
  [291794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10646), 1,
      anon_sym_LBRACK,
    STATE(4604), 1,
      sym_parameter_list,
    STATE(6672), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10729), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(10790), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11352), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11350), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_LBRACK,
    STATE(7947), 1,
      sym_gnu_asm_input_operand,
    STATE(9671), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [291928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10739), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11356), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11358), 1,
      aux_sym_preproc_elif_token1,
    STATE(7464), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8828), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [292004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11360), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292030] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_SEMI,
    ACTIONS(11364), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(10764), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5067), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(5060), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [292104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(11366), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10731), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10796), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(10776), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(11368), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [292252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11370), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11372), 1,
      anon_sym_SEMI,
    ACTIONS(11374), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11376), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(8090), 1,
      anon_sym_LBRACK,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(5143), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [292352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11378), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3219), 1,
      sym_template_argument_list,
    ACTIONS(6350), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [292398] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11382), 1,
      aux_sym_preproc_if_token2,
    STATE(7329), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8810), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [292492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11384), 1,
      anon_sym_SEMI,
    ACTIONS(11386), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7757), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292562] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11388), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11390), 1,
      sym_identifier,
    ACTIONS(11395), 1,
      aux_sym_preproc_elif_token1,
    STATE(7354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11393), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [292608] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11397), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    STATE(7369), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(8974), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [292634] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11401), 1,
      aux_sym_preproc_if_token2,
    STATE(7372), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9317), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [292658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11403), 1,
      anon_sym_SEMI,
    ACTIONS(11405), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11407), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(10766), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11409), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11120), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    STATE(7362), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(8811), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [292788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11411), 1,
      aux_sym_preproc_if_token2,
    STATE(7463), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(8821), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [292814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(10745), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11413), 1,
      anon_sym_SEMI,
    ACTIONS(11415), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7671), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11417), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [292882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11421), 1,
      sym_identifier,
    ACTIONS(11426), 1,
      aux_sym_preproc_elif_token1,
    STATE(7366), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9069), 1,
      sym_enumerator,
    ACTIONS(11424), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [292904] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11114), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    STATE(7373), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(9325), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [292930] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11428), 1,
      aux_sym_preproc_if_token2,
    STATE(7464), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9327), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [292954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11430), 1,
      aux_sym_preproc_if_token2,
    STATE(7463), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(9392), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [292980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_LBRACK,
    STATE(8195), 1,
      sym_gnu_asm_output_operand,
    STATE(8844), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [293000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11432), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11088), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11358), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11434), 1,
      aux_sym_preproc_if_token2,
    STATE(7464), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8795), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [293050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11050), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11399), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11436), 1,
      aux_sym_preproc_if_token2,
    STATE(7463), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    STATE(8802), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [293076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11438), 1,
      anon_sym_SEMI,
    ACTIONS(11440), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7682), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11442), 1,
      anon_sym_SEMI,
    ACTIONS(11444), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7715), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293150] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11446), 1,
      anon_sym_SEMI,
    ACTIONS(11448), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7828), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11450), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11452), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11454), 1,
      anon_sym_SEMI,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_template_argument_list,
    STATE(7796), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11458), 1,
      anon_sym_COLON,
    STATE(4583), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(7125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    ACTIONS(11460), 1,
      anon_sym_SEMI,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(9743), 1,
      anon_sym_LBRACK,
    ACTIONS(10733), 1,
      anon_sym_RPAREN,
    STATE(4377), 1,
      sym_parameter_list,
    STATE(7209), 1,
      sym__function_declarator_seq,
    STATE(7472), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11464), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11466), 1,
      anon_sym_EQ,
    ACTIONS(11462), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [293372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4656), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10014), 1,
      anon_sym_LBRACK,
    STATE(4307), 1,
      sym_parameter_list,
    STATE(6963), 1,
      sym__function_declarator_seq,
    STATE(6919), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [293438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293461] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11470), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(11472), 1,
      sym_identifier,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    STATE(1049), 1,
      sym_declaration_list,
    STATE(8602), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [293530] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11478), 1,
      sym_identifier,
    STATE(362), 1,
      sym_declaration_list,
    STATE(8465), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [293576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [293597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11480), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_AMP,
    ACTIONS(6633), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [293635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11482), 1,
      sym_identifier,
    STATE(597), 1,
      sym_declaration_list,
    STATE(8506), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293660] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11484), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(6890), 1,
      sym_template_argument_list,
    ACTIONS(6350), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [293702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_AMP,
    ACTIONS(11486), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [293717] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11490), 1,
      sym_identifier,
    STATE(972), 1,
      sym_declaration_list,
    STATE(8601), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293742] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11492), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_AMP,
    ACTIONS(11494), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [293780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11244), 1,
      anon_sym_AMP,
    ACTIONS(11242), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [293795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_AMP,
    ACTIONS(6608), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [293810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11498), 1,
      sym_identifier,
    STATE(954), 1,
      sym_declaration_list,
    STATE(8591), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293835] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(5948), 1,
      anon_sym_COLON,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11500), 1,
      sym_identifier,
    STATE(923), 1,
      sym_declaration_list,
    STATE(8374), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [293883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [293904] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11502), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [293948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(5940), 1,
      anon_sym_COLON,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11504), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [293994] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11506), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294017] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11508), 1,
      sym_identifier,
    STATE(1027), 1,
      sym_declaration_list,
    STATE(8443), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [294042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10670), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_COMMA,
    ACTIONS(11514), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11510), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [294080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 1,
      anon_sym_LBRACK,
    ACTIONS(11518), 1,
      anon_sym_EQ,
    ACTIONS(11520), 1,
      anon_sym_DOT,
    STATE(7422), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [294099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10682), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [294120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [294141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11522), 1,
      anon_sym_LBRACK,
    ACTIONS(11525), 1,
      anon_sym_EQ,
    ACTIONS(11527), 1,
      anon_sym_DOT,
    STATE(7422), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [294160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11530), 1,
      sym_identifier,
    STATE(588), 1,
      sym_declaration_list,
    STATE(8337), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [294185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11534), 1,
      anon_sym_AMP,
    ACTIONS(11532), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [294200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10668), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [294221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11536), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10644), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7173), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10672), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [294330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10684), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11540), 1,
      sym_identifier,
    STATE(984), 1,
      sym_declaration_list,
    STATE(8340), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [294376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_AMP,
    ACTIONS(6637), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [294391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5907), 1,
      anon_sym_COLON,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10677), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [294435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(2672), 1,
      sym_template_argument_list,
    STATE(7897), 2,
      sym_argument_list,
      sym_initializer_list,
  [294458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5913), 1,
      anon_sym_LBRACK,
    ACTIONS(5917), 1,
      anon_sym_COLON,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parameter_list,
    STATE(7484), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_AMP,
    ACTIONS(4550), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [294496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(10666), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [294517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11542), 1,
      sym_identifier,
    STATE(397), 1,
      sym_declaration_list,
    STATE(8449), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [294542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10186), 1,
      anon_sym_try,
    ACTIONS(11544), 1,
      anon_sym_SEMI,
    ACTIONS(11546), 1,
      anon_sym_EQ,
    STATE(583), 2,
      sym_compound_statement,
      sym_try_statement,
  [294562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11548), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(10020), 1,
      anon_sym_try,
    ACTIONS(11552), 1,
      anon_sym_SEMI,
    ACTIONS(11554), 1,
      anon_sym_EQ,
    STATE(874), 2,
      sym_compound_statement,
      sym_try_statement,
  [294598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11556), 1,
      anon_sym_LPAREN2,
    STATE(7454), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(11558), 1,
      anon_sym_SEMI,
    ACTIONS(11560), 1,
      anon_sym_EQ,
    STATE(2237), 2,
      sym_compound_statement,
      sym_try_statement,
  [294634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11562), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11566), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [294664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11566), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [294678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11568), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11570), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11572), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [294708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10198), 1,
      anon_sym_try,
    ACTIONS(11574), 1,
      anon_sym_SEMI,
    ACTIONS(11576), 1,
      anon_sym_EQ,
    STATE(880), 2,
      sym_compound_statement,
      sym_try_statement,
  [294728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11578), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11580), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [294742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(6350), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [294760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11582), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10086), 1,
      anon_sym_try,
    ACTIONS(11584), 1,
      anon_sym_SEMI,
    ACTIONS(11586), 1,
      anon_sym_EQ,
    STATE(1056), 2,
      sym_compound_statement,
      sym_try_statement,
  [294796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11588), 1,
      anon_sym_LPAREN2,
    STATE(7446), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    ACTIONS(11590), 1,
      anon_sym_SEMI,
    ACTIONS(11592), 1,
      anon_sym_EQ,
    STATE(2450), 2,
      sym_compound_statement,
      sym_try_statement,
  [294832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11426), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11424), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [294846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11594), 1,
      anon_sym_LPAREN2,
    STATE(7497), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10168), 1,
      anon_sym_try,
    ACTIONS(11596), 1,
      anon_sym_SEMI,
    ACTIONS(11598), 1,
      anon_sym_EQ,
    STATE(379), 2,
      sym_compound_statement,
      sym_try_statement,
  [294882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11600), 1,
      anon_sym_LPAREN2,
    STATE(7449), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11602), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [294914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11421), 1,
      sym_identifier,
    STATE(7463), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9412), 1,
      sym_enumerator,
    ACTIONS(11424), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [294932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11604), 1,
      sym_identifier,
    STATE(7464), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11393), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [294948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11108), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11607), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [294962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10086), 1,
      anon_sym_try,
    ACTIONS(11609), 1,
      anon_sym_SEMI,
    ACTIONS(11611), 1,
      anon_sym_EQ,
    STATE(1089), 2,
      sym_compound_statement,
      sym_try_statement,
  [294982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4489), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(11164), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11613), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11615), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11618), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11620), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11622), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11624), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10168), 1,
      anon_sym_try,
    ACTIONS(11626), 1,
      anon_sym_SEMI,
    ACTIONS(11628), 1,
      anon_sym_EQ,
    STATE(429), 2,
      sym_compound_statement,
      sym_try_statement,
  [295066] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11021), 1,
      anon_sym_LBRACK,
    ACTIONS(11019), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(4701), 1,
      sym_template_argument_list,
    ACTIONS(6350), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [295102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11630), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11632), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11634), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_try,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    ACTIONS(11636), 1,
      anon_sym_SEMI,
    ACTIONS(11638), 1,
      anon_sym_EQ,
    STATE(2457), 2,
      sym_compound_statement,
      sym_try_statement,
  [295152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8783), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [295166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11014), 1,
      anon_sym_LBRACK,
    STATE(7183), 1,
      sym_template_argument_list,
    ACTIONS(11010), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [295184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11640), 1,
      anon_sym_LPAREN2,
    STATE(7489), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11642), 1,
      anon_sym_LPAREN2,
    STATE(7462), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    ACTIONS(11644), 1,
      anon_sym_SEMI,
    ACTIONS(11646), 1,
      anon_sym_EQ,
    STATE(2761), 2,
      sym_compound_statement,
      sym_try_statement,
  [295236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10186), 1,
      anon_sym_try,
    ACTIONS(11648), 1,
      anon_sym_SEMI,
    ACTIONS(11650), 1,
      anon_sym_EQ,
    STATE(541), 2,
      sym_compound_statement,
      sym_try_statement,
  [295256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11652), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11654), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6059), 1,
      anon_sym_LBRACK,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6061), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6568), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    ACTIONS(10020), 1,
      anon_sym_try,
    ACTIONS(11656), 1,
      anon_sym_SEMI,
    ACTIONS(11658), 1,
      anon_sym_EQ,
    STATE(904), 2,
      sym_compound_statement,
      sym_try_statement,
  [295308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11660), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11662), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11664), 1,
      anon_sym_LPAREN2,
    STATE(7474), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11666), 1,
      anon_sym_EQ,
    ACTIONS(11462), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [295352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11668), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11578), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11580), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [295382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11025), 1,
      anon_sym_LBRACK,
    STATE(7179), 1,
      sym_template_argument_list,
    ACTIONS(11023), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [295400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7814), 1,
      anon_sym___attribute__,
    ACTIONS(8066), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6376), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_LPAREN2,
    STATE(7498), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9749), 1,
      anon_sym_try,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    ACTIONS(11672), 1,
      anon_sym_SEMI,
    ACTIONS(11674), 1,
      anon_sym_EQ,
    STATE(2175), 2,
      sym_compound_statement,
      sym_try_statement,
  [295454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10198), 1,
      anon_sym_try,
    ACTIONS(11676), 1,
      anon_sym_SEMI,
    ACTIONS(11678), 1,
      anon_sym_EQ,
    STATE(970), 2,
      sym_compound_statement,
      sym_try_statement,
  [295474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(8859), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [295488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11680), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11682), 1,
      anon_sym_LPAREN2,
    STATE(7468), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    ACTIONS(11684), 1,
      anon_sym_SEMI,
    ACTIONS(11686), 1,
      anon_sym_EQ,
    STATE(2621), 2,
      sym_compound_statement,
      sym_try_statement,
  [295540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5413), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    STATE(6234), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11688), 1,
      anon_sym_LPAREN2,
    STATE(7442), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11550), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [295574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
    ACTIONS(11164), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [295594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9848), 1,
      anon_sym_try,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    ACTIONS(11690), 1,
      anon_sym_SEMI,
    ACTIONS(11692), 1,
      anon_sym_EQ,
    STATE(2788), 2,
      sym_compound_statement,
      sym_try_statement,
  [295614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9884), 1,
      anon_sym_try,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    ACTIONS(11694), 1,
      anon_sym_SEMI,
    ACTIONS(11696), 1,
      anon_sym_EQ,
    STATE(2611), 2,
      sym_compound_statement,
      sym_try_statement,
  [295634] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10672), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [295653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11698), 1,
      sym_identifier,
    STATE(9375), 1,
      sym__namespace_specifier,
    STATE(9528), 1,
      sym_nested_namespace_specifier,
  [295672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11700), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [295691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11702), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9444), 1,
      sym_attribute_specifier,
  [295710] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11704), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [295729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(5306), 1,
      sym_template_argument_list,
    ACTIONS(6350), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [295746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2672), 1,
      sym_template_argument_list,
    ACTIONS(6139), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [295763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11706), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9235), 1,
      sym_attribute_specifier,
  [295782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    ACTIONS(11710), 1,
      anon_sym_COLON_COLON,
    STATE(8569), 1,
      sym_argument_list,
    ACTIONS(11708), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [295799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11712), 1,
      anon_sym_SEMI,
    STATE(7555), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9050), 1,
      sym_attribute_specifier,
  [295818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11714), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9440), 1,
      sym_attribute_specifier,
  [295837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11716), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9449), 1,
      sym_attribute_specifier,
  [295856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_argument_list,
    STATE(4461), 1,
      sym_initializer_list,
  [295875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11718), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [295894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_COMMA,
    ACTIONS(11510), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [295907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    ACTIONS(11722), 1,
      anon_sym_RPAREN,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [295926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11724), 1,
      sym_identifier,
    STATE(2816), 1,
      sym_template_method,
    STATE(2832), 1,
      sym_template_type,
    STATE(8623), 1,
      sym_operator_name,
  [295945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11726), 1,
      sym_identifier,
    STATE(9076), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [295964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11728), 1,
      sym_identifier,
    STATE(9375), 1,
      sym__namespace_specifier,
    STATE(9403), 1,
      sym_nested_namespace_specifier,
  [295983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11730), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(4004), 1,
      sym_template_method,
    STATE(8472), 1,
      sym_operator_name,
  [296002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9452), 1,
      sym_attribute_specifier,
  [296021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11734), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9224), 1,
      sym_attribute_specifier,
  [296040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11736), 1,
      anon_sym_SEMI,
    STATE(7515), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9455), 1,
      sym_attribute_specifier,
  [296059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11740), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11738), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [296072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11742), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(8650), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [296085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    ACTIONS(8988), 1,
      anon_sym_RPAREN,
    STATE(2878), 1,
      sym_argument_list,
    STATE(4461), 1,
      sym_initializer_list,
  [296104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11744), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9032), 1,
      sym_attribute_specifier,
  [296123] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11746), 1,
      sym_identifier,
    STATE(8134), 1,
      sym__namespace_specifier,
    STATE(8651), 1,
      sym_nested_namespace_specifier,
  [296142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11748), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9225), 1,
      sym_attribute_specifier,
  [296161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11750), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(4181), 1,
      sym_template_method,
    STATE(8527), 1,
      sym_operator_name,
  [296180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9033), 1,
      sym_attribute_specifier,
  [296199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11746), 1,
      sym_identifier,
    STATE(7903), 1,
      sym__namespace_specifier,
    STATE(8425), 1,
      sym_nested_namespace_specifier,
  [296218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10668), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10644), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11754), 1,
      anon_sym_SEMI,
    STATE(7565), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9108), 1,
      sym_attribute_specifier,
  [296275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11756), 1,
      sym_identifier,
    STATE(9259), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [296294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11758), 1,
      anon_sym_EQ,
    ACTIONS(10483), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [296307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11760), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9464), 1,
      sym_attribute_specifier,
  [296326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10670), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11762), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9037), 1,
      sym_attribute_specifier,
  [296364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11764), 1,
      sym_identifier,
    STATE(2816), 1,
      sym_template_method,
    STATE(2832), 1,
      sym_template_type,
    STATE(8571), 1,
      sym_operator_name,
  [296383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(11766), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6348), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(4511), 1,
      sym_template_argument_list,
    ACTIONS(6350), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [296417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11768), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9386), 1,
      sym_attribute_specifier,
  [296436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_SEMI,
    STATE(7516), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9467), 1,
      sym_attribute_specifier,
  [296455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11724), 1,
      sym_identifier,
    STATE(2816), 1,
      sym_template_method,
    STATE(2832), 1,
      sym_template_type,
    STATE(8388), 1,
      sym_operator_name,
  [296474] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9227), 1,
      sym_attribute_specifier,
  [296493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11774), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9228), 1,
      sym_attribute_specifier,
  [296512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8966), 1,
      sym_attribute_specifier,
  [296531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11778), 1,
      anon_sym_EQ,
    ACTIONS(10483), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [296544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11780), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9040), 1,
      sym_attribute_specifier,
  [296563] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_SEMI,
    STATE(7525), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9469), 1,
      sym_attribute_specifier,
  [296582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_SEMI,
    STATE(7531), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9042), 1,
      sym_attribute_specifier,
  [296601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_SEMI,
    STATE(7526), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9229), 1,
      sym_attribute_specifier,
  [296620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11788), 1,
      anon_sym_SEMI,
    STATE(7544), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8975), 1,
      sym_attribute_specifier,
  [296639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      sym_auto,
    ACTIONS(8126), 1,
      anon_sym_decltype,
    STATE(3080), 1,
      sym_decltype_auto,
    ACTIONS(11790), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11476), 1,
      anon_sym_inline,
    ACTIONS(11792), 1,
      sym_identifier,
    STATE(8901), 1,
      sym_nested_namespace_specifier,
    STATE(9375), 1,
      sym__namespace_specifier,
  [296675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10684), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11794), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9048), 1,
      sym_attribute_specifier,
  [296713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9236), 1,
      anon_sym_EQ,
    ACTIONS(11796), 1,
      sym_identifier,
    ACTIONS(9234), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11798), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8751), 1,
      sym_attribute_specifier,
  [296749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10677), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(11800), 1,
      aux_sym_preproc_if_token2,
    STATE(7418), 1,
      sym_enumerator,
    STATE(7747), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7752), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [296787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11802), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9601), 1,
      sym_attribute_specifier,
  [296806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10666), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11804), 1,
      anon_sym_SEMI,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8750), 1,
      sym_attribute_specifier,
  [296844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11806), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3726), 1,
      sym_template_method,
    STATE(8617), 1,
      sym_operator_name,
  [296863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10682), 1,
      anon_sym_COLON,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4623), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [296882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11808), 1,
      anon_sym_SEMI,
    STATE(7553), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9600), 1,
      sym_attribute_specifier,
  [296901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11810), 1,
      anon_sym_SEMI,
    STATE(7548), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9388), 1,
      sym_attribute_specifier,
  [296920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11812), 1,
      anon_sym_SEMI,
    STATE(7551), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9237), 1,
      sym_attribute_specifier,
  [296939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(8280), 1,
      anon_sym_COMMA,
    ACTIONS(11814), 1,
      anon_sym_SEMI,
    STATE(7552), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9238), 1,
      sym_attribute_specifier,
  [296958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(6746), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [296972] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11816), 1,
      anon_sym_DQUOTE,
    ACTIONS(11818), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11820), 1,
      sym_escape_sequence,
    STATE(7648), 1,
      aux_sym_string_literal_repeat1,
  [296988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11824), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_COMMA,
    STATE(7851), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11828), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [297030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3325), 1,
      sym_field_declaration_list,
    STATE(8629), 1,
      sym_base_class_clause,
  [297046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    STATE(2878), 1,
      sym_argument_list,
    STATE(4461), 1,
      sym_initializer_list,
  [297062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11832), 1,
      anon_sym_GT2,
    STATE(8226), 1,
      aux_sym_template_argument_list_repeat1,
  [297078] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11834), 1,
      anon_sym_DQUOTE,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11840), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [297110] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11842), 1,
      anon_sym_DQUOTE,
    ACTIONS(11844), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11846), 1,
      sym_escape_sequence,
    STATE(7585), 1,
      aux_sym_string_literal_repeat1,
  [297126] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11848), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297142] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11850), 1,
      anon_sym_DQUOTE,
    ACTIONS(11852), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11854), 1,
      sym_escape_sequence,
    STATE(7588), 1,
      aux_sym_string_literal_repeat1,
  [297158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11856), 1,
      anon_sym_COMMA,
    STATE(7855), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11858), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [297172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(5069), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [297186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11860), 1,
      anon_sym_GT2,
    STATE(8315), 1,
      aux_sym_template_argument_list_repeat1,
  [297202] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11862), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    ACTIONS(10721), 1,
      anon_sym_LBRACK,
    STATE(4432), 1,
      sym_parameter_list,
    STATE(6868), 1,
      sym__function_declarator_seq,
  [297234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4398), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [297248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    STATE(3963), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [297262] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11864), 1,
      anon_sym_DQUOTE,
    ACTIONS(11866), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11868), 1,
      sym_escape_sequence,
    STATE(7593), 1,
      aux_sym_string_literal_repeat1,
  [297278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11872), 1,
      anon_sym_EQ,
    STATE(899), 1,
      sym_declaration_list,
  [297294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11856), 1,
      anon_sym_COMMA,
    STATE(7590), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11874), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [297308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1106), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [297324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9666), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4942), 1,
      sym_requirement_seq,
    STATE(8507), 1,
      sym_requires_parameter_list,
  [297340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11880), 1,
      anon_sym_GT2,
    STATE(8296), 1,
      aux_sym_template_argument_list_repeat1,
  [297356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1105), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [297372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    STATE(3993), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [297386] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11882), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11884), 1,
      anon_sym_SEMI,
    STATE(7666), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11886), 1,
      anon_sym_EQ,
    STATE(567), 1,
      sym_declaration_list,
  [297432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11888), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297446] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11890), 1,
      anon_sym_DQUOTE,
    ACTIONS(11892), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11894), 1,
      sym_escape_sequence,
    STATE(7605), 1,
      aux_sym_string_literal_repeat1,
  [297462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4114), 1,
      sym_requirement_seq,
    STATE(8342), 1,
      sym_requires_parameter_list,
  [297478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7253), 1,
      sym_access_specifier,
    ACTIONS(11896), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [297490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11898), 1,
      anon_sym_GT2,
    STATE(8276), 1,
      aux_sym_template_argument_list_repeat1,
  [297506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11424), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [297516] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11900), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11440), 1,
      anon_sym_EQ,
    STATE(7682), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297546] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11902), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297562] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11904), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [297576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11908), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(11912), 1,
      anon_sym_LBRACE,
    STATE(7887), 1,
      aux_sym_base_class_clause_repeat1,
  [297592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11914), 1,
      anon_sym_GT2,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
  [297608] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11916), 1,
      anon_sym_DQUOTE,
    ACTIONS(11918), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11920), 1,
      sym_escape_sequence,
    STATE(7616), 1,
      aux_sym_string_literal_repeat1,
  [297624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11922), 1,
      anon_sym_SEMI,
    STATE(7783), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1110), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [297654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11924), 1,
      anon_sym_GT2,
    STATE(8256), 1,
      aux_sym_template_argument_list_repeat1,
  [297670] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11926), 1,
      anon_sym_DQUOTE,
    ACTIONS(11928), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11930), 1,
      sym_escape_sequence,
    STATE(7654), 1,
      aux_sym_string_literal_repeat1,
  [297686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11932), 1,
      anon_sym_SEMI,
    STATE(7608), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297700] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11934), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(8308), 1,
      sym_compound_statement,
    STATE(8622), 1,
      sym_field_initializer_list,
  [297732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11936), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11938), 1,
      anon_sym_SEMI,
    STATE(7579), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11940), 1,
      anon_sym_SEMI,
    STATE(7791), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297774] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11942), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(11946), 1,
      sym_preproc_arg,
    STATE(8611), 1,
      sym_preproc_params,
  [297790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2050), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [297804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11948), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [297820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    STATE(2440), 1,
      sym_field_declaration_list,
    STATE(8522), 1,
      sym_base_class_clause,
  [297836] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11950), 1,
      anon_sym_DQUOTE,
    ACTIONS(11952), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11954), 1,
      sym_escape_sequence,
    STATE(7626), 1,
      aux_sym_string_literal_repeat1,
  [297852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4516), 1,
      sym_field_declaration_list,
    STATE(8410), 1,
      sym_base_class_clause,
  [297868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11956), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [297878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11444), 1,
      anon_sym_EQ,
    STATE(7715), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(8043), 1,
      sym_compound_statement,
    STATE(8568), 1,
      sym_field_initializer_list,
  [297908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11958), 1,
      anon_sym_GT2,
    STATE(8235), 1,
      aux_sym_template_argument_list_repeat1,
  [297924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3607), 1,
      sym_argument_list,
    STATE(3611), 1,
      sym_initializer_list,
  [297940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7263), 1,
      sym_access_specifier,
    ACTIONS(11896), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [297952] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11960), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [297968] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11962), 1,
      anon_sym_DQUOTE,
    ACTIONS(11964), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11966), 1,
      sym_escape_sequence,
    STATE(7643), 1,
      aux_sym_string_literal_repeat1,
  [297984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(11968), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [297998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11970), 1,
      anon_sym_GT2,
    STATE(8214), 1,
      aux_sym_template_argument_list_repeat1,
  [298014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(11972), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [298030] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11974), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(11976), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11978), 1,
      anon_sym_LBRACE,
    STATE(8121), 1,
      aux_sym_base_class_clause_repeat1,
  [298062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11980), 1,
      anon_sym_COMMA,
    STATE(7650), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11983), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [298076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3386), 1,
      sym_field_declaration_list,
    STATE(8599), 1,
      sym_base_class_clause,
  [298092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11985), 1,
      anon_sym_COMMA,
    STATE(7652), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11988), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [298106] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11990), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [298120] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11992), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298136] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(11994), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298152] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11996), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [298166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4435), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298180] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11998), 1,
      anon_sym_DQUOTE,
    ACTIONS(12000), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12002), 1,
      sym_escape_sequence,
    STATE(7655), 1,
      aux_sym_string_literal_repeat1,
  [298196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12004), 1,
      anon_sym_GT2,
    STATE(8270), 1,
      aux_sym_template_argument_list_repeat1,
  [298212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(3977), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298226] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12006), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(8252), 1,
      aux_sym_base_class_clause_repeat1,
  [298242] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12010), 1,
      anon_sym_DQUOTE,
    ACTIONS(12012), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12014), 1,
      sym_escape_sequence,
    STATE(7699), 1,
      aux_sym_string_literal_repeat1,
  [298258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4170), 1,
      sym_requirement_seq,
    STATE(8338), 1,
      sym_requires_parameter_list,
  [298274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10491), 1,
      anon_sym_LBRACE,
    STATE(4416), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10455), 1,
      anon_sym_LBRACE,
    STATE(3935), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12016), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [298316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12018), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [298330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12020), 1,
      anon_sym_GT2,
    STATE(8190), 1,
      aux_sym_template_argument_list_repeat1,
  [298346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(6443), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4298), 1,
      sym_argument_list,
    STATE(5530), 1,
      sym_initializer_list,
  [298376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [298390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12024), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [298404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5624), 1,
      sym_field_declaration_list,
    STATE(8658), 1,
      sym_base_class_clause,
  [298420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7246), 1,
      sym_access_specifier,
    ACTIONS(11896), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [298432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12026), 1,
      anon_sym___except,
    ACTIONS(12028), 1,
      anon_sym___finally,
    STATE(531), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [298446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12030), 1,
      anon_sym_SEMI,
    STATE(7726), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [298460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11956), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [298470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11374), 1,
      anon_sym_EQ,
    STATE(7712), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [298484] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12032), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [298498] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12034), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298514] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12036), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [298528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12038), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [298542] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12040), 1,
      anon_sym_DQUOTE,
    ACTIONS(12042), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12044), 1,
      sym_escape_sequence,
    STATE(7680), 1,
      aux_sym_string_literal_repeat1,
  [298558] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12046), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12048), 1,
      sym_preproc_arg,
    STATE(8515), 1,
      sym_preproc_params,
  [298574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(7922), 1,
      sym_compound_statement,
    STATE(8586), 1,
      sym_field_initializer_list,
  [298590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(3750), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8526), 1,
      sym_argument_list,
    ACTIONS(12050), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [298618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(3004), 1,
      sym_field_declaration_list,
    STATE(8407), 1,
      sym_base_class_clause,
  [298634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    STATE(2451), 1,
      sym_field_declaration_list,
    STATE(8538), 1,
      sym_base_class_clause,
  [298650] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12052), 1,
      anon_sym_DQUOTE,
    ACTIONS(12054), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12056), 1,
      sym_escape_sequence,
    STATE(7762), 1,
      aux_sym_string_literal_repeat1,
  [298666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(3581), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(7972), 1,
      sym_compound_statement,
    STATE(8453), 1,
      sym_field_initializer_list,
  [298696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3394), 1,
      sym_field_declaration_list,
    STATE(8584), 1,
      sym_base_class_clause,
  [298712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12058), 1,
      anon_sym_SEMI,
    STATE(7628), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [298726] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12060), 1,
      anon_sym_DQUOTE,
    ACTIONS(12062), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12064), 1,
      sym_escape_sequence,
    STATE(7614), 1,
      aux_sym_string_literal_repeat1,
  [298742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12066), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [298756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    ACTIONS(12068), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_requirement_seq,
    STATE(8705), 1,
      sym_requires_parameter_list,
  [298772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12070), 1,
      anon_sym_GT2,
    STATE(8164), 1,
      aux_sym_template_argument_list_repeat1,
  [298788] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12072), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12074), 1,
      anon_sym_GT2,
    STATE(8100), 1,
      aux_sym_template_argument_list_repeat1,
  [298820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9674), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4006), 1,
      sym_requirement_seq,
    STATE(8403), 1,
      sym_requires_parameter_list,
  [298836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_field_declaration_list,
    STATE(8394), 1,
      sym_base_class_clause,
  [298852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12076), 1,
      anon_sym_COMMA,
    STATE(7703), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12079), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [298866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_COMMA,
    STATE(7720), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12081), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [298880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12083), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [298896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10459), 1,
      anon_sym_LBRACE,
    STATE(3728), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298924] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12085), 1,
      anon_sym_GT2,
    STATE(8065), 1,
      aux_sym_template_argument_list_repeat1,
  [298940] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12087), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [298956] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12089), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [298970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3114), 1,
      sym_field_declaration_list,
    STATE(8406), 1,
      sym_base_class_clause,
  [298986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12091), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11405), 1,
      anon_sym_EQ,
    STATE(7696), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    ACTIONS(12093), 1,
      anon_sym_LBRACE,
    STATE(6541), 1,
      sym_requirement_seq,
    STATE(8615), 1,
      sym_requires_parameter_list,
  [299030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12095), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3210), 1,
      sym_field_declaration_list,
    STATE(8607), 1,
      sym_base_class_clause,
  [299060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11386), 1,
      anon_sym_EQ,
    STATE(7757), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(4074), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12097), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12099), 1,
      anon_sym_COMMA,
    STATE(7720), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12102), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [299116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(6451), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12104), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [299146] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12106), 1,
      anon_sym_DQUOTE,
    ACTIONS(12108), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12110), 1,
      sym_escape_sequence,
    STATE(7709), 1,
      aux_sym_string_literal_repeat1,
  [299162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3899), 1,
      sym_field_declaration_list,
    STATE(8368), 1,
      sym_base_class_clause,
  [299178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12112), 1,
      anon_sym_SEMI,
    STATE(7753), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299206] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12116), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [299222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12118), 1,
      anon_sym_EQ,
    STATE(992), 1,
      sym_declaration_list,
  [299238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(4093), 1,
      sym_argument_list,
    STATE(4094), 1,
      sym_initializer_list,
  [299254] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12120), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [299270] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12122), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299284] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12124), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12126), 1,
      anon_sym_SEMI,
    STATE(7672), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(8125), 1,
      sym_compound_statement,
    STATE(8545), 1,
      sym_field_initializer_list,
  [299328] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12128), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12130), 1,
      sym_preproc_arg,
    STATE(8423), 1,
      sym_preproc_params,
  [299344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12132), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12134), 1,
      anon_sym_LBRACE,
    STATE(8302), 1,
      aux_sym_base_class_clause_repeat1,
  [299360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      anon_sym_LBRACE,
    STATE(4015), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12136), 1,
      anon_sym___except,
    ACTIONS(12138), 1,
      anon_sym___finally,
    STATE(863), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [299388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12140), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(5104), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1104), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [299432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(7529), 1,
      sym_template_parameter_list,
  [299448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12142), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12144), 1,
      anon_sym_SEMI,
    STATE(7739), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5627), 1,
      sym_field_declaration_list,
    STATE(8686), 1,
      sym_base_class_clause,
  [299492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(7974), 1,
      sym_compound_statement,
    STATE(8730), 1,
      sym_field_initializer_list,
  [299508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(12146), 1,
      aux_sym_preproc_if_token2,
    STATE(7366), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9069), 1,
      sym_enumerator,
  [299524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3240), 1,
      sym_field_declaration_list,
    STATE(8470), 1,
      sym_base_class_clause,
  [299540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(5089), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299554] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12148), 1,
      anon_sym_DQUOTE,
    ACTIONS(12150), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12152), 1,
      sym_escape_sequence,
    STATE(7811), 1,
      aux_sym_string_literal_repeat1,
  [299570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10489), 1,
      anon_sym_LBRACE,
    STATE(6519), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(12154), 1,
      aux_sym_preproc_if_token2,
    STATE(7354), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [299598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12156), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_LPAREN2,
    STATE(4211), 1,
      sym_initializer_list,
    STATE(4298), 1,
      sym_argument_list,
  [299628] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12158), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299642] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12160), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12162), 1,
      sym_preproc_arg,
    STATE(8345), 1,
      sym_preproc_params,
  [299658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12164), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299672] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12166), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12168), 1,
      sym_preproc_arg,
    STATE(8457), 1,
      sym_preproc_params,
  [299688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12170), 1,
      anon_sym_GT2,
    STATE(8095), 1,
      aux_sym_template_argument_list_repeat1,
  [299704] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12174), 1,
      sym_preproc_arg,
    STATE(8685), 1,
      sym_preproc_params,
  [299720] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12176), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299734] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12178), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [299750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4697), 1,
      sym_field_declaration_list,
    STATE(8430), 1,
      sym_base_class_clause,
  [299766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(8244), 1,
      sym_compound_statement,
    STATE(8565), 1,
      sym_field_initializer_list,
  [299782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4514), 1,
      sym_field_declaration_list,
    STATE(8408), 1,
      sym_base_class_clause,
  [299798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    ACTIONS(6614), 1,
      anon_sym_LPAREN2,
    STATE(3607), 1,
      sym_argument_list,
    STATE(5009), 1,
      sym_initializer_list,
  [299814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10473), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12180), 1,
      anon_sym_EQ,
    STATE(400), 1,
      sym_declaration_list,
  [299844] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym_DQUOTE,
    ACTIONS(12184), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12186), 1,
      sym_escape_sequence,
    STATE(7730), 1,
      aux_sym_string_literal_repeat1,
  [299860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12188), 1,
      anon_sym_EQ,
    STATE(7667), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12190), 1,
      anon_sym_SEMI,
    STATE(7743), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [299904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1103), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [299920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12192), 1,
      anon_sym___except,
    ACTIONS(12194), 1,
      anon_sym___finally,
    STATE(863), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [299934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11448), 1,
      anon_sym_EQ,
    STATE(7828), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10531), 1,
      anon_sym_LBRACE,
    STATE(5047), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1102), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [299978] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12196), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12198), 1,
      sym_preproc_arg,
    STATE(8701), 1,
      sym_preproc_params,
  [299994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(6736), 1,
      anon_sym_LPAREN2,
    STATE(4093), 1,
      sym_argument_list,
    STATE(4360), 1,
      sym_initializer_list,
  [300010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9639), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(3606), 1,
      sym_requirement_seq,
    STATE(8460), 1,
      sym_requires_parameter_list,
  [300026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3862), 1,
      sym_field_declaration_list,
    STATE(8713), 1,
      sym_base_class_clause,
  [300042] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12200), 1,
      anon_sym_DQUOTE,
    ACTIONS(12202), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12204), 1,
      sym_escape_sequence,
    STATE(7727), 1,
      aux_sym_string_literal_repeat1,
  [300058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12206), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12208), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [300082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12210), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [300098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(7905), 1,
      sym_compound_statement,
    STATE(8528), 1,
      sym_field_initializer_list,
  [300114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12212), 1,
      anon_sym_SEMI,
    ACTIONS(12214), 1,
      anon_sym_DASH_GT,
    ACTIONS(12216), 1,
      anon_sym_noexcept,
    STATE(9611), 1,
      sym_trailing_return_type,
  [300130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12218), 1,
      anon_sym_SEMI,
    STATE(7885), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9647), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(2944), 1,
      sym_requirement_seq,
    STATE(8452), 1,
      sym_requires_parameter_list,
  [300160] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12220), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [300176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12222), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300190] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12224), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COMMA,
    STATE(7652), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12228), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [300218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4661), 1,
      sym_field_declaration_list,
    STATE(8450), 1,
      sym_base_class_clause,
  [300234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2959), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12230), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_COMMA,
    STATE(7793), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12232), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [300276] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12234), 1,
      anon_sym_DQUOTE,
    ACTIONS(12236), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12238), 1,
      sym_escape_sequence,
    STATE(7824), 1,
      aux_sym_string_literal_repeat1,
  [300292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      sym_identifier,
    ACTIONS(11800), 1,
      aux_sym_preproc_if_token2,
    STATE(7747), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9069), 1,
      sym_enumerator,
  [300308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8042), 2,
      sym_argument_list,
      sym_initializer_list,
  [300322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6143), 1,
      sym_field_declaration_list,
    STATE(8456), 1,
      sym_base_class_clause,
  [300338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3707), 1,
      sym_field_declaration_list,
    STATE(8704), 1,
      sym_base_class_clause,
  [300354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12240), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_declaration_list,
  [300370] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12242), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12244), 1,
      sym_preproc_arg,
    STATE(8550), 1,
      sym_preproc_params,
  [300386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6145), 1,
      sym_field_declaration_list,
    STATE(8458), 1,
      sym_base_class_clause,
  [300402] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12246), 1,
      anon_sym_DQUOTE,
    ACTIONS(12248), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12250), 1,
      sym_escape_sequence,
    STATE(7790), 1,
      aux_sym_string_literal_repeat1,
  [300418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1107), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [300434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12252), 1,
      anon_sym_SEMI,
    STATE(7880), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300448] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12254), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12256), 1,
      anon_sym_EQ,
    STATE(7580), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300476] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12258), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [300492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12260), 1,
      anon_sym___except,
    ACTIONS(12262), 1,
      anon_sym___finally,
    STATE(300), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [300506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_LBRACE,
    ACTIONS(5429), 1,
      anon_sym_LPAREN2,
    STATE(2878), 1,
      sym_argument_list,
    STATE(2976), 1,
      sym_initializer_list,
  [300522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12264), 1,
      anon_sym_GT2,
    STATE(8284), 1,
      aux_sym_template_argument_list_repeat1,
  [300538] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12266), 1,
      anon_sym_DQUOTE,
    ACTIONS(12268), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12271), 1,
      sym_escape_sequence,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [300554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12274), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12276), 1,
      anon_sym___except,
    ACTIONS(12278), 1,
      anon_sym___finally,
    STATE(813), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [300582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10805), 1,
      anon_sym_COLON,
    STATE(8069), 1,
      sym_compound_statement,
    STATE(8664), 1,
      sym_field_initializer_list,
  [300598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12280), 1,
      anon_sym_GT2,
    STATE(7909), 1,
      aux_sym_template_argument_list_repeat1,
  [300614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12282), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5729), 1,
      sym_field_declaration_list,
    STATE(8542), 1,
      sym_base_class_clause,
  [300644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12284), 1,
      anon_sym_SEMI,
    STATE(7816), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300658] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12286), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300672] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12288), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [300688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12290), 1,
      anon_sym_SEMI,
    STATE(7719), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(6739), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300716] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12292), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12294), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12297), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9682), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4380), 1,
      sym_requirement_seq,
    STATE(8593), 1,
      sym_requires_parameter_list,
  [300760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11415), 1,
      anon_sym_EQ,
    STATE(7671), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12299), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [300790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12301), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    ACTIONS(12303), 1,
      anon_sym_LBRACE,
    STATE(6701), 1,
      sym_requirement_seq,
    STATE(8553), 1,
      sym_requires_parameter_list,
  [300820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    STATE(4168), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11364), 1,
      anon_sym_EQ,
    STATE(7862), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12305), 1,
      anon_sym_GT2,
    STATE(8011), 1,
      aux_sym_template_argument_list_repeat1,
  [300864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4530), 1,
      sym_field_declaration_list,
    STATE(8476), 1,
      sym_base_class_clause,
  [300880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(2993), 1,
      sym_field_declaration_list,
    STATE(8380), 1,
      sym_base_class_clause,
  [300896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2036), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    STATE(4284), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12307), 1,
      anon_sym_SEMI,
    STATE(7820), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12309), 1,
      sym_identifier,
    ACTIONS(12311), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [300950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12313), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10511), 1,
      anon_sym_LBRACE,
    STATE(6686), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9700), 1,
      anon_sym_LBRACE,
    ACTIONS(11878), 1,
      anon_sym_LPAREN2,
    STATE(4985), 1,
      sym_requirement_seq,
    STATE(8499), 1,
      sym_requires_parameter_list,
  [300994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12315), 1,
      anon_sym_SEMI,
    STATE(7864), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12317), 1,
      anon_sym_SEMI,
    STATE(7867), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301022] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11836), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11838), 1,
      sym_escape_sequence,
    ACTIONS(12319), 1,
      anon_sym_DQUOTE,
    STATE(7815), 1,
      aux_sym_string_literal_repeat1,
  [301038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2970), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301052] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12321), 1,
      anon_sym_SQUOTE,
    STATE(7827), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11906), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [301066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_COMMA,
    STATE(7703), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12323), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [301080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4543), 1,
      sym_field_declaration_list,
    STATE(8489), 1,
      sym_base_class_clause,
  [301096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      anon_sym___except,
    ACTIONS(12327), 1,
      anon_sym___finally,
    STATE(1168), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [301110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10541), 1,
      anon_sym_LBRACE,
    STATE(2890), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_COMMA,
    STATE(7855), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12332), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [301138] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(11944), 1,
      anon_sym_LPAREN,
    ACTIONS(12334), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12336), 1,
      sym_preproc_arg,
    STATE(8597), 1,
      sym_preproc_params,
  [301154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3231), 1,
      sym_field_declaration_list,
    STATE(8480), 1,
      sym_base_class_clause,
  [301170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2050), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12338), 1,
      anon_sym_SEMI,
    STATE(7843), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5722), 1,
      sym_field_declaration_list,
    STATE(8525), 1,
      sym_base_class_clause,
  [301214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
    STATE(7645), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12342), 1,
      anon_sym_EQ,
    STATE(6783), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12344), 1,
      anon_sym_SEMI,
    STATE(7876), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12346), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym___except,
    ACTIONS(12350), 1,
      anon_sym___finally,
    STATE(848), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [301284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12352), 1,
      anon_sym_GT2,
    STATE(7918), 1,
      aux_sym_template_argument_list_repeat1,
  [301300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12354), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11456), 1,
      anon_sym_EQ,
    STATE(7796), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10656), 1,
      sym_identifier,
    ACTIONS(12356), 1,
      aux_sym_preproc_if_token2,
    STATE(7752), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [301342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7257), 1,
      sym_access_specifier,
    ACTIONS(11896), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [301354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12358), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [301370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12360), 1,
      anon_sym_SEMI,
    STATE(7832), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12362), 1,
      anon_sym_GT2,
    STATE(7888), 1,
      aux_sym_template_argument_list_repeat1,
  [301400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2043), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(5056), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12364), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5060), 1,
      anon_sym_SEMI,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2107), 1,
      sym_template_argument_list,
  [301458] = 5,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_DQUOTE,
    ACTIONS(12368), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12370), 1,
      sym_escape_sequence,
    STATE(7848), 1,
      aux_sym_string_literal_repeat1,
  [301474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10471), 1,
      anon_sym_LBRACE,
    STATE(4943), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12372), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6701), 1,
      anon_sym_LT,
    ACTIONS(12374), 1,
      anon_sym_SEMI,
    STATE(2026), 1,
      sym_template_argument_list,
  [301518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5399), 1,
      anon_sym_COLON,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_field_declaration_list,
    STATE(8720), 1,
      sym_base_class_clause,
  [301534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10457), 1,
      anon_sym_LBRACE,
    STATE(4238), 1,
      sym_compound_statement,
    ACTIONS(10483), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5133), 1,
      anon_sym_LT,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(1109), 1,
      sym_template_parameter_list,
    STATE(2832), 1,
      sym_template_type,
  [301564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7620), 1,
      anon_sym___attribute__,
    ACTIONS(12376), 1,
      anon_sym_SEMI,
    STATE(5493), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12378), 1,
      anon_sym_RPAREN,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    STATE(9021), 1,
      sym_gnu_asm_goto_list,
  [301591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12382), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [301604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12384), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12386), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_RPAREN,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    STATE(8007), 1,
      sym_gnu_asm_output_operand_list,
  [301643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_RPAREN,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    STATE(8006), 1,
      sym_gnu_asm_input_operand_list,
  [301656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12396), 1,
      anon_sym_RPAREN,
    STATE(7915), 1,
      sym_gnu_asm_output_operand_list,
  [301669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12398), 1,
      anon_sym_GT2,
    STATE(7919), 1,
      aux_sym_template_argument_list_repeat1,
  [301682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12400), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [301695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_catch,
    STATE(2341), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [301706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12404), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [301719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12408), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [301730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_RBRACK,
    STATE(8333), 1,
      aux_sym_subscript_argument_list_repeat1,
  [301743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12412), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [301756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12414), 1,
      anon_sym_SEMI,
    STATE(7923), 1,
      aux_sym_declaration_repeat1,
  [301769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12416), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [301782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12418), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [301795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12420), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [301806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8662), 1,
      anon_sym_RPAREN,
    STATE(8139), 1,
      aux_sym_argument_list_repeat1,
  [301819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12424), 1,
      anon_sym_catch,
    STATE(2296), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [301830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8683), 1,
      anon_sym_RBRACE,
    ACTIONS(12426), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [301843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_RBRACE,
    ACTIONS(12429), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [301856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12431), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8660), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [301895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8564), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [301908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12435), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12437), 1,
      anon_sym_RPAREN,
    STATE(8018), 1,
      sym_gnu_asm_output_operand_list,
  [301934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12439), 1,
      anon_sym_RPAREN,
    STATE(8017), 1,
      sym_gnu_asm_input_operand_list,
  [301947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12441), 1,
      anon_sym_RPAREN,
    STATE(7928), 1,
      sym_gnu_asm_input_operand_list,
  [301960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12443), 1,
      anon_sym_RPAREN,
    STATE(7929), 1,
      sym_gnu_asm_output_operand_list,
  [301973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12445), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12447), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [301999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12449), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [302012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [302025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_COMMA,
    ACTIONS(12456), 1,
      anon_sym_GT2,
    STATE(7921), 1,
      aux_sym_template_parameter_list_repeat1,
  [302038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_catch,
    STATE(466), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12460), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [302071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12424), 1,
      anon_sym_catch,
    STATE(2276), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12464), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [302095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12468), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [302108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      anon_sym_RPAREN,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    STATE(7931), 1,
      sym_gnu_asm_clobber_list,
  [302121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12474), 1,
      anon_sym_RPAREN,
    STATE(7932), 1,
      sym_gnu_asm_input_operand_list,
  [302134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12476), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12478), 1,
      anon_sym_RPAREN,
    STATE(9141), 1,
      sym_gnu_asm_goto_list,
  [302160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
    STATE(7936), 1,
      sym_gnu_asm_clobber_list,
  [302173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12482), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12484), 1,
      anon_sym_SEMI,
    STATE(7983), 1,
      aux_sym_declaration_repeat1,
  [302199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [302208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
    STATE(9149), 1,
      sym_gnu_asm_goto_list,
  [302221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [302230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [302239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [302248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_RBRACE,
    ACTIONS(12496), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [302261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12498), 1,
      anon_sym_RPAREN,
    STATE(8080), 1,
      sym_gnu_asm_output_operand_list,
  [302274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [302287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12500), 1,
      anon_sym_RPAREN,
    STATE(7891), 1,
      sym_gnu_asm_output_operand_list,
  [302300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12504), 1,
      anon_sym_constexpr,
    STATE(216), 1,
      sym_condition_clause,
  [302313] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7617), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12506), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [302324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12508), 1,
      anon_sym_RPAREN,
    STATE(7967), 1,
      sym_gnu_asm_clobber_list,
  [302337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [302346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [302355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
    STATE(7979), 1,
      sym_gnu_asm_input_operand_list,
  [302368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12516), 1,
      anon_sym_SEMI,
    STATE(7902), 1,
      aux_sym_declaration_repeat1,
  [302381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [302394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [302407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_catch,
    STATE(253), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8632), 1,
      anon_sym_COMMA,
    ACTIONS(8634), 1,
      anon_sym_RBRACE,
    STATE(7907), 1,
      aux_sym_initializer_list_repeat1,
  [302431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(12524), 1,
      anon_sym_RBRACK,
    STATE(8333), 1,
      aux_sym_subscript_argument_list_repeat1,
  [302444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12526), 1,
      anon_sym_RPAREN,
    STATE(7990), 1,
      sym_gnu_asm_output_operand_list,
  [302457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    STATE(938), 1,
      sym_declaration_list,
  [302470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8630), 1,
      anon_sym_RPAREN,
    STATE(7910), 1,
      aux_sym_argument_list_repeat1,
  [302483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [302496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12532), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [302509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_argument_list_repeat1,
  [302522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12534), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12536), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [302533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12538), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [302546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12540), 1,
      anon_sym_RPAREN,
    STATE(8293), 1,
      aux_sym_parameter_list_repeat1,
  [302559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12424), 1,
      anon_sym_catch,
    STATE(2263), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12542), 1,
      anon_sym_COMMA,
    ACTIONS(12544), 1,
      anon_sym_RPAREN,
    STATE(8173), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [302583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
    STATE(9035), 1,
      sym_gnu_asm_goto_list,
  [302596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12548), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [302609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(12550), 1,
      anon_sym_RPAREN,
    STATE(8272), 1,
      aux_sym_preproc_argument_list_repeat1,
  [302622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8541), 1,
      anon_sym_RBRACK,
    STATE(7955), 1,
      aux_sym_subscript_argument_list_repeat1,
  [302635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12552), 1,
      anon_sym_SEMI,
    STATE(7999), 1,
      aux_sym_declaration_repeat1,
  [302648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_catch,
    STATE(492), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12556), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [302672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_catch,
    STATE(244), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12558), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_template_type,
    STATE(4034), 1,
      sym_template_function,
  [302696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12560), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12562), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [302722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_catch,
    STATE(437), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12566), 1,
      anon_sym_RPAREN,
    STATE(8036), 1,
      sym_gnu_asm_clobber_list,
  [302746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12568), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3926), 1,
      sym_template_function,
  [302759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12570), 1,
      anon_sym_RPAREN,
    STATE(8111), 1,
      aux_sym_parameter_list_repeat1,
  [302772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12572), 1,
      anon_sym_COMMA,
    ACTIONS(12575), 1,
      anon_sym_RPAREN,
    STATE(7982), 1,
      aux_sym_requires_parameter_list_repeat1,
  [302785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12579), 1,
      anon_sym_RPAREN,
    STATE(8067), 1,
      sym_gnu_asm_clobber_list,
  [302811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12581), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    ACTIONS(12583), 1,
      anon_sym_RBRACK,
    STATE(8116), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [302837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_SEMI,
    STATE(7894), 1,
      aux_sym_declaration_repeat1,
  [302863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12589), 1,
      anon_sym_SEMI,
    STATE(7930), 1,
      aux_sym_declaration_repeat1,
  [302876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12591), 1,
      anon_sym_RPAREN,
    STATE(8070), 1,
      sym_gnu_asm_input_operand_list,
  [302889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12593), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [302902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_GT2,
    STATE(8012), 1,
      aux_sym_template_argument_list_repeat1,
  [302915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8600), 1,
      anon_sym_RBRACK,
    STATE(8210), 1,
      aux_sym_subscript_argument_list_repeat1,
  [302928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_COMMA,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
    STATE(8150), 1,
      aux_sym_throw_specifier_repeat1,
  [302941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_catch,
    STATE(469), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [302952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [302965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12603), 1,
      anon_sym_SEMI,
    STATE(8016), 1,
      aux_sym_declaration_repeat1,
  [302978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12605), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [302991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12607), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [303004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12611), 1,
      anon_sym_LBRACE,
    STATE(8219), 1,
      aux_sym_field_initializer_list_repeat1,
  [303017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12613), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12617), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [303041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_catch,
    STATE(2117), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12621), 1,
      anon_sym_GT2,
    STATE(7908), 1,
      aux_sym_template_argument_list_repeat1,
  [303065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12623), 1,
      anon_sym_GT2,
    STATE(7951), 1,
      aux_sym_template_argument_list_repeat1,
  [303078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
    STATE(8020), 1,
      sym_gnu_asm_clobber_list,
  [303091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12627), 1,
      anon_sym_RPAREN,
    STATE(8026), 1,
      sym_gnu_asm_input_operand_list,
  [303104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12629), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
    STATE(7914), 1,
      sym_gnu_asm_output_operand_list,
  [303130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12633), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12637), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12639), 1,
      anon_sym_constexpr,
    STATE(214), 1,
      sym_condition_clause,
  [303182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11830), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12641), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [303193] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7653), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12643), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [303204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12645), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [303217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12647), 1,
      anon_sym_RPAREN,
    STATE(8054), 1,
      sym_gnu_asm_clobber_list,
  [303230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12649), 1,
      anon_sym_RPAREN,
    STATE(8057), 1,
      sym_gnu_asm_input_operand_list,
  [303243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12651), 1,
      anon_sym_COMMA,
    ACTIONS(12654), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12656), 1,
      anon_sym_RPAREN,
    STATE(8746), 1,
      sym_gnu_asm_goto_list,
  [303269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_catch,
    STATE(2267), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(8279), 1,
      sym_gnu_asm_clobber_list,
  [303293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_RBRACE,
    STATE(7940), 1,
      aux_sym_initializer_list_repeat1,
  [303306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12660), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7963), 1,
      aux_sym_attribute_declaration_repeat1,
  [303319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    STATE(418), 1,
      sym_declaration_list,
  [303332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12662), 1,
      anon_sym_RPAREN,
    STATE(8034), 1,
      sym_gnu_asm_clobber_list,
  [303345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12664), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [303358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12666), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [303371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [303384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(7942), 1,
      aux_sym_argument_list_repeat1,
  [303397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12670), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [303410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12672), 1,
      anon_sym_RPAREN,
    STATE(7949), 1,
      sym_gnu_asm_output_operand_list,
  [303423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12674), 1,
      anon_sym_GT2,
    STATE(8298), 1,
      aux_sym_template_argument_list_repeat1,
  [303436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12676), 1,
      anon_sym_RPAREN,
    STATE(8745), 1,
      sym_gnu_asm_goto_list,
  [303449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12678), 1,
      anon_sym_RPAREN,
    STATE(7984), 1,
      sym_gnu_asm_input_operand_list,
  [303462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
    STATE(8736), 1,
      sym_gnu_asm_goto_list,
  [303475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [303488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12684), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [303501] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12686), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12688), 1,
      anon_sym_LPAREN2,
    STATE(9524), 1,
      sym_preproc_argument_list,
  [303514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    STATE(7946), 1,
      sym_gnu_asm_input_operand_list,
  [303527] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7823), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12692), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [303538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12694), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12696), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [303549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_catch,
    STATE(914), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12698), 1,
      anon_sym_SEMI,
    STATE(8285), 1,
      aux_sym_declaration_repeat1,
  [303573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8425), 1,
      anon_sym_RBRACK,
    STATE(8112), 1,
      aux_sym_subscript_argument_list_repeat1,
  [303586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_COMMA,
    ACTIONS(12700), 1,
      anon_sym_LBRACE,
    STATE(8000), 1,
      aux_sym_field_initializer_list_repeat1,
  [303599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      anon_sym_while,
    ACTIONS(12702), 1,
      anon_sym_else,
    STATE(670), 1,
      sym_else_clause,
  [303612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12704), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(2975), 1,
      sym_template_function,
  [303625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8650), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [303634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(12706), 1,
      anon_sym_RBRACK,
    STATE(8300), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [303647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_RBRACE,
    ACTIONS(12708), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [303660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8493), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [303673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_COMMA,
    ACTIONS(12712), 1,
      anon_sym_GT2,
    STATE(7921), 1,
      aux_sym_template_parameter_list_repeat1,
  [303686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12714), 1,
      anon_sym_RPAREN,
    STATE(9226), 1,
      sym_gnu_asm_goto_list,
  [303699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12716), 1,
      anon_sym_SEMI,
    STATE(7985), 1,
      aux_sym_declaration_repeat1,
  [303712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12462), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [303721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12718), 1,
      anon_sym_RPAREN,
    STATE(8083), 1,
      sym_gnu_asm_clobber_list,
  [303734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12382), 1,
      anon_sym_LBRACE,
    STATE(7896), 1,
      aux_sym_base_class_clause_repeat1,
  [303747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7959), 1,
      aux_sym_attribute_declaration_repeat1,
  [303760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_GT2,
    STATE(7921), 1,
      aux_sym_template_parameter_list_repeat1,
  [303773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [303786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8626), 1,
      anon_sym_RPAREN,
    STATE(8221), 1,
      aux_sym_argument_list_repeat1,
  [303799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [303812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_COMMA,
    ACTIONS(12731), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [303825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12733), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [303838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12735), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [303851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
    STATE(9445), 1,
      sym_gnu_asm_goto_list,
  [303864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      anon_sym_COMMA,
    ACTIONS(12742), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [303877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_catch,
    STATE(2335), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12744), 1,
      anon_sym_RPAREN,
    STATE(8133), 1,
      sym_gnu_asm_clobber_list,
  [303901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12746), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [303914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_catch,
    STATE(232), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12748), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8161), 1,
      aux_sym_attribute_declaration_repeat1,
  [303938] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_LPAREN2,
    ACTIONS(12750), 1,
      aux_sym_preproc_include_token2,
    STATE(9524), 1,
      sym_preproc_argument_list,
  [303951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12752), 1,
      anon_sym_RPAREN,
    STATE(7960), 1,
      aux_sym_parameter_list_repeat1,
  [303964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12754), 1,
      anon_sym_RPAREN,
    STATE(7886), 1,
      sym_gnu_asm_clobber_list,
  [303977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
    STATE(9018), 1,
      sym_gnu_asm_goto_list,
  [303990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12758), 1,
      anon_sym_SEMI,
    STATE(8238), 1,
      aux_sym_declaration_repeat1,
  [304003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12760), 1,
      anon_sym_GT2,
    STATE(8096), 1,
      aux_sym_template_argument_list_repeat1,
  [304016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12762), 1,
      anon_sym_RPAREN,
    STATE(8022), 1,
      sym_gnu_asm_input_operand_list,
  [304029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12764), 1,
      anon_sym_RPAREN,
    STATE(8076), 1,
      sym_gnu_asm_input_operand_list,
  [304042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
    STATE(8077), 1,
      sym_gnu_asm_clobber_list,
  [304055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12768), 1,
      anon_sym_RPAREN,
    STATE(9223), 1,
      sym_gnu_asm_goto_list,
  [304068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12770), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [304081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12772), 1,
      anon_sym_constexpr,
    STATE(207), 1,
      sym_condition_clause,
  [304094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [304107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_catch,
    STATE(2111), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12776), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12778), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_catch,
    STATE(979), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RPAREN,
    STATE(8272), 1,
      aux_sym_preproc_argument_list_repeat1,
  [304168] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7731), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12782), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12784), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8264), 1,
      aux_sym_attribute_declaration_repeat1,
  [304192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12786), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12788), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12790), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8061), 1,
      aux_sym_attribute_declaration_repeat1,
  [304244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8664), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [304253] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12794), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12796), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304279] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7755), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12798), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12800), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [304303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_COMMA,
    ACTIONS(12802), 1,
      anon_sym_GT2,
    STATE(8060), 1,
      aux_sym_template_parameter_list_repeat1,
  [304316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12804), 1,
      anon_sym_RPAREN,
    STATE(8081), 1,
      sym_gnu_asm_output_operand_list,
  [304329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
    STATE(8082), 1,
      sym_gnu_asm_input_operand_list,
  [304342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12808), 1,
      anon_sym_COMMA,
    ACTIONS(12811), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [304355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12813), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8031), 1,
      aux_sym_attribute_declaration_repeat1,
  [304368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12815), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12817), 1,
      anon_sym_SEMI,
    STATE(7976), 1,
      aux_sym_declaration_repeat1,
  [304394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_RBRACE,
    ACTIONS(12819), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [304407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12821), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [304420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(12823), 1,
      anon_sym_RBRACK,
    STATE(8333), 1,
      aux_sym_subscript_argument_list_repeat1,
  [304433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12825), 1,
      anon_sym_RPAREN,
    STATE(8220), 1,
      aux_sym_parameter_list_repeat1,
  [304446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    ACTIONS(12827), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [304459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_catch,
    STATE(377), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 1,
      anon_sym_COMMA,
    ACTIONS(12829), 1,
      anon_sym_RBRACK,
    STATE(8240), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [304483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_RPAREN,
    ACTIONS(12831), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [304494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8640), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [304507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_catch,
    STATE(1126), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12837), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [304527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [304540] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_LPAREN2,
    ACTIONS(12839), 1,
      aux_sym_preproc_include_token2,
    STATE(9524), 1,
      sym_preproc_argument_list,
  [304553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6350), 1,
      anon_sym_SEMI,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2107), 1,
      sym_template_argument_list,
  [304566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [304575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_catch,
    STATE(2124), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12710), 1,
      anon_sym_COMMA,
    ACTIONS(12843), 1,
      anon_sym_GT2,
    STATE(8053), 1,
      aux_sym_template_parameter_list_repeat1,
  [304599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [304608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12845), 1,
      anon_sym_GT2,
    STATE(8001), 1,
      aux_sym_template_argument_list_repeat1,
  [304621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12847), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [304647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12851), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12853), 1,
      anon_sym_SEMI,
    STATE(8089), 1,
      aux_sym_declaration_repeat1,
  [304673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
    STATE(9439), 1,
      sym_gnu_asm_goto_list,
  [304686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12857), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [304697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [304706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12861), 1,
      anon_sym_constexpr,
    STATE(194), 1,
      sym_condition_clause,
  [304719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [304728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(2975), 1,
      sym_template_function,
  [304741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8584), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [304754] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_LPAREN2,
    ACTIONS(12867), 1,
      aux_sym_preproc_include_token2,
    STATE(9524), 1,
      sym_preproc_argument_list,
  [304767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(6952), 1,
      sym_template_function,
  [304793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12873), 1,
      anon_sym_constexpr,
    STATE(197), 1,
      sym_condition_clause,
  [304806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [304819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
    STATE(8879), 1,
      sym_gnu_asm_goto_list,
  [304832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8620), 1,
      anon_sym_COMMA,
    ACTIONS(12879), 1,
      anon_sym_RBRACK,
    STATE(8300), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [304845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [304854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8656), 1,
      anon_sym_COMMA,
    ACTIONS(8658), 1,
      anon_sym_RBRACE,
    STATE(8110), 1,
      aux_sym_initializer_list_repeat1,
  [304867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12881), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [304880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_COMMA,
    ACTIONS(12883), 1,
      anon_sym_RPAREN,
    STATE(8192), 1,
      aux_sym_throw_specifier_repeat1,
  [304893] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7732), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12885), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12887), 1,
      anon_sym_GT2,
    STATE(8099), 1,
      aux_sym_template_argument_list_repeat1,
  [304917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12889), 1,
      anon_sym_GT2,
    STATE(8165), 1,
      aux_sym_template_argument_list_repeat1,
  [304930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12891), 1,
      anon_sym_RPAREN,
    STATE(8105), 1,
      sym_gnu_asm_output_operand_list,
  [304943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12893), 1,
      anon_sym_SEMI,
    STATE(8141), 1,
      aux_sym_declaration_repeat1,
  [304956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [304969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(8489), 1,
      anon_sym_RBRACK,
    STATE(7898), 1,
      aux_sym_subscript_argument_list_repeat1,
  [304982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    STATE(1028), 1,
      sym_declaration_list,
  [304995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12897), 1,
      anon_sym_RPAREN,
    STATE(8145), 1,
      sym_gnu_asm_clobber_list,
  [305008] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7850), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12899), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12901), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [305032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(12903), 1,
      anon_sym_RPAREN,
    STATE(8882), 1,
      sym_gnu_asm_goto_list,
  [305045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12905), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12907), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12909), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(12911), 1,
      anon_sym_constexpr,
    STATE(166), 1,
      sym_condition_clause,
  [305097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(8249), 1,
      aux_sym_argument_list_repeat1,
  [305110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12913), 1,
      anon_sym_SEMI,
    STATE(8318), 1,
      aux_sym_declaration_repeat1,
  [305123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12915), 1,
      anon_sym_RPAREN,
    STATE(8159), 1,
      sym_gnu_asm_input_operand_list,
  [305136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(12917), 1,
      anon_sym_RPAREN,
    STATE(8162), 1,
      sym_gnu_asm_clobber_list,
  [305149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8672), 1,
      anon_sym_COMMA,
    ACTIONS(8674), 1,
      anon_sym_RBRACE,
    STATE(8114), 1,
      aux_sym_initializer_list_repeat1,
  [305162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12919), 1,
      anon_sym_SEMI,
    STATE(8262), 1,
      aux_sym_declaration_repeat1,
  [305175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12542), 1,
      anon_sym_COMMA,
    ACTIONS(12921), 1,
      anon_sym_RPAREN,
    STATE(8280), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [305188] = 4,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_LPAREN2,
    ACTIONS(12923), 1,
      aux_sym_preproc_include_token2,
    STATE(9524), 1,
      sym_preproc_argument_list,
  [305201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12925), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [305214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 1,
      anon_sym_COMMA,
    ACTIONS(12930), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [305227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
    ACTIONS(12932), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [305238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8495), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
    STATE(8051), 1,
      aux_sym_initializer_list_repeat1,
  [305251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(12936), 1,
      anon_sym_RPAREN,
    STATE(8278), 1,
      sym_gnu_asm_input_operand_list,
  [305264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(8118), 1,
      aux_sym_argument_list_repeat1,
  [305277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8694), 1,
      anon_sym_COMMA,
    ACTIONS(8696), 1,
      anon_sym_RBRACE,
    STATE(8253), 1,
      aux_sym_initializer_list_repeat1,
  [305290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(7982), 1,
      aux_sym_requires_parameter_list_repeat1,
  [305303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12942), 1,
      sym_identifier,
    STATE(3194), 1,
      sym_template_type,
    STATE(4281), 1,
      sym_template_function,
  [305316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12944), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [305329] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7679), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12946), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    STATE(543), 1,
      sym_declaration_list,
  [305353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12948), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(4034), 1,
      sym_template_function,
  [305366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12950), 1,
      anon_sym_GT2,
    STATE(8191), 1,
      aux_sym_template_argument_list_repeat1,
  [305379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12952), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12954), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12956), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12958), 1,
      anon_sym_COMMA,
    ACTIONS(12961), 1,
      anon_sym_RPAREN,
    STATE(8192), 1,
      aux_sym_throw_specifier_repeat1,
  [305431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(12963), 1,
      anon_sym_RPAREN,
    STATE(8258), 1,
      sym_gnu_asm_output_operand_list,
  [305444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(12965), 1,
      anon_sym_SEMI,
    STATE(8129), 1,
      aux_sym_declaration_repeat1,
  [305457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [305466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_template_type,
    STATE(3926), 1,
      sym_template_function,
  [305479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 1,
      anon_sym_while,
    ACTIONS(12702), 1,
      anon_sym_else,
    STATE(830), 1,
      sym_else_clause,
  [305492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_LBRACE,
    STATE(8302), 1,
      aux_sym_base_class_clause_repeat1,
  [305505] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7761), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12971), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_RBRACE,
    ACTIONS(12973), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [305529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8393), 1,
      anon_sym_RBRACE,
    ACTIONS(8678), 1,
      anon_sym_COMMA,
    STATE(8200), 1,
      aux_sym_initializer_list_repeat1,
  [305542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [305555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_catch,
    STATE(282), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [305566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_catch,
    STATE(2082), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [305577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12981), 1,
      anon_sym_GT2,
    STATE(8273), 1,
      aux_sym_template_argument_list_repeat1,
  [305590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(12983), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [305603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [305616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    STATE(982), 1,
      sym_declaration_list,
  [305629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(12987), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [305642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8399), 1,
      anon_sym_COMMA,
    ACTIONS(12989), 1,
      anon_sym_RBRACK,
    STATE(8333), 1,
      aux_sym_subscript_argument_list_repeat1,
  [305655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(12991), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8245), 1,
      aux_sym_attribute_declaration_repeat1,
  [305668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12993), 1,
      anon_sym_GT2,
    STATE(8215), 1,
      aux_sym_template_argument_list_repeat1,
  [305681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12995), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12997), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(12999), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [305729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13003), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [305742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(8252), 1,
      aux_sym_base_class_clause_repeat1,
  [305755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_COMMA,
    ACTIONS(13008), 1,
      anon_sym_LBRACE,
    STATE(8219), 1,
      aux_sym_field_initializer_list_repeat1,
  [305768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(13010), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [305781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8624), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [305794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13012), 1,
      anon_sym_RPAREN,
    STATE(8179), 1,
      sym_gnu_asm_output_operand_list,
  [305807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_EQ,
    ACTIONS(11462), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [305818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13016), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13018), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13020), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [305842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13022), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(13024), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8184), 1,
      aux_sym_attribute_declaration_repeat1,
  [305868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    ACTIONS(13028), 1,
      anon_sym_RPAREN,
    STATE(8320), 1,
      aux_sym_preproc_params_repeat1,
  [305881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13030), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(4034), 1,
      sym_template_function,
  [305894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13032), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12214), 1,
      anon_sym_DASH_GT,
    ACTIONS(13034), 1,
      anon_sym_SEMI,
    STATE(8825), 1,
      sym_trailing_return_type,
  [305920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13036), 1,
      anon_sym_SEMI,
    STATE(8292), 1,
      aux_sym_declaration_repeat1,
  [305933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13038), 1,
      anon_sym_GT2,
    STATE(8236), 1,
      aux_sym_template_argument_list_repeat1,
  [305946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13040), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13042), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13044), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [305985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13046), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [305998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13048), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [306011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8511), 1,
      anon_sym_RPAREN,
    STATE(8052), 1,
      aux_sym_argument_list_repeat1,
  [306024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_COMMA,
    ACTIONS(13053), 1,
      anon_sym_RBRACK,
    STATE(8240), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [306037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13055), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13057), 1,
      anon_sym_RPAREN,
    STATE(8169), 1,
      sym_gnu_asm_output_operand_list,
  [306063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13059), 1,
      anon_sym_RPAREN,
    STATE(8170), 1,
      sym_gnu_asm_input_operand_list,
  [306076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_catch,
    STATE(2081), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(13061), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [306100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(11912), 1,
      anon_sym_LBRACE,
    STATE(7887), 1,
      aux_sym_base_class_clause_repeat1,
  [306113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_catch,
    STATE(465), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_COMMA,
    ACTIONS(13066), 1,
      anon_sym_RPAREN,
    STATE(8248), 1,
      aux_sym_preproc_params_repeat1,
  [306137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8700), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [306150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13068), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [306163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_EQ,
    ACTIONS(7783), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [306174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(11912), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [306187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_RBRACE,
    ACTIONS(13070), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [306200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13072), 1,
      anon_sym_GT2,
    STATE(8257), 1,
      aux_sym_template_argument_list_repeat1,
  [306213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13074), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13076), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13078), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13080), 1,
      anon_sym_RPAREN,
    STATE(8332), 1,
      sym_gnu_asm_input_operand_list,
  [306265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13082), 1,
      anon_sym_RPAREN,
    STATE(8328), 1,
      sym_gnu_asm_output_operand_list,
  [306278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13084), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [306291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13086), 1,
      anon_sym_COMMA,
    ACTIONS(13089), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [306304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13091), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [306317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13093), 1,
      anon_sym_SEMI,
    STATE(8027), 1,
      aux_sym_declaration_repeat1,
  [306330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(13095), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8176), 1,
      aux_sym_attribute_declaration_repeat1,
  [306343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13097), 1,
      anon_sym_RPAREN,
    STATE(8035), 1,
      sym_gnu_asm_output_operand_list,
  [306356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(13099), 1,
      anon_sym_COMMA,
    STATE(7906), 1,
      aux_sym_initializer_list_repeat1,
  [306369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      anon_sym_COMMA,
    ACTIONS(13101), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7927), 1,
      aux_sym_attribute_declaration_repeat1,
  [306382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_RPAREN,
    STATE(8281), 1,
      aux_sym_argument_list_repeat1,
  [306395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13103), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13105), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(4281), 1,
      sym_template_function,
  [306434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10130), 1,
      anon_sym_RPAREN,
    ACTIONS(13109), 1,
      anon_sym_COMMA,
    STATE(8272), 1,
      aux_sym_preproc_argument_list_repeat1,
  [306447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13112), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13114), 1,
      anon_sym_GT2,
    STATE(8277), 1,
      aux_sym_template_argument_list_repeat1,
  [306473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13116), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13118), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13120), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(13122), 1,
      anon_sym_RPAREN,
    STATE(8283), 1,
      sym_gnu_asm_clobber_list,
  [306525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
    STATE(8878), 1,
      sym_gnu_asm_goto_list,
  [306538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_COMMA,
    ACTIONS(13129), 1,
      anon_sym_RPAREN,
    STATE(8280), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [306551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8588), 1,
      anon_sym_RPAREN,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [306564] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7792), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13131), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [306575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
    STATE(8814), 1,
      sym_gnu_asm_goto_list,
  [306588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13135), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13137), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [306614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12811), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [306625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_catch,
    STATE(269), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9930), 1,
      anon_sym_COMMA,
    ACTIONS(13141), 1,
      anon_sym_RPAREN,
    STATE(8272), 1,
      aux_sym_preproc_argument_list_repeat1,
  [306649] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7710), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13143), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [306660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13145), 1,
      anon_sym_GT2,
    STATE(7977), 1,
      aux_sym_template_argument_list_repeat1,
  [306673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(2975), 1,
      sym_template_function,
  [306686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13149), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [306699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(13151), 1,
      anon_sym_RPAREN,
    STATE(8064), 1,
      aux_sym_parameter_list_repeat1,
  [306712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13153), 1,
      anon_sym_GT2,
    STATE(8297), 1,
      aux_sym_template_argument_list_repeat1,
  [306725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13155), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13157), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13159), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13161), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_catch,
    STATE(2080), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_RBRACK,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    STATE(8300), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [306801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13166), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [306810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11910), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_LBRACE,
    STATE(8106), 1,
      aux_sym_base_class_clause_repeat1,
  [306823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13168), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [306832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13170), 1,
      anon_sym_SEMI,
    STATE(8088), 1,
      aux_sym_declaration_repeat1,
  [306845] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7656), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13172), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [306856] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7681), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13174), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [306867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_RPAREN,
    ACTIONS(13176), 1,
      anon_sym_COMMA,
    STATE(8307), 1,
      aux_sym_argument_list_repeat1,
  [306880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_catch,
    STATE(284), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_COMMA,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(8068), 1,
      aux_sym_generic_expression_repeat1,
  [306904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12530), 1,
      anon_sym_COMMA,
    ACTIONS(13181), 1,
      anon_sym_RPAREN,
    STATE(8206), 1,
      aux_sym_parameter_list_repeat1,
  [306917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [306930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(13185), 1,
      anon_sym_RPAREN,
    STATE(8897), 1,
      sym_gnu_asm_goto_list,
  [306943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13187), 1,
      anon_sym_GT2,
    STATE(8316), 1,
      aux_sym_template_argument_list_repeat1,
  [306956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13189), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13191), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13193), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [306995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
    STATE(8040), 1,
      sym_gnu_asm_output_operand_list,
  [307008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13197), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [307021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13199), 1,
      anon_sym_SEMI,
    STATE(8261), 1,
      aux_sym_declaration_repeat1,
  [307034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13026), 1,
      anon_sym_COMMA,
    ACTIONS(13201), 1,
      anon_sym_RPAREN,
    STATE(8248), 1,
      aux_sym_preproc_params_repeat1,
  [307047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3711), 1,
      sym_template_function,
  [307060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(13205), 1,
      anon_sym_RPAREN,
    STATE(8312), 1,
      sym_gnu_asm_clobber_list,
  [307073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10006), 1,
      anon_sym_COMMA,
    ACTIONS(13207), 1,
      anon_sym_SEMI,
    STATE(8217), 1,
      aux_sym_declaration_repeat1,
  [307086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12380), 1,
      anon_sym_COLON,
    ACTIONS(13209), 1,
      anon_sym_RPAREN,
    STATE(8896), 1,
      sym_gnu_asm_goto_list,
  [307099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
    STATE(3241), 1,
      sym_template_function,
  [307112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_COMMA,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
    STATE(8182), 1,
      aux_sym_requires_parameter_list_repeat1,
  [307125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8451), 1,
      anon_sym_COMMA,
    ACTIONS(13215), 1,
      anon_sym_GT2,
    STATE(8224), 1,
      aux_sym_template_argument_list_repeat1,
  [307138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12394), 1,
      anon_sym_COLON,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
    STATE(8322), 1,
      sym_gnu_asm_input_operand_list,
  [307151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_COLON,
    ACTIONS(13219), 1,
      anon_sym_RPAREN,
    STATE(8243), 1,
      sym_gnu_asm_output_operand_list,
  [307164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_catch,
    STATE(405), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [307175] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    STATE(7809), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13221), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [307186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_COLON,
    ACTIONS(13223), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_gnu_asm_clobber_list,
  [307199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 1,
      anon_sym_RBRACK,
    ACTIONS(13225), 1,
      anon_sym_COMMA,
    STATE(8333), 1,
      aux_sym_subscript_argument_list_repeat1,
  [307212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8578), 1,
      anon_sym_COMMA,
    ACTIONS(8580), 1,
      anon_sym_RBRACE,
    STATE(8266), 1,
      aux_sym_initializer_list_repeat1,
  [307225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13228), 1,
      sym_identifier,
    ACTIONS(13230), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [307236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    ACTIONS(13232), 1,
      anon_sym_constexpr,
    STATE(165), 1,
      sym_condition_clause,
  [307249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_declaration_list,
  [307259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9692), 1,
      anon_sym_LBRACE,
    STATE(4286), 1,
      sym_requirement_seq,
  [307269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8267), 1,
      sym_attribute,
  [307279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
  [307289] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13236), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13238), 1,
      sym_preproc_arg,
  [307299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9658), 1,
      anon_sym_LBRACE,
    STATE(4003), 1,
      sym_requirement_seq,
  [307309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13240), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [307317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(881), 1,
      sym_compound_statement,
  [307327] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13242), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13244), 1,
      sym_preproc_arg,
  [307337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8365), 1,
      sym_condition_clause,
  [307347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
  [307357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(164), 1,
      sym_condition_clause,
  [307367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_LPAREN2,
    ACTIONS(13248), 1,
      sym_raw_string_delimiter,
  [307377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13250), 1,
      anon_sym_LPAREN2,
    ACTIONS(13252), 1,
      sym_raw_string_delimiter,
  [307387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_LPAREN2,
    ACTIONS(13256), 1,
      sym_raw_string_delimiter,
  [307397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_LPAREN2,
    ACTIONS(13260), 1,
      sym_raw_string_delimiter,
  [307407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13262), 1,
      anon_sym_LPAREN2,
    ACTIONS(13264), 1,
      sym_raw_string_delimiter,
  [307417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8330), 1,
      sym_compound_statement,
  [307427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13266), 1,
      anon_sym_LPAREN2,
    ACTIONS(13268), 1,
      sym_raw_string_delimiter,
  [307437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13270), 1,
      anon_sym_LPAREN2,
    ACTIONS(13272), 1,
      sym_raw_string_delimiter,
  [307447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_LPAREN2,
    ACTIONS(13276), 1,
      sym_raw_string_delimiter,
  [307457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      anon_sym_LPAREN2,
    ACTIONS(13280), 1,
      sym_raw_string_delimiter,
  [307467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_LPAREN2,
    ACTIONS(13284), 1,
      sym_raw_string_delimiter,
  [307477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_LPAREN2,
    ACTIONS(13288), 1,
      sym_raw_string_delimiter,
  [307487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym_compound_statement,
  [307497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3079), 1,
      sym_field_declaration_list,
  [307507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_LPAREN2,
    ACTIONS(13292), 1,
      sym_raw_string_delimiter,
  [307517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13294), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
  [307527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym_compound_statement,
  [307537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13296), 1,
      anon_sym_LPAREN2,
    ACTIONS(13298), 1,
      sym_raw_string_delimiter,
  [307547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(177), 1,
      sym_condition_clause,
  [307557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3815), 1,
      sym_field_declaration_list,
  [307567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_LT,
    STATE(2962), 1,
      sym_template_argument_list,
  [307577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(2993), 1,
      sym_field_declaration_list,
  [307587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9626), 1,
      sym_argument_list,
  [307597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_LPAREN2,
    ACTIONS(13304), 1,
      sym_raw_string_delimiter,
  [307607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_LPAREN2,
    ACTIONS(13308), 1,
      sym_raw_string_delimiter,
  [307617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACE,
    STATE(879), 1,
      sym_declaration_list,
  [307627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7865), 1,
      sym_compound_statement,
  [307637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10946), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [307647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13312), 1,
      anon_sym_LPAREN2,
    ACTIONS(13314), 1,
      sym_raw_string_delimiter,
  [307657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      anon_sym_LT,
    STATE(4450), 1,
      sym_template_argument_list,
  [307667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(3004), 1,
      sym_field_declaration_list,
  [307677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(3003), 1,
      sym_field_declaration_list,
  [307687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(169), 1,
      sym_condition_clause,
  [307697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13020), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [307705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_default,
    ACTIONS(13320), 1,
      anon_sym_delete,
  [307715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13322), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
  [307725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8097), 1,
      sym_attribute,
  [307735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_LPAREN2,
    ACTIONS(13326), 1,
      sym_raw_string_delimiter,
  [307745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8982), 1,
      sym_argument_list,
  [307755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_LT,
    STATE(2793), 1,
      sym_template_argument_list,
  [307765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9036), 1,
      anon_sym_LT,
    STATE(5550), 1,
      sym_template_argument_list,
  [307775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8696), 1,
      sym_condition_clause,
  [307785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13330), 1,
      sym_identifier,
    STATE(2900), 1,
      sym_template_type,
  [307795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(218), 1,
      sym_condition_clause,
  [307805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_compound_statement,
  [307815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3113), 1,
      sym_field_declaration_list,
  [307825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7978), 1,
      sym_compound_statement,
  [307835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13332), 1,
      anon_sym_default,
    ACTIONS(13334), 1,
      anon_sym_delete,
  [307845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13336), 1,
      anon_sym_RBRACE,
  [307855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13338), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_template_type,
  [307865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13340), 1,
      anon_sym_LPAREN2,
    ACTIONS(13342), 1,
      sym_raw_string_delimiter,
  [307875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [307883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_compound_statement,
  [307893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13344), 1,
      anon_sym_RBRACE,
  [307903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9674), 1,
      anon_sym_LBRACE,
    STATE(4116), 1,
      sym_requirement_seq,
  [307913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [307921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13346), 1,
      sym_identifier,
    ACTIONS(13348), 1,
      anon_sym_LPAREN2,
  [307931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3075), 1,
      sym_field_declaration_list,
  [307941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(2985), 1,
      sym_field_declaration_list,
  [307951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4519), 1,
      sym_field_declaration_list,
  [307961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10984), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [307971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4515), 1,
      sym_field_declaration_list,
  [307981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4514), 1,
      sym_field_declaration_list,
  [307991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym_compound_statement,
  [308001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      anon_sym_LT,
    STATE(3129), 1,
      sym_template_argument_list,
  [308011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13352), 1,
      anon_sym_SEMI,
  [308021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(4516), 1,
      sym_field_declaration_list,
  [308031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6510), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_LBRACE,
    STATE(3114), 1,
      sym_field_declaration_list,
  [308049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_LT,
    STATE(3790), 1,
      sym_template_argument_list,
  [308059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_LBRACE,
    STATE(4094), 1,
      sym_initializer_list,
  [308069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13356), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_template_type,
  [308079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13358), 1,
      anon_sym_LPAREN2,
    ACTIONS(13360), 1,
      sym_raw_string_delimiter,
  [308089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13362), 1,
      anon_sym_SEMI,
  [308099] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13364), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13366), 1,
      sym_preproc_arg,
  [308109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_compound_statement,
  [308119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12420), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [308127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(209), 1,
      sym_condition_clause,
  [308137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_compound_statement,
  [308147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_LBRACE,
    STATE(4461), 1,
      sym_initializer_list,
  [308157] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13368), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13370), 1,
      sym_preproc_arg,
  [308167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4670), 1,
      sym_field_declaration_list,
  [308177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13372), 1,
      anon_sym_RBRACE,
  [308187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(9539), 1,
      sym_parenthesized_expression,
  [308197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8513), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [308213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [308221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13376), 1,
      anon_sym_RBRACE,
  [308231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_compound_statement,
  [308241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8412), 1,
      sym_parameter_list,
  [308251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8533), 1,
      sym_parenthesized_expression,
  [308261] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13378), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13380), 1,
      sym_preproc_arg,
  [308271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [308279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(178), 1,
      sym_condition_clause,
  [308289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_declaration_list,
  [308299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_LBRACE,
    STATE(2976), 1,
      sym_initializer_list,
  [308309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13382), 1,
      sym_identifier,
    STATE(3030), 1,
      sym_template_type,
  [308319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3240), 1,
      sym_field_declaration_list,
  [308329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(183), 1,
      sym_condition_clause,
  [308339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_compound_statement,
  [308349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    STATE(401), 1,
      sym_declaration_list,
  [308359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4694), 1,
      sym_field_declaration_list,
  [308369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4697), 1,
      sym_field_declaration_list,
  [308379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9647), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_requirement_seq,
  [308389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8247), 1,
      sym_compound_statement,
  [308399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(414), 1,
      sym_compound_statement,
  [308409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10920), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [308419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6140), 1,
      sym_field_declaration_list,
  [308429] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13384), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13386), 1,
      sym_preproc_arg,
  [308439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6116), 1,
      sym_field_declaration_list,
  [308449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
  [308459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9639), 1,
      anon_sym_LBRACE,
    STATE(3775), 1,
      sym_requirement_seq,
  [308469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7688), 1,
      anon_sym_LBRACE,
    STATE(4661), 1,
      sym_field_declaration_list,
  [308479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6143), 1,
      sym_field_declaration_list,
  [308489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6196), 1,
      anon_sym_LBRACE,
    STATE(6145), 1,
      sym_field_declaration_list,
  [308499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
  [308509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5177), 1,
      anon_sym_LBRACE,
    STATE(416), 1,
      sym_declaration_list,
  [308519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13388), 1,
      sym_identifier,
    STATE(4342), 1,
      sym_template_type,
  [308529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13390), 1,
      sym_identifier,
    ACTIONS(13392), 1,
      anon_sym_LPAREN2,
  [308539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10944), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [308549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3231), 1,
      sym_field_declaration_list,
  [308559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3233), 1,
      sym_field_declaration_list,
  [308569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13394), 1,
      anon_sym_RBRACE,
  [308579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_LT,
    STATE(4001), 1,
      sym_template_argument_list,
  [308589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8424), 1,
      sym_parenthesized_expression,
  [308599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(369), 1,
      sym_compound_statement,
  [308609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2560), 1,
      sym_compound_statement,
  [308619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4513), 1,
      sym_field_declaration_list,
  [308629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(786), 1,
      sym_compound_statement,
  [308639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13396), 1,
      anon_sym_RBRACE,
  [308649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13398), 1,
      anon_sym_RBRACE,
  [308659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_field_declaration_list,
  [308669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_compound_statement,
  [308679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      anon_sym_SEMI,
  [308689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2672), 1,
      sym_template_argument_list,
  [308699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(671), 1,
      sym_compound_statement,
  [308709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6526), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_LT,
    STATE(2672), 1,
      sym_template_argument_list,
  [308735] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13402), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13404), 1,
      sym_preproc_arg,
  [308745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4529), 1,
      sym_field_declaration_list,
  [308755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4530), 1,
      sym_field_declaration_list,
  [308765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
  [308775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_LBRACE,
    STATE(5530), 1,
      sym_initializer_list,
  [308785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [308795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13406), 1,
      sym_identifier,
    STATE(2179), 1,
      sym_template_type,
  [308805] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13408), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13410), 1,
      sym_preproc_arg,
  [308815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    STATE(2440), 1,
      sym_field_declaration_list,
  [308825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6727), 1,
      anon_sym_LT,
    STATE(3218), 1,
      sym_template_argument_list,
  [308835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7738), 1,
      sym_compound_statement,
  [308845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9700), 1,
      anon_sym_LBRACE,
    STATE(5033), 1,
      sym_requirement_seq,
  [308855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_compound_statement,
  [308865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7502), 1,
      anon_sym_LBRACE,
    STATE(4543), 1,
      sym_field_declaration_list,
  [308883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym_compound_statement,
  [308893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6441), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11876), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
  [308911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_declaration_list,
  [308921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9666), 1,
      anon_sym_LBRACE,
    STATE(5031), 1,
      sym_requirement_seq,
  [308931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13412), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [308939] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13414), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13416), 1,
      sym_preproc_arg,
  [308949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2602), 1,
      sym_compound_statement,
  [308959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13418), 1,
      sym_identifier,
    STATE(5568), 1,
      sym_template_type,
  [308969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6369), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6373), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [308985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9531), 1,
      sym_argument_list,
  [308995] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13420), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13422), 1,
      sym_preproc_arg,
  [309005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9210), 1,
      anon_sym_LT,
    STATE(2278), 1,
      sym_template_argument_list,
  [309015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9316), 1,
      sym_argument_list,
  [309025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [309035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8475), 1,
      sym_parameter_list,
  [309045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    STATE(2451), 1,
      sym_field_declaration_list,
  [309055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9210), 1,
      sym_argument_list,
  [309065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    STATE(2405), 1,
      sym_field_declaration_list,
  [309075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7965), 1,
      sym_compound_statement,
  [309085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2289), 1,
      sym_compound_statement,
  [309095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5718), 1,
      sym_field_declaration_list,
  [309105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13424), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [309113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      anon_sym_LT,
    STATE(4265), 1,
      sym_template_argument_list,
  [309123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7925), 1,
      sym_compound_statement,
  [309133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [309141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      sym_compound_statement,
  [309151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2748), 1,
      sym_compound_statement,
  [309161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8524), 1,
      sym_parameter_list,
  [309171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_compound_statement,
  [309181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_compound_statement,
  [309191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_default,
    ACTIONS(13428), 1,
      anon_sym_delete,
  [309201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13430), 1,
      anon_sym_RBRACE,
  [309211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9068), 1,
      sym_argument_list,
  [309221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 1,
      anon_sym_LBRACE,
    STATE(2453), 1,
      sym_field_declaration_list,
  [309231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8003), 1,
      sym_compound_statement,
  [309241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(375), 1,
      sym_compound_statement,
  [309251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8024), 1,
      sym_attribute,
  [309261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5721), 1,
      sym_field_declaration_list,
  [309271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [309279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5722), 1,
      sym_field_declaration_list,
  [309289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8087), 1,
      sym_compound_statement,
  [309299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [309309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13350), 1,
      anon_sym_LT,
    STATE(4061), 1,
      sym_template_argument_list,
  [309319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8683), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [309327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13432), 1,
      anon_sym_LT,
    STATE(3121), 1,
      sym_template_argument_list,
  [309337] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13434), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13436), 1,
      sym_preproc_arg,
  [309347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8920), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [309355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10811), 1,
      anon_sym_LBRACE,
    STATE(2780), 1,
      sym_compound_statement,
  [309365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12303), 1,
      anon_sym_LBRACE,
    STATE(6708), 1,
      sym_requirement_seq,
  [309375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8582), 1,
      sym_parameter_list,
  [309385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9204), 1,
      anon_sym_LBRACE,
    STATE(5729), 1,
      sym_field_declaration_list,
  [309395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(276), 1,
      sym_compound_statement,
  [309405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      anon_sym_default,
    ACTIONS(13440), 1,
      anon_sym_delete,
  [309415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13442), 1,
      anon_sym_SEMI,
  [309425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8947), 1,
      sym_argument_list,
  [309435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12536), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [309443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8204), 1,
      sym_compound_statement,
  [309453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8227), 1,
      sym_attribute,
  [309463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      sym_identifier,
    STATE(3093), 1,
      sym_template_type,
  [309473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8647), 1,
      sym_parenthesized_expression,
  [309483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8299), 1,
      sym_compound_statement,
  [309493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6381), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [309501] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13446), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13448), 1,
      sym_preproc_arg,
  [309511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8090), 1,
      sym_compound_statement,
  [309521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [309529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8441), 1,
      sym_attribute,
  [309539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_LT,
    STATE(2793), 1,
      sym_template_argument_list,
  [309549] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13452), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13454), 1,
      sym_preproc_arg,
  [309559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8656), 1,
      sym_parameter_list,
  [309569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9107), 1,
      sym_argument_list,
  [309579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    STATE(4360), 1,
      sym_initializer_list,
  [309589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      anon_sym_default,
    ACTIONS(13458), 1,
      anon_sym_delete,
  [309599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13460), 1,
      sym_identifier,
    STATE(3194), 1,
      sym_template_type,
  [309609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8806), 1,
      sym_argument_list,
  [309619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8119), 1,
      sym_compound_statement,
  [309629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8073), 1,
      sym_attribute,
  [309639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3210), 1,
      sym_field_declaration_list,
  [309649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2114), 1,
      sym_compound_statement,
  [309659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(827), 1,
      sym_compound_statement,
  [309669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3401), 1,
      sym_field_declaration_list,
  [309679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8735), 1,
      sym_parenthesized_expression,
  [309689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7995), 1,
      sym_compound_statement,
  [309699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13462), 1,
      anon_sym_RBRACE,
  [309709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7774), 1,
      sym_compound_statement,
  [309719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2378), 1,
      sym_compound_statement,
  [309729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8723), 1,
      sym_parameter_list,
  [309739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_declaration_list,
  [309749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8768), 1,
      sym_parenthesized_expression,
  [309759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9682), 1,
      anon_sym_LBRACE,
    STATE(4433), 1,
      sym_requirement_seq,
  [309769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12932), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [309777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_compound_statement,
  [309787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13464), 1,
      anon_sym_default,
    ACTIONS(13466), 1,
      anon_sym_delete,
  [309797] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13468), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13470), 1,
      sym_preproc_arg,
  [309807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13354), 1,
      anon_sym_LT,
    STATE(3034), 1,
      sym_template_argument_list,
  [309817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3395), 1,
      sym_field_declaration_list,
  [309827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3394), 1,
      sym_field_declaration_list,
  [309837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(980), 1,
      sym_declaration_list,
  [309847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5173), 1,
      anon_sym_LBRACE,
    STATE(1031), 1,
      sym_declaration_list,
  [309857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7853), 1,
      sym_compound_statement,
  [309867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8809), 1,
      sym_argument_list,
  [309877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [309887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [309897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3322), 1,
      sym_field_declaration_list,
  [309907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8021), 1,
      sym_compound_statement,
  [309917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    ACTIONS(13472), 1,
      anon_sym_COMMA,
  [309927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9222), 1,
      anon_sym_LT,
    STATE(3198), 1,
      sym_template_argument_list,
  [309937] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13474), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13476), 1,
      sym_preproc_arg,
  [309947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8668), 1,
      sym_condition_clause,
  [309957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8059), 1,
      sym_attribute,
  [309967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_LBRACE,
    STATE(2410), 1,
      sym_compound_statement,
  [309977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12093), 1,
      anon_sym_LBRACE,
    STATE(6547), 1,
      sym_requirement_seq,
  [309987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_template_type,
  [309997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_LT,
    STATE(3641), 1,
      sym_template_argument_list,
  [310007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 1,
      anon_sym_LBRACE,
    STATE(3386), 1,
      sym_field_declaration_list,
  [310017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8644), 1,
      sym_parenthesized_expression,
  [310027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(616), 1,
      sym_compound_statement,
  [310037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
  [310047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8203), 1,
      sym_compound_statement,
  [310057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_LT,
    STATE(2793), 1,
      sym_template_argument_list,
  [310067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_compound_statement,
  [310077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10980), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [310087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13482), 1,
      anon_sym_RBRACE,
  [310097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8638), 1,
      sym_parameter_list,
  [310107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8909), 1,
      sym_parenthesized_expression,
  [310117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3309), 1,
      sym_field_declaration_list,
  [310127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [310135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13486), 1,
      sym_identifier,
    STATE(3250), 1,
      sym_template_type,
  [310145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6600), 1,
      anon_sym_LBRACE,
    STATE(3325), 1,
      sym_field_declaration_list,
  [310155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    STATE(3611), 1,
      sym_initializer_list,
  [310165] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13488), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13490), 1,
      sym_preproc_arg,
  [310175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      anon_sym_default,
    ACTIONS(13494), 1,
      anon_sym_delete,
  [310185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13066), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [310193] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13496), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13498), 1,
      sym_preproc_arg,
  [310203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym_compound_statement,
  [310213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13500), 1,
      anon_sym_SEMI,
  [310223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_LT,
    STATE(3578), 1,
      sym_template_argument_list,
  [310233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(168), 1,
      sym_condition_clause,
  [310243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7817), 1,
      sym_compound_statement,
  [310253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(8958), 1,
      sym_argument_list,
  [310263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_compound_statement,
  [310273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8115), 1,
      sym_compound_statement,
  [310283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(196), 1,
      sym_condition_clause,
  [310293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1230), 1,
      sym_compound_statement,
  [310303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8583), 1,
      sym_condition_clause,
  [310313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      sym_identifier,
    ACTIONS(13504), 1,
      anon_sym_RPAREN,
  [310323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13506), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [310331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [310339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8427), 1,
      sym_parameter_list,
  [310349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [310357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8093), 1,
      sym_attribute,
  [310367] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13508), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13510), 1,
      sym_preproc_arg,
  [310377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1157), 1,
      sym_compound_statement,
  [310387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LBRACE,
    STATE(4211), 1,
      sym_initializer_list,
  [310397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5605), 1,
      sym_field_declaration_list,
  [310407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      sym_identifier,
    STATE(2848), 1,
      sym_template_type,
  [310417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8556), 1,
      sym_parenthesized_expression,
  [310427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13514), 1,
      anon_sym_RBRACE,
  [310437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1186), 1,
      sym_compound_statement,
  [310447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7895), 1,
      sym_compound_statement,
  [310465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2232), 1,
      sym_compound_statement,
  [310475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3862), 1,
      sym_field_declaration_list,
  [310485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_compound_statement,
  [310503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8540), 1,
      sym_parameter_list,
  [310513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(9086), 1,
      sym_parenthesized_expression,
  [310523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13520), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [310531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [310539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3707), 1,
      sym_field_declaration_list,
  [310549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8107), 1,
      sym_attribute,
  [310559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [310567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13522), 1,
      anon_sym_default,
    ACTIONS(13524), 1,
      anon_sym_delete,
  [310577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8448), 1,
      sym_condition_clause,
  [310587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13008), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(195), 1,
      sym_condition_clause,
  [310605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(869), 1,
      sym_compound_statement,
  [310615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13526), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [310623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(160), 1,
      sym_condition_clause,
  [310641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8072), 1,
      sym_compound_statement,
  [310651] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13530), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13532), 1,
      sym_preproc_arg,
  [310661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5633), 1,
      sym_field_declaration_list,
  [310671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5624), 1,
      sym_field_declaration_list,
  [310681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(221), 1,
      sym_condition_clause,
  [310691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7675), 1,
      sym_compound_statement,
  [310701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11002), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [310711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13534), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
  [310721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9130), 1,
      sym_argument_list,
  [310731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13328), 1,
      anon_sym_LT,
    STATE(2173), 1,
      sym_template_argument_list,
  [310741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 1,
      sym_identifier,
    STATE(2832), 1,
      sym_template_type,
  [310751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10976), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [310761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_compound_statement,
  [310771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7914), 1,
      anon_sym_LPAREN2,
    STATE(9308), 1,
      sym_argument_list,
  [310781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7812), 1,
      sym_compound_statement,
  [310791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(201), 1,
      sym_condition_clause,
  [310801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(3416), 1,
      sym_template_argument_list,
  [310811] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13538), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13540), 1,
      sym_preproc_arg,
  [310821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3596), 1,
      sym_field_declaration_list,
  [310831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_LBRACE,
    STATE(2201), 1,
      sym_compound_statement,
  [310841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3598), 1,
      sym_field_declaration_list,
  [310851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12068), 1,
      anon_sym_LBRACE,
    STATE(2046), 1,
      sym_requirement_seq,
  [310861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8287), 1,
      sym_compound_statement,
  [310871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(219), 1,
      sym_condition_clause,
  [310881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3899), 1,
      sym_field_declaration_list,
  [310891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_LPAREN2,
    STATE(8500), 1,
      sym_condition_clause,
  [310901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13542), 1,
      anon_sym_default,
    ACTIONS(13544), 1,
      anon_sym_delete,
  [310911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9155), 1,
      anon_sym_LBRACE,
    STATE(5627), 1,
      sym_field_declaration_list,
  [310921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13234), 1,
      sym_identifier,
    STATE(8211), 1,
      sym_attribute,
  [310931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    STATE(3904), 1,
      sym_field_declaration_list,
  [310941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [310949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7610), 1,
      anon_sym_LT,
    STATE(2026), 1,
      sym_template_argument_list,
  [310959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      sym_identifier,
    STATE(2243), 1,
      sym_template_type,
  [310969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_compound_statement,
  [310979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(810), 1,
      sym_compound_statement,
  [310989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    ACTIONS(13548), 1,
      anon_sym_RBRACE,
  [310999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      anon_sym_LBRACE,
    STATE(3675), 1,
      sym_field_declaration_list,
  [311009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12731), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [311017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(9265), 1,
      sym_parenthesized_expression,
  [311027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 1,
      anon_sym_LBRACE,
    STATE(2567), 1,
      sym_compound_statement,
  [311037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13550), 1,
      sym_identifier,
    STATE(3223), 1,
      sym_template_type,
  [311047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9737), 1,
      anon_sym_LPAREN2,
    STATE(8481), 1,
      sym_parameter_list,
  [311057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3743), 1,
      anon_sym_LBRACE,
    STATE(5009), 1,
      sym_initializer_list,
  [311067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13552), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [311075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
  [311085] = 3,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13554), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13556), 1,
      sym_preproc_arg,
  [311095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7953), 1,
      sym_compound_statement,
  [311105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(9641), 1,
      sym_parenthesized_expression,
  [311115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13374), 1,
      anon_sym_LPAREN2,
    STATE(8484), 1,
      sym_parenthesized_expression,
  [311125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12617), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [311133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [311141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym_compound_statement,
  [311151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13558), 1,
      anon_sym_RPAREN,
  [311158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13560), 1,
      anon_sym_RPAREN,
  [311165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13562), 1,
      aux_sym_preproc_if_token2,
  [311172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 1,
      sym_identifier,
  [311179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13566), 1,
      anon_sym_RPAREN,
  [311186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8864), 1,
      anon_sym_SEMI,
  [311193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_RPAREN,
  [311200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      anon_sym_RPAREN,
  [311207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 1,
      anon_sym_RPAREN,
  [311214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 1,
      anon_sym_RPAREN,
  [311221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13576), 1,
      anon_sym_RPAREN,
  [311228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13578), 1,
      anon_sym_LBRACE,
  [311235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      anon_sym_DQUOTE,
  [311242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 1,
      sym_identifier,
  [311249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13584), 1,
      anon_sym_SEMI,
  [311256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13586), 1,
      anon_sym_SEMI,
  [311263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13588), 1,
      anon_sym_SEMI,
  [311270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13590), 1,
      anon_sym_SEMI,
  [311277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13592), 1,
      anon_sym_RPAREN,
  [311284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      sym_identifier,
  [311291] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13596), 1,
      aux_sym_preproc_include_token2,
  [311298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10898), 1,
      anon_sym_RPAREN,
  [311305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      anon_sym_RPAREN,
  [311312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13600), 1,
      sym_raw_string_delimiter,
  [311319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 1,
      aux_sym_preproc_if_token2,
  [311326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13604), 1,
      sym_raw_string_delimiter,
  [311333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13606), 1,
      anon_sym_DQUOTE,
  [311340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      anon_sym_LPAREN2,
  [311347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      anon_sym_RPAREN,
  [311354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13612), 1,
      anon_sym_SEMI,
  [311361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13614), 1,
      sym_identifier,
  [311368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      anon_sym_RPAREN,
  [311375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      anon_sym_SEMI,
  [311382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13620), 1,
      anon_sym_RPAREN,
  [311389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13622), 1,
      anon_sym_SEMI,
  [311396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13548), 1,
      anon_sym_RBRACE,
  [311403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      anon_sym_RPAREN,
  [311410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13626), 1,
      anon_sym_COMMA,
  [311417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      sym_identifier,
  [311424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10948), 1,
      anon_sym_RPAREN,
  [311431] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13630), 1,
      aux_sym_preproc_include_token2,
  [311438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      anon_sym_RPAREN,
  [311445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13634), 1,
      anon_sym_SEMI,
  [311452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8866), 1,
      anon_sym_COLON,
  [311459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      sym_auto,
  [311466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      anon_sym_RPAREN,
  [311473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13640), 1,
      anon_sym_RPAREN,
  [311480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13642), 1,
      anon_sym_LPAREN2,
  [311487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      anon_sym_SEMI,
  [311494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_SEMI,
  [311501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13648), 1,
      sym_identifier,
  [311508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13650), 1,
      sym_identifier,
  [311515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_SEMI,
  [311522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      sym_identifier,
  [311529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_SEMI,
  [311536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12374), 1,
      anon_sym_SEMI,
  [311543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      anon_sym_RPAREN,
  [311550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13658), 1,
      anon_sym_LPAREN2,
  [311557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8832), 1,
      anon_sym_SEMI,
  [311564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      aux_sym_preproc_if_token2,
  [311571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      sym_identifier,
  [311578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
  [311585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      anon_sym_RPAREN,
  [311592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13668), 1,
      anon_sym_while,
  [311599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7136), 1,
      sym_identifier,
  [311606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11446), 1,
      anon_sym_SEMI,
  [311613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      aux_sym_preproc_if_token2,
  [311620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10976), 1,
      anon_sym_RBRACE,
  [311627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      anon_sym_STAR,
  [311634] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13674), 1,
      aux_sym_preproc_include_token2,
  [311641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      anon_sym_RPAREN,
  [311648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      anon_sym_SEMI,
  [311655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8634), 1,
      anon_sym_RBRACE,
  [311662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      anon_sym_RPAREN,
  [311669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      aux_sym_preproc_if_token2,
  [311676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13684), 1,
      aux_sym_preproc_if_token2,
  [311683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      anon_sym_RBRACE,
  [311690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11002), 1,
      anon_sym_RBRACE,
  [311697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_RPAREN,
  [311704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      anon_sym_STAR,
  [311711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_RPAREN,
  [311718] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13694), 1,
      aux_sym_preproc_include_token2,
  [311725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13696), 1,
      anon_sym_RPAREN,
  [311732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      sym_identifier,
  [311739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      anon_sym_RPAREN,
  [311746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      aux_sym_preproc_if_token2,
  [311753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      aux_sym_preproc_if_token2,
  [311760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11972), 1,
      anon_sym_SEMI,
  [311767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      anon_sym_LPAREN2,
  [311774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13708), 1,
      anon_sym_SEMI,
  [311781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      anon_sym_COLON,
  [311788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_SEMI,
  [311795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      aux_sym_preproc_if_token2,
  [311802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      sym_identifier,
  [311809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7638), 1,
      sym_identifier,
  [311816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      anon_sym_SEMI,
  [311823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      anon_sym_SEMI,
  [311830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      anon_sym_RPAREN,
  [311837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_RPAREN,
  [311844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      sym_identifier,
  [311851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8884), 1,
      anon_sym_SEMI,
  [311858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      sym_identifier,
  [311865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      sym_identifier,
  [311872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      aux_sym_preproc_if_token2,
  [311879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_SEMI,
  [311886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      sym_raw_string_content,
  [311893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      anon_sym_RPAREN,
  [311900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      sym_auto,
  [311907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      anon_sym_LPAREN2,
  [311914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      anon_sym_COLON,
  [311921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      anon_sym_RPAREN,
  [311928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8842), 1,
      anon_sym_COLON,
  [311935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
  [311942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      anon_sym_SEMI,
  [311949] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13746), 1,
      aux_sym_preproc_include_token2,
  [311956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13748), 1,
      sym_identifier,
  [311963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13750), 1,
      anon_sym_COLON,
  [311970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      sym_identifier,
  [311977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      anon_sym_RPAREN,
  [311984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      sym_identifier,
  [311991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_RPAREN,
  [311998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      sym_identifier,
  [312005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      anon_sym_RPAREN,
  [312012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_LPAREN2,
  [312019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10817), 1,
      anon_sym_RPAREN,
  [312026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13766), 1,
      anon_sym_RPAREN,
  [312033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      sym_raw_string_delimiter,
  [312040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      anon_sym_RPAREN,
  [312047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_RBRACE,
  [312054] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13772), 1,
      aux_sym_preproc_include_token2,
  [312061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_SEMI,
  [312068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8890), 1,
      anon_sym_SEMI,
  [312075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_SEMI,
  [312082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_SEMI,
  [312089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8874), 1,
      anon_sym_RPAREN,
  [312096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      sym_identifier,
  [312103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      sym_identifier,
  [312110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_COLON,
  [312117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      anon_sym_RPAREN,
  [312124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      anon_sym_SEMI,
  [312131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      anon_sym_SEMI,
  [312138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      anon_sym_DQUOTE,
  [312145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      anon_sym_RPAREN,
  [312152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_RPAREN,
  [312159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_STAR,
  [312166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      sym_identifier,
  [312173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      anon_sym_RPAREN,
  [312180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      anon_sym_DQUOTE,
  [312187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_RPAREN,
  [312194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_SEMI,
  [312201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8896), 1,
      anon_sym_RPAREN,
  [312208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      sym_identifier,
  [312215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      anon_sym_STAR,
  [312222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_SEMI,
  [312229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      anon_sym_RPAREN,
  [312236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11948), 1,
      anon_sym_SEMI,
  [312243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      anon_sym_SEMI,
  [312250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      aux_sym_preproc_if_token2,
  [312257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_SEMI,
  [312264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      anon_sym_DQUOTE,
  [312271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_RPAREN,
  [312278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_RPAREN,
  [312285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_DQUOTE,
  [312292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_SEMI,
  [312299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      anon_sym_SEMI,
  [312306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
  [312313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11740), 1,
      anon_sym_COLON,
  [312320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      sym_identifier,
  [312327] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10210), 1,
      aux_sym_preproc_include_token2,
  [312334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_RPAREN,
  [312341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_LPAREN2,
  [312348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_RPAREN,
  [312355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10980), 1,
      anon_sym_RBRACE,
  [312362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_SEMI,
  [312369] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13848), 1,
      aux_sym_preproc_include_token2,
  [312376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_RPAREN,
  [312383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_RPAREN,
  [312390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8696), 1,
      anon_sym_RBRACE,
  [312397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      anon_sym_RPAREN,
  [312404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      anon_sym_RPAREN,
  [312411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      sym_identifier,
  [312418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_SEMI,
  [312425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      anon_sym_RPAREN,
  [312432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_RBRACE,
  [312439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_RPAREN,
  [312446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      aux_sym_preproc_if_token2,
  [312453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      aux_sym_preproc_if_token2,
  [312460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13870), 1,
      anon_sym_RPAREN,
  [312467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      aux_sym_preproc_if_token2,
  [312474] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13874), 1,
      aux_sym_preproc_include_token2,
  [312481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      aux_sym_preproc_if_token2,
  [312488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      anon_sym_RBRACK,
  [312495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8918), 1,
      anon_sym_COLON,
  [312502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      sym_identifier,
  [312509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      sym_auto,
  [312516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      anon_sym_RPAREN,
  [312523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      anon_sym_SEMI,
  [312530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      sym_identifier,
  [312537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      anon_sym_SEMI,
  [312544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_LBRACE,
  [312551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 1,
      anon_sym_RPAREN,
  [312558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11840), 1,
      anon_sym_SEMI,
  [312565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      sym_raw_string_delimiter,
  [312572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_RPAREN,
  [312579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      sym_identifier,
  [312586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_RPAREN,
  [312593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11362), 1,
      anon_sym_SEMI,
  [312600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      sym_identifier,
  [312607] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13904), 1,
      aux_sym_preproc_include_token2,
  [312614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      sym_identifier,
  [312621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      anon_sym_RPAREN,
  [312628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_RPAREN,
  [312635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8393), 1,
      anon_sym_RBRACE,
  [312642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7448), 1,
      sym_identifier,
  [312649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
  [312656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      anon_sym_STAR,
  [312663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_RPAREN,
  [312670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_SEMI,
  [312677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8580), 1,
      anon_sym_RBRACE,
  [312684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8674), 1,
      anon_sym_RBRACE,
  [312691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_RBRACE,
  [312698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
  [312705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_RPAREN,
  [312712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8710), 1,
      anon_sym_RPAREN,
  [312719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      aux_sym_preproc_if_token2,
  [312726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_RPAREN,
  [312733] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13924), 1,
      aux_sym_preproc_include_token2,
  [312740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
  [312747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      anon_sym_STAR,
  [312754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_LPAREN2,
  [312761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_SEMI,
  [312768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12083), 1,
      anon_sym_SEMI,
  [312775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8391), 1,
      anon_sym_SEMI,
  [312782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_SEMI,
  [312789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11372), 1,
      anon_sym_SEMI,
  [312796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_SEMI,
  [312803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      sym_identifier,
  [312810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      sym_auto,
  [312817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      aux_sym_preproc_if_token2,
  [312824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      anon_sym_SEMI,
  [312831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_SEMI,
  [312838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_SEMI,
  [312845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      anon_sym_RPAREN,
  [312852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8788), 1,
      anon_sym_COLON,
  [312859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym_SEMI,
  [312866] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13950), 1,
      aux_sym_preproc_include_token2,
  [312873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_STAR,
  [312880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13462), 1,
      anon_sym_RBRACE,
  [312887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      aux_sym_preproc_if_token2,
  [312894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      sym_identifier,
  [312901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_SEMI,
  [312908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      sym_identifier,
  [312915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      sym_identifier,
  [312922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_RPAREN,
  [312929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10840), 1,
      anon_sym_RPAREN,
  [312936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_LPAREN2,
  [312943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      sym_raw_string_delimiter,
  [312950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8926), 1,
      anon_sym_SEMI,
  [312957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      sym_identifier,
  [312964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_SEMI,
  [312971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_SEMI,
  [312978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_SEMI,
  [312985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
  [312992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      sym_identifier,
  [312999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      sym_identifier,
  [313006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_DQUOTE,
  [313013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_RPAREN,
  [313020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      anon_sym_RPAREN,
  [313027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_RPAREN,
  [313034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_RPAREN,
  [313041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_RPAREN,
  [313048] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(13994), 1,
      aux_sym_preproc_include_token2,
  [313055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_SEMI,
  [313062] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12750), 1,
      aux_sym_preproc_include_token2,
  [313069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_LPAREN2,
  [313076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      anon_sym_RPAREN,
  [313083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_SEMI,
  [313090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_DQUOTE,
  [313097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      anon_sym_SEMI,
  [313104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      anon_sym_SEMI,
  [313111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      sym_identifier,
  [313118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      anon_sym_COLON,
  [313125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      anon_sym_RPAREN,
  [313132] = 2,
    ACTIONS(5356), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9960), 1,
      sym_comment,
  [313139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_SEMI,
  [313146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_RPAREN,
  [313153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_RPAREN,
  [313160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      sym_identifier,
  [313167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_RPAREN,
  [313174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      sym_identifier,
  [313181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      sym_auto,
  [313188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      anon_sym_SEMI,
  [313195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      aux_sym_preproc_if_token2,
  [313202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      aux_sym_preproc_if_token2,
  [313209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_RBRACK,
  [313216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      sym_identifier,
  [313223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      anon_sym_SEMI,
  [313230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      anon_sym_SEMI,
  [313237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10940), 1,
      anon_sym_RPAREN,
  [313244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_RPAREN,
  [313251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      sym_raw_string_delimiter,
  [313258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      anon_sym_SEMI,
  [313265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      sym_identifier,
  [313272] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14052), 1,
      aux_sym_preproc_include_token2,
  [313279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_SEMI,
  [313286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      anon_sym_RPAREN,
  [313293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_SEMI,
  [313300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_SEMI,
  [313307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      aux_sym_preproc_if_token2,
  [313314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
  [313321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_DQUOTE,
  [313328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      anon_sym_SEMI,
  [313335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_SEMI,
  [313342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      anon_sym_RPAREN,
  [313349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      anon_sym_SEMI,
  [313356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      aux_sym_preproc_if_token2,
  [313363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      anon_sym_RPAREN,
  [313370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      sym_identifier,
  [313377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_LPAREN2,
  [313384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      aux_sym_preproc_if_token2,
  [313391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_SEMI,
  [313398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_RPAREN,
  [313405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_SEMI,
  [313412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      aux_sym_preproc_if_token2,
  [313419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      sym_identifier,
  [313426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      sym_identifier,
  [313433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      aux_sym_preproc_if_token2,
  [313440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11454), 1,
      anon_sym_SEMI,
  [313447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14100), 1,
      aux_sym_preproc_if_token2,
  [313454] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14102), 1,
      aux_sym_preproc_include_token2,
  [313461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      anon_sym_RPAREN,
  [313468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      sym_identifier,
  [313475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      anon_sym_RPAREN,
  [313482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_COMMA,
  [313489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10998), 1,
      anon_sym_RBRACE,
  [313496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_DQUOTE,
  [313503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      anon_sym_SEMI,
  [313510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_SEMI,
  [313517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      sym_identifier,
  [313524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      sym_identifier,
  [313531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      anon_sym_SEMI,
  [313538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10902), 1,
      anon_sym_RPAREN,
  [313545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      anon_sym_RPAREN,
  [313552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      sym_raw_string_delimiter,
  [313559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      anon_sym_RPAREN,
  [313566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14128), 1,
      sym_identifier,
  [313573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14130), 1,
      aux_sym_preproc_if_token2,
  [313580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14132), 1,
      anon_sym_RPAREN,
  [313587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14134), 1,
      anon_sym_RBRACE,
  [313594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14136), 1,
      anon_sym_RPAREN,
  [313601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14138), 1,
      anon_sym_SEMI,
  [313608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14140), 1,
      anon_sym_RPAREN,
  [313615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_SEMI,
  [313622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14142), 1,
      anon_sym_SEMI,
  [313629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14144), 1,
      anon_sym_SEMI,
  [313636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8894), 1,
      anon_sym_COLON,
  [313643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      anon_sym_RBRACE,
  [313650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14146), 1,
      sym_identifier,
  [313657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      aux_sym_preproc_if_token2,
  [313664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14150), 1,
      anon_sym_SEMI,
  [313671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14152), 1,
      anon_sym_LPAREN2,
  [313678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_SEMI,
  [313685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14154), 1,
      aux_sym_preproc_if_token2,
  [313692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      aux_sym_preproc_if_token2,
  [313699] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14158), 1,
      aux_sym_preproc_include_token2,
  [313706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14160), 1,
      sym_auto,
  [313713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8740), 1,
      anon_sym_COLON,
  [313720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_COLON,
  [313727] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14162), 1,
      aux_sym_preproc_include_token2,
  [313734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14164), 1,
      anon_sym_RPAREN,
  [313741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      sym_auto,
  [313748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14168), 1,
      anon_sym_RPAREN,
  [313755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14170), 1,
      anon_sym_SEMI,
  [313762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_SEMI,
  [313769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      anon_sym_SEMI,
  [313776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_RBRACE,
  [313783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12104), 1,
      anon_sym_SEMI,
  [313790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14174), 1,
      anon_sym_RPAREN,
  [313797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10952), 1,
      anon_sym_RPAREN,
  [313804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14176), 1,
      anon_sym_RPAREN,
  [313811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14178), 1,
      sym_raw_string_delimiter,
  [313818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14180), 1,
      anon_sym_RPAREN,
  [313825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14182), 1,
      anon_sym_SEMI,
  [313832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      anon_sym_SEMI,
  [313839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 1,
      anon_sym_SEMI,
  [313846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      anon_sym_SEMI,
  [313853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14190), 1,
      anon_sym_LPAREN2,
  [313860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14192), 1,
      anon_sym_COLON,
  [313867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      aux_sym_preproc_if_token2,
  [313874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 1,
      anon_sym_RBRACE,
  [313881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14196), 1,
      anon_sym_RPAREN,
  [313888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14198), 1,
      anon_sym_DQUOTE,
  [313895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
  [313902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14200), 1,
      sym_raw_string_delimiter,
  [313909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14202), 1,
      anon_sym_RPAREN,
  [313916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14204), 1,
      aux_sym_preproc_if_token2,
  [313923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14206), 1,
      anon_sym_SEMI,
  [313930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_LPAREN2,
  [313937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14210), 1,
      anon_sym_LPAREN2,
  [313944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14212), 1,
      anon_sym_SEMI,
  [313951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14214), 1,
      aux_sym_preproc_if_token2,
  [313958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14216), 1,
      anon_sym_RPAREN,
  [313965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14218), 1,
      aux_sym_preproc_if_token2,
  [313972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      sym_raw_string_delimiter,
  [313979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      anon_sym_DQUOTE,
  [313986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      anon_sym_RPAREN,
  [313993] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14226), 1,
      aux_sym_preproc_include_token2,
  [314000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14228), 1,
      anon_sym_LPAREN2,
  [314007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_RPAREN,
  [314014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14232), 1,
      sym_raw_string_delimiter,
  [314021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14234), 1,
      anon_sym_STAR,
  [314028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14236), 1,
      anon_sym_RPAREN,
  [314035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      sym_raw_string_delimiter,
  [314042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_RPAREN,
  [314049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
  [314056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14244), 1,
      sym_raw_string_delimiter,
  [314063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14246), 1,
      anon_sym_RPAREN,
  [314070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14248), 1,
      sym_raw_string_delimiter,
  [314077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
  [314084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 1,
      sym_raw_string_delimiter,
  [314091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
  [314098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14256), 1,
      sym_raw_string_delimiter,
  [314105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_RPAREN,
  [314112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14260), 1,
      sym_raw_string_delimiter,
  [314119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14262), 1,
      anon_sym_RPAREN,
  [314126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14264), 1,
      sym_raw_string_delimiter,
  [314133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14266), 1,
      anon_sym_RPAREN,
  [314140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14268), 1,
      anon_sym_RPAREN,
  [314147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14270), 1,
      anon_sym_RPAREN,
  [314154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14272), 1,
      anon_sym_LPAREN2,
  [314161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11438), 1,
      anon_sym_SEMI,
  [314168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_LPAREN2,
  [314175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14276), 1,
      anon_sym_LPAREN2,
  [314182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_RPAREN,
  [314189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14280), 1,
      anon_sym_RPAREN,
  [314196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14282), 1,
      anon_sym_LPAREN2,
  [314203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6224), 1,
      sym_identifier,
  [314210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14284), 1,
      anon_sym_LPAREN2,
  [314217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14286), 1,
      anon_sym_LPAREN2,
  [314224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14288), 1,
      anon_sym_RPAREN,
  [314231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10640), 1,
      sym_identifier,
  [314238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14290), 1,
      anon_sym_RPAREN,
  [314245] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10158), 1,
      aux_sym_preproc_include_token2,
  [314252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      anon_sym_RPAREN,
  [314259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_RPAREN,
  [314266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7085), 1,
      anon_sym_RPAREN,
  [314273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14296), 1,
      anon_sym_SEMI,
  [314280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8802), 1,
      anon_sym_SEMI,
  [314287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      anon_sym_DOT_DOT_DOT,
  [314294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14300), 1,
      anon_sym_DOT_DOT_DOT,
  [314301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      sym_raw_string_delimiter,
  [314308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_RPAREN,
  [314315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      aux_sym_preproc_if_token2,
  [314322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8764), 1,
      anon_sym_SEMI,
  [314329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      anon_sym_while,
  [314336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_SEMI,
  [314343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_LPAREN2,
  [314350] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14313), 1,
      aux_sym_preproc_include_token2,
  [314357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      sym_identifier,
  [314364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [314371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      aux_sym_preproc_if_token2,
  [314378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      anon_sym_EQ,
  [314385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      sym_raw_string_content,
  [314392] = 2,
    ACTIONS(5360), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9960), 1,
      sym_comment,
  [314399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
  [314406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      anon_sym_RPAREN,
  [314413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_STAR,
  [314420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_RPAREN,
  [314427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_RPAREN,
  [314434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      anon_sym_SEMI,
  [314441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_RPAREN,
  [314448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      anon_sym_RBRACE,
  [314455] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14339), 1,
      aux_sym_preproc_include_token2,
  [314462] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12923), 1,
      aux_sym_preproc_include_token2,
  [314469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14341), 1,
      anon_sym_RPAREN,
  [314476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      anon_sym_SEMI,
  [314483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      sym_identifier,
  [314490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      anon_sym_RPAREN,
  [314497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      anon_sym_COMMA,
  [314504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      anon_sym_SEMI,
  [314511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_COLON,
  [314518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10896), 1,
      anon_sym_RBRACE,
  [314525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      anon_sym_RPAREN,
  [314532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8836), 1,
      anon_sym_COLON,
  [314539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      aux_sym_preproc_if_token2,
  [314546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_COMMA,
  [314553] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10262), 1,
      aux_sym_preproc_include_token2,
  [314560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      anon_sym_RPAREN,
  [314567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      anon_sym_SEMI,
  [314574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_SEMI,
  [314581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      anon_sym_RPAREN,
  [314588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      anon_sym_SEMI,
  [314595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      anon_sym_SEMI,
  [314602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      anon_sym_SEMI,
  [314609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_SEMI,
  [314616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8668), 1,
      anon_sym_RPAREN,
  [314623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      aux_sym_preproc_if_token2,
  [314630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      anon_sym_DQUOTE,
  [314637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      anon_sym_SEMI,
  [314644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_SEMI,
  [314651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      anon_sym_COLON,
  [314658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      anon_sym_SEMI,
  [314665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_SEMI,
  [314672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PLUS,
  [314679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      aux_sym_preproc_if_token2,
  [314686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_STAR,
  [314693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      aux_sym_preproc_if_token2,
  [314700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_SLASH,
  [314707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      anon_sym_RPAREN,
  [314714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      anon_sym_RPAREN,
  [314721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      anon_sym_SEMI,
  [314728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PERCENT,
  [314735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      aux_sym_preproc_if_token2,
  [314742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PIPE_PIPE,
  [314749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_AMP_AMP,
  [314756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      anon_sym_RPAREN,
  [314763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PIPE,
  [314770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_CARET,
  [314777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      aux_sym_preproc_if_token2,
  [314784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      sym_identifier,
  [314791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      anon_sym_DQUOTE,
  [314798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      anon_sym_SEMI,
  [314805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      anon_sym_SEMI,
  [314812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      anon_sym_SEMI,
  [314819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      aux_sym_preproc_if_token2,
  [314826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      sym_auto,
  [314833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      anon_sym_RPAREN,
  [314840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_AMP,
  [314847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_EQ_EQ,
  [314854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14425), 1,
      anon_sym_SEMI,
  [314861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_BANG_EQ,
  [314868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      aux_sym_preproc_if_token2,
  [314875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_SEMI,
  [314882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_SEMI,
  [314889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_GT,
  [314896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13398), 1,
      anon_sym_RBRACE,
  [314903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      anon_sym_STAR,
  [314910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_GT_EQ,
  [314917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8762), 1,
      anon_sym_COLON,
  [314924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_LT_EQ,
  [314931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      aux_sym_preproc_if_token2,
  [314938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_DASH,
  [314945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      aux_sym_preproc_if_token2,
  [314952] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14439), 1,
      aux_sym_preproc_include_token2,
  [314959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      anon_sym_RBRACE,
  [314966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8938), 1,
      anon_sym_COLON,
  [314973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      sym_auto,
  [314980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_SEMI,
  [314987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      anon_sym_SEMI,
  [314994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      anon_sym_SEMI,
  [315001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_LT_LT,
  [315008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_SEMI,
  [315015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_GT_GT,
  [315022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_EQ,
  [315029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_xor,
  [315036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_RPAREN,
  [315043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14451), 1,
      anon_sym_RPAREN,
  [315050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      anon_sym_RPAREN,
  [315057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      anon_sym_RPAREN,
  [315064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8968), 1,
      anon_sym_RPAREN,
  [315071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      anon_sym_DQUOTE,
  [315078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      anon_sym_DQUOTE,
  [315085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_STAR_EQ,
  [315092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      anon_sym_COLON,
  [315099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_SLASH_EQ,
  [315106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10944), 1,
      anon_sym_RBRACE,
  [315113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      sym_identifier,
  [315120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8570), 1,
      anon_sym_RBRACE,
  [315127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14465), 1,
      anon_sym_RPAREN,
  [315134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      sym_identifier,
  [315141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PERCENT_EQ,
  [315148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PLUS_EQ,
  [315155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_RPAREN,
  [315162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_RPAREN,
  [315169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_DASH_EQ,
  [315176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      aux_sym_preproc_if_token2,
  [315183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_RPAREN,
  [315190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_LT_LT_EQ,
  [315197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_RPAREN,
  [315204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      anon_sym_RPAREN,
  [315211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_RPAREN,
  [315218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      aux_sym_preproc_if_token2,
  [315225] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14485), 1,
      aux_sym_preproc_include_token2,
  [315232] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14487), 1,
      aux_sym_preproc_include_token2,
  [315239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_GT_GT_EQ,
  [315246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      anon_sym_RPAREN,
  [315253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_STAR,
  [315260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_AMP_EQ,
  [315267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_CARET_EQ,
  [315274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      aux_sym_preproc_if_token2,
  [315281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_PIPE_EQ,
  [315288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      aux_sym_preproc_if_token2,
  [315295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_or,
  [315302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_and,
  [315309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11442), 1,
      anon_sym_SEMI,
  [315316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10920), 1,
      anon_sym_RBRACE,
  [315323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_bitor,
  [315330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14497), 1,
      sym_identifier,
  [315337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      sym_identifier,
  [315344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_bitand,
  [315351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_not_eq,
  [315358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_DOT_STAR,
  [315365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_LT,
  [315372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14499), 1,
      anon_sym_SEMI,
  [315379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8908), 1,
      anon_sym_SEMI,
  [315386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14501), 1,
      anon_sym_RPAREN,
  [315393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      anon_sym_DQUOTE,
  [315400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      anon_sym_LPAREN2,
  [315407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14507), 1,
      anon_sym_LPAREN2,
  [315414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      anon_sym_LPAREN2,
  [315421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      anon_sym_RPAREN,
  [315428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_LPAREN2,
  [315435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      anon_sym_RBRACE,
  [315442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_RPAREN,
  [315449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8898), 1,
      anon_sym_SEMI,
  [315456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      anon_sym_SEMI,
  [315463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14521), 1,
      anon_sym_while,
  [315470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4587), 1,
      anon_sym_DOT_DOT_DOT,
  [315477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      anon_sym_LPAREN2,
  [315484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      anon_sym_RPAREN,
  [315491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      anon_sym_RPAREN,
  [315498] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12839), 1,
      aux_sym_preproc_include_token2,
  [315505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      anon_sym_EQ,
  [315512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      sym_raw_string_content,
  [315519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_STAR,
  [315526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      anon_sym_RPAREN,
  [315533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      anon_sym_RPAREN,
  [315540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      anon_sym_COMMA,
  [315547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      anon_sym_RPAREN,
  [315554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      anon_sym_RPAREN,
  [315561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_RPAREN,
  [315568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      anon_sym_RPAREN,
  [315575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      anon_sym_COLON,
  [315582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      sym_identifier,
  [315589] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14551), 1,
      aux_sym_preproc_include_token2,
  [315596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_LPAREN2,
  [315603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      anon_sym_LPAREN2,
  [315610] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12867), 1,
      aux_sym_preproc_include_token2,
  [315617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      anon_sym_LPAREN2,
  [315624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12422), 1,
      anon_sym_COLON_COLON,
  [315631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_DOT_DOT_DOT,
  [315638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      anon_sym_while,
  [315645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      anon_sym_SEMI,
  [315652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14563), 1,
      anon_sym_LPAREN2,
  [315659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      anon_sym_SEMI,
  [315666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      anon_sym_RPAREN,
  [315673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      anon_sym_EQ,
  [315680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      sym_raw_string_content,
  [315687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      anon_sym_COLON,
  [315694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      anon_sym_COMMA,
  [315701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14577), 1,
      anon_sym_SEMI,
  [315708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      sym_auto,
  [315715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      anon_sym_SEMI,
  [315722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      anon_sym_RPAREN,
  [315729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_COLON,
  [315736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      anon_sym_SEMI,
  [315743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      aux_sym_preproc_if_token2,
  [315750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      anon_sym_LPAREN2,
  [315757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      anon_sym_LPAREN2,
  [315764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_DASH_GT_STAR,
  [315771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      anon_sym_LPAREN2,
  [315778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14597), 1,
      sym_identifier,
  [315785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14599), 1,
      anon_sym_RPAREN,
  [315792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      anon_sym_while,
  [315799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_COLON_COLON,
  [315806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      anon_sym_LPAREN2,
  [315813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_DQUOTE,
  [315820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      anon_sym_SEMI,
  [315827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_EQ,
  [315834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      sym_raw_string_content,
  [315841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      anon_sym_COMMA,
  [315848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_DOT_DOT_DOT,
  [315855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_DOT_DOT_DOT,
  [315862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      anon_sym_DOT_DOT_DOT,
  [315869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_RPAREN,
  [315876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_COLON,
  [315883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_COMMA,
  [315890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      anon_sym_LPAREN2,
  [315897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      anon_sym_LPAREN2,
  [315904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_DOT_DOT_DOT,
  [315911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      anon_sym_LPAREN2,
  [315918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4601), 1,
      anon_sym_DOT_DOT_DOT,
  [315925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_DOT_DOT_DOT,
  [315932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      anon_sym_while,
  [315939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      anon_sym_LPAREN2,
  [315946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_DOT_DOT_DOT,
  [315953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      anon_sym_RPAREN,
  [315960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      anon_sym_EQ,
  [315967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      sym_raw_string_content,
  [315974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      anon_sym_COMMA,
  [315981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 1,
      anon_sym_RBRACE,
  [315988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4631), 1,
      anon_sym_DOT_DOT_DOT,
  [315995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4703), 1,
      anon_sym_DOT_DOT_DOT,
  [316002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      anon_sym_RPAREN,
  [316009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      anon_sym_COLON,
  [316016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      anon_sym_LBRACE,
  [316023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      anon_sym_LPAREN2,
  [316030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      anon_sym_LPAREN2,
  [316037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      anon_sym_RBRACE,
  [316044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_LPAREN2,
  [316051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      anon_sym_DQUOTE,
  [316058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_RPAREN,
  [316065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_LPAREN2,
  [316072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      anon_sym_RPAREN,
  [316079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_SEMI,
  [316086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      anon_sym_EQ,
  [316093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      sym_raw_string_content,
  [316100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14663), 1,
      anon_sym_COMMA,
  [316107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      anon_sym_SEMI,
  [316114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14667), 1,
      anon_sym_RPAREN,
  [316121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 1,
      anon_sym_SEMI,
  [316128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
  [316135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14673), 1,
      anon_sym_COLON,
  [316142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14675), 1,
      anon_sym_SEMI,
  [316149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14677), 1,
      anon_sym_LPAREN2,
  [316156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14679), 1,
      anon_sym_LPAREN2,
  [316163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14681), 1,
      anon_sym_SEMI,
  [316170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      anon_sym_LPAREN2,
  [316177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14685), 1,
      anon_sym_SEMI,
  [316184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14687), 1,
      anon_sym_SEMI,
  [316191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14689), 1,
      anon_sym_LPAREN2,
  [316198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14691), 1,
      anon_sym_SEMI,
  [316205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 1,
      aux_sym_preproc_if_token2,
  [316212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14695), 1,
      anon_sym_EQ,
  [316219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14697), 1,
      sym_raw_string_content,
  [316226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14699), 1,
      anon_sym_COMMA,
  [316233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14701), 1,
      anon_sym_DQUOTE,
  [316240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14703), 1,
      anon_sym_SEMI,
  [316247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14705), 1,
      anon_sym_SEMI,
  [316254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14707), 1,
      anon_sym_RPAREN,
  [316261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14709), 1,
      anon_sym_COLON,
  [316268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14711), 1,
      anon_sym_SEMI,
  [316275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14713), 1,
      anon_sym_LPAREN2,
  [316282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14715), 1,
      anon_sym_SEMI,
  [316289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14717), 1,
      anon_sym_LPAREN2,
  [316296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      aux_sym_preproc_if_token2,
  [316303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      aux_sym_preproc_if_token2,
  [316310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_DOT_DOT_DOT,
  [316317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      anon_sym_COLON,
  [316324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_EQ,
  [316331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14727), 1,
      sym_raw_string_content,
  [316338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      anon_sym_SEMI,
  [316345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14731), 1,
      anon_sym_SEMI,
  [316352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14733), 1,
      anon_sym_SEMI,
  [316359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
  [316366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14737), 1,
      anon_sym_SEMI,
  [316373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14739), 1,
      anon_sym_LPAREN2,
  [316380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14741), 1,
      anon_sym_LPAREN2,
  [316387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
  [316394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      sym_raw_string_content,
  [316401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14747), 1,
      anon_sym_SEMI,
  [316408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14749), 1,
      anon_sym_SEMI,
  [316415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14751), 1,
      anon_sym_RPAREN,
  [316422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      sym_identifier,
  [316429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14755), 1,
      anon_sym_LPAREN2,
  [316436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      anon_sym_LPAREN2,
  [316443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      aux_sym_preproc_if_token2,
  [316450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14761), 1,
      sym_raw_string_content,
  [316457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      anon_sym_DQUOTE,
  [316464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14765), 1,
      anon_sym_RPAREN,
  [316471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14767), 1,
      anon_sym_LPAREN2,
  [316478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14769), 1,
      anon_sym_LPAREN2,
  [316485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14771), 1,
      sym_raw_string_content,
  [316492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14773), 1,
      anon_sym_RPAREN,
  [316499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14775), 1,
      sym_raw_string_content,
  [316506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14777), 1,
      anon_sym_RPAREN,
  [316513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14779), 1,
      sym_raw_string_content,
  [316520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_RPAREN,
  [316527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      sym_raw_string_content,
  [316534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14785), 1,
      anon_sym_RPAREN,
  [316541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14787), 1,
      sym_raw_string_content,
  [316548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14789), 1,
      anon_sym_RPAREN,
  [316555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14791), 1,
      sym_raw_string_content,
  [316562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14793), 1,
      anon_sym_RPAREN,
  [316569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14795), 1,
      sym_raw_string_content,
  [316576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14797), 1,
      anon_sym_RPAREN,
  [316583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14799), 1,
      sym_raw_string_content,
  [316590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_RPAREN,
  [316597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      anon_sym_SEMI,
  [316604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11413), 1,
      anon_sym_SEMI,
  [316611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14805), 1,
      anon_sym_LPAREN2,
  [316618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14807), 1,
      anon_sym_LPAREN2,
  [316625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14809), 1,
      sym_identifier,
  [316632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      anon_sym_EQ,
  [316639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14813), 1,
      aux_sym_preproc_if_token2,
  [316646] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14815), 1,
      aux_sym_preproc_include_token2,
  [316653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      anon_sym_RPAREN,
  [316660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14819), 1,
      sym_identifier,
  [316667] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(10256), 1,
      aux_sym_preproc_include_token2,
  [316674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14821), 1,
      anon_sym_DQUOTE,
  [316681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      anon_sym_SEMI,
  [316688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      anon_sym_SEMI,
  [316695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14827), 1,
      anon_sym_SEMI,
  [316702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14829), 1,
      sym_identifier,
  [316709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14831), 1,
      aux_sym_preproc_if_token2,
  [316716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14833), 1,
      anon_sym_RPAREN,
  [316723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14835), 1,
      anon_sym_LPAREN2,
  [316730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      sym_identifier,
  [316737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14839), 1,
      sym_raw_string_content,
  [316744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14841), 1,
      sym_raw_string_content,
  [316751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14843), 1,
      anon_sym_SEMI,
  [316758] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(12686), 1,
      aux_sym_preproc_include_token2,
  [316765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14845), 1,
      anon_sym_RPAREN,
  [316772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14847), 1,
      anon_sym_SEMI,
  [316779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10984), 1,
      anon_sym_RBRACE,
  [316786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14849), 1,
      anon_sym_SEMI,
  [316793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14851), 1,
      anon_sym_SEMI,
  [316800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14853), 1,
      anon_sym_STAR,
  [316807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8800), 1,
      anon_sym_COLON,
  [316814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13344), 1,
      anon_sym_RBRACE,
  [316821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14855), 1,
      ts_builtin_sym_end,
  [316828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14857), 1,
      anon_sym_RPAREN,
  [316835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14859), 1,
      anon_sym_RPAREN,
  [316842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14861), 1,
      sym_auto,
  [316849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14863), 1,
      sym_identifier,
  [316856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14865), 1,
      anon_sym_LPAREN2,
  [316863] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14867), 1,
      aux_sym_preproc_include_token2,
  [316870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8828), 1,
      anon_sym_COLON,
  [316877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14869), 1,
      anon_sym_LPAREN2,
  [316884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14871), 1,
      anon_sym_SEMI,
  [316891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14873), 1,
      anon_sym_STAR,
  [316898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14875), 1,
      anon_sym_RPAREN,
  [316905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14877), 1,
      aux_sym_preproc_if_token2,
  [316912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14879), 1,
      anon_sym_LPAREN2,
  [316919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_RPAREN,
  [316926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14881), 1,
      anon_sym_LPAREN2,
  [316933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14883), 1,
      aux_sym_preproc_if_token2,
  [316940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14885), 1,
      anon_sym_RPAREN,
  [316947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8758), 1,
      anon_sym_COLON,
  [316954] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(14887), 1,
      aux_sym_preproc_include_token2,
  [316961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13336), 1,
      anon_sym_RBRACE,
  [316968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14889), 1,
      anon_sym_RPAREN,
  [316975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14891), 1,
      anon_sym_RPAREN,
  [316982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14893), 1,
      anon_sym_RPAREN,
  [316989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14895), 1,
      anon_sym_LPAREN2,
  [316996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14897), 1,
      anon_sym_LPAREN2,
  [317003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14899), 1,
      anon_sym_LPAREN2,
  [317010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14901), 1,
      sym_identifier,
  [317017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14903), 1,
      anon_sym_SEMI,
  [317024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14905), 1,
      anon_sym_SEMI,
  [317031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14907), 1,
      anon_sym_LPAREN2,
  [317038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14909), 1,
      anon_sym_DQUOTE,
  [317045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14911), 1,
      anon_sym_COLON,
  [317052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14913), 1,
      anon_sym_DQUOTE,
  [317059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8900), 1,
      anon_sym_COLON,
  [317066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14915), 1,
      anon_sym_RPAREN,
  [317073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14917), 1,
      sym_auto,
  [317080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9127), 1,
      anon_sym_RPAREN,
  [317087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14919), 1,
      anon_sym_SEMI,
  [317094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14921), 1,
      anon_sym_RPAREN,
  [317101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14923), 1,
      sym_identifier,
  [317108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12210), 1,
      anon_sym_SEMI,
  [317115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14925), 1,
      anon_sym_RPAREN,
  [317122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7224), 1,
      sym_identifier,
  [317129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 1,
      anon_sym_RPAREN,
  [317136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14929), 1,
      sym_identifier,
  [317143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14931), 1,
      anon_sym_RPAREN,
  [317150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8760), 1,
      anon_sym_COLON,
  [317157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14933), 1,
      anon_sym_RPAREN,
  [317164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14935), 1,
      anon_sym_LPAREN2,
  [317171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14937), 1,
      anon_sym_LPAREN2,
  [317178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14939), 1,
      anon_sym_LPAREN2,
  [317185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14941), 1,
      sym_identifier,
  [317192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14943), 1,
      anon_sym_DQUOTE,
  [317199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14945), 1,
      anon_sym_SEMI,
  [317206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14947), 1,
      anon_sym_SEMI,
  [317213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14949), 1,
      sym_identifier,
  [317220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14951), 1,
      sym_raw_string_content,
  [317227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14953), 1,
      anon_sym_DQUOTE,
  [317234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14955), 1,
      anon_sym_COLON,
  [317241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10946), 1,
      anon_sym_RBRACE,
  [317248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14957), 1,
      anon_sym_LPAREN2,
  [317255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14959), 1,
      anon_sym_LPAREN2,
  [317262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14961), 1,
      sym_identifier,
  [317269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14963), 1,
      anon_sym_DQUOTE,
  [317276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_SEMI,
  [317283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14965), 1,
      sym_identifier,
  [317290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14967), 1,
      sym_raw_string_content,
  [317297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8658), 1,
      anon_sym_RBRACE,
  [317304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14969), 1,
      anon_sym_RBRACE,
  [317311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14971), 1,
      anon_sym_LPAREN2,
  [317318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14973), 1,
      anon_sym_LPAREN2,
  [317325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14975), 1,
      anon_sym_LPAREN2,
  [317332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14977), 1,
      sym_identifier,
  [317339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14979), 1,
      sym_identifier,
  [317346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14981), 1,
      anon_sym_SEMI,
  [317353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14983), 1,
      sym_identifier,
  [317360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14985), 1,
      sym_raw_string_content,
  [317367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14987), 1,
      anon_sym_RPAREN,
  [317374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8932), 1,
      anon_sym_SEMI,
  [317381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14989), 1,
      anon_sym_RPAREN,
  [317388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14991), 1,
      anon_sym_LPAREN2,
  [317395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14993), 1,
      sym_identifier,
  [317402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14995), 1,
      anon_sym_DQUOTE,
  [317409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14997), 1,
      anon_sym_DQUOTE,
  [317416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14999), 1,
      sym_identifier,
  [317423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15001), 1,
      sym_raw_string_content,
  [317430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15003), 1,
      anon_sym_STAR,
  [317437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15005), 1,
      anon_sym_DQUOTE,
  [317444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15007), 1,
      anon_sym_LPAREN2,
  [317451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15009), 1,
      sym_identifier,
  [317458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15011), 1,
      anon_sym_SEMI,
  [317465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8922), 1,
      anon_sym_RPAREN,
  [317472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15013), 1,
      sym_identifier,
  [317479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15015), 1,
      sym_raw_string_content,
  [317486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15017), 1,
      anon_sym_SEMI,
  [317493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15019), 1,
      anon_sym_DQUOTE,
  [317500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15021), 1,
      anon_sym_LPAREN2,
  [317507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15023), 1,
      sym_identifier,
  [317514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15025), 1,
      anon_sym_DQUOTE,
  [317521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
  [317528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15027), 1,
      sym_identifier,
  [317535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15029), 1,
      sym_raw_string_content,
  [317542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
  [317549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8892), 1,
      anon_sym_SEMI,
  [317556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15031), 1,
      anon_sym_LPAREN2,
  [317563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15033), 1,
      sym_identifier,
  [317570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_RPAREN,
  [317577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15035), 1,
      sym_identifier,
  [317584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15037), 1,
      sym_raw_string_content,
  [317591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15039), 1,
      anon_sym_RPAREN,
  [317598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15041), 1,
      anon_sym_DQUOTE,
  [317605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15043), 1,
      sym_identifier,
  [317612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15045), 1,
      sym_raw_string_content,
  [317619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15047), 1,
      anon_sym_SEMI,
  [317626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15049), 1,
      anon_sym_STAR,
  [317633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15051), 1,
      sym_raw_string_content,
  [317640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_RPAREN,
  [317647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15053), 1,
      sym_raw_string_content,
  [317654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8834), 1,
      anon_sym_RPAREN,
  [317661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15055), 1,
      sym_raw_string_content,
  [317668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15057), 1,
      anon_sym_LPAREN2,
  [317675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15059), 1,
      sym_raw_string_content,
  [317682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15061), 1,
      anon_sym_DQUOTE,
  [317689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15063), 1,
      sym_raw_string_content,
  [317696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15065), 1,
      anon_sym_LPAREN2,
  [317703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15067), 1,
      sym_raw_string_content,
  [317710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15069), 1,
      anon_sym_DQUOTE,
  [317717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15071), 1,
      sym_raw_string_content,
  [317724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15073), 1,
      anon_sym_DQUOTE,
  [317731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15075), 1,
      sym_raw_string_content,
  [317738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15077), 1,
      anon_sym_RBRACE,
  [317745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15079), 1,
      sym_raw_string_content,
  [317752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15081), 1,
      anon_sym_LPAREN2,
  [317759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15083), 1,
      anon_sym_LPAREN2,
  [317766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15085), 1,
      sym_identifier,
  [317773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15087), 1,
      anon_sym_LPAREN2,
  [317780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15089), 1,
      anon_sym_LPAREN2,
  [317787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15091), 1,
      aux_sym_preproc_if_token2,
  [317794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15093), 1,
      anon_sym_LPAREN2,
  [317801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15095), 1,
      anon_sym_LPAREN2,
  [317808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15097), 1,
      anon_sym_RPAREN,
  [317815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15099), 1,
      anon_sym_LPAREN2,
  [317822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15101), 1,
      anon_sym_LPAREN2,
  [317829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15103), 1,
      sym_identifier,
  [317836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15105), 1,
      anon_sym_LPAREN2,
  [317843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15107), 1,
      anon_sym_LPAREN2,
  [317850] = 2,
    ACTIONS(9960), 1,
      sym_comment,
    ACTIONS(15109), 1,
      aux_sym_preproc_include_token2,
  [317857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15111), 1,
      anon_sym_LPAREN2,
  [317864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15113), 1,
      anon_sym_LPAREN2,
  [317871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15115), 1,
      anon_sym_STAR,
  [317878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15117), 1,
      anon_sym_LPAREN2,
  [317885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_LPAREN2,
  [317892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8844), 1,
      anon_sym_RPAREN,
  [317899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15121), 1,
      anon_sym_LPAREN2,
  [317906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15123), 1,
      anon_sym_LPAREN2,
  [317913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15125), 1,
      anon_sym_LPAREN2,
  [317920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15127), 1,
      anon_sym_LPAREN2,
  [317927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15129), 1,
      anon_sym_LPAREN2,
  [317934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15131), 1,
      anon_sym_LPAREN2,
  [317941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15133), 1,
      anon_sym_LPAREN2,
  [317948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15135), 1,
      anon_sym_LPAREN2,
  [317955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15137), 1,
      anon_sym_LPAREN2,
  [317962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15139), 1,
      anon_sym_LPAREN2,
  [317969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15141), 1,
      anon_sym_LPAREN2,
  [317976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15143), 1,
      sym_identifier,
  [317983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15145), 1,
      sym_identifier,
  [317990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11403), 1,
      anon_sym_SEMI,
  [317997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15147), 1,
      anon_sym_DQUOTE,
  [318004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15149), 1,
      sym_identifier,
  [318011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15151), 1,
      anon_sym_DQUOTE,
  [318018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15153), 1,
      sym_identifier,
  [318025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15155), 1,
      anon_sym_LPAREN2,
  [318032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15157), 1,
      anon_sym_LPAREN2,
  [318039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15159), 1,
      anon_sym_LPAREN2,
  [318046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15161), 1,
      anon_sym_LPAREN2,
  [318053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15163), 1,
      anon_sym_LPAREN2,
  [318060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15165), 1,
      anon_sym_LPAREN2,
  [318067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15167), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2578)] = 0,
  [SMALL_STATE(2579)] = 71,
  [SMALL_STATE(2580)] = 142,
  [SMALL_STATE(2581)] = 219,
  [SMALL_STATE(2582)] = 290,
  [SMALL_STATE(2583)] = 361,
  [SMALL_STATE(2584)] = 432,
  [SMALL_STATE(2585)] = 503,
  [SMALL_STATE(2586)] = 574,
  [SMALL_STATE(2587)] = 653,
  [SMALL_STATE(2588)] = 728,
  [SMALL_STATE(2589)] = 803,
  [SMALL_STATE(2590)] = 878,
  [SMALL_STATE(2591)] = 949,
  [SMALL_STATE(2592)] = 1020,
  [SMALL_STATE(2593)] = 1091,
  [SMALL_STATE(2594)] = 1170,
  [SMALL_STATE(2595)] = 1241,
  [SMALL_STATE(2596)] = 1312,
  [SMALL_STATE(2597)] = 1383,
  [SMALL_STATE(2598)] = 1454,
  [SMALL_STATE(2599)] = 1525,
  [SMALL_STATE(2600)] = 1596,
  [SMALL_STATE(2601)] = 1667,
  [SMALL_STATE(2602)] = 1738,
  [SMALL_STATE(2603)] = 1809,
  [SMALL_STATE(2604)] = 1882,
  [SMALL_STATE(2605)] = 1953,
  [SMALL_STATE(2606)] = 2024,
  [SMALL_STATE(2607)] = 2095,
  [SMALL_STATE(2608)] = 2166,
  [SMALL_STATE(2609)] = 2237,
  [SMALL_STATE(2610)] = 2308,
  [SMALL_STATE(2611)] = 2379,
  [SMALL_STATE(2612)] = 2450,
  [SMALL_STATE(2613)] = 2521,
  [SMALL_STATE(2614)] = 2592,
  [SMALL_STATE(2615)] = 2663,
  [SMALL_STATE(2616)] = 2734,
  [SMALL_STATE(2617)] = 2805,
  [SMALL_STATE(2618)] = 2876,
  [SMALL_STATE(2619)] = 2951,
  [SMALL_STATE(2620)] = 3026,
  [SMALL_STATE(2621)] = 3097,
  [SMALL_STATE(2622)] = 3168,
  [SMALL_STATE(2623)] = 3239,
  [SMALL_STATE(2624)] = 3310,
  [SMALL_STATE(2625)] = 3381,
  [SMALL_STATE(2626)] = 3452,
  [SMALL_STATE(2627)] = 3523,
  [SMALL_STATE(2628)] = 3594,
  [SMALL_STATE(2629)] = 3665,
  [SMALL_STATE(2630)] = 3736,
  [SMALL_STATE(2631)] = 3807,
  [SMALL_STATE(2632)] = 3878,
  [SMALL_STATE(2633)] = 3949,
  [SMALL_STATE(2634)] = 4020,
  [SMALL_STATE(2635)] = 4091,
  [SMALL_STATE(2636)] = 4174,
  [SMALL_STATE(2637)] = 4245,
  [SMALL_STATE(2638)] = 4316,
  [SMALL_STATE(2639)] = 4399,
  [SMALL_STATE(2640)] = 4470,
  [SMALL_STATE(2641)] = 4545,
  [SMALL_STATE(2642)] = 4624,
  [SMALL_STATE(2643)] = 4695,
  [SMALL_STATE(2644)] = 4766,
  [SMALL_STATE(2645)] = 4837,
  [SMALL_STATE(2646)] = 4908,
  [SMALL_STATE(2647)] = 4979,
  [SMALL_STATE(2648)] = 5050,
  [SMALL_STATE(2649)] = 5173,
  [SMALL_STATE(2650)] = 5244,
  [SMALL_STATE(2651)] = 5315,
  [SMALL_STATE(2652)] = 5386,
  [SMALL_STATE(2653)] = 5457,
  [SMALL_STATE(2654)] = 5528,
  [SMALL_STATE(2655)] = 5599,
  [SMALL_STATE(2656)] = 5674,
  [SMALL_STATE(2657)] = 5797,
  [SMALL_STATE(2658)] = 5868,
  [SMALL_STATE(2659)] = 5939,
  [SMALL_STATE(2660)] = 6010,
  [SMALL_STATE(2661)] = 6081,
  [SMALL_STATE(2662)] = 6152,
  [SMALL_STATE(2663)] = 6223,
  [SMALL_STATE(2664)] = 6294,
  [SMALL_STATE(2665)] = 6369,
  [SMALL_STATE(2666)] = 6440,
  [SMALL_STATE(2667)] = 6519,
  [SMALL_STATE(2668)] = 6598,
  [SMALL_STATE(2669)] = 6669,
  [SMALL_STATE(2670)] = 6740,
  [SMALL_STATE(2671)] = 6811,
  [SMALL_STATE(2672)] = 6882,
  [SMALL_STATE(2673)] = 6955,
  [SMALL_STATE(2674)] = 7026,
  [SMALL_STATE(2675)] = 7097,
  [SMALL_STATE(2676)] = 7168,
  [SMALL_STATE(2677)] = 7239,
  [SMALL_STATE(2678)] = 7310,
  [SMALL_STATE(2679)] = 7381,
  [SMALL_STATE(2680)] = 7452,
  [SMALL_STATE(2681)] = 7523,
  [SMALL_STATE(2682)] = 7594,
  [SMALL_STATE(2683)] = 7665,
  [SMALL_STATE(2684)] = 7736,
  [SMALL_STATE(2685)] = 7807,
  [SMALL_STATE(2686)] = 7878,
  [SMALL_STATE(2687)] = 7949,
  [SMALL_STATE(2688)] = 8020,
  [SMALL_STATE(2689)] = 8091,
  [SMALL_STATE(2690)] = 8162,
  [SMALL_STATE(2691)] = 8233,
  [SMALL_STATE(2692)] = 8304,
  [SMALL_STATE(2693)] = 8375,
  [SMALL_STATE(2694)] = 8446,
  [SMALL_STATE(2695)] = 8517,
  [SMALL_STATE(2696)] = 8588,
  [SMALL_STATE(2697)] = 8659,
  [SMALL_STATE(2698)] = 8730,
  [SMALL_STATE(2699)] = 8801,
  [SMALL_STATE(2700)] = 8872,
  [SMALL_STATE(2701)] = 8943,
  [SMALL_STATE(2702)] = 9014,
  [SMALL_STATE(2703)] = 9085,
  [SMALL_STATE(2704)] = 9156,
  [SMALL_STATE(2705)] = 9227,
  [SMALL_STATE(2706)] = 9298,
  [SMALL_STATE(2707)] = 9369,
  [SMALL_STATE(2708)] = 9440,
  [SMALL_STATE(2709)] = 9511,
  [SMALL_STATE(2710)] = 9582,
  [SMALL_STATE(2711)] = 9653,
  [SMALL_STATE(2712)] = 9724,
  [SMALL_STATE(2713)] = 9795,
  [SMALL_STATE(2714)] = 9866,
  [SMALL_STATE(2715)] = 9937,
  [SMALL_STATE(2716)] = 10008,
  [SMALL_STATE(2717)] = 10079,
  [SMALL_STATE(2718)] = 10166,
  [SMALL_STATE(2719)] = 10237,
  [SMALL_STATE(2720)] = 10308,
  [SMALL_STATE(2721)] = 10379,
  [SMALL_STATE(2722)] = 10450,
  [SMALL_STATE(2723)] = 10521,
  [SMALL_STATE(2724)] = 10592,
  [SMALL_STATE(2725)] = 10663,
  [SMALL_STATE(2726)] = 10734,
  [SMALL_STATE(2727)] = 10805,
  [SMALL_STATE(2728)] = 10876,
  [SMALL_STATE(2729)] = 10947,
  [SMALL_STATE(2730)] = 11018,
  [SMALL_STATE(2731)] = 11089,
  [SMALL_STATE(2732)] = 11160,
  [SMALL_STATE(2733)] = 11231,
  [SMALL_STATE(2734)] = 11302,
  [SMALL_STATE(2735)] = 11373,
  [SMALL_STATE(2736)] = 11448,
  [SMALL_STATE(2737)] = 11519,
  [SMALL_STATE(2738)] = 11590,
  [SMALL_STATE(2739)] = 11661,
  [SMALL_STATE(2740)] = 11732,
  [SMALL_STATE(2741)] = 11803,
  [SMALL_STATE(2742)] = 11878,
  [SMALL_STATE(2743)] = 11949,
  [SMALL_STATE(2744)] = 12020,
  [SMALL_STATE(2745)] = 12091,
  [SMALL_STATE(2746)] = 12162,
  [SMALL_STATE(2747)] = 12233,
  [SMALL_STATE(2748)] = 12304,
  [SMALL_STATE(2749)] = 12375,
  [SMALL_STATE(2750)] = 12446,
  [SMALL_STATE(2751)] = 12517,
  [SMALL_STATE(2752)] = 12588,
  [SMALL_STATE(2753)] = 12659,
  [SMALL_STATE(2754)] = 12730,
  [SMALL_STATE(2755)] = 12801,
  [SMALL_STATE(2756)] = 12872,
  [SMALL_STATE(2757)] = 12943,
  [SMALL_STATE(2758)] = 13014,
  [SMALL_STATE(2759)] = 13085,
  [SMALL_STATE(2760)] = 13156,
  [SMALL_STATE(2761)] = 13227,
  [SMALL_STATE(2762)] = 13298,
  [SMALL_STATE(2763)] = 13369,
  [SMALL_STATE(2764)] = 13440,
  [SMALL_STATE(2765)] = 13511,
  [SMALL_STATE(2766)] = 13582,
  [SMALL_STATE(2767)] = 13653,
  [SMALL_STATE(2768)] = 13730,
  [SMALL_STATE(2769)] = 13801,
  [SMALL_STATE(2770)] = 13872,
  [SMALL_STATE(2771)] = 13943,
  [SMALL_STATE(2772)] = 14014,
  [SMALL_STATE(2773)] = 14085,
  [SMALL_STATE(2774)] = 14156,
  [SMALL_STATE(2775)] = 14235,
  [SMALL_STATE(2776)] = 14306,
  [SMALL_STATE(2777)] = 14377,
  [SMALL_STATE(2778)] = 14448,
  [SMALL_STATE(2779)] = 14529,
  [SMALL_STATE(2780)] = 14600,
  [SMALL_STATE(2781)] = 14671,
  [SMALL_STATE(2782)] = 14742,
  [SMALL_STATE(2783)] = 14813,
  [SMALL_STATE(2784)] = 14884,
  [SMALL_STATE(2785)] = 14961,
  [SMALL_STATE(2786)] = 15032,
  [SMALL_STATE(2787)] = 15103,
  [SMALL_STATE(2788)] = 15174,
  [SMALL_STATE(2789)] = 15245,
  [SMALL_STATE(2790)] = 15316,
  [SMALL_STATE(2791)] = 15391,
  [SMALL_STATE(2792)] = 15462,
  [SMALL_STATE(2793)] = 15534,
  [SMALL_STATE(2794)] = 15604,
  [SMALL_STATE(2795)] = 15674,
  [SMALL_STATE(2796)] = 15752,
  [SMALL_STATE(2797)] = 15822,
  [SMALL_STATE(2798)] = 15896,
  [SMALL_STATE(2799)] = 15966,
  [SMALL_STATE(2800)] = 16044,
  [SMALL_STATE(2801)] = 16118,
  [SMALL_STATE(2802)] = 16188,
  [SMALL_STATE(2803)] = 16258,
  [SMALL_STATE(2804)] = 16332,
  [SMALL_STATE(2805)] = 16416,
  [SMALL_STATE(2806)] = 16490,
  [SMALL_STATE(2807)] = 16574,
  [SMALL_STATE(2808)] = 16648,
  [SMALL_STATE(2809)] = 16722,
  [SMALL_STATE(2810)] = 16796,
  [SMALL_STATE(2811)] = 16866,
  [SMALL_STATE(2812)] = 16936,
  [SMALL_STATE(2813)] = 17010,
  [SMALL_STATE(2814)] = 17080,
  [SMALL_STATE(2815)] = 17150,
  [SMALL_STATE(2816)] = 17222,
  [SMALL_STATE(2817)] = 17292,
  [SMALL_STATE(2818)] = 17376,
  [SMALL_STATE(2819)] = 17460,
  [SMALL_STATE(2820)] = 17530,
  [SMALL_STATE(2821)] = 17604,
  [SMALL_STATE(2822)] = 17686,
  [SMALL_STATE(2823)] = 17756,
  [SMALL_STATE(2824)] = 17826,
  [SMALL_STATE(2825)] = 17898,
  [SMALL_STATE(2826)] = 17976,
  [SMALL_STATE(2827)] = 18046,
  [SMALL_STATE(2828)] = 18116,
  [SMALL_STATE(2829)] = 18200,
  [SMALL_STATE(2830)] = 18282,
  [SMALL_STATE(2831)] = 18352,
  [SMALL_STATE(2832)] = 18422,
  [SMALL_STATE(2833)] = 18492,
  [SMALL_STATE(2834)] = 18562,
  [SMALL_STATE(2835)] = 18632,
  [SMALL_STATE(2836)] = 18704,
  [SMALL_STATE(2837)] = 18782,
  [SMALL_STATE(2838)] = 18852,
  [SMALL_STATE(2839)] = 18924,
  [SMALL_STATE(2840)] = 18996,
  [SMALL_STATE(2841)] = 19066,
  [SMALL_STATE(2842)] = 19142,
  [SMALL_STATE(2843)] = 19218,
  [SMALL_STATE(2844)] = 19304,
  [SMALL_STATE(2845)] = 19380,
  [SMALL_STATE(2846)] = 19456,
  [SMALL_STATE(2847)] = 19526,
  [SMALL_STATE(2848)] = 19600,
  [SMALL_STATE(2849)] = 19670,
  [SMALL_STATE(2850)] = 19740,
  [SMALL_STATE(2851)] = 19810,
  [SMALL_STATE(2852)] = 19880,
  [SMALL_STATE(2853)] = 19950,
  [SMALL_STATE(2854)] = 20020,
  [SMALL_STATE(2855)] = 20090,
  [SMALL_STATE(2856)] = 20160,
  [SMALL_STATE(2857)] = 20230,
  [SMALL_STATE(2858)] = 20300,
  [SMALL_STATE(2859)] = 20370,
  [SMALL_STATE(2860)] = 20444,
  [SMALL_STATE(2861)] = 20514,
  [SMALL_STATE(2862)] = 20584,
  [SMALL_STATE(2863)] = 20654,
  [SMALL_STATE(2864)] = 20728,
  [SMALL_STATE(2865)] = 20800,
  [SMALL_STATE(2866)] = 20869,
  [SMALL_STATE(2867)] = 20938,
  [SMALL_STATE(2868)] = 21007,
  [SMALL_STATE(2869)] = 21088,
  [SMALL_STATE(2870)] = 21157,
  [SMALL_STATE(2871)] = 21226,
  [SMALL_STATE(2872)] = 21295,
  [SMALL_STATE(2873)] = 21364,
  [SMALL_STATE(2874)] = 21433,
  [SMALL_STATE(2875)] = 21502,
  [SMALL_STATE(2876)] = 21571,
  [SMALL_STATE(2877)] = 21640,
  [SMALL_STATE(2878)] = 21709,
  [SMALL_STATE(2879)] = 21778,
  [SMALL_STATE(2880)] = 21899,
  [SMALL_STATE(2881)] = 21968,
  [SMALL_STATE(2882)] = 22037,
  [SMALL_STATE(2883)] = 22106,
  [SMALL_STATE(2884)] = 22175,
  [SMALL_STATE(2885)] = 22244,
  [SMALL_STATE(2886)] = 22313,
  [SMALL_STATE(2887)] = 22382,
  [SMALL_STATE(2888)] = 22451,
  [SMALL_STATE(2889)] = 22520,
  [SMALL_STATE(2890)] = 22589,
  [SMALL_STATE(2891)] = 22658,
  [SMALL_STATE(2892)] = 22727,
  [SMALL_STATE(2893)] = 22808,
  [SMALL_STATE(2894)] = 22877,
  [SMALL_STATE(2895)] = 22954,
  [SMALL_STATE(2896)] = 23031,
  [SMALL_STATE(2897)] = 23100,
  [SMALL_STATE(2898)] = 23179,
  [SMALL_STATE(2899)] = 23248,
  [SMALL_STATE(2900)] = 23317,
  [SMALL_STATE(2901)] = 23386,
  [SMALL_STATE(2902)] = 23461,
  [SMALL_STATE(2903)] = 23530,
  [SMALL_STATE(2904)] = 23601,
  [SMALL_STATE(2905)] = 23670,
  [SMALL_STATE(2906)] = 23739,
  [SMALL_STATE(2907)] = 23810,
  [SMALL_STATE(2908)] = 23879,
  [SMALL_STATE(2909)] = 23948,
  [SMALL_STATE(2910)] = 24017,
  [SMALL_STATE(2911)] = 24086,
  [SMALL_STATE(2912)] = 24167,
  [SMALL_STATE(2913)] = 24236,
  [SMALL_STATE(2914)] = 24305,
  [SMALL_STATE(2915)] = 24376,
  [SMALL_STATE(2916)] = 24445,
  [SMALL_STATE(2917)] = 24536,
  [SMALL_STATE(2918)] = 24605,
  [SMALL_STATE(2919)] = 24674,
  [SMALL_STATE(2920)] = 24759,
  [SMALL_STATE(2921)] = 24828,
  [SMALL_STATE(2922)] = 24897,
  [SMALL_STATE(2923)] = 24970,
  [SMALL_STATE(2924)] = 25039,
  [SMALL_STATE(2925)] = 25108,
  [SMALL_STATE(2926)] = 25177,
  [SMALL_STATE(2927)] = 25246,
  [SMALL_STATE(2928)] = 25315,
  [SMALL_STATE(2929)] = 25384,
  [SMALL_STATE(2930)] = 25453,
  [SMALL_STATE(2931)] = 25522,
  [SMALL_STATE(2932)] = 25643,
  [SMALL_STATE(2933)] = 25712,
  [SMALL_STATE(2934)] = 25781,
  [SMALL_STATE(2935)] = 25850,
  [SMALL_STATE(2936)] = 25919,
  [SMALL_STATE(2937)] = 25988,
  [SMALL_STATE(2938)] = 26057,
  [SMALL_STATE(2939)] = 26126,
  [SMALL_STATE(2940)] = 26203,
  [SMALL_STATE(2941)] = 26324,
  [SMALL_STATE(2942)] = 26415,
  [SMALL_STATE(2943)] = 26492,
  [SMALL_STATE(2944)] = 26561,
  [SMALL_STATE(2945)] = 26630,
  [SMALL_STATE(2946)] = 26699,
  [SMALL_STATE(2947)] = 26768,
  [SMALL_STATE(2948)] = 26837,
  [SMALL_STATE(2949)] = 26906,
  [SMALL_STATE(2950)] = 26979,
  [SMALL_STATE(2951)] = 27048,
  [SMALL_STATE(2952)] = 27117,
  [SMALL_STATE(2953)] = 27190,
  [SMALL_STATE(2954)] = 27259,
  [SMALL_STATE(2955)] = 27328,
  [SMALL_STATE(2956)] = 27397,
  [SMALL_STATE(2957)] = 27466,
  [SMALL_STATE(2958)] = 27535,
  [SMALL_STATE(2959)] = 27604,
  [SMALL_STATE(2960)] = 27673,
  [SMALL_STATE(2961)] = 27742,
  [SMALL_STATE(2962)] = 27811,
  [SMALL_STATE(2963)] = 27880,
  [SMALL_STATE(2964)] = 27949,
  [SMALL_STATE(2965)] = 28018,
  [SMALL_STATE(2966)] = 28139,
  [SMALL_STATE(2967)] = 28208,
  [SMALL_STATE(2968)] = 28277,
  [SMALL_STATE(2969)] = 28354,
  [SMALL_STATE(2970)] = 28423,
  [SMALL_STATE(2971)] = 28492,
  [SMALL_STATE(2972)] = 28561,
  [SMALL_STATE(2973)] = 28638,
  [SMALL_STATE(2974)] = 28719,
  [SMALL_STATE(2975)] = 28796,
  [SMALL_STATE(2976)] = 28865,
  [SMALL_STATE(2977)] = 28934,
  [SMALL_STATE(2978)] = 29018,
  [SMALL_STATE(2979)] = 29090,
  [SMALL_STATE(2980)] = 29162,
  [SMALL_STATE(2981)] = 29282,
  [SMALL_STATE(2982)] = 29402,
  [SMALL_STATE(2983)] = 29474,
  [SMALL_STATE(2984)] = 29542,
  [SMALL_STATE(2985)] = 29614,
  [SMALL_STATE(2986)] = 29686,
  [SMALL_STATE(2987)] = 29762,
  [SMALL_STATE(2988)] = 29846,
  [SMALL_STATE(2989)] = 29930,
  [SMALL_STATE(2990)] = 30002,
  [SMALL_STATE(2991)] = 30074,
  [SMALL_STATE(2992)] = 30146,
  [SMALL_STATE(2993)] = 30218,
  [SMALL_STATE(2994)] = 30290,
  [SMALL_STATE(2995)] = 30368,
  [SMALL_STATE(2996)] = 30442,
  [SMALL_STATE(2997)] = 30514,
  [SMALL_STATE(2998)] = 30586,
  [SMALL_STATE(2999)] = 30654,
  [SMALL_STATE(3000)] = 30726,
  [SMALL_STATE(3001)] = 30800,
  [SMALL_STATE(3002)] = 30884,
  [SMALL_STATE(3003)] = 30952,
  [SMALL_STATE(3004)] = 31024,
  [SMALL_STATE(3005)] = 31096,
  [SMALL_STATE(3006)] = 31172,
  [SMALL_STATE(3007)] = 31240,
  [SMALL_STATE(3008)] = 31316,
  [SMALL_STATE(3009)] = 31384,
  [SMALL_STATE(3010)] = 31452,
  [SMALL_STATE(3011)] = 31536,
  [SMALL_STATE(3012)] = 31608,
  [SMALL_STATE(3013)] = 31680,
  [SMALL_STATE(3014)] = 31748,
  [SMALL_STATE(3015)] = 31820,
  [SMALL_STATE(3016)] = 31888,
  [SMALL_STATE(3017)] = 31960,
  [SMALL_STATE(3018)] = 32032,
  [SMALL_STATE(3019)] = 32104,
  [SMALL_STATE(3020)] = 32176,
  [SMALL_STATE(3021)] = 32248,
  [SMALL_STATE(3022)] = 32320,
  [SMALL_STATE(3023)] = 32392,
  [SMALL_STATE(3024)] = 32464,
  [SMALL_STATE(3025)] = 32531,
  [SMALL_STATE(3026)] = 32614,
  [SMALL_STATE(3027)] = 32687,
  [SMALL_STATE(3028)] = 32756,
  [SMALL_STATE(3029)] = 32825,
  [SMALL_STATE(3030)] = 32892,
  [SMALL_STATE(3031)] = 32959,
  [SMALL_STATE(3032)] = 33026,
  [SMALL_STATE(3033)] = 33097,
  [SMALL_STATE(3034)] = 33168,
  [SMALL_STATE(3035)] = 33235,
  [SMALL_STATE(3036)] = 33318,
  [SMALL_STATE(3037)] = 33389,
  [SMALL_STATE(3038)] = 33458,
  [SMALL_STATE(3039)] = 33531,
  [SMALL_STATE(3040)] = 33600,
  [SMALL_STATE(3041)] = 33679,
  [SMALL_STATE(3042)] = 33754,
  [SMALL_STATE(3043)] = 33825,
  [SMALL_STATE(3044)] = 33902,
  [SMALL_STATE(3045)] = 33977,
  [SMALL_STATE(3046)] = 34056,
  [SMALL_STATE(3047)] = 34127,
  [SMALL_STATE(3048)] = 34210,
  [SMALL_STATE(3049)] = 34283,
  [SMALL_STATE(3050)] = 34350,
  [SMALL_STATE(3051)] = 34433,
  [SMALL_STATE(3052)] = 34504,
  [SMALL_STATE(3053)] = 34579,
  [SMALL_STATE(3054)] = 34650,
  [SMALL_STATE(3055)] = 34721,
  [SMALL_STATE(3056)] = 34792,
  [SMALL_STATE(3057)] = 34865,
  [SMALL_STATE(3058)] = 34936,
  [SMALL_STATE(3059)] = 35003,
  [SMALL_STATE(3060)] = 35078,
  [SMALL_STATE(3061)] = 35161,
  [SMALL_STATE(3062)] = 35233,
  [SMALL_STATE(3063)] = 35299,
  [SMALL_STATE(3064)] = 35373,
  [SMALL_STATE(3065)] = 35439,
  [SMALL_STATE(3066)] = 35509,
  [SMALL_STATE(3067)] = 35575,
  [SMALL_STATE(3068)] = 35641,
  [SMALL_STATE(3069)] = 35707,
  [SMALL_STATE(3070)] = 35773,
  [SMALL_STATE(3071)] = 35839,
  [SMALL_STATE(3072)] = 35905,
  [SMALL_STATE(3073)] = 35971,
  [SMALL_STATE(3074)] = 36037,
  [SMALL_STATE(3075)] = 36103,
  [SMALL_STATE(3076)] = 36173,
  [SMALL_STATE(3077)] = 36239,
  [SMALL_STATE(3078)] = 36305,
  [SMALL_STATE(3079)] = 36371,
  [SMALL_STATE(3080)] = 36441,
  [SMALL_STATE(3081)] = 36507,
  [SMALL_STATE(3082)] = 36589,
  [SMALL_STATE(3083)] = 36659,
  [SMALL_STATE(3084)] = 36725,
  [SMALL_STATE(3085)] = 36795,
  [SMALL_STATE(3086)] = 36863,
  [SMALL_STATE(3087)] = 36931,
  [SMALL_STATE(3088)] = 37001,
  [SMALL_STATE(3089)] = 37083,
  [SMALL_STATE(3090)] = 37155,
  [SMALL_STATE(3091)] = 37221,
  [SMALL_STATE(3092)] = 37287,
  [SMALL_STATE(3093)] = 37353,
  [SMALL_STATE(3094)] = 37419,
  [SMALL_STATE(3095)] = 37485,
  [SMALL_STATE(3096)] = 37557,
  [SMALL_STATE(3097)] = 37627,
  [SMALL_STATE(3098)] = 37697,
  [SMALL_STATE(3099)] = 37767,
  [SMALL_STATE(3100)] = 37833,
  [SMALL_STATE(3101)] = 37899,
  [SMALL_STATE(3102)] = 37965,
  [SMALL_STATE(3103)] = 38031,
  [SMALL_STATE(3104)] = 38097,
  [SMALL_STATE(3105)] = 38163,
  [SMALL_STATE(3106)] = 38229,
  [SMALL_STATE(3107)] = 38307,
  [SMALL_STATE(3108)] = 38373,
  [SMALL_STATE(3109)] = 38451,
  [SMALL_STATE(3110)] = 38517,
  [SMALL_STATE(3111)] = 38583,
  [SMALL_STATE(3112)] = 38653,
  [SMALL_STATE(3113)] = 38719,
  [SMALL_STATE(3114)] = 38789,
  [SMALL_STATE(3115)] = 38859,
  [SMALL_STATE(3116)] = 38935,
  [SMALL_STATE(3117)] = 39001,
  [SMALL_STATE(3118)] = 39069,
  [SMALL_STATE(3119)] = 39135,
  [SMALL_STATE(3120)] = 39201,
  [SMALL_STATE(3121)] = 39267,
  [SMALL_STATE(3122)] = 39333,
  [SMALL_STATE(3123)] = 39399,
  [SMALL_STATE(3124)] = 39477,
  [SMALL_STATE(3125)] = 39543,
  [SMALL_STATE(3126)] = 39613,
  [SMALL_STATE(3127)] = 39695,
  [SMALL_STATE(3128)] = 39761,
  [SMALL_STATE(3129)] = 39843,
  [SMALL_STATE(3130)] = 39909,
  [SMALL_STATE(3131)] = 39974,
  [SMALL_STATE(3132)] = 40039,
  [SMALL_STATE(3133)] = 40152,
  [SMALL_STATE(3134)] = 40217,
  [SMALL_STATE(3135)] = 40302,
  [SMALL_STATE(3136)] = 40373,
  [SMALL_STATE(3137)] = 40448,
  [SMALL_STATE(3138)] = 40513,
  [SMALL_STATE(3139)] = 40578,
  [SMALL_STATE(3140)] = 40643,
  [SMALL_STATE(3141)] = 40726,
  [SMALL_STATE(3142)] = 40791,
  [SMALL_STATE(3143)] = 40872,
  [SMALL_STATE(3144)] = 40947,
  [SMALL_STATE(3145)] = 41052,
  [SMALL_STATE(3146)] = 41121,
  [SMALL_STATE(3147)] = 41190,
  [SMALL_STATE(3148)] = 41259,
  [SMALL_STATE(3149)] = 41368,
  [SMALL_STATE(3150)] = 41437,
  [SMALL_STATE(3151)] = 41502,
  [SMALL_STATE(3152)] = 41603,
  [SMALL_STATE(3153)] = 41672,
  [SMALL_STATE(3154)] = 41737,
  [SMALL_STATE(3155)] = 41836,
  [SMALL_STATE(3156)] = 41901,
  [SMALL_STATE(3157)] = 41970,
  [SMALL_STATE(3158)] = 42039,
  [SMALL_STATE(3159)] = 42134,
  [SMALL_STATE(3160)] = 42209,
  [SMALL_STATE(3161)] = 42282,
  [SMALL_STATE(3162)] = 42373,
  [SMALL_STATE(3163)] = 42440,
  [SMALL_STATE(3164)] = 42527,
  [SMALL_STATE(3165)] = 42596,
  [SMALL_STATE(3166)] = 42661,
  [SMALL_STATE(3167)] = 42758,
  [SMALL_STATE(3168)] = 42823,
  [SMALL_STATE(3169)] = 42888,
  [SMALL_STATE(3170)] = 42997,
  [SMALL_STATE(3171)] = 43078,
  [SMALL_STATE(3172)] = 43147,
  [SMALL_STATE(3173)] = 43216,
  [SMALL_STATE(3174)] = 43281,
  [SMALL_STATE(3175)] = 43354,
  [SMALL_STATE(3176)] = 43419,
  [SMALL_STATE(3177)] = 43488,
  [SMALL_STATE(3178)] = 43557,
  [SMALL_STATE(3179)] = 43624,
  [SMALL_STATE(3180)] = 43697,
  [SMALL_STATE(3181)] = 43810,
  [SMALL_STATE(3182)] = 43875,
  [SMALL_STATE(3183)] = 43946,
  [SMALL_STATE(3184)] = 44027,
  [SMALL_STATE(3185)] = 44096,
  [SMALL_STATE(3186)] = 44167,
  [SMALL_STATE(3187)] = 44232,
  [SMALL_STATE(3188)] = 44313,
  [SMALL_STATE(3189)] = 44426,
  [SMALL_STATE(3190)] = 44495,
  [SMALL_STATE(3191)] = 44564,
  [SMALL_STATE(3192)] = 44631,
  [SMALL_STATE(3193)] = 44706,
  [SMALL_STATE(3194)] = 44773,
  [SMALL_STATE(3195)] = 44838,
  [SMALL_STATE(3196)] = 44947,
  [SMALL_STATE(3197)] = 45012,
  [SMALL_STATE(3198)] = 45077,
  [SMALL_STATE(3199)] = 45142,
  [SMALL_STATE(3200)] = 45215,
  [SMALL_STATE(3201)] = 45296,
  [SMALL_STATE(3202)] = 45405,
  [SMALL_STATE(3203)] = 45473,
  [SMALL_STATE(3204)] = 45537,
  [SMALL_STATE(3205)] = 45601,
  [SMALL_STATE(3206)] = 45665,
  [SMALL_STATE(3207)] = 45729,
  [SMALL_STATE(3208)] = 45797,
  [SMALL_STATE(3209)] = 45861,
  [SMALL_STATE(3210)] = 45925,
  [SMALL_STATE(3211)] = 45993,
  [SMALL_STATE(3212)] = 46061,
  [SMALL_STATE(3213)] = 46125,
  [SMALL_STATE(3214)] = 46189,
  [SMALL_STATE(3215)] = 46257,
  [SMALL_STATE(3216)] = 46321,
  [SMALL_STATE(3217)] = 46389,
  [SMALL_STATE(3218)] = 46453,
  [SMALL_STATE(3219)] = 46517,
  [SMALL_STATE(3220)] = 46583,
  [SMALL_STATE(3221)] = 46647,
  [SMALL_STATE(3222)] = 46711,
  [SMALL_STATE(3223)] = 46775,
  [SMALL_STATE(3224)] = 46839,
  [SMALL_STATE(3225)] = 46907,
  [SMALL_STATE(3226)] = 46971,
  [SMALL_STATE(3227)] = 47035,
  [SMALL_STATE(3228)] = 47099,
  [SMALL_STATE(3229)] = 47167,
  [SMALL_STATE(3230)] = 47233,
  [SMALL_STATE(3231)] = 47299,
  [SMALL_STATE(3232)] = 47367,
  [SMALL_STATE(3233)] = 47431,
  [SMALL_STATE(3234)] = 47499,
  [SMALL_STATE(3235)] = 47587,
  [SMALL_STATE(3236)] = 47651,
  [SMALL_STATE(3237)] = 47717,
  [SMALL_STATE(3238)] = 47785,
  [SMALL_STATE(3239)] = 47849,
  [SMALL_STATE(3240)] = 47925,
  [SMALL_STATE(3241)] = 47993,
  [SMALL_STATE(3242)] = 48057,
  [SMALL_STATE(3243)] = 48121,
  [SMALL_STATE(3244)] = 48189,
  [SMALL_STATE(3245)] = 48277,
  [SMALL_STATE(3246)] = 48341,
  [SMALL_STATE(3247)] = 48405,
  [SMALL_STATE(3248)] = 48471,
  [SMALL_STATE(3249)] = 48537,
  [SMALL_STATE(3250)] = 48605,
  [SMALL_STATE(3251)] = 48669,
  [SMALL_STATE(3252)] = 48745,
  [SMALL_STATE(3253)] = 48817,
  [SMALL_STATE(3254)] = 48881,
  [SMALL_STATE(3255)] = 48949,
  [SMALL_STATE(3256)] = 49013,
  [SMALL_STATE(3257)] = 49077,
  [SMALL_STATE(3258)] = 49141,
  [SMALL_STATE(3259)] = 49205,
  [SMALL_STATE(3260)] = 49273,
  [SMALL_STATE(3261)] = 49341,
  [SMALL_STATE(3262)] = 49405,
  [SMALL_STATE(3263)] = 49469,
  [SMALL_STATE(3264)] = 49533,
  [SMALL_STATE(3265)] = 49621,
  [SMALL_STATE(3266)] = 49685,
  [SMALL_STATE(3267)] = 49749,
  [SMALL_STATE(3268)] = 49813,
  [SMALL_STATE(3269)] = 49877,
  [SMALL_STATE(3270)] = 49945,
  [SMALL_STATE(3271)] = 50013,
  [SMALL_STATE(3272)] = 50085,
  [SMALL_STATE(3273)] = 50149,
  [SMALL_STATE(3274)] = 50213,
  [SMALL_STATE(3275)] = 50281,
  [SMALL_STATE(3276)] = 50349,
  [SMALL_STATE(3277)] = 50437,
  [SMALL_STATE(3278)] = 50501,
  [SMALL_STATE(3279)] = 50567,
  [SMALL_STATE(3280)] = 50635,
  [SMALL_STATE(3281)] = 50699,
  [SMALL_STATE(3282)] = 50763,
  [SMALL_STATE(3283)] = 50827,
  [SMALL_STATE(3284)] = 50891,
  [SMALL_STATE(3285)] = 50955,
  [SMALL_STATE(3286)] = 51019,
  [SMALL_STATE(3287)] = 51083,
  [SMALL_STATE(3288)] = 51147,
  [SMALL_STATE(3289)] = 51211,
  [SMALL_STATE(3290)] = 51277,
  [SMALL_STATE(3291)] = 51345,
  [SMALL_STATE(3292)] = 51413,
  [SMALL_STATE(3293)] = 51483,
  [SMALL_STATE(3294)] = 51547,
  [SMALL_STATE(3295)] = 51611,
  [SMALL_STATE(3296)] = 51699,
  [SMALL_STATE(3297)] = 51765,
  [SMALL_STATE(3298)] = 51835,
  [SMALL_STATE(3299)] = 51899,
  [SMALL_STATE(3300)] = 51987,
  [SMALL_STATE(3301)] = 52057,
  [SMALL_STATE(3302)] = 52121,
  [SMALL_STATE(3303)] = 52189,
  [SMALL_STATE(3304)] = 52253,
  [SMALL_STATE(3305)] = 52317,
  [SMALL_STATE(3306)] = 52387,
  [SMALL_STATE(3307)] = 52459,
  [SMALL_STATE(3308)] = 52523,
  [SMALL_STATE(3309)] = 52587,
  [SMALL_STATE(3310)] = 52655,
  [SMALL_STATE(3311)] = 52723,
  [SMALL_STATE(3312)] = 52787,
  [SMALL_STATE(3313)] = 52851,
  [SMALL_STATE(3314)] = 52915,
  [SMALL_STATE(3315)] = 52979,
  [SMALL_STATE(3316)] = 53067,
  [SMALL_STATE(3317)] = 53131,
  [SMALL_STATE(3318)] = 53219,
  [SMALL_STATE(3319)] = 53283,
  [SMALL_STATE(3320)] = 53347,
  [SMALL_STATE(3321)] = 53411,
  [SMALL_STATE(3322)] = 53479,
  [SMALL_STATE(3323)] = 53547,
  [SMALL_STATE(3324)] = 53611,
  [SMALL_STATE(3325)] = 53675,
  [SMALL_STATE(3326)] = 53743,
  [SMALL_STATE(3327)] = 53811,
  [SMALL_STATE(3328)] = 53899,
  [SMALL_STATE(3329)] = 53963,
  [SMALL_STATE(3330)] = 54031,
  [SMALL_STATE(3331)] = 54095,
  [SMALL_STATE(3332)] = 54159,
  [SMALL_STATE(3333)] = 54227,
  [SMALL_STATE(3334)] = 54291,
  [SMALL_STATE(3335)] = 54355,
  [SMALL_STATE(3336)] = 54419,
  [SMALL_STATE(3337)] = 54483,
  [SMALL_STATE(3338)] = 54547,
  [SMALL_STATE(3339)] = 54611,
  [SMALL_STATE(3340)] = 54675,
  [SMALL_STATE(3341)] = 54739,
  [SMALL_STATE(3342)] = 54806,
  [SMALL_STATE(3343)] = 54869,
  [SMALL_STATE(3344)] = 54960,
  [SMALL_STATE(3345)] = 55049,
  [SMALL_STATE(3346)] = 55134,
  [SMALL_STATE(3347)] = 55215,
  [SMALL_STATE(3348)] = 55280,
  [SMALL_STATE(3349)] = 55375,
  [SMALL_STATE(3350)] = 55458,
  [SMALL_STATE(3351)] = 55531,
  [SMALL_STATE(3352)] = 55692,
  [SMALL_STATE(3353)] = 55755,
  [SMALL_STATE(3354)] = 55818,
  [SMALL_STATE(3355)] = 55915,
  [SMALL_STATE(3356)] = 56016,
  [SMALL_STATE(3357)] = 56079,
  [SMALL_STATE(3358)] = 56142,
  [SMALL_STATE(3359)] = 56207,
  [SMALL_STATE(3360)] = 56314,
  [SMALL_STATE(3361)] = 56419,
  [SMALL_STATE(3362)] = 56498,
  [SMALL_STATE(3363)] = 56561,
  [SMALL_STATE(3364)] = 56634,
  [SMALL_STATE(3365)] = 56697,
  [SMALL_STATE(3366)] = 56760,
  [SMALL_STATE(3367)] = 56869,
  [SMALL_STATE(3368)] = 56982,
  [SMALL_STATE(3369)] = 57045,
  [SMALL_STATE(3370)] = 57108,
  [SMALL_STATE(3371)] = 57175,
  [SMALL_STATE(3372)] = 57242,
  [SMALL_STATE(3373)] = 57311,
  [SMALL_STATE(3374)] = 57424,
  [SMALL_STATE(3375)] = 57487,
  [SMALL_STATE(3376)] = 57558,
  [SMALL_STATE(3377)] = 57621,
  [SMALL_STATE(3378)] = 57728,
  [SMALL_STATE(3379)] = 57831,
  [SMALL_STATE(3380)] = 57894,
  [SMALL_STATE(3381)] = 57961,
  [SMALL_STATE(3382)] = 58072,
  [SMALL_STATE(3383)] = 58179,
  [SMALL_STATE(3384)] = 58244,
  [SMALL_STATE(3385)] = 58307,
  [SMALL_STATE(3386)] = 58374,
  [SMALL_STATE(3387)] = 58441,
  [SMALL_STATE(3388)] = 58524,
  [SMALL_STATE(3389)] = 58685,
  [SMALL_STATE(3390)] = 58758,
  [SMALL_STATE(3391)] = 58871,
  [SMALL_STATE(3392)] = 58952,
  [SMALL_STATE(3393)] = 59019,
  [SMALL_STATE(3394)] = 59086,
  [SMALL_STATE(3395)] = 59153,
  [SMALL_STATE(3396)] = 59220,
  [SMALL_STATE(3397)] = 59283,
  [SMALL_STATE(3398)] = 59352,
  [SMALL_STATE(3399)] = 59419,
  [SMALL_STATE(3400)] = 59488,
  [SMALL_STATE(3401)] = 59567,
  [SMALL_STATE(3402)] = 59634,
  [SMALL_STATE(3403)] = 59743,
  [SMALL_STATE(3404)] = 59818,
  [SMALL_STATE(3405)] = 59895,
  [SMALL_STATE(3406)] = 59992,
  [SMALL_STATE(3407)] = 60069,
  [SMALL_STATE(3408)] = 60176,
  [SMALL_STATE(3409)] = 60251,
  [SMALL_STATE(3410)] = 60362,
  [SMALL_STATE(3411)] = 60433,
  [SMALL_STATE(3412)] = 60496,
  [SMALL_STATE(3413)] = 60575,
  [SMALL_STATE(3414)] = 60644,
  [SMALL_STATE(3415)] = 60709,
  [SMALL_STATE(3416)] = 60788,
  [SMALL_STATE(3417)] = 60851,
  [SMALL_STATE(3418)] = 60928,
  [SMALL_STATE(3419)] = 60991,
  [SMALL_STATE(3420)] = 61068,
  [SMALL_STATE(3421)] = 61167,
  [SMALL_STATE(3422)] = 61274,
  [SMALL_STATE(3423)] = 61383,
  [SMALL_STATE(3424)] = 61456,
  [SMALL_STATE(3425)] = 61535,
  [SMALL_STATE(3426)] = 61644,
  [SMALL_STATE(3427)] = 61707,
  [SMALL_STATE(3428)] = 61802,
  [SMALL_STATE(3429)] = 61913,
  [SMALL_STATE(3430)] = 62020,
  [SMALL_STATE(3431)] = 62097,
  [SMALL_STATE(3432)] = 62164,
  [SMALL_STATE(3433)] = 62257,
  [SMALL_STATE(3434)] = 62418,
  [SMALL_STATE(3435)] = 62579,
  [SMALL_STATE(3436)] = 62668,
  [SMALL_STATE(3437)] = 62735,
  [SMALL_STATE(3438)] = 62814,
  [SMALL_STATE(3439)] = 62879,
  [SMALL_STATE(3440)] = 62964,
  [SMALL_STATE(3441)] = 63044,
  [SMALL_STATE(3442)] = 63106,
  [SMALL_STATE(3443)] = 63168,
  [SMALL_STATE(3444)] = 63230,
  [SMALL_STATE(3445)] = 63292,
  [SMALL_STATE(3446)] = 63354,
  [SMALL_STATE(3447)] = 63416,
  [SMALL_STATE(3448)] = 63478,
  [SMALL_STATE(3449)] = 63540,
  [SMALL_STATE(3450)] = 63602,
  [SMALL_STATE(3451)] = 63664,
  [SMALL_STATE(3452)] = 63726,
  [SMALL_STATE(3453)] = 63788,
  [SMALL_STATE(3454)] = 63850,
  [SMALL_STATE(3455)] = 63912,
  [SMALL_STATE(3456)] = 63974,
  [SMALL_STATE(3457)] = 64036,
  [SMALL_STATE(3458)] = 64102,
  [SMALL_STATE(3459)] = 64164,
  [SMALL_STATE(3460)] = 64226,
  [SMALL_STATE(3461)] = 64288,
  [SMALL_STATE(3462)] = 64350,
  [SMALL_STATE(3463)] = 64412,
  [SMALL_STATE(3464)] = 64474,
  [SMALL_STATE(3465)] = 64536,
  [SMALL_STATE(3466)] = 64600,
  [SMALL_STATE(3467)] = 64668,
  [SMALL_STATE(3468)] = 64730,
  [SMALL_STATE(3469)] = 64792,
  [SMALL_STATE(3470)] = 64854,
  [SMALL_STATE(3471)] = 64916,
  [SMALL_STATE(3472)] = 64978,
  [SMALL_STATE(3473)] = 65040,
  [SMALL_STATE(3474)] = 65102,
  [SMALL_STATE(3475)] = 65164,
  [SMALL_STATE(3476)] = 65226,
  [SMALL_STATE(3477)] = 65296,
  [SMALL_STATE(3478)] = 65358,
  [SMALL_STATE(3479)] = 65428,
  [SMALL_STATE(3480)] = 65490,
  [SMALL_STATE(3481)] = 65570,
  [SMALL_STATE(3482)] = 65632,
  [SMALL_STATE(3483)] = 65694,
  [SMALL_STATE(3484)] = 65774,
  [SMALL_STATE(3485)] = 65836,
  [SMALL_STATE(3486)] = 65916,
  [SMALL_STATE(3487)] = 65978,
  [SMALL_STATE(3488)] = 66044,
  [SMALL_STATE(3489)] = 66106,
  [SMALL_STATE(3490)] = 66172,
  [SMALL_STATE(3491)] = 66240,
  [SMALL_STATE(3492)] = 66302,
  [SMALL_STATE(3493)] = 66368,
  [SMALL_STATE(3494)] = 66430,
  [SMALL_STATE(3495)] = 66492,
  [SMALL_STATE(3496)] = 66556,
  [SMALL_STATE(3497)] = 66618,
  [SMALL_STATE(3498)] = 66680,
  [SMALL_STATE(3499)] = 66742,
  [SMALL_STATE(3500)] = 66804,
  [SMALL_STATE(3501)] = 66868,
  [SMALL_STATE(3502)] = 66930,
  [SMALL_STATE(3503)] = 66992,
  [SMALL_STATE(3504)] = 67060,
  [SMALL_STATE(3505)] = 67124,
  [SMALL_STATE(3506)] = 67188,
  [SMALL_STATE(3507)] = 67250,
  [SMALL_STATE(3508)] = 67316,
  [SMALL_STATE(3509)] = 67378,
  [SMALL_STATE(3510)] = 67440,
  [SMALL_STATE(3511)] = 67502,
  [SMALL_STATE(3512)] = 67564,
  [SMALL_STATE(3513)] = 67626,
  [SMALL_STATE(3514)] = 67688,
  [SMALL_STATE(3515)] = 67754,
  [SMALL_STATE(3516)] = 67816,
  [SMALL_STATE(3517)] = 67878,
  [SMALL_STATE(3518)] = 67940,
  [SMALL_STATE(3519)] = 68002,
  [SMALL_STATE(3520)] = 68082,
  [SMALL_STATE(3521)] = 68144,
  [SMALL_STATE(3522)] = 68216,
  [SMALL_STATE(3523)] = 68278,
  [SMALL_STATE(3524)] = 68340,
  [SMALL_STATE(3525)] = 68402,
  [SMALL_STATE(3526)] = 68464,
  [SMALL_STATE(3527)] = 68526,
  [SMALL_STATE(3528)] = 68594,
  [SMALL_STATE(3529)] = 68656,
  [SMALL_STATE(3530)] = 68718,
  [SMALL_STATE(3531)] = 68780,
  [SMALL_STATE(3532)] = 68852,
  [SMALL_STATE(3533)] = 68918,
  [SMALL_STATE(3534)] = 68980,
  [SMALL_STATE(3535)] = 69042,
  [SMALL_STATE(3536)] = 69104,
  [SMALL_STATE(3537)] = 69166,
  [SMALL_STATE(3538)] = 69228,
  [SMALL_STATE(3539)] = 69294,
  [SMALL_STATE(3540)] = 69356,
  [SMALL_STATE(3541)] = 69426,
  [SMALL_STATE(3542)] = 69488,
  [SMALL_STATE(3543)] = 69550,
  [SMALL_STATE(3544)] = 69630,
  [SMALL_STATE(3545)] = 69692,
  [SMALL_STATE(3546)] = 69754,
  [SMALL_STATE(3547)] = 69824,
  [SMALL_STATE(3548)] = 69886,
  [SMALL_STATE(3549)] = 69948,
  [SMALL_STATE(3550)] = 70010,
  [SMALL_STATE(3551)] = 70090,
  [SMALL_STATE(3552)] = 70156,
  [SMALL_STATE(3553)] = 70218,
  [SMALL_STATE(3554)] = 70280,
  [SMALL_STATE(3555)] = 70342,
  [SMALL_STATE(3556)] = 70404,
  [SMALL_STATE(3557)] = 70466,
  [SMALL_STATE(3558)] = 70532,
  [SMALL_STATE(3559)] = 70594,
  [SMALL_STATE(3560)] = 70666,
  [SMALL_STATE(3561)] = 70746,
  [SMALL_STATE(3562)] = 70808,
  [SMALL_STATE(3563)] = 70870,
  [SMALL_STATE(3564)] = 70932,
  [SMALL_STATE(3565)] = 70994,
  [SMALL_STATE(3566)] = 71056,
  [SMALL_STATE(3567)] = 71118,
  [SMALL_STATE(3568)] = 71190,
  [SMALL_STATE(3569)] = 71252,
  [SMALL_STATE(3570)] = 71322,
  [SMALL_STATE(3571)] = 71392,
  [SMALL_STATE(3572)] = 71454,
  [SMALL_STATE(3573)] = 71522,
  [SMALL_STATE(3574)] = 71584,
  [SMALL_STATE(3575)] = 71664,
  [SMALL_STATE(3576)] = 71734,
  [SMALL_STATE(3577)] = 71796,
  [SMALL_STATE(3578)] = 71858,
  [SMALL_STATE(3579)] = 71922,
  [SMALL_STATE(3580)] = 71983,
  [SMALL_STATE(3581)] = 72044,
  [SMALL_STATE(3582)] = 72105,
  [SMALL_STATE(3583)] = 72166,
  [SMALL_STATE(3584)] = 72231,
  [SMALL_STATE(3585)] = 72292,
  [SMALL_STATE(3586)] = 72353,
  [SMALL_STATE(3587)] = 72414,
  [SMALL_STATE(3588)] = 72481,
  [SMALL_STATE(3589)] = 72542,
  [SMALL_STATE(3590)] = 72609,
  [SMALL_STATE(3591)] = 72674,
  [SMALL_STATE(3592)] = 72785,
  [SMALL_STATE(3593)] = 72860,
  [SMALL_STATE(3594)] = 72921,
  [SMALL_STATE(3595)] = 72984,
  [SMALL_STATE(3596)] = 73065,
  [SMALL_STATE(3597)] = 73130,
  [SMALL_STATE(3598)] = 73191,
  [SMALL_STATE(3599)] = 73256,
  [SMALL_STATE(3600)] = 73319,
  [SMALL_STATE(3601)] = 73398,
  [SMALL_STATE(3602)] = 73467,
  [SMALL_STATE(3603)] = 73534,
  [SMALL_STATE(3604)] = 73645,
  [SMALL_STATE(3605)] = 73710,
  [SMALL_STATE(3606)] = 73777,
  [SMALL_STATE(3607)] = 73838,
  [SMALL_STATE(3608)] = 73899,
  [SMALL_STATE(3609)] = 74004,
  [SMALL_STATE(3610)] = 74111,
  [SMALL_STATE(3611)] = 74180,
  [SMALL_STATE(3612)] = 74241,
  [SMALL_STATE(3613)] = 74316,
  [SMALL_STATE(3614)] = 74377,
  [SMALL_STATE(3615)] = 74442,
  [SMALL_STATE(3616)] = 74503,
  [SMALL_STATE(3617)] = 74564,
  [SMALL_STATE(3618)] = 74669,
  [SMALL_STATE(3619)] = 74730,
  [SMALL_STATE(3620)] = 74791,
  [SMALL_STATE(3621)] = 74852,
  [SMALL_STATE(3622)] = 74913,
  [SMALL_STATE(3623)] = 74986,
  [SMALL_STATE(3624)] = 75053,
  [SMALL_STATE(3625)] = 75114,
  [SMALL_STATE(3626)] = 75191,
  [SMALL_STATE(3627)] = 75252,
  [SMALL_STATE(3628)] = 75313,
  [SMALL_STATE(3629)] = 75374,
  [SMALL_STATE(3630)] = 75435,
  [SMALL_STATE(3631)] = 75496,
  [SMALL_STATE(3632)] = 75557,
  [SMALL_STATE(3633)] = 75618,
  [SMALL_STATE(3634)] = 75683,
  [SMALL_STATE(3635)] = 75744,
  [SMALL_STATE(3636)] = 75805,
  [SMALL_STATE(3637)] = 75866,
  [SMALL_STATE(3638)] = 75941,
  [SMALL_STATE(3639)] = 76002,
  [SMALL_STATE(3640)] = 76083,
  [SMALL_STATE(3641)] = 76190,
  [SMALL_STATE(3642)] = 76251,
  [SMALL_STATE(3643)] = 76312,
  [SMALL_STATE(3644)] = 76373,
  [SMALL_STATE(3645)] = 76480,
  [SMALL_STATE(3646)] = 76541,
  [SMALL_STATE(3647)] = 76644,
  [SMALL_STATE(3648)] = 76705,
  [SMALL_STATE(3649)] = 76766,
  [SMALL_STATE(3650)] = 76827,
  [SMALL_STATE(3651)] = 76888,
  [SMALL_STATE(3652)] = 76959,
  [SMALL_STATE(3653)] = 77058,
  [SMALL_STATE(3654)] = 77137,
  [SMALL_STATE(3655)] = 77198,
  [SMALL_STATE(3656)] = 77259,
  [SMALL_STATE(3657)] = 77342,
  [SMALL_STATE(3658)] = 77403,
  [SMALL_STATE(3659)] = 77464,
  [SMALL_STATE(3660)] = 77525,
  [SMALL_STATE(3661)] = 77632,
  [SMALL_STATE(3662)] = 77693,
  [SMALL_STATE(3663)] = 77754,
  [SMALL_STATE(3664)] = 77815,
  [SMALL_STATE(3665)] = 77922,
  [SMALL_STATE(3666)] = 78009,
  [SMALL_STATE(3667)] = 78070,
  [SMALL_STATE(3668)] = 78135,
  [SMALL_STATE(3669)] = 78224,
  [SMALL_STATE(3670)] = 78317,
  [SMALL_STATE(3671)] = 78382,
  [SMALL_STATE(3672)] = 78443,
  [SMALL_STATE(3673)] = 78550,
  [SMALL_STATE(3674)] = 78611,
  [SMALL_STATE(3675)] = 78672,
  [SMALL_STATE(3676)] = 78737,
  [SMALL_STATE(3677)] = 78798,
  [SMALL_STATE(3678)] = 78867,
  [SMALL_STATE(3679)] = 78928,
  [SMALL_STATE(3680)] = 79021,
  [SMALL_STATE(3681)] = 79082,
  [SMALL_STATE(3682)] = 79143,
  [SMALL_STATE(3683)] = 79204,
  [SMALL_STATE(3684)] = 79265,
  [SMALL_STATE(3685)] = 79360,
  [SMALL_STATE(3686)] = 79449,
  [SMALL_STATE(3687)] = 79510,
  [SMALL_STATE(3688)] = 79571,
  [SMALL_STATE(3689)] = 79636,
  [SMALL_STATE(3690)] = 79735,
  [SMALL_STATE(3691)] = 79838,
  [SMALL_STATE(3692)] = 79899,
  [SMALL_STATE(3693)] = 79986,
  [SMALL_STATE(3694)] = 80047,
  [SMALL_STATE(3695)] = 80108,
  [SMALL_STATE(3696)] = 80169,
  [SMALL_STATE(3697)] = 80244,
  [SMALL_STATE(3698)] = 80339,
  [SMALL_STATE(3699)] = 80400,
  [SMALL_STATE(3700)] = 80469,
  [SMALL_STATE(3701)] = 80546,
  [SMALL_STATE(3702)] = 80607,
  [SMALL_STATE(3703)] = 80676,
  [SMALL_STATE(3704)] = 80759,
  [SMALL_STATE(3705)] = 80832,
  [SMALL_STATE(3706)] = 80897,
  [SMALL_STATE(3707)] = 80960,
  [SMALL_STATE(3708)] = 81025,
  [SMALL_STATE(3709)] = 81086,
  [SMALL_STATE(3710)] = 81197,
  [SMALL_STATE(3711)] = 81302,
  [SMALL_STATE(3712)] = 81363,
  [SMALL_STATE(3713)] = 81424,
  [SMALL_STATE(3714)] = 81491,
  [SMALL_STATE(3715)] = 81556,
  [SMALL_STATE(3716)] = 81617,
  [SMALL_STATE(3717)] = 81678,
  [SMALL_STATE(3718)] = 81739,
  [SMALL_STATE(3719)] = 81804,
  [SMALL_STATE(3720)] = 81865,
  [SMALL_STATE(3721)] = 81926,
  [SMALL_STATE(3722)] = 81987,
  [SMALL_STATE(3723)] = 82048,
  [SMALL_STATE(3724)] = 82109,
  [SMALL_STATE(3725)] = 82170,
  [SMALL_STATE(3726)] = 82235,
  [SMALL_STATE(3727)] = 82296,
  [SMALL_STATE(3728)] = 82407,
  [SMALL_STATE(3729)] = 82468,
  [SMALL_STATE(3730)] = 82529,
  [SMALL_STATE(3731)] = 82590,
  [SMALL_STATE(3732)] = 82655,
  [SMALL_STATE(3733)] = 82720,
  [SMALL_STATE(3734)] = 82781,
  [SMALL_STATE(3735)] = 82842,
  [SMALL_STATE(3736)] = 82949,
  [SMALL_STATE(3737)] = 83010,
  [SMALL_STATE(3738)] = 83071,
  [SMALL_STATE(3739)] = 83140,
  [SMALL_STATE(3740)] = 83245,
  [SMALL_STATE(3741)] = 83306,
  [SMALL_STATE(3742)] = 83367,
  [SMALL_STATE(3743)] = 83428,
  [SMALL_STATE(3744)] = 83489,
  [SMALL_STATE(3745)] = 83550,
  [SMALL_STATE(3746)] = 83611,
  [SMALL_STATE(3747)] = 83672,
  [SMALL_STATE(3748)] = 83737,
  [SMALL_STATE(3749)] = 83802,
  [SMALL_STATE(3750)] = 83863,
  [SMALL_STATE(3751)] = 83924,
  [SMALL_STATE(3752)] = 83985,
  [SMALL_STATE(3753)] = 84046,
  [SMALL_STATE(3754)] = 84107,
  [SMALL_STATE(3755)] = 84178,
  [SMALL_STATE(3756)] = 84239,
  [SMALL_STATE(3757)] = 84350,
  [SMALL_STATE(3758)] = 84411,
  [SMALL_STATE(3759)] = 84518,
  [SMALL_STATE(3760)] = 84579,
  [SMALL_STATE(3761)] = 84640,
  [SMALL_STATE(3762)] = 84713,
  [SMALL_STATE(3763)] = 84774,
  [SMALL_STATE(3764)] = 84835,
  [SMALL_STATE(3765)] = 84896,
  [SMALL_STATE(3766)] = 84957,
  [SMALL_STATE(3767)] = 85032,
  [SMALL_STATE(3768)] = 85107,
  [SMALL_STATE(3769)] = 85168,
  [SMALL_STATE(3770)] = 85229,
  [SMALL_STATE(3771)] = 85290,
  [SMALL_STATE(3772)] = 85401,
  [SMALL_STATE(3773)] = 85462,
  [SMALL_STATE(3774)] = 85523,
  [SMALL_STATE(3775)] = 85584,
  [SMALL_STATE(3776)] = 85645,
  [SMALL_STATE(3777)] = 85710,
  [SMALL_STATE(3778)] = 85771,
  [SMALL_STATE(3779)] = 85832,
  [SMALL_STATE(3780)] = 85901,
  [SMALL_STATE(3781)] = 85961,
  [SMALL_STATE(3782)] = 86047,
  [SMALL_STATE(3783)] = 86107,
  [SMALL_STATE(3784)] = 86189,
  [SMALL_STATE(3785)] = 86253,
  [SMALL_STATE(3786)] = 86331,
  [SMALL_STATE(3787)] = 86399,
  [SMALL_STATE(3788)] = 86479,
  [SMALL_STATE(3789)] = 86539,
  [SMALL_STATE(3790)] = 86695,
  [SMALL_STATE(3791)] = 86757,
  [SMALL_STATE(3792)] = 86861,
  [SMALL_STATE(3793)] = 87017,
  [SMALL_STATE(3794)] = 87077,
  [SMALL_STATE(3795)] = 87137,
  [SMALL_STATE(3796)] = 87197,
  [SMALL_STATE(3797)] = 87257,
  [SMALL_STATE(3798)] = 87413,
  [SMALL_STATE(3799)] = 87475,
  [SMALL_STATE(3800)] = 87535,
  [SMALL_STATE(3801)] = 87607,
  [SMALL_STATE(3802)] = 87705,
  [SMALL_STATE(3803)] = 87809,
  [SMALL_STATE(3804)] = 87869,
  [SMALL_STATE(3805)] = 88025,
  [SMALL_STATE(3806)] = 88089,
  [SMALL_STATE(3807)] = 88195,
  [SMALL_STATE(3808)] = 88255,
  [SMALL_STATE(3809)] = 88323,
  [SMALL_STATE(3810)] = 88433,
  [SMALL_STATE(3811)] = 88507,
  [SMALL_STATE(3812)] = 88567,
  [SMALL_STATE(3813)] = 88655,
  [SMALL_STATE(3814)] = 88747,
  [SMALL_STATE(3815)] = 88811,
  [SMALL_STATE(3816)] = 88875,
  [SMALL_STATE(3817)] = 89031,
  [SMALL_STATE(3818)] = 89137,
  [SMALL_STATE(3819)] = 89231,
  [SMALL_STATE(3820)] = 89291,
  [SMALL_STATE(3821)] = 89351,
  [SMALL_STATE(3822)] = 89425,
  [SMALL_STATE(3823)] = 89499,
  [SMALL_STATE(3824)] = 89573,
  [SMALL_STATE(3825)] = 89635,
  [SMALL_STATE(3826)] = 89791,
  [SMALL_STATE(3827)] = 89851,
  [SMALL_STATE(3828)] = 89957,
  [SMALL_STATE(3829)] = 90017,
  [SMALL_STATE(3830)] = 90081,
  [SMALL_STATE(3831)] = 90185,
  [SMALL_STATE(3832)] = 90293,
  [SMALL_STATE(3833)] = 90357,
  [SMALL_STATE(3834)] = 90429,
  [SMALL_STATE(3835)] = 90539,
  [SMALL_STATE(3836)] = 90653,
  [SMALL_STATE(3837)] = 90809,
  [SMALL_STATE(3838)] = 90873,
  [SMALL_STATE(3839)] = 90949,
  [SMALL_STATE(3840)] = 91017,
  [SMALL_STATE(3841)] = 91081,
  [SMALL_STATE(3842)] = 91145,
  [SMALL_STATE(3843)] = 91205,
  [SMALL_STATE(3844)] = 91265,
  [SMALL_STATE(3845)] = 91325,
  [SMALL_STATE(3846)] = 91427,
  [SMALL_STATE(3847)] = 91487,
  [SMALL_STATE(3848)] = 91547,
  [SMALL_STATE(3849)] = 91621,
  [SMALL_STATE(3850)] = 91685,
  [SMALL_STATE(3851)] = 91745,
  [SMALL_STATE(3852)] = 91819,
  [SMALL_STATE(3853)] = 91883,
  [SMALL_STATE(3854)] = 91951,
  [SMALL_STATE(3855)] = 92017,
  [SMALL_STATE(3856)] = 92173,
  [SMALL_STATE(3857)] = 92235,
  [SMALL_STATE(3858)] = 92295,
  [SMALL_STATE(3859)] = 92355,
  [SMALL_STATE(3860)] = 92429,
  [SMALL_STATE(3861)] = 92501,
  [SMALL_STATE(3862)] = 92565,
  [SMALL_STATE(3863)] = 92629,
  [SMALL_STATE(3864)] = 92697,
  [SMALL_STATE(3865)] = 92807,
  [SMALL_STATE(3866)] = 92871,
  [SMALL_STATE(3867)] = 92931,
  [SMALL_STATE(3868)] = 92995,
  [SMALL_STATE(3869)] = 93055,
  [SMALL_STATE(3870)] = 93115,
  [SMALL_STATE(3871)] = 93185,
  [SMALL_STATE(3872)] = 93251,
  [SMALL_STATE(3873)] = 93355,
  [SMALL_STATE(3874)] = 93429,
  [SMALL_STATE(3875)] = 93585,
  [SMALL_STATE(3876)] = 93741,
  [SMALL_STATE(3877)] = 93801,
  [SMALL_STATE(3878)] = 93861,
  [SMALL_STATE(3879)] = 93927,
  [SMALL_STATE(3880)] = 94033,
  [SMALL_STATE(3881)] = 94095,
  [SMALL_STATE(3882)] = 94161,
  [SMALL_STATE(3883)] = 94223,
  [SMALL_STATE(3884)] = 94283,
  [SMALL_STATE(3885)] = 94343,
  [SMALL_STATE(3886)] = 94409,
  [SMALL_STATE(3887)] = 94513,
  [SMALL_STATE(3888)] = 94621,
  [SMALL_STATE(3889)] = 94683,
  [SMALL_STATE(3890)] = 94747,
  [SMALL_STATE(3891)] = 94823,
  [SMALL_STATE(3892)] = 94979,
  [SMALL_STATE(3893)] = 95047,
  [SMALL_STATE(3894)] = 95107,
  [SMALL_STATE(3895)] = 95211,
  [SMALL_STATE(3896)] = 95283,
  [SMALL_STATE(3897)] = 95343,
  [SMALL_STATE(3898)] = 95409,
  [SMALL_STATE(3899)] = 95471,
  [SMALL_STATE(3900)] = 95535,
  [SMALL_STATE(3901)] = 95601,
  [SMALL_STATE(3902)] = 95667,
  [SMALL_STATE(3903)] = 95735,
  [SMALL_STATE(3904)] = 95795,
  [SMALL_STATE(3905)] = 95859,
  [SMALL_STATE(3906)] = 95927,
  [SMALL_STATE(3907)] = 96001,
  [SMALL_STATE(3908)] = 96109,
  [SMALL_STATE(3909)] = 96185,
  [SMALL_STATE(3910)] = 96259,
  [SMALL_STATE(3911)] = 96319,
  [SMALL_STATE(3912)] = 96419,
  [SMALL_STATE(3913)] = 96479,
  [SMALL_STATE(3914)] = 96575,
  [SMALL_STATE(3915)] = 96667,
  [SMALL_STATE(3916)] = 96727,
  [SMALL_STATE(3917)] = 96817,
  [SMALL_STATE(3918)] = 96903,
  [SMALL_STATE(3919)] = 96969,
  [SMALL_STATE(3920)] = 97053,
  [SMALL_STATE(3921)] = 97119,
  [SMALL_STATE(3922)] = 97179,
  [SMALL_STATE(3923)] = 97261,
  [SMALL_STATE(3924)] = 97339,
  [SMALL_STATE(3925)] = 97399,
  [SMALL_STATE(3926)] = 97479,
  [SMALL_STATE(3927)] = 97539,
  [SMALL_STATE(3928)] = 97599,
  [SMALL_STATE(3929)] = 97659,
  [SMALL_STATE(3930)] = 97760,
  [SMALL_STATE(3931)] = 97821,
  [SMALL_STATE(3932)] = 97892,
  [SMALL_STATE(3933)] = 97951,
  [SMALL_STATE(3934)] = 98010,
  [SMALL_STATE(3935)] = 98071,
  [SMALL_STATE(3936)] = 98130,
  [SMALL_STATE(3937)] = 98191,
  [SMALL_STATE(3938)] = 98250,
  [SMALL_STATE(3939)] = 98319,
  [SMALL_STATE(3940)] = 98386,
  [SMALL_STATE(3941)] = 98445,
  [SMALL_STATE(3942)] = 98546,
  [SMALL_STATE(3943)] = 98605,
  [SMALL_STATE(3944)] = 98664,
  [SMALL_STATE(3945)] = 98733,
  [SMALL_STATE(3946)] = 98792,
  [SMALL_STATE(3947)] = 98851,
  [SMALL_STATE(3948)] = 98910,
  [SMALL_STATE(3949)] = 98969,
  [SMALL_STATE(3950)] = 99070,
  [SMALL_STATE(3951)] = 99133,
  [SMALL_STATE(3952)] = 99194,
  [SMALL_STATE(3953)] = 99253,
  [SMALL_STATE(3954)] = 99312,
  [SMALL_STATE(3955)] = 99371,
  [SMALL_STATE(3956)] = 99430,
  [SMALL_STATE(3957)] = 99489,
  [SMALL_STATE(3958)] = 99548,
  [SMALL_STATE(3959)] = 99611,
  [SMALL_STATE(3960)] = 99670,
  [SMALL_STATE(3961)] = 99729,
  [SMALL_STATE(3962)] = 99794,
  [SMALL_STATE(3963)] = 99853,
  [SMALL_STATE(3964)] = 99912,
  [SMALL_STATE(3965)] = 99971,
  [SMALL_STATE(3966)] = 100072,
  [SMALL_STATE(3967)] = 100173,
  [SMALL_STATE(3968)] = 100234,
  [SMALL_STATE(3969)] = 100293,
  [SMALL_STATE(3970)] = 100352,
  [SMALL_STATE(3971)] = 100453,
  [SMALL_STATE(3972)] = 100512,
  [SMALL_STATE(3973)] = 100571,
  [SMALL_STATE(3974)] = 100642,
  [SMALL_STATE(3975)] = 100701,
  [SMALL_STATE(3976)] = 100766,
  [SMALL_STATE(3977)] = 100867,
  [SMALL_STATE(3978)] = 100926,
  [SMALL_STATE(3979)] = 101027,
  [SMALL_STATE(3980)] = 101086,
  [SMALL_STATE(3981)] = 101145,
  [SMALL_STATE(3982)] = 101204,
  [SMALL_STATE(3983)] = 101305,
  [SMALL_STATE(3984)] = 101364,
  [SMALL_STATE(3985)] = 101427,
  [SMALL_STATE(3986)] = 101486,
  [SMALL_STATE(3987)] = 101587,
  [SMALL_STATE(3988)] = 101646,
  [SMALL_STATE(3989)] = 101705,
  [SMALL_STATE(3990)] = 101764,
  [SMALL_STATE(3991)] = 101825,
  [SMALL_STATE(3992)] = 101884,
  [SMALL_STATE(3993)] = 101943,
  [SMALL_STATE(3994)] = 102002,
  [SMALL_STATE(3995)] = 102061,
  [SMALL_STATE(3996)] = 102122,
  [SMALL_STATE(3997)] = 102181,
  [SMALL_STATE(3998)] = 102242,
  [SMALL_STATE(3999)] = 102343,
  [SMALL_STATE(4000)] = 102402,
  [SMALL_STATE(4001)] = 102461,
  [SMALL_STATE(4002)] = 102520,
  [SMALL_STATE(4003)] = 102579,
  [SMALL_STATE(4004)] = 102638,
  [SMALL_STATE(4005)] = 102697,
  [SMALL_STATE(4006)] = 102756,
  [SMALL_STATE(4007)] = 102815,
  [SMALL_STATE(4008)] = 102874,
  [SMALL_STATE(4009)] = 102937,
  [SMALL_STATE(4010)] = 103038,
  [SMALL_STATE(4011)] = 103099,
  [SMALL_STATE(4012)] = 103158,
  [SMALL_STATE(4013)] = 103217,
  [SMALL_STATE(4014)] = 103276,
  [SMALL_STATE(4015)] = 103335,
  [SMALL_STATE(4016)] = 103394,
  [SMALL_STATE(4017)] = 103453,
  [SMALL_STATE(4018)] = 103512,
  [SMALL_STATE(4019)] = 103577,
  [SMALL_STATE(4020)] = 103638,
  [SMALL_STATE(4021)] = 103697,
  [SMALL_STATE(4022)] = 103756,
  [SMALL_STATE(4023)] = 103815,
  [SMALL_STATE(4024)] = 103874,
  [SMALL_STATE(4025)] = 103933,
  [SMALL_STATE(4026)] = 103992,
  [SMALL_STATE(4027)] = 104051,
  [SMALL_STATE(4028)] = 104110,
  [SMALL_STATE(4029)] = 104169,
  [SMALL_STATE(4030)] = 104270,
  [SMALL_STATE(4031)] = 104337,
  [SMALL_STATE(4032)] = 104396,
  [SMALL_STATE(4033)] = 104455,
  [SMALL_STATE(4034)] = 104556,
  [SMALL_STATE(4035)] = 104615,
  [SMALL_STATE(4036)] = 104674,
  [SMALL_STATE(4037)] = 104733,
  [SMALL_STATE(4038)] = 104794,
  [SMALL_STATE(4039)] = 104853,
  [SMALL_STATE(4040)] = 104912,
  [SMALL_STATE(4041)] = 104971,
  [SMALL_STATE(4042)] = 105030,
  [SMALL_STATE(4043)] = 105089,
  [SMALL_STATE(4044)] = 105148,
  [SMALL_STATE(4045)] = 105207,
  [SMALL_STATE(4046)] = 105266,
  [SMALL_STATE(4047)] = 105325,
  [SMALL_STATE(4048)] = 105396,
  [SMALL_STATE(4049)] = 105455,
  [SMALL_STATE(4050)] = 105514,
  [SMALL_STATE(4051)] = 105573,
  [SMALL_STATE(4052)] = 105632,
  [SMALL_STATE(4053)] = 105691,
  [SMALL_STATE(4054)] = 105750,
  [SMALL_STATE(4055)] = 105819,
  [SMALL_STATE(4056)] = 105878,
  [SMALL_STATE(4057)] = 105979,
  [SMALL_STATE(4058)] = 106038,
  [SMALL_STATE(4059)] = 106097,
  [SMALL_STATE(4060)] = 106156,
  [SMALL_STATE(4061)] = 106215,
  [SMALL_STATE(4062)] = 106276,
  [SMALL_STATE(4063)] = 106335,
  [SMALL_STATE(4064)] = 106394,
  [SMALL_STATE(4065)] = 106499,
  [SMALL_STATE(4066)] = 106558,
  [SMALL_STATE(4067)] = 106619,
  [SMALL_STATE(4068)] = 106678,
  [SMALL_STATE(4069)] = 106739,
  [SMALL_STATE(4070)] = 106798,
  [SMALL_STATE(4071)] = 106857,
  [SMALL_STATE(4072)] = 106916,
  [SMALL_STATE(4073)] = 106975,
  [SMALL_STATE(4074)] = 107034,
  [SMALL_STATE(4075)] = 107093,
  [SMALL_STATE(4076)] = 107160,
  [SMALL_STATE(4077)] = 107219,
  [SMALL_STATE(4078)] = 107278,
  [SMALL_STATE(4079)] = 107337,
  [SMALL_STATE(4080)] = 107396,
  [SMALL_STATE(4081)] = 107457,
  [SMALL_STATE(4082)] = 107516,
  [SMALL_STATE(4083)] = 107575,
  [SMALL_STATE(4084)] = 107640,
  [SMALL_STATE(4085)] = 107699,
  [SMALL_STATE(4086)] = 107758,
  [SMALL_STATE(4087)] = 107817,
  [SMALL_STATE(4088)] = 107876,
  [SMALL_STATE(4089)] = 107935,
  [SMALL_STATE(4090)] = 107994,
  [SMALL_STATE(4091)] = 108053,
  [SMALL_STATE(4092)] = 108116,
  [SMALL_STATE(4093)] = 108175,
  [SMALL_STATE(4094)] = 108234,
  [SMALL_STATE(4095)] = 108293,
  [SMALL_STATE(4096)] = 108356,
  [SMALL_STATE(4097)] = 108415,
  [SMALL_STATE(4098)] = 108516,
  [SMALL_STATE(4099)] = 108577,
  [SMALL_STATE(4100)] = 108636,
  [SMALL_STATE(4101)] = 108737,
  [SMALL_STATE(4102)] = 108796,
  [SMALL_STATE(4103)] = 108897,
  [SMALL_STATE(4104)] = 108956,
  [SMALL_STATE(4105)] = 109023,
  [SMALL_STATE(4106)] = 109084,
  [SMALL_STATE(4107)] = 109143,
  [SMALL_STATE(4108)] = 109208,
  [SMALL_STATE(4109)] = 109309,
  [SMALL_STATE(4110)] = 109410,
  [SMALL_STATE(4111)] = 109511,
  [SMALL_STATE(4112)] = 109570,
  [SMALL_STATE(4113)] = 109631,
  [SMALL_STATE(4114)] = 109698,
  [SMALL_STATE(4115)] = 109757,
  [SMALL_STATE(4116)] = 109824,
  [SMALL_STATE(4117)] = 109883,
  [SMALL_STATE(4118)] = 109942,
  [SMALL_STATE(4119)] = 110047,
  [SMALL_STATE(4120)] = 110106,
  [SMALL_STATE(4121)] = 110165,
  [SMALL_STATE(4122)] = 110224,
  [SMALL_STATE(4123)] = 110283,
  [SMALL_STATE(4124)] = 110342,
  [SMALL_STATE(4125)] = 110443,
  [SMALL_STATE(4126)] = 110504,
  [SMALL_STATE(4127)] = 110563,
  [SMALL_STATE(4128)] = 110622,
  [SMALL_STATE(4129)] = 110681,
  [SMALL_STATE(4130)] = 110740,
  [SMALL_STATE(4131)] = 110799,
  [SMALL_STATE(4132)] = 110900,
  [SMALL_STATE(4133)] = 110959,
  [SMALL_STATE(4134)] = 111018,
  [SMALL_STATE(4135)] = 111077,
  [SMALL_STATE(4136)] = 111136,
  [SMALL_STATE(4137)] = 111195,
  [SMALL_STATE(4138)] = 111254,
  [SMALL_STATE(4139)] = 111313,
  [SMALL_STATE(4140)] = 111372,
  [SMALL_STATE(4141)] = 111431,
  [SMALL_STATE(4142)] = 111490,
  [SMALL_STATE(4143)] = 111549,
  [SMALL_STATE(4144)] = 111608,
  [SMALL_STATE(4145)] = 111667,
  [SMALL_STATE(4146)] = 111726,
  [SMALL_STATE(4147)] = 111785,
  [SMALL_STATE(4148)] = 111844,
  [SMALL_STATE(4149)] = 111903,
  [SMALL_STATE(4150)] = 111962,
  [SMALL_STATE(4151)] = 112023,
  [SMALL_STATE(4152)] = 112082,
  [SMALL_STATE(4153)] = 112183,
  [SMALL_STATE(4154)] = 112242,
  [SMALL_STATE(4155)] = 112304,
  [SMALL_STATE(4156)] = 112406,
  [SMALL_STATE(4157)] = 112464,
  [SMALL_STATE(4158)] = 112522,
  [SMALL_STATE(4159)] = 112580,
  [SMALL_STATE(4160)] = 112638,
  [SMALL_STATE(4161)] = 112696,
  [SMALL_STATE(4162)] = 112762,
  [SMALL_STATE(4163)] = 112820,
  [SMALL_STATE(4164)] = 112886,
  [SMALL_STATE(4165)] = 112944,
  [SMALL_STATE(4166)] = 113002,
  [SMALL_STATE(4167)] = 113076,
  [SMALL_STATE(4168)] = 113134,
  [SMALL_STATE(4169)] = 113192,
  [SMALL_STATE(4170)] = 113254,
  [SMALL_STATE(4171)] = 113312,
  [SMALL_STATE(4172)] = 113416,
  [SMALL_STATE(4173)] = 113474,
  [SMALL_STATE(4174)] = 113532,
  [SMALL_STATE(4175)] = 113638,
  [SMALL_STATE(4176)] = 113714,
  [SMALL_STATE(4177)] = 113784,
  [SMALL_STATE(4178)] = 113842,
  [SMALL_STATE(4179)] = 113900,
  [SMALL_STATE(4180)] = 113964,
  [SMALL_STATE(4181)] = 114026,
  [SMALL_STATE(4182)] = 114084,
  [SMALL_STATE(4183)] = 114186,
  [SMALL_STATE(4184)] = 114244,
  [SMALL_STATE(4185)] = 114302,
  [SMALL_STATE(4186)] = 114360,
  [SMALL_STATE(4187)] = 114418,
  [SMALL_STATE(4188)] = 114476,
  [SMALL_STATE(4189)] = 114548,
  [SMALL_STATE(4190)] = 114606,
  [SMALL_STATE(4191)] = 114680,
  [SMALL_STATE(4192)] = 114752,
  [SMALL_STATE(4193)] = 114810,
  [SMALL_STATE(4194)] = 114910,
  [SMALL_STATE(4195)] = 115008,
  [SMALL_STATE(4196)] = 115066,
  [SMALL_STATE(4197)] = 115160,
  [SMALL_STATE(4198)] = 115250,
  [SMALL_STATE(4199)] = 115336,
  [SMALL_STATE(4200)] = 115420,
  [SMALL_STATE(4201)] = 115500,
  [SMALL_STATE(4202)] = 115576,
  [SMALL_STATE(4203)] = 115654,
  [SMALL_STATE(4204)] = 115728,
  [SMALL_STATE(4205)] = 115786,
  [SMALL_STATE(4206)] = 115844,
  [SMALL_STATE(4207)] = 115902,
  [SMALL_STATE(4208)] = 115964,
  [SMALL_STATE(4209)] = 116036,
  [SMALL_STATE(4210)] = 116094,
  [SMALL_STATE(4211)] = 116152,
  [SMALL_STATE(4212)] = 116210,
  [SMALL_STATE(4213)] = 116268,
  [SMALL_STATE(4214)] = 116340,
  [SMALL_STATE(4215)] = 116398,
  [SMALL_STATE(4216)] = 116456,
  [SMALL_STATE(4217)] = 116514,
  [SMALL_STATE(4218)] = 116572,
  [SMALL_STATE(4219)] = 116630,
  [SMALL_STATE(4220)] = 116688,
  [SMALL_STATE(4221)] = 116758,
  [SMALL_STATE(4222)] = 116816,
  [SMALL_STATE(4223)] = 116874,
  [SMALL_STATE(4224)] = 116932,
  [SMALL_STATE(4225)] = 116992,
  [SMALL_STATE(4226)] = 117054,
  [SMALL_STATE(4227)] = 117116,
  [SMALL_STATE(4228)] = 117178,
  [SMALL_STATE(4229)] = 117244,
  [SMALL_STATE(4230)] = 117306,
  [SMALL_STATE(4231)] = 117364,
  [SMALL_STATE(4232)] = 117422,
  [SMALL_STATE(4233)] = 117480,
  [SMALL_STATE(4234)] = 117538,
  [SMALL_STATE(4235)] = 117596,
  [SMALL_STATE(4236)] = 117654,
  [SMALL_STATE(4237)] = 117712,
  [SMALL_STATE(4238)] = 117770,
  [SMALL_STATE(4239)] = 117828,
  [SMALL_STATE(4240)] = 117886,
  [SMALL_STATE(4241)] = 117948,
  [SMALL_STATE(4242)] = 118012,
  [SMALL_STATE(4243)] = 118114,
  [SMALL_STATE(4244)] = 118172,
  [SMALL_STATE(4245)] = 118234,
  [SMALL_STATE(4246)] = 118296,
  [SMALL_STATE(4247)] = 118402,
  [SMALL_STATE(4248)] = 118464,
  [SMALL_STATE(4249)] = 118522,
  [SMALL_STATE(4250)] = 118580,
  [SMALL_STATE(4251)] = 118638,
  [SMALL_STATE(4252)] = 118696,
  [SMALL_STATE(4253)] = 118758,
  [SMALL_STATE(4254)] = 118816,
  [SMALL_STATE(4255)] = 118874,
  [SMALL_STATE(4256)] = 118932,
  [SMALL_STATE(4257)] = 118990,
  [SMALL_STATE(4258)] = 119048,
  [SMALL_STATE(4259)] = 119112,
  [SMALL_STATE(4260)] = 119170,
  [SMALL_STATE(4261)] = 119228,
  [SMALL_STATE(4262)] = 119286,
  [SMALL_STATE(4263)] = 119348,
  [SMALL_STATE(4264)] = 119406,
  [SMALL_STATE(4265)] = 119464,
  [SMALL_STATE(4266)] = 119522,
  [SMALL_STATE(4267)] = 119580,
  [SMALL_STATE(4268)] = 119642,
  [SMALL_STATE(4269)] = 119704,
  [SMALL_STATE(4270)] = 119762,
  [SMALL_STATE(4271)] = 119820,
  [SMALL_STATE(4272)] = 119878,
  [SMALL_STATE(4273)] = 119940,
  [SMALL_STATE(4274)] = 120002,
  [SMALL_STATE(4275)] = 120108,
  [SMALL_STATE(4276)] = 120174,
  [SMALL_STATE(4277)] = 120232,
  [SMALL_STATE(4278)] = 120290,
  [SMALL_STATE(4279)] = 120392,
  [SMALL_STATE(4280)] = 120450,
  [SMALL_STATE(4281)] = 120522,
  [SMALL_STATE(4282)] = 120580,
  [SMALL_STATE(4283)] = 120638,
  [SMALL_STATE(4284)] = 120696,
  [SMALL_STATE(4285)] = 120754,
  [SMALL_STATE(4286)] = 120816,
  [SMALL_STATE(4287)] = 120874,
  [SMALL_STATE(4288)] = 120936,
  [SMALL_STATE(4289)] = 120994,
  [SMALL_STATE(4290)] = 121052,
  [SMALL_STATE(4291)] = 121110,
  [SMALL_STATE(4292)] = 121168,
  [SMALL_STATE(4293)] = 121226,
  [SMALL_STATE(4294)] = 121298,
  [SMALL_STATE(4295)] = 121402,
  [SMALL_STATE(4296)] = 121460,
  [SMALL_STATE(4297)] = 121518,
  [SMALL_STATE(4298)] = 121582,
  [SMALL_STATE(4299)] = 121640,
  [SMALL_STATE(4300)] = 121698,
  [SMALL_STATE(4301)] = 121760,
  [SMALL_STATE(4302)] = 121834,
  [SMALL_STATE(4303)] = 121892,
  [SMALL_STATE(4304)] = 121956,
  [SMALL_STATE(4305)] = 122014,
  [SMALL_STATE(4306)] = 122083,
  [SMALL_STATE(4307)] = 122146,
  [SMALL_STATE(4308)] = 122249,
  [SMALL_STATE(4309)] = 122306,
  [SMALL_STATE(4310)] = 122363,
  [SMALL_STATE(4311)] = 122466,
  [SMALL_STATE(4312)] = 122523,
  [SMALL_STATE(4313)] = 122580,
  [SMALL_STATE(4314)] = 122645,
  [SMALL_STATE(4315)] = 122710,
  [SMALL_STATE(4316)] = 122767,
  [SMALL_STATE(4317)] = 122826,
  [SMALL_STATE(4318)] = 122929,
  [SMALL_STATE(4319)] = 122988,
  [SMALL_STATE(4320)] = 123045,
  [SMALL_STATE(4321)] = 123102,
  [SMALL_STATE(4322)] = 123159,
  [SMALL_STATE(4323)] = 123216,
  [SMALL_STATE(4324)] = 123319,
  [SMALL_STATE(4325)] = 123376,
  [SMALL_STATE(4326)] = 123479,
  [SMALL_STATE(4327)] = 123536,
  [SMALL_STATE(4328)] = 123597,
  [SMALL_STATE(4329)] = 123656,
  [SMALL_STATE(4330)] = 123715,
  [SMALL_STATE(4331)] = 123778,
  [SMALL_STATE(4332)] = 123881,
  [SMALL_STATE(4333)] = 123950,
  [SMALL_STATE(4334)] = 124053,
  [SMALL_STATE(4335)] = 124122,
  [SMALL_STATE(4336)] = 124179,
  [SMALL_STATE(4337)] = 124236,
  [SMALL_STATE(4338)] = 124297,
  [SMALL_STATE(4339)] = 124356,
  [SMALL_STATE(4340)] = 124415,
  [SMALL_STATE(4341)] = 124484,
  [SMALL_STATE(4342)] = 124545,
  [SMALL_STATE(4343)] = 124602,
  [SMALL_STATE(4344)] = 124705,
  [SMALL_STATE(4345)] = 124770,
  [SMALL_STATE(4346)] = 124833,
  [SMALL_STATE(4347)] = 124900,
  [SMALL_STATE(4348)] = 124967,
  [SMALL_STATE(4349)] = 125023,
  [SMALL_STATE(4350)] = 125085,
  [SMALL_STATE(4351)] = 125141,
  [SMALL_STATE(4352)] = 125197,
  [SMALL_STATE(4353)] = 125259,
  [SMALL_STATE(4354)] = 125315,
  [SMALL_STATE(4355)] = 125371,
  [SMALL_STATE(4356)] = 125427,
  [SMALL_STATE(4357)] = 125483,
  [SMALL_STATE(4358)] = 125539,
  [SMALL_STATE(4359)] = 125595,
  [SMALL_STATE(4360)] = 125651,
  [SMALL_STATE(4361)] = 125707,
  [SMALL_STATE(4362)] = 125763,
  [SMALL_STATE(4363)] = 125819,
  [SMALL_STATE(4364)] = 125875,
  [SMALL_STATE(4365)] = 125935,
  [SMALL_STATE(4366)] = 125997,
  [SMALL_STATE(4367)] = 126053,
  [SMALL_STATE(4368)] = 126109,
  [SMALL_STATE(4369)] = 126167,
  [SMALL_STATE(4370)] = 126223,
  [SMALL_STATE(4371)] = 126293,
  [SMALL_STATE(4372)] = 126349,
  [SMALL_STATE(4373)] = 126405,
  [SMALL_STATE(4374)] = 126477,
  [SMALL_STATE(4375)] = 126533,
  [SMALL_STATE(4376)] = 126589,
  [SMALL_STATE(4377)] = 126645,
  [SMALL_STATE(4378)] = 126747,
  [SMALL_STATE(4379)] = 126803,
  [SMALL_STATE(4380)] = 126859,
  [SMALL_STATE(4381)] = 126915,
  [SMALL_STATE(4382)] = 126971,
  [SMALL_STATE(4383)] = 127027,
  [SMALL_STATE(4384)] = 127083,
  [SMALL_STATE(4385)] = 127139,
  [SMALL_STATE(4386)] = 127199,
  [SMALL_STATE(4387)] = 127265,
  [SMALL_STATE(4388)] = 127325,
  [SMALL_STATE(4389)] = 127385,
  [SMALL_STATE(4390)] = 127441,
  [SMALL_STATE(4391)] = 127497,
  [SMALL_STATE(4392)] = 127557,
  [SMALL_STATE(4393)] = 127613,
  [SMALL_STATE(4394)] = 127669,
  [SMALL_STATE(4395)] = 127771,
  [SMALL_STATE(4396)] = 127827,
  [SMALL_STATE(4397)] = 127889,
  [SMALL_STATE(4398)] = 127945,
  [SMALL_STATE(4399)] = 128001,
  [SMALL_STATE(4400)] = 128057,
  [SMALL_STATE(4401)] = 128113,
  [SMALL_STATE(4402)] = 128169,
  [SMALL_STATE(4403)] = 128225,
  [SMALL_STATE(4404)] = 128281,
  [SMALL_STATE(4405)] = 128337,
  [SMALL_STATE(4406)] = 128439,
  [SMALL_STATE(4407)] = 128495,
  [SMALL_STATE(4408)] = 128551,
  [SMALL_STATE(4409)] = 128619,
  [SMALL_STATE(4410)] = 128675,
  [SMALL_STATE(4411)] = 128731,
  [SMALL_STATE(4412)] = 128787,
  [SMALL_STATE(4413)] = 128843,
  [SMALL_STATE(4414)] = 128899,
  [SMALL_STATE(4415)] = 128955,
  [SMALL_STATE(4416)] = 129023,
  [SMALL_STATE(4417)] = 129079,
  [SMALL_STATE(4418)] = 129151,
  [SMALL_STATE(4419)] = 129207,
  [SMALL_STATE(4420)] = 129263,
  [SMALL_STATE(4421)] = 129333,
  [SMALL_STATE(4422)] = 129389,
  [SMALL_STATE(4423)] = 129461,
  [SMALL_STATE(4424)] = 129527,
  [SMALL_STATE(4425)] = 129583,
  [SMALL_STATE(4426)] = 129643,
  [SMALL_STATE(4427)] = 129699,
  [SMALL_STATE(4428)] = 129769,
  [SMALL_STATE(4429)] = 129825,
  [SMALL_STATE(4430)] = 129881,
  [SMALL_STATE(4431)] = 129941,
  [SMALL_STATE(4432)] = 130001,
  [SMALL_STATE(4433)] = 130103,
  [SMALL_STATE(4434)] = 130159,
  [SMALL_STATE(4435)] = 130215,
  [SMALL_STATE(4436)] = 130271,
  [SMALL_STATE(4437)] = 130327,
  [SMALL_STATE(4438)] = 130383,
  [SMALL_STATE(4439)] = 130439,
  [SMALL_STATE(4440)] = 130495,
  [SMALL_STATE(4441)] = 130565,
  [SMALL_STATE(4442)] = 130621,
  [SMALL_STATE(4443)] = 130681,
  [SMALL_STATE(4444)] = 130737,
  [SMALL_STATE(4445)] = 130793,
  [SMALL_STATE(4446)] = 130849,
  [SMALL_STATE(4447)] = 130905,
  [SMALL_STATE(4448)] = 130977,
  [SMALL_STATE(4449)] = 131033,
  [SMALL_STATE(4450)] = 131088,
  [SMALL_STATE(4451)] = 131143,
  [SMALL_STATE(4452)] = 131198,
  [SMALL_STATE(4453)] = 131253,
  [SMALL_STATE(4454)] = 131320,
  [SMALL_STATE(4455)] = 131375,
  [SMALL_STATE(4456)] = 131430,
  [SMALL_STATE(4457)] = 131485,
  [SMALL_STATE(4458)] = 131540,
  [SMALL_STATE(4459)] = 131611,
  [SMALL_STATE(4460)] = 131666,
  [SMALL_STATE(4461)] = 131721,
  [SMALL_STATE(4462)] = 131776,
  [SMALL_STATE(4463)] = 131831,
  [SMALL_STATE(4464)] = 131886,
  [SMALL_STATE(4465)] = 131941,
  [SMALL_STATE(4466)] = 131996,
  [SMALL_STATE(4467)] = 132051,
  [SMALL_STATE(4468)] = 132106,
  [SMALL_STATE(4469)] = 132161,
  [SMALL_STATE(4470)] = 132224,
  [SMALL_STATE(4471)] = 132279,
  [SMALL_STATE(4472)] = 132346,
  [SMALL_STATE(4473)] = 132409,
  [SMALL_STATE(4474)] = 132464,
  [SMALL_STATE(4475)] = 132527,
  [SMALL_STATE(4476)] = 132594,
  [SMALL_STATE(4477)] = 132649,
  [SMALL_STATE(4478)] = 132750,
  [SMALL_STATE(4479)] = 132805,
  [SMALL_STATE(4480)] = 132860,
  [SMALL_STATE(4481)] = 132915,
  [SMALL_STATE(4482)] = 132970,
  [SMALL_STATE(4483)] = 133025,
  [SMALL_STATE(4484)] = 133080,
  [SMALL_STATE(4485)] = 133137,
  [SMALL_STATE(4486)] = 133200,
  [SMALL_STATE(4487)] = 133255,
  [SMALL_STATE(4488)] = 133310,
  [SMALL_STATE(4489)] = 133367,
  [SMALL_STATE(4490)] = 133468,
  [SMALL_STATE(4491)] = 133535,
  [SMALL_STATE(4492)] = 133590,
  [SMALL_STATE(4493)] = 133645,
  [SMALL_STATE(4494)] = 133700,
  [SMALL_STATE(4495)] = 133755,
  [SMALL_STATE(4496)] = 133810,
  [SMALL_STATE(4497)] = 133869,
  [SMALL_STATE(4498)] = 133924,
  [SMALL_STATE(4499)] = 133981,
  [SMALL_STATE(4500)] = 134036,
  [SMALL_STATE(4501)] = 134091,
  [SMALL_STATE(4502)] = 134146,
  [SMALL_STATE(4503)] = 134209,
  [SMALL_STATE(4504)] = 134264,
  [SMALL_STATE(4505)] = 134319,
  [SMALL_STATE(4506)] = 134374,
  [SMALL_STATE(4507)] = 134437,
  [SMALL_STATE(4508)] = 134492,
  [SMALL_STATE(4509)] = 134547,
  [SMALL_STATE(4510)] = 134607,
  [SMALL_STATE(4511)] = 134667,
  [SMALL_STATE(4512)] = 134725,
  [SMALL_STATE(4513)] = 134783,
  [SMALL_STATE(4514)] = 134841,
  [SMALL_STATE(4515)] = 134899,
  [SMALL_STATE(4516)] = 134957,
  [SMALL_STATE(4517)] = 135015,
  [SMALL_STATE(4518)] = 135073,
  [SMALL_STATE(4519)] = 135131,
  [SMALL_STATE(4520)] = 135189,
  [SMALL_STATE(4521)] = 135259,
  [SMALL_STATE(4522)] = 135313,
  [SMALL_STATE(4523)] = 135383,
  [SMALL_STATE(4524)] = 135469,
  [SMALL_STATE(4525)] = 135555,
  [SMALL_STATE(4526)] = 135641,
  [SMALL_STATE(4527)] = 135699,
  [SMALL_STATE(4528)] = 135763,
  [SMALL_STATE(4529)] = 135833,
  [SMALL_STATE(4530)] = 135891,
  [SMALL_STATE(4531)] = 135949,
  [SMALL_STATE(4532)] = 136035,
  [SMALL_STATE(4533)] = 136093,
  [SMALL_STATE(4534)] = 136151,
  [SMALL_STATE(4535)] = 136209,
  [SMALL_STATE(4536)] = 136267,
  [SMALL_STATE(4537)] = 136325,
  [SMALL_STATE(4538)] = 136383,
  [SMALL_STATE(4539)] = 136441,
  [SMALL_STATE(4540)] = 136511,
  [SMALL_STATE(4541)] = 136571,
  [SMALL_STATE(4542)] = 136629,
  [SMALL_STATE(4543)] = 136687,
  [SMALL_STATE(4544)] = 136745,
  [SMALL_STATE(4545)] = 136803,
  [SMALL_STATE(4546)] = 136861,
  [SMALL_STATE(4547)] = 136931,
  [SMALL_STATE(4548)] = 137017,
  [SMALL_STATE(4549)] = 137115,
  [SMALL_STATE(4550)] = 137185,
  [SMALL_STATE(4551)] = 137245,
  [SMALL_STATE(4552)] = 137303,
  [SMALL_STATE(4553)] = 137373,
  [SMALL_STATE(4554)] = 137459,
  [SMALL_STATE(4555)] = 137515,
  [SMALL_STATE(4556)] = 137573,
  [SMALL_STATE(4557)] = 137643,
  [SMALL_STATE(4558)] = 137738,
  [SMALL_STATE(4559)] = 137833,
  [SMALL_STATE(4560)] = 137928,
  [SMALL_STATE(4561)] = 138023,
  [SMALL_STATE(4562)] = 138118,
  [SMALL_STATE(4563)] = 138213,
  [SMALL_STATE(4564)] = 138274,
  [SMALL_STATE(4565)] = 138369,
  [SMALL_STATE(4566)] = 138464,
  [SMALL_STATE(4567)] = 138559,
  [SMALL_STATE(4568)] = 138654,
  [SMALL_STATE(4569)] = 138749,
  [SMALL_STATE(4570)] = 138844,
  [SMALL_STATE(4571)] = 138939,
  [SMALL_STATE(4572)] = 139034,
  [SMALL_STATE(4573)] = 139093,
  [SMALL_STATE(4574)] = 139188,
  [SMALL_STATE(4575)] = 139241,
  [SMALL_STATE(4576)] = 139336,
  [SMALL_STATE(4577)] = 139431,
  [SMALL_STATE(4578)] = 139526,
  [SMALL_STATE(4579)] = 139621,
  [SMALL_STATE(4580)] = 139716,
  [SMALL_STATE(4581)] = 139811,
  [SMALL_STATE(4582)] = 139906,
  [SMALL_STATE(4583)] = 139967,
  [SMALL_STATE(4584)] = 140066,
  [SMALL_STATE(4585)] = 140119,
  [SMALL_STATE(4586)] = 140214,
  [SMALL_STATE(4587)] = 140309,
  [SMALL_STATE(4588)] = 140404,
  [SMALL_STATE(4589)] = 140499,
  [SMALL_STATE(4590)] = 140594,
  [SMALL_STATE(4591)] = 140689,
  [SMALL_STATE(4592)] = 140784,
  [SMALL_STATE(4593)] = 140879,
  [SMALL_STATE(4594)] = 140974,
  [SMALL_STATE(4595)] = 141069,
  [SMALL_STATE(4596)] = 141164,
  [SMALL_STATE(4597)] = 141259,
  [SMALL_STATE(4598)] = 141354,
  [SMALL_STATE(4599)] = 141449,
  [SMALL_STATE(4600)] = 141502,
  [SMALL_STATE(4601)] = 141597,
  [SMALL_STATE(4602)] = 141692,
  [SMALL_STATE(4603)] = 141745,
  [SMALL_STATE(4604)] = 141840,
  [SMALL_STATE(4605)] = 141939,
  [SMALL_STATE(4606)] = 142034,
  [SMALL_STATE(4607)] = 142087,
  [SMALL_STATE(4608)] = 142182,
  [SMALL_STATE(4609)] = 142277,
  [SMALL_STATE(4610)] = 142362,
  [SMALL_STATE(4611)] = 142457,
  [SMALL_STATE(4612)] = 142520,
  [SMALL_STATE(4613)] = 142573,
  [SMALL_STATE(4614)] = 142668,
  [SMALL_STATE(4615)] = 142721,
  [SMALL_STATE(4616)] = 142816,
  [SMALL_STATE(4617)] = 142875,
  [SMALL_STATE(4618)] = 142970,
  [SMALL_STATE(4619)] = 143065,
  [SMALL_STATE(4620)] = 143160,
  [SMALL_STATE(4621)] = 143255,
  [SMALL_STATE(4622)] = 143350,
  [SMALL_STATE(4623)] = 143445,
  [SMALL_STATE(4624)] = 143544,
  [SMALL_STATE(4625)] = 143639,
  [SMALL_STATE(4626)] = 143734,
  [SMALL_STATE(4627)] = 143829,
  [SMALL_STATE(4628)] = 143924,
  [SMALL_STATE(4629)] = 144019,
  [SMALL_STATE(4630)] = 144114,
  [SMALL_STATE(4631)] = 144209,
  [SMALL_STATE(4632)] = 144304,
  [SMALL_STATE(4633)] = 144399,
  [SMALL_STATE(4634)] = 144494,
  [SMALL_STATE(4635)] = 144589,
  [SMALL_STATE(4636)] = 144684,
  [SMALL_STATE(4637)] = 144779,
  [SMALL_STATE(4638)] = 144874,
  [SMALL_STATE(4639)] = 144969,
  [SMALL_STATE(4640)] = 145024,
  [SMALL_STATE(4641)] = 145119,
  [SMALL_STATE(4642)] = 145214,
  [SMALL_STATE(4643)] = 145309,
  [SMALL_STATE(4644)] = 145404,
  [SMALL_STATE(4645)] = 145499,
  [SMALL_STATE(4646)] = 145594,
  [SMALL_STATE(4647)] = 145689,
  [SMALL_STATE(4648)] = 145748,
  [SMALL_STATE(4649)] = 145843,
  [SMALL_STATE(4650)] = 145938,
  [SMALL_STATE(4651)] = 146033,
  [SMALL_STATE(4652)] = 146128,
  [SMALL_STATE(4653)] = 146223,
  [SMALL_STATE(4654)] = 146318,
  [SMALL_STATE(4655)] = 146403,
  [SMALL_STATE(4656)] = 146470,
  [SMALL_STATE(4657)] = 146569,
  [SMALL_STATE(4658)] = 146664,
  [SMALL_STATE(4659)] = 146759,
  [SMALL_STATE(4660)] = 146854,
  [SMALL_STATE(4661)] = 146906,
  [SMALL_STATE(4662)] = 146962,
  [SMALL_STATE(4663)] = 147046,
  [SMALL_STATE(4664)] = 147110,
  [SMALL_STATE(4665)] = 147202,
  [SMALL_STATE(4666)] = 147254,
  [SMALL_STATE(4667)] = 147318,
  [SMALL_STATE(4668)] = 147386,
  [SMALL_STATE(4669)] = 147478,
  [SMALL_STATE(4670)] = 147562,
  [SMALL_STATE(4671)] = 147618,
  [SMALL_STATE(4672)] = 147670,
  [SMALL_STATE(4673)] = 147722,
  [SMALL_STATE(4674)] = 147774,
  [SMALL_STATE(4675)] = 147830,
  [SMALL_STATE(4676)] = 147882,
  [SMALL_STATE(4677)] = 147934,
  [SMALL_STATE(4678)] = 147986,
  [SMALL_STATE(4679)] = 148078,
  [SMALL_STATE(4680)] = 148130,
  [SMALL_STATE(4681)] = 148182,
  [SMALL_STATE(4682)] = 148234,
  [SMALL_STATE(4683)] = 148286,
  [SMALL_STATE(4684)] = 148338,
  [SMALL_STATE(4685)] = 148430,
  [SMALL_STATE(4686)] = 148482,
  [SMALL_STATE(4687)] = 148574,
  [SMALL_STATE(4688)] = 148626,
  [SMALL_STATE(4689)] = 148678,
  [SMALL_STATE(4690)] = 148730,
  [SMALL_STATE(4691)] = 148822,
  [SMALL_STATE(4692)] = 148914,
  [SMALL_STATE(4693)] = 149006,
  [SMALL_STATE(4694)] = 149058,
  [SMALL_STATE(4695)] = 149114,
  [SMALL_STATE(4696)] = 149206,
  [SMALL_STATE(4697)] = 149258,
  [SMALL_STATE(4698)] = 149314,
  [SMALL_STATE(4699)] = 149406,
  [SMALL_STATE(4700)] = 149462,
  [SMALL_STATE(4701)] = 149518,
  [SMALL_STATE(4702)] = 149576,
  [SMALL_STATE(4703)] = 149640,
  [SMALL_STATE(4704)] = 149708,
  [SMALL_STATE(4705)] = 149760,
  [SMALL_STATE(4706)] = 149852,
  [SMALL_STATE(4707)] = 149904,
  [SMALL_STATE(4708)] = 149960,
  [SMALL_STATE(4709)] = 150028,
  [SMALL_STATE(4710)] = 150084,
  [SMALL_STATE(4711)] = 150140,
  [SMALL_STATE(4712)] = 150232,
  [SMALL_STATE(4713)] = 150300,
  [SMALL_STATE(4714)] = 150352,
  [SMALL_STATE(4715)] = 150404,
  [SMALL_STATE(4716)] = 150488,
  [SMALL_STATE(4717)] = 150552,
  [SMALL_STATE(4718)] = 150604,
  [SMALL_STATE(4719)] = 150656,
  [SMALL_STATE(4720)] = 150708,
  [SMALL_STATE(4721)] = 150760,
  [SMALL_STATE(4722)] = 150852,
  [SMALL_STATE(4723)] = 150944,
  [SMALL_STATE(4724)] = 150996,
  [SMALL_STATE(4725)] = 151048,
  [SMALL_STATE(4726)] = 151100,
  [SMALL_STATE(4727)] = 151156,
  [SMALL_STATE(4728)] = 151212,
  [SMALL_STATE(4729)] = 151304,
  [SMALL_STATE(4730)] = 151388,
  [SMALL_STATE(4731)] = 151440,
  [SMALL_STATE(4732)] = 151508,
  [SMALL_STATE(4733)] = 151560,
  [SMALL_STATE(4734)] = 151612,
  [SMALL_STATE(4735)] = 151664,
  [SMALL_STATE(4736)] = 151749,
  [SMALL_STATE(4737)] = 151800,
  [SMALL_STATE(4738)] = 151877,
  [SMALL_STATE(4739)] = 151962,
  [SMALL_STATE(4740)] = 152029,
  [SMALL_STATE(4741)] = 152102,
  [SMALL_STATE(4742)] = 152187,
  [SMALL_STATE(4743)] = 152272,
  [SMALL_STATE(4744)] = 152373,
  [SMALL_STATE(4745)] = 152468,
  [SMALL_STATE(4746)] = 152535,
  [SMALL_STATE(4747)] = 152626,
  [SMALL_STATE(4748)] = 152711,
  [SMALL_STATE(4749)] = 152800,
  [SMALL_STATE(4750)] = 152851,
  [SMALL_STATE(4751)] = 152936,
  [SMALL_STATE(4752)] = 152987,
  [SMALL_STATE(4753)] = 153038,
  [SMALL_STATE(4754)] = 153121,
  [SMALL_STATE(4755)] = 153178,
  [SMALL_STATE(4756)] = 153229,
  [SMALL_STATE(4757)] = 153328,
  [SMALL_STATE(4758)] = 153411,
  [SMALL_STATE(4759)] = 153462,
  [SMALL_STATE(4760)] = 153541,
  [SMALL_STATE(4761)] = 153618,
  [SMALL_STATE(4762)] = 153703,
  [SMALL_STATE(4763)] = 153788,
  [SMALL_STATE(4764)] = 153883,
  [SMALL_STATE(4765)] = 153968,
  [SMALL_STATE(4766)] = 154053,
  [SMALL_STATE(4767)] = 154156,
  [SMALL_STATE(4768)] = 154207,
  [SMALL_STATE(4769)] = 154306,
  [SMALL_STATE(4770)] = 154381,
  [SMALL_STATE(4771)] = 154466,
  [SMALL_STATE(4772)] = 154551,
  [SMALL_STATE(4773)] = 154654,
  [SMALL_STATE(4774)] = 154739,
  [SMALL_STATE(4775)] = 154842,
  [SMALL_STATE(4776)] = 154941,
  [SMALL_STATE(4777)] = 155040,
  [SMALL_STATE(4778)] = 155123,
  [SMALL_STATE(4779)] = 155190,
  [SMALL_STATE(4780)] = 155275,
  [SMALL_STATE(4781)] = 155334,
  [SMALL_STATE(4782)] = 155419,
  [SMALL_STATE(4783)] = 155472,
  [SMALL_STATE(4784)] = 155523,
  [SMALL_STATE(4785)] = 155608,
  [SMALL_STATE(4786)] = 155709,
  [SMALL_STATE(4787)] = 155776,
  [SMALL_STATE(4788)] = 155827,
  [SMALL_STATE(4789)] = 155912,
  [SMALL_STATE(4790)] = 155963,
  [SMALL_STATE(4791)] = 156034,
  [SMALL_STATE(4792)] = 156103,
  [SMALL_STATE(4793)] = 156188,
  [SMALL_STATE(4794)] = 156239,
  [SMALL_STATE(4795)] = 156324,
  [SMALL_STATE(4796)] = 156427,
  [SMALL_STATE(4797)] = 156483,
  [SMALL_STATE(4798)] = 156533,
  [SMALL_STATE(4799)] = 156615,
  [SMALL_STATE(4800)] = 156665,
  [SMALL_STATE(4801)] = 156715,
  [SMALL_STATE(4802)] = 156765,
  [SMALL_STATE(4803)] = 156815,
  [SMALL_STATE(4804)] = 156865,
  [SMALL_STATE(4805)] = 156915,
  [SMALL_STATE(4806)] = 156965,
  [SMALL_STATE(4807)] = 157021,
  [SMALL_STATE(4808)] = 157071,
  [SMALL_STATE(4809)] = 157127,
  [SMALL_STATE(4810)] = 157209,
  [SMALL_STATE(4811)] = 157265,
  [SMALL_STATE(4812)] = 157315,
  [SMALL_STATE(4813)] = 157365,
  [SMALL_STATE(4814)] = 157415,
  [SMALL_STATE(4815)] = 157465,
  [SMALL_STATE(4816)] = 157515,
  [SMALL_STATE(4817)] = 157565,
  [SMALL_STATE(4818)] = 157615,
  [SMALL_STATE(4819)] = 157665,
  [SMALL_STATE(4820)] = 157717,
  [SMALL_STATE(4821)] = 157767,
  [SMALL_STATE(4822)] = 157817,
  [SMALL_STATE(4823)] = 157867,
  [SMALL_STATE(4824)] = 157919,
  [SMALL_STATE(4825)] = 157975,
  [SMALL_STATE(4826)] = 158025,
  [SMALL_STATE(4827)] = 158077,
  [SMALL_STATE(4828)] = 158127,
  [SMALL_STATE(4829)] = 158183,
  [SMALL_STATE(4830)] = 158245,
  [SMALL_STATE(4831)] = 158297,
  [SMALL_STATE(4832)] = 158347,
  [SMALL_STATE(4833)] = 158397,
  [SMALL_STATE(4834)] = 158447,
  [SMALL_STATE(4835)] = 158497,
  [SMALL_STATE(4836)] = 158547,
  [SMALL_STATE(4837)] = 158597,
  [SMALL_STATE(4838)] = 158647,
  [SMALL_STATE(4839)] = 158697,
  [SMALL_STATE(4840)] = 158753,
  [SMALL_STATE(4841)] = 158803,
  [SMALL_STATE(4842)] = 158859,
  [SMALL_STATE(4843)] = 158909,
  [SMALL_STATE(4844)] = 158959,
  [SMALL_STATE(4845)] = 159009,
  [SMALL_STATE(4846)] = 159086,
  [SMALL_STATE(4847)] = 159187,
  [SMALL_STATE(4848)] = 159244,
  [SMALL_STATE(4849)] = 159331,
  [SMALL_STATE(4850)] = 159398,
  [SMALL_STATE(4851)] = 159481,
  [SMALL_STATE(4852)] = 159578,
  [SMALL_STATE(4853)] = 159631,
  [SMALL_STATE(4854)] = 159720,
  [SMALL_STATE(4855)] = 159821,
  [SMALL_STATE(4856)] = 159914,
  [SMALL_STATE(4857)] = 159991,
  [SMALL_STATE(4858)] = 160092,
  [SMALL_STATE(4859)] = 160141,
  [SMALL_STATE(4860)] = 160190,
  [SMALL_STATE(4861)] = 160271,
  [SMALL_STATE(4862)] = 160348,
  [SMALL_STATE(4863)] = 160397,
  [SMALL_STATE(4864)] = 160446,
  [SMALL_STATE(4865)] = 160509,
  [SMALL_STATE(4866)] = 160612,
  [SMALL_STATE(4867)] = 160713,
  [SMALL_STATE(4868)] = 160782,
  [SMALL_STATE(4869)] = 160831,
  [SMALL_STATE(4870)] = 160880,
  [SMALL_STATE(4871)] = 160983,
  [SMALL_STATE(4872)] = 161032,
  [SMALL_STATE(4873)] = 161103,
  [SMALL_STATE(4874)] = 161154,
  [SMALL_STATE(4875)] = 161205,
  [SMALL_STATE(4876)] = 161308,
  [SMALL_STATE(4877)] = 161385,
  [SMALL_STATE(4878)] = 161434,
  [SMALL_STATE(4879)] = 161487,
  [SMALL_STATE(4880)] = 161538,
  [SMALL_STATE(4881)] = 161599,
  [SMALL_STATE(4882)] = 161680,
  [SMALL_STATE(4883)] = 161783,
  [SMALL_STATE(4884)] = 161844,
  [SMALL_STATE(4885)] = 161905,
  [SMALL_STATE(4886)] = 161986,
  [SMALL_STATE(4887)] = 162063,
  [SMALL_STATE(4888)] = 162136,
  [SMALL_STATE(4889)] = 162233,
  [SMALL_STATE(4890)] = 162294,
  [SMALL_STATE(4891)] = 162347,
  [SMALL_STATE(4892)] = 162436,
  [SMALL_STATE(4893)] = 162487,
  [SMALL_STATE(4894)] = 162550,
  [SMALL_STATE(4895)] = 162647,
  [SMALL_STATE(4896)] = 162724,
  [SMALL_STATE(4897)] = 162787,
  [SMALL_STATE(4898)] = 162884,
  [SMALL_STATE(4899)] = 162947,
  [SMALL_STATE(4900)] = 163024,
  [SMALL_STATE(4901)] = 163092,
  [SMALL_STATE(4902)] = 163172,
  [SMALL_STATE(4903)] = 163220,
  [SMALL_STATE(4904)] = 163288,
  [SMALL_STATE(4905)] = 163356,
  [SMALL_STATE(4906)] = 163404,
  [SMALL_STATE(4907)] = 163474,
  [SMALL_STATE(4908)] = 163532,
  [SMALL_STATE(4909)] = 163598,
  [SMALL_STATE(4910)] = 163692,
  [SMALL_STATE(4911)] = 163768,
  [SMALL_STATE(4912)] = 163816,
  [SMALL_STATE(4913)] = 163910,
  [SMALL_STATE(4914)] = 163998,
  [SMALL_STATE(4915)] = 164052,
  [SMALL_STATE(4916)] = 164110,
  [SMALL_STATE(4917)] = 164178,
  [SMALL_STATE(4918)] = 164236,
  [SMALL_STATE(4919)] = 164322,
  [SMALL_STATE(4920)] = 164406,
  [SMALL_STATE(4921)] = 164482,
  [SMALL_STATE(4922)] = 164564,
  [SMALL_STATE(4923)] = 164664,
  [SMALL_STATE(4924)] = 164754,
  [SMALL_STATE(4925)] = 164832,
  [SMALL_STATE(4926)] = 164922,
  [SMALL_STATE(4927)] = 164976,
  [SMALL_STATE(4928)] = 165066,
  [SMALL_STATE(4929)] = 165146,
  [SMALL_STATE(4930)] = 165240,
  [SMALL_STATE(4931)] = 165330,
  [SMALL_STATE(4932)] = 165406,
  [SMALL_STATE(4933)] = 165464,
  [SMALL_STATE(4934)] = 165514,
  [SMALL_STATE(4935)] = 165586,
  [SMALL_STATE(4936)] = 165636,
  [SMALL_STATE(4937)] = 165684,
  [SMALL_STATE(4938)] = 165742,
  [SMALL_STATE(4939)] = 165817,
  [SMALL_STATE(4940)] = 165864,
  [SMALL_STATE(4941)] = 165911,
  [SMALL_STATE(4942)] = 165958,
  [SMALL_STATE(4943)] = 166005,
  [SMALL_STATE(4944)] = 166052,
  [SMALL_STATE(4945)] = 166099,
  [SMALL_STATE(4946)] = 166196,
  [SMALL_STATE(4947)] = 166273,
  [SMALL_STATE(4948)] = 166360,
  [SMALL_STATE(4949)] = 166457,
  [SMALL_STATE(4950)] = 166554,
  [SMALL_STATE(4951)] = 166601,
  [SMALL_STATE(4952)] = 166688,
  [SMALL_STATE(4953)] = 166765,
  [SMALL_STATE(4954)] = 166862,
  [SMALL_STATE(4955)] = 166959,
  [SMALL_STATE(4956)] = 167006,
  [SMALL_STATE(4957)] = 167103,
  [SMALL_STATE(4958)] = 167180,
  [SMALL_STATE(4959)] = 167255,
  [SMALL_STATE(4960)] = 167304,
  [SMALL_STATE(4961)] = 167401,
  [SMALL_STATE(4962)] = 167448,
  [SMALL_STATE(4963)] = 167545,
  [SMALL_STATE(4964)] = 167642,
  [SMALL_STATE(4965)] = 167689,
  [SMALL_STATE(4966)] = 167786,
  [SMALL_STATE(4967)] = 167833,
  [SMALL_STATE(4968)] = 167930,
  [SMALL_STATE(4969)] = 168025,
  [SMALL_STATE(4970)] = 168122,
  [SMALL_STATE(4971)] = 168219,
  [SMALL_STATE(4972)] = 168316,
  [SMALL_STATE(4973)] = 168413,
  [SMALL_STATE(4974)] = 168506,
  [SMALL_STATE(4975)] = 168603,
  [SMALL_STATE(4976)] = 168700,
  [SMALL_STATE(4977)] = 168797,
  [SMALL_STATE(4978)] = 168874,
  [SMALL_STATE(4979)] = 168921,
  [SMALL_STATE(4980)] = 169018,
  [SMALL_STATE(4981)] = 169071,
  [SMALL_STATE(4982)] = 169168,
  [SMALL_STATE(4983)] = 169265,
  [SMALL_STATE(4984)] = 169320,
  [SMALL_STATE(4985)] = 169367,
  [SMALL_STATE(4986)] = 169414,
  [SMALL_STATE(4987)] = 169469,
  [SMALL_STATE(4988)] = 169516,
  [SMALL_STATE(4989)] = 169563,
  [SMALL_STATE(4990)] = 169610,
  [SMALL_STATE(4991)] = 169657,
  [SMALL_STATE(4992)] = 169704,
  [SMALL_STATE(4993)] = 169751,
  [SMALL_STATE(4994)] = 169798,
  [SMALL_STATE(4995)] = 169845,
  [SMALL_STATE(4996)] = 169942,
  [SMALL_STATE(4997)] = 169989,
  [SMALL_STATE(4998)] = 170086,
  [SMALL_STATE(4999)] = 170183,
  [SMALL_STATE(5000)] = 170272,
  [SMALL_STATE(5001)] = 170319,
  [SMALL_STATE(5002)] = 170366,
  [SMALL_STATE(5003)] = 170413,
  [SMALL_STATE(5004)] = 170510,
  [SMALL_STATE(5005)] = 170587,
  [SMALL_STATE(5006)] = 170634,
  [SMALL_STATE(5007)] = 170681,
  [SMALL_STATE(5008)] = 170758,
  [SMALL_STATE(5009)] = 170835,
  [SMALL_STATE(5010)] = 170882,
  [SMALL_STATE(5011)] = 170979,
  [SMALL_STATE(5012)] = 171076,
  [SMALL_STATE(5013)] = 171173,
  [SMALL_STATE(5014)] = 171220,
  [SMALL_STATE(5015)] = 171317,
  [SMALL_STATE(5016)] = 171414,
  [SMALL_STATE(5017)] = 171511,
  [SMALL_STATE(5018)] = 171608,
  [SMALL_STATE(5019)] = 171655,
  [SMALL_STATE(5020)] = 171752,
  [SMALL_STATE(5021)] = 171801,
  [SMALL_STATE(5022)] = 171898,
  [SMALL_STATE(5023)] = 171951,
  [SMALL_STATE(5024)] = 171998,
  [SMALL_STATE(5025)] = 172051,
  [SMALL_STATE(5026)] = 172098,
  [SMALL_STATE(5027)] = 172149,
  [SMALL_STATE(5028)] = 172196,
  [SMALL_STATE(5029)] = 172275,
  [SMALL_STATE(5030)] = 172322,
  [SMALL_STATE(5031)] = 172369,
  [SMALL_STATE(5032)] = 172416,
  [SMALL_STATE(5033)] = 172513,
  [SMALL_STATE(5034)] = 172560,
  [SMALL_STATE(5035)] = 172611,
  [SMALL_STATE(5036)] = 172690,
  [SMALL_STATE(5037)] = 172787,
  [SMALL_STATE(5038)] = 172866,
  [SMALL_STATE(5039)] = 172963,
  [SMALL_STATE(5040)] = 173060,
  [SMALL_STATE(5041)] = 173157,
  [SMALL_STATE(5042)] = 173254,
  [SMALL_STATE(5043)] = 173351,
  [SMALL_STATE(5044)] = 173440,
  [SMALL_STATE(5045)] = 173537,
  [SMALL_STATE(5046)] = 173634,
  [SMALL_STATE(5047)] = 173731,
  [SMALL_STATE(5048)] = 173778,
  [SMALL_STATE(5049)] = 173825,
  [SMALL_STATE(5050)] = 173872,
  [SMALL_STATE(5051)] = 173969,
  [SMALL_STATE(5052)] = 174018,
  [SMALL_STATE(5053)] = 174065,
  [SMALL_STATE(5054)] = 174158,
  [SMALL_STATE(5055)] = 174205,
  [SMALL_STATE(5056)] = 174252,
  [SMALL_STATE(5057)] = 174299,
  [SMALL_STATE(5058)] = 174392,
  [SMALL_STATE(5059)] = 174439,
  [SMALL_STATE(5060)] = 174486,
  [SMALL_STATE(5061)] = 174533,
  [SMALL_STATE(5062)] = 174630,
  [SMALL_STATE(5063)] = 174677,
  [SMALL_STATE(5064)] = 174774,
  [SMALL_STATE(5065)] = 174871,
  [SMALL_STATE(5066)] = 174964,
  [SMALL_STATE(5067)] = 175061,
  [SMALL_STATE(5068)] = 175108,
  [SMALL_STATE(5069)] = 175205,
  [SMALL_STATE(5070)] = 175252,
  [SMALL_STATE(5071)] = 175299,
  [SMALL_STATE(5072)] = 175346,
  [SMALL_STATE(5073)] = 175399,
  [SMALL_STATE(5074)] = 175494,
  [SMALL_STATE(5075)] = 175541,
  [SMALL_STATE(5076)] = 175588,
  [SMALL_STATE(5077)] = 175685,
  [SMALL_STATE(5078)] = 175760,
  [SMALL_STATE(5079)] = 175857,
  [SMALL_STATE(5080)] = 175904,
  [SMALL_STATE(5081)] = 176001,
  [SMALL_STATE(5082)] = 176098,
  [SMALL_STATE(5083)] = 176145,
  [SMALL_STATE(5084)] = 176192,
  [SMALL_STATE(5085)] = 176239,
  [SMALL_STATE(5086)] = 176336,
  [SMALL_STATE(5087)] = 176433,
  [SMALL_STATE(5088)] = 176480,
  [SMALL_STATE(5089)] = 176527,
  [SMALL_STATE(5090)] = 176574,
  [SMALL_STATE(5091)] = 176621,
  [SMALL_STATE(5092)] = 176668,
  [SMALL_STATE(5093)] = 176757,
  [SMALL_STATE(5094)] = 176854,
  [SMALL_STATE(5095)] = 176947,
  [SMALL_STATE(5096)] = 177022,
  [SMALL_STATE(5097)] = 177119,
  [SMALL_STATE(5098)] = 177216,
  [SMALL_STATE(5099)] = 177313,
  [SMALL_STATE(5100)] = 177410,
  [SMALL_STATE(5101)] = 177507,
  [SMALL_STATE(5102)] = 177584,
  [SMALL_STATE(5103)] = 177631,
  [SMALL_STATE(5104)] = 177678,
  [SMALL_STATE(5105)] = 177725,
  [SMALL_STATE(5106)] = 177814,
  [SMALL_STATE(5107)] = 177901,
  [SMALL_STATE(5108)] = 177948,
  [SMALL_STATE(5109)] = 178033,
  [SMALL_STATE(5110)] = 178116,
  [SMALL_STATE(5111)] = 178169,
  [SMALL_STATE(5112)] = 178250,
  [SMALL_STATE(5113)] = 178329,
  [SMALL_STATE(5114)] = 178406,
  [SMALL_STATE(5115)] = 178453,
  [SMALL_STATE(5116)] = 178528,
  [SMALL_STATE(5117)] = 178599,
  [SMALL_STATE(5118)] = 178646,
  [SMALL_STATE(5119)] = 178713,
  [SMALL_STATE(5120)] = 178810,
  [SMALL_STATE(5121)] = 178879,
  [SMALL_STATE(5122)] = 178926,
  [SMALL_STATE(5123)] = 178991,
  [SMALL_STATE(5124)] = 179038,
  [SMALL_STATE(5125)] = 179085,
  [SMALL_STATE(5126)] = 179179,
  [SMALL_STATE(5127)] = 179271,
  [SMALL_STATE(5128)] = 179365,
  [SMALL_STATE(5129)] = 179433,
  [SMALL_STATE(5130)] = 179481,
  [SMALL_STATE(5131)] = 179549,
  [SMALL_STATE(5132)] = 179597,
  [SMALL_STATE(5133)] = 179645,
  [SMALL_STATE(5134)] = 179739,
  [SMALL_STATE(5135)] = 179813,
  [SMALL_STATE(5136)] = 179905,
  [SMALL_STATE(5137)] = 179973,
  [SMALL_STATE(5138)] = 180041,
  [SMALL_STATE(5139)] = 180119,
  [SMALL_STATE(5140)] = 180187,
  [SMALL_STATE(5141)] = 180281,
  [SMALL_STATE(5142)] = 180375,
  [SMALL_STATE(5143)] = 180463,
  [SMALL_STATE(5144)] = 180557,
  [SMALL_STATE(5145)] = 180617,
  [SMALL_STATE(5146)] = 180711,
  [SMALL_STATE(5147)] = 180785,
  [SMALL_STATE(5148)] = 180853,
  [SMALL_STATE(5149)] = 180913,
  [SMALL_STATE(5150)] = 180981,
  [SMALL_STATE(5151)] = 181073,
  [SMALL_STATE(5152)] = 181161,
  [SMALL_STATE(5153)] = 181235,
  [SMALL_STATE(5154)] = 181329,
  [SMALL_STATE(5155)] = 181417,
  [SMALL_STATE(5156)] = 181491,
  [SMALL_STATE(5157)] = 181565,
  [SMALL_STATE(5158)] = 181659,
  [SMALL_STATE(5159)] = 181753,
  [SMALL_STATE(5160)] = 181845,
  [SMALL_STATE(5161)] = 181919,
  [SMALL_STATE(5162)] = 181993,
  [SMALL_STATE(5163)] = 182067,
  [SMALL_STATE(5164)] = 182141,
  [SMALL_STATE(5165)] = 182215,
  [SMALL_STATE(5166)] = 182289,
  [SMALL_STATE(5167)] = 182359,
  [SMALL_STATE(5168)] = 182425,
  [SMALL_STATE(5169)] = 182497,
  [SMALL_STATE(5170)] = 182571,
  [SMALL_STATE(5171)] = 182647,
  [SMALL_STATE(5172)] = 182727,
  [SMALL_STATE(5173)] = 182801,
  [SMALL_STATE(5174)] = 182883,
  [SMALL_STATE(5175)] = 182975,
  [SMALL_STATE(5176)] = 183067,
  [SMALL_STATE(5177)] = 183151,
  [SMALL_STATE(5178)] = 183237,
  [SMALL_STATE(5179)] = 183311,
  [SMALL_STATE(5180)] = 183371,
  [SMALL_STATE(5181)] = 183435,
  [SMALL_STATE(5182)] = 183503,
  [SMALL_STATE(5183)] = 183597,
  [SMALL_STATE(5184)] = 183671,
  [SMALL_STATE(5185)] = 183765,
  [SMALL_STATE(5186)] = 183859,
  [SMALL_STATE(5187)] = 183947,
  [SMALL_STATE(5188)] = 184021,
  [SMALL_STATE(5189)] = 184095,
  [SMALL_STATE(5190)] = 184169,
  [SMALL_STATE(5191)] = 184243,
  [SMALL_STATE(5192)] = 184321,
  [SMALL_STATE(5193)] = 184395,
  [SMALL_STATE(5194)] = 184489,
  [SMALL_STATE(5195)] = 184547,
  [SMALL_STATE(5196)] = 184641,
  [SMALL_STATE(5197)] = 184701,
  [SMALL_STATE(5198)] = 184795,
  [SMALL_STATE(5199)] = 184889,
  [SMALL_STATE(5200)] = 184949,
  [SMALL_STATE(5201)] = 185041,
  [SMALL_STATE(5202)] = 185115,
  [SMALL_STATE(5203)] = 185207,
  [SMALL_STATE(5204)] = 185265,
  [SMALL_STATE(5205)] = 185325,
  [SMALL_STATE(5206)] = 185399,
  [SMALL_STATE(5207)] = 185491,
  [SMALL_STATE(5208)] = 185585,
  [SMALL_STATE(5209)] = 185659,
  [SMALL_STATE(5210)] = 185733,
  [SMALL_STATE(5211)] = 185827,
  [SMALL_STATE(5212)] = 185921,
  [SMALL_STATE(5213)] = 186015,
  [SMALL_STATE(5214)] = 186089,
  [SMALL_STATE(5215)] = 186177,
  [SMALL_STATE(5216)] = 186245,
  [SMALL_STATE(5217)] = 186323,
  [SMALL_STATE(5218)] = 186397,
  [SMALL_STATE(5219)] = 186475,
  [SMALL_STATE(5220)] = 186563,
  [SMALL_STATE(5221)] = 186655,
  [SMALL_STATE(5222)] = 186723,
  [SMALL_STATE(5223)] = 186797,
  [SMALL_STATE(5224)] = 186871,
  [SMALL_STATE(5225)] = 186965,
  [SMALL_STATE(5226)] = 187015,
  [SMALL_STATE(5227)] = 187109,
  [SMALL_STATE(5228)] = 187203,
  [SMALL_STATE(5229)] = 187291,
  [SMALL_STATE(5230)] = 187383,
  [SMALL_STATE(5231)] = 187475,
  [SMALL_STATE(5232)] = 187567,
  [SMALL_STATE(5233)] = 187659,
  [SMALL_STATE(5234)] = 187753,
  [SMALL_STATE(5235)] = 187817,
  [SMALL_STATE(5236)] = 187885,
  [SMALL_STATE(5237)] = 187971,
  [SMALL_STATE(5238)] = 188037,
  [SMALL_STATE(5239)] = 188131,
  [SMALL_STATE(5240)] = 188217,
  [SMALL_STATE(5241)] = 188291,
  [SMALL_STATE(5242)] = 188383,
  [SMALL_STATE(5243)] = 188477,
  [SMALL_STATE(5244)] = 188545,
  [SMALL_STATE(5245)] = 188629,
  [SMALL_STATE(5246)] = 188697,
  [SMALL_STATE(5247)] = 188789,
  [SMALL_STATE(5248)] = 188881,
  [SMALL_STATE(5249)] = 188975,
  [SMALL_STATE(5250)] = 189049,
  [SMALL_STATE(5251)] = 189143,
  [SMALL_STATE(5252)] = 189217,
  [SMALL_STATE(5253)] = 189299,
  [SMALL_STATE(5254)] = 189355,
  [SMALL_STATE(5255)] = 189447,
  [SMALL_STATE(5256)] = 189527,
  [SMALL_STATE(5257)] = 189603,
  [SMALL_STATE(5258)] = 189677,
  [SMALL_STATE(5259)] = 189747,
  [SMALL_STATE(5260)] = 189813,
  [SMALL_STATE(5261)] = 189881,
  [SMALL_STATE(5262)] = 189969,
  [SMALL_STATE(5263)] = 190061,
  [SMALL_STATE(5264)] = 190155,
  [SMALL_STATE(5265)] = 190229,
  [SMALL_STATE(5266)] = 190317,
  [SMALL_STATE(5267)] = 190409,
  [SMALL_STATE(5268)] = 190497,
  [SMALL_STATE(5269)] = 190589,
  [SMALL_STATE(5270)] = 190683,
  [SMALL_STATE(5271)] = 190777,
  [SMALL_STATE(5272)] = 190851,
  [SMALL_STATE(5273)] = 190943,
  [SMALL_STATE(5274)] = 191037,
  [SMALL_STATE(5275)] = 191125,
  [SMALL_STATE(5276)] = 191177,
  [SMALL_STATE(5277)] = 191271,
  [SMALL_STATE(5278)] = 191365,
  [SMALL_STATE(5279)] = 191457,
  [SMALL_STATE(5280)] = 191551,
  [SMALL_STATE(5281)] = 191645,
  [SMALL_STATE(5282)] = 191703,
  [SMALL_STATE(5283)] = 191797,
  [SMALL_STATE(5284)] = 191891,
  [SMALL_STATE(5285)] = 191949,
  [SMALL_STATE(5286)] = 192043,
  [SMALL_STATE(5287)] = 192131,
  [SMALL_STATE(5288)] = 192225,
  [SMALL_STATE(5289)] = 192317,
  [SMALL_STATE(5290)] = 192411,
  [SMALL_STATE(5291)] = 192485,
  [SMALL_STATE(5292)] = 192559,
  [SMALL_STATE(5293)] = 192651,
  [SMALL_STATE(5294)] = 192745,
  [SMALL_STATE(5295)] = 192809,
  [SMALL_STATE(5296)] = 192903,
  [SMALL_STATE(5297)] = 192989,
  [SMALL_STATE(5298)] = 193083,
  [SMALL_STATE(5299)] = 193153,
  [SMALL_STATE(5300)] = 193247,
  [SMALL_STATE(5301)] = 193321,
  [SMALL_STATE(5302)] = 193367,
  [SMALL_STATE(5303)] = 193461,
  [SMALL_STATE(5304)] = 193537,
  [SMALL_STATE(5305)] = 193621,
  [SMALL_STATE(5306)] = 193703,
  [SMALL_STATE(5307)] = 193753,
  [SMALL_STATE(5308)] = 193847,
  [SMALL_STATE(5309)] = 193941,
  [SMALL_STATE(5310)] = 194021,
  [SMALL_STATE(5311)] = 194077,
  [SMALL_STATE(5312)] = 194137,
  [SMALL_STATE(5313)] = 194229,
  [SMALL_STATE(5314)] = 194289,
  [SMALL_STATE(5315)] = 194380,
  [SMALL_STATE(5316)] = 194427,
  [SMALL_STATE(5317)] = 194476,
  [SMALL_STATE(5318)] = 194527,
  [SMALL_STATE(5319)] = 194618,
  [SMALL_STATE(5320)] = 194667,
  [SMALL_STATE(5321)] = 194716,
  [SMALL_STATE(5322)] = 194807,
  [SMALL_STATE(5323)] = 194898,
  [SMALL_STATE(5324)] = 194947,
  [SMALL_STATE(5325)] = 195028,
  [SMALL_STATE(5326)] = 195119,
  [SMALL_STATE(5327)] = 195210,
  [SMALL_STATE(5328)] = 195291,
  [SMALL_STATE(5329)] = 195382,
  [SMALL_STATE(5330)] = 195473,
  [SMALL_STATE(5331)] = 195564,
  [SMALL_STATE(5332)] = 195655,
  [SMALL_STATE(5333)] = 195746,
  [SMALL_STATE(5334)] = 195837,
  [SMALL_STATE(5335)] = 195928,
  [SMALL_STATE(5336)] = 196019,
  [SMALL_STATE(5337)] = 196110,
  [SMALL_STATE(5338)] = 196201,
  [SMALL_STATE(5339)] = 196274,
  [SMALL_STATE(5340)] = 196365,
  [SMALL_STATE(5341)] = 196414,
  [SMALL_STATE(5342)] = 196505,
  [SMALL_STATE(5343)] = 196554,
  [SMALL_STATE(5344)] = 196645,
  [SMALL_STATE(5345)] = 196736,
  [SMALL_STATE(5346)] = 196827,
  [SMALL_STATE(5347)] = 196918,
  [SMALL_STATE(5348)] = 197009,
  [SMALL_STATE(5349)] = 197100,
  [SMALL_STATE(5350)] = 197191,
  [SMALL_STATE(5351)] = 197282,
  [SMALL_STATE(5352)] = 197327,
  [SMALL_STATE(5353)] = 197418,
  [SMALL_STATE(5354)] = 197509,
  [SMALL_STATE(5355)] = 197600,
  [SMALL_STATE(5356)] = 197691,
  [SMALL_STATE(5357)] = 197782,
  [SMALL_STATE(5358)] = 197873,
  [SMALL_STATE(5359)] = 197964,
  [SMALL_STATE(5360)] = 198055,
  [SMALL_STATE(5361)] = 198136,
  [SMALL_STATE(5362)] = 198185,
  [SMALL_STATE(5363)] = 198276,
  [SMALL_STATE(5364)] = 198367,
  [SMALL_STATE(5365)] = 198458,
  [SMALL_STATE(5366)] = 198525,
  [SMALL_STATE(5367)] = 198616,
  [SMALL_STATE(5368)] = 198707,
  [SMALL_STATE(5369)] = 198798,
  [SMALL_STATE(5370)] = 198889,
  [SMALL_STATE(5371)] = 198980,
  [SMALL_STATE(5372)] = 199071,
  [SMALL_STATE(5373)] = 199162,
  [SMALL_STATE(5374)] = 199253,
  [SMALL_STATE(5375)] = 199310,
  [SMALL_STATE(5376)] = 199401,
  [SMALL_STATE(5377)] = 199474,
  [SMALL_STATE(5378)] = 199565,
  [SMALL_STATE(5379)] = 199656,
  [SMALL_STATE(5380)] = 199703,
  [SMALL_STATE(5381)] = 199760,
  [SMALL_STATE(5382)] = 199851,
  [SMALL_STATE(5383)] = 199902,
  [SMALL_STATE(5384)] = 199993,
  [SMALL_STATE(5385)] = 200084,
  [SMALL_STATE(5386)] = 200133,
  [SMALL_STATE(5387)] = 200224,
  [SMALL_STATE(5388)] = 200315,
  [SMALL_STATE(5389)] = 200406,
  [SMALL_STATE(5390)] = 200455,
  [SMALL_STATE(5391)] = 200506,
  [SMALL_STATE(5392)] = 200597,
  [SMALL_STATE(5393)] = 200688,
  [SMALL_STATE(5394)] = 200779,
  [SMALL_STATE(5395)] = 200870,
  [SMALL_STATE(5396)] = 200961,
  [SMALL_STATE(5397)] = 201016,
  [SMALL_STATE(5398)] = 201107,
  [SMALL_STATE(5399)] = 201198,
  [SMALL_STATE(5400)] = 201289,
  [SMALL_STATE(5401)] = 201380,
  [SMALL_STATE(5402)] = 201471,
  [SMALL_STATE(5403)] = 201562,
  [SMALL_STATE(5404)] = 201629,
  [SMALL_STATE(5405)] = 201710,
  [SMALL_STATE(5406)] = 201777,
  [SMALL_STATE(5407)] = 201858,
  [SMALL_STATE(5408)] = 201949,
  [SMALL_STATE(5409)] = 202040,
  [SMALL_STATE(5410)] = 202131,
  [SMALL_STATE(5411)] = 202182,
  [SMALL_STATE(5412)] = 202273,
  [SMALL_STATE(5413)] = 202364,
  [SMALL_STATE(5414)] = 202455,
  [SMALL_STATE(5415)] = 202546,
  [SMALL_STATE(5416)] = 202637,
  [SMALL_STATE(5417)] = 202682,
  [SMALL_STATE(5418)] = 202773,
  [SMALL_STATE(5419)] = 202864,
  [SMALL_STATE(5420)] = 202955,
  [SMALL_STATE(5421)] = 203046,
  [SMALL_STATE(5422)] = 203137,
  [SMALL_STATE(5423)] = 203220,
  [SMALL_STATE(5424)] = 203311,
  [SMALL_STATE(5425)] = 203402,
  [SMALL_STATE(5426)] = 203493,
  [SMALL_STATE(5427)] = 203584,
  [SMALL_STATE(5428)] = 203675,
  [SMALL_STATE(5429)] = 203766,
  [SMALL_STATE(5430)] = 203857,
  [SMALL_STATE(5431)] = 203948,
  [SMALL_STATE(5432)] = 204039,
  [SMALL_STATE(5433)] = 204130,
  [SMALL_STATE(5434)] = 204221,
  [SMALL_STATE(5435)] = 204312,
  [SMALL_STATE(5436)] = 204403,
  [SMALL_STATE(5437)] = 204494,
  [SMALL_STATE(5438)] = 204585,
  [SMALL_STATE(5439)] = 204676,
  [SMALL_STATE(5440)] = 204757,
  [SMALL_STATE(5441)] = 204848,
  [SMALL_STATE(5442)] = 204939,
  [SMALL_STATE(5443)] = 205006,
  [SMALL_STATE(5444)] = 205097,
  [SMALL_STATE(5445)] = 205188,
  [SMALL_STATE(5446)] = 205279,
  [SMALL_STATE(5447)] = 205370,
  [SMALL_STATE(5448)] = 205461,
  [SMALL_STATE(5449)] = 205552,
  [SMALL_STATE(5450)] = 205643,
  [SMALL_STATE(5451)] = 205724,
  [SMALL_STATE(5452)] = 205815,
  [SMALL_STATE(5453)] = 205906,
  [SMALL_STATE(5454)] = 205997,
  [SMALL_STATE(5455)] = 206088,
  [SMALL_STATE(5456)] = 206179,
  [SMALL_STATE(5457)] = 206260,
  [SMALL_STATE(5458)] = 206351,
  [SMALL_STATE(5459)] = 206442,
  [SMALL_STATE(5460)] = 206533,
  [SMALL_STATE(5461)] = 206624,
  [SMALL_STATE(5462)] = 206715,
  [SMALL_STATE(5463)] = 206806,
  [SMALL_STATE(5464)] = 206897,
  [SMALL_STATE(5465)] = 206978,
  [SMALL_STATE(5466)] = 207031,
  [SMALL_STATE(5467)] = 207109,
  [SMALL_STATE(5468)] = 207187,
  [SMALL_STATE(5469)] = 207231,
  [SMALL_STATE(5470)] = 207275,
  [SMALL_STATE(5471)] = 207319,
  [SMALL_STATE(5472)] = 207385,
  [SMALL_STATE(5473)] = 207429,
  [SMALL_STATE(5474)] = 207495,
  [SMALL_STATE(5475)] = 207539,
  [SMALL_STATE(5476)] = 207605,
  [SMALL_STATE(5477)] = 207671,
  [SMALL_STATE(5478)] = 207759,
  [SMALL_STATE(5479)] = 207809,
  [SMALL_STATE(5480)] = 207853,
  [SMALL_STATE(5481)] = 207913,
  [SMALL_STATE(5482)] = 207957,
  [SMALL_STATE(5483)] = 208001,
  [SMALL_STATE(5484)] = 208067,
  [SMALL_STATE(5485)] = 208111,
  [SMALL_STATE(5486)] = 208155,
  [SMALL_STATE(5487)] = 208199,
  [SMALL_STATE(5488)] = 208243,
  [SMALL_STATE(5489)] = 208287,
  [SMALL_STATE(5490)] = 208365,
  [SMALL_STATE(5491)] = 208447,
  [SMALL_STATE(5492)] = 208491,
  [SMALL_STATE(5493)] = 208541,
  [SMALL_STATE(5494)] = 208589,
  [SMALL_STATE(5495)] = 208633,
  [SMALL_STATE(5496)] = 208711,
  [SMALL_STATE(5497)] = 208757,
  [SMALL_STATE(5498)] = 208839,
  [SMALL_STATE(5499)] = 208915,
  [SMALL_STATE(5500)] = 208959,
  [SMALL_STATE(5501)] = 209003,
  [SMALL_STATE(5502)] = 209081,
  [SMALL_STATE(5503)] = 209159,
  [SMALL_STATE(5504)] = 209203,
  [SMALL_STATE(5505)] = 209269,
  [SMALL_STATE(5506)] = 209313,
  [SMALL_STATE(5507)] = 209357,
  [SMALL_STATE(5508)] = 209401,
  [SMALL_STATE(5509)] = 209445,
  [SMALL_STATE(5510)] = 209489,
  [SMALL_STATE(5511)] = 209555,
  [SMALL_STATE(5512)] = 209599,
  [SMALL_STATE(5513)] = 209643,
  [SMALL_STATE(5514)] = 209687,
  [SMALL_STATE(5515)] = 209759,
  [SMALL_STATE(5516)] = 209803,
  [SMALL_STATE(5517)] = 209847,
  [SMALL_STATE(5518)] = 209891,
  [SMALL_STATE(5519)] = 209967,
  [SMALL_STATE(5520)] = 210011,
  [SMALL_STATE(5521)] = 210055,
  [SMALL_STATE(5522)] = 210099,
  [SMALL_STATE(5523)] = 210143,
  [SMALL_STATE(5524)] = 210221,
  [SMALL_STATE(5525)] = 210299,
  [SMALL_STATE(5526)] = 210347,
  [SMALL_STATE(5527)] = 210425,
  [SMALL_STATE(5528)] = 210469,
  [SMALL_STATE(5529)] = 210535,
  [SMALL_STATE(5530)] = 210589,
  [SMALL_STATE(5531)] = 210633,
  [SMALL_STATE(5532)] = 210677,
  [SMALL_STATE(5533)] = 210749,
  [SMALL_STATE(5534)] = 210827,
  [SMALL_STATE(5535)] = 210871,
  [SMALL_STATE(5536)] = 210915,
  [SMALL_STATE(5537)] = 210970,
  [SMALL_STATE(5538)] = 211017,
  [SMALL_STATE(5539)] = 211060,
  [SMALL_STATE(5540)] = 211131,
  [SMALL_STATE(5541)] = 211196,
  [SMALL_STATE(5542)] = 211267,
  [SMALL_STATE(5543)] = 211348,
  [SMALL_STATE(5544)] = 211397,
  [SMALL_STATE(5545)] = 211456,
  [SMALL_STATE(5546)] = 211503,
  [SMALL_STATE(5547)] = 211568,
  [SMALL_STATE(5548)] = 211633,
  [SMALL_STATE(5549)] = 211680,
  [SMALL_STATE(5550)] = 211727,
  [SMALL_STATE(5551)] = 211770,
  [SMALL_STATE(5552)] = 211813,
  [SMALL_STATE(5553)] = 211856,
  [SMALL_STATE(5554)] = 211909,
  [SMALL_STATE(5555)] = 211962,
  [SMALL_STATE(5556)] = 212017,
  [SMALL_STATE(5557)] = 212060,
  [SMALL_STATE(5558)] = 212103,
  [SMALL_STATE(5559)] = 212146,
  [SMALL_STATE(5560)] = 212189,
  [SMALL_STATE(5561)] = 212234,
  [SMALL_STATE(5562)] = 212277,
  [SMALL_STATE(5563)] = 212320,
  [SMALL_STATE(5564)] = 212363,
  [SMALL_STATE(5565)] = 212406,
  [SMALL_STATE(5566)] = 212453,
  [SMALL_STATE(5567)] = 212518,
  [SMALL_STATE(5568)] = 212565,
  [SMALL_STATE(5569)] = 212608,
  [SMALL_STATE(5570)] = 212653,
  [SMALL_STATE(5571)] = 212696,
  [SMALL_STATE(5572)] = 212741,
  [SMALL_STATE(5573)] = 212822,
  [SMALL_STATE(5574)] = 212869,
  [SMALL_STATE(5575)] = 212914,
  [SMALL_STATE(5576)] = 212960,
  [SMALL_STATE(5577)] = 213024,
  [SMALL_STATE(5578)] = 213072,
  [SMALL_STATE(5579)] = 213142,
  [SMALL_STATE(5580)] = 213222,
  [SMALL_STATE(5581)] = 213306,
  [SMALL_STATE(5582)] = 213360,
  [SMALL_STATE(5583)] = 213440,
  [SMALL_STATE(5584)] = 213520,
  [SMALL_STATE(5585)] = 213570,
  [SMALL_STATE(5586)] = 213618,
  [SMALL_STATE(5587)] = 213698,
  [SMALL_STATE(5588)] = 213778,
  [SMALL_STATE(5589)] = 213826,
  [SMALL_STATE(5590)] = 213890,
  [SMALL_STATE(5591)] = 213970,
  [SMALL_STATE(5592)] = 214020,
  [SMALL_STATE(5593)] = 214100,
  [SMALL_STATE(5594)] = 214148,
  [SMALL_STATE(5595)] = 214190,
  [SMALL_STATE(5596)] = 214254,
  [SMALL_STATE(5597)] = 214302,
  [SMALL_STATE(5598)] = 214356,
  [SMALL_STATE(5599)] = 214436,
  [SMALL_STATE(5600)] = 214500,
  [SMALL_STATE(5601)] = 214546,
  [SMALL_STATE(5602)] = 214616,
  [SMALL_STATE(5603)] = 214664,
  [SMALL_STATE(5604)] = 214733,
  [SMALL_STATE(5605)] = 214778,
  [SMALL_STATE(5606)] = 214823,
  [SMALL_STATE(5607)] = 214896,
  [SMALL_STATE(5608)] = 214965,
  [SMALL_STATE(5609)] = 215010,
  [SMALL_STATE(5610)] = 215079,
  [SMALL_STATE(5611)] = 215124,
  [SMALL_STATE(5612)] = 215187,
  [SMALL_STATE(5613)] = 215232,
  [SMALL_STATE(5614)] = 215311,
  [SMALL_STATE(5615)] = 215356,
  [SMALL_STATE(5616)] = 215401,
  [SMALL_STATE(5617)] = 215474,
  [SMALL_STATE(5618)] = 215563,
  [SMALL_STATE(5619)] = 215614,
  [SMALL_STATE(5620)] = 215693,
  [SMALL_STATE(5621)] = 215756,
  [SMALL_STATE(5622)] = 215801,
  [SMALL_STATE(5623)] = 215874,
  [SMALL_STATE(5624)] = 215937,
  [SMALL_STATE(5625)] = 215982,
  [SMALL_STATE(5626)] = 216027,
  [SMALL_STATE(5627)] = 216090,
  [SMALL_STATE(5628)] = 216135,
  [SMALL_STATE(5629)] = 216214,
  [SMALL_STATE(5630)] = 216293,
  [SMALL_STATE(5631)] = 216362,
  [SMALL_STATE(5632)] = 216409,
  [SMALL_STATE(5633)] = 216450,
  [SMALL_STATE(5634)] = 216495,
  [SMALL_STATE(5635)] = 216568,
  [SMALL_STATE(5636)] = 216608,
  [SMALL_STATE(5637)] = 216648,
  [SMALL_STATE(5638)] = 216688,
  [SMALL_STATE(5639)] = 216728,
  [SMALL_STATE(5640)] = 216808,
  [SMALL_STATE(5641)] = 216888,
  [SMALL_STATE(5642)] = 216928,
  [SMALL_STATE(5643)] = 217008,
  [SMALL_STATE(5644)] = 217048,
  [SMALL_STATE(5645)] = 217088,
  [SMALL_STATE(5646)] = 217128,
  [SMALL_STATE(5647)] = 217168,
  [SMALL_STATE(5648)] = 217208,
  [SMALL_STATE(5649)] = 217288,
  [SMALL_STATE(5650)] = 217368,
  [SMALL_STATE(5651)] = 217408,
  [SMALL_STATE(5652)] = 217448,
  [SMALL_STATE(5653)] = 217528,
  [SMALL_STATE(5654)] = 217576,
  [SMALL_STATE(5655)] = 217616,
  [SMALL_STATE(5656)] = 217656,
  [SMALL_STATE(5657)] = 217736,
  [SMALL_STATE(5658)] = 217778,
  [SMALL_STATE(5659)] = 217818,
  [SMALL_STATE(5660)] = 217858,
  [SMALL_STATE(5661)] = 217898,
  [SMALL_STATE(5662)] = 217938,
  [SMALL_STATE(5663)] = 217978,
  [SMALL_STATE(5664)] = 218018,
  [SMALL_STATE(5665)] = 218090,
  [SMALL_STATE(5666)] = 218170,
  [SMALL_STATE(5667)] = 218210,
  [SMALL_STATE(5668)] = 218290,
  [SMALL_STATE(5669)] = 218330,
  [SMALL_STATE(5670)] = 218410,
  [SMALL_STATE(5671)] = 218450,
  [SMALL_STATE(5672)] = 218490,
  [SMALL_STATE(5673)] = 218570,
  [SMALL_STATE(5674)] = 218618,
  [SMALL_STATE(5675)] = 218698,
  [SMALL_STATE(5676)] = 218770,
  [SMALL_STATE(5677)] = 218810,
  [SMALL_STATE(5678)] = 218890,
  [SMALL_STATE(5679)] = 218930,
  [SMALL_STATE(5680)] = 219010,
  [SMALL_STATE(5681)] = 219050,
  [SMALL_STATE(5682)] = 219130,
  [SMALL_STATE(5683)] = 219170,
  [SMALL_STATE(5684)] = 219210,
  [SMALL_STATE(5685)] = 219250,
  [SMALL_STATE(5686)] = 219290,
  [SMALL_STATE(5687)] = 219340,
  [SMALL_STATE(5688)] = 219412,
  [SMALL_STATE(5689)] = 219492,
  [SMALL_STATE(5690)] = 219532,
  [SMALL_STATE(5691)] = 219594,
  [SMALL_STATE(5692)] = 219674,
  [SMALL_STATE(5693)] = 219718,
  [SMALL_STATE(5694)] = 219798,
  [SMALL_STATE(5695)] = 219878,
  [SMALL_STATE(5696)] = 219918,
  [SMALL_STATE(5697)] = 219958,
  [SMALL_STATE(5698)] = 220036,
  [SMALL_STATE(5699)] = 220076,
  [SMALL_STATE(5700)] = 220116,
  [SMALL_STATE(5701)] = 220188,
  [SMALL_STATE(5702)] = 220268,
  [SMALL_STATE(5703)] = 220346,
  [SMALL_STATE(5704)] = 220402,
  [SMALL_STATE(5705)] = 220482,
  [SMALL_STATE(5706)] = 220544,
  [SMALL_STATE(5707)] = 220624,
  [SMALL_STATE(5708)] = 220664,
  [SMALL_STATE(5709)] = 220726,
  [SMALL_STATE(5710)] = 220788,
  [SMALL_STATE(5711)] = 220849,
  [SMALL_STATE(5712)] = 220920,
  [SMALL_STATE(5713)] = 220991,
  [SMALL_STATE(5714)] = 221036,
  [SMALL_STATE(5715)] = 221107,
  [SMALL_STATE(5716)] = 221168,
  [SMALL_STATE(5717)] = 221229,
  [SMALL_STATE(5718)] = 221290,
  [SMALL_STATE(5719)] = 221333,
  [SMALL_STATE(5720)] = 221376,
  [SMALL_STATE(5721)] = 221447,
  [SMALL_STATE(5722)] = 221490,
  [SMALL_STATE(5723)] = 221533,
  [SMALL_STATE(5724)] = 221576,
  [SMALL_STATE(5725)] = 221637,
  [SMALL_STATE(5726)] = 221680,
  [SMALL_STATE(5727)] = 221751,
  [SMALL_STATE(5728)] = 221822,
  [SMALL_STATE(5729)] = 221889,
  [SMALL_STATE(5730)] = 221932,
  [SMALL_STATE(5731)] = 221975,
  [SMALL_STATE(5732)] = 222036,
  [SMALL_STATE(5733)] = 222079,
  [SMALL_STATE(5734)] = 222122,
  [SMALL_STATE(5735)] = 222183,
  [SMALL_STATE(5736)] = 222226,
  [SMALL_STATE(5737)] = 222269,
  [SMALL_STATE(5738)] = 222330,
  [SMALL_STATE(5739)] = 222397,
  [SMALL_STATE(5740)] = 222448,
  [SMALL_STATE(5741)] = 222499,
  [SMALL_STATE(5742)] = 222550,
  [SMALL_STATE(5743)] = 222621,
  [SMALL_STATE(5744)] = 222692,
  [SMALL_STATE(5745)] = 222753,
  [SMALL_STATE(5746)] = 222804,
  [SMALL_STATE(5747)] = 222875,
  [SMALL_STATE(5748)] = 222946,
  [SMALL_STATE(5749)] = 223017,
  [SMALL_STATE(5750)] = 223078,
  [SMALL_STATE(5751)] = 223139,
  [SMALL_STATE(5752)] = 223210,
  [SMALL_STATE(5753)] = 223281,
  [SMALL_STATE(5754)] = 223352,
  [SMALL_STATE(5755)] = 223397,
  [SMALL_STATE(5756)] = 223468,
  [SMALL_STATE(5757)] = 223529,
  [SMALL_STATE(5758)] = 223600,
  [SMALL_STATE(5759)] = 223670,
  [SMALL_STATE(5760)] = 223744,
  [SMALL_STATE(5761)] = 223804,
  [SMALL_STATE(5762)] = 223880,
  [SMALL_STATE(5763)] = 223924,
  [SMALL_STATE(5764)] = 223998,
  [SMALL_STATE(5765)] = 224072,
  [SMALL_STATE(5766)] = 224146,
  [SMALL_STATE(5767)] = 224216,
  [SMALL_STATE(5768)] = 224254,
  [SMALL_STATE(5769)] = 224328,
  [SMALL_STATE(5770)] = 224366,
  [SMALL_STATE(5771)] = 224442,
  [SMALL_STATE(5772)] = 224516,
  [SMALL_STATE(5773)] = 224592,
  [SMALL_STATE(5774)] = 224666,
  [SMALL_STATE(5775)] = 224724,
  [SMALL_STATE(5776)] = 224782,
  [SMALL_STATE(5777)] = 224856,
  [SMALL_STATE(5778)] = 224894,
  [SMALL_STATE(5779)] = 224968,
  [SMALL_STATE(5780)] = 225006,
  [SMALL_STATE(5781)] = 225066,
  [SMALL_STATE(5782)] = 225140,
  [SMALL_STATE(5783)] = 225214,
  [SMALL_STATE(5784)] = 225288,
  [SMALL_STATE(5785)] = 225346,
  [SMALL_STATE(5786)] = 225420,
  [SMALL_STATE(5787)] = 225480,
  [SMALL_STATE(5788)] = 225538,
  [SMALL_STATE(5789)] = 225596,
  [SMALL_STATE(5790)] = 225670,
  [SMALL_STATE(5791)] = 225740,
  [SMALL_STATE(5792)] = 225810,
  [SMALL_STATE(5793)] = 225860,
  [SMALL_STATE(5794)] = 225934,
  [SMALL_STATE(5795)] = 226008,
  [SMALL_STATE(5796)] = 226066,
  [SMALL_STATE(5797)] = 226124,
  [SMALL_STATE(5798)] = 226182,
  [SMALL_STATE(5799)] = 226252,
  [SMALL_STATE(5800)] = 226326,
  [SMALL_STATE(5801)] = 226384,
  [SMALL_STATE(5802)] = 226458,
  [SMALL_STATE(5803)] = 226496,
  [SMALL_STATE(5804)] = 226554,
  [SMALL_STATE(5805)] = 226592,
  [SMALL_STATE(5806)] = 226636,
  [SMALL_STATE(5807)] = 226710,
  [SMALL_STATE(5808)] = 226784,
  [SMALL_STATE(5809)] = 226858,
  [SMALL_STATE(5810)] = 226896,
  [SMALL_STATE(5811)] = 226954,
  [SMALL_STATE(5812)] = 227012,
  [SMALL_STATE(5813)] = 227052,
  [SMALL_STATE(5814)] = 227128,
  [SMALL_STATE(5815)] = 227188,
  [SMALL_STATE(5816)] = 227262,
  [SMALL_STATE(5817)] = 227336,
  [SMALL_STATE(5818)] = 227406,
  [SMALL_STATE(5819)] = 227480,
  [SMALL_STATE(5820)] = 227554,
  [SMALL_STATE(5821)] = 227624,
  [SMALL_STATE(5822)] = 227684,
  [SMALL_STATE(5823)] = 227744,
  [SMALL_STATE(5824)] = 227818,
  [SMALL_STATE(5825)] = 227888,
  [SMALL_STATE(5826)] = 227946,
  [SMALL_STATE(5827)] = 228016,
  [SMALL_STATE(5828)] = 228074,
  [SMALL_STATE(5829)] = 228148,
  [SMALL_STATE(5830)] = 228206,
  [SMALL_STATE(5831)] = 228264,
  [SMALL_STATE(5832)] = 228322,
  [SMALL_STATE(5833)] = 228396,
  [SMALL_STATE(5834)] = 228470,
  [SMALL_STATE(5835)] = 228512,
  [SMALL_STATE(5836)] = 228586,
  [SMALL_STATE(5837)] = 228646,
  [SMALL_STATE(5838)] = 228716,
  [SMALL_STATE(5839)] = 228786,
  [SMALL_STATE(5840)] = 228844,
  [SMALL_STATE(5841)] = 228914,
  [SMALL_STATE(5842)] = 228988,
  [SMALL_STATE(5843)] = 229062,
  [SMALL_STATE(5844)] = 229132,
  [SMALL_STATE(5845)] = 229202,
  [SMALL_STATE(5846)] = 229260,
  [SMALL_STATE(5847)] = 229330,
  [SMALL_STATE(5848)] = 229404,
  [SMALL_STATE(5849)] = 229478,
  [SMALL_STATE(5850)] = 229552,
  [SMALL_STATE(5851)] = 229610,
  [SMALL_STATE(5852)] = 229668,
  [SMALL_STATE(5853)] = 229726,
  [SMALL_STATE(5854)] = 229800,
  [SMALL_STATE(5855)] = 229870,
  [SMALL_STATE(5856)] = 229944,
  [SMALL_STATE(5857)] = 230018,
  [SMALL_STATE(5858)] = 230092,
  [SMALL_STATE(5859)] = 230166,
  [SMALL_STATE(5860)] = 230224,
  [SMALL_STATE(5861)] = 230298,
  [SMALL_STATE(5862)] = 230358,
  [SMALL_STATE(5863)] = 230428,
  [SMALL_STATE(5864)] = 230502,
  [SMALL_STATE(5865)] = 230576,
  [SMALL_STATE(5866)] = 230650,
  [SMALL_STATE(5867)] = 230708,
  [SMALL_STATE(5868)] = 230782,
  [SMALL_STATE(5869)] = 230861,
  [SMALL_STATE(5870)] = 230898,
  [SMALL_STATE(5871)] = 230935,
  [SMALL_STATE(5872)] = 231002,
  [SMALL_STATE(5873)] = 231081,
  [SMALL_STATE(5874)] = 231160,
  [SMALL_STATE(5875)] = 231239,
  [SMALL_STATE(5876)] = 231318,
  [SMALL_STATE(5877)] = 231397,
  [SMALL_STATE(5878)] = 231476,
  [SMALL_STATE(5879)] = 231555,
  [SMALL_STATE(5880)] = 231622,
  [SMALL_STATE(5881)] = 231701,
  [SMALL_STATE(5882)] = 231768,
  [SMALL_STATE(5883)] = 231835,
  [SMALL_STATE(5884)] = 231902,
  [SMALL_STATE(5885)] = 231981,
  [SMALL_STATE(5886)] = 232060,
  [SMALL_STATE(5887)] = 232139,
  [SMALL_STATE(5888)] = 232184,
  [SMALL_STATE(5889)] = 232251,
  [SMALL_STATE(5890)] = 232330,
  [SMALL_STATE(5891)] = 232397,
  [SMALL_STATE(5892)] = 232476,
  [SMALL_STATE(5893)] = 232555,
  [SMALL_STATE(5894)] = 232622,
  [SMALL_STATE(5895)] = 232689,
  [SMALL_STATE(5896)] = 232756,
  [SMALL_STATE(5897)] = 232835,
  [SMALL_STATE(5898)] = 232902,
  [SMALL_STATE(5899)] = 232969,
  [SMALL_STATE(5900)] = 233048,
  [SMALL_STATE(5901)] = 233115,
  [SMALL_STATE(5902)] = 233182,
  [SMALL_STATE(5903)] = 233261,
  [SMALL_STATE(5904)] = 233340,
  [SMALL_STATE(5905)] = 233407,
  [SMALL_STATE(5906)] = 233486,
  [SMALL_STATE(5907)] = 233565,
  [SMALL_STATE(5908)] = 233632,
  [SMALL_STATE(5909)] = 233711,
  [SMALL_STATE(5910)] = 233778,
  [SMALL_STATE(5911)] = 233815,
  [SMALL_STATE(5912)] = 233894,
  [SMALL_STATE(5913)] = 233973,
  [SMALL_STATE(5914)] = 234052,
  [SMALL_STATE(5915)] = 234101,
  [SMALL_STATE(5916)] = 234180,
  [SMALL_STATE(5917)] = 234247,
  [SMALL_STATE(5918)] = 234326,
  [SMALL_STATE(5919)] = 234363,
  [SMALL_STATE(5920)] = 234442,
  [SMALL_STATE(5921)] = 234521,
  [SMALL_STATE(5922)] = 234600,
  [SMALL_STATE(5923)] = 234667,
  [SMALL_STATE(5924)] = 234746,
  [SMALL_STATE(5925)] = 234813,
  [SMALL_STATE(5926)] = 234892,
  [SMALL_STATE(5927)] = 234971,
  [SMALL_STATE(5928)] = 235050,
  [SMALL_STATE(5929)] = 235129,
  [SMALL_STATE(5930)] = 235196,
  [SMALL_STATE(5931)] = 235263,
  [SMALL_STATE(5932)] = 235330,
  [SMALL_STATE(5933)] = 235409,
  [SMALL_STATE(5934)] = 235488,
  [SMALL_STATE(5935)] = 235567,
  [SMALL_STATE(5936)] = 235646,
  [SMALL_STATE(5937)] = 235725,
  [SMALL_STATE(5938)] = 235804,
  [SMALL_STATE(5939)] = 235883,
  [SMALL_STATE(5940)] = 235920,
  [SMALL_STATE(5941)] = 235987,
  [SMALL_STATE(5942)] = 236054,
  [SMALL_STATE(5943)] = 236121,
  [SMALL_STATE(5944)] = 236200,
  [SMALL_STATE(5945)] = 236267,
  [SMALL_STATE(5946)] = 236334,
  [SMALL_STATE(5947)] = 236371,
  [SMALL_STATE(5948)] = 236450,
  [SMALL_STATE(5949)] = 236529,
  [SMALL_STATE(5950)] = 236608,
  [SMALL_STATE(5951)] = 236687,
  [SMALL_STATE(5952)] = 236754,
  [SMALL_STATE(5953)] = 236821,
  [SMALL_STATE(5954)] = 236900,
  [SMALL_STATE(5955)] = 236979,
  [SMALL_STATE(5956)] = 237016,
  [SMALL_STATE(5957)] = 237095,
  [SMALL_STATE(5958)] = 237174,
  [SMALL_STATE(5959)] = 237243,
  [SMALL_STATE(5960)] = 237312,
  [SMALL_STATE(5961)] = 237391,
  [SMALL_STATE(5962)] = 237458,
  [SMALL_STATE(5963)] = 237495,
  [SMALL_STATE(5964)] = 237532,
  [SMALL_STATE(5965)] = 237569,
  [SMALL_STATE(5966)] = 237618,
  [SMALL_STATE(5967)] = 237697,
  [SMALL_STATE(5968)] = 237776,
  [SMALL_STATE(5969)] = 237855,
  [SMALL_STATE(5970)] = 237934,
  [SMALL_STATE(5971)] = 237971,
  [SMALL_STATE(5972)] = 238050,
  [SMALL_STATE(5973)] = 238099,
  [SMALL_STATE(5974)] = 238178,
  [SMALL_STATE(5975)] = 238257,
  [SMALL_STATE(5976)] = 238294,
  [SMALL_STATE(5977)] = 238343,
  [SMALL_STATE(5978)] = 238422,
  [SMALL_STATE(5979)] = 238501,
  [SMALL_STATE(5980)] = 238568,
  [SMALL_STATE(5981)] = 238647,
  [SMALL_STATE(5982)] = 238726,
  [SMALL_STATE(5983)] = 238763,
  [SMALL_STATE(5984)] = 238800,
  [SMALL_STATE(5985)] = 238837,
  [SMALL_STATE(5986)] = 238874,
  [SMALL_STATE(5987)] = 238953,
  [SMALL_STATE(5988)] = 238990,
  [SMALL_STATE(5989)] = 239027,
  [SMALL_STATE(5990)] = 239106,
  [SMALL_STATE(5991)] = 239185,
  [SMALL_STATE(5992)] = 239222,
  [SMALL_STATE(5993)] = 239259,
  [SMALL_STATE(5994)] = 239296,
  [SMALL_STATE(5995)] = 239375,
  [SMALL_STATE(5996)] = 239454,
  [SMALL_STATE(5997)] = 239501,
  [SMALL_STATE(5998)] = 239580,
  [SMALL_STATE(5999)] = 239659,
  [SMALL_STATE(6000)] = 239696,
  [SMALL_STATE(6001)] = 239765,
  [SMALL_STATE(6002)] = 239834,
  [SMALL_STATE(6003)] = 239871,
  [SMALL_STATE(6004)] = 239950,
  [SMALL_STATE(6005)] = 240029,
  [SMALL_STATE(6006)] = 240066,
  [SMALL_STATE(6007)] = 240103,
  [SMALL_STATE(6008)] = 240140,
  [SMALL_STATE(6009)] = 240219,
  [SMALL_STATE(6010)] = 240298,
  [SMALL_STATE(6011)] = 240377,
  [SMALL_STATE(6012)] = 240456,
  [SMALL_STATE(6013)] = 240535,
  [SMALL_STATE(6014)] = 240572,
  [SMALL_STATE(6015)] = 240609,
  [SMALL_STATE(6016)] = 240688,
  [SMALL_STATE(6017)] = 240767,
  [SMALL_STATE(6018)] = 240846,
  [SMALL_STATE(6019)] = 240925,
  [SMALL_STATE(6020)] = 240962,
  [SMALL_STATE(6021)] = 241041,
  [SMALL_STATE(6022)] = 241078,
  [SMALL_STATE(6023)] = 241157,
  [SMALL_STATE(6024)] = 241236,
  [SMALL_STATE(6025)] = 241273,
  [SMALL_STATE(6026)] = 241352,
  [SMALL_STATE(6027)] = 241389,
  [SMALL_STATE(6028)] = 241468,
  [SMALL_STATE(6029)] = 241547,
  [SMALL_STATE(6030)] = 241584,
  [SMALL_STATE(6031)] = 241660,
  [SMALL_STATE(6032)] = 241722,
  [SMALL_STATE(6033)] = 241798,
  [SMALL_STATE(6034)] = 241874,
  [SMALL_STATE(6035)] = 241950,
  [SMALL_STATE(6036)] = 242012,
  [SMALL_STATE(6037)] = 242070,
  [SMALL_STATE(6038)] = 242128,
  [SMALL_STATE(6039)] = 242204,
  [SMALL_STATE(6040)] = 242266,
  [SMALL_STATE(6041)] = 242342,
  [SMALL_STATE(6042)] = 242418,
  [SMALL_STATE(6043)] = 242494,
  [SMALL_STATE(6044)] = 242570,
  [SMALL_STATE(6045)] = 242646,
  [SMALL_STATE(6046)] = 242708,
  [SMALL_STATE(6047)] = 242770,
  [SMALL_STATE(6048)] = 242818,
  [SMALL_STATE(6049)] = 242894,
  [SMALL_STATE(6050)] = 242956,
  [SMALL_STATE(6051)] = 243032,
  [SMALL_STATE(6052)] = 243108,
  [SMALL_STATE(6053)] = 243166,
  [SMALL_STATE(6054)] = 243242,
  [SMALL_STATE(6055)] = 243318,
  [SMALL_STATE(6056)] = 243394,
  [SMALL_STATE(6057)] = 243452,
  [SMALL_STATE(6058)] = 243528,
  [SMALL_STATE(6059)] = 243568,
  [SMALL_STATE(6060)] = 243644,
  [SMALL_STATE(6061)] = 243720,
  [SMALL_STATE(6062)] = 243796,
  [SMALL_STATE(6063)] = 243839,
  [SMALL_STATE(6064)] = 243882,
  [SMALL_STATE(6065)] = 243943,
  [SMALL_STATE(6066)] = 243988,
  [SMALL_STATE(6067)] = 244049,
  [SMALL_STATE(6068)] = 244110,
  [SMALL_STATE(6069)] = 244171,
  [SMALL_STATE(6070)] = 244232,
  [SMALL_STATE(6071)] = 244293,
  [SMALL_STATE(6072)] = 244360,
  [SMALL_STATE(6073)] = 244427,
  [SMALL_STATE(6074)] = 244494,
  [SMALL_STATE(6075)] = 244561,
  [SMALL_STATE(6076)] = 244628,
  [SMALL_STATE(6077)] = 244695,
  [SMALL_STATE(6078)] = 244762,
  [SMALL_STATE(6079)] = 244829,
  [SMALL_STATE(6080)] = 244873,
  [SMALL_STATE(6081)] = 244907,
  [SMALL_STATE(6082)] = 244943,
  [SMALL_STATE(6083)] = 244981,
  [SMALL_STATE(6084)] = 245025,
  [SMALL_STATE(6085)] = 245085,
  [SMALL_STATE(6086)] = 245123,
  [SMALL_STATE(6087)] = 245161,
  [SMALL_STATE(6088)] = 245221,
  [SMALL_STATE(6089)] = 245281,
  [SMALL_STATE(6090)] = 245341,
  [SMALL_STATE(6091)] = 245401,
  [SMALL_STATE(6092)] = 245461,
  [SMALL_STATE(6093)] = 245521,
  [SMALL_STATE(6094)] = 245581,
  [SMALL_STATE(6095)] = 245641,
  [SMALL_STATE(6096)] = 245701,
  [SMALL_STATE(6097)] = 245761,
  [SMALL_STATE(6098)] = 245799,
  [SMALL_STATE(6099)] = 245859,
  [SMALL_STATE(6100)] = 245919,
  [SMALL_STATE(6101)] = 245979,
  [SMALL_STATE(6102)] = 246039,
  [SMALL_STATE(6103)] = 246077,
  [SMALL_STATE(6104)] = 246137,
  [SMALL_STATE(6105)] = 246197,
  [SMALL_STATE(6106)] = 246235,
  [SMALL_STATE(6107)] = 246295,
  [SMALL_STATE(6108)] = 246355,
  [SMALL_STATE(6109)] = 246415,
  [SMALL_STATE(6110)] = 246475,
  [SMALL_STATE(6111)] = 246535,
  [SMALL_STATE(6112)] = 246573,
  [SMALL_STATE(6113)] = 246633,
  [SMALL_STATE(6114)] = 246693,
  [SMALL_STATE(6115)] = 246735,
  [SMALL_STATE(6116)] = 246769,
  [SMALL_STATE(6117)] = 246806,
  [SMALL_STATE(6118)] = 246865,
  [SMALL_STATE(6119)] = 246902,
  [SMALL_STATE(6120)] = 246963,
  [SMALL_STATE(6121)] = 247024,
  [SMALL_STATE(6122)] = 247083,
  [SMALL_STATE(6123)] = 247144,
  [SMALL_STATE(6124)] = 247203,
  [SMALL_STATE(6125)] = 247262,
  [SMALL_STATE(6126)] = 247323,
  [SMALL_STATE(6127)] = 247382,
  [SMALL_STATE(6128)] = 247419,
  [SMALL_STATE(6129)] = 247478,
  [SMALL_STATE(6130)] = 247537,
  [SMALL_STATE(6131)] = 247598,
  [SMALL_STATE(6132)] = 247659,
  [SMALL_STATE(6133)] = 247720,
  [SMALL_STATE(6134)] = 247781,
  [SMALL_STATE(6135)] = 247840,
  [SMALL_STATE(6136)] = 247877,
  [SMALL_STATE(6137)] = 247914,
  [SMALL_STATE(6138)] = 247973,
  [SMALL_STATE(6139)] = 248034,
  [SMALL_STATE(6140)] = 248093,
  [SMALL_STATE(6141)] = 248130,
  [SMALL_STATE(6142)] = 248167,
  [SMALL_STATE(6143)] = 248226,
  [SMALL_STATE(6144)] = 248263,
  [SMALL_STATE(6145)] = 248300,
  [SMALL_STATE(6146)] = 248337,
  [SMALL_STATE(6147)] = 248374,
  [SMALL_STATE(6148)] = 248411,
  [SMALL_STATE(6149)] = 248448,
  [SMALL_STATE(6150)] = 248507,
  [SMALL_STATE(6151)] = 248543,
  [SMALL_STATE(6152)] = 248601,
  [SMALL_STATE(6153)] = 248649,
  [SMALL_STATE(6154)] = 248707,
  [SMALL_STATE(6155)] = 248765,
  [SMALL_STATE(6156)] = 248823,
  [SMALL_STATE(6157)] = 248871,
  [SMALL_STATE(6158)] = 248905,
  [SMALL_STATE(6159)] = 248963,
  [SMALL_STATE(6160)] = 249017,
  [SMALL_STATE(6161)] = 249065,
  [SMALL_STATE(6162)] = 249123,
  [SMALL_STATE(6163)] = 249170,
  [SMALL_STATE(6164)] = 249221,
  [SMALL_STATE(6165)] = 249272,
  [SMALL_STATE(6166)] = 249323,
  [SMALL_STATE(6167)] = 249360,
  [SMALL_STATE(6168)] = 249395,
  [SMALL_STATE(6169)] = 249446,
  [SMALL_STATE(6170)] = 249481,
  [SMALL_STATE(6171)] = 249532,
  [SMALL_STATE(6172)] = 249584,
  [SMALL_STATE(6173)] = 249636,
  [SMALL_STATE(6174)] = 249704,
  [SMALL_STATE(6175)] = 249760,
  [SMALL_STATE(6176)] = 249794,
  [SMALL_STATE(6177)] = 249846,
  [SMALL_STATE(6178)] = 249902,
  [SMALL_STATE(6179)] = 249970,
  [SMALL_STATE(6180)] = 250022,
  [SMALL_STATE(6181)] = 250074,
  [SMALL_STATE(6182)] = 250130,
  [SMALL_STATE(6183)] = 250186,
  [SMALL_STATE(6184)] = 250232,
  [SMALL_STATE(6185)] = 250288,
  [SMALL_STATE(6186)] = 250340,
  [SMALL_STATE(6187)] = 250392,
  [SMALL_STATE(6188)] = 250448,
  [SMALL_STATE(6189)] = 250500,
  [SMALL_STATE(6190)] = 250552,
  [SMALL_STATE(6191)] = 250604,
  [SMALL_STATE(6192)] = 250656,
  [SMALL_STATE(6193)] = 250708,
  [SMALL_STATE(6194)] = 250754,
  [SMALL_STATE(6195)] = 250806,
  [SMALL_STATE(6196)] = 250858,
  [SMALL_STATE(6197)] = 250910,
  [SMALL_STATE(6198)] = 250962,
  [SMALL_STATE(6199)] = 251014,
  [SMALL_STATE(6200)] = 251070,
  [SMALL_STATE(6201)] = 251122,
  [SMALL_STATE(6202)] = 251174,
  [SMALL_STATE(6203)] = 251226,
  [SMALL_STATE(6204)] = 251278,
  [SMALL_STATE(6205)] = 251330,
  [SMALL_STATE(6206)] = 251400,
  [SMALL_STATE(6207)] = 251452,
  [SMALL_STATE(6208)] = 251504,
  [SMALL_STATE(6209)] = 251560,
  [SMALL_STATE(6210)] = 251630,
  [SMALL_STATE(6211)] = 251686,
  [SMALL_STATE(6212)] = 251742,
  [SMALL_STATE(6213)] = 251794,
  [SMALL_STATE(6214)] = 251846,
  [SMALL_STATE(6215)] = 251914,
  [SMALL_STATE(6216)] = 251966,
  [SMALL_STATE(6217)] = 252018,
  [SMALL_STATE(6218)] = 252070,
  [SMALL_STATE(6219)] = 252122,
  [SMALL_STATE(6220)] = 252174,
  [SMALL_STATE(6221)] = 252212,
  [SMALL_STATE(6222)] = 252264,
  [SMALL_STATE(6223)] = 252316,
  [SMALL_STATE(6224)] = 252368,
  [SMALL_STATE(6225)] = 252436,
  [SMALL_STATE(6226)] = 252488,
  [SMALL_STATE(6227)] = 252540,
  [SMALL_STATE(6228)] = 252592,
  [SMALL_STATE(6229)] = 252644,
  [SMALL_STATE(6230)] = 252696,
  [SMALL_STATE(6231)] = 252748,
  [SMALL_STATE(6232)] = 252818,
  [SMALL_STATE(6233)] = 252870,
  [SMALL_STATE(6234)] = 252922,
  [SMALL_STATE(6235)] = 252960,
  [SMALL_STATE(6236)] = 253012,
  [SMALL_STATE(6237)] = 253064,
  [SMALL_STATE(6238)] = 253116,
  [SMALL_STATE(6239)] = 253172,
  [SMALL_STATE(6240)] = 253228,
  [SMALL_STATE(6241)] = 253287,
  [SMALL_STATE(6242)] = 253346,
  [SMALL_STATE(6243)] = 253405,
  [SMALL_STATE(6244)] = 253464,
  [SMALL_STATE(6245)] = 253523,
  [SMALL_STATE(6246)] = 253582,
  [SMALL_STATE(6247)] = 253641,
  [SMALL_STATE(6248)] = 253700,
  [SMALL_STATE(6249)] = 253759,
  [SMALL_STATE(6250)] = 253804,
  [SMALL_STATE(6251)] = 253863,
  [SMALL_STATE(6252)] = 253922,
  [SMALL_STATE(6253)] = 253981,
  [SMALL_STATE(6254)] = 254040,
  [SMALL_STATE(6255)] = 254099,
  [SMALL_STATE(6256)] = 254158,
  [SMALL_STATE(6257)] = 254217,
  [SMALL_STATE(6258)] = 254276,
  [SMALL_STATE(6259)] = 254335,
  [SMALL_STATE(6260)] = 254394,
  [SMALL_STATE(6261)] = 254453,
  [SMALL_STATE(6262)] = 254512,
  [SMALL_STATE(6263)] = 254571,
  [SMALL_STATE(6264)] = 254630,
  [SMALL_STATE(6265)] = 254689,
  [SMALL_STATE(6266)] = 254748,
  [SMALL_STATE(6267)] = 254807,
  [SMALL_STATE(6268)] = 254866,
  [SMALL_STATE(6269)] = 254925,
  [SMALL_STATE(6270)] = 254984,
  [SMALL_STATE(6271)] = 255043,
  [SMALL_STATE(6272)] = 255102,
  [SMALL_STATE(6273)] = 255161,
  [SMALL_STATE(6274)] = 255220,
  [SMALL_STATE(6275)] = 255279,
  [SMALL_STATE(6276)] = 255338,
  [SMALL_STATE(6277)] = 255397,
  [SMALL_STATE(6278)] = 255456,
  [SMALL_STATE(6279)] = 255515,
  [SMALL_STATE(6280)] = 255574,
  [SMALL_STATE(6281)] = 255603,
  [SMALL_STATE(6282)] = 255662,
  [SMALL_STATE(6283)] = 255721,
  [SMALL_STATE(6284)] = 255780,
  [SMALL_STATE(6285)] = 255839,
  [SMALL_STATE(6286)] = 255898,
  [SMALL_STATE(6287)] = 255957,
  [SMALL_STATE(6288)] = 256000,
  [SMALL_STATE(6289)] = 256055,
  [SMALL_STATE(6290)] = 256114,
  [SMALL_STATE(6291)] = 256173,
  [SMALL_STATE(6292)] = 256232,
  [SMALL_STATE(6293)] = 256291,
  [SMALL_STATE(6294)] = 256350,
  [SMALL_STATE(6295)] = 256409,
  [SMALL_STATE(6296)] = 256442,
  [SMALL_STATE(6297)] = 256501,
  [SMALL_STATE(6298)] = 256560,
  [SMALL_STATE(6299)] = 256619,
  [SMALL_STATE(6300)] = 256678,
  [SMALL_STATE(6301)] = 256737,
  [SMALL_STATE(6302)] = 256796,
  [SMALL_STATE(6303)] = 256855,
  [SMALL_STATE(6304)] = 256914,
  [SMALL_STATE(6305)] = 256973,
  [SMALL_STATE(6306)] = 257032,
  [SMALL_STATE(6307)] = 257075,
  [SMALL_STATE(6308)] = 257134,
  [SMALL_STATE(6309)] = 257193,
  [SMALL_STATE(6310)] = 257252,
  [SMALL_STATE(6311)] = 257311,
  [SMALL_STATE(6312)] = 257370,
  [SMALL_STATE(6313)] = 257429,
  [SMALL_STATE(6314)] = 257488,
  [SMALL_STATE(6315)] = 257547,
  [SMALL_STATE(6316)] = 257606,
  [SMALL_STATE(6317)] = 257661,
  [SMALL_STATE(6318)] = 257720,
  [SMALL_STATE(6319)] = 257779,
  [SMALL_STATE(6320)] = 257838,
  [SMALL_STATE(6321)] = 257897,
  [SMALL_STATE(6322)] = 257956,
  [SMALL_STATE(6323)] = 257985,
  [SMALL_STATE(6324)] = 258044,
  [SMALL_STATE(6325)] = 258103,
  [SMALL_STATE(6326)] = 258162,
  [SMALL_STATE(6327)] = 258221,
  [SMALL_STATE(6328)] = 258280,
  [SMALL_STATE(6329)] = 258339,
  [SMALL_STATE(6330)] = 258398,
  [SMALL_STATE(6331)] = 258457,
  [SMALL_STATE(6332)] = 258516,
  [SMALL_STATE(6333)] = 258575,
  [SMALL_STATE(6334)] = 258634,
  [SMALL_STATE(6335)] = 258693,
  [SMALL_STATE(6336)] = 258752,
  [SMALL_STATE(6337)] = 258811,
  [SMALL_STATE(6338)] = 258870,
  [SMALL_STATE(6339)] = 258929,
  [SMALL_STATE(6340)] = 258988,
  [SMALL_STATE(6341)] = 259047,
  [SMALL_STATE(6342)] = 259102,
  [SMALL_STATE(6343)] = 259145,
  [SMALL_STATE(6344)] = 259204,
  [SMALL_STATE(6345)] = 259263,
  [SMALL_STATE(6346)] = 259322,
  [SMALL_STATE(6347)] = 259381,
  [SMALL_STATE(6348)] = 259440,
  [SMALL_STATE(6349)] = 259503,
  [SMALL_STATE(6350)] = 259562,
  [SMALL_STATE(6351)] = 259621,
  [SMALL_STATE(6352)] = 259661,
  [SMALL_STATE(6353)] = 259725,
  [SMALL_STATE(6354)] = 259783,
  [SMALL_STATE(6355)] = 259823,
  [SMALL_STATE(6356)] = 259863,
  [SMALL_STATE(6357)] = 259903,
  [SMALL_STATE(6358)] = 259943,
  [SMALL_STATE(6359)] = 259983,
  [SMALL_STATE(6360)] = 260035,
  [SMALL_STATE(6361)] = 260099,
  [SMALL_STATE(6362)] = 260163,
  [SMALL_STATE(6363)] = 260227,
  [SMALL_STATE(6364)] = 260267,
  [SMALL_STATE(6365)] = 260307,
  [SMALL_STATE(6366)] = 260365,
  [SMALL_STATE(6367)] = 260405,
  [SMALL_STATE(6368)] = 260445,
  [SMALL_STATE(6369)] = 260473,
  [SMALL_STATE(6370)] = 260501,
  [SMALL_STATE(6371)] = 260541,
  [SMALL_STATE(6372)] = 260605,
  [SMALL_STATE(6373)] = 260645,
  [SMALL_STATE(6374)] = 260703,
  [SMALL_STATE(6375)] = 260755,
  [SMALL_STATE(6376)] = 260813,
  [SMALL_STATE(6377)] = 260849,
  [SMALL_STATE(6378)] = 260889,
  [SMALL_STATE(6379)] = 260929,
  [SMALL_STATE(6380)] = 260993,
  [SMALL_STATE(6381)] = 261033,
  [SMALL_STATE(6382)] = 261097,
  [SMALL_STATE(6383)] = 261137,
  [SMALL_STATE(6384)] = 261177,
  [SMALL_STATE(6385)] = 261213,
  [SMALL_STATE(6386)] = 261277,
  [SMALL_STATE(6387)] = 261321,
  [SMALL_STATE(6388)] = 261371,
  [SMALL_STATE(6389)] = 261411,
  [SMALL_STATE(6390)] = 261439,
  [SMALL_STATE(6391)] = 261479,
  [SMALL_STATE(6392)] = 261519,
  [SMALL_STATE(6393)] = 261583,
  [SMALL_STATE(6394)] = 261611,
  [SMALL_STATE(6395)] = 261651,
  [SMALL_STATE(6396)] = 261691,
  [SMALL_STATE(6397)] = 261719,
  [SMALL_STATE(6398)] = 261759,
  [SMALL_STATE(6399)] = 261817,
  [SMALL_STATE(6400)] = 261857,
  [SMALL_STATE(6401)] = 261897,
  [SMALL_STATE(6402)] = 261929,
  [SMALL_STATE(6403)] = 261963,
  [SMALL_STATE(6404)] = 261999,
  [SMALL_STATE(6405)] = 262039,
  [SMALL_STATE(6406)] = 262079,
  [SMALL_STATE(6407)] = 262137,
  [SMALL_STATE(6408)] = 262165,
  [SMALL_STATE(6409)] = 262213,
  [SMALL_STATE(6410)] = 262271,
  [SMALL_STATE(6411)] = 262317,
  [SMALL_STATE(6412)] = 262357,
  [SMALL_STATE(6413)] = 262415,
  [SMALL_STATE(6414)] = 262455,
  [SMALL_STATE(6415)] = 262501,
  [SMALL_STATE(6416)] = 262553,
  [SMALL_STATE(6417)] = 262605,
  [SMALL_STATE(6418)] = 262663,
  [SMALL_STATE(6419)] = 262691,
  [SMALL_STATE(6420)] = 262731,
  [SMALL_STATE(6421)] = 262771,
  [SMALL_STATE(6422)] = 262811,
  [SMALL_STATE(6423)] = 262875,
  [SMALL_STATE(6424)] = 262939,
  [SMALL_STATE(6425)] = 263003,
  [SMALL_STATE(6426)] = 263067,
  [SMALL_STATE(6427)] = 263107,
  [SMALL_STATE(6428)] = 263147,
  [SMALL_STATE(6429)] = 263211,
  [SMALL_STATE(6430)] = 263251,
  [SMALL_STATE(6431)] = 263293,
  [SMALL_STATE(6432)] = 263321,
  [SMALL_STATE(6433)] = 263361,
  [SMALL_STATE(6434)] = 263389,
  [SMALL_STATE(6435)] = 263429,
  [SMALL_STATE(6436)] = 263469,
  [SMALL_STATE(6437)] = 263497,
  [SMALL_STATE(6438)] = 263537,
  [SMALL_STATE(6439)] = 263577,
  [SMALL_STATE(6440)] = 263617,
  [SMALL_STATE(6441)] = 263661,
  [SMALL_STATE(6442)] = 263701,
  [SMALL_STATE(6443)] = 263734,
  [SMALL_STATE(6444)] = 263761,
  [SMALL_STATE(6445)] = 263806,
  [SMALL_STATE(6446)] = 263847,
  [SMALL_STATE(6447)] = 263886,
  [SMALL_STATE(6448)] = 263921,
  [SMALL_STATE(6449)] = 263966,
  [SMALL_STATE(6450)] = 264005,
  [SMALL_STATE(6451)] = 264032,
  [SMALL_STATE(6452)] = 264059,
  [SMALL_STATE(6453)] = 264090,
  [SMALL_STATE(6454)] = 264129,
  [SMALL_STATE(6455)] = 264168,
  [SMALL_STATE(6456)] = 264207,
  [SMALL_STATE(6457)] = 264242,
  [SMALL_STATE(6458)] = 264269,
  [SMALL_STATE(6459)] = 264318,
  [SMALL_STATE(6460)] = 264349,
  [SMALL_STATE(6461)] = 264376,
  [SMALL_STATE(6462)] = 264403,
  [SMALL_STATE(6463)] = 264448,
  [SMALL_STATE(6464)] = 264487,
  [SMALL_STATE(6465)] = 264544,
  [SMALL_STATE(6466)] = 264601,
  [SMALL_STATE(6467)] = 264636,
  [SMALL_STATE(6468)] = 264687,
  [SMALL_STATE(6469)] = 264722,
  [SMALL_STATE(6470)] = 264749,
  [SMALL_STATE(6471)] = 264788,
  [SMALL_STATE(6472)] = 264823,
  [SMALL_STATE(6473)] = 264860,
  [SMALL_STATE(6474)] = 264905,
  [SMALL_STATE(6475)] = 264940,
  [SMALL_STATE(6476)] = 264975,
  [SMALL_STATE(6477)] = 265002,
  [SMALL_STATE(6478)] = 265041,
  [SMALL_STATE(6479)] = 265086,
  [SMALL_STATE(6480)] = 265115,
  [SMALL_STATE(6481)] = 265142,
  [SMALL_STATE(6482)] = 265177,
  [SMALL_STATE(6483)] = 265216,
  [SMALL_STATE(6484)] = 265243,
  [SMALL_STATE(6485)] = 265294,
  [SMALL_STATE(6486)] = 265321,
  [SMALL_STATE(6487)] = 265348,
  [SMALL_STATE(6488)] = 265393,
  [SMALL_STATE(6489)] = 265432,
  [SMALL_STATE(6490)] = 265471,
  [SMALL_STATE(6491)] = 265506,
  [SMALL_STATE(6492)] = 265545,
  [SMALL_STATE(6493)] = 265590,
  [SMALL_STATE(6494)] = 265641,
  [SMALL_STATE(6495)] = 265680,
  [SMALL_STATE(6496)] = 265707,
  [SMALL_STATE(6497)] = 265750,
  [SMALL_STATE(6498)] = 265789,
  [SMALL_STATE(6499)] = 265832,
  [SMALL_STATE(6500)] = 265867,
  [SMALL_STATE(6501)] = 265916,
  [SMALL_STATE(6502)] = 265973,
  [SMALL_STATE(6503)] = 266008,
  [SMALL_STATE(6504)] = 266047,
  [SMALL_STATE(6505)] = 266078,
  [SMALL_STATE(6506)] = 266113,
  [SMALL_STATE(6507)] = 266140,
  [SMALL_STATE(6508)] = 266179,
  [SMALL_STATE(6509)] = 266206,
  [SMALL_STATE(6510)] = 266233,
  [SMALL_STATE(6511)] = 266272,
  [SMALL_STATE(6512)] = 266317,
  [SMALL_STATE(6513)] = 266362,
  [SMALL_STATE(6514)] = 266397,
  [SMALL_STATE(6515)] = 266436,
  [SMALL_STATE(6516)] = 266475,
  [SMALL_STATE(6517)] = 266514,
  [SMALL_STATE(6518)] = 266553,
  [SMALL_STATE(6519)] = 266598,
  [SMALL_STATE(6520)] = 266625,
  [SMALL_STATE(6521)] = 266656,
  [SMALL_STATE(6522)] = 266683,
  [SMALL_STATE(6523)] = 266722,
  [SMALL_STATE(6524)] = 266757,
  [SMALL_STATE(6525)] = 266796,
  [SMALL_STATE(6526)] = 266841,
  [SMALL_STATE(6527)] = 266868,
  [SMALL_STATE(6528)] = 266913,
  [SMALL_STATE(6529)] = 266952,
  [SMALL_STATE(6530)] = 266987,
  [SMALL_STATE(6531)] = 267016,
  [SMALL_STATE(6532)] = 267061,
  [SMALL_STATE(6533)] = 267092,
  [SMALL_STATE(6534)] = 267127,
  [SMALL_STATE(6535)] = 267184,
  [SMALL_STATE(6536)] = 267211,
  [SMALL_STATE(6537)] = 267256,
  [SMALL_STATE(6538)] = 267287,
  [SMALL_STATE(6539)] = 267318,
  [SMALL_STATE(6540)] = 267357,
  [SMALL_STATE(6541)] = 267414,
  [SMALL_STATE(6542)] = 267441,
  [SMALL_STATE(6543)] = 267486,
  [SMALL_STATE(6544)] = 267513,
  [SMALL_STATE(6545)] = 267548,
  [SMALL_STATE(6546)] = 267605,
  [SMALL_STATE(6547)] = 267632,
  [SMALL_STATE(6548)] = 267659,
  [SMALL_STATE(6549)] = 267710,
  [SMALL_STATE(6550)] = 267737,
  [SMALL_STATE(6551)] = 267772,
  [SMALL_STATE(6552)] = 267799,
  [SMALL_STATE(6553)] = 267844,
  [SMALL_STATE(6554)] = 267871,
  [SMALL_STATE(6555)] = 267898,
  [SMALL_STATE(6556)] = 267925,
  [SMALL_STATE(6557)] = 267954,
  [SMALL_STATE(6558)] = 267989,
  [SMALL_STATE(6559)] = 268020,
  [SMALL_STATE(6560)] = 268047,
  [SMALL_STATE(6561)] = 268092,
  [SMALL_STATE(6562)] = 268127,
  [SMALL_STATE(6563)] = 268154,
  [SMALL_STATE(6564)] = 268181,
  [SMALL_STATE(6565)] = 268216,
  [SMALL_STATE(6566)] = 268245,
  [SMALL_STATE(6567)] = 268281,
  [SMALL_STATE(6568)] = 268311,
  [SMALL_STATE(6569)] = 268341,
  [SMALL_STATE(6570)] = 268377,
  [SMALL_STATE(6571)] = 268413,
  [SMALL_STATE(6572)] = 268449,
  [SMALL_STATE(6573)] = 268485,
  [SMALL_STATE(6574)] = 268521,
  [SMALL_STATE(6575)] = 268551,
  [SMALL_STATE(6576)] = 268581,
  [SMALL_STATE(6577)] = 268617,
  [SMALL_STATE(6578)] = 268659,
  [SMALL_STATE(6579)] = 268711,
  [SMALL_STATE(6580)] = 268747,
  [SMALL_STATE(6581)] = 268784,
  [SMALL_STATE(6582)] = 268821,
  [SMALL_STATE(6583)] = 268852,
  [SMALL_STATE(6584)] = 268883,
  [SMALL_STATE(6585)] = 268926,
  [SMALL_STATE(6586)] = 268957,
  [SMALL_STATE(6587)] = 269006,
  [SMALL_STATE(6588)] = 269043,
  [SMALL_STATE(6589)] = 269092,
  [SMALL_STATE(6590)] = 269141,
  [SMALL_STATE(6591)] = 269178,
  [SMALL_STATE(6592)] = 269209,
  [SMALL_STATE(6593)] = 269258,
  [SMALL_STATE(6594)] = 269283,
  [SMALL_STATE(6595)] = 269308,
  [SMALL_STATE(6596)] = 269357,
  [SMALL_STATE(6597)] = 269392,
  [SMALL_STATE(6598)] = 269441,
  [SMALL_STATE(6599)] = 269490,
  [SMALL_STATE(6600)] = 269539,
  [SMALL_STATE(6601)] = 269588,
  [SMALL_STATE(6602)] = 269631,
  [SMALL_STATE(6603)] = 269674,
  [SMALL_STATE(6604)] = 269717,
  [SMALL_STATE(6605)] = 269760,
  [SMALL_STATE(6606)] = 269785,
  [SMALL_STATE(6607)] = 269810,
  [SMALL_STATE(6608)] = 269859,
  [SMALL_STATE(6609)] = 269908,
  [SMALL_STATE(6610)] = 269957,
  [SMALL_STATE(6611)] = 270000,
  [SMALL_STATE(6612)] = 270043,
  [SMALL_STATE(6613)] = 270068,
  [SMALL_STATE(6614)] = 270111,
  [SMALL_STATE(6615)] = 270142,
  [SMALL_STATE(6616)] = 270191,
  [SMALL_STATE(6617)] = 270240,
  [SMALL_STATE(6618)] = 270265,
  [SMALL_STATE(6619)] = 270314,
  [SMALL_STATE(6620)] = 270357,
  [SMALL_STATE(6621)] = 270400,
  [SMALL_STATE(6622)] = 270425,
  [SMALL_STATE(6623)] = 270450,
  [SMALL_STATE(6624)] = 270475,
  [SMALL_STATE(6625)] = 270524,
  [SMALL_STATE(6626)] = 270573,
  [SMALL_STATE(6627)] = 270616,
  [SMALL_STATE(6628)] = 270665,
  [SMALL_STATE(6629)] = 270690,
  [SMALL_STATE(6630)] = 270715,
  [SMALL_STATE(6631)] = 270758,
  [SMALL_STATE(6632)] = 270801,
  [SMALL_STATE(6633)] = 270826,
  [SMALL_STATE(6634)] = 270869,
  [SMALL_STATE(6635)] = 270912,
  [SMALL_STATE(6636)] = 270937,
  [SMALL_STATE(6637)] = 270988,
  [SMALL_STATE(6638)] = 271025,
  [SMALL_STATE(6639)] = 271068,
  [SMALL_STATE(6640)] = 271117,
  [SMALL_STATE(6641)] = 271160,
  [SMALL_STATE(6642)] = 271185,
  [SMALL_STATE(6643)] = 271210,
  [SMALL_STATE(6644)] = 271259,
  [SMALL_STATE(6645)] = 271296,
  [SMALL_STATE(6646)] = 271345,
  [SMALL_STATE(6647)] = 271370,
  [SMALL_STATE(6648)] = 271413,
  [SMALL_STATE(6649)] = 271456,
  [SMALL_STATE(6650)] = 271505,
  [SMALL_STATE(6651)] = 271554,
  [SMALL_STATE(6652)] = 271597,
  [SMALL_STATE(6653)] = 271640,
  [SMALL_STATE(6654)] = 271683,
  [SMALL_STATE(6655)] = 271720,
  [SMALL_STATE(6656)] = 271745,
  [SMALL_STATE(6657)] = 271786,
  [SMALL_STATE(6658)] = 271811,
  [SMALL_STATE(6659)] = 271848,
  [SMALL_STATE(6660)] = 271873,
  [SMALL_STATE(6661)] = 271922,
  [SMALL_STATE(6662)] = 271959,
  [SMALL_STATE(6663)] = 272008,
  [SMALL_STATE(6664)] = 272051,
  [SMALL_STATE(6665)] = 272100,
  [SMALL_STATE(6666)] = 272141,
  [SMALL_STATE(6667)] = 272178,
  [SMALL_STATE(6668)] = 272215,
  [SMALL_STATE(6669)] = 272258,
  [SMALL_STATE(6670)] = 272295,
  [SMALL_STATE(6671)] = 272320,
  [SMALL_STATE(6672)] = 272363,
  [SMALL_STATE(6673)] = 272388,
  [SMALL_STATE(6674)] = 272437,
  [SMALL_STATE(6675)] = 272486,
  [SMALL_STATE(6676)] = 272535,
  [SMALL_STATE(6677)] = 272578,
  [SMALL_STATE(6678)] = 272615,
  [SMALL_STATE(6679)] = 272664,
  [SMALL_STATE(6680)] = 272701,
  [SMALL_STATE(6681)] = 272738,
  [SMALL_STATE(6682)] = 272775,
  [SMALL_STATE(6683)] = 272811,
  [SMALL_STATE(6684)] = 272833,
  [SMALL_STATE(6685)] = 272855,
  [SMALL_STATE(6686)] = 272897,
  [SMALL_STATE(6687)] = 272919,
  [SMALL_STATE(6688)] = 272959,
  [SMALL_STATE(6689)] = 272999,
  [SMALL_STATE(6690)] = 273039,
  [SMALL_STATE(6691)] = 273061,
  [SMALL_STATE(6692)] = 273083,
  [SMALL_STATE(6693)] = 273123,
  [SMALL_STATE(6694)] = 273163,
  [SMALL_STATE(6695)] = 273203,
  [SMALL_STATE(6696)] = 273225,
  [SMALL_STATE(6697)] = 273261,
  [SMALL_STATE(6698)] = 273301,
  [SMALL_STATE(6699)] = 273331,
  [SMALL_STATE(6700)] = 273367,
  [SMALL_STATE(6701)] = 273397,
  [SMALL_STATE(6702)] = 273419,
  [SMALL_STATE(6703)] = 273455,
  [SMALL_STATE(6704)] = 273485,
  [SMALL_STATE(6705)] = 273511,
  [SMALL_STATE(6706)] = 273535,
  [SMALL_STATE(6707)] = 273565,
  [SMALL_STATE(6708)] = 273605,
  [SMALL_STATE(6709)] = 273627,
  [SMALL_STATE(6710)] = 273657,
  [SMALL_STATE(6711)] = 273687,
  [SMALL_STATE(6712)] = 273731,
  [SMALL_STATE(6713)] = 273771,
  [SMALL_STATE(6714)] = 273811,
  [SMALL_STATE(6715)] = 273851,
  [SMALL_STATE(6716)] = 273891,
  [SMALL_STATE(6717)] = 273931,
  [SMALL_STATE(6718)] = 273971,
  [SMALL_STATE(6719)] = 273993,
  [SMALL_STATE(6720)] = 274033,
  [SMALL_STATE(6721)] = 274055,
  [SMALL_STATE(6722)] = 274085,
  [SMALL_STATE(6723)] = 274125,
  [SMALL_STATE(6724)] = 274165,
  [SMALL_STATE(6725)] = 274195,
  [SMALL_STATE(6726)] = 274221,
  [SMALL_STATE(6727)] = 274261,
  [SMALL_STATE(6728)] = 274285,
  [SMALL_STATE(6729)] = 274325,
  [SMALL_STATE(6730)] = 274361,
  [SMALL_STATE(6731)] = 274387,
  [SMALL_STATE(6732)] = 274427,
  [SMALL_STATE(6733)] = 274449,
  [SMALL_STATE(6734)] = 274471,
  [SMALL_STATE(6735)] = 274495,
  [SMALL_STATE(6736)] = 274535,
  [SMALL_STATE(6737)] = 274571,
  [SMALL_STATE(6738)] = 274601,
  [SMALL_STATE(6739)] = 274623,
  [SMALL_STATE(6740)] = 274645,
  [SMALL_STATE(6741)] = 274675,
  [SMALL_STATE(6742)] = 274715,
  [SMALL_STATE(6743)] = 274755,
  [SMALL_STATE(6744)] = 274795,
  [SMALL_STATE(6745)] = 274817,
  [SMALL_STATE(6746)] = 274847,
  [SMALL_STATE(6747)] = 274869,
  [SMALL_STATE(6748)] = 274891,
  [SMALL_STATE(6749)] = 274921,
  [SMALL_STATE(6750)] = 274947,
  [SMALL_STATE(6751)] = 274983,
  [SMALL_STATE(6752)] = 275023,
  [SMALL_STATE(6753)] = 275063,
  [SMALL_STATE(6754)] = 275099,
  [SMALL_STATE(6755)] = 275139,
  [SMALL_STATE(6756)] = 275179,
  [SMALL_STATE(6757)] = 275210,
  [SMALL_STATE(6758)] = 275239,
  [SMALL_STATE(6759)] = 275282,
  [SMALL_STATE(6760)] = 275321,
  [SMALL_STATE(6761)] = 275364,
  [SMALL_STATE(6762)] = 275395,
  [SMALL_STATE(6763)] = 275438,
  [SMALL_STATE(6764)] = 275471,
  [SMALL_STATE(6765)] = 275510,
  [SMALL_STATE(6766)] = 275541,
  [SMALL_STATE(6767)] = 275572,
  [SMALL_STATE(6768)] = 275603,
  [SMALL_STATE(6769)] = 275646,
  [SMALL_STATE(6770)] = 275677,
  [SMALL_STATE(6771)] = 275710,
  [SMALL_STATE(6772)] = 275741,
  [SMALL_STATE(6773)] = 275764,
  [SMALL_STATE(6774)] = 275793,
  [SMALL_STATE(6775)] = 275824,
  [SMALL_STATE(6776)] = 275853,
  [SMALL_STATE(6777)] = 275882,
  [SMALL_STATE(6778)] = 275911,
  [SMALL_STATE(6779)] = 275950,
  [SMALL_STATE(6780)] = 275983,
  [SMALL_STATE(6781)] = 276012,
  [SMALL_STATE(6782)] = 276043,
  [SMALL_STATE(6783)] = 276086,
  [SMALL_STATE(6784)] = 276113,
  [SMALL_STATE(6785)] = 276142,
  [SMALL_STATE(6786)] = 276171,
  [SMALL_STATE(6787)] = 276202,
  [SMALL_STATE(6788)] = 276231,
  [SMALL_STATE(6789)] = 276262,
  [SMALL_STATE(6790)] = 276291,
  [SMALL_STATE(6791)] = 276320,
  [SMALL_STATE(6792)] = 276363,
  [SMALL_STATE(6793)] = 276394,
  [SMALL_STATE(6794)] = 276423,
  [SMALL_STATE(6795)] = 276452,
  [SMALL_STATE(6796)] = 276495,
  [SMALL_STATE(6797)] = 276524,
  [SMALL_STATE(6798)] = 276555,
  [SMALL_STATE(6799)] = 276584,
  [SMALL_STATE(6800)] = 276613,
  [SMALL_STATE(6801)] = 276644,
  [SMALL_STATE(6802)] = 276675,
  [SMALL_STATE(6803)] = 276704,
  [SMALL_STATE(6804)] = 276735,
  [SMALL_STATE(6805)] = 276762,
  [SMALL_STATE(6806)] = 276805,
  [SMALL_STATE(6807)] = 276834,
  [SMALL_STATE(6808)] = 276863,
  [SMALL_STATE(6809)] = 276892,
  [SMALL_STATE(6810)] = 276925,
  [SMALL_STATE(6811)] = 276954,
  [SMALL_STATE(6812)] = 276983,
  [SMALL_STATE(6813)] = 277012,
  [SMALL_STATE(6814)] = 277041,
  [SMALL_STATE(6815)] = 277084,
  [SMALL_STATE(6816)] = 277115,
  [SMALL_STATE(6817)] = 277144,
  [SMALL_STATE(6818)] = 277177,
  [SMALL_STATE(6819)] = 277210,
  [SMALL_STATE(6820)] = 277241,
  [SMALL_STATE(6821)] = 277274,
  [SMALL_STATE(6822)] = 277317,
  [SMALL_STATE(6823)] = 277356,
  [SMALL_STATE(6824)] = 277379,
  [SMALL_STATE(6825)] = 277410,
  [SMALL_STATE(6826)] = 277441,
  [SMALL_STATE(6827)] = 277472,
  [SMALL_STATE(6828)] = 277503,
  [SMALL_STATE(6829)] = 277530,
  [SMALL_STATE(6830)] = 277569,
  [SMALL_STATE(6831)] = 277612,
  [SMALL_STATE(6832)] = 277651,
  [SMALL_STATE(6833)] = 277694,
  [SMALL_STATE(6834)] = 277727,
  [SMALL_STATE(6835)] = 277770,
  [SMALL_STATE(6836)] = 277801,
  [SMALL_STATE(6837)] = 277831,
  [SMALL_STATE(6838)] = 277859,
  [SMALL_STATE(6839)] = 277887,
  [SMALL_STATE(6840)] = 277907,
  [SMALL_STATE(6841)] = 277947,
  [SMALL_STATE(6842)] = 277975,
  [SMALL_STATE(6843)] = 278015,
  [SMALL_STATE(6844)] = 278035,
  [SMALL_STATE(6845)] = 278067,
  [SMALL_STATE(6846)] = 278099,
  [SMALL_STATE(6847)] = 278139,
  [SMALL_STATE(6848)] = 278179,
  [SMALL_STATE(6849)] = 278211,
  [SMALL_STATE(6850)] = 278231,
  [SMALL_STATE(6851)] = 278263,
  [SMALL_STATE(6852)] = 278291,
  [SMALL_STATE(6853)] = 278323,
  [SMALL_STATE(6854)] = 278347,
  [SMALL_STATE(6855)] = 278377,
  [SMALL_STATE(6856)] = 278397,
  [SMALL_STATE(6857)] = 278429,
  [SMALL_STATE(6858)] = 278459,
  [SMALL_STATE(6859)] = 278487,
  [SMALL_STATE(6860)] = 278527,
  [SMALL_STATE(6861)] = 278555,
  [SMALL_STATE(6862)] = 278575,
  [SMALL_STATE(6863)] = 278607,
  [SMALL_STATE(6864)] = 278639,
  [SMALL_STATE(6865)] = 278659,
  [SMALL_STATE(6866)] = 278687,
  [SMALL_STATE(6867)] = 278719,
  [SMALL_STATE(6868)] = 278757,
  [SMALL_STATE(6869)] = 278777,
  [SMALL_STATE(6870)] = 278797,
  [SMALL_STATE(6871)] = 278837,
  [SMALL_STATE(6872)] = 278865,
  [SMALL_STATE(6873)] = 278893,
  [SMALL_STATE(6874)] = 278933,
  [SMALL_STATE(6875)] = 278961,
  [SMALL_STATE(6876)] = 278991,
  [SMALL_STATE(6877)] = 279023,
  [SMALL_STATE(6878)] = 279053,
  [SMALL_STATE(6879)] = 279093,
  [SMALL_STATE(6880)] = 279121,
  [SMALL_STATE(6881)] = 279149,
  [SMALL_STATE(6882)] = 279175,
  [SMALL_STATE(6883)] = 279203,
  [SMALL_STATE(6884)] = 279223,
  [SMALL_STATE(6885)] = 279245,
  [SMALL_STATE(6886)] = 279267,
  [SMALL_STATE(6887)] = 279287,
  [SMALL_STATE(6888)] = 279307,
  [SMALL_STATE(6889)] = 279337,
  [SMALL_STATE(6890)] = 279365,
  [SMALL_STATE(6891)] = 279389,
  [SMALL_STATE(6892)] = 279409,
  [SMALL_STATE(6893)] = 279431,
  [SMALL_STATE(6894)] = 279455,
  [SMALL_STATE(6895)] = 279483,
  [SMALL_STATE(6896)] = 279503,
  [SMALL_STATE(6897)] = 279531,
  [SMALL_STATE(6898)] = 279571,
  [SMALL_STATE(6899)] = 279611,
  [SMALL_STATE(6900)] = 279631,
  [SMALL_STATE(6901)] = 279659,
  [SMALL_STATE(6902)] = 279687,
  [SMALL_STATE(6903)] = 279715,
  [SMALL_STATE(6904)] = 279743,
  [SMALL_STATE(6905)] = 279775,
  [SMALL_STATE(6906)] = 279797,
  [SMALL_STATE(6907)] = 279837,
  [SMALL_STATE(6908)] = 279877,
  [SMALL_STATE(6909)] = 279897,
  [SMALL_STATE(6910)] = 279919,
  [SMALL_STATE(6911)] = 279951,
  [SMALL_STATE(6912)] = 279979,
  [SMALL_STATE(6913)] = 280011,
  [SMALL_STATE(6914)] = 280051,
  [SMALL_STATE(6915)] = 280083,
  [SMALL_STATE(6916)] = 280113,
  [SMALL_STATE(6917)] = 280153,
  [SMALL_STATE(6918)] = 280185,
  [SMALL_STATE(6919)] = 280215,
  [SMALL_STATE(6920)] = 280241,
  [SMALL_STATE(6921)] = 280273,
  [SMALL_STATE(6922)] = 280305,
  [SMALL_STATE(6923)] = 280345,
  [SMALL_STATE(6924)] = 280365,
  [SMALL_STATE(6925)] = 280393,
  [SMALL_STATE(6926)] = 280421,
  [SMALL_STATE(6927)] = 280441,
  [SMALL_STATE(6928)] = 280481,
  [SMALL_STATE(6929)] = 280501,
  [SMALL_STATE(6930)] = 280529,
  [SMALL_STATE(6931)] = 280561,
  [SMALL_STATE(6932)] = 280601,
  [SMALL_STATE(6933)] = 280631,
  [SMALL_STATE(6934)] = 280663,
  [SMALL_STATE(6935)] = 280693,
  [SMALL_STATE(6936)] = 280733,
  [SMALL_STATE(6937)] = 280761,
  [SMALL_STATE(6938)] = 280801,
  [SMALL_STATE(6939)] = 280841,
  [SMALL_STATE(6940)] = 280873,
  [SMALL_STATE(6941)] = 280899,
  [SMALL_STATE(6942)] = 280919,
  [SMALL_STATE(6943)] = 280959,
  [SMALL_STATE(6944)] = 280991,
  [SMALL_STATE(6945)] = 281023,
  [SMALL_STATE(6946)] = 281043,
  [SMALL_STATE(6947)] = 281063,
  [SMALL_STATE(6948)] = 281091,
  [SMALL_STATE(6949)] = 281123,
  [SMALL_STATE(6950)] = 281151,
  [SMALL_STATE(6951)] = 281188,
  [SMALL_STATE(6952)] = 281209,
  [SMALL_STATE(6953)] = 281230,
  [SMALL_STATE(6954)] = 281263,
  [SMALL_STATE(6955)] = 281290,
  [SMALL_STATE(6956)] = 281327,
  [SMALL_STATE(6957)] = 281360,
  [SMALL_STATE(6958)] = 281385,
  [SMALL_STATE(6959)] = 281418,
  [SMALL_STATE(6960)] = 281455,
  [SMALL_STATE(6961)] = 281488,
  [SMALL_STATE(6962)] = 281525,
  [SMALL_STATE(6963)] = 281552,
  [SMALL_STATE(6964)] = 281573,
  [SMALL_STATE(6965)] = 281606,
  [SMALL_STATE(6966)] = 281639,
  [SMALL_STATE(6967)] = 281672,
  [SMALL_STATE(6968)] = 281693,
  [SMALL_STATE(6969)] = 281714,
  [SMALL_STATE(6970)] = 281739,
  [SMALL_STATE(6971)] = 281772,
  [SMALL_STATE(6972)] = 281793,
  [SMALL_STATE(6973)] = 281830,
  [SMALL_STATE(6974)] = 281863,
  [SMALL_STATE(6975)] = 281884,
  [SMALL_STATE(6976)] = 281921,
  [SMALL_STATE(6977)] = 281958,
  [SMALL_STATE(6978)] = 281997,
  [SMALL_STATE(6979)] = 282034,
  [SMALL_STATE(6980)] = 282055,
  [SMALL_STATE(6981)] = 282092,
  [SMALL_STATE(6982)] = 282125,
  [SMALL_STATE(6983)] = 282150,
  [SMALL_STATE(6984)] = 282171,
  [SMALL_STATE(6985)] = 282204,
  [SMALL_STATE(6986)] = 282229,
  [SMALL_STATE(6987)] = 282266,
  [SMALL_STATE(6988)] = 282305,
  [SMALL_STATE(6989)] = 282326,
  [SMALL_STATE(6990)] = 282347,
  [SMALL_STATE(6991)] = 282368,
  [SMALL_STATE(6992)] = 282401,
  [SMALL_STATE(6993)] = 282428,
  [SMALL_STATE(6994)] = 282461,
  [SMALL_STATE(6995)] = 282488,
  [SMALL_STATE(6996)] = 282527,
  [SMALL_STATE(6997)] = 282562,
  [SMALL_STATE(6998)] = 282595,
  [SMALL_STATE(6999)] = 282632,
  [SMALL_STATE(7000)] = 282661,
  [SMALL_STATE(7001)] = 282694,
  [SMALL_STATE(7002)] = 282723,
  [SMALL_STATE(7003)] = 282744,
  [SMALL_STATE(7004)] = 282771,
  [SMALL_STATE(7005)] = 282792,
  [SMALL_STATE(7006)] = 282827,
  [SMALL_STATE(7007)] = 282856,
  [SMALL_STATE(7008)] = 282893,
  [SMALL_STATE(7009)] = 282918,
  [SMALL_STATE(7010)] = 282939,
  [SMALL_STATE(7011)] = 282964,
  [SMALL_STATE(7012)] = 282991,
  [SMALL_STATE(7013)] = 283024,
  [SMALL_STATE(7014)] = 283045,
  [SMALL_STATE(7015)] = 283078,
  [SMALL_STATE(7016)] = 283111,
  [SMALL_STATE(7017)] = 283136,
  [SMALL_STATE(7018)] = 283157,
  [SMALL_STATE(7019)] = 283184,
  [SMALL_STATE(7020)] = 283217,
  [SMALL_STATE(7021)] = 283242,
  [SMALL_STATE(7022)] = 283275,
  [SMALL_STATE(7023)] = 283296,
  [SMALL_STATE(7024)] = 283335,
  [SMALL_STATE(7025)] = 283356,
  [SMALL_STATE(7026)] = 283377,
  [SMALL_STATE(7027)] = 283410,
  [SMALL_STATE(7028)] = 283437,
  [SMALL_STATE(7029)] = 283466,
  [SMALL_STATE(7030)] = 283487,
  [SMALL_STATE(7031)] = 283514,
  [SMALL_STATE(7032)] = 283535,
  [SMALL_STATE(7033)] = 283562,
  [SMALL_STATE(7034)] = 283589,
  [SMALL_STATE(7035)] = 283622,
  [SMALL_STATE(7036)] = 283659,
  [SMALL_STATE(7037)] = 283696,
  [SMALL_STATE(7038)] = 283729,
  [SMALL_STATE(7039)] = 283766,
  [SMALL_STATE(7040)] = 283799,
  [SMALL_STATE(7041)] = 283836,
  [SMALL_STATE(7042)] = 283869,
  [SMALL_STATE(7043)] = 283896,
  [SMALL_STATE(7044)] = 283923,
  [SMALL_STATE(7045)] = 283944,
  [SMALL_STATE(7046)] = 283979,
  [SMALL_STATE(7047)] = 284018,
  [SMALL_STATE(7048)] = 284051,
  [SMALL_STATE(7049)] = 284078,
  [SMALL_STATE(7050)] = 284111,
  [SMALL_STATE(7051)] = 284138,
  [SMALL_STATE(7052)] = 284171,
  [SMALL_STATE(7053)] = 284192,
  [SMALL_STATE(7054)] = 284229,
  [SMALL_STATE(7055)] = 284268,
  [SMALL_STATE(7056)] = 284295,
  [SMALL_STATE(7057)] = 284332,
  [SMALL_STATE(7058)] = 284365,
  [SMALL_STATE(7059)] = 284386,
  [SMALL_STATE(7060)] = 284419,
  [SMALL_STATE(7061)] = 284456,
  [SMALL_STATE(7062)] = 284477,
  [SMALL_STATE(7063)] = 284510,
  [SMALL_STATE(7064)] = 284543,
  [SMALL_STATE(7065)] = 284580,
  [SMALL_STATE(7066)] = 284601,
  [SMALL_STATE(7067)] = 284622,
  [SMALL_STATE(7068)] = 284643,
  [SMALL_STATE(7069)] = 284668,
  [SMALL_STATE(7070)] = 284692,
  [SMALL_STATE(7071)] = 284728,
  [SMALL_STATE(7072)] = 284764,
  [SMALL_STATE(7073)] = 284790,
  [SMALL_STATE(7074)] = 284826,
  [SMALL_STATE(7075)] = 284862,
  [SMALL_STATE(7076)] = 284890,
  [SMALL_STATE(7077)] = 284916,
  [SMALL_STATE(7078)] = 284950,
  [SMALL_STATE(7079)] = 284984,
  [SMALL_STATE(7080)] = 285018,
  [SMALL_STATE(7081)] = 285054,
  [SMALL_STATE(7082)] = 285082,
  [SMALL_STATE(7083)] = 285118,
  [SMALL_STATE(7084)] = 285154,
  [SMALL_STATE(7085)] = 285188,
  [SMALL_STATE(7086)] = 285222,
  [SMALL_STATE(7087)] = 285252,
  [SMALL_STATE(7088)] = 285278,
  [SMALL_STATE(7089)] = 285308,
  [SMALL_STATE(7090)] = 285344,
  [SMALL_STATE(7091)] = 285370,
  [SMALL_STATE(7092)] = 285396,
  [SMALL_STATE(7093)] = 285424,
  [SMALL_STATE(7094)] = 285450,
  [SMALL_STATE(7095)] = 285480,
  [SMALL_STATE(7096)] = 285516,
  [SMALL_STATE(7097)] = 285542,
  [SMALL_STATE(7098)] = 285566,
  [SMALL_STATE(7099)] = 285586,
  [SMALL_STATE(7100)] = 285610,
  [SMALL_STATE(7101)] = 285644,
  [SMALL_STATE(7102)] = 285670,
  [SMALL_STATE(7103)] = 285696,
  [SMALL_STATE(7104)] = 285722,
  [SMALL_STATE(7105)] = 285758,
  [SMALL_STATE(7106)] = 285794,
  [SMALL_STATE(7107)] = 285820,
  [SMALL_STATE(7108)] = 285850,
  [SMALL_STATE(7109)] = 285876,
  [SMALL_STATE(7110)] = 285902,
  [SMALL_STATE(7111)] = 285928,
  [SMALL_STATE(7112)] = 285954,
  [SMALL_STATE(7113)] = 285990,
  [SMALL_STATE(7114)] = 286020,
  [SMALL_STATE(7115)] = 286046,
  [SMALL_STATE(7116)] = 286082,
  [SMALL_STATE(7117)] = 286106,
  [SMALL_STATE(7118)] = 286142,
  [SMALL_STATE(7119)] = 286172,
  [SMALL_STATE(7120)] = 286206,
  [SMALL_STATE(7121)] = 286236,
  [SMALL_STATE(7122)] = 286272,
  [SMALL_STATE(7123)] = 286308,
  [SMALL_STATE(7124)] = 286336,
  [SMALL_STATE(7125)] = 286372,
  [SMALL_STATE(7126)] = 286396,
  [SMALL_STATE(7127)] = 286418,
  [SMALL_STATE(7128)] = 286454,
  [SMALL_STATE(7129)] = 286490,
  [SMALL_STATE(7130)] = 286520,
  [SMALL_STATE(7131)] = 286550,
  [SMALL_STATE(7132)] = 286580,
  [SMALL_STATE(7133)] = 286616,
  [SMALL_STATE(7134)] = 286652,
  [SMALL_STATE(7135)] = 286686,
  [SMALL_STATE(7136)] = 286716,
  [SMALL_STATE(7137)] = 286742,
  [SMALL_STATE(7138)] = 286764,
  [SMALL_STATE(7139)] = 286798,
  [SMALL_STATE(7140)] = 286818,
  [SMALL_STATE(7141)] = 286844,
  [SMALL_STATE(7142)] = 286874,
  [SMALL_STATE(7143)] = 286910,
  [SMALL_STATE(7144)] = 286946,
  [SMALL_STATE(7145)] = 286980,
  [SMALL_STATE(7146)] = 287016,
  [SMALL_STATE(7147)] = 287052,
  [SMALL_STATE(7148)] = 287082,
  [SMALL_STATE(7149)] = 287113,
  [SMALL_STATE(7150)] = 287148,
  [SMALL_STATE(7151)] = 287175,
  [SMALL_STATE(7152)] = 287196,
  [SMALL_STATE(7153)] = 287223,
  [SMALL_STATE(7154)] = 287254,
  [SMALL_STATE(7155)] = 287279,
  [SMALL_STATE(7156)] = 287310,
  [SMALL_STATE(7157)] = 287337,
  [SMALL_STATE(7158)] = 287362,
  [SMALL_STATE(7159)] = 287393,
  [SMALL_STATE(7160)] = 287420,
  [SMALL_STATE(7161)] = 287439,
  [SMALL_STATE(7162)] = 287458,
  [SMALL_STATE(7163)] = 287493,
  [SMALL_STATE(7164)] = 287520,
  [SMALL_STATE(7165)] = 287555,
  [SMALL_STATE(7166)] = 287586,
  [SMALL_STATE(7167)] = 287621,
  [SMALL_STATE(7168)] = 287640,
  [SMALL_STATE(7169)] = 287665,
  [SMALL_STATE(7170)] = 287696,
  [SMALL_STATE(7171)] = 287715,
  [SMALL_STATE(7172)] = 287750,
  [SMALL_STATE(7173)] = 287785,
  [SMALL_STATE(7174)] = 287808,
  [SMALL_STATE(7175)] = 287843,
  [SMALL_STATE(7176)] = 287868,
  [SMALL_STATE(7177)] = 287903,
  [SMALL_STATE(7178)] = 287938,
  [SMALL_STATE(7179)] = 287965,
  [SMALL_STATE(7180)] = 287984,
  [SMALL_STATE(7181)] = 288019,
  [SMALL_STATE(7182)] = 288050,
  [SMALL_STATE(7183)] = 288069,
  [SMALL_STATE(7184)] = 288088,
  [SMALL_STATE(7185)] = 288117,
  [SMALL_STATE(7186)] = 288150,
  [SMALL_STATE(7187)] = 288181,
  [SMALL_STATE(7188)] = 288216,
  [SMALL_STATE(7189)] = 288245,
  [SMALL_STATE(7190)] = 288272,
  [SMALL_STATE(7191)] = 288307,
  [SMALL_STATE(7192)] = 288336,
  [SMALL_STATE(7193)] = 288367,
  [SMALL_STATE(7194)] = 288392,
  [SMALL_STATE(7195)] = 288427,
  [SMALL_STATE(7196)] = 288462,
  [SMALL_STATE(7197)] = 288497,
  [SMALL_STATE(7198)] = 288532,
  [SMALL_STATE(7199)] = 288561,
  [SMALL_STATE(7200)] = 288596,
  [SMALL_STATE(7201)] = 288625,
  [SMALL_STATE(7202)] = 288654,
  [SMALL_STATE(7203)] = 288679,
  [SMALL_STATE(7204)] = 288704,
  [SMALL_STATE(7205)] = 288737,
  [SMALL_STATE(7206)] = 288772,
  [SMALL_STATE(7207)] = 288797,
  [SMALL_STATE(7208)] = 288822,
  [SMALL_STATE(7209)] = 288841,
  [SMALL_STATE(7210)] = 288860,
  [SMALL_STATE(7211)] = 288895,
  [SMALL_STATE(7212)] = 288922,
  [SMALL_STATE(7213)] = 288947,
  [SMALL_STATE(7214)] = 288982,
  [SMALL_STATE(7215)] = 289015,
  [SMALL_STATE(7216)] = 289050,
  [SMALL_STATE(7217)] = 289079,
  [SMALL_STATE(7218)] = 289106,
  [SMALL_STATE(7219)] = 289137,
  [SMALL_STATE(7220)] = 289172,
  [SMALL_STATE(7221)] = 289207,
  [SMALL_STATE(7222)] = 289242,
  [SMALL_STATE(7223)] = 289267,
  [SMALL_STATE(7224)] = 289294,
  [SMALL_STATE(7225)] = 289325,
  [SMALL_STATE(7226)] = 289348,
  [SMALL_STATE(7227)] = 289367,
  [SMALL_STATE(7228)] = 289402,
  [SMALL_STATE(7229)] = 289427,
  [SMALL_STATE(7230)] = 289462,
  [SMALL_STATE(7231)] = 289497,
  [SMALL_STATE(7232)] = 289521,
  [SMALL_STATE(7233)] = 289539,
  [SMALL_STATE(7234)] = 289569,
  [SMALL_STATE(7235)] = 289599,
  [SMALL_STATE(7236)] = 289621,
  [SMALL_STATE(7237)] = 289645,
  [SMALL_STATE(7238)] = 289667,
  [SMALL_STATE(7239)] = 289697,
  [SMALL_STATE(7240)] = 289715,
  [SMALL_STATE(7241)] = 289739,
  [SMALL_STATE(7242)] = 289761,
  [SMALL_STATE(7243)] = 289793,
  [SMALL_STATE(7244)] = 289823,
  [SMALL_STATE(7245)] = 289845,
  [SMALL_STATE(7246)] = 289867,
  [SMALL_STATE(7247)] = 289897,
  [SMALL_STATE(7248)] = 289921,
  [SMALL_STATE(7249)] = 289943,
  [SMALL_STATE(7250)] = 289965,
  [SMALL_STATE(7251)] = 289987,
  [SMALL_STATE(7252)] = 290009,
  [SMALL_STATE(7253)] = 290031,
  [SMALL_STATE(7254)] = 290061,
  [SMALL_STATE(7255)] = 290085,
  [SMALL_STATE(7256)] = 290109,
  [SMALL_STATE(7257)] = 290127,
  [SMALL_STATE(7258)] = 290157,
  [SMALL_STATE(7259)] = 290181,
  [SMALL_STATE(7260)] = 290205,
  [SMALL_STATE(7261)] = 290229,
  [SMALL_STATE(7262)] = 290253,
  [SMALL_STATE(7263)] = 290275,
  [SMALL_STATE(7264)] = 290305,
  [SMALL_STATE(7265)] = 290327,
  [SMALL_STATE(7266)] = 290349,
  [SMALL_STATE(7267)] = 290367,
  [SMALL_STATE(7268)] = 290385,
  [SMALL_STATE(7269)] = 290403,
  [SMALL_STATE(7270)] = 290425,
  [SMALL_STATE(7271)] = 290443,
  [SMALL_STATE(7272)] = 290465,
  [SMALL_STATE(7273)] = 290496,
  [SMALL_STATE(7274)] = 290527,
  [SMALL_STATE(7275)] = 290548,
  [SMALL_STATE(7276)] = 290571,
  [SMALL_STATE(7277)] = 290602,
  [SMALL_STATE(7278)] = 290621,
  [SMALL_STATE(7279)] = 290642,
  [SMALL_STATE(7280)] = 290673,
  [SMALL_STATE(7281)] = 290692,
  [SMALL_STATE(7282)] = 290723,
  [SMALL_STATE(7283)] = 290748,
  [SMALL_STATE(7284)] = 290779,
  [SMALL_STATE(7285)] = 290800,
  [SMALL_STATE(7286)] = 290831,
  [SMALL_STATE(7287)] = 290858,
  [SMALL_STATE(7288)] = 290885,
  [SMALL_STATE(7289)] = 290916,
  [SMALL_STATE(7290)] = 290947,
  [SMALL_STATE(7291)] = 290970,
  [SMALL_STATE(7292)] = 291001,
  [SMALL_STATE(7293)] = 291032,
  [SMALL_STATE(7294)] = 291063,
  [SMALL_STATE(7295)] = 291090,
  [SMALL_STATE(7296)] = 291117,
  [SMALL_STATE(7297)] = 291140,
  [SMALL_STATE(7298)] = 291163,
  [SMALL_STATE(7299)] = 291190,
  [SMALL_STATE(7300)] = 291213,
  [SMALL_STATE(7301)] = 291244,
  [SMALL_STATE(7302)] = 291265,
  [SMALL_STATE(7303)] = 291296,
  [SMALL_STATE(7304)] = 291319,
  [SMALL_STATE(7305)] = 291350,
  [SMALL_STATE(7306)] = 291377,
  [SMALL_STATE(7307)] = 291408,
  [SMALL_STATE(7308)] = 291439,
  [SMALL_STATE(7309)] = 291470,
  [SMALL_STATE(7310)] = 291491,
  [SMALL_STATE(7311)] = 291518,
  [SMALL_STATE(7312)] = 291539,
  [SMALL_STATE(7313)] = 291562,
  [SMALL_STATE(7314)] = 291589,
  [SMALL_STATE(7315)] = 291620,
  [SMALL_STATE(7316)] = 291643,
  [SMALL_STATE(7317)] = 291674,
  [SMALL_STATE(7318)] = 291701,
  [SMALL_STATE(7319)] = 291732,
  [SMALL_STATE(7320)] = 291763,
  [SMALL_STATE(7321)] = 291794,
  [SMALL_STATE(7322)] = 291817,
  [SMALL_STATE(7323)] = 291840,
  [SMALL_STATE(7324)] = 291866,
  [SMALL_STATE(7325)] = 291892,
  [SMALL_STATE(7326)] = 291908,
  [SMALL_STATE(7327)] = 291928,
  [SMALL_STATE(7328)] = 291954,
  [SMALL_STATE(7329)] = 291980,
  [SMALL_STATE(7330)] = 292004,
  [SMALL_STATE(7331)] = 292030,
  [SMALL_STATE(7332)] = 292056,
  [SMALL_STATE(7333)] = 292082,
  [SMALL_STATE(7334)] = 292104,
  [SMALL_STATE(7335)] = 292126,
  [SMALL_STATE(7336)] = 292152,
  [SMALL_STATE(7337)] = 292178,
  [SMALL_STATE(7338)] = 292204,
  [SMALL_STATE(7339)] = 292230,
  [SMALL_STATE(7340)] = 292252,
  [SMALL_STATE(7341)] = 292278,
  [SMALL_STATE(7342)] = 292304,
  [SMALL_STATE(7343)] = 292330,
  [SMALL_STATE(7344)] = 292352,
  [SMALL_STATE(7345)] = 292378,
  [SMALL_STATE(7346)] = 292398,
  [SMALL_STATE(7347)] = 292420,
  [SMALL_STATE(7348)] = 292442,
  [SMALL_STATE(7349)] = 292468,
  [SMALL_STATE(7350)] = 292492,
  [SMALL_STATE(7351)] = 292514,
  [SMALL_STATE(7352)] = 292536,
  [SMALL_STATE(7353)] = 292562,
  [SMALL_STATE(7354)] = 292588,
  [SMALL_STATE(7355)] = 292608,
  [SMALL_STATE(7356)] = 292634,
  [SMALL_STATE(7357)] = 292658,
  [SMALL_STATE(7358)] = 292684,
  [SMALL_STATE(7359)] = 292710,
  [SMALL_STATE(7360)] = 292736,
  [SMALL_STATE(7361)] = 292762,
  [SMALL_STATE(7362)] = 292788,
  [SMALL_STATE(7363)] = 292814,
  [SMALL_STATE(7364)] = 292840,
  [SMALL_STATE(7365)] = 292866,
  [SMALL_STATE(7366)] = 292882,
  [SMALL_STATE(7367)] = 292904,
  [SMALL_STATE(7368)] = 292930,
  [SMALL_STATE(7369)] = 292954,
  [SMALL_STATE(7370)] = 292980,
  [SMALL_STATE(7371)] = 293000,
  [SMALL_STATE(7372)] = 293026,
  [SMALL_STATE(7373)] = 293050,
  [SMALL_STATE(7374)] = 293076,
  [SMALL_STATE(7375)] = 293102,
  [SMALL_STATE(7376)] = 293128,
  [SMALL_STATE(7377)] = 293150,
  [SMALL_STATE(7378)] = 293176,
  [SMALL_STATE(7379)] = 293202,
  [SMALL_STATE(7380)] = 293224,
  [SMALL_STATE(7381)] = 293250,
  [SMALL_STATE(7382)] = 293276,
  [SMALL_STATE(7383)] = 293302,
  [SMALL_STATE(7384)] = 293328,
  [SMALL_STATE(7385)] = 293354,
  [SMALL_STATE(7386)] = 293372,
  [SMALL_STATE(7387)] = 293394,
  [SMALL_STATE(7388)] = 293417,
  [SMALL_STATE(7389)] = 293438,
  [SMALL_STATE(7390)] = 293461,
  [SMALL_STATE(7391)] = 293484,
  [SMALL_STATE(7392)] = 293509,
  [SMALL_STATE(7393)] = 293530,
  [SMALL_STATE(7394)] = 293555,
  [SMALL_STATE(7395)] = 293576,
  [SMALL_STATE(7396)] = 293597,
  [SMALL_STATE(7397)] = 293620,
  [SMALL_STATE(7398)] = 293635,
  [SMALL_STATE(7399)] = 293660,
  [SMALL_STATE(7400)] = 293683,
  [SMALL_STATE(7401)] = 293702,
  [SMALL_STATE(7402)] = 293717,
  [SMALL_STATE(7403)] = 293742,
  [SMALL_STATE(7404)] = 293765,
  [SMALL_STATE(7405)] = 293780,
  [SMALL_STATE(7406)] = 293795,
  [SMALL_STATE(7407)] = 293810,
  [SMALL_STATE(7408)] = 293835,
  [SMALL_STATE(7409)] = 293858,
  [SMALL_STATE(7410)] = 293883,
  [SMALL_STATE(7411)] = 293904,
  [SMALL_STATE(7412)] = 293927,
  [SMALL_STATE(7413)] = 293948,
  [SMALL_STATE(7414)] = 293971,
  [SMALL_STATE(7415)] = 293994,
  [SMALL_STATE(7416)] = 294017,
  [SMALL_STATE(7417)] = 294042,
  [SMALL_STATE(7418)] = 294063,
  [SMALL_STATE(7419)] = 294080,
  [SMALL_STATE(7420)] = 294099,
  [SMALL_STATE(7421)] = 294120,
  [SMALL_STATE(7422)] = 294141,
  [SMALL_STATE(7423)] = 294160,
  [SMALL_STATE(7424)] = 294185,
  [SMALL_STATE(7425)] = 294200,
  [SMALL_STATE(7426)] = 294221,
  [SMALL_STATE(7427)] = 294244,
  [SMALL_STATE(7428)] = 294265,
  [SMALL_STATE(7429)] = 294288,
  [SMALL_STATE(7430)] = 294309,
  [SMALL_STATE(7431)] = 294330,
  [SMALL_STATE(7432)] = 294351,
  [SMALL_STATE(7433)] = 294376,
  [SMALL_STATE(7434)] = 294391,
  [SMALL_STATE(7435)] = 294414,
  [SMALL_STATE(7436)] = 294435,
  [SMALL_STATE(7437)] = 294458,
  [SMALL_STATE(7438)] = 294481,
  [SMALL_STATE(7439)] = 294496,
  [SMALL_STATE(7440)] = 294517,
  [SMALL_STATE(7441)] = 294542,
  [SMALL_STATE(7442)] = 294562,
  [SMALL_STATE(7443)] = 294578,
  [SMALL_STATE(7444)] = 294598,
  [SMALL_STATE(7445)] = 294614,
  [SMALL_STATE(7446)] = 294634,
  [SMALL_STATE(7447)] = 294650,
  [SMALL_STATE(7448)] = 294664,
  [SMALL_STATE(7449)] = 294678,
  [SMALL_STATE(7450)] = 294694,
  [SMALL_STATE(7451)] = 294708,
  [SMALL_STATE(7452)] = 294728,
  [SMALL_STATE(7453)] = 294742,
  [SMALL_STATE(7454)] = 294760,
  [SMALL_STATE(7455)] = 294776,
  [SMALL_STATE(7456)] = 294796,
  [SMALL_STATE(7457)] = 294812,
  [SMALL_STATE(7458)] = 294832,
  [SMALL_STATE(7459)] = 294846,
  [SMALL_STATE(7460)] = 294862,
  [SMALL_STATE(7461)] = 294882,
  [SMALL_STATE(7462)] = 294898,
  [SMALL_STATE(7463)] = 294914,
  [SMALL_STATE(7464)] = 294932,
  [SMALL_STATE(7465)] = 294948,
  [SMALL_STATE(7466)] = 294962,
  [SMALL_STATE(7467)] = 294982,
  [SMALL_STATE(7468)] = 295002,
  [SMALL_STATE(7469)] = 295018,
  [SMALL_STATE(7470)] = 295032,
  [SMALL_STATE(7471)] = 295046,
  [SMALL_STATE(7472)] = 295066,
  [SMALL_STATE(7473)] = 295084,
  [SMALL_STATE(7474)] = 295102,
  [SMALL_STATE(7475)] = 295118,
  [SMALL_STATE(7476)] = 295132,
  [SMALL_STATE(7477)] = 295152,
  [SMALL_STATE(7478)] = 295166,
  [SMALL_STATE(7479)] = 295184,
  [SMALL_STATE(7480)] = 295200,
  [SMALL_STATE(7481)] = 295216,
  [SMALL_STATE(7482)] = 295236,
  [SMALL_STATE(7483)] = 295256,
  [SMALL_STATE(7484)] = 295270,
  [SMALL_STATE(7485)] = 295288,
  [SMALL_STATE(7486)] = 295308,
  [SMALL_STATE(7487)] = 295322,
  [SMALL_STATE(7488)] = 295338,
  [SMALL_STATE(7489)] = 295352,
  [SMALL_STATE(7490)] = 295368,
  [SMALL_STATE(7491)] = 295382,
  [SMALL_STATE(7492)] = 295400,
  [SMALL_STATE(7493)] = 295418,
  [SMALL_STATE(7494)] = 295434,
  [SMALL_STATE(7495)] = 295454,
  [SMALL_STATE(7496)] = 295474,
  [SMALL_STATE(7497)] = 295488,
  [SMALL_STATE(7498)] = 295504,
  [SMALL_STATE(7499)] = 295520,
  [SMALL_STATE(7500)] = 295540,
  [SMALL_STATE(7501)] = 295558,
  [SMALL_STATE(7502)] = 295574,
  [SMALL_STATE(7503)] = 295594,
  [SMALL_STATE(7504)] = 295614,
  [SMALL_STATE(7505)] = 295634,
  [SMALL_STATE(7506)] = 295653,
  [SMALL_STATE(7507)] = 295672,
  [SMALL_STATE(7508)] = 295691,
  [SMALL_STATE(7509)] = 295710,
  [SMALL_STATE(7510)] = 295729,
  [SMALL_STATE(7511)] = 295746,
  [SMALL_STATE(7512)] = 295763,
  [SMALL_STATE(7513)] = 295782,
  [SMALL_STATE(7514)] = 295799,
  [SMALL_STATE(7515)] = 295818,
  [SMALL_STATE(7516)] = 295837,
  [SMALL_STATE(7517)] = 295856,
  [SMALL_STATE(7518)] = 295875,
  [SMALL_STATE(7519)] = 295894,
  [SMALL_STATE(7520)] = 295907,
  [SMALL_STATE(7521)] = 295926,
  [SMALL_STATE(7522)] = 295945,
  [SMALL_STATE(7523)] = 295964,
  [SMALL_STATE(7524)] = 295983,
  [SMALL_STATE(7525)] = 296002,
  [SMALL_STATE(7526)] = 296021,
  [SMALL_STATE(7527)] = 296040,
  [SMALL_STATE(7528)] = 296059,
  [SMALL_STATE(7529)] = 296072,
  [SMALL_STATE(7530)] = 296085,
  [SMALL_STATE(7531)] = 296104,
  [SMALL_STATE(7532)] = 296123,
  [SMALL_STATE(7533)] = 296142,
  [SMALL_STATE(7534)] = 296161,
  [SMALL_STATE(7535)] = 296180,
  [SMALL_STATE(7536)] = 296199,
  [SMALL_STATE(7537)] = 296218,
  [SMALL_STATE(7538)] = 296237,
  [SMALL_STATE(7539)] = 296256,
  [SMALL_STATE(7540)] = 296275,
  [SMALL_STATE(7541)] = 296294,
  [SMALL_STATE(7542)] = 296307,
  [SMALL_STATE(7543)] = 296326,
  [SMALL_STATE(7544)] = 296345,
  [SMALL_STATE(7545)] = 296364,
  [SMALL_STATE(7546)] = 296383,
  [SMALL_STATE(7547)] = 296400,
  [SMALL_STATE(7548)] = 296417,
  [SMALL_STATE(7549)] = 296436,
  [SMALL_STATE(7550)] = 296455,
  [SMALL_STATE(7551)] = 296474,
  [SMALL_STATE(7552)] = 296493,
  [SMALL_STATE(7553)] = 296512,
  [SMALL_STATE(7554)] = 296531,
  [SMALL_STATE(7555)] = 296544,
  [SMALL_STATE(7556)] = 296563,
  [SMALL_STATE(7557)] = 296582,
  [SMALL_STATE(7558)] = 296601,
  [SMALL_STATE(7559)] = 296620,
  [SMALL_STATE(7560)] = 296639,
  [SMALL_STATE(7561)] = 296656,
  [SMALL_STATE(7562)] = 296675,
  [SMALL_STATE(7563)] = 296694,
  [SMALL_STATE(7564)] = 296713,
  [SMALL_STATE(7565)] = 296730,
  [SMALL_STATE(7566)] = 296749,
  [SMALL_STATE(7567)] = 296768,
  [SMALL_STATE(7568)] = 296787,
  [SMALL_STATE(7569)] = 296806,
  [SMALL_STATE(7570)] = 296825,
  [SMALL_STATE(7571)] = 296844,
  [SMALL_STATE(7572)] = 296863,
  [SMALL_STATE(7573)] = 296882,
  [SMALL_STATE(7574)] = 296901,
  [SMALL_STATE(7575)] = 296920,
  [SMALL_STATE(7576)] = 296939,
  [SMALL_STATE(7577)] = 296958,
  [SMALL_STATE(7578)] = 296972,
  [SMALL_STATE(7579)] = 296988,
  [SMALL_STATE(7580)] = 297002,
  [SMALL_STATE(7581)] = 297016,
  [SMALL_STATE(7582)] = 297030,
  [SMALL_STATE(7583)] = 297046,
  [SMALL_STATE(7584)] = 297062,
  [SMALL_STATE(7585)] = 297078,
  [SMALL_STATE(7586)] = 297094,
  [SMALL_STATE(7587)] = 297110,
  [SMALL_STATE(7588)] = 297126,
  [SMALL_STATE(7589)] = 297142,
  [SMALL_STATE(7590)] = 297158,
  [SMALL_STATE(7591)] = 297172,
  [SMALL_STATE(7592)] = 297186,
  [SMALL_STATE(7593)] = 297202,
  [SMALL_STATE(7594)] = 297218,
  [SMALL_STATE(7595)] = 297234,
  [SMALL_STATE(7596)] = 297248,
  [SMALL_STATE(7597)] = 297262,
  [SMALL_STATE(7598)] = 297278,
  [SMALL_STATE(7599)] = 297294,
  [SMALL_STATE(7600)] = 297308,
  [SMALL_STATE(7601)] = 297324,
  [SMALL_STATE(7602)] = 297340,
  [SMALL_STATE(7603)] = 297356,
  [SMALL_STATE(7604)] = 297372,
  [SMALL_STATE(7605)] = 297386,
  [SMALL_STATE(7606)] = 297402,
  [SMALL_STATE(7607)] = 297416,
  [SMALL_STATE(7608)] = 297432,
  [SMALL_STATE(7609)] = 297446,
  [SMALL_STATE(7610)] = 297462,
  [SMALL_STATE(7611)] = 297478,
  [SMALL_STATE(7612)] = 297490,
  [SMALL_STATE(7613)] = 297506,
  [SMALL_STATE(7614)] = 297516,
  [SMALL_STATE(7615)] = 297532,
  [SMALL_STATE(7616)] = 297546,
  [SMALL_STATE(7617)] = 297562,
  [SMALL_STATE(7618)] = 297576,
  [SMALL_STATE(7619)] = 297592,
  [SMALL_STATE(7620)] = 297608,
  [SMALL_STATE(7621)] = 297624,
  [SMALL_STATE(7622)] = 297638,
  [SMALL_STATE(7623)] = 297654,
  [SMALL_STATE(7624)] = 297670,
  [SMALL_STATE(7625)] = 297686,
  [SMALL_STATE(7626)] = 297700,
  [SMALL_STATE(7627)] = 297716,
  [SMALL_STATE(7628)] = 297732,
  [SMALL_STATE(7629)] = 297746,
  [SMALL_STATE(7630)] = 297760,
  [SMALL_STATE(7631)] = 297774,
  [SMALL_STATE(7632)] = 297790,
  [SMALL_STATE(7633)] = 297804,
  [SMALL_STATE(7634)] = 297820,
  [SMALL_STATE(7635)] = 297836,
  [SMALL_STATE(7636)] = 297852,
  [SMALL_STATE(7637)] = 297868,
  [SMALL_STATE(7638)] = 297878,
  [SMALL_STATE(7639)] = 297892,
  [SMALL_STATE(7640)] = 297908,
  [SMALL_STATE(7641)] = 297924,
  [SMALL_STATE(7642)] = 297940,
  [SMALL_STATE(7643)] = 297952,
  [SMALL_STATE(7644)] = 297968,
  [SMALL_STATE(7645)] = 297984,
  [SMALL_STATE(7646)] = 297998,
  [SMALL_STATE(7647)] = 298014,
  [SMALL_STATE(7648)] = 298030,
  [SMALL_STATE(7649)] = 298046,
  [SMALL_STATE(7650)] = 298062,
  [SMALL_STATE(7651)] = 298076,
  [SMALL_STATE(7652)] = 298092,
  [SMALL_STATE(7653)] = 298106,
  [SMALL_STATE(7654)] = 298120,
  [SMALL_STATE(7655)] = 298136,
  [SMALL_STATE(7656)] = 298152,
  [SMALL_STATE(7657)] = 298166,
  [SMALL_STATE(7658)] = 298180,
  [SMALL_STATE(7659)] = 298196,
  [SMALL_STATE(7660)] = 298212,
  [SMALL_STATE(7661)] = 298226,
  [SMALL_STATE(7662)] = 298242,
  [SMALL_STATE(7663)] = 298258,
  [SMALL_STATE(7664)] = 298274,
  [SMALL_STATE(7665)] = 298288,
  [SMALL_STATE(7666)] = 298302,
  [SMALL_STATE(7667)] = 298316,
  [SMALL_STATE(7668)] = 298330,
  [SMALL_STATE(7669)] = 298346,
  [SMALL_STATE(7670)] = 298360,
  [SMALL_STATE(7671)] = 298376,
  [SMALL_STATE(7672)] = 298390,
  [SMALL_STATE(7673)] = 298404,
  [SMALL_STATE(7674)] = 298420,
  [SMALL_STATE(7675)] = 298432,
  [SMALL_STATE(7676)] = 298446,
  [SMALL_STATE(7677)] = 298460,
  [SMALL_STATE(7678)] = 298470,
  [SMALL_STATE(7679)] = 298484,
  [SMALL_STATE(7680)] = 298498,
  [SMALL_STATE(7681)] = 298514,
  [SMALL_STATE(7682)] = 298528,
  [SMALL_STATE(7683)] = 298542,
  [SMALL_STATE(7684)] = 298558,
  [SMALL_STATE(7685)] = 298574,
  [SMALL_STATE(7686)] = 298590,
  [SMALL_STATE(7687)] = 298604,
  [SMALL_STATE(7688)] = 298618,
  [SMALL_STATE(7689)] = 298634,
  [SMALL_STATE(7690)] = 298650,
  [SMALL_STATE(7691)] = 298666,
  [SMALL_STATE(7692)] = 298680,
  [SMALL_STATE(7693)] = 298696,
  [SMALL_STATE(7694)] = 298712,
  [SMALL_STATE(7695)] = 298726,
  [SMALL_STATE(7696)] = 298742,
  [SMALL_STATE(7697)] = 298756,
  [SMALL_STATE(7698)] = 298772,
  [SMALL_STATE(7699)] = 298788,
  [SMALL_STATE(7700)] = 298804,
  [SMALL_STATE(7701)] = 298820,
  [SMALL_STATE(7702)] = 298836,
  [SMALL_STATE(7703)] = 298852,
  [SMALL_STATE(7704)] = 298866,
  [SMALL_STATE(7705)] = 298880,
  [SMALL_STATE(7706)] = 298896,
  [SMALL_STATE(7707)] = 298910,
  [SMALL_STATE(7708)] = 298924,
  [SMALL_STATE(7709)] = 298940,
  [SMALL_STATE(7710)] = 298956,
  [SMALL_STATE(7711)] = 298970,
  [SMALL_STATE(7712)] = 298986,
  [SMALL_STATE(7713)] = 299000,
  [SMALL_STATE(7714)] = 299014,
  [SMALL_STATE(7715)] = 299030,
  [SMALL_STATE(7716)] = 299044,
  [SMALL_STATE(7717)] = 299060,
  [SMALL_STATE(7718)] = 299074,
  [SMALL_STATE(7719)] = 299088,
  [SMALL_STATE(7720)] = 299102,
  [SMALL_STATE(7721)] = 299116,
  [SMALL_STATE(7722)] = 299130,
  [SMALL_STATE(7723)] = 299146,
  [SMALL_STATE(7724)] = 299162,
  [SMALL_STATE(7725)] = 299178,
  [SMALL_STATE(7726)] = 299192,
  [SMALL_STATE(7727)] = 299206,
  [SMALL_STATE(7728)] = 299222,
  [SMALL_STATE(7729)] = 299238,
  [SMALL_STATE(7730)] = 299254,
  [SMALL_STATE(7731)] = 299270,
  [SMALL_STATE(7732)] = 299284,
  [SMALL_STATE(7733)] = 299298,
  [SMALL_STATE(7734)] = 299312,
  [SMALL_STATE(7735)] = 299328,
  [SMALL_STATE(7736)] = 299344,
  [SMALL_STATE(7737)] = 299360,
  [SMALL_STATE(7738)] = 299374,
  [SMALL_STATE(7739)] = 299388,
  [SMALL_STATE(7740)] = 299402,
  [SMALL_STATE(7741)] = 299416,
  [SMALL_STATE(7742)] = 299432,
  [SMALL_STATE(7743)] = 299448,
  [SMALL_STATE(7744)] = 299462,
  [SMALL_STATE(7745)] = 299476,
  [SMALL_STATE(7746)] = 299492,
  [SMALL_STATE(7747)] = 299508,
  [SMALL_STATE(7748)] = 299524,
  [SMALL_STATE(7749)] = 299540,
  [SMALL_STATE(7750)] = 299554,
  [SMALL_STATE(7751)] = 299570,
  [SMALL_STATE(7752)] = 299584,
  [SMALL_STATE(7753)] = 299598,
  [SMALL_STATE(7754)] = 299612,
  [SMALL_STATE(7755)] = 299628,
  [SMALL_STATE(7756)] = 299642,
  [SMALL_STATE(7757)] = 299658,
  [SMALL_STATE(7758)] = 299672,
  [SMALL_STATE(7759)] = 299688,
  [SMALL_STATE(7760)] = 299704,
  [SMALL_STATE(7761)] = 299720,
  [SMALL_STATE(7762)] = 299734,
  [SMALL_STATE(7763)] = 299750,
  [SMALL_STATE(7764)] = 299766,
  [SMALL_STATE(7765)] = 299782,
  [SMALL_STATE(7766)] = 299798,
  [SMALL_STATE(7767)] = 299814,
  [SMALL_STATE(7768)] = 299828,
  [SMALL_STATE(7769)] = 299844,
  [SMALL_STATE(7770)] = 299860,
  [SMALL_STATE(7771)] = 299874,
  [SMALL_STATE(7772)] = 299888,
  [SMALL_STATE(7773)] = 299904,
  [SMALL_STATE(7774)] = 299920,
  [SMALL_STATE(7775)] = 299934,
  [SMALL_STATE(7776)] = 299948,
  [SMALL_STATE(7777)] = 299962,
  [SMALL_STATE(7778)] = 299978,
  [SMALL_STATE(7779)] = 299994,
  [SMALL_STATE(7780)] = 300010,
  [SMALL_STATE(7781)] = 300026,
  [SMALL_STATE(7782)] = 300042,
  [SMALL_STATE(7783)] = 300058,
  [SMALL_STATE(7784)] = 300072,
  [SMALL_STATE(7785)] = 300082,
  [SMALL_STATE(7786)] = 300098,
  [SMALL_STATE(7787)] = 300114,
  [SMALL_STATE(7788)] = 300130,
  [SMALL_STATE(7789)] = 300144,
  [SMALL_STATE(7790)] = 300160,
  [SMALL_STATE(7791)] = 300176,
  [SMALL_STATE(7792)] = 300190,
  [SMALL_STATE(7793)] = 300204,
  [SMALL_STATE(7794)] = 300218,
  [SMALL_STATE(7795)] = 300234,
  [SMALL_STATE(7796)] = 300248,
  [SMALL_STATE(7797)] = 300262,
  [SMALL_STATE(7798)] = 300276,
  [SMALL_STATE(7799)] = 300292,
  [SMALL_STATE(7800)] = 300308,
  [SMALL_STATE(7801)] = 300322,
  [SMALL_STATE(7802)] = 300338,
  [SMALL_STATE(7803)] = 300354,
  [SMALL_STATE(7804)] = 300370,
  [SMALL_STATE(7805)] = 300386,
  [SMALL_STATE(7806)] = 300402,
  [SMALL_STATE(7807)] = 300418,
  [SMALL_STATE(7808)] = 300434,
  [SMALL_STATE(7809)] = 300448,
  [SMALL_STATE(7810)] = 300462,
  [SMALL_STATE(7811)] = 300476,
  [SMALL_STATE(7812)] = 300492,
  [SMALL_STATE(7813)] = 300506,
  [SMALL_STATE(7814)] = 300522,
  [SMALL_STATE(7815)] = 300538,
  [SMALL_STATE(7816)] = 300554,
  [SMALL_STATE(7817)] = 300568,
  [SMALL_STATE(7818)] = 300582,
  [SMALL_STATE(7819)] = 300598,
  [SMALL_STATE(7820)] = 300614,
  [SMALL_STATE(7821)] = 300628,
  [SMALL_STATE(7822)] = 300644,
  [SMALL_STATE(7823)] = 300658,
  [SMALL_STATE(7824)] = 300672,
  [SMALL_STATE(7825)] = 300688,
  [SMALL_STATE(7826)] = 300702,
  [SMALL_STATE(7827)] = 300716,
  [SMALL_STATE(7828)] = 300730,
  [SMALL_STATE(7829)] = 300744,
  [SMALL_STATE(7830)] = 300760,
  [SMALL_STATE(7831)] = 300774,
  [SMALL_STATE(7832)] = 300790,
  [SMALL_STATE(7833)] = 300804,
  [SMALL_STATE(7834)] = 300820,
  [SMALL_STATE(7835)] = 300834,
  [SMALL_STATE(7836)] = 300848,
  [SMALL_STATE(7837)] = 300864,
  [SMALL_STATE(7838)] = 300880,
  [SMALL_STATE(7839)] = 300896,
  [SMALL_STATE(7840)] = 300910,
  [SMALL_STATE(7841)] = 300924,
  [SMALL_STATE(7842)] = 300938,
  [SMALL_STATE(7843)] = 300950,
  [SMALL_STATE(7844)] = 300964,
  [SMALL_STATE(7845)] = 300978,
  [SMALL_STATE(7846)] = 300994,
  [SMALL_STATE(7847)] = 301008,
  [SMALL_STATE(7848)] = 301022,
  [SMALL_STATE(7849)] = 301038,
  [SMALL_STATE(7850)] = 301052,
  [SMALL_STATE(7851)] = 301066,
  [SMALL_STATE(7852)] = 301080,
  [SMALL_STATE(7853)] = 301096,
  [SMALL_STATE(7854)] = 301110,
  [SMALL_STATE(7855)] = 301124,
  [SMALL_STATE(7856)] = 301138,
  [SMALL_STATE(7857)] = 301154,
  [SMALL_STATE(7858)] = 301170,
  [SMALL_STATE(7859)] = 301184,
  [SMALL_STATE(7860)] = 301198,
  [SMALL_STATE(7861)] = 301214,
  [SMALL_STATE(7862)] = 301228,
  [SMALL_STATE(7863)] = 301242,
  [SMALL_STATE(7864)] = 301256,
  [SMALL_STATE(7865)] = 301270,
  [SMALL_STATE(7866)] = 301284,
  [SMALL_STATE(7867)] = 301300,
  [SMALL_STATE(7868)] = 301314,
  [SMALL_STATE(7869)] = 301328,
  [SMALL_STATE(7870)] = 301342,
  [SMALL_STATE(7871)] = 301354,
  [SMALL_STATE(7872)] = 301370,
  [SMALL_STATE(7873)] = 301384,
  [SMALL_STATE(7874)] = 301400,
  [SMALL_STATE(7875)] = 301414,
  [SMALL_STATE(7876)] = 301428,
  [SMALL_STATE(7877)] = 301442,
  [SMALL_STATE(7878)] = 301458,
  [SMALL_STATE(7879)] = 301474,
  [SMALL_STATE(7880)] = 301488,
  [SMALL_STATE(7881)] = 301502,
  [SMALL_STATE(7882)] = 301518,
  [SMALL_STATE(7883)] = 301534,
  [SMALL_STATE(7884)] = 301548,
  [SMALL_STATE(7885)] = 301564,
  [SMALL_STATE(7886)] = 301578,
  [SMALL_STATE(7887)] = 301591,
  [SMALL_STATE(7888)] = 301604,
  [SMALL_STATE(7889)] = 301617,
  [SMALL_STATE(7890)] = 301630,
  [SMALL_STATE(7891)] = 301643,
  [SMALL_STATE(7892)] = 301656,
  [SMALL_STATE(7893)] = 301669,
  [SMALL_STATE(7894)] = 301682,
  [SMALL_STATE(7895)] = 301695,
  [SMALL_STATE(7896)] = 301706,
  [SMALL_STATE(7897)] = 301719,
  [SMALL_STATE(7898)] = 301730,
  [SMALL_STATE(7899)] = 301743,
  [SMALL_STATE(7900)] = 301756,
  [SMALL_STATE(7901)] = 301769,
  [SMALL_STATE(7902)] = 301782,
  [SMALL_STATE(7903)] = 301795,
  [SMALL_STATE(7904)] = 301806,
  [SMALL_STATE(7905)] = 301819,
  [SMALL_STATE(7906)] = 301830,
  [SMALL_STATE(7907)] = 301843,
  [SMALL_STATE(7908)] = 301856,
  [SMALL_STATE(7909)] = 301869,
  [SMALL_STATE(7910)] = 301882,
  [SMALL_STATE(7911)] = 301895,
  [SMALL_STATE(7912)] = 301908,
  [SMALL_STATE(7913)] = 301921,
  [SMALL_STATE(7914)] = 301934,
  [SMALL_STATE(7915)] = 301947,
  [SMALL_STATE(7916)] = 301960,
  [SMALL_STATE(7917)] = 301973,
  [SMALL_STATE(7918)] = 301986,
  [SMALL_STATE(7919)] = 301999,
  [SMALL_STATE(7920)] = 302012,
  [SMALL_STATE(7921)] = 302025,
  [SMALL_STATE(7922)] = 302038,
  [SMALL_STATE(7923)] = 302049,
  [SMALL_STATE(7924)] = 302062,
  [SMALL_STATE(7925)] = 302071,
  [SMALL_STATE(7926)] = 302082,
  [SMALL_STATE(7927)] = 302095,
  [SMALL_STATE(7928)] = 302108,
  [SMALL_STATE(7929)] = 302121,
  [SMALL_STATE(7930)] = 302134,
  [SMALL_STATE(7931)] = 302147,
  [SMALL_STATE(7932)] = 302160,
  [SMALL_STATE(7933)] = 302173,
  [SMALL_STATE(7934)] = 302186,
  [SMALL_STATE(7935)] = 302199,
  [SMALL_STATE(7936)] = 302208,
  [SMALL_STATE(7937)] = 302221,
  [SMALL_STATE(7938)] = 302230,
  [SMALL_STATE(7939)] = 302239,
  [SMALL_STATE(7940)] = 302248,
  [SMALL_STATE(7941)] = 302261,
  [SMALL_STATE(7942)] = 302274,
  [SMALL_STATE(7943)] = 302287,
  [SMALL_STATE(7944)] = 302300,
  [SMALL_STATE(7945)] = 302313,
  [SMALL_STATE(7946)] = 302324,
  [SMALL_STATE(7947)] = 302337,
  [SMALL_STATE(7948)] = 302346,
  [SMALL_STATE(7949)] = 302355,
  [SMALL_STATE(7950)] = 302368,
  [SMALL_STATE(7951)] = 302381,
  [SMALL_STATE(7952)] = 302394,
  [SMALL_STATE(7953)] = 302407,
  [SMALL_STATE(7954)] = 302418,
  [SMALL_STATE(7955)] = 302431,
  [SMALL_STATE(7956)] = 302444,
  [SMALL_STATE(7957)] = 302457,
  [SMALL_STATE(7958)] = 302470,
  [SMALL_STATE(7959)] = 302483,
  [SMALL_STATE(7960)] = 302496,
  [SMALL_STATE(7961)] = 302509,
  [SMALL_STATE(7962)] = 302522,
  [SMALL_STATE(7963)] = 302533,
  [SMALL_STATE(7964)] = 302546,
  [SMALL_STATE(7965)] = 302559,
  [SMALL_STATE(7966)] = 302570,
  [SMALL_STATE(7967)] = 302583,
  [SMALL_STATE(7968)] = 302596,
  [SMALL_STATE(7969)] = 302609,
  [SMALL_STATE(7970)] = 302622,
  [SMALL_STATE(7971)] = 302635,
  [SMALL_STATE(7972)] = 302648,
  [SMALL_STATE(7973)] = 302659,
  [SMALL_STATE(7974)] = 302672,
  [SMALL_STATE(7975)] = 302683,
  [SMALL_STATE(7976)] = 302696,
  [SMALL_STATE(7977)] = 302709,
  [SMALL_STATE(7978)] = 302722,
  [SMALL_STATE(7979)] = 302733,
  [SMALL_STATE(7980)] = 302746,
  [SMALL_STATE(7981)] = 302759,
  [SMALL_STATE(7982)] = 302772,
  [SMALL_STATE(7983)] = 302785,
  [SMALL_STATE(7984)] = 302798,
  [SMALL_STATE(7985)] = 302811,
  [SMALL_STATE(7986)] = 302824,
  [SMALL_STATE(7987)] = 302837,
  [SMALL_STATE(7988)] = 302850,
  [SMALL_STATE(7989)] = 302863,
  [SMALL_STATE(7990)] = 302876,
  [SMALL_STATE(7991)] = 302889,
  [SMALL_STATE(7992)] = 302902,
  [SMALL_STATE(7993)] = 302915,
  [SMALL_STATE(7994)] = 302928,
  [SMALL_STATE(7995)] = 302941,
  [SMALL_STATE(7996)] = 302952,
  [SMALL_STATE(7997)] = 302965,
  [SMALL_STATE(7998)] = 302978,
  [SMALL_STATE(7999)] = 302991,
  [SMALL_STATE(8000)] = 303004,
  [SMALL_STATE(8001)] = 303017,
  [SMALL_STATE(8002)] = 303030,
  [SMALL_STATE(8003)] = 303041,
  [SMALL_STATE(8004)] = 303052,
  [SMALL_STATE(8005)] = 303065,
  [SMALL_STATE(8006)] = 303078,
  [SMALL_STATE(8007)] = 303091,
  [SMALL_STATE(8008)] = 303104,
  [SMALL_STATE(8009)] = 303117,
  [SMALL_STATE(8010)] = 303130,
  [SMALL_STATE(8011)] = 303143,
  [SMALL_STATE(8012)] = 303156,
  [SMALL_STATE(8013)] = 303169,
  [SMALL_STATE(8014)] = 303182,
  [SMALL_STATE(8015)] = 303193,
  [SMALL_STATE(8016)] = 303204,
  [SMALL_STATE(8017)] = 303217,
  [SMALL_STATE(8018)] = 303230,
  [SMALL_STATE(8019)] = 303243,
  [SMALL_STATE(8020)] = 303256,
  [SMALL_STATE(8021)] = 303269,
  [SMALL_STATE(8022)] = 303280,
  [SMALL_STATE(8023)] = 303293,
  [SMALL_STATE(8024)] = 303306,
  [SMALL_STATE(8025)] = 303319,
  [SMALL_STATE(8026)] = 303332,
  [SMALL_STATE(8027)] = 303345,
  [SMALL_STATE(8028)] = 303358,
  [SMALL_STATE(8029)] = 303371,
  [SMALL_STATE(8030)] = 303384,
  [SMALL_STATE(8031)] = 303397,
  [SMALL_STATE(8032)] = 303410,
  [SMALL_STATE(8033)] = 303423,
  [SMALL_STATE(8034)] = 303436,
  [SMALL_STATE(8035)] = 303449,
  [SMALL_STATE(8036)] = 303462,
  [SMALL_STATE(8037)] = 303475,
  [SMALL_STATE(8038)] = 303488,
  [SMALL_STATE(8039)] = 303501,
  [SMALL_STATE(8040)] = 303514,
  [SMALL_STATE(8041)] = 303527,
  [SMALL_STATE(8042)] = 303538,
  [SMALL_STATE(8043)] = 303549,
  [SMALL_STATE(8044)] = 303560,
  [SMALL_STATE(8045)] = 303573,
  [SMALL_STATE(8046)] = 303586,
  [SMALL_STATE(8047)] = 303599,
  [SMALL_STATE(8048)] = 303612,
  [SMALL_STATE(8049)] = 303625,
  [SMALL_STATE(8050)] = 303634,
  [SMALL_STATE(8051)] = 303647,
  [SMALL_STATE(8052)] = 303660,
  [SMALL_STATE(8053)] = 303673,
  [SMALL_STATE(8054)] = 303686,
  [SMALL_STATE(8055)] = 303699,
  [SMALL_STATE(8056)] = 303712,
  [SMALL_STATE(8057)] = 303721,
  [SMALL_STATE(8058)] = 303734,
  [SMALL_STATE(8059)] = 303747,
  [SMALL_STATE(8060)] = 303760,
  [SMALL_STATE(8061)] = 303773,
  [SMALL_STATE(8062)] = 303786,
  [SMALL_STATE(8063)] = 303799,
  [SMALL_STATE(8064)] = 303812,
  [SMALL_STATE(8065)] = 303825,
  [SMALL_STATE(8066)] = 303838,
  [SMALL_STATE(8067)] = 303851,
  [SMALL_STATE(8068)] = 303864,
  [SMALL_STATE(8069)] = 303877,
  [SMALL_STATE(8070)] = 303888,
  [SMALL_STATE(8071)] = 303901,
  [SMALL_STATE(8072)] = 303914,
  [SMALL_STATE(8073)] = 303925,
  [SMALL_STATE(8074)] = 303938,
  [SMALL_STATE(8075)] = 303951,
  [SMALL_STATE(8076)] = 303964,
  [SMALL_STATE(8077)] = 303977,
  [SMALL_STATE(8078)] = 303990,
  [SMALL_STATE(8079)] = 304003,
  [SMALL_STATE(8080)] = 304016,
  [SMALL_STATE(8081)] = 304029,
  [SMALL_STATE(8082)] = 304042,
  [SMALL_STATE(8083)] = 304055,
  [SMALL_STATE(8084)] = 304068,
  [SMALL_STATE(8085)] = 304081,
  [SMALL_STATE(8086)] = 304094,
  [SMALL_STATE(8087)] = 304107,
  [SMALL_STATE(8088)] = 304118,
  [SMALL_STATE(8089)] = 304131,
  [SMALL_STATE(8090)] = 304144,
  [SMALL_STATE(8091)] = 304155,
  [SMALL_STATE(8092)] = 304168,
  [SMALL_STATE(8093)] = 304179,
  [SMALL_STATE(8094)] = 304192,
  [SMALL_STATE(8095)] = 304205,
  [SMALL_STATE(8096)] = 304218,
  [SMALL_STATE(8097)] = 304231,
  [SMALL_STATE(8098)] = 304244,
  [SMALL_STATE(8099)] = 304253,
  [SMALL_STATE(8100)] = 304266,
  [SMALL_STATE(8101)] = 304279,
  [SMALL_STATE(8102)] = 304290,
  [SMALL_STATE(8103)] = 304303,
  [SMALL_STATE(8104)] = 304316,
  [SMALL_STATE(8105)] = 304329,
  [SMALL_STATE(8106)] = 304342,
  [SMALL_STATE(8107)] = 304355,
  [SMALL_STATE(8108)] = 304368,
  [SMALL_STATE(8109)] = 304381,
  [SMALL_STATE(8110)] = 304394,
  [SMALL_STATE(8111)] = 304407,
  [SMALL_STATE(8112)] = 304420,
  [SMALL_STATE(8113)] = 304433,
  [SMALL_STATE(8114)] = 304446,
  [SMALL_STATE(8115)] = 304459,
  [SMALL_STATE(8116)] = 304470,
  [SMALL_STATE(8117)] = 304483,
  [SMALL_STATE(8118)] = 304494,
  [SMALL_STATE(8119)] = 304507,
  [SMALL_STATE(8120)] = 304518,
  [SMALL_STATE(8121)] = 304527,
  [SMALL_STATE(8122)] = 304540,
  [SMALL_STATE(8123)] = 304553,
  [SMALL_STATE(8124)] = 304566,
  [SMALL_STATE(8125)] = 304575,
  [SMALL_STATE(8126)] = 304586,
  [SMALL_STATE(8127)] = 304599,
  [SMALL_STATE(8128)] = 304608,
  [SMALL_STATE(8129)] = 304621,
  [SMALL_STATE(8130)] = 304634,
  [SMALL_STATE(8131)] = 304647,
  [SMALL_STATE(8132)] = 304660,
  [SMALL_STATE(8133)] = 304673,
  [SMALL_STATE(8134)] = 304686,
  [SMALL_STATE(8135)] = 304697,
  [SMALL_STATE(8136)] = 304706,
  [SMALL_STATE(8137)] = 304719,
  [SMALL_STATE(8138)] = 304728,
  [SMALL_STATE(8139)] = 304741,
  [SMALL_STATE(8140)] = 304754,
  [SMALL_STATE(8141)] = 304767,
  [SMALL_STATE(8142)] = 304780,
  [SMALL_STATE(8143)] = 304793,
  [SMALL_STATE(8144)] = 304806,
  [SMALL_STATE(8145)] = 304819,
  [SMALL_STATE(8146)] = 304832,
  [SMALL_STATE(8147)] = 304845,
  [SMALL_STATE(8148)] = 304854,
  [SMALL_STATE(8149)] = 304867,
  [SMALL_STATE(8150)] = 304880,
  [SMALL_STATE(8151)] = 304893,
  [SMALL_STATE(8152)] = 304904,
  [SMALL_STATE(8153)] = 304917,
  [SMALL_STATE(8154)] = 304930,
  [SMALL_STATE(8155)] = 304943,
  [SMALL_STATE(8156)] = 304956,
  [SMALL_STATE(8157)] = 304969,
  [SMALL_STATE(8158)] = 304982,
  [SMALL_STATE(8159)] = 304995,
  [SMALL_STATE(8160)] = 305008,
  [SMALL_STATE(8161)] = 305019,
  [SMALL_STATE(8162)] = 305032,
  [SMALL_STATE(8163)] = 305045,
  [SMALL_STATE(8164)] = 305058,
  [SMALL_STATE(8165)] = 305071,
  [SMALL_STATE(8166)] = 305084,
  [SMALL_STATE(8167)] = 305097,
  [SMALL_STATE(8168)] = 305110,
  [SMALL_STATE(8169)] = 305123,
  [SMALL_STATE(8170)] = 305136,
  [SMALL_STATE(8171)] = 305149,
  [SMALL_STATE(8172)] = 305162,
  [SMALL_STATE(8173)] = 305175,
  [SMALL_STATE(8174)] = 305188,
  [SMALL_STATE(8175)] = 305201,
  [SMALL_STATE(8176)] = 305214,
  [SMALL_STATE(8177)] = 305227,
  [SMALL_STATE(8178)] = 305238,
  [SMALL_STATE(8179)] = 305251,
  [SMALL_STATE(8180)] = 305264,
  [SMALL_STATE(8181)] = 305277,
  [SMALL_STATE(8182)] = 305290,
  [SMALL_STATE(8183)] = 305303,
  [SMALL_STATE(8184)] = 305316,
  [SMALL_STATE(8185)] = 305329,
  [SMALL_STATE(8186)] = 305340,
  [SMALL_STATE(8187)] = 305353,
  [SMALL_STATE(8188)] = 305366,
  [SMALL_STATE(8189)] = 305379,
  [SMALL_STATE(8190)] = 305392,
  [SMALL_STATE(8191)] = 305405,
  [SMALL_STATE(8192)] = 305418,
  [SMALL_STATE(8193)] = 305431,
  [SMALL_STATE(8194)] = 305444,
  [SMALL_STATE(8195)] = 305457,
  [SMALL_STATE(8196)] = 305466,
  [SMALL_STATE(8197)] = 305479,
  [SMALL_STATE(8198)] = 305492,
  [SMALL_STATE(8199)] = 305505,
  [SMALL_STATE(8200)] = 305516,
  [SMALL_STATE(8201)] = 305529,
  [SMALL_STATE(8202)] = 305542,
  [SMALL_STATE(8203)] = 305555,
  [SMALL_STATE(8204)] = 305566,
  [SMALL_STATE(8205)] = 305577,
  [SMALL_STATE(8206)] = 305590,
  [SMALL_STATE(8207)] = 305603,
  [SMALL_STATE(8208)] = 305616,
  [SMALL_STATE(8209)] = 305629,
  [SMALL_STATE(8210)] = 305642,
  [SMALL_STATE(8211)] = 305655,
  [SMALL_STATE(8212)] = 305668,
  [SMALL_STATE(8213)] = 305681,
  [SMALL_STATE(8214)] = 305694,
  [SMALL_STATE(8215)] = 305707,
  [SMALL_STATE(8216)] = 305720,
  [SMALL_STATE(8217)] = 305729,
  [SMALL_STATE(8218)] = 305742,
  [SMALL_STATE(8219)] = 305755,
  [SMALL_STATE(8220)] = 305768,
  [SMALL_STATE(8221)] = 305781,
  [SMALL_STATE(8222)] = 305794,
  [SMALL_STATE(8223)] = 305807,
  [SMALL_STATE(8224)] = 305818,
  [SMALL_STATE(8225)] = 305831,
  [SMALL_STATE(8226)] = 305842,
  [SMALL_STATE(8227)] = 305855,
  [SMALL_STATE(8228)] = 305868,
  [SMALL_STATE(8229)] = 305881,
  [SMALL_STATE(8230)] = 305894,
  [SMALL_STATE(8231)] = 305907,
  [SMALL_STATE(8232)] = 305920,
  [SMALL_STATE(8233)] = 305933,
  [SMALL_STATE(8234)] = 305946,
  [SMALL_STATE(8235)] = 305959,
  [SMALL_STATE(8236)] = 305972,
  [SMALL_STATE(8237)] = 305985,
  [SMALL_STATE(8238)] = 305998,
  [SMALL_STATE(8239)] = 306011,
  [SMALL_STATE(8240)] = 306024,
  [SMALL_STATE(8241)] = 306037,
  [SMALL_STATE(8242)] = 306050,
  [SMALL_STATE(8243)] = 306063,
  [SMALL_STATE(8244)] = 306076,
  [SMALL_STATE(8245)] = 306087,
  [SMALL_STATE(8246)] = 306100,
  [SMALL_STATE(8247)] = 306113,
  [SMALL_STATE(8248)] = 306124,
  [SMALL_STATE(8249)] = 306137,
  [SMALL_STATE(8250)] = 306150,
  [SMALL_STATE(8251)] = 306163,
  [SMALL_STATE(8252)] = 306174,
  [SMALL_STATE(8253)] = 306187,
  [SMALL_STATE(8254)] = 306200,
  [SMALL_STATE(8255)] = 306213,
  [SMALL_STATE(8256)] = 306226,
  [SMALL_STATE(8257)] = 306239,
  [SMALL_STATE(8258)] = 306252,
  [SMALL_STATE(8259)] = 306265,
  [SMALL_STATE(8260)] = 306278,
  [SMALL_STATE(8261)] = 306291,
  [SMALL_STATE(8262)] = 306304,
  [SMALL_STATE(8263)] = 306317,
  [SMALL_STATE(8264)] = 306330,
  [SMALL_STATE(8265)] = 306343,
  [SMALL_STATE(8266)] = 306356,
  [SMALL_STATE(8267)] = 306369,
  [SMALL_STATE(8268)] = 306382,
  [SMALL_STATE(8269)] = 306395,
  [SMALL_STATE(8270)] = 306408,
  [SMALL_STATE(8271)] = 306421,
  [SMALL_STATE(8272)] = 306434,
  [SMALL_STATE(8273)] = 306447,
  [SMALL_STATE(8274)] = 306460,
  [SMALL_STATE(8275)] = 306473,
  [SMALL_STATE(8276)] = 306486,
  [SMALL_STATE(8277)] = 306499,
  [SMALL_STATE(8278)] = 306512,
  [SMALL_STATE(8279)] = 306525,
  [SMALL_STATE(8280)] = 306538,
  [SMALL_STATE(8281)] = 306551,
  [SMALL_STATE(8282)] = 306564,
  [SMALL_STATE(8283)] = 306575,
  [SMALL_STATE(8284)] = 306588,
  [SMALL_STATE(8285)] = 306601,
  [SMALL_STATE(8286)] = 306614,
  [SMALL_STATE(8287)] = 306625,
  [SMALL_STATE(8288)] = 306636,
  [SMALL_STATE(8289)] = 306649,
  [SMALL_STATE(8290)] = 306660,
  [SMALL_STATE(8291)] = 306673,
  [SMALL_STATE(8292)] = 306686,
  [SMALL_STATE(8293)] = 306699,
  [SMALL_STATE(8294)] = 306712,
  [SMALL_STATE(8295)] = 306725,
  [SMALL_STATE(8296)] = 306738,
  [SMALL_STATE(8297)] = 306751,
  [SMALL_STATE(8298)] = 306764,
  [SMALL_STATE(8299)] = 306777,
  [SMALL_STATE(8300)] = 306788,
  [SMALL_STATE(8301)] = 306801,
  [SMALL_STATE(8302)] = 306810,
  [SMALL_STATE(8303)] = 306823,
  [SMALL_STATE(8304)] = 306832,
  [SMALL_STATE(8305)] = 306845,
  [SMALL_STATE(8306)] = 306856,
  [SMALL_STATE(8307)] = 306867,
  [SMALL_STATE(8308)] = 306880,
  [SMALL_STATE(8309)] = 306891,
  [SMALL_STATE(8310)] = 306904,
  [SMALL_STATE(8311)] = 306917,
  [SMALL_STATE(8312)] = 306930,
  [SMALL_STATE(8313)] = 306943,
  [SMALL_STATE(8314)] = 306956,
  [SMALL_STATE(8315)] = 306969,
  [SMALL_STATE(8316)] = 306982,
  [SMALL_STATE(8317)] = 306995,
  [SMALL_STATE(8318)] = 307008,
  [SMALL_STATE(8319)] = 307021,
  [SMALL_STATE(8320)] = 307034,
  [SMALL_STATE(8321)] = 307047,
  [SMALL_STATE(8322)] = 307060,
  [SMALL_STATE(8323)] = 307073,
  [SMALL_STATE(8324)] = 307086,
  [SMALL_STATE(8325)] = 307099,
  [SMALL_STATE(8326)] = 307112,
  [SMALL_STATE(8327)] = 307125,
  [SMALL_STATE(8328)] = 307138,
  [SMALL_STATE(8329)] = 307151,
  [SMALL_STATE(8330)] = 307164,
  [SMALL_STATE(8331)] = 307175,
  [SMALL_STATE(8332)] = 307186,
  [SMALL_STATE(8333)] = 307199,
  [SMALL_STATE(8334)] = 307212,
  [SMALL_STATE(8335)] = 307225,
  [SMALL_STATE(8336)] = 307236,
  [SMALL_STATE(8337)] = 307249,
  [SMALL_STATE(8338)] = 307259,
  [SMALL_STATE(8339)] = 307269,
  [SMALL_STATE(8340)] = 307279,
  [SMALL_STATE(8341)] = 307289,
  [SMALL_STATE(8342)] = 307299,
  [SMALL_STATE(8343)] = 307309,
  [SMALL_STATE(8344)] = 307317,
  [SMALL_STATE(8345)] = 307327,
  [SMALL_STATE(8346)] = 307337,
  [SMALL_STATE(8347)] = 307347,
  [SMALL_STATE(8348)] = 307357,
  [SMALL_STATE(8349)] = 307367,
  [SMALL_STATE(8350)] = 307377,
  [SMALL_STATE(8351)] = 307387,
  [SMALL_STATE(8352)] = 307397,
  [SMALL_STATE(8353)] = 307407,
  [SMALL_STATE(8354)] = 307417,
  [SMALL_STATE(8355)] = 307427,
  [SMALL_STATE(8356)] = 307437,
  [SMALL_STATE(8357)] = 307447,
  [SMALL_STATE(8358)] = 307457,
  [SMALL_STATE(8359)] = 307467,
  [SMALL_STATE(8360)] = 307477,
  [SMALL_STATE(8361)] = 307487,
  [SMALL_STATE(8362)] = 307497,
  [SMALL_STATE(8363)] = 307507,
  [SMALL_STATE(8364)] = 307517,
  [SMALL_STATE(8365)] = 307527,
  [SMALL_STATE(8366)] = 307537,
  [SMALL_STATE(8367)] = 307547,
  [SMALL_STATE(8368)] = 307557,
  [SMALL_STATE(8369)] = 307567,
  [SMALL_STATE(8370)] = 307577,
  [SMALL_STATE(8371)] = 307587,
  [SMALL_STATE(8372)] = 307597,
  [SMALL_STATE(8373)] = 307607,
  [SMALL_STATE(8374)] = 307617,
  [SMALL_STATE(8375)] = 307627,
  [SMALL_STATE(8376)] = 307637,
  [SMALL_STATE(8377)] = 307647,
  [SMALL_STATE(8378)] = 307657,
  [SMALL_STATE(8379)] = 307667,
  [SMALL_STATE(8380)] = 307677,
  [SMALL_STATE(8381)] = 307687,
  [SMALL_STATE(8382)] = 307697,
  [SMALL_STATE(8383)] = 307705,
  [SMALL_STATE(8384)] = 307715,
  [SMALL_STATE(8385)] = 307725,
  [SMALL_STATE(8386)] = 307735,
  [SMALL_STATE(8387)] = 307745,
  [SMALL_STATE(8388)] = 307755,
  [SMALL_STATE(8389)] = 307765,
  [SMALL_STATE(8390)] = 307775,
  [SMALL_STATE(8391)] = 307785,
  [SMALL_STATE(8392)] = 307795,
  [SMALL_STATE(8393)] = 307805,
  [SMALL_STATE(8394)] = 307815,
  [SMALL_STATE(8395)] = 307825,
  [SMALL_STATE(8396)] = 307835,
  [SMALL_STATE(8397)] = 307845,
  [SMALL_STATE(8398)] = 307855,
  [SMALL_STATE(8399)] = 307865,
  [SMALL_STATE(8400)] = 307875,
  [SMALL_STATE(8401)] = 307883,
  [SMALL_STATE(8402)] = 307893,
  [SMALL_STATE(8403)] = 307903,
  [SMALL_STATE(8404)] = 307913,
  [SMALL_STATE(8405)] = 307921,
  [SMALL_STATE(8406)] = 307931,
  [SMALL_STATE(8407)] = 307941,
  [SMALL_STATE(8408)] = 307951,
  [SMALL_STATE(8409)] = 307961,
  [SMALL_STATE(8410)] = 307971,
  [SMALL_STATE(8411)] = 307981,
  [SMALL_STATE(8412)] = 307991,
  [SMALL_STATE(8413)] = 308001,
  [SMALL_STATE(8414)] = 308011,
  [SMALL_STATE(8415)] = 308021,
  [SMALL_STATE(8416)] = 308031,
  [SMALL_STATE(8417)] = 308039,
  [SMALL_STATE(8418)] = 308049,
  [SMALL_STATE(8419)] = 308059,
  [SMALL_STATE(8420)] = 308069,
  [SMALL_STATE(8421)] = 308079,
  [SMALL_STATE(8422)] = 308089,
  [SMALL_STATE(8423)] = 308099,
  [SMALL_STATE(8424)] = 308109,
  [SMALL_STATE(8425)] = 308119,
  [SMALL_STATE(8426)] = 308127,
  [SMALL_STATE(8427)] = 308137,
  [SMALL_STATE(8428)] = 308147,
  [SMALL_STATE(8429)] = 308157,
  [SMALL_STATE(8430)] = 308167,
  [SMALL_STATE(8431)] = 308177,
  [SMALL_STATE(8432)] = 308187,
  [SMALL_STATE(8433)] = 308197,
  [SMALL_STATE(8434)] = 308205,
  [SMALL_STATE(8435)] = 308213,
  [SMALL_STATE(8436)] = 308221,
  [SMALL_STATE(8437)] = 308231,
  [SMALL_STATE(8438)] = 308241,
  [SMALL_STATE(8439)] = 308251,
  [SMALL_STATE(8440)] = 308261,
  [SMALL_STATE(8441)] = 308271,
  [SMALL_STATE(8442)] = 308279,
  [SMALL_STATE(8443)] = 308289,
  [SMALL_STATE(8444)] = 308299,
  [SMALL_STATE(8445)] = 308309,
  [SMALL_STATE(8446)] = 308319,
  [SMALL_STATE(8447)] = 308329,
  [SMALL_STATE(8448)] = 308339,
  [SMALL_STATE(8449)] = 308349,
  [SMALL_STATE(8450)] = 308359,
  [SMALL_STATE(8451)] = 308369,
  [SMALL_STATE(8452)] = 308379,
  [SMALL_STATE(8453)] = 308389,
  [SMALL_STATE(8454)] = 308399,
  [SMALL_STATE(8455)] = 308409,
  [SMALL_STATE(8456)] = 308419,
  [SMALL_STATE(8457)] = 308429,
  [SMALL_STATE(8458)] = 308439,
  [SMALL_STATE(8459)] = 308449,
  [SMALL_STATE(8460)] = 308459,
  [SMALL_STATE(8461)] = 308469,
  [SMALL_STATE(8462)] = 308479,
  [SMALL_STATE(8463)] = 308489,
  [SMALL_STATE(8464)] = 308499,
  [SMALL_STATE(8465)] = 308509,
  [SMALL_STATE(8466)] = 308519,
  [SMALL_STATE(8467)] = 308529,
  [SMALL_STATE(8468)] = 308539,
  [SMALL_STATE(8469)] = 308549,
  [SMALL_STATE(8470)] = 308559,
  [SMALL_STATE(8471)] = 308569,
  [SMALL_STATE(8472)] = 308579,
  [SMALL_STATE(8473)] = 308589,
  [SMALL_STATE(8474)] = 308599,
  [SMALL_STATE(8475)] = 308609,
  [SMALL_STATE(8476)] = 308619,
  [SMALL_STATE(8477)] = 308629,
  [SMALL_STATE(8478)] = 308639,
  [SMALL_STATE(8479)] = 308649,
  [SMALL_STATE(8480)] = 308659,
  [SMALL_STATE(8481)] = 308669,
  [SMALL_STATE(8482)] = 308679,
  [SMALL_STATE(8483)] = 308689,
  [SMALL_STATE(8484)] = 308699,
  [SMALL_STATE(8485)] = 308709,
  [SMALL_STATE(8486)] = 308717,
  [SMALL_STATE(8487)] = 308725,
  [SMALL_STATE(8488)] = 308735,
  [SMALL_STATE(8489)] = 308745,
  [SMALL_STATE(8490)] = 308755,
  [SMALL_STATE(8491)] = 308765,
  [SMALL_STATE(8492)] = 308775,
  [SMALL_STATE(8493)] = 308785,
  [SMALL_STATE(8494)] = 308795,
  [SMALL_STATE(8495)] = 308805,
  [SMALL_STATE(8496)] = 308815,
  [SMALL_STATE(8497)] = 308825,
  [SMALL_STATE(8498)] = 308835,
  [SMALL_STATE(8499)] = 308845,
  [SMALL_STATE(8500)] = 308855,
  [SMALL_STATE(8501)] = 308865,
  [SMALL_STATE(8502)] = 308873,
  [SMALL_STATE(8503)] = 308883,
  [SMALL_STATE(8504)] = 308893,
  [SMALL_STATE(8505)] = 308901,
  [SMALL_STATE(8506)] = 308911,
  [SMALL_STATE(8507)] = 308921,
  [SMALL_STATE(8508)] = 308931,
  [SMALL_STATE(8509)] = 308939,
  [SMALL_STATE(8510)] = 308949,
  [SMALL_STATE(8511)] = 308959,
  [SMALL_STATE(8512)] = 308969,
  [SMALL_STATE(8513)] = 308977,
  [SMALL_STATE(8514)] = 308985,
  [SMALL_STATE(8515)] = 308995,
  [SMALL_STATE(8516)] = 309005,
  [SMALL_STATE(8517)] = 309015,
  [SMALL_STATE(8518)] = 309025,
  [SMALL_STATE(8519)] = 309035,
  [SMALL_STATE(8520)] = 309045,
  [SMALL_STATE(8521)] = 309055,
  [SMALL_STATE(8522)] = 309065,
  [SMALL_STATE(8523)] = 309075,
  [SMALL_STATE(8524)] = 309085,
  [SMALL_STATE(8525)] = 309095,
  [SMALL_STATE(8526)] = 309105,
  [SMALL_STATE(8527)] = 309113,
  [SMALL_STATE(8528)] = 309123,
  [SMALL_STATE(8529)] = 309133,
  [SMALL_STATE(8530)] = 309141,
  [SMALL_STATE(8531)] = 309151,
  [SMALL_STATE(8532)] = 309161,
  [SMALL_STATE(8533)] = 309171,
  [SMALL_STATE(8534)] = 309181,
  [SMALL_STATE(8535)] = 309191,
  [SMALL_STATE(8536)] = 309201,
  [SMALL_STATE(8537)] = 309211,
  [SMALL_STATE(8538)] = 309221,
  [SMALL_STATE(8539)] = 309231,
  [SMALL_STATE(8540)] = 309241,
  [SMALL_STATE(8541)] = 309251,
  [SMALL_STATE(8542)] = 309261,
  [SMALL_STATE(8543)] = 309271,
  [SMALL_STATE(8544)] = 309279,
  [SMALL_STATE(8545)] = 309289,
  [SMALL_STATE(8546)] = 309299,
  [SMALL_STATE(8547)] = 309309,
  [SMALL_STATE(8548)] = 309319,
  [SMALL_STATE(8549)] = 309327,
  [SMALL_STATE(8550)] = 309337,
  [SMALL_STATE(8551)] = 309347,
  [SMALL_STATE(8552)] = 309355,
  [SMALL_STATE(8553)] = 309365,
  [SMALL_STATE(8554)] = 309375,
  [SMALL_STATE(8555)] = 309385,
  [SMALL_STATE(8556)] = 309395,
  [SMALL_STATE(8557)] = 309405,
  [SMALL_STATE(8558)] = 309415,
  [SMALL_STATE(8559)] = 309425,
  [SMALL_STATE(8560)] = 309435,
  [SMALL_STATE(8561)] = 309443,
  [SMALL_STATE(8562)] = 309453,
  [SMALL_STATE(8563)] = 309463,
  [SMALL_STATE(8564)] = 309473,
  [SMALL_STATE(8565)] = 309483,
  [SMALL_STATE(8566)] = 309493,
  [SMALL_STATE(8567)] = 309501,
  [SMALL_STATE(8568)] = 309511,
  [SMALL_STATE(8569)] = 309521,
  [SMALL_STATE(8570)] = 309529,
  [SMALL_STATE(8571)] = 309539,
  [SMALL_STATE(8572)] = 309549,
  [SMALL_STATE(8573)] = 309559,
  [SMALL_STATE(8574)] = 309569,
  [SMALL_STATE(8575)] = 309579,
  [SMALL_STATE(8576)] = 309589,
  [SMALL_STATE(8577)] = 309599,
  [SMALL_STATE(8578)] = 309609,
  [SMALL_STATE(8579)] = 309619,
  [SMALL_STATE(8580)] = 309629,
  [SMALL_STATE(8581)] = 309639,
  [SMALL_STATE(8582)] = 309649,
  [SMALL_STATE(8583)] = 309659,
  [SMALL_STATE(8584)] = 309669,
  [SMALL_STATE(8585)] = 309679,
  [SMALL_STATE(8586)] = 309689,
  [SMALL_STATE(8587)] = 309699,
  [SMALL_STATE(8588)] = 309709,
  [SMALL_STATE(8589)] = 309719,
  [SMALL_STATE(8590)] = 309729,
  [SMALL_STATE(8591)] = 309739,
  [SMALL_STATE(8592)] = 309749,
  [SMALL_STATE(8593)] = 309759,
  [SMALL_STATE(8594)] = 309769,
  [SMALL_STATE(8595)] = 309777,
  [SMALL_STATE(8596)] = 309787,
  [SMALL_STATE(8597)] = 309797,
  [SMALL_STATE(8598)] = 309807,
  [SMALL_STATE(8599)] = 309817,
  [SMALL_STATE(8600)] = 309827,
  [SMALL_STATE(8601)] = 309837,
  [SMALL_STATE(8602)] = 309847,
  [SMALL_STATE(8603)] = 309857,
  [SMALL_STATE(8604)] = 309867,
  [SMALL_STATE(8605)] = 309877,
  [SMALL_STATE(8606)] = 309887,
  [SMALL_STATE(8607)] = 309897,
  [SMALL_STATE(8608)] = 309907,
  [SMALL_STATE(8609)] = 309917,
  [SMALL_STATE(8610)] = 309927,
  [SMALL_STATE(8611)] = 309937,
  [SMALL_STATE(8612)] = 309947,
  [SMALL_STATE(8613)] = 309957,
  [SMALL_STATE(8614)] = 309967,
  [SMALL_STATE(8615)] = 309977,
  [SMALL_STATE(8616)] = 309987,
  [SMALL_STATE(8617)] = 309997,
  [SMALL_STATE(8618)] = 310007,
  [SMALL_STATE(8619)] = 310017,
  [SMALL_STATE(8620)] = 310027,
  [SMALL_STATE(8621)] = 310037,
  [SMALL_STATE(8622)] = 310047,
  [SMALL_STATE(8623)] = 310057,
  [SMALL_STATE(8624)] = 310067,
  [SMALL_STATE(8625)] = 310077,
  [SMALL_STATE(8626)] = 310087,
  [SMALL_STATE(8627)] = 310097,
  [SMALL_STATE(8628)] = 310107,
  [SMALL_STATE(8629)] = 310117,
  [SMALL_STATE(8630)] = 310127,
  [SMALL_STATE(8631)] = 310135,
  [SMALL_STATE(8632)] = 310145,
  [SMALL_STATE(8633)] = 310155,
  [SMALL_STATE(8634)] = 310165,
  [SMALL_STATE(8635)] = 310175,
  [SMALL_STATE(8636)] = 310185,
  [SMALL_STATE(8637)] = 310193,
  [SMALL_STATE(8638)] = 310203,
  [SMALL_STATE(8639)] = 310213,
  [SMALL_STATE(8640)] = 310223,
  [SMALL_STATE(8641)] = 310233,
  [SMALL_STATE(8642)] = 310243,
  [SMALL_STATE(8643)] = 310253,
  [SMALL_STATE(8644)] = 310263,
  [SMALL_STATE(8645)] = 310273,
  [SMALL_STATE(8646)] = 310283,
  [SMALL_STATE(8647)] = 310293,
  [SMALL_STATE(8648)] = 310303,
  [SMALL_STATE(8649)] = 310313,
  [SMALL_STATE(8650)] = 310323,
  [SMALL_STATE(8651)] = 310331,
  [SMALL_STATE(8652)] = 310339,
  [SMALL_STATE(8653)] = 310349,
  [SMALL_STATE(8654)] = 310357,
  [SMALL_STATE(8655)] = 310367,
  [SMALL_STATE(8656)] = 310377,
  [SMALL_STATE(8657)] = 310387,
  [SMALL_STATE(8658)] = 310397,
  [SMALL_STATE(8659)] = 310407,
  [SMALL_STATE(8660)] = 310417,
  [SMALL_STATE(8661)] = 310427,
  [SMALL_STATE(8662)] = 310437,
  [SMALL_STATE(8663)] = 310447,
  [SMALL_STATE(8664)] = 310455,
  [SMALL_STATE(8665)] = 310465,
  [SMALL_STATE(8666)] = 310475,
  [SMALL_STATE(8667)] = 310485,
  [SMALL_STATE(8668)] = 310493,
  [SMALL_STATE(8669)] = 310503,
  [SMALL_STATE(8670)] = 310513,
  [SMALL_STATE(8671)] = 310523,
  [SMALL_STATE(8672)] = 310531,
  [SMALL_STATE(8673)] = 310539,
  [SMALL_STATE(8674)] = 310549,
  [SMALL_STATE(8675)] = 310559,
  [SMALL_STATE(8676)] = 310567,
  [SMALL_STATE(8677)] = 310577,
  [SMALL_STATE(8678)] = 310587,
  [SMALL_STATE(8679)] = 310595,
  [SMALL_STATE(8680)] = 310605,
  [SMALL_STATE(8681)] = 310615,
  [SMALL_STATE(8682)] = 310623,
  [SMALL_STATE(8683)] = 310631,
  [SMALL_STATE(8684)] = 310641,
  [SMALL_STATE(8685)] = 310651,
  [SMALL_STATE(8686)] = 310661,
  [SMALL_STATE(8687)] = 310671,
  [SMALL_STATE(8688)] = 310681,
  [SMALL_STATE(8689)] = 310691,
  [SMALL_STATE(8690)] = 310701,
  [SMALL_STATE(8691)] = 310711,
  [SMALL_STATE(8692)] = 310721,
  [SMALL_STATE(8693)] = 310731,
  [SMALL_STATE(8694)] = 310741,
  [SMALL_STATE(8695)] = 310751,
  [SMALL_STATE(8696)] = 310761,
  [SMALL_STATE(8697)] = 310771,
  [SMALL_STATE(8698)] = 310781,
  [SMALL_STATE(8699)] = 310791,
  [SMALL_STATE(8700)] = 310801,
  [SMALL_STATE(8701)] = 310811,
  [SMALL_STATE(8702)] = 310821,
  [SMALL_STATE(8703)] = 310831,
  [SMALL_STATE(8704)] = 310841,
  [SMALL_STATE(8705)] = 310851,
  [SMALL_STATE(8706)] = 310861,
  [SMALL_STATE(8707)] = 310871,
  [SMALL_STATE(8708)] = 310881,
  [SMALL_STATE(8709)] = 310891,
  [SMALL_STATE(8710)] = 310901,
  [SMALL_STATE(8711)] = 310911,
  [SMALL_STATE(8712)] = 310921,
  [SMALL_STATE(8713)] = 310931,
  [SMALL_STATE(8714)] = 310941,
  [SMALL_STATE(8715)] = 310949,
  [SMALL_STATE(8716)] = 310959,
  [SMALL_STATE(8717)] = 310969,
  [SMALL_STATE(8718)] = 310979,
  [SMALL_STATE(8719)] = 310989,
  [SMALL_STATE(8720)] = 310999,
  [SMALL_STATE(8721)] = 311009,
  [SMALL_STATE(8722)] = 311017,
  [SMALL_STATE(8723)] = 311027,
  [SMALL_STATE(8724)] = 311037,
  [SMALL_STATE(8725)] = 311047,
  [SMALL_STATE(8726)] = 311057,
  [SMALL_STATE(8727)] = 311067,
  [SMALL_STATE(8728)] = 311075,
  [SMALL_STATE(8729)] = 311085,
  [SMALL_STATE(8730)] = 311095,
  [SMALL_STATE(8731)] = 311105,
  [SMALL_STATE(8732)] = 311115,
  [SMALL_STATE(8733)] = 311125,
  [SMALL_STATE(8734)] = 311133,
  [SMALL_STATE(8735)] = 311141,
  [SMALL_STATE(8736)] = 311151,
  [SMALL_STATE(8737)] = 311158,
  [SMALL_STATE(8738)] = 311165,
  [SMALL_STATE(8739)] = 311172,
  [SMALL_STATE(8740)] = 311179,
  [SMALL_STATE(8741)] = 311186,
  [SMALL_STATE(8742)] = 311193,
  [SMALL_STATE(8743)] = 311200,
  [SMALL_STATE(8744)] = 311207,
  [SMALL_STATE(8745)] = 311214,
  [SMALL_STATE(8746)] = 311221,
  [SMALL_STATE(8747)] = 311228,
  [SMALL_STATE(8748)] = 311235,
  [SMALL_STATE(8749)] = 311242,
  [SMALL_STATE(8750)] = 311249,
  [SMALL_STATE(8751)] = 311256,
  [SMALL_STATE(8752)] = 311263,
  [SMALL_STATE(8753)] = 311270,
  [SMALL_STATE(8754)] = 311277,
  [SMALL_STATE(8755)] = 311284,
  [SMALL_STATE(8756)] = 311291,
  [SMALL_STATE(8757)] = 311298,
  [SMALL_STATE(8758)] = 311305,
  [SMALL_STATE(8759)] = 311312,
  [SMALL_STATE(8760)] = 311319,
  [SMALL_STATE(8761)] = 311326,
  [SMALL_STATE(8762)] = 311333,
  [SMALL_STATE(8763)] = 311340,
  [SMALL_STATE(8764)] = 311347,
  [SMALL_STATE(8765)] = 311354,
  [SMALL_STATE(8766)] = 311361,
  [SMALL_STATE(8767)] = 311368,
  [SMALL_STATE(8768)] = 311375,
  [SMALL_STATE(8769)] = 311382,
  [SMALL_STATE(8770)] = 311389,
  [SMALL_STATE(8771)] = 311396,
  [SMALL_STATE(8772)] = 311403,
  [SMALL_STATE(8773)] = 311410,
  [SMALL_STATE(8774)] = 311417,
  [SMALL_STATE(8775)] = 311424,
  [SMALL_STATE(8776)] = 311431,
  [SMALL_STATE(8777)] = 311438,
  [SMALL_STATE(8778)] = 311445,
  [SMALL_STATE(8779)] = 311452,
  [SMALL_STATE(8780)] = 311459,
  [SMALL_STATE(8781)] = 311466,
  [SMALL_STATE(8782)] = 311473,
  [SMALL_STATE(8783)] = 311480,
  [SMALL_STATE(8784)] = 311487,
  [SMALL_STATE(8785)] = 311494,
  [SMALL_STATE(8786)] = 311501,
  [SMALL_STATE(8787)] = 311508,
  [SMALL_STATE(8788)] = 311515,
  [SMALL_STATE(8789)] = 311522,
  [SMALL_STATE(8790)] = 311529,
  [SMALL_STATE(8791)] = 311536,
  [SMALL_STATE(8792)] = 311543,
  [SMALL_STATE(8793)] = 311550,
  [SMALL_STATE(8794)] = 311557,
  [SMALL_STATE(8795)] = 311564,
  [SMALL_STATE(8796)] = 311571,
  [SMALL_STATE(8797)] = 311578,
  [SMALL_STATE(8798)] = 311585,
  [SMALL_STATE(8799)] = 311592,
  [SMALL_STATE(8800)] = 311599,
  [SMALL_STATE(8801)] = 311606,
  [SMALL_STATE(8802)] = 311613,
  [SMALL_STATE(8803)] = 311620,
  [SMALL_STATE(8804)] = 311627,
  [SMALL_STATE(8805)] = 311634,
  [SMALL_STATE(8806)] = 311641,
  [SMALL_STATE(8807)] = 311648,
  [SMALL_STATE(8808)] = 311655,
  [SMALL_STATE(8809)] = 311662,
  [SMALL_STATE(8810)] = 311669,
  [SMALL_STATE(8811)] = 311676,
  [SMALL_STATE(8812)] = 311683,
  [SMALL_STATE(8813)] = 311690,
  [SMALL_STATE(8814)] = 311697,
  [SMALL_STATE(8815)] = 311704,
  [SMALL_STATE(8816)] = 311711,
  [SMALL_STATE(8817)] = 311718,
  [SMALL_STATE(8818)] = 311725,
  [SMALL_STATE(8819)] = 311732,
  [SMALL_STATE(8820)] = 311739,
  [SMALL_STATE(8821)] = 311746,
  [SMALL_STATE(8822)] = 311753,
  [SMALL_STATE(8823)] = 311760,
  [SMALL_STATE(8824)] = 311767,
  [SMALL_STATE(8825)] = 311774,
  [SMALL_STATE(8826)] = 311781,
  [SMALL_STATE(8827)] = 311788,
  [SMALL_STATE(8828)] = 311795,
  [SMALL_STATE(8829)] = 311802,
  [SMALL_STATE(8830)] = 311809,
  [SMALL_STATE(8831)] = 311816,
  [SMALL_STATE(8832)] = 311823,
  [SMALL_STATE(8833)] = 311830,
  [SMALL_STATE(8834)] = 311837,
  [SMALL_STATE(8835)] = 311844,
  [SMALL_STATE(8836)] = 311851,
  [SMALL_STATE(8837)] = 311858,
  [SMALL_STATE(8838)] = 311865,
  [SMALL_STATE(8839)] = 311872,
  [SMALL_STATE(8840)] = 311879,
  [SMALL_STATE(8841)] = 311886,
  [SMALL_STATE(8842)] = 311893,
  [SMALL_STATE(8843)] = 311900,
  [SMALL_STATE(8844)] = 311907,
  [SMALL_STATE(8845)] = 311914,
  [SMALL_STATE(8846)] = 311921,
  [SMALL_STATE(8847)] = 311928,
  [SMALL_STATE(8848)] = 311935,
  [SMALL_STATE(8849)] = 311942,
  [SMALL_STATE(8850)] = 311949,
  [SMALL_STATE(8851)] = 311956,
  [SMALL_STATE(8852)] = 311963,
  [SMALL_STATE(8853)] = 311970,
  [SMALL_STATE(8854)] = 311977,
  [SMALL_STATE(8855)] = 311984,
  [SMALL_STATE(8856)] = 311991,
  [SMALL_STATE(8857)] = 311998,
  [SMALL_STATE(8858)] = 312005,
  [SMALL_STATE(8859)] = 312012,
  [SMALL_STATE(8860)] = 312019,
  [SMALL_STATE(8861)] = 312026,
  [SMALL_STATE(8862)] = 312033,
  [SMALL_STATE(8863)] = 312040,
  [SMALL_STATE(8864)] = 312047,
  [SMALL_STATE(8865)] = 312054,
  [SMALL_STATE(8866)] = 312061,
  [SMALL_STATE(8867)] = 312068,
  [SMALL_STATE(8868)] = 312075,
  [SMALL_STATE(8869)] = 312082,
  [SMALL_STATE(8870)] = 312089,
  [SMALL_STATE(8871)] = 312096,
  [SMALL_STATE(8872)] = 312103,
  [SMALL_STATE(8873)] = 312110,
  [SMALL_STATE(8874)] = 312117,
  [SMALL_STATE(8875)] = 312124,
  [SMALL_STATE(8876)] = 312131,
  [SMALL_STATE(8877)] = 312138,
  [SMALL_STATE(8878)] = 312145,
  [SMALL_STATE(8879)] = 312152,
  [SMALL_STATE(8880)] = 312159,
  [SMALL_STATE(8881)] = 312166,
  [SMALL_STATE(8882)] = 312173,
  [SMALL_STATE(8883)] = 312180,
  [SMALL_STATE(8884)] = 312187,
  [SMALL_STATE(8885)] = 312194,
  [SMALL_STATE(8886)] = 312201,
  [SMALL_STATE(8887)] = 312208,
  [SMALL_STATE(8888)] = 312215,
  [SMALL_STATE(8889)] = 312222,
  [SMALL_STATE(8890)] = 312229,
  [SMALL_STATE(8891)] = 312236,
  [SMALL_STATE(8892)] = 312243,
  [SMALL_STATE(8893)] = 312250,
  [SMALL_STATE(8894)] = 312257,
  [SMALL_STATE(8895)] = 312264,
  [SMALL_STATE(8896)] = 312271,
  [SMALL_STATE(8897)] = 312278,
  [SMALL_STATE(8898)] = 312285,
  [SMALL_STATE(8899)] = 312292,
  [SMALL_STATE(8900)] = 312299,
  [SMALL_STATE(8901)] = 312306,
  [SMALL_STATE(8902)] = 312313,
  [SMALL_STATE(8903)] = 312320,
  [SMALL_STATE(8904)] = 312327,
  [SMALL_STATE(8905)] = 312334,
  [SMALL_STATE(8906)] = 312341,
  [SMALL_STATE(8907)] = 312348,
  [SMALL_STATE(8908)] = 312355,
  [SMALL_STATE(8909)] = 312362,
  [SMALL_STATE(8910)] = 312369,
  [SMALL_STATE(8911)] = 312376,
  [SMALL_STATE(8912)] = 312383,
  [SMALL_STATE(8913)] = 312390,
  [SMALL_STATE(8914)] = 312397,
  [SMALL_STATE(8915)] = 312404,
  [SMALL_STATE(8916)] = 312411,
  [SMALL_STATE(8917)] = 312418,
  [SMALL_STATE(8918)] = 312425,
  [SMALL_STATE(8919)] = 312432,
  [SMALL_STATE(8920)] = 312439,
  [SMALL_STATE(8921)] = 312446,
  [SMALL_STATE(8922)] = 312453,
  [SMALL_STATE(8923)] = 312460,
  [SMALL_STATE(8924)] = 312467,
  [SMALL_STATE(8925)] = 312474,
  [SMALL_STATE(8926)] = 312481,
  [SMALL_STATE(8927)] = 312488,
  [SMALL_STATE(8928)] = 312495,
  [SMALL_STATE(8929)] = 312502,
  [SMALL_STATE(8930)] = 312509,
  [SMALL_STATE(8931)] = 312516,
  [SMALL_STATE(8932)] = 312523,
  [SMALL_STATE(8933)] = 312530,
  [SMALL_STATE(8934)] = 312537,
  [SMALL_STATE(8935)] = 312544,
  [SMALL_STATE(8936)] = 312551,
  [SMALL_STATE(8937)] = 312558,
  [SMALL_STATE(8938)] = 312565,
  [SMALL_STATE(8939)] = 312572,
  [SMALL_STATE(8940)] = 312579,
  [SMALL_STATE(8941)] = 312586,
  [SMALL_STATE(8942)] = 312593,
  [SMALL_STATE(8943)] = 312600,
  [SMALL_STATE(8944)] = 312607,
  [SMALL_STATE(8945)] = 312614,
  [SMALL_STATE(8946)] = 312621,
  [SMALL_STATE(8947)] = 312628,
  [SMALL_STATE(8948)] = 312635,
  [SMALL_STATE(8949)] = 312642,
  [SMALL_STATE(8950)] = 312649,
  [SMALL_STATE(8951)] = 312656,
  [SMALL_STATE(8952)] = 312663,
  [SMALL_STATE(8953)] = 312670,
  [SMALL_STATE(8954)] = 312677,
  [SMALL_STATE(8955)] = 312684,
  [SMALL_STATE(8956)] = 312691,
  [SMALL_STATE(8957)] = 312698,
  [SMALL_STATE(8958)] = 312705,
  [SMALL_STATE(8959)] = 312712,
  [SMALL_STATE(8960)] = 312719,
  [SMALL_STATE(8961)] = 312726,
  [SMALL_STATE(8962)] = 312733,
  [SMALL_STATE(8963)] = 312740,
  [SMALL_STATE(8964)] = 312747,
  [SMALL_STATE(8965)] = 312754,
  [SMALL_STATE(8966)] = 312761,
  [SMALL_STATE(8967)] = 312768,
  [SMALL_STATE(8968)] = 312775,
  [SMALL_STATE(8969)] = 312782,
  [SMALL_STATE(8970)] = 312789,
  [SMALL_STATE(8971)] = 312796,
  [SMALL_STATE(8972)] = 312803,
  [SMALL_STATE(8973)] = 312810,
  [SMALL_STATE(8974)] = 312817,
  [SMALL_STATE(8975)] = 312824,
  [SMALL_STATE(8976)] = 312831,
  [SMALL_STATE(8977)] = 312838,
  [SMALL_STATE(8978)] = 312845,
  [SMALL_STATE(8979)] = 312852,
  [SMALL_STATE(8980)] = 312859,
  [SMALL_STATE(8981)] = 312866,
  [SMALL_STATE(8982)] = 312873,
  [SMALL_STATE(8983)] = 312880,
  [SMALL_STATE(8984)] = 312887,
  [SMALL_STATE(8985)] = 312894,
  [SMALL_STATE(8986)] = 312901,
  [SMALL_STATE(8987)] = 312908,
  [SMALL_STATE(8988)] = 312915,
  [SMALL_STATE(8989)] = 312922,
  [SMALL_STATE(8990)] = 312929,
  [SMALL_STATE(8991)] = 312936,
  [SMALL_STATE(8992)] = 312943,
  [SMALL_STATE(8993)] = 312950,
  [SMALL_STATE(8994)] = 312957,
  [SMALL_STATE(8995)] = 312964,
  [SMALL_STATE(8996)] = 312971,
  [SMALL_STATE(8997)] = 312978,
  [SMALL_STATE(8998)] = 312985,
  [SMALL_STATE(8999)] = 312992,
  [SMALL_STATE(9000)] = 312999,
  [SMALL_STATE(9001)] = 313006,
  [SMALL_STATE(9002)] = 313013,
  [SMALL_STATE(9003)] = 313020,
  [SMALL_STATE(9004)] = 313027,
  [SMALL_STATE(9005)] = 313034,
  [SMALL_STATE(9006)] = 313041,
  [SMALL_STATE(9007)] = 313048,
  [SMALL_STATE(9008)] = 313055,
  [SMALL_STATE(9009)] = 313062,
  [SMALL_STATE(9010)] = 313069,
  [SMALL_STATE(9011)] = 313076,
  [SMALL_STATE(9012)] = 313083,
  [SMALL_STATE(9013)] = 313090,
  [SMALL_STATE(9014)] = 313097,
  [SMALL_STATE(9015)] = 313104,
  [SMALL_STATE(9016)] = 313111,
  [SMALL_STATE(9017)] = 313118,
  [SMALL_STATE(9018)] = 313125,
  [SMALL_STATE(9019)] = 313132,
  [SMALL_STATE(9020)] = 313139,
  [SMALL_STATE(9021)] = 313146,
  [SMALL_STATE(9022)] = 313153,
  [SMALL_STATE(9023)] = 313160,
  [SMALL_STATE(9024)] = 313167,
  [SMALL_STATE(9025)] = 313174,
  [SMALL_STATE(9026)] = 313181,
  [SMALL_STATE(9027)] = 313188,
  [SMALL_STATE(9028)] = 313195,
  [SMALL_STATE(9029)] = 313202,
  [SMALL_STATE(9030)] = 313209,
  [SMALL_STATE(9031)] = 313216,
  [SMALL_STATE(9032)] = 313223,
  [SMALL_STATE(9033)] = 313230,
  [SMALL_STATE(9034)] = 313237,
  [SMALL_STATE(9035)] = 313244,
  [SMALL_STATE(9036)] = 313251,
  [SMALL_STATE(9037)] = 313258,
  [SMALL_STATE(9038)] = 313265,
  [SMALL_STATE(9039)] = 313272,
  [SMALL_STATE(9040)] = 313279,
  [SMALL_STATE(9041)] = 313286,
  [SMALL_STATE(9042)] = 313293,
  [SMALL_STATE(9043)] = 313300,
  [SMALL_STATE(9044)] = 313307,
  [SMALL_STATE(9045)] = 313314,
  [SMALL_STATE(9046)] = 313321,
  [SMALL_STATE(9047)] = 313328,
  [SMALL_STATE(9048)] = 313335,
  [SMALL_STATE(9049)] = 313342,
  [SMALL_STATE(9050)] = 313349,
  [SMALL_STATE(9051)] = 313356,
  [SMALL_STATE(9052)] = 313363,
  [SMALL_STATE(9053)] = 313370,
  [SMALL_STATE(9054)] = 313377,
  [SMALL_STATE(9055)] = 313384,
  [SMALL_STATE(9056)] = 313391,
  [SMALL_STATE(9057)] = 313398,
  [SMALL_STATE(9058)] = 313405,
  [SMALL_STATE(9059)] = 313412,
  [SMALL_STATE(9060)] = 313419,
  [SMALL_STATE(9061)] = 313426,
  [SMALL_STATE(9062)] = 313433,
  [SMALL_STATE(9063)] = 313440,
  [SMALL_STATE(9064)] = 313447,
  [SMALL_STATE(9065)] = 313454,
  [SMALL_STATE(9066)] = 313461,
  [SMALL_STATE(9067)] = 313468,
  [SMALL_STATE(9068)] = 313475,
  [SMALL_STATE(9069)] = 313482,
  [SMALL_STATE(9070)] = 313489,
  [SMALL_STATE(9071)] = 313496,
  [SMALL_STATE(9072)] = 313503,
  [SMALL_STATE(9073)] = 313510,
  [SMALL_STATE(9074)] = 313517,
  [SMALL_STATE(9075)] = 313524,
  [SMALL_STATE(9076)] = 313531,
  [SMALL_STATE(9077)] = 313538,
  [SMALL_STATE(9078)] = 313545,
  [SMALL_STATE(9079)] = 313552,
  [SMALL_STATE(9080)] = 313559,
  [SMALL_STATE(9081)] = 313566,
  [SMALL_STATE(9082)] = 313573,
  [SMALL_STATE(9083)] = 313580,
  [SMALL_STATE(9084)] = 313587,
  [SMALL_STATE(9085)] = 313594,
  [SMALL_STATE(9086)] = 313601,
  [SMALL_STATE(9087)] = 313608,
  [SMALL_STATE(9088)] = 313615,
  [SMALL_STATE(9089)] = 313622,
  [SMALL_STATE(9090)] = 313629,
  [SMALL_STATE(9091)] = 313636,
  [SMALL_STATE(9092)] = 313643,
  [SMALL_STATE(9093)] = 313650,
  [SMALL_STATE(9094)] = 313657,
  [SMALL_STATE(9095)] = 313664,
  [SMALL_STATE(9096)] = 313671,
  [SMALL_STATE(9097)] = 313678,
  [SMALL_STATE(9098)] = 313685,
  [SMALL_STATE(9099)] = 313692,
  [SMALL_STATE(9100)] = 313699,
  [SMALL_STATE(9101)] = 313706,
  [SMALL_STATE(9102)] = 313713,
  [SMALL_STATE(9103)] = 313720,
  [SMALL_STATE(9104)] = 313727,
  [SMALL_STATE(9105)] = 313734,
  [SMALL_STATE(9106)] = 313741,
  [SMALL_STATE(9107)] = 313748,
  [SMALL_STATE(9108)] = 313755,
  [SMALL_STATE(9109)] = 313762,
  [SMALL_STATE(9110)] = 313769,
  [SMALL_STATE(9111)] = 313776,
  [SMALL_STATE(9112)] = 313783,
  [SMALL_STATE(9113)] = 313790,
  [SMALL_STATE(9114)] = 313797,
  [SMALL_STATE(9115)] = 313804,
  [SMALL_STATE(9116)] = 313811,
  [SMALL_STATE(9117)] = 313818,
  [SMALL_STATE(9118)] = 313825,
  [SMALL_STATE(9119)] = 313832,
  [SMALL_STATE(9120)] = 313839,
  [SMALL_STATE(9121)] = 313846,
  [SMALL_STATE(9122)] = 313853,
  [SMALL_STATE(9123)] = 313860,
  [SMALL_STATE(9124)] = 313867,
  [SMALL_STATE(9125)] = 313874,
  [SMALL_STATE(9126)] = 313881,
  [SMALL_STATE(9127)] = 313888,
  [SMALL_STATE(9128)] = 313895,
  [SMALL_STATE(9129)] = 313902,
  [SMALL_STATE(9130)] = 313909,
  [SMALL_STATE(9131)] = 313916,
  [SMALL_STATE(9132)] = 313923,
  [SMALL_STATE(9133)] = 313930,
  [SMALL_STATE(9134)] = 313937,
  [SMALL_STATE(9135)] = 313944,
  [SMALL_STATE(9136)] = 313951,
  [SMALL_STATE(9137)] = 313958,
  [SMALL_STATE(9138)] = 313965,
  [SMALL_STATE(9139)] = 313972,
  [SMALL_STATE(9140)] = 313979,
  [SMALL_STATE(9141)] = 313986,
  [SMALL_STATE(9142)] = 313993,
  [SMALL_STATE(9143)] = 314000,
  [SMALL_STATE(9144)] = 314007,
  [SMALL_STATE(9145)] = 314014,
  [SMALL_STATE(9146)] = 314021,
  [SMALL_STATE(9147)] = 314028,
  [SMALL_STATE(9148)] = 314035,
  [SMALL_STATE(9149)] = 314042,
  [SMALL_STATE(9150)] = 314049,
  [SMALL_STATE(9151)] = 314056,
  [SMALL_STATE(9152)] = 314063,
  [SMALL_STATE(9153)] = 314070,
  [SMALL_STATE(9154)] = 314077,
  [SMALL_STATE(9155)] = 314084,
  [SMALL_STATE(9156)] = 314091,
  [SMALL_STATE(9157)] = 314098,
  [SMALL_STATE(9158)] = 314105,
  [SMALL_STATE(9159)] = 314112,
  [SMALL_STATE(9160)] = 314119,
  [SMALL_STATE(9161)] = 314126,
  [SMALL_STATE(9162)] = 314133,
  [SMALL_STATE(9163)] = 314140,
  [SMALL_STATE(9164)] = 314147,
  [SMALL_STATE(9165)] = 314154,
  [SMALL_STATE(9166)] = 314161,
  [SMALL_STATE(9167)] = 314168,
  [SMALL_STATE(9168)] = 314175,
  [SMALL_STATE(9169)] = 314182,
  [SMALL_STATE(9170)] = 314189,
  [SMALL_STATE(9171)] = 314196,
  [SMALL_STATE(9172)] = 314203,
  [SMALL_STATE(9173)] = 314210,
  [SMALL_STATE(9174)] = 314217,
  [SMALL_STATE(9175)] = 314224,
  [SMALL_STATE(9176)] = 314231,
  [SMALL_STATE(9177)] = 314238,
  [SMALL_STATE(9178)] = 314245,
  [SMALL_STATE(9179)] = 314252,
  [SMALL_STATE(9180)] = 314259,
  [SMALL_STATE(9181)] = 314266,
  [SMALL_STATE(9182)] = 314273,
  [SMALL_STATE(9183)] = 314280,
  [SMALL_STATE(9184)] = 314287,
  [SMALL_STATE(9185)] = 314294,
  [SMALL_STATE(9186)] = 314301,
  [SMALL_STATE(9187)] = 314308,
  [SMALL_STATE(9188)] = 314315,
  [SMALL_STATE(9189)] = 314322,
  [SMALL_STATE(9190)] = 314329,
  [SMALL_STATE(9191)] = 314336,
  [SMALL_STATE(9192)] = 314343,
  [SMALL_STATE(9193)] = 314350,
  [SMALL_STATE(9194)] = 314357,
  [SMALL_STATE(9195)] = 314364,
  [SMALL_STATE(9196)] = 314371,
  [SMALL_STATE(9197)] = 314378,
  [SMALL_STATE(9198)] = 314385,
  [SMALL_STATE(9199)] = 314392,
  [SMALL_STATE(9200)] = 314399,
  [SMALL_STATE(9201)] = 314406,
  [SMALL_STATE(9202)] = 314413,
  [SMALL_STATE(9203)] = 314420,
  [SMALL_STATE(9204)] = 314427,
  [SMALL_STATE(9205)] = 314434,
  [SMALL_STATE(9206)] = 314441,
  [SMALL_STATE(9207)] = 314448,
  [SMALL_STATE(9208)] = 314455,
  [SMALL_STATE(9209)] = 314462,
  [SMALL_STATE(9210)] = 314469,
  [SMALL_STATE(9211)] = 314476,
  [SMALL_STATE(9212)] = 314483,
  [SMALL_STATE(9213)] = 314490,
  [SMALL_STATE(9214)] = 314497,
  [SMALL_STATE(9215)] = 314504,
  [SMALL_STATE(9216)] = 314511,
  [SMALL_STATE(9217)] = 314518,
  [SMALL_STATE(9218)] = 314525,
  [SMALL_STATE(9219)] = 314532,
  [SMALL_STATE(9220)] = 314539,
  [SMALL_STATE(9221)] = 314546,
  [SMALL_STATE(9222)] = 314553,
  [SMALL_STATE(9223)] = 314560,
  [SMALL_STATE(9224)] = 314567,
  [SMALL_STATE(9225)] = 314574,
  [SMALL_STATE(9226)] = 314581,
  [SMALL_STATE(9227)] = 314588,
  [SMALL_STATE(9228)] = 314595,
  [SMALL_STATE(9229)] = 314602,
  [SMALL_STATE(9230)] = 314609,
  [SMALL_STATE(9231)] = 314616,
  [SMALL_STATE(9232)] = 314623,
  [SMALL_STATE(9233)] = 314630,
  [SMALL_STATE(9234)] = 314637,
  [SMALL_STATE(9235)] = 314644,
  [SMALL_STATE(9236)] = 314651,
  [SMALL_STATE(9237)] = 314658,
  [SMALL_STATE(9238)] = 314665,
  [SMALL_STATE(9239)] = 314672,
  [SMALL_STATE(9240)] = 314679,
  [SMALL_STATE(9241)] = 314686,
  [SMALL_STATE(9242)] = 314693,
  [SMALL_STATE(9243)] = 314700,
  [SMALL_STATE(9244)] = 314707,
  [SMALL_STATE(9245)] = 314714,
  [SMALL_STATE(9246)] = 314721,
  [SMALL_STATE(9247)] = 314728,
  [SMALL_STATE(9248)] = 314735,
  [SMALL_STATE(9249)] = 314742,
  [SMALL_STATE(9250)] = 314749,
  [SMALL_STATE(9251)] = 314756,
  [SMALL_STATE(9252)] = 314763,
  [SMALL_STATE(9253)] = 314770,
  [SMALL_STATE(9254)] = 314777,
  [SMALL_STATE(9255)] = 314784,
  [SMALL_STATE(9256)] = 314791,
  [SMALL_STATE(9257)] = 314798,
  [SMALL_STATE(9258)] = 314805,
  [SMALL_STATE(9259)] = 314812,
  [SMALL_STATE(9260)] = 314819,
  [SMALL_STATE(9261)] = 314826,
  [SMALL_STATE(9262)] = 314833,
  [SMALL_STATE(9263)] = 314840,
  [SMALL_STATE(9264)] = 314847,
  [SMALL_STATE(9265)] = 314854,
  [SMALL_STATE(9266)] = 314861,
  [SMALL_STATE(9267)] = 314868,
  [SMALL_STATE(9268)] = 314875,
  [SMALL_STATE(9269)] = 314882,
  [SMALL_STATE(9270)] = 314889,
  [SMALL_STATE(9271)] = 314896,
  [SMALL_STATE(9272)] = 314903,
  [SMALL_STATE(9273)] = 314910,
  [SMALL_STATE(9274)] = 314917,
  [SMALL_STATE(9275)] = 314924,
  [SMALL_STATE(9276)] = 314931,
  [SMALL_STATE(9277)] = 314938,
  [SMALL_STATE(9278)] = 314945,
  [SMALL_STATE(9279)] = 314952,
  [SMALL_STATE(9280)] = 314959,
  [SMALL_STATE(9281)] = 314966,
  [SMALL_STATE(9282)] = 314973,
  [SMALL_STATE(9283)] = 314980,
  [SMALL_STATE(9284)] = 314987,
  [SMALL_STATE(9285)] = 314994,
  [SMALL_STATE(9286)] = 315001,
  [SMALL_STATE(9287)] = 315008,
  [SMALL_STATE(9288)] = 315015,
  [SMALL_STATE(9289)] = 315022,
  [SMALL_STATE(9290)] = 315029,
  [SMALL_STATE(9291)] = 315036,
  [SMALL_STATE(9292)] = 315043,
  [SMALL_STATE(9293)] = 315050,
  [SMALL_STATE(9294)] = 315057,
  [SMALL_STATE(9295)] = 315064,
  [SMALL_STATE(9296)] = 315071,
  [SMALL_STATE(9297)] = 315078,
  [SMALL_STATE(9298)] = 315085,
  [SMALL_STATE(9299)] = 315092,
  [SMALL_STATE(9300)] = 315099,
  [SMALL_STATE(9301)] = 315106,
  [SMALL_STATE(9302)] = 315113,
  [SMALL_STATE(9303)] = 315120,
  [SMALL_STATE(9304)] = 315127,
  [SMALL_STATE(9305)] = 315134,
  [SMALL_STATE(9306)] = 315141,
  [SMALL_STATE(9307)] = 315148,
  [SMALL_STATE(9308)] = 315155,
  [SMALL_STATE(9309)] = 315162,
  [SMALL_STATE(9310)] = 315169,
  [SMALL_STATE(9311)] = 315176,
  [SMALL_STATE(9312)] = 315183,
  [SMALL_STATE(9313)] = 315190,
  [SMALL_STATE(9314)] = 315197,
  [SMALL_STATE(9315)] = 315204,
  [SMALL_STATE(9316)] = 315211,
  [SMALL_STATE(9317)] = 315218,
  [SMALL_STATE(9318)] = 315225,
  [SMALL_STATE(9319)] = 315232,
  [SMALL_STATE(9320)] = 315239,
  [SMALL_STATE(9321)] = 315246,
  [SMALL_STATE(9322)] = 315253,
  [SMALL_STATE(9323)] = 315260,
  [SMALL_STATE(9324)] = 315267,
  [SMALL_STATE(9325)] = 315274,
  [SMALL_STATE(9326)] = 315281,
  [SMALL_STATE(9327)] = 315288,
  [SMALL_STATE(9328)] = 315295,
  [SMALL_STATE(9329)] = 315302,
  [SMALL_STATE(9330)] = 315309,
  [SMALL_STATE(9331)] = 315316,
  [SMALL_STATE(9332)] = 315323,
  [SMALL_STATE(9333)] = 315330,
  [SMALL_STATE(9334)] = 315337,
  [SMALL_STATE(9335)] = 315344,
  [SMALL_STATE(9336)] = 315351,
  [SMALL_STATE(9337)] = 315358,
  [SMALL_STATE(9338)] = 315365,
  [SMALL_STATE(9339)] = 315372,
  [SMALL_STATE(9340)] = 315379,
  [SMALL_STATE(9341)] = 315386,
  [SMALL_STATE(9342)] = 315393,
  [SMALL_STATE(9343)] = 315400,
  [SMALL_STATE(9344)] = 315407,
  [SMALL_STATE(9345)] = 315414,
  [SMALL_STATE(9346)] = 315421,
  [SMALL_STATE(9347)] = 315428,
  [SMALL_STATE(9348)] = 315435,
  [SMALL_STATE(9349)] = 315442,
  [SMALL_STATE(9350)] = 315449,
  [SMALL_STATE(9351)] = 315456,
  [SMALL_STATE(9352)] = 315463,
  [SMALL_STATE(9353)] = 315470,
  [SMALL_STATE(9354)] = 315477,
  [SMALL_STATE(9355)] = 315484,
  [SMALL_STATE(9356)] = 315491,
  [SMALL_STATE(9357)] = 315498,
  [SMALL_STATE(9358)] = 315505,
  [SMALL_STATE(9359)] = 315512,
  [SMALL_STATE(9360)] = 315519,
  [SMALL_STATE(9361)] = 315526,
  [SMALL_STATE(9362)] = 315533,
  [SMALL_STATE(9363)] = 315540,
  [SMALL_STATE(9364)] = 315547,
  [SMALL_STATE(9365)] = 315554,
  [SMALL_STATE(9366)] = 315561,
  [SMALL_STATE(9367)] = 315568,
  [SMALL_STATE(9368)] = 315575,
  [SMALL_STATE(9369)] = 315582,
  [SMALL_STATE(9370)] = 315589,
  [SMALL_STATE(9371)] = 315596,
  [SMALL_STATE(9372)] = 315603,
  [SMALL_STATE(9373)] = 315610,
  [SMALL_STATE(9374)] = 315617,
  [SMALL_STATE(9375)] = 315624,
  [SMALL_STATE(9376)] = 315631,
  [SMALL_STATE(9377)] = 315638,
  [SMALL_STATE(9378)] = 315645,
  [SMALL_STATE(9379)] = 315652,
  [SMALL_STATE(9380)] = 315659,
  [SMALL_STATE(9381)] = 315666,
  [SMALL_STATE(9382)] = 315673,
  [SMALL_STATE(9383)] = 315680,
  [SMALL_STATE(9384)] = 315687,
  [SMALL_STATE(9385)] = 315694,
  [SMALL_STATE(9386)] = 315701,
  [SMALL_STATE(9387)] = 315708,
  [SMALL_STATE(9388)] = 315715,
  [SMALL_STATE(9389)] = 315722,
  [SMALL_STATE(9390)] = 315729,
  [SMALL_STATE(9391)] = 315736,
  [SMALL_STATE(9392)] = 315743,
  [SMALL_STATE(9393)] = 315750,
  [SMALL_STATE(9394)] = 315757,
  [SMALL_STATE(9395)] = 315764,
  [SMALL_STATE(9396)] = 315771,
  [SMALL_STATE(9397)] = 315778,
  [SMALL_STATE(9398)] = 315785,
  [SMALL_STATE(9399)] = 315792,
  [SMALL_STATE(9400)] = 315799,
  [SMALL_STATE(9401)] = 315806,
  [SMALL_STATE(9402)] = 315813,
  [SMALL_STATE(9403)] = 315820,
  [SMALL_STATE(9404)] = 315827,
  [SMALL_STATE(9405)] = 315834,
  [SMALL_STATE(9406)] = 315841,
  [SMALL_STATE(9407)] = 315848,
  [SMALL_STATE(9408)] = 315855,
  [SMALL_STATE(9409)] = 315862,
  [SMALL_STATE(9410)] = 315869,
  [SMALL_STATE(9411)] = 315876,
  [SMALL_STATE(9412)] = 315883,
  [SMALL_STATE(9413)] = 315890,
  [SMALL_STATE(9414)] = 315897,
  [SMALL_STATE(9415)] = 315904,
  [SMALL_STATE(9416)] = 315911,
  [SMALL_STATE(9417)] = 315918,
  [SMALL_STATE(9418)] = 315925,
  [SMALL_STATE(9419)] = 315932,
  [SMALL_STATE(9420)] = 315939,
  [SMALL_STATE(9421)] = 315946,
  [SMALL_STATE(9422)] = 315953,
  [SMALL_STATE(9423)] = 315960,
  [SMALL_STATE(9424)] = 315967,
  [SMALL_STATE(9425)] = 315974,
  [SMALL_STATE(9426)] = 315981,
  [SMALL_STATE(9427)] = 315988,
  [SMALL_STATE(9428)] = 315995,
  [SMALL_STATE(9429)] = 316002,
  [SMALL_STATE(9430)] = 316009,
  [SMALL_STATE(9431)] = 316016,
  [SMALL_STATE(9432)] = 316023,
  [SMALL_STATE(9433)] = 316030,
  [SMALL_STATE(9434)] = 316037,
  [SMALL_STATE(9435)] = 316044,
  [SMALL_STATE(9436)] = 316051,
  [SMALL_STATE(9437)] = 316058,
  [SMALL_STATE(9438)] = 316065,
  [SMALL_STATE(9439)] = 316072,
  [SMALL_STATE(9440)] = 316079,
  [SMALL_STATE(9441)] = 316086,
  [SMALL_STATE(9442)] = 316093,
  [SMALL_STATE(9443)] = 316100,
  [SMALL_STATE(9444)] = 316107,
  [SMALL_STATE(9445)] = 316114,
  [SMALL_STATE(9446)] = 316121,
  [SMALL_STATE(9447)] = 316128,
  [SMALL_STATE(9448)] = 316135,
  [SMALL_STATE(9449)] = 316142,
  [SMALL_STATE(9450)] = 316149,
  [SMALL_STATE(9451)] = 316156,
  [SMALL_STATE(9452)] = 316163,
  [SMALL_STATE(9453)] = 316170,
  [SMALL_STATE(9454)] = 316177,
  [SMALL_STATE(9455)] = 316184,
  [SMALL_STATE(9456)] = 316191,
  [SMALL_STATE(9457)] = 316198,
  [SMALL_STATE(9458)] = 316205,
  [SMALL_STATE(9459)] = 316212,
  [SMALL_STATE(9460)] = 316219,
  [SMALL_STATE(9461)] = 316226,
  [SMALL_STATE(9462)] = 316233,
  [SMALL_STATE(9463)] = 316240,
  [SMALL_STATE(9464)] = 316247,
  [SMALL_STATE(9465)] = 316254,
  [SMALL_STATE(9466)] = 316261,
  [SMALL_STATE(9467)] = 316268,
  [SMALL_STATE(9468)] = 316275,
  [SMALL_STATE(9469)] = 316282,
  [SMALL_STATE(9470)] = 316289,
  [SMALL_STATE(9471)] = 316296,
  [SMALL_STATE(9472)] = 316303,
  [SMALL_STATE(9473)] = 316310,
  [SMALL_STATE(9474)] = 316317,
  [SMALL_STATE(9475)] = 316324,
  [SMALL_STATE(9476)] = 316331,
  [SMALL_STATE(9477)] = 316338,
  [SMALL_STATE(9478)] = 316345,
  [SMALL_STATE(9479)] = 316352,
  [SMALL_STATE(9480)] = 316359,
  [SMALL_STATE(9481)] = 316366,
  [SMALL_STATE(9482)] = 316373,
  [SMALL_STATE(9483)] = 316380,
  [SMALL_STATE(9484)] = 316387,
  [SMALL_STATE(9485)] = 316394,
  [SMALL_STATE(9486)] = 316401,
  [SMALL_STATE(9487)] = 316408,
  [SMALL_STATE(9488)] = 316415,
  [SMALL_STATE(9489)] = 316422,
  [SMALL_STATE(9490)] = 316429,
  [SMALL_STATE(9491)] = 316436,
  [SMALL_STATE(9492)] = 316443,
  [SMALL_STATE(9493)] = 316450,
  [SMALL_STATE(9494)] = 316457,
  [SMALL_STATE(9495)] = 316464,
  [SMALL_STATE(9496)] = 316471,
  [SMALL_STATE(9497)] = 316478,
  [SMALL_STATE(9498)] = 316485,
  [SMALL_STATE(9499)] = 316492,
  [SMALL_STATE(9500)] = 316499,
  [SMALL_STATE(9501)] = 316506,
  [SMALL_STATE(9502)] = 316513,
  [SMALL_STATE(9503)] = 316520,
  [SMALL_STATE(9504)] = 316527,
  [SMALL_STATE(9505)] = 316534,
  [SMALL_STATE(9506)] = 316541,
  [SMALL_STATE(9507)] = 316548,
  [SMALL_STATE(9508)] = 316555,
  [SMALL_STATE(9509)] = 316562,
  [SMALL_STATE(9510)] = 316569,
  [SMALL_STATE(9511)] = 316576,
  [SMALL_STATE(9512)] = 316583,
  [SMALL_STATE(9513)] = 316590,
  [SMALL_STATE(9514)] = 316597,
  [SMALL_STATE(9515)] = 316604,
  [SMALL_STATE(9516)] = 316611,
  [SMALL_STATE(9517)] = 316618,
  [SMALL_STATE(9518)] = 316625,
  [SMALL_STATE(9519)] = 316632,
  [SMALL_STATE(9520)] = 316639,
  [SMALL_STATE(9521)] = 316646,
  [SMALL_STATE(9522)] = 316653,
  [SMALL_STATE(9523)] = 316660,
  [SMALL_STATE(9524)] = 316667,
  [SMALL_STATE(9525)] = 316674,
  [SMALL_STATE(9526)] = 316681,
  [SMALL_STATE(9527)] = 316688,
  [SMALL_STATE(9528)] = 316695,
  [SMALL_STATE(9529)] = 316702,
  [SMALL_STATE(9530)] = 316709,
  [SMALL_STATE(9531)] = 316716,
  [SMALL_STATE(9532)] = 316723,
  [SMALL_STATE(9533)] = 316730,
  [SMALL_STATE(9534)] = 316737,
  [SMALL_STATE(9535)] = 316744,
  [SMALL_STATE(9536)] = 316751,
  [SMALL_STATE(9537)] = 316758,
  [SMALL_STATE(9538)] = 316765,
  [SMALL_STATE(9539)] = 316772,
  [SMALL_STATE(9540)] = 316779,
  [SMALL_STATE(9541)] = 316786,
  [SMALL_STATE(9542)] = 316793,
  [SMALL_STATE(9543)] = 316800,
  [SMALL_STATE(9544)] = 316807,
  [SMALL_STATE(9545)] = 316814,
  [SMALL_STATE(9546)] = 316821,
  [SMALL_STATE(9547)] = 316828,
  [SMALL_STATE(9548)] = 316835,
  [SMALL_STATE(9549)] = 316842,
  [SMALL_STATE(9550)] = 316849,
  [SMALL_STATE(9551)] = 316856,
  [SMALL_STATE(9552)] = 316863,
  [SMALL_STATE(9553)] = 316870,
  [SMALL_STATE(9554)] = 316877,
  [SMALL_STATE(9555)] = 316884,
  [SMALL_STATE(9556)] = 316891,
  [SMALL_STATE(9557)] = 316898,
  [SMALL_STATE(9558)] = 316905,
  [SMALL_STATE(9559)] = 316912,
  [SMALL_STATE(9560)] = 316919,
  [SMALL_STATE(9561)] = 316926,
  [SMALL_STATE(9562)] = 316933,
  [SMALL_STATE(9563)] = 316940,
  [SMALL_STATE(9564)] = 316947,
  [SMALL_STATE(9565)] = 316954,
  [SMALL_STATE(9566)] = 316961,
  [SMALL_STATE(9567)] = 316968,
  [SMALL_STATE(9568)] = 316975,
  [SMALL_STATE(9569)] = 316982,
  [SMALL_STATE(9570)] = 316989,
  [SMALL_STATE(9571)] = 316996,
  [SMALL_STATE(9572)] = 317003,
  [SMALL_STATE(9573)] = 317010,
  [SMALL_STATE(9574)] = 317017,
  [SMALL_STATE(9575)] = 317024,
  [SMALL_STATE(9576)] = 317031,
  [SMALL_STATE(9577)] = 317038,
  [SMALL_STATE(9578)] = 317045,
  [SMALL_STATE(9579)] = 317052,
  [SMALL_STATE(9580)] = 317059,
  [SMALL_STATE(9581)] = 317066,
  [SMALL_STATE(9582)] = 317073,
  [SMALL_STATE(9583)] = 317080,
  [SMALL_STATE(9584)] = 317087,
  [SMALL_STATE(9585)] = 317094,
  [SMALL_STATE(9586)] = 317101,
  [SMALL_STATE(9587)] = 317108,
  [SMALL_STATE(9588)] = 317115,
  [SMALL_STATE(9589)] = 317122,
  [SMALL_STATE(9590)] = 317129,
  [SMALL_STATE(9591)] = 317136,
  [SMALL_STATE(9592)] = 317143,
  [SMALL_STATE(9593)] = 317150,
  [SMALL_STATE(9594)] = 317157,
  [SMALL_STATE(9595)] = 317164,
  [SMALL_STATE(9596)] = 317171,
  [SMALL_STATE(9597)] = 317178,
  [SMALL_STATE(9598)] = 317185,
  [SMALL_STATE(9599)] = 317192,
  [SMALL_STATE(9600)] = 317199,
  [SMALL_STATE(9601)] = 317206,
  [SMALL_STATE(9602)] = 317213,
  [SMALL_STATE(9603)] = 317220,
  [SMALL_STATE(9604)] = 317227,
  [SMALL_STATE(9605)] = 317234,
  [SMALL_STATE(9606)] = 317241,
  [SMALL_STATE(9607)] = 317248,
  [SMALL_STATE(9608)] = 317255,
  [SMALL_STATE(9609)] = 317262,
  [SMALL_STATE(9610)] = 317269,
  [SMALL_STATE(9611)] = 317276,
  [SMALL_STATE(9612)] = 317283,
  [SMALL_STATE(9613)] = 317290,
  [SMALL_STATE(9614)] = 317297,
  [SMALL_STATE(9615)] = 317304,
  [SMALL_STATE(9616)] = 317311,
  [SMALL_STATE(9617)] = 317318,
  [SMALL_STATE(9618)] = 317325,
  [SMALL_STATE(9619)] = 317332,
  [SMALL_STATE(9620)] = 317339,
  [SMALL_STATE(9621)] = 317346,
  [SMALL_STATE(9622)] = 317353,
  [SMALL_STATE(9623)] = 317360,
  [SMALL_STATE(9624)] = 317367,
  [SMALL_STATE(9625)] = 317374,
  [SMALL_STATE(9626)] = 317381,
  [SMALL_STATE(9627)] = 317388,
  [SMALL_STATE(9628)] = 317395,
  [SMALL_STATE(9629)] = 317402,
  [SMALL_STATE(9630)] = 317409,
  [SMALL_STATE(9631)] = 317416,
  [SMALL_STATE(9632)] = 317423,
  [SMALL_STATE(9633)] = 317430,
  [SMALL_STATE(9634)] = 317437,
  [SMALL_STATE(9635)] = 317444,
  [SMALL_STATE(9636)] = 317451,
  [SMALL_STATE(9637)] = 317458,
  [SMALL_STATE(9638)] = 317465,
  [SMALL_STATE(9639)] = 317472,
  [SMALL_STATE(9640)] = 317479,
  [SMALL_STATE(9641)] = 317486,
  [SMALL_STATE(9642)] = 317493,
  [SMALL_STATE(9643)] = 317500,
  [SMALL_STATE(9644)] = 317507,
  [SMALL_STATE(9645)] = 317514,
  [SMALL_STATE(9646)] = 317521,
  [SMALL_STATE(9647)] = 317528,
  [SMALL_STATE(9648)] = 317535,
  [SMALL_STATE(9649)] = 317542,
  [SMALL_STATE(9650)] = 317549,
  [SMALL_STATE(9651)] = 317556,
  [SMALL_STATE(9652)] = 317563,
  [SMALL_STATE(9653)] = 317570,
  [SMALL_STATE(9654)] = 317577,
  [SMALL_STATE(9655)] = 317584,
  [SMALL_STATE(9656)] = 317591,
  [SMALL_STATE(9657)] = 317598,
  [SMALL_STATE(9658)] = 317605,
  [SMALL_STATE(9659)] = 317612,
  [SMALL_STATE(9660)] = 317619,
  [SMALL_STATE(9661)] = 317626,
  [SMALL_STATE(9662)] = 317633,
  [SMALL_STATE(9663)] = 317640,
  [SMALL_STATE(9664)] = 317647,
  [SMALL_STATE(9665)] = 317654,
  [SMALL_STATE(9666)] = 317661,
  [SMALL_STATE(9667)] = 317668,
  [SMALL_STATE(9668)] = 317675,
  [SMALL_STATE(9669)] = 317682,
  [SMALL_STATE(9670)] = 317689,
  [SMALL_STATE(9671)] = 317696,
  [SMALL_STATE(9672)] = 317703,
  [SMALL_STATE(9673)] = 317710,
  [SMALL_STATE(9674)] = 317717,
  [SMALL_STATE(9675)] = 317724,
  [SMALL_STATE(9676)] = 317731,
  [SMALL_STATE(9677)] = 317738,
  [SMALL_STATE(9678)] = 317745,
  [SMALL_STATE(9679)] = 317752,
  [SMALL_STATE(9680)] = 317759,
  [SMALL_STATE(9681)] = 317766,
  [SMALL_STATE(9682)] = 317773,
  [SMALL_STATE(9683)] = 317780,
  [SMALL_STATE(9684)] = 317787,
  [SMALL_STATE(9685)] = 317794,
  [SMALL_STATE(9686)] = 317801,
  [SMALL_STATE(9687)] = 317808,
  [SMALL_STATE(9688)] = 317815,
  [SMALL_STATE(9689)] = 317822,
  [SMALL_STATE(9690)] = 317829,
  [SMALL_STATE(9691)] = 317836,
  [SMALL_STATE(9692)] = 317843,
  [SMALL_STATE(9693)] = 317850,
  [SMALL_STATE(9694)] = 317857,
  [SMALL_STATE(9695)] = 317864,
  [SMALL_STATE(9696)] = 317871,
  [SMALL_STATE(9697)] = 317878,
  [SMALL_STATE(9698)] = 317885,
  [SMALL_STATE(9699)] = 317892,
  [SMALL_STATE(9700)] = 317899,
  [SMALL_STATE(9701)] = 317906,
  [SMALL_STATE(9702)] = 317913,
  [SMALL_STATE(9703)] = 317920,
  [SMALL_STATE(9704)] = 317927,
  [SMALL_STATE(9705)] = 317934,
  [SMALL_STATE(9706)] = 317941,
  [SMALL_STATE(9707)] = 317948,
  [SMALL_STATE(9708)] = 317955,
  [SMALL_STATE(9709)] = 317962,
  [SMALL_STATE(9710)] = 317969,
  [SMALL_STATE(9711)] = 317976,
  [SMALL_STATE(9712)] = 317983,
  [SMALL_STATE(9713)] = 317990,
  [SMALL_STATE(9714)] = 317997,
  [SMALL_STATE(9715)] = 318004,
  [SMALL_STATE(9716)] = 318011,
  [SMALL_STATE(9717)] = 318018,
  [SMALL_STATE(9718)] = 318025,
  [SMALL_STATE(9719)] = 318032,
  [SMALL_STATE(9720)] = 318039,
  [SMALL_STATE(9721)] = 318046,
  [SMALL_STATE(9722)] = 318053,
  [SMALL_STATE(9723)] = 318060,
  [SMALL_STATE(9724)] = 318067,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7309),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9717),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9715),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9616),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9595),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9578),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9576),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9575),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9574),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9573),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9572),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9571),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5571),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9559),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7416),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7155),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9551),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9550),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7278),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9712),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6411),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9711),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8085),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9474),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9168),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9479),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9481),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9681),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8943),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7432),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7192),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9517),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9518),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9305),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8677),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9516),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9378),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8698),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9597),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9598),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7284),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8787),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4580),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8136),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8709),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9215),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9211),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8796),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8689),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7165),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9618),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9609),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 10),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 10),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 78),
  [439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 78),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1130),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7311),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8838),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6421),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8837),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8440),
  [469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(147),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1598),
  [475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1599),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1598),
  [481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(612),
  [484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5942),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1154),
  [490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(285),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4125),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4601),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3254),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9616),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7244),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8385),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9595),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8387),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4732),
  [520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(84),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3063),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1334),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4158),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4010),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2275),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3123),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6937),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5906),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5899),
  [550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5891),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8336),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8677),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1641),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9216),
  [565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8348),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(182),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9516),
  [574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1312),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9380),
  [580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9378),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8766),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8698),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9351),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1640),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1579),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9572),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9571),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9570),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7461),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4873),
  [613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8101),
  [616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7662),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4495),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4460),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3062),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9561),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3628),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9559),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5051),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5857),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1982),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1101),
  [649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8684),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1669),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1506),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7440),
  [661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7181),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9597),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9598),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1508),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1732),
  [676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8399),
  [679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1689),
  [682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5694),
  [685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6130),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1152),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7284),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8871),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6357),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8787),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8572),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(455),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4037),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4580),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3202),
  [722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(66),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3936),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8136),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8709),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1686),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9017),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8679),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(180),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9596),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1311),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9215),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9211),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8796),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8689),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9191),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1981),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8706),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1527),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7398),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7165),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9618),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9609),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1532),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1670),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1137),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7278),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9712),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6411),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9711),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8429),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(781),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3951),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4565),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3214),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(43),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4066),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8085),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8346),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1912),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9474),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8426),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(208),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9168),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1308),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9479),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9481),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9681),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8588),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8977),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1980),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8354),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1518),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7432),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7192),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9517),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9518),
  [952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1516),
  [955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1917),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1129),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7274),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8940),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6397),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8872),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8655),
  [980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(680),
  [983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4019),
  [986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4642),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3275),
  [992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(45),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3967),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7944),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8648),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1872),
  [1007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8873),
  [1010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8707),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(172),
  [1016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9607),
  [1019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1320),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9014),
  [1025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9012),
  [1028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8881),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8642),
  [1034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8996),
  [1037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1978),
  [1040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8645),
  [1043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1543),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7407),
  [1049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7224),
  [1052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9627),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9619),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1545),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1700),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8872),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7944),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8707),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9607),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9012),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8881),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8996),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9627),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9619),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1153),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7309),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9717),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6370),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9715),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8341),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(147),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1598),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1599),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1598),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(612),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5942),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1154),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3934),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4567),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3249),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9616),
  [1233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7244),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8385),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9595),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8387),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4732),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(68),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3063),
  [1254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1334),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4158),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4150),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2275),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3123),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6937),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5906),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5899),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5891),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8013),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8390),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1625),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9578),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8392),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(202),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9576),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1317),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9575),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9574),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9573),
  [1314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1640),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1579),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9572),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9571),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9570),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7461),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4873),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8101),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7662),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5571),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4460),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3062),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9561),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3628),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9559),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5051),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5857),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1979),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1101),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8395),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1669),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1578),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7416),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7155),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9551),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9550),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1577),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1687),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8399),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1689),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5694),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6130),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8505),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1282),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(263),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1598),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1598),
  [1456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1772),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1772),
  [1464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(285),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4125),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4601),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4158),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9616),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7244),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8674),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9595),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(84),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3063),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1366),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2275),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3123),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6937),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5906),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5899),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5891),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8336),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8677),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8348),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(182),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9516),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1312),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9380),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9378),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8766),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8698),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9351),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1640),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1579),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9572),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9571),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9570),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7461),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4873),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8101),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7662),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4495),
  [1578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4460),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3062),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9561),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3628),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9559),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5857),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8505),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8684),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1669),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1506),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1508),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1732),
  [1614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8399),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1689),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5694),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6130),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1287),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(455),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4037),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4580),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(66),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8136),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8709),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8679),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(180),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9596),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1311),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9215),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9211),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8796),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8689),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9191),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8706),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1527),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1532),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1670),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8375),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9621),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1286),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(814),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3934),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4567),
  [1710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(68),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8013),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8390),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8392),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(202),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9576),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1317),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9575),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9574),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9573),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8375),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9621),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8395),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1578),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1577),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1687),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1291),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(781),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3951),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4565),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(43),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8085),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8346),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8426),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(208),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9168),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1308),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9479),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9481),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9681),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8588),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8977),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8354),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1518),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1516),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1917),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1285),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(680),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4019),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4642),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(45),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7944),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8648),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8707),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(172),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9607),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1320),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9014),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9012),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8881),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8642),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8996),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8645),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1543),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1545),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1700),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8612),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8646),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9617),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8869),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8868),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8603),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8849),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1289),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1183),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4823),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4613),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(86),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8143),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8612),
  [1941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8646),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(170),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9617),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1325),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8869),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8868),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8945),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8603),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8849),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8579),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1512),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1567),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1870),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9533),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9394),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9688),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9721),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7098),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9171),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9679),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9718),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7501),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9345),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9719),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9133),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7641),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9697),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9724),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7459),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7729),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9384),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8442),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2287),
  [2311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(263),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1598),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1598),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1772),
  [2323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(781),
  [2326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7244),
  [2329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8674),
  [2332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(68),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1366),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7583),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8166),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8390),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1840),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9384),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8442),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(202),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9344),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1317),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9575),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9574),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9573),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8498),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8977),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1640),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1579),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9572),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9571),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9570),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7461),
  [2398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4873),
  [2401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8101),
  [2404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7662),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4495),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4460),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9133),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8505),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8395),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1669),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1578),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1577),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1687),
  [2434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8399),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1689),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(5694),
  [2443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(6130),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9414),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9722),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7444),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2303),
  [2503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1183),
  [2506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(86),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8143),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8612),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8646),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(170),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9617),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1325),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8869),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8868),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8945),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8603),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8849),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8579),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1512),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1567),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1870),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2229),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(43),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8085),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8346),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1912),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9474),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8426),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(208),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9168),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1308),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9479),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9481),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9681),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8588),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8354),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1518),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1516),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1917),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2337),
  [2613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(455),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(66),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8136),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8709),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1686),
  [2628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9017),
  [2631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8679),
  [2634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(180),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9596),
  [2640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1311),
  [2643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9215),
  [2646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9211),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8796),
  [2652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8689),
  [2655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9191),
  [2658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8706),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1527),
  [2664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1532),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1670),
  [2670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2290),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(285),
  [2676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(84),
  [2679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8336),
  [2682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8677),
  [2685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1641),
  [2688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9216),
  [2691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8348),
  [2694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(182),
  [2697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9516),
  [2700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1312),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9380),
  [2706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9378),
  [2709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8766),
  [2712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8698),
  [2715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9351),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8684),
  [2721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1506),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1508),
  [2727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1732),
  [2730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2336),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(814),
  [2736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8013),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1625),
  [2742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9578),
  [2745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8392),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9576),
  [2751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8375),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9621),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2294),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(680),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(45),
  [2766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7944),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8648),
  [2772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1872),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8873),
  [2778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8707),
  [2781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(172),
  [2784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9607),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1320),
  [2790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9014),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9012),
  [2796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8881),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8642),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8996),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8645),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1543),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1545),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1700),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8725),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8725),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [2852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 102),
  [2854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8669),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, .production_id = 156),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, .production_id = 156),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, .production_id = 148),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, .production_id = 148),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 130),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 130),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 174),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 174),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, .production_id = 164),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, .production_id = 164),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 85),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 147),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 147),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 112),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, .production_id = 113),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, .production_id = 113),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 130),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 130),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 85),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 142),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 142),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 143),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 143),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [3009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4655),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8994),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6395),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9489),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6366),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8985),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8729),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5947),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7807),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7218),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9635),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 26),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 26),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [3095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 127),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 127),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 78),
  [3115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 126),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 126),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8438),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 125),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 125),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 124),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 124),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 120),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 120),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 115),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 115),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 110),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 110),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 25),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 25),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 26),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 26),
  [3160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(2163),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1), SHIFT(7244),
  [3168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(7583),
  [3171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(9133),
  [3174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1), SHIFT(8505),
  [3177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(2163),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1),
  [3184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1), SHIFT(7244),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1),
  [3189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(7583),
  [3192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(9133),
  [3195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1), SHIFT(8505),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 25),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 25),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [3274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 172),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 172),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8627),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8652),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 171),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 171),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 69),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 166),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 166),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 92),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 160),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 160),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, .production_id = 159),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, .production_id = 159),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 158),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 158),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 75),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(2163),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2), SHIFT(7244),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(7583),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(9133),
  [3342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2), SHIFT(8505),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 75),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 76),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 77),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 201),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 201),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, .production_id = 190),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, .production_id = 190),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 78),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 79),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9685),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5511),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4911),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6358),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [3527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9643),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, .production_id = 10),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 78),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 10),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 78),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4655),
  [3564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8994),
  [3567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6395),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9489),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8729),
  [3578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5523),
  [3581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9075),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4110),
  [3587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5942),
  [3590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5942),
  [3593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3997),
  [3596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4645),
  [3599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4158),
  [3602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9616),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6231),
  [3608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8712),
  [3611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9595),
  [3614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8387),
  [3617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3063),
  [3620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9067),
  [3623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2275),
  [3626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3291),
  [3629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6840),
  [3632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5947),
  [3635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5889),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5953),
  [3641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3062),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9561),
  [3647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3628),
  [3650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9559),
  [3653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5051),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5776),
  [3659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7807),
  [3662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1101),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2024),
  [3668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8902),
  [3671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7218),
  [3674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9635),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9038),
  [3710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6358),
  [3713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8774),
  [3716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8637),
  [3719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3995),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4600),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7773),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2029),
  [3731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7148),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9643),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9433),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9723),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7479),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8903),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7600),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9608),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9081),
  [3848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6391),
  [3851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8829),
  [3854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8567),
  [3857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3990),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4593),
  [3863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7884),
  [3866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2028),
  [3869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7169),
  [3872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9651),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [3881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8786),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6390),
  [3893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8903),
  [3896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8488),
  [3899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3930),
  [3902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4560),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7600),
  [3910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2027),
  [3913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7153),
  [3916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9608),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8829),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4593),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9651),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [3947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7670),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5956),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6823),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9612),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9654),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9644),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9602),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9639),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9622),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9628),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9647),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9636),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7772),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9658),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9652),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9631),
  [4087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [4091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [4099] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [4107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(534),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [4118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [4125] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1),
  [4147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [4173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8573),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(2163),
  [4321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(263),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1598),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1598),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1772),
  [4333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(3328),
  [4336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7244),
  [4339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1842),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2),
  [4344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1366),
  [4347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7583),
  [4350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1640),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1579),
  [4356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9572),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9571),
  [4362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9570),
  [4365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7461),
  [4368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4873),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8101),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7662),
  [4377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4495),
  [4380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4460),
  [4383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9133),
  [4386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7233),
  [4389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8505),
  [4392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1669),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8399),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1689),
  [4401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(5694),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(6130),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [4451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(489),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8969),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9298),
  [4587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9326),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9300),
  [4601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9306),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9307),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9310),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9313),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9289),
  [4634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9320),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9110),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9324),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [4666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9323),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9221),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 183),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 78),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .dynamic_precedence = 1, .production_id = 104),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 146),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 104),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [4774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9336),
  [4777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9335),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9290),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9332),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9328),
  [4789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9329),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [4794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9288),
  [4797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9286),
  [4800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9338),
  [4803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9275),
  [4806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9273),
  [4809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9270),
  [4812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9266),
  [4815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9264),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [4822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9263),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [4833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9253),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9252),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [4841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9250),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8846),
  [4854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9249),
  [4857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9247),
  [4860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9243),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9588),
  [4865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9239),
  [4868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9277),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9241),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9078),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8939),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8820),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8952),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9087),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7517),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7530),
  [5058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(521),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [5079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2),
  [5093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2),
  [5095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6751),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(490),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(490),
  [5143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [5151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(459),
  [5154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(520),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5886),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5908),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5920),
  [5237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(526),
  [5240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2),
  [5244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 72),
  [5252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2037),
  [5255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7624),
  [5262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8372),
  [5265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3),
  [5285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, .production_id = 170),
  [5287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, .production_id = 170),
  [5289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 73),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [5301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [5313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 123),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 123),
  [5317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [5325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [5327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, .production_id = 141),
  [5329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, .production_id = 141),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [5343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2063),
  [5350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, .production_id = 202),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, .production_id = 202),
  [5354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [5358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [5360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [5362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [5374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8554),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2079),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [5384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(487),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [5391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7297),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9167),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9174),
  [5421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [5425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [5437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(459),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(526),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [5453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [5457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8532),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(529),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [5475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(528),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2),
  [5488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(527),
  [5491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2142),
  [5500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7587),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8349),
  [5506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2444),
  [5513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [5519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1),
  [5523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(530),
  [5532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(521),
  [5535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [5543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2),
  [5551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 66),
  [5563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 66),
  [5571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, .production_id = 203),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, .production_id = 203),
  [5575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 194),
  [5577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 194),
  [5579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 193),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 193),
  [5583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 203),
  [5585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 203),
  [5587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 189),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 189),
  [5591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 172),
  [5593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 172),
  [5595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 176),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 176),
  [5599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 194),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 194),
  [5603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 175),
  [5605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 175),
  [5607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 193),
  [5609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 193),
  [5611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 66),
  [5615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 189),
  [5617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 189),
  [5619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 127),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 127),
  [5623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 78),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 126),
  [5629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 126),
  [5631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [5633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4),
  [5637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 78),
  [5641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 79),
  [5645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 66),
  [5653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 175),
  [5655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 175),
  [5657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 176),
  [5659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 176),
  [5661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [5663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [5667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4),
  [5669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8590),
  [5677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [5679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [5681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8519),
  [5688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8590),
  [5691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(9023),
  [5694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(6988),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [5703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, .production_id = 100),
  [5705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, .production_id = 100),
  [5707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(533),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [5742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 137),
  [5748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 137),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [5754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [5762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [5764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, .production_id = 138),
  [5766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, .production_id = 138),
  [5768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 96),
  [5772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2304),
  [5775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7589),
  [5778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8350),
  [5781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 95),
  [5783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 95),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [5787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [5793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [5805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2322),
  [5814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7782),
  [5817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8373),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [5822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [5830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [5836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [5838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [5852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [5870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 98),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 98),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 95),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 95),
  [5886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 101),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 101),
  [5890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, .production_id = 139),
  [5892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, .production_id = 139),
  [5894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 93),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(527),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [5905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [5915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 165),
  [5917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 165),
  [5919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2389),
  [5922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7644),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8356),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [5930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [5956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [5958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [5972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 137),
  [5982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 137),
  [5984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 101),
  [5986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 101),
  [5988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 138),
  [5990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 138),
  [5992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 98),
  [5994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 98),
  [5996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [5998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 93),
  [6000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2497),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [6009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 133),
  [6011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 133),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [6023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [6025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [6027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2495),
  [6030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [6036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [6042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [6044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [6046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [6050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8613),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [6055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [6061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [6065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2521),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(526),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [6075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [6079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9496),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [6091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [6095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 86),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [6107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [6111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, .dynamic_precedence = -10),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, .dynamic_precedence = -10),
  [6115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 116),
  [6117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 116),
  [6119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 167),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 167),
  [6123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 26),
  [6125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 26),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 26),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 26),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 118),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 118),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [6147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2593),
  [6150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7658),
  [6153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8357),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [6166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6698),
  [6174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [6186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [6190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 117),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 117),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [6200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2741),
  [6203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 70),
  [6207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2800),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [6212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [6216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, .production_id = 161),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, .production_id = 161),
  [6220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2),
  [6222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [6226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [6240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2797),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [6249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 83),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6759),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [6261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [6269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [6271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2812),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [6288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [6304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, .production_id = 161),
  [6314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, .production_id = 161),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [6320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [6324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [6330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [6338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2863),
  [6341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(528),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [6348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74),
  [6352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(526),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 207),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 207),
  [6371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 208),
  [6373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 208),
  [6375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [6377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [6379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 211),
  [6381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 211),
  [6383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [6395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [6397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 71),
  [6401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 162),
  [6411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 162),
  [6413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4),
  [6415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [6421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [6423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [6433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 200),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 200),
  [6443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 199),
  [6445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 199),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2949),
  [6450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [6452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [6454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [6460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [6462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2),
  [6464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2),
  [6466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [6472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [6480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6172),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 108),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 107),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [6494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [6502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [6504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 105),
  [6512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [6520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 187),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 187),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 186),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 186),
  [6532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 184),
  [6534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 184),
  [6536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, .production_id = 149),
  [6538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, .production_id = 149),
  [6540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [6544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [6546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [6548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3),
  [6564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 88),
  [6568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, .production_id = 173),
  [6570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, .production_id = 173),
  [6572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 83),
  [6576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 152),
  [6578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 152),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2),
  [6594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [6606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9143),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [6628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(459),
  [6631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2),
  [6635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3),
  [6637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3),
  [6639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3005),
  [6642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7750),
  [6645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8377),
  [6648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [6658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [6660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [6662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3989),
  [6665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4020),
  [6668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9165),
  [6671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8339),
  [6674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9167),
  [6677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4035),
  [6680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9174),
  [6683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(527),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3036),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [6709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [6711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [6717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [6729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(3172),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [6734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [6746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [6748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [6750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1306),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [6789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(533),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [6796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [6798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3145),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2),
  [6805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5),
  [6813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3156),
  [6833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 119),
  [6835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 119),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 168),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 168),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3),
  [6843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [6855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8541),
  [6858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4),
  [6860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [6870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5),
  [6872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5),
  [6874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [6876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [6886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(528),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [6899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [6901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [6903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2),
  [6905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [6941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [7009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6829),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [7095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4),
  [7097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4),
  [7099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1),
  [7101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [7125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8580),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [7140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [7152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [7154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [7158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(528),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [7203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [7224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [7226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [7228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(521),
  [7231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [7243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [7247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [7253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [7255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6203),
  [7269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [7271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual, 1),
  [7273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual, 1),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [7277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8562),
  [7280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(490),
  [7283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3738),
  [7286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7597),
  [7289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8351),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [7300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [7304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [7308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6822),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [7312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3786),
  [7315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7609),
  [7318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8352),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [7327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [7331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [7333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [7341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [7357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [7359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9427),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6831),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [7415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [7417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [7437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 128),
  [7439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 128),
  [7441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(459),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [7488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [7500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9371),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [7506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4227),
  [7508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [7510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [7512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [7514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5907),
  [7520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [7536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4267),
  [7539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [7541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [7543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [7549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [7551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [7553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 74), SHIFT(527),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [7570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [7572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7343),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [7578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [7592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [7596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(4030),
  [7599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7683),
  [7602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8358),
  [7605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [7607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1307),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [7612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [7622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [7636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [7648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6864),
  [7651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6230),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [7656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [7670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [7674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [7682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9490),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [7694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(9343),
  [7697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(8654),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5632),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [7706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(3989),
  [7713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4020),
  [7716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9165),
  [7719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8339),
  [7722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9167),
  [7725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4035),
  [7728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(9174),
  [7731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(5051),
  [7734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2275),
  [7737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4158),
  [7740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9616),
  [7743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8712),
  [7746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9595),
  [7749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3628),
  [7752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9559),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [7757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [7765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [7767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [7769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(487),
  [7774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4262),
  [7777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4245),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [7783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 106),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [7789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6657),
  [7792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6219),
  [7795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1),
  [7800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1),
  [7802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [7811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4337),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(7480),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [7823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(8339),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [7828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6206),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [7839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4391),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4306),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [7846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [7848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(529),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6225),
  [7878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(530),
  [7881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6179),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [7888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4442),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [7899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6207),
  [7902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [7904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [7906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(4679),
  [7909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(4689),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [7924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4679),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6156),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [7954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [7966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5980),
  [7976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [7980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [7994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [7998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(520),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [8005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 23), SHIFT(6176),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5686),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [8022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9435),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [8048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [8050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6907),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [8058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [8060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [8062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9470),
  [8064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [8076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [8090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [8116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [8118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [8146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 56),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [8160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [8186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [8192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 136),
  [8194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 136),
  [8196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(4911),
  [8199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(4936),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [8214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [8232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6236),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6235),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [8272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 20),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6577),
  [8330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2275),
  [8333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4158),
  [8336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9616),
  [8339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8385),
  [8342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9595),
  [8345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3628),
  [8348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9559),
  [8351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [8355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [8369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [8373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [8395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1),
  [8397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [8415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [8419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7491),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [8443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [8463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [8467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [8471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [8513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 111),
  [8515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, .production_id = 178),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [8525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7099),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6668),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [8543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(5034),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5389),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [8560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6665),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [8606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [8610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [8644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [8648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1),
  [8650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, .production_id = 171),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 81),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [8678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [8680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT(1470),
  [8683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [8685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 134), SHIFT(1470),
  [8688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 134),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [8702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4),
  [8704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [8708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, .production_id = 189),
  [8710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .dynamic_precedence = 1, .production_id = 195),
  [8712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 20),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [8720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [8750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [8766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [8778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [8784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [8790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7022),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [8798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [8804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [8822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9257),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 179),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [8834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 180),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [8838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [8844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .dynamic_precedence = 1, .production_id = 182),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, .production_id = 155),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [8874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 145),
  [8876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [8880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2),
  [8882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 1),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .dynamic_precedence = 1, .production_id = 144),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 135),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2275),
  [8947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2275),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, .production_id = 196),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, .production_id = 54),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [9010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, .production_id = 82),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [9042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(5385),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [9087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, .production_id = 54),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [9127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, .production_id = 181),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [9151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2),
  [9153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [9157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23),
  [9159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23),
  [9161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9616),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [9170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6864),
  [9173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6230),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [9190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(9343),
  [9193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(8654),
  [9196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5632),
  [9199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5632),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [9214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6657),
  [9217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6219),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [9224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(8339),
  [9227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6206),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [9242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(7480),
  [9245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9343),
  [9248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23),
  [9250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23),
  [9252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6225),
  [9255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6864),
  [9258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6230),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [9263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6179),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [9274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [9276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [9278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3294),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9497),
  [9308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [9310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [9314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6913),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9374),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6847),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5765),
  [9368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym_argument_list, 2),
  [9371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(9343),
  [9374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(8654),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [9381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [9389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [9395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [9405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6870),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [9417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9416),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [9423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [9433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [9439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9483),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [9445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6657),
  [9448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6219),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4496),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6846),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9491),
  [9471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [9473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6207),
  [9476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(8339),
  [9479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6206),
  [9482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(7480),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [9489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5563),
  [9492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5563),
  [9495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1302),
  [9498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 23), SHIFT(6176),
  [9501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6179),
  [9504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6225),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [9511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4926),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [9519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [9521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [9525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [9527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [9529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6207),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [9538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5577),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [9542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5382),
  [9544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(6115),
  [9547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(6115),
  [9550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(6080),
  [9553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [9555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [9557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [9559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23),
  [9561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23),
  [9563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6864),
  [9566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6230),
  [9569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8339),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [9574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(9343),
  [9577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(8654),
  [9580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6657),
  [9583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6219),
  [9586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 23), SHIFT(6176),
  [9589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36), SHIFT(6085),
  [9596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(7480),
  [9603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36), SHIFT(2521),
  [9606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20), SHIFT(6105),
  [9609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(8339),
  [9612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18), SHIFT(2521),
  [9615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2), SHIFT(2521),
  [9618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6206),
  [9621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20), SHIFT(2521),
  [9624] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(2521),
  [9628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(6082),
  [9631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(6111),
  [9634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(6086),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [9643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [9651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7789),
  [9653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6179),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [9668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [9678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [9686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7829),
  [9688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7845),
  [9706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6225),
  [9709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(6102),
  [9712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6207),
  [9715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6280),
  [9718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6280),
  [9721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [9731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [9737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [9751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [9755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [9773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [9775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7301),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [9805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6565),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7280),
  [9811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [9813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [9819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8207),
  [9821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6504),
  [9823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [9825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8260),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [9835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 23), SHIFT(6176),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [9840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [9850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6585),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [9866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [9868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1),
  [9870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [9876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [9886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [9888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6853),
  [9890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [9896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7833),
  [9898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6704),
  [9900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [9904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [9906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4878),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [9920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6356),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6441),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [9952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6434),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6287),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [9968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1),
  [9970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [9982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6295),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [10034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [10046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [10048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8183),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [10066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [10072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8138),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [10106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [10116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [10124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [10128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [10130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [10134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [10136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [10142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8130),
  [10148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [10150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [10158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [10160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [10210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [10212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [10220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [10222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [10226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [10232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [10240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [10242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [10252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [10256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [10262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [10264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [10278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6405),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [10290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6413),
  [10292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6351),
  [10294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [10296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [10298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6657),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23),
  [10311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [10321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [10323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [10325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6710),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [10329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [10331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23),
  [10333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23),
  [10335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6657),
  [10338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6219),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6657),
  [10346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6219),
  [10349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3),
  [10351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5),
  [10357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [10365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7877),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [10375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3),
  [10377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [10383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3),
  [10385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [10391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6206),
  [10394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [10398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [10402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6206),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4),
  [10411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1),
  [10417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [10421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4),
  [10423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4),
  [10425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8654),
  [10428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6864),
  [10431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6230),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [10438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(6582),
  [10441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7806),
  [10444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8360),
  [10447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6614),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 26),
  [10463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 26),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [10469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2),
  [10477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2),
  [10479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4),
  [10481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4),
  [10483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [10485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1),
  [10487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [10493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 167),
  [10505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 167),
  [10507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 121),
  [10509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 121),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [10515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3),
  [10517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 116),
  [10519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 116),
  [10521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 23),
  [10523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 23),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [10527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 26),
  [10529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 26),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 169),
  [10535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 169),
  [10537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1),
  [10539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [10545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2),
  [10547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 24),
  [10549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 24),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [10553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9337),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [10558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [10560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [10562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [10564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [10566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [10574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [10578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [10580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6179),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [10585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [10591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [10593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 5),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [10611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [10623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6864),
  [10626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6230),
  [10629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6864),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [10634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [10636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [10638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [10642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [10644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2),
  [10646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7550),
  [10654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [10658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [10666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 39),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 80),
  [10672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 62),
  [10674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6225),
  [10677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8385),
  [10682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 129),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(9165),
  [10691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(9174),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7521),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [10706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 5),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [10716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6179),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7095),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7105),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7132),
  [10729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 84),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [10739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 165),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [10745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [10753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [10755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [10757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6207),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [10764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 165),
  [10766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7082),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [10772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [10774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [10776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7089),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7142),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [10790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, .dynamic_precedence = 1),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, .dynamic_precedence = 1),
  [10798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6225),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [10821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [10823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [10825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [10827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [10829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [10831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [10833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 23), SHIFT(6176),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 26),
  [10838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 26),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6367),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [10850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, .dynamic_precedence = -10),
  [10852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, .dynamic_precedence = -10),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [10858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 167),
  [10860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 167),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [10884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 116),
  [10886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 116),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [10908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 26),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 26),
  [10916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [10926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [10932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [10956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [11010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [11014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [11016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6207),
  [11019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [11021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [11023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 99),
  [11025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 99),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [11035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 23), SHIFT(6176),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [11040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6394),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [11056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 167),
  [11058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 167),
  [11060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, .dynamic_precedence = -10),
  [11062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, .dynamic_precedence = -10),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7294),
  [11068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 116),
  [11070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 116),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7381),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 26),
  [11078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 26),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7313),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 26),
  [11086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 26),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [11092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [11096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8223),
  [11099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(6419),
  [11102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8999),
  [11105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8341),
  [11108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7357),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [11114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, .production_id = 10),
  [11116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [11118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 24),
  [11120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 78),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6437),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7317),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [11136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7295),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [11140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [11142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [11144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [11150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 26),
  [11152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1),
  [11154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 66),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5652),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5665),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [11192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [11200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [11204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5642),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6591),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [11242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 5),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8694),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [11278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8398),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [11284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [11290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [11294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7881),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [11300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [11304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [11306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8616),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [11312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7705),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [11316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8691),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [11324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [11328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7831),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [11332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [11334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [11336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [11338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [11340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8391),
  [11344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [11350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [11356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 78),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, .production_id = 58),
  [11370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [11382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 78),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [11390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7385),
  [11393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [11401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, .production_id = 10),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 78),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [11417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(8223),
  [11424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 10),
  [11436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 10),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [11462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [11472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8158),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [11476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9302),
  [11478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [11482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [11486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8208),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [11494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [11500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7957),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [11508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7803),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [11514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [11522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1956),
  [11525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [11527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(8943),
  [11530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [11532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [11540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7598),
  [11542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 79),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 78),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7488),
  [11607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [11611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [11613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [11615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(7784),
  [11618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 172),
  [11620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 172),
  [11622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 127),
  [11624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 127),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [11632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 126),
  [11634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 126),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [11638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [11652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 78),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [11698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [11702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8422),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [11738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1),
  [11740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [11766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, .production_id = 154),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [11790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, .production_id = 188),
  [11792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [11800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [11820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [11828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 198),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [11838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [11846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [11848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [11854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7588),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 185),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [11862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4218),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [11868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [11870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, .production_id = 19),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 150),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [11882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [11894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [11898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [11904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [11906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7827),
  [11908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [11912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [11920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [11934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [11946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8944),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [11950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [11954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [11956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, .production_id = 34),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [11960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [11962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [11966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [11972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [11974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9199),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [11978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2),
  [11980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 177), SHIFT_REPEAT(6626),
  [11983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 177),
  [11985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 197), SHIFT_REPEAT(7370),
  [11988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 197),
  [11990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [11992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4),
  [12010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [12014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [12034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [12036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [12044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7680),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [12050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 91),
  [12052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [12056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7762),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [12060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [12076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 209), SHIFT_REPEAT(6827),
  [12079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 209),
  [12081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 87),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [12087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [12089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [12099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 114), SHIFT_REPEAT(6692),
  [12102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 114),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [12116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [12122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [12124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9521),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [12134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [12146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [12152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [12154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9693),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8817),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [12182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [12196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [12200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7727),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [12208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [12220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6909),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [12228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 185),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [12232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 150),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [12238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7824),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9065),
  [12246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [12250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [12258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [12266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [12268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7815),
  [12271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7815),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [12286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5301),
  [12288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [12292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [12294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(7827),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [12311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [12321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [12323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 205),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [12329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 197), SHIFT_REPEAT(7326),
  [12332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 197),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [12336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [12356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [12366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [12370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [12382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6),
  [12384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [12390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [12404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [12408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, .production_id = 99),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [12426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(1298),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [12453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2), SHIFT_REPEAT(2054),
  [12456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [12462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 66),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [12486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [12490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 192),
  [12492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 204),
  [12494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [12506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [12510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 150),
  [12512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 5),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [12536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [12544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 206),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [12572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2), SHIFT_REPEAT(2105),
  [12575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [12617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 3),
  [12643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7653),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [12651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2), SHIFT_REPEAT(589),
  [12654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [12688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [12692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7823),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [12700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [12728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(2085),
  [12731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [12739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(4608),
  [12742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [12782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [12798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7755),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [12808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2), SHIFT_REPEAT(6548),
  [12811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [12837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 191),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 204),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [12857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2),
  [12859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 198),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [12863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, .production_id = 59),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [12899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [12921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 210),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [12927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(8570),
  [12930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [12932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, .production_id = 68),
  [12934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, .production_id = 140),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [12946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7679),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [12958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2), SHIFT_REPEAT(4570),
  [12961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [12967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 150),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [12971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [13001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 94),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [13005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2), SHIFT_REPEAT(7056),
  [13008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [13020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [13050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2), SHIFT_REPEAT(9023),
  [13053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [13063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(8508),
  [13066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [13086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 114), SHIFT_REPEAT(5758),
  [13089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, .production_id = 114),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [13109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(6380),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [13126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 212), SHIFT_REPEAT(8887),
  [13129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 212),
  [13131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [13143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [13163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2), SHIFT_REPEAT(1901),
  [13166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 213),
  [13168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 213),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [13172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [13174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [13176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1321),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [13221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7809),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [13225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2), SHIFT_REPEAT(1431),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [13230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [13238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9319),
  [13240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, .production_id = 28),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [13244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9565),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [13366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9193),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [13380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9370),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [13386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9279),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [13404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9208),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [13408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [13410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [13414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [13416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [13422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9100),
  [13424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 91),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9097),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [13436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [13448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9039),
  [13450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [13454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9007),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [13470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8925),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [13484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 206),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [13488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [13490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [13498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [13504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [13506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, .production_id = 57),
  [13508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [13510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8865),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [13516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [13518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6),
  [13520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 2),
  [13522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [13526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, .production_id = 153),
  [13528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, .production_id = 99),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [13532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [13540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [13552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, .production_id = 163),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [13556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [13562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 126),
  [13564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [13568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [13578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [13586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [13602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, .production_id = 127),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [13660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, .production_id = 127),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [13670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, .production_id = 127),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [13682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 126),
  [13684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 126),
  [13686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 172),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [13702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 172),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [13712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 172),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [13730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 172),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [13866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 126),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [13876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 127),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [13892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [13952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [14134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 10),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [14138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [14204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 79),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [14294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [14300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(9395),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [14305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, .production_id = 79),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [14337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 127),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [14483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, .production_id = 79),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [14493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, .production_id = 79),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [14501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, .production_id = 54),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [14515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 78),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [14547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [14641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [14761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [14831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 172),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [14855] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [14969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 79),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [15077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 126),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
